/*===========================================================================*/
/*   (Ast/venv.scm)                                                          */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Ast/venv.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzast_envz00();
BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_nodez00zzast_nodez00;
extern obj_t BGl_sfunz00zzast_varz00;
BGL_EXPORTED_DECL obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
static obj_t BGl__getzd2genvzd2zzast_envz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl__findzd2globalzd2zzast_envz00(obj_t, obj_t, obj_t);
static obj_t BGl__forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
static obj_t BGl__restorezd2valuezd2typesz12z12zzast_envz00(obj_t, obj_t);
extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
static obj_t BGl_restorezd2valuezd2typesz12zd2cfun2698zc0zzast_envz00(obj_t, obj_t);
extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
static obj_t BGl__findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
extern obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
extern obj_t BGl_typez00zztype_typez00;
extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
BGL_EXPORTED_DECL obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
static obj_t BGl__restorezd2globalz12zc0zzast_envz00(obj_t, obj_t);
static obj_t BGl_restorezd2valuezd2typesz12zd2sfun2696zc0zzast_envz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzast_envz00();
static obj_t BGl_zc3anonymousza32702ze3z83zzast_envz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzast_envz00();
BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
static obj_t BGl__globalzd2bucketzd2positionz00zzast_envz00(obj_t, obj_t, obj_t);
static obj_t BGl__alreadyzd2restoredzf3z21zzast_envz00(obj_t, obj_t);
static obj_t BGl__setzd2genvz12zc0zzast_envz00(obj_t, obj_t);
static obj_t BGl__additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00(obj_t);
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza33101ze3z83zzast_envz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzast_envz00();
extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BUNSPEC;
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2Genvza2z00zzast_envz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
static obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
static obj_t BGl__initializa7ezd2Genvz12z67zzast_envz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
static obj_t BGl__restorezd2valuezd2typesz12zd2default2693zc0zzast_envz00(obj_t, obj_t);
static obj_t BGl__bindzd2globalz12zc0zzast_envz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl_za2restoredza2z00zzast_envz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__addzd2genvz12zc0zzast_envz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
BGL_EXPORTED_DECL BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t, obj_t, BgL_valuez00_bglt, obj_t, obj_t);
static obj_t BGl_restorezd2valuezd2typesz12zd2default2693zc0zzast_envz00(BgL_valuez00_bglt);
extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
extern obj_t BGl_localz00zzast_varz00;
BGL_EXPORTED_DECL obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_getzd2genvzd2zzast_envz00();
BGL_EXPORTED_DECL obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_envz00 = BUNSPEC;
static obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt);
BGL_IMPORT obj_t BGl_za2warningza2z00zz__errorz00;
static obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00();
static obj_t BGl__unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 7 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_bindzd2globalz12zd2envz12zzast_envz00, BgL_bgl__bindza7d2globalza712za7c0za7za7ast_envza7003840z00, BGl__bindzd2globalz12zc0zzast_envz00, 0L, 5 );
DEFINE_STATIC_GENERIC( BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00, BgL_bgl__restoreza7d2valueza7d2typesza712za712za7za7ast_envza7003841za7, BGl__restorezd2valuezd2typesz12z12zzast_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_findzd2globalzd2envz00zzast_envz00, BgL_bgl__findza7d2globalza7d2za7za7ast_envza7003842za7, va_generic_entry, BGl__findzd2globalzd2zzast_envz00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2genvzd2envz00zzast_envz00, BgL_bgl__getza7d2genvza7d2za7za7ast_envza7003843za7, BGl__getzd2genvzd2zzast_envz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_initializa7ezd2Genvz12zd2envzb5zzast_envz00, BgL_bgl__initializa7a7eza7d2genvza712za767za7za7ast_envza7003844za7, BGl__initializa7ezd2Genvz12z67zzast_envz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_findzd2globalzf2modulezd2envzf2zzast_envz00, BgL_bgl__findza7d2globalza7f2moduleza720za7za7ast_envza7003845z00, BGl__findzd2globalzf2modulez20zzast_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_globalzd2bucketzd2positionzd2envzd2zzast_envz00, BgL_bgl__globalza7d2bucketza7d2positionza700za7za7ast_envza7003846z00, BGl__globalzd2bucketzd2positionz00zzast_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_setzd2genvz12zd2envz12zzast_envz00, BgL_bgl__setza7d2genvza712za7c0za7za7ast_envza7003847z00, BGl__setzd2genvz12zc0zzast_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_alreadyzd2restoredzf3zd2envzf3zzast_envz00, BgL_bgl__alreadyza7d2restoredza7f3za721za7za7ast_envza7003848z00, BGl__alreadyzd2restoredzf3z21zzast_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_additionalzd2heapzd2restorezd2globalsz12zd2envz12zzast_envz00, BgL_bgl__additionalza7d2heapza7d2restoreza7d2globalsza712za7c0za7za7ast_envza7003849z00, BGl__additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_restorezd2globalz12zd2envz12zzast_envz00, BgL_bgl__restoreza7d2globalza712za7c0za7za7ast_envza7003850z00, BGl__restorezd2globalz12zc0zzast_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_addzd2genvz12zd2envz12zzast_envz00, BgL_bgl__addza7d2genvza712za7c0za7za7ast_envza7003851z00, BGl__addzd2genvz12zc0zzast_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_forzd2eachzd2globalz12zd2envzc0zzast_envz00, BgL_bgl__forza7d2eachza7d2globalza712za712za7za7ast_envza7003852za7, BGl__forzd2eachzd2globalz12z12zzast_envz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3805z00zzast_envz00, BgL_bgl_restoreza7d2valueza7d2typesza712za7d2sfun2696za7c0za7za7ast_envza7003853z00, BGl_restorezd2valuezd2typesz12zd2sfun2696zc0zzast_envz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3806z00zzast_envz00, BgL_bgl_restoreza7d2valueza7d2typesza712za7d2cfun2698za7c0za7za7ast_envza7003854z00, BGl_restorezd2valuezd2typesz12zd2cfun2698zc0zzast_envz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3799z00zzast_envz00, BgL_bgl_za7c3anonymousza7a32702za7e3za783za7za7ast_envza7003855za7, BGl_zc3anonymousza32702ze3z83zzast_envz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_restorezd2valuezd2typesz12zd2default2693zd2envz12zzast_envz00, BgL_bgl__restoreza7d2valueza7d2typesza712za7d2default2693za7c0za7za7ast_envza7003856z00, BGl__restorezd2valuezd2typesz12zd2default2693zc0zzast_envz00, 0L, 1 );
DEFINE_STRING( BGl_string3811z00zzast_envz00, BgL_bgl_string3811za700za7za7ast_envza7003857z00, "eval now read @ foreign (jvm .net) the-global-environment ", 58 );
DEFINE_STRING( BGl_string3810z00zzast_envz00, BgL_bgl_string3810za700za7za7ast_envza7003858z00, "Illegal non pair argument", 25 );
DEFINE_STRING( BGl_string3809z00zzast_envz00, BgL_bgl_string3809za700za7za7ast_envza7003859z00, "restore-value-types", 19 );
DEFINE_STRING( BGl_string3808z00zzast_envz00, BgL_bgl_string3808za700za7za7ast_envza7003860z00, "Illegal argument", 16 );
DEFINE_STRING( BGl_string3807z00zzast_envz00, BgL_bgl_string3807za700za7za7ast_envza7003861z00, "restore-value-types(sfun)", 25 );
DEFINE_STRING( BGl_string3804z00zzast_envz00, BgL_bgl_string3804za700za7za7ast_envza7003862z00, "Can't find global", 17 );
DEFINE_STRING( BGl_string3803z00zzast_envz00, BgL_bgl_string3803za700za7za7ast_envza7003863z00, "unbind-global!", 14 );
DEFINE_STRING( BGl_string3802z00zzast_envz00, BgL_bgl_string3802za700za7za7ast_envza7003864z00, "eval", 4 );
DEFINE_STRING( BGl_string3801z00zzast_envz00, BgL_bgl_string3801za700za7za7ast_envza7003865z00, "Duplicate definition", 20 );
DEFINE_STRING( BGl_string3800z00zzast_envz00, BgL_bgl_string3800za700za7za7ast_envza7003866z00, "Variable overridden by", 22 );
DEFINE_EXPORT_PROCEDURE( BGl_unbindzd2globalz12zd2envz12zzast_envz00, BgL_bgl__unbindza7d2globalza712za7c0za7za7ast_envza7003867z00, BGl__unbindzd2globalz12zc0zzast_envz00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long BgL_checksumz00_2432, char * BgL_fromz00_2433)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_envz00))
{ 
BGl_requirezd2initializa7ationz75zzast_envz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_envz00(); 
BGl_cnstzd2initzd2zzast_envz00(); 
BGl_importedzd2moduleszd2initz00zzast_envz00(); 
BGl_methodzd2initzd2zzast_envz00(); 
BGl_toplevelzd2initzd2zzast_envz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00()
{ AN_OBJECT;
{ /* ./Ast/venv.scm 14 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_env"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_env"); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)0), "ast_env"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_env"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "ast_env"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_envz00()
{ AN_OBJECT;
{ /* ./Ast/venv.scm 14 */
{ /* ./Ast/venv.scm 14 */
obj_t BgL_cportz00_2425;
BgL_cportz00_2425 = 
open_input_string(BGl_string3811z00zzast_envz00); 
{ 
long BgL_iz00_2426;
BgL_iz00_2426 = ((long)6); 
BgL_loopz00_2427:
{ /* ./Ast/venv.scm 14 */
bool_t BgL_test3813z00_2428;
BgL_test3813z00_2428 = 
(BgL_iz00_2426==((long)-1)); 
if(BgL_test3813z00_2428)
{ /* ./Ast/venv.scm 14 */
return BUNSPEC;}  else 
{ /* ./Ast/venv.scm 14 */
{ /* ./Ast/venv.scm 14 */
obj_t BgL_arg3815z00_2429;
{ /* ./Ast/venv.scm 14 */
obj_t BgL_list3818z00_2430;
BgL_list3818z00_2430 = 
MAKE_PAIR(BgL_cportz00_2425, BNIL); 
BgL_arg3815z00_2429 = 
BGl_readz00zz__readerz00(BgL_list3818z00_2430); } 
{ /* ./Ast/venv.scm 14 */
int BgL_auxz00_2452;
BgL_auxz00_2452 = 
(int)(BgL_iz00_2426); 
CNST_TABLE_SET(BgL_auxz00_2452, BgL_arg3815z00_2429); } } 
{ /* ./Ast/venv.scm 14 */
int BgL_auxz00_2431;
{ /* ./Ast/venv.scm 14 */
long BgL_auxz00_2455;
BgL_auxz00_2455 = 
(BgL_iz00_2426-((long)1)); 
BgL_auxz00_2431 = 
(int)(BgL_auxz00_2455); } 
{ 
long BgL_iz00_2458;
BgL_iz00_2458 = 
(long)(BgL_auxz00_2431); 
BgL_iz00_2426 = BgL_iz00_2458; 
goto BgL_loopz00_2427;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_envz00()
{ AN_OBJECT;
{ /* ./Ast/venv.scm 14 */
BGl_za2Genvza2z00zzast_envz00 = 
CNST_TABLE_REF(((long)0)); 
BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BNIL; 
BGl_za2restoredza2z00zzast_envz00 = BNIL; 
return BUNSPEC;} 
}



/* set-genv! */
BGL_EXPORTED_DEF obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_1)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 51 */
return ( 
BGl_za2Genvza2z00zzast_envz00 = BgL_genvz00_1, BUNSPEC) ;} 
}



/* _set-genv! */
obj_t BGl__setzd2genvz12zc0zzast_envz00(obj_t BgL_envz00_2375, obj_t BgL_genvz00_2376)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 51 */
return 
BGl_setzd2genvz12zc0zzast_envz00(BgL_genvz00_2376);} 
}



/* add-genv! */
BGL_EXPORTED_DEF obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_2)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 60 */
BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_2, BGl_proc3799z00zzast_envz00); 
return ( 
BGl_za2restoredza2z00zzast_envz00 = BNIL, BUNSPEC) ;} 
}



/* _add-genv! */
obj_t BGl__addzd2genvz12zc0zzast_envz00(obj_t BgL_envz00_2378, obj_t BgL_genvz00_2379)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 60 */
return 
BGl_addzd2genvz12zc0zzast_envz00(BgL_genvz00_2379);} 
}



/* <anonymous:2702> */
obj_t BGl_zc3anonymousza32702ze3z83zzast_envz00(obj_t BgL_envz00_2380, obj_t BgL_kz00_2381, obj_t BgL_bucketz00_2382)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 63 */
{ 
obj_t BgL_kz00_931;obj_t BgL_bucketz00_932;
{ /* ./Ast/venv.scm 64 */
bool_t BgL_auxz00_2464;
BgL_kz00_931 = BgL_kz00_2381; 
BgL_bucketz00_932 = BgL_bucketz00_2382; 
{ 
obj_t BgL_l2677z00_934;
{ /* ./Ast/venv.scm 77 */
obj_t BgL_arg2704z00_936;
BgL_arg2704z00_936 = 
CDR(BgL_bucketz00_932); 
BgL_l2677z00_934 = BgL_arg2704z00_936; 
BgL_forzd2each2678zd2_935:
{ /* ./Ast/venv.scm 64 */
bool_t BgL_test2707z00_937;
BgL_test2707z00_937 = 
PAIRP(BgL_l2677z00_934); 
if(BgL_test2707z00_937)
{ /* ./Ast/venv.scm 64 */
{ /* ./Ast/venv.scm 65 */
obj_t BgL_newz00_938;
BgL_newz00_938 = 
CAR(BgL_l2677z00_934); 
BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = 
MAKE_PAIR(BgL_newz00_938, BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00); 
{ /* ./Ast/venv.scm 66 */
obj_t BgL_modulez00_939;
{ /* ./Ast/venv.scm 66 */
BgL_globalz00_bglt BgL_obj1171z00_1595;
BgL_obj1171z00_1595 = 
(BgL_globalz00_bglt)(BgL_newz00_938); 
BgL_modulez00_939 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_1595))->BgL_modulez00); } 
{ /* ./Ast/venv.scm 66 */
obj_t BgL_idz00_940;
{ /* ./Ast/venv.scm 67 */
BgL_variablez00_bglt BgL_obj1097z00_1596;
BgL_obj1097z00_1596 = 
(BgL_variablez00_bglt)(BgL_newz00_938); 
BgL_idz00_940 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1596))->BgL_idz00); } 
{ /* ./Ast/venv.scm 67 */
obj_t BgL_bucketz00_941;
BgL_bucketz00_941 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_940); 
{ /* ./Ast/venv.scm 68 */

{ /* ./Ast/venv.scm 70 */
bool_t BgL_test2709z00_942;
BgL_test2709z00_942 = 
PAIRP(BgL_bucketz00_941); 
if(BgL_test2709z00_942)
{ /* ./Ast/venv.scm 72 */
bool_t BgL_test2710z00_943;
BgL_test2710z00_943 = 
(BgL_modulez00_939==BGl_za2moduleza2z00zzmodule_modulez00); 
if(BgL_test2710z00_943)
{ /* ./Ast/venv.scm 72 */
{ /* ./Ast/venv.scm 73 */
obj_t BgL_newzd2bucketzd2_944;
{ /* ./Ast/venv.scm 73 */
obj_t BgL_arg2713z00_945;
BgL_arg2713z00_945 = 
CDR(BgL_bucketz00_941); 
BgL_newzd2bucketzd2_944 = 
MAKE_PAIR(BgL_newz00_938, BgL_arg2713z00_945); } 
SET_CDR(BgL_bucketz00_941, BgL_newzd2bucketzd2_944); } }  else 
{ /* ./Ast/venv.scm 72 */
{ /* ./Ast/venv.scm 76 */
obj_t BgL_arg2717z00_946;obj_t BgL_arg2718z00_947;
BgL_arg2717z00_946 = 
CDR(BgL_bucketz00_941); 
{ /* ./Ast/venv.scm 76 */
obj_t BgL_arg2722z00_948;
{ /* ./Ast/venv.scm 76 */
obj_t BgL_auxz00_2483;
BgL_auxz00_2483 = 
CDR(BgL_bucketz00_941); 
BgL_arg2722z00_948 = 
CDR(BgL_auxz00_2483); } 
BgL_arg2718z00_947 = 
MAKE_PAIR(BgL_newz00_938, BgL_arg2722z00_948); } 
SET_CDR(BgL_arg2717z00_946, BgL_arg2718z00_947); } } }  else 
{ /* ./Ast/venv.scm 70 */
{ /* ./Ast/venv.scm 71 */
obj_t BgL_arg2727z00_949;
{ /* ./Ast/venv.scm 71 */
obj_t BgL_list2730z00_950;
{ /* ./Ast/venv.scm 71 */
obj_t BgL_arg2732z00_951;
BgL_arg2732z00_951 = 
MAKE_PAIR(BgL_newz00_938, BNIL); 
BgL_list2730z00_950 = 
MAKE_PAIR(BgL_idz00_940, BgL_arg2732z00_951); } 
BgL_arg2727z00_949 = BgL_list2730z00_950; } 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_940, BgL_arg2727z00_949); } } } } } } } } 
{ /* ./Ast/venv.scm 64 */
obj_t BgL_arg2741z00_952;
BgL_arg2741z00_952 = 
CDR(BgL_l2677z00_934); 
{ 
obj_t BgL_l2677z00_2492;
BgL_l2677z00_2492 = BgL_arg2741z00_952; 
BgL_l2677z00_934 = BgL_l2677z00_2492; 
goto BgL_forzd2each2678zd2_935;} } }  else 
{ /* ./Ast/venv.scm 64 */
BgL_auxz00_2464 = ((bool_t)1); } } } } 
return 
BBOOL(BgL_auxz00_2464);} } } 
}



/* additional-heap-restore-globals! */
BGL_EXPORTED_DEF obj_t BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00()
{ AN_OBJECT;
{ /* ./Ast/venv.scm 94 */
{ 
obj_t BgL_l2679z00_954;
BgL_l2679z00_954 = BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00; 
BgL_forzd2each2680zd2_955:
{ /* ./Ast/venv.scm 95 */
bool_t BgL_test2747z00_956;
BgL_test2747z00_956 = 
PAIRP(BgL_l2679z00_954); 
if(BgL_test2747z00_956)
{ /* ./Ast/venv.scm 95 */
{ /* ./Ast/venv.scm 95 */
obj_t BgL_arg2749z00_957;
BgL_arg2749z00_957 = 
CAR(BgL_l2679z00_954); 
BGl_restorezd2globalz12zc0zzast_envz00(BgL_arg2749z00_957); } 
{ /* ./Ast/venv.scm 95 */
obj_t BgL_arg2753z00_958;
BgL_arg2753z00_958 = 
CDR(BgL_l2679z00_954); 
{ 
obj_t BgL_l2679z00_2499;
BgL_l2679z00_2499 = BgL_arg2753z00_958; 
BgL_l2679z00_954 = BgL_l2679z00_2499; 
goto BgL_forzd2each2680zd2_955;} } }  else 
{ /* ./Ast/venv.scm 95 */((bool_t)1); } } } 
return BTRUE;} 
}



/* _additional-heap-restore-globals! */
obj_t BGl__additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00(obj_t BgL_envz00_2383)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 94 */
return 
BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();} 
}



/* restore-global! */
BGL_EXPORTED_DEF obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t BgL_newz00_4)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 101 */
BGl_za2restoredza2z00zzast_envz00 = 
MAKE_PAIR(BgL_newz00_4, BGl_za2restoredza2z00zzast_envz00); 
{ /* ./Ast/venv.scm 104 */
BgL_typez00_bglt BgL_typez00_960;
{ /* ./Ast/venv.scm 105 */
BgL_variablez00_bglt BgL_obj1101z00_1616;
BgL_obj1101z00_1616 = 
(BgL_variablez00_bglt)(BgL_newz00_4); 
BgL_typez00_960 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1101z00_1616))->BgL_typez00); } 
{ /* ./Ast/venv.scm 105 */
BgL_valuez00_bglt BgL_valuez00_961;
{ /* ./Ast/venv.scm 106 */
BgL_variablez00_bglt BgL_obj1104z00_1617;
BgL_obj1104z00_1617 = 
(BgL_variablez00_bglt)(BgL_newz00_4); 
BgL_valuez00_961 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1617))->BgL_valuez00); } 
{ /* ./Ast/venv.scm 106 */
obj_t BgL_typezd2idzd2_962;
BgL_typezd2idzd2_962 = 
(((BgL_typez00_bglt)CREF(BgL_typez00_960))->BgL_idz00); 
{ /* ./Ast/venv.scm 107 */

{ /* ./Ast/venv.scm 109 */
BgL_globalz00_bglt BgL_obj1182z00_1619;
BgL_obj1182z00_1619 = 
(BgL_globalz00_bglt)(BgL_newz00_4); 
((((BgL_globalz00_bglt)CREF(BgL_obj1182z00_1619))->BgL_libraryzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); } 
{ /* ./Ast/venv.scm 111 */
BgL_typez00_bglt BgL_arg2760z00_963;
BgL_arg2760z00_963 = 
BGl_findzd2typezd2zztype_envz00(BgL_typezd2idzd2_962); 
{ /* ./Ast/venv.scm 111 */
BgL_variablez00_bglt BgL_obj1103z00_1621;
BgL_obj1103z00_1621 = 
(BgL_variablez00_bglt)(BgL_newz00_4); 
((((BgL_variablez00_bglt)CREF(BgL_obj1103z00_1621))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2760z00_963), BUNSPEC); } } 
{ /* ./Ast/venv.scm 113 */
obj_t BgL_method2694z00_1624;
{ /* ./Ast/venv.scm 113 */
BgL_objectz00_bglt BgL_objz00_1625;
BgL_objz00_1625 = 
(BgL_objectz00_bglt)(BgL_valuez00_961); 
{ /* ./Ast/venv.scm 113 */
long BgL_objzd2classzd2numz00_1626;
BgL_objzd2classzd2numz00_1626 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1625); 
{ /* ./Ast/venv.scm 113 */
obj_t BgL_arg1989z00_1627;
{ /* ./Ast/venv.scm 113 */
int BgL_auxz00_2514;
BgL_auxz00_2514 = 
(int)(((long)1)); 
BgL_arg1989z00_1627 = 
PROCEDURE_REF(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00, BgL_auxz00_2514); } 
{ /* ./Ast/venv.scm 113 */
int BgL_offsetz00_1630;
BgL_offsetz00_1630 = 
(int)(BgL_objzd2classzd2numz00_1626); 
{ /* ./Ast/venv.scm 113 */
long BgL_offsetz00_1631;
{ /* ./Ast/venv.scm 113 */
long BgL_auxz00_2518;
BgL_auxz00_2518 = 
(long)(BgL_offsetz00_1630); 
BgL_offsetz00_1631 = 
(BgL_auxz00_2518-OBJECT_TYPE); } 
{ /* ./Ast/venv.scm 113 */
long BgL_modz00_1632;
{ /* ./Ast/venv.scm 113 */
int BgL_arg2000z00_1633;
BgL_arg2000z00_1633 = 
(int)(((long)8)); 
{ /* ./Ast/venv.scm 113 */
long BgL_n2z00_1641;
BgL_n2z00_1641 = 
(long)(BgL_arg2000z00_1633); 
BgL_modz00_1632 = 
(BgL_offsetz00_1631/BgL_n2z00_1641); } } 
{ /* ./Ast/venv.scm 113 */
long BgL_restz00_1634;
{ /* ./Ast/venv.scm 113 */
int BgL_arg1996z00_1635;
BgL_arg1996z00_1635 = 
(int)(((long)8)); 
{ /* ./Ast/venv.scm 113 */
long BgL_n2z00_1644;
BgL_n2z00_1644 = 
(long)(BgL_arg1996z00_1635); 
BgL_restz00_1634 = 
(BgL_offsetz00_1631%BgL_n2z00_1644); } } 
{ /* ./Ast/venv.scm 113 */

{ /* ./Ast/venv.scm 113 */
obj_t BgL_bucketz00_1636;
{ /* ./Ast/venv.scm 113 */
int BgL_kz00_1646;
BgL_kz00_1646 = 
(int)(BgL_modz00_1632); 
BgL_bucketz00_1636 = 
VECTOR_REF(BgL_arg1989z00_1627,BgL_kz00_1646); } 
{ /* ./Ast/venv.scm 113 */
int BgL_kz00_1648;
BgL_kz00_1648 = 
(int)(BgL_restz00_1634); 
BgL_method2694z00_1624 = 
VECTOR_REF(BgL_bucketz00_1636,BgL_kz00_1648); } } } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2694z00_1624)(BgL_method2694z00_1624, 
(obj_t)(BgL_valuez00_961), BEOA); } 
{ /* ./Ast/venv.scm 115 */
bool_t BgL_test2764z00_964;
{ /* ./Ast/venv.scm 115 */
bool_t BgL_test2775z00_969;
{ /* ./Ast/venv.scm 115 */
obj_t BgL_auxz00_2534;
BgL_auxz00_2534 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2targetzd2languageza2zd2zzengine_paramz00, 
CNST_TABLE_REF(((long)1))); 
BgL_test2775z00_969 = 
CBOOL(BgL_auxz00_2534); } 
if(BgL_test2775z00_969)
{ /* ./Ast/venv.scm 116 */
bool_t BgL_testz00_2539;
{ /* ./Ast/venv.scm 116 */
obj_t BgL_auxz00_2543;obj_t BgL_auxz00_2540;
BgL_auxz00_2543 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Ast/venv.scm 116 */
BgL_globalz00_bglt BgL_obj1171z00_1649;
BgL_obj1171z00_1649 = 
(BgL_globalz00_bglt)(BgL_newz00_4); 
BgL_auxz00_2540 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_1649))->BgL_modulez00); } 
BgL_testz00_2539 = 
(BgL_auxz00_2540==BgL_auxz00_2543); } 
if(BgL_testz00_2539)
{ /* ./Ast/venv.scm 116 */
BgL_test2764z00_964 = ((bool_t)0); }  else 
{ /* ./Ast/venv.scm 116 */
BgL_test2764z00_964 = ((bool_t)1); } }  else 
{ /* ./Ast/venv.scm 115 */
BgL_test2764z00_964 = ((bool_t)0); } } 
if(BgL_test2764z00_964)
{ /* ./Ast/venv.scm 117 */
obj_t BgL_arg2766z00_965;obj_t BgL_arg2767z00_966;obj_t BgL_arg2768z00_967;
{ /* ./Ast/venv.scm 117 */
BgL_globalz00_bglt BgL_obj1171z00_1650;
BgL_obj1171z00_1650 = 
(BgL_globalz00_bglt)(BgL_newz00_4); 
BgL_arg2766z00_965 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_1650))->BgL_modulez00); } 
{ /* ./Ast/venv.scm 118 */
BgL_globalz00_bglt BgL_obj1192z00_1651;
BgL_obj1192z00_1651 = 
(BgL_globalz00_bglt)(BgL_newz00_4); 
BgL_arg2767z00_966 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1192z00_1651))->BgL_jvmzd2typezd2namez00); } 
BgL_arg2768z00_967 = 
BGl_shapez00zztools_shapez00(BgL_newz00_4); 
{ /* ./Ast/venv.scm 117 */
obj_t BgL_list2770z00_968;
BgL_list2770z00_968 = 
MAKE_PAIR(BgL_arg2768z00_967, BNIL); 
return 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg2766z00_965, BgL_arg2767z00_966, BgL_list2770z00_968);} }  else 
{ /* ./Ast/venv.scm 115 */
return BFALSE;} } } } } } } 
}



/* _restore-global! */
obj_t BGl__restorezd2globalz12zc0zzast_envz00(obj_t BgL_envz00_2384, obj_t BgL_newz00_2385)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 101 */
return 
BGl_restorezd2globalz12zc0zzast_envz00(BgL_newz00_2385);} 
}



/* already-restored? */
BGL_EXPORTED_DEF obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t BgL_funz00_6)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 138 */
return 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_funz00_6, BGl_za2restoredza2z00zzast_envz00);} 
}



/* _already-restored? */
obj_t BGl__alreadyzd2restoredzf3z21zzast_envz00(obj_t BgL_envz00_2388, obj_t BgL_funz00_2389)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 138 */
return 
BGl_alreadyzd2restoredzf3z21zzast_envz00(BgL_funz00_2389);} 
}



/* get-genv */
BGL_EXPORTED_DEF obj_t BGl_getzd2genvzd2zzast_envz00()
{ AN_OBJECT;
{ /* ./Ast/venv.scm 196 */
return BGl_za2Genvza2z00zzast_envz00;} 
}



/* _get-genv */
obj_t BGl__getzd2genvzd2zzast_envz00(obj_t BgL_envz00_2390)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 196 */
return 
BGl_getzd2genvzd2zzast_envz00();} 
}



/* initialize-Genv! */
BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00()
{ AN_OBJECT;
{ /* ./Ast/venv.scm 202 */
return ( 
BGl_za2Genvza2z00zzast_envz00 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC) ;} 
}



/* _initialize-Genv! */
obj_t BGl__initializa7ezd2Genvz12z67zzast_envz00(obj_t BgL_envz00_2391)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 202 */
return 
BGl_initializa7ezd2Genvz12z67zzast_envz00();} 
}



/* find-global */
BGL_EXPORTED_DEF obj_t BGl_findzd2globalzd2zzast_envz00(obj_t BgL_idz00_11, obj_t BgL_modulez00_12)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 208 */
{ /* ./Ast/venv.scm 210 */
obj_t BgL_bucketz00_974;obj_t BgL_modulez00_975;
BgL_bucketz00_974 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_11); 
if(
NULLP(BgL_modulez00_12))
{ /* ./Ast/venv.scm 211 */
BgL_modulez00_975 = BNIL; }  else 
{ /* ./Ast/venv.scm 211 */
BgL_modulez00_975 = 
CAR(BgL_modulez00_12); } 
if(
PAIRP(BgL_bucketz00_974))
{ /* ./Ast/venv.scm 215 */
bool_t BgL_testz00_2566;
{ /* ./Ast/venv.scm 215 */
obj_t BgL_auxz00_2567;
BgL_auxz00_2567 = 
CDR(BgL_bucketz00_974); 
BgL_testz00_2566 = 
NULLP(BgL_auxz00_2567); } 
if(BgL_testz00_2566)
{ /* ./Ast/venv.scm 215 */
return BFALSE;}  else 
{ /* ./Ast/venv.scm 215 */
if(
NULLP(BgL_modulez00_975))
{ /* ./Ast/venv.scm 217 */
{ /* ./Ast/venv.scm 218 */
obj_t BgL_auxz00_2572;
BgL_auxz00_2572 = 
CDR(BgL_bucketz00_974); 
return 
CAR(BgL_auxz00_2572);} }  else 
{ /* ./Ast/venv.scm 217 */
{ 
obj_t BgL_globalsz00_979;
BgL_globalsz00_979 = 
CDR(BgL_bucketz00_974); 
BgL_loopz00_980:
if(
NULLP(BgL_globalsz00_979))
{ /* ./Ast/venv.scm 222 */
return BFALSE;}  else 
{ /* ./Ast/venv.scm 224 */
bool_t BgL_testz00_2577;
{ /* ./Ast/venv.scm 224 */
obj_t BgL_auxz00_2578;
{ /* ./Ast/venv.scm 224 */
BgL_globalz00_bglt BgL_obj1171z00_1665;
{ /* ./Ast/venv.scm 224 */
obj_t BgL_auxz00_2579;
BgL_auxz00_2579 = 
CAR(BgL_globalsz00_979); 
BgL_obj1171z00_1665 = 
(BgL_globalz00_bglt)(BgL_auxz00_2579); } 
BgL_auxz00_2578 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_1665))->BgL_modulez00); } 
BgL_testz00_2577 = 
(BgL_auxz00_2578==BgL_modulez00_975); } 
if(BgL_testz00_2577)
{ /* ./Ast/venv.scm 224 */
return 
CAR(BgL_globalsz00_979);}  else 
{ /* ./Ast/venv.scm 224 */
{ 
obj_t BgL_globalsz00_2585;
BgL_globalsz00_2585 = 
CDR(BgL_globalsz00_979); 
BgL_globalsz00_979 = BgL_globalsz00_2585; 
goto BgL_loopz00_980;} } } } } } }  else 
{ /* ./Ast/venv.scm 213 */
return BFALSE;} } } 
}



/* _find-global */
obj_t BGl__findzd2globalzd2zzast_envz00(obj_t BgL_envz00_2392, obj_t BgL_idz00_2393, obj_t BgL_modulez00_2394)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 208 */
return 
BGl_findzd2globalzd2zzast_envz00(BgL_idz00_2393, BgL_modulez00_2394);} 
}



/* find-global/module */
BGL_EXPORTED_DEF obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t BgL_idz00_13, obj_t BgL_modulez00_14)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 232 */
{ /* ./Ast/venv.scm 233 */
obj_t BgL_bucketz00_989;
BgL_bucketz00_989 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_13); 
if(
PAIRP(BgL_bucketz00_989))
{ /* ./Ast/venv.scm 237 */
bool_t BgL_testz00_2592;
{ /* ./Ast/venv.scm 237 */
obj_t BgL_auxz00_2593;
BgL_auxz00_2593 = 
CDR(BgL_bucketz00_989); 
BgL_testz00_2592 = 
NULLP(BgL_auxz00_2593); } 
if(BgL_testz00_2592)
{ /* ./Ast/venv.scm 237 */
return BFALSE;}  else 
{ /* ./Ast/venv.scm 237 */
{ 
obj_t BgL_globalsz00_993;
BgL_globalsz00_993 = 
CDR(BgL_bucketz00_989); 
BgL_loopz00_994:
if(
NULLP(BgL_globalsz00_993))
{ /* ./Ast/venv.scm 244 */
return BFALSE;}  else 
{ /* ./Ast/venv.scm 246 */
bool_t BgL_testz00_2598;
{ /* ./Ast/venv.scm 246 */
obj_t BgL_auxz00_2599;
{ /* ./Ast/venv.scm 246 */
BgL_globalz00_bglt BgL_obj1171z00_1679;
{ /* ./Ast/venv.scm 246 */
obj_t BgL_auxz00_2600;
BgL_auxz00_2600 = 
CAR(BgL_globalsz00_993); 
BgL_obj1171z00_1679 = 
(BgL_globalz00_bglt)(BgL_auxz00_2600); } 
BgL_auxz00_2599 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_1679))->BgL_modulez00); } 
BgL_testz00_2598 = 
(BgL_auxz00_2599==BgL_modulez00_14); } 
if(BgL_testz00_2598)
{ /* ./Ast/venv.scm 246 */
return 
CAR(BgL_globalsz00_993);}  else 
{ /* ./Ast/venv.scm 246 */
{ 
obj_t BgL_globalsz00_2606;
BgL_globalsz00_2606 = 
CDR(BgL_globalsz00_993); 
BgL_globalsz00_993 = BgL_globalsz00_2606; 
goto BgL_loopz00_994;} } } } } }  else 
{ /* ./Ast/venv.scm 235 */
return BFALSE;} } } 
}



/* _find-global/module */
obj_t BGl__findzd2globalzf2modulez20zzast_envz00(obj_t BgL_envz00_2395, obj_t BgL_idz00_2396, obj_t BgL_modulez00_2397)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 232 */
return 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_2396, BgL_modulez00_2397);} 
}



/* warning-override-global! */
obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t BgL_nz00_15, obj_t BgL_oz00_16, obj_t BgL_msgz00_17)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 254 */
if(
CBOOL(BGl_za2warningza2z00zz__errorz00))
{ /* ./Ast/venv.scm 257 */
obj_t BgL_locz00_1003;obj_t BgL_oldz00_1004;obj_t BgL_newz00_1005;obj_t BgL_msgz00_1006;
{ /* ./Ast/venv.scm 257 */
obj_t BgL_arg2857z00_1007;
{ /* ./Ast/venv.scm 257 */
BgL_globalz00_bglt BgL_obj1189z00_1682;
BgL_obj1189z00_1682 = 
(BgL_globalz00_bglt)(BgL_oz00_16); 
BgL_arg2857z00_1007 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1189z00_1682))->BgL_srcz00); } 
BgL_locz00_1003 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_arg2857z00_1007); } 
{ /* ./Ast/venv.scm 258 */
obj_t BgL_arg2861z00_1008;obj_t BgL_arg2862z00_1009;
BgL_arg2861z00_1008 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Ast/venv.scm 258 */
obj_t BgL_arg2866z00_1010;obj_t BgL_arg2867z00_1011;
{ /* ./Ast/venv.scm 258 */
BgL_variablez00_bglt BgL_obj1097z00_1683;
BgL_obj1097z00_1683 = 
(BgL_variablez00_bglt)(BgL_oz00_16); 
BgL_arg2866z00_1010 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1683))->BgL_idz00); } 
{ /* ./Ast/venv.scm 258 */
obj_t BgL_arg2871z00_1012;
{ /* ./Ast/venv.scm 258 */
BgL_globalz00_bglt BgL_obj1171z00_1684;
BgL_obj1171z00_1684 = 
(BgL_globalz00_bglt)(BgL_oz00_16); 
BgL_arg2871z00_1012 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_1684))->BgL_modulez00); } 
BgL_arg2867z00_1011 = 
MAKE_PAIR(BgL_arg2871z00_1012, BNIL); } 
BgL_arg2862z00_1009 = 
MAKE_PAIR(BgL_arg2866z00_1010, BgL_arg2867z00_1011); } 
BgL_oldz00_1004 = 
MAKE_PAIR(BgL_arg2861z00_1008, BgL_arg2862z00_1009); } 
{ /* ./Ast/venv.scm 259 */
obj_t BgL_arg2876z00_1014;obj_t BgL_arg2877z00_1015;
BgL_arg2876z00_1014 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Ast/venv.scm 259 */
obj_t BgL_arg2880z00_1016;obj_t BgL_arg2881z00_1017;
{ /* ./Ast/venv.scm 259 */
BgL_variablez00_bglt BgL_obj1097z00_1685;
BgL_obj1097z00_1685 = 
(BgL_variablez00_bglt)(BgL_nz00_15); 
BgL_arg2880z00_1016 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1685))->BgL_idz00); } 
{ /* ./Ast/venv.scm 259 */
obj_t BgL_arg2885z00_1018;
{ /* ./Ast/venv.scm 259 */
BgL_globalz00_bglt BgL_obj1171z00_1686;
BgL_obj1171z00_1686 = 
(BgL_globalz00_bglt)(BgL_nz00_15); 
BgL_arg2885z00_1018 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_1686))->BgL_modulez00); } 
BgL_arg2881z00_1017 = 
MAKE_PAIR(BgL_arg2885z00_1018, BNIL); } 
BgL_arg2877z00_1015 = 
MAKE_PAIR(BgL_arg2880z00_1016, BgL_arg2881z00_1017); } 
BgL_newz00_1005 = 
MAKE_PAIR(BgL_arg2876z00_1014, BgL_arg2877z00_1015); } 
if(
PAIRP(BgL_msgz00_17))
{ /* ./Ast/venv.scm 260 */
BgL_msgz00_1006 = 
CAR(BgL_msgz00_17); }  else 
{ /* ./Ast/venv.scm 260 */
BgL_msgz00_1006 = BGl_string3800z00zzast_envz00; } 
if(
CBOOL(BgL_locz00_1003))
{ /* ./Ast/venv.scm 261 */
return 
BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_1003, BgL_oldz00_1004, BgL_msgz00_1006, BgL_newz00_1005);}  else 
{ /* ./Ast/venv.scm 261 */
return 
BGl_userzd2warningzd2zztools_errorz00(BgL_oldz00_1004, BgL_msgz00_1006, BgL_newz00_1005);} }  else 
{ /* ./Ast/venv.scm 255 */
return BFALSE;} } 
}



/* error-rebind-global! */
obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(obj_t BgL_oz00_18, obj_t BgL_srcz00_19)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 268 */
{ /* ./Ast/venv.scm 270 */
obj_t BgL_locz00_1022;
BgL_locz00_1022 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_19); 
if(
CBOOL(BgL_locz00_1022))
{ /* ./Ast/venv.scm 273 */
obj_t BgL_arg2893z00_1024;obj_t BgL_arg2894z00_1025;
{ /* ./Ast/venv.scm 273 */
BgL_globalz00_bglt BgL_obj1171z00_1689;
BgL_obj1171z00_1689 = 
(BgL_globalz00_bglt)(BgL_oz00_18); 
BgL_arg2893z00_1024 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_1689))->BgL_modulez00); } 
{ /* ./Ast/venv.scm 273 */
BgL_variablez00_bglt BgL_obj1097z00_1690;
BgL_obj1097z00_1690 = 
(BgL_variablez00_bglt)(BgL_oz00_18); 
BgL_arg2894z00_1025 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1690))->BgL_idz00); } 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_1022, BgL_arg2893z00_1024, BGl_string3801z00zzast_envz00, BgL_arg2894z00_1025, BNIL);}  else 
{ /* ./Ast/venv.scm 274 */
obj_t BgL_arg2900z00_1027;obj_t BgL_arg2901z00_1028;
{ /* ./Ast/venv.scm 274 */
BgL_globalz00_bglt BgL_obj1171z00_1691;
BgL_obj1171z00_1691 = 
(BgL_globalz00_bglt)(BgL_oz00_18); 
BgL_arg2900z00_1027 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_1691))->BgL_modulez00); } 
{ /* ./Ast/venv.scm 274 */
BgL_variablez00_bglt BgL_obj1097z00_1692;
BgL_obj1097z00_1692 = 
(BgL_variablez00_bglt)(BgL_oz00_18); 
BgL_arg2901z00_1028 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1692))->BgL_idz00); } 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_arg2900z00_1027, BGl_string3801z00zzast_envz00, BgL_arg2901z00_1028, BNIL);} } } 
}



/* bind-global! */
BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t BgL_idz00_20, obj_t BgL_modulez00_21, BgL_valuez00_bglt BgL_valuez00_22, obj_t BgL_importz00_23, obj_t BgL_srcz00_24)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 291 */
{ /* ./Ast/venv.scm 296 */
obj_t BgL_oldz00_1030;
{ /* ./Ast/venv.scm 296 */
obj_t BgL_list2987z00_1070;
BgL_list2987z00_1070 = 
MAKE_PAIR(BgL_modulez00_21, BNIL); 
BgL_oldz00_1030 = 
BGl_findzd2globalzd2zzast_envz00(BgL_idz00_20, BgL_list2987z00_1070); } 
{ /* ./Ast/venv.scm 297 */
bool_t BgL_test2907z00_1031;
BgL_test2907z00_1031 = 
BGl_iszd2azf3z21zz__objectz00(BgL_oldz00_1030, BGl_globalz00zzast_varz00); 
if(BgL_test2907z00_1031)
{ /* ./Ast/venv.scm 297 */
if(
CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
{ /* ./Ast/venv.scm 298 */
return 
(BgL_globalz00_bglt)(BgL_oldz00_1030);}  else 
{ /* ./Ast/venv.scm 300 */
obj_t BgL_auxz00_2658;
BgL_auxz00_2658 = 
BGl_errorzd2rebindzd2globalz12z12zzast_envz00(BgL_oldz00_1030, BgL_srcz00_24); 
return 
(BgL_globalz00_bglt)(BgL_auxz00_2658);} }  else 
{ /* ./Ast/venv.scm 301 */
obj_t BgL_bucketz00_1032;BgL_globalz00_bglt BgL_newz00_1033;
BgL_bucketz00_1032 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_20); 
{ /* ./Ast/venv.scm 307 */
obj_t BgL_arg2971z00_1059;BgL_valuez00_bglt BgL_arg2972z00_1060;obj_t BgL_arg2973z00_1061;obj_t BgL_arg2974z00_1062;obj_t BgL_arg2976z00_1064;obj_t BgL_arg2977z00_1065;obj_t BgL_arg2979z00_1067;obj_t BgL_arg2980z00_1068;
BgL_arg2971z00_1059 = BgL_idz00_20; 
BgL_arg2972z00_1060 = BgL_valuez00_22; 
BgL_arg2973z00_1061 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg2974z00_1062 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg2976z00_1064 = BgL_modulez00_21; 
BgL_arg2977z00_1065 = BgL_importz00_23; 
BgL_arg2979z00_1067 = BgL_srcz00_24; 
{ /* ./Ast/venv.scm 304 */
bool_t BgL_test2982z00_1069;
{ /* ./Ast/venv.scm 304 */
obj_t BgL_auxz00_2664;
BgL_auxz00_2664 = 
CNST_TABLE_REF(((long)6)); 
BgL_test2982z00_1069 = 
(BgL_importz00_23==BgL_auxz00_2664); } 
if(BgL_test2982z00_1069)
{ /* ./Ast/venv.scm 304 */
BgL_arg2980z00_1068 = BGl_string3802z00zzast_envz00; }  else 
{ /* ./Ast/venv.scm 304 */
BgL_arg2980z00_1068 = 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_21); } } 
{ /* ./Ast/venv.scm 302 */
BgL_globalz00_bglt BgL_res3658z00_1751;
{ /* ./Ast/venv.scm 302 */
BgL_typez00_bglt BgL_type1231z00_1696;
BgL_type1231z00_1696 = 
(BgL_typez00_bglt)(BGl_za2_za2z00zztype_cachez00); 
{ /* ./Ast/venv.scm 302 */
BgL_globalz00_bglt BgL_new1245z00_1710;
{ /* ./Ast/venv.scm 302 */
BgL_globalz00_bglt BgL_res3656z00_1716;
{ /* ./Ast/venv.scm 302 */
BgL_globalz00_bglt BgL_new1247z00_1711;
BgL_new1247z00_1711 = 
((BgL_globalz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_globalz00_bgl) ))); 
{ /* ./Ast/venv.scm 302 */
long BgL_arg3516z00_1712;
BgL_arg3516z00_1712 = 
BGl_classzd2numzd2zz__objectz00(BGl_globalz00zzast_varz00); 
{ /* ./Ast/venv.scm 302 */
BgL_objectz00_bglt BgL_objz00_1713;
BgL_objz00_1713 = 
(BgL_objectz00_bglt)(BgL_new1247z00_1711); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1713, BgL_arg3516z00_1712); } } 
{ /* ./Ast/venv.scm 302 */
BgL_objectz00_bglt BgL_auxz00_2674;
BgL_auxz00_2674 = 
(BgL_objectz00_bglt)(BgL_new1247z00_1711); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2674, BFALSE); } 
{ /* ./Ast/venv.scm 302 */
obj_t BgL_objz00_1715;
BgL_objz00_1715 = 
(obj_t)(BgL_new1247z00_1711); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1715); BUNSPEC; } 
BgL_res3656z00_1716 = BgL_new1247z00_1711; } 
BgL_new1245z00_1710 = BgL_res3656z00_1716; } 
{ /* ./Ast/venv.scm 302 */
BgL_globalz00_bglt BgL_res3657z00_1750;
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1710))->BgL_idz00) = ((obj_t)BgL_arg2971z00_1059), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1710))->BgL_namez00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1710))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1231z00_1696), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1710))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_arg2972z00_1060), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1710))->BgL_accessz00) = ((obj_t)BgL_arg2973z00_1061), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1710))->BgL_fastzd2alphazd2) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1710))->BgL_removablez00) = ((obj_t)BgL_arg2974z00_1062), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1710))->BgL_occurrencez00) = ((long)((long)0)), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1710))->BgL_modulez00) = ((obj_t)BgL_arg2976z00_1064), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1710))->BgL_importz00) = ((obj_t)BgL_arg2977z00_1065), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1710))->BgL_evaluablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1710))->BgL_libraryzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1710))->BgL_userzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1710))->BgL_pragmaz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1710))->BgL_srcz00) = ((obj_t)BgL_arg2979z00_1067), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1710))->BgL_jvmzd2typezd2namez00) = ((obj_t)BgL_arg2980z00_1068), BUNSPEC); 
BgL_res3657z00_1750 = BgL_new1245z00_1710; BgL_res3657z00_1750; } 
BgL_res3658z00_1751 = BgL_new1245z00_1710; } } 
BgL_newz00_1033 = BgL_res3658z00_1751; } } 
{ /* ./Ast/venv.scm 312 */
bool_t BgL_test2909z00_1034;
if(
PAIRP(BgL_bucketz00_1032))
{ /* ./Ast/venv.scm 312 */
obj_t BgL_auxz00_2697;
BgL_auxz00_2697 = 
CDR(BgL_bucketz00_1032); 
BgL_test2909z00_1034 = 
NULLP(BgL_auxz00_2697); }  else 
{ /* ./Ast/venv.scm 312 */
BgL_test2909z00_1034 = ((bool_t)1); } 
if(BgL_test2909z00_1034)
{ /* ./Ast/venv.scm 312 */
{ /* ./Ast/venv.scm 314 */
obj_t BgL_arg2911z00_1035;
{ /* ./Ast/venv.scm 314 */
obj_t BgL_list2914z00_1036;
{ /* ./Ast/venv.scm 314 */
obj_t BgL_arg2917z00_1037;
{ /* ./Ast/venv.scm 314 */
obj_t BgL_auxz00_2701;
BgL_auxz00_2701 = 
(obj_t)(BgL_newz00_1033); 
BgL_arg2917z00_1037 = 
MAKE_PAIR(BgL_auxz00_2701, BNIL); } 
BgL_list2914z00_1036 = 
MAKE_PAIR(BgL_idz00_20, BgL_arg2917z00_1037); } 
BgL_arg2911z00_1035 = BgL_list2914z00_1036; } 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_20, BgL_arg2911z00_1035); } 
return BgL_newz00_1033;}  else 
{ /* ./Ast/venv.scm 312 */
{ /* ./Ast/venv.scm 317 */
obj_t BgL_oldza2za2_1038;
BgL_oldza2za2_1038 = 
CDR(BgL_bucketz00_1032); 
{ /* ./Ast/venv.scm 317 */
obj_t BgL_midz00_1039;
{ /* ./Ast/venv.scm 319 */
obj_t BgL_arg2956z00_1055;
{ /* ./Ast/venv.scm 319 */
BgL_globalz00_bglt BgL_obj1171z00_1759;
{ /* ./Ast/venv.scm 319 */
obj_t BgL_auxz00_2707;
BgL_auxz00_2707 = 
CAR(BgL_oldza2za2_1038); 
BgL_obj1171z00_1759 = 
(BgL_globalz00_bglt)(BgL_auxz00_2707); } 
BgL_arg2956z00_1055 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_1759))->BgL_modulez00); } 
BgL_midz00_1039 = 
BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(BgL_arg2956z00_1055); } 
{ /* ./Ast/venv.scm 318 */

{ /* ./Ast/venv.scm 321 */
bool_t BgL_test2920z00_1040;
{ /* ./Ast/venv.scm 321 */
obj_t BgL_arg2949z00_1053;
{ /* ./Ast/venv.scm 321 */
BgL_globalz00_bglt BgL_obj1171z00_1761;
{ /* ./Ast/venv.scm 321 */
obj_t BgL_auxz00_2712;
BgL_auxz00_2712 = 
CAR(BgL_oldza2za2_1038); 
BgL_obj1171z00_1761 = 
(BgL_globalz00_bglt)(BgL_auxz00_2712); } 
BgL_arg2949z00_1053 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_1761))->BgL_modulez00); } 
BgL_test2920z00_1040 = 
(BgL_arg2949z00_1053==BGl_za2moduleza2z00zzmodule_modulez00); } 
if(BgL_test2920z00_1040)
{ /* ./Ast/venv.scm 321 */
{ /* ./Ast/venv.scm 323 */
bool_t BgL_test2921z00_1041;
{ /* ./Ast/venv.scm 323 */
bool_t BgL_test2927z00_1044;
BgL_test2927z00_1044 = 
(BgL_idz00_20==BgL_midz00_1039); 
if(BgL_test2927z00_1044)
{ /* ./Ast/venv.scm 323 */
BgL_test2921z00_1041 = ((bool_t)0); }  else 
{ /* ./Ast/venv.scm 323 */
if(
CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
{ /* ./Ast/venv.scm 324 */
BgL_test2921z00_1041 = ((bool_t)0); }  else 
{ /* ./Ast/venv.scm 324 */
BgL_test2921z00_1041 = ((bool_t)1); } } } 
if(BgL_test2921z00_1041)
{ /* ./Ast/venv.scm 325 */
obj_t BgL_arg2923z00_1042;
BgL_arg2923z00_1042 = 
CAR(BgL_oldza2za2_1038); 
BGl_warningzd2overridezd2globalz12z12zzast_envz00(BgL_arg2923z00_1042, 
(obj_t)(BgL_newz00_1033), BNIL); }  else 
{ /* ./Ast/venv.scm 323 */BFALSE; } } 
{ /* ./Ast/venv.scm 326 */
obj_t BgL_arg2930z00_1045;obj_t BgL_arg2931z00_1046;
BgL_arg2930z00_1045 = 
CDR(BgL_bucketz00_1032); 
{ /* ./Ast/venv.scm 326 */
obj_t BgL_arg2935z00_1047;
{ /* ./Ast/venv.scm 326 */
obj_t BgL_auxz00_2727;
BgL_auxz00_2727 = 
CDR(BgL_bucketz00_1032); 
BgL_arg2935z00_1047 = 
CDR(BgL_auxz00_2727); } 
{ /* ./Ast/venv.scm 326 */
obj_t BgL_auxz00_2730;
BgL_auxz00_2730 = 
(obj_t)(BgL_newz00_1033); 
BgL_arg2931z00_1046 = 
MAKE_PAIR(BgL_auxz00_2730, BgL_arg2935z00_1047); } } 
SET_CDR(BgL_arg2930z00_1045, BgL_arg2931z00_1046); } 
return BgL_newz00_1033;}  else 
{ /* ./Ast/venv.scm 321 */
{ /* ./Ast/venv.scm 329 */
obj_t BgL_newza2za2_1048;
{ /* ./Ast/venv.scm 329 */
obj_t BgL_auxz00_2734;
BgL_auxz00_2734 = 
(obj_t)(BgL_newz00_1033); 
BgL_newza2za2_1048 = 
MAKE_PAIR(BgL_auxz00_2734, BgL_oldza2za2_1038); } 
{ /* ./Ast/venv.scm 330 */
bool_t BgL_test2938z00_1049;
{ /* ./Ast/venv.scm 330 */
bool_t BgL_test2944z00_1052;
BgL_test2944z00_1052 = 
(BgL_idz00_20==BgL_midz00_1039); 
if(BgL_test2944z00_1052)
{ /* ./Ast/venv.scm 330 */
BgL_test2938z00_1049 = ((bool_t)0); }  else 
{ /* ./Ast/venv.scm 330 */
if(
CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
{ /* ./Ast/venv.scm 331 */
BgL_test2938z00_1049 = ((bool_t)0); }  else 
{ /* ./Ast/venv.scm 331 */
BgL_test2938z00_1049 = ((bool_t)1); } } } 
if(BgL_test2938z00_1049)
{ /* ./Ast/venv.scm 332 */
obj_t BgL_arg2940z00_1050;
BgL_arg2940z00_1050 = 
CAR(BgL_oldza2za2_1038); 
BGl_warningzd2overridezd2globalz12z12zzast_envz00(
(obj_t)(BgL_newz00_1033), BgL_arg2940z00_1050, BNIL); }  else 
{ /* ./Ast/venv.scm 330 */BFALSE; } } 
SET_CDR(BgL_bucketz00_1032, BgL_newza2za2_1048); 
return BgL_newz00_1033;} } } } } } } } } } } } 
}



/* _bind-global! */
obj_t BGl__bindzd2globalz12zc0zzast_envz00(obj_t BgL_envz00_2398, obj_t BgL_idz00_2399, obj_t BgL_modulez00_2400, obj_t BgL_valuez00_2401, obj_t BgL_importz00_2402, obj_t BgL_srcz00_2403)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 291 */
{ /* ./Ast/venv.scm 296 */
BgL_globalz00_bglt BgL_auxz00_2746;
BgL_auxz00_2746 = 
BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_2399, BgL_modulez00_2400, 
(BgL_valuez00_bglt)(BgL_valuez00_2401), BgL_importz00_2402, BgL_srcz00_2403); 
return 
(obj_t)(BgL_auxz00_2746);} } 
}



/* unbind-global! */
BGL_EXPORTED_DEF obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t BgL_idz00_30, obj_t BgL_modulez00_31)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 384 */
{ /* ./Ast/venv.scm 385 */
obj_t BgL_globalz00_1108;
{ /* ./Ast/venv.scm 385 */
obj_t BgL_list3096z00_1127;
BgL_list3096z00_1127 = 
MAKE_PAIR(BgL_modulez00_31, BNIL); 
BgL_globalz00_1108 = 
BGl_findzd2globalzd2zzast_envz00(BgL_idz00_30, BgL_list3096z00_1127); } 
{ /* ./Ast/venv.scm 386 */
bool_t BgL_test3059z00_1109;
BgL_test3059z00_1109 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_1108, BGl_globalz00zzast_varz00); 
if(BgL_test3059z00_1109)
{ /* ./Ast/venv.scm 388 */
obj_t BgL_bucketz00_1110;
BgL_bucketz00_1110 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_30); 
{ 
obj_t BgL_curz00_1111;obj_t BgL_prevz00_1112;
{ /* ./Ast/venv.scm 389 */
obj_t BgL_arg3061z00_1114;
BgL_arg3061z00_1114 = 
CDR(BgL_bucketz00_1110); 
BgL_curz00_1111 = BgL_arg3061z00_1114; 
BgL_prevz00_1112 = BgL_bucketz00_1110; 
BgL_loopz00_1113:
{ /* ./Ast/venv.scm 391 */
bool_t BgL_test3064z00_1115;
{ /* ./Ast/venv.scm 391 */
obj_t BgL_auxz00_2756;
BgL_auxz00_2756 = 
CAR(BgL_curz00_1111); 
BgL_test3064z00_1115 = 
(BgL_auxz00_2756==BgL_globalz00_1108); } 
if(BgL_test3064z00_1115)
{ /* ./Ast/venv.scm 392 */
obj_t BgL_arg3066z00_1116;
BgL_arg3066z00_1116 = 
CDR(BgL_curz00_1111); 
return 
SET_CDR(BgL_prevz00_1112, BgL_arg3066z00_1116);}  else 
{ /* ./Ast/venv.scm 393 */
obj_t BgL_arg3070z00_1117;obj_t BgL_arg3071z00_1118;
BgL_arg3070z00_1117 = 
CDR(BgL_curz00_1111); 
BgL_arg3071z00_1118 = 
CDR(BgL_prevz00_1112); 
{ 
obj_t BgL_prevz00_2765;obj_t BgL_curz00_2764;
BgL_curz00_2764 = BgL_arg3070z00_1117; 
BgL_prevz00_2765 = BgL_arg3071z00_1118; 
BgL_prevz00_1112 = BgL_prevz00_2765; 
BgL_curz00_1111 = BgL_curz00_2764; 
goto BgL_loopz00_1113;} } } } } }  else 
{ /* ./Ast/venv.scm 387 */
obj_t BgL_arg3083z00_1122;
{ /* ./Ast/venv.scm 387 */
obj_t BgL_arg3087z00_1124;obj_t BgL_arg3088z00_1125;
BgL_arg3087z00_1124 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Ast/venv.scm 387 */
obj_t BgL_arg3091z00_1126;
BgL_arg3091z00_1126 = 
MAKE_PAIR(BgL_modulez00_31, BNIL); 
BgL_arg3088z00_1125 = 
MAKE_PAIR(BgL_idz00_30, BgL_arg3091z00_1126); } 
BgL_arg3083z00_1122 = 
MAKE_PAIR(BgL_arg3087z00_1124, BgL_arg3088z00_1125); } 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string3803z00zzast_envz00, BGl_string3804z00zzast_envz00, BgL_arg3083z00_1122, BNIL);} } } } 
}



/* _unbind-global! */
obj_t BGl__unbindzd2globalz12zc0zzast_envz00(obj_t BgL_envz00_2404, obj_t BgL_idz00_2405, obj_t BgL_modulez00_2406)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 384 */
return 
BGl_unbindzd2globalz12zc0zzast_envz00(BgL_idz00_2405, BgL_modulez00_2406);} 
}



/* for-each-global! */
BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t BgL_procz00_32)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 398 */
{ /* ./Ast/venv.scm 400 */
obj_t BgL_zc3anonymousza33101ze3z83_2407;
{ 
int BgL_auxz00_2774;int BgL_auxz00_2772;
BgL_auxz00_2774 = 
(int)(((long)1)); 
BgL_auxz00_2772 = 
(int)(((long)2)); 
BgL_zc3anonymousza33101ze3z83_2407 = 
make_fx_procedure(BGl_zc3anonymousza33101ze3z83zzast_envz00, BgL_auxz00_2772, BgL_auxz00_2774); } 
{ /* ./Ast/venv.scm 400 */
int BgL_auxz00_2777;
BgL_auxz00_2777 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33101ze3z83_2407, BgL_auxz00_2777, BgL_procz00_32); } 
return 
BGl_hashtablezd2forzd2eachz00zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_zc3anonymousza33101ze3z83_2407);} } 
}



/* _for-each-global! */
obj_t BGl__forzd2eachzd2globalz12z12zzast_envz00(obj_t BgL_envz00_2408, obj_t BgL_procz00_2409)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 398 */
return 
BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_procz00_2409);} 
}



/* <anonymous:3101> */
obj_t BGl_zc3anonymousza33101ze3z83zzast_envz00(obj_t BgL_envz00_2410, obj_t BgL_kz00_2412, obj_t BgL_bucketz00_2413)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 400 */
{ /* ./Ast/venv.scm 400 */
obj_t BgL_procz00_2411;
{ /* ./Ast/venv.scm 400 */
int BgL_auxz00_2782;
BgL_auxz00_2782 = 
(int)(((long)0)); 
BgL_procz00_2411 = 
PROCEDURE_REF(BgL_envz00_2410, BgL_auxz00_2782); } 
{ 
obj_t BgL_kz00_1129;obj_t BgL_bucketz00_1130;
{ /* ./Ast/venv.scm 400 */
bool_t BgL_auxz00_2785;
BgL_kz00_1129 = BgL_kz00_2412; 
BgL_bucketz00_1130 = BgL_bucketz00_2413; 
{ 
obj_t BgL_l2691z00_1132;
{ /* ./Ast/venv.scm 400 */
obj_t BgL_arg3103z00_1134;
BgL_arg3103z00_1134 = 
CDR(BgL_bucketz00_1130); 
BgL_l2691z00_1132 = BgL_arg3103z00_1134; 
BgL_forzd2each2692zd2_1133:
{ /* ./Ast/venv.scm 400 */
bool_t BgL_test3106z00_1135;
BgL_test3106z00_1135 = 
PAIRP(BgL_l2691z00_1132); 
if(BgL_test3106z00_1135)
{ /* ./Ast/venv.scm 400 */
{ /* ./Ast/venv.scm 400 */
obj_t BgL_arg3108z00_1136;
BgL_arg3108z00_1136 = 
CAR(BgL_l2691z00_1132); 
PROCEDURE_ENTRY(BgL_procz00_2411)(BgL_procz00_2411, BgL_arg3108z00_1136, BEOA); } 
{ /* ./Ast/venv.scm 400 */
obj_t BgL_arg3112z00_1137;
BgL_arg3112z00_1137 = 
CDR(BgL_l2691z00_1132); 
{ 
obj_t BgL_l2691z00_2793;
BgL_l2691z00_2793 = BgL_arg3112z00_1137; 
BgL_l2691z00_1132 = BgL_l2691z00_2793; 
goto BgL_forzd2each2692zd2_1133;} } }  else 
{ /* ./Ast/venv.scm 400 */
BgL_auxz00_2785 = ((bool_t)1); } } } } 
return 
BBOOL(BgL_auxz00_2785);} } } } 
}



/* global-bucket-position */
BGL_EXPORTED_DEF obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t BgL_idz00_33, obj_t BgL_modulez00_34)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 405 */
{ /* ./Ast/venv.scm 406 */
obj_t BgL_bucketz00_1139;
BgL_bucketz00_1139 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_33); 
if(
PAIRP(BgL_bucketz00_1139))
{ 
obj_t BgL_globalsz00_1141;long BgL_posz00_1142;
{ /* ./Ast/venv.scm 409 */
long BgL_auxz00_2798;
BgL_globalsz00_1141 = 
CDR(BgL_bucketz00_1139); 
BgL_posz00_1142 = ((long)0); 
BgL_loopz00_1143:
if(
NULLP(BgL_globalsz00_1141))
{ /* ./Ast/venv.scm 412 */
BgL_auxz00_2798 = ((long)-1); }  else 
{ /* ./Ast/venv.scm 414 */
bool_t BgL_testz00_2801;
{ /* ./Ast/venv.scm 414 */
obj_t BgL_auxz00_2802;
{ /* ./Ast/venv.scm 414 */
BgL_globalz00_bglt BgL_obj1171z00_1789;
{ /* ./Ast/venv.scm 414 */
obj_t BgL_auxz00_2803;
BgL_auxz00_2803 = 
CAR(BgL_globalsz00_1141); 
BgL_obj1171z00_1789 = 
(BgL_globalz00_bglt)(BgL_auxz00_2803); } 
BgL_auxz00_2802 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_1789))->BgL_modulez00); } 
BgL_testz00_2801 = 
(BgL_auxz00_2802==BgL_modulez00_34); } 
if(BgL_testz00_2801)
{ /* ./Ast/venv.scm 414 */
BgL_auxz00_2798 = BgL_posz00_1142; }  else 
{ /* ./Ast/venv.scm 414 */
{ 
long BgL_posz00_2810;obj_t BgL_globalsz00_2808;
BgL_globalsz00_2808 = 
CDR(BgL_globalsz00_1141); 
BgL_posz00_2810 = 
(BgL_posz00_1142+((long)1)); 
BgL_posz00_1142 = BgL_posz00_2810; 
BgL_globalsz00_1141 = BgL_globalsz00_2808; 
goto BgL_loopz00_1143;} } } 
return 
BINT(BgL_auxz00_2798);} }  else 
{ /* ./Ast/venv.scm 407 */
return 
BINT(((long)-1));} } } 
}



/* _global-bucket-position */
obj_t BGl__globalzd2bucketzd2positionz00zzast_envz00(obj_t BgL_envz00_2414, obj_t BgL_idz00_2415, obj_t BgL_modulez00_2416)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 405 */
return 
BGl_globalzd2bucketzd2positionz00zzast_envz00(BgL_idz00_2415, BgL_modulez00_2416);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_envz00()
{ AN_OBJECT;
{ /* ./Ast/venv.scm 14 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00, BGl_restorezd2valuezd2typesz12zd2default2693zd2envz12zzast_envz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00, BGl_sfunz00zzast_varz00, BGl_proc3805z00zzast_envz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00, BGl_cfunz00zzast_varz00, BGl_proc3806z00zzast_envz00);} 
}



/* restore-value-types!-cfun2698 */
obj_t BGl_restorezd2valuezd2typesz12zd2cfun2698zc0zzast_envz00(obj_t BgL_envz00_2419, obj_t BgL_valuez00_2420)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 185 */
{ 
BgL_cfunz00_bglt BgL_valuez00_1576;
{ /* ./Ast/venv.scm 186 */
bool_t BgL_auxz00_2819;
BgL_valuez00_1576 = 
(BgL_cfunz00_bglt)(BgL_valuez00_2420); 
{ 
obj_t BgL_argsz00_1580;
{ /* ./Ast/venv.scm 187 */
obj_t BgL_arg3615z00_1582;
BgL_arg3615z00_1582 = 
(((BgL_cfunz00_bglt)CREF(BgL_valuez00_1576))->BgL_argszd2typezd2); 
BgL_argsz00_1580 = BgL_arg3615z00_1582; 
BgL_loopz00_1581:
{ /* ./Ast/venv.scm 188 */
bool_t BgL_test3618z00_1583;
BgL_test3618z00_1583 = 
PAIRP(BgL_argsz00_1580); 
if(BgL_test3618z00_1583)
{ /* ./Ast/venv.scm 188 */
{ /* ./Ast/venv.scm 190 */
BgL_typez00_bglt BgL_arg3620z00_1584;
{ /* ./Ast/venv.scm 190 */
obj_t BgL_arg3623z00_1585;
{ /* ./Ast/venv.scm 190 */
BgL_typez00_bglt BgL_obj1003z00_2346;
{ /* ./Ast/venv.scm 190 */
obj_t BgL_auxz00_2823;
BgL_auxz00_2823 = 
CAR(BgL_argsz00_1580); 
BgL_obj1003z00_2346 = 
(BgL_typez00_bglt)(BgL_auxz00_2823); } 
BgL_arg3623z00_1585 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_2346))->BgL_idz00); } 
BgL_arg3620z00_1584 = 
BGl_findzd2typezd2zztype_envz00(BgL_arg3623z00_1585); } 
{ /* ./Ast/venv.scm 190 */
obj_t BgL_objz00_2348;
BgL_objz00_2348 = 
(obj_t)(BgL_arg3620z00_1584); 
SET_CAR(BgL_argsz00_1580, BgL_objz00_2348); } } 
{ /* ./Ast/venv.scm 191 */
obj_t BgL_arg3630z00_1587;
BgL_arg3630z00_1587 = 
CDR(BgL_argsz00_1580); 
{ 
obj_t BgL_argsz00_2831;
BgL_argsz00_2831 = BgL_arg3630z00_1587; 
BgL_argsz00_1580 = BgL_argsz00_2831; 
goto BgL_loopz00_1581;} } }  else 
{ /* ./Ast/venv.scm 188 */
BgL_auxz00_2819 = ((bool_t)0)
; } } } } 
return 
BBOOL(BgL_auxz00_2819);} } } 
}



/* restore-value-types!-sfun2696 */
obj_t BGl_restorezd2valuezd2typesz12zd2sfun2696zc0zzast_envz00(obj_t BgL_envz00_2421, obj_t BgL_valuez00_2422)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 150 */
{ 
BgL_sfunz00_bglt BgL_valuez00_1544;
BgL_valuez00_1544 = 
(BgL_sfunz00_bglt)(BgL_valuez00_2422); 
{ 
obj_t BgL_argsz00_1548;
{ /* ./Ast/venv.scm 152 */
obj_t BgL_arg3551z00_1550;
BgL_arg3551z00_1550 = 
(((BgL_sfunz00_bglt)CREF(BgL_valuez00_1544))->BgL_argsz00); 
BgL_argsz00_1548 = BgL_arg3551z00_1550; 
BgL_loopz00_1549:
{ /* ./Ast/venv.scm 154 */
bool_t BgL_test3554z00_1551;
BgL_test3554z00_1551 = 
PAIRP(BgL_argsz00_1548); 
if(BgL_test3554z00_1551)
{ /* ./Ast/venv.scm 154 */
{ /* ./Ast/venv.scm 155 */
obj_t BgL_argz00_1552;
BgL_argz00_1552 = 
CAR(BgL_argsz00_1548); 
{ /* ./Ast/venv.scm 157 */
bool_t BgL_test3555z00_1553;
BgL_test3555z00_1553 = 
BGl_iszd2azf3z21zz__objectz00(BgL_argz00_1552, BGl_typez00zztype_typez00); 
if(BgL_test3555z00_1553)
{ /* ./Ast/venv.scm 157 */
{ /* ./Ast/venv.scm 158 */
BgL_typez00_bglt BgL_arg3557z00_1554;
{ /* ./Ast/venv.scm 158 */
obj_t BgL_arg3560z00_1555;
{ /* ./Ast/venv.scm 158 */
BgL_typez00_bglt BgL_obj1003z00_2320;
BgL_obj1003z00_2320 = 
(BgL_typez00_bglt)(BgL_argz00_1552); 
BgL_arg3560z00_1555 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_2320))->BgL_idz00); } 
BgL_arg3557z00_1554 = 
BGl_findzd2typezd2zztype_envz00(BgL_arg3560z00_1555); } 
{ /* ./Ast/venv.scm 158 */
obj_t BgL_objz00_2322;
BgL_objz00_2322 = 
(obj_t)(BgL_arg3557z00_1554); 
SET_CAR(BgL_argsz00_1548, BgL_objz00_2322); } } }  else 
{ /* ./Ast/venv.scm 159 */
bool_t BgL_test3563z00_1556;
BgL_test3563z00_1556 = 
BGl_iszd2azf3z21zz__objectz00(BgL_argz00_1552, BGl_localz00zzast_varz00); 
if(BgL_test3563z00_1556)
{ /* ./Ast/venv.scm 159 */
{ /* ./Ast/venv.scm 160 */
BgL_typez00_bglt BgL_newzd2typezd2_1557;
{ /* ./Ast/venv.scm 160 */
obj_t BgL_arg3566z00_1558;
{ /* ./Ast/venv.scm 160 */
BgL_typez00_bglt BgL_arg3569z00_1559;
{ /* ./Ast/venv.scm 160 */
BgL_variablez00_bglt BgL_obj1101z00_2324;
BgL_obj1101z00_2324 = 
(BgL_variablez00_bglt)(BgL_argz00_1552); 
BgL_arg3569z00_1559 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1101z00_2324))->BgL_typez00); } 
BgL_arg3566z00_1558 = 
(((BgL_typez00_bglt)CREF(BgL_arg3569z00_1559))->BgL_idz00); } 
BgL_newzd2typezd2_1557 = 
BGl_findzd2typezd2zztype_envz00(BgL_arg3566z00_1558); } 
{ /* ./Ast/venv.scm 161 */
BgL_variablez00_bglt BgL_obj1103z00_2326;
BgL_obj1103z00_2326 = 
(BgL_variablez00_bglt)(BgL_argz00_1552); 
((((BgL_variablez00_bglt)CREF(BgL_obj1103z00_2326))->BgL_typez00) = ((BgL_typez00_bglt)BgL_newzd2typezd2_1557), BUNSPEC); } } }  else 
{ /* ./Ast/venv.scm 159 */
{ /* ./Ast/venv.scm 163 */
obj_t BgL_arg3575z00_1562;
BgL_arg3575z00_1562 = 
BGl_shapez00zztools_shapez00(BgL_argz00_1552); 
FAILURE(BGl_string3807z00zzast_envz00,BGl_string3808z00zzast_envz00,BgL_arg3575z00_1562);} } } } 
{ /* ./Ast/venv.scm 166 */
obj_t BgL_arg3581z00_1563;
BgL_arg3581z00_1563 = 
CDR(BgL_argsz00_1548); 
{ 
obj_t BgL_argsz00_2856;
BgL_argsz00_2856 = BgL_arg3581z00_1563; 
BgL_argsz00_1548 = BgL_argsz00_2856; 
goto BgL_loopz00_1549;} } } }  else 
{ /* ./Ast/venv.scm 167 */
bool_t BgL_test3585z00_1564;
BgL_test3585z00_1564 = 
NULLP(BgL_argsz00_1548); 
if(BgL_test3585z00_1564)
{ /* ./Ast/venv.scm 167 */
{ /* ./Ast/venv.scm 168 */
obj_t BgL_bodyz00_1565;
BgL_bodyz00_1565 = 
(((BgL_sfunz00_bglt)CREF(BgL_valuez00_1544))->BgL_bodyz00); 
{ /* ./Ast/venv.scm 170 */
bool_t BgL_test3586z00_1566;
BgL_test3586z00_1566 = 
BGl_iszd2azf3z21zz__objectz00(BgL_bodyz00_1565, BGl_nodez00zzast_nodez00); 
if(BgL_test3586z00_1566)
{ /* ./Ast/venv.scm 171 */
BgL_typez00_bglt BgL_tresz00_1567;
{ /* ./Ast/venv.scm 171 */
BgL_nodez00_bglt BgL_obj1550z00_2335;
BgL_obj1550z00_2335 = 
(BgL_nodez00_bglt)(BgL_bodyz00_1565); 
BgL_tresz00_1567 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2335))->BgL_typez00); } 
{ /* ./Ast/venv.scm 172 */
bool_t BgL_test3587z00_1568;
{ /* ./Ast/venv.scm 172 */
obj_t BgL_obj1090z00_2336;
BgL_obj1090z00_2336 = 
(obj_t)(BgL_tresz00_1567); 
BgL_test3587z00_1568 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1090z00_2336, BGl_typez00zztype_typez00); } 
if(BgL_test3587z00_1568)
{ /* ./Ast/venv.scm 172 */
BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
(BgL_nodez00_bglt)(BgL_bodyz00_1565)); 
{ /* ./Ast/venv.scm 176 */
BgL_typez00_bglt BgL_arg3590z00_1569;
{ /* ./Ast/venv.scm 176 */
obj_t BgL_arg3593z00_1570;
BgL_arg3593z00_1570 = 
(((BgL_typez00_bglt)CREF(BgL_tresz00_1567))->BgL_idz00); 
BgL_arg3590z00_1569 = 
BGl_findzd2typezd2zztype_envz00(BgL_arg3593z00_1570); } 
{ /* ./Ast/venv.scm 175 */
BgL_nodez00_bglt BgL_obj1552z00_2338;
BgL_obj1552z00_2338 = 
(BgL_nodez00_bglt)(BgL_bodyz00_1565); 
return 
((((BgL_nodez00_bglt)CREF(BgL_obj1552z00_2338))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3590z00_1569), BUNSPEC);} } }  else 
{ /* ./Ast/venv.scm 172 */
return BFALSE;} } }  else 
{ /* ./Ast/venv.scm 170 */
return BFALSE;} } } }  else 
{ /* ./Ast/venv.scm 167 */
{ /* ./Ast/venv.scm 178 */
obj_t BgL_arg3603z00_1573;
BgL_arg3603z00_1573 = 
BGl_shapez00zztools_shapez00(BgL_argsz00_1548); 
FAILURE(BGl_string3809z00zzast_envz00,BGl_string3810z00zzast_envz00,BgL_arg3603z00_1573);} } } } } } } } 
}



/* restore-value-types! */
obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt BgL_valuez00_7)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 144 */
{ /* ./Ast/venv.scm 144 */
obj_t BgL_method2694z00_2350;
{ /* ./Ast/venv.scm 144 */
BgL_objectz00_bglt BgL_objz00_2351;
BgL_objz00_2351 = 
(BgL_objectz00_bglt)(BgL_valuez00_7); 
{ /* ./Ast/venv.scm 144 */
long BgL_objzd2classzd2numz00_2352;
BgL_objzd2classzd2numz00_2352 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2351); 
{ /* ./Ast/venv.scm 144 */
obj_t BgL_arg1989z00_2353;
{ /* ./Ast/venv.scm 144 */
int BgL_auxz00_2878;
BgL_auxz00_2878 = 
(int)(((long)1)); 
BgL_arg1989z00_2353 = 
PROCEDURE_REF(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00, BgL_auxz00_2878); } 
{ /* ./Ast/venv.scm 144 */
int BgL_offsetz00_2356;
BgL_offsetz00_2356 = 
(int)(BgL_objzd2classzd2numz00_2352); 
{ /* ./Ast/venv.scm 144 */
long BgL_offsetz00_2357;
{ /* ./Ast/venv.scm 144 */
long BgL_auxz00_2882;
BgL_auxz00_2882 = 
(long)(BgL_offsetz00_2356); 
BgL_offsetz00_2357 = 
(BgL_auxz00_2882-OBJECT_TYPE); } 
{ /* ./Ast/venv.scm 144 */
long BgL_modz00_2358;
{ /* ./Ast/venv.scm 144 */
int BgL_arg2000z00_2359;
BgL_arg2000z00_2359 = 
(int)(((long)8)); 
{ /* ./Ast/venv.scm 144 */
long BgL_n2z00_2367;
BgL_n2z00_2367 = 
(long)(BgL_arg2000z00_2359); 
BgL_modz00_2358 = 
(BgL_offsetz00_2357/BgL_n2z00_2367); } } 
{ /* ./Ast/venv.scm 144 */
long BgL_restz00_2360;
{ /* ./Ast/venv.scm 144 */
int BgL_arg1996z00_2361;
BgL_arg1996z00_2361 = 
(int)(((long)8)); 
{ /* ./Ast/venv.scm 144 */
long BgL_n2z00_2370;
BgL_n2z00_2370 = 
(long)(BgL_arg1996z00_2361); 
BgL_restz00_2360 = 
(BgL_offsetz00_2357%BgL_n2z00_2370); } } 
{ /* ./Ast/venv.scm 144 */

{ /* ./Ast/venv.scm 144 */
obj_t BgL_bucketz00_2362;
{ /* ./Ast/venv.scm 144 */
int BgL_kz00_2372;
BgL_kz00_2372 = 
(int)(BgL_modz00_2358); 
BgL_bucketz00_2362 = 
VECTOR_REF(BgL_arg1989z00_2353,BgL_kz00_2372); } 
{ /* ./Ast/venv.scm 144 */
int BgL_kz00_2374;
BgL_kz00_2374 = 
(int)(BgL_restz00_2360); 
BgL_method2694z00_2350 = 
VECTOR_REF(BgL_bucketz00_2362,BgL_kz00_2374); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2694z00_2350)(BgL_method2694z00_2350, 
(obj_t)(BgL_valuez00_7), BEOA);} } 
}



/* _restore-value-types! */
obj_t BGl__restorezd2valuezd2typesz12z12zzast_envz00(obj_t BgL_envz00_2386, obj_t BgL_valuez00_2387)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 144 */
return 
BGl_restorezd2valuezd2typesz12z12zzast_envz00(
(BgL_valuez00_bglt)(BgL_valuez00_2387));} 
}



/* restore-value-types!-default2693 */
obj_t BGl_restorezd2valuezd2typesz12zd2default2693zc0zzast_envz00(BgL_valuez00_bglt BgL_valuez00_8)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 14 */
return BUNSPEC;} 
}



/* _restore-value-types!-default2693 */
obj_t BGl__restorezd2valuezd2typesz12zd2default2693zc0zzast_envz00(obj_t BgL_envz00_2423, obj_t BgL_valuez00_2424)
{ AN_OBJECT;
{ /* ./Ast/venv.scm 14 */
return 
BGl_restorezd2valuezd2typesz12zd2default2693zc0zzast_envz00(
(BgL_valuez00_bglt)(BgL_valuez00_2424));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_envz00()
{ AN_OBJECT;
{ /* ./Ast/venv.scm 14 */
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "ast_env"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "ast_env"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "ast_env"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "ast_env"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "ast_env"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "ast_env"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "ast_env"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "ast_env"); 
BGl_modulezd2initializa7ationz75zzast_hrtypez00(((long)54514), "ast_env"); 
BGl_modulezd2initializa7ationz75zzread_jvmz00(((long)16338), "ast_env"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "ast_env"); 
return 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)32118), "ast_env");} 
}

