/*===========================================================================*/
/*   (Cfa/arithmetic.scm)                                                    */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Cfa/arithmetic.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_approxz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_typez00_bgl * BgL_typez00;
   bool_t BgL_typezd2lockedzf3z21;
   obj_t BgL_allocsz00;
   bool_t BgL_topzf3zf3;
   long BgL_lostzd2stampzd2;
} *BgL_approxz00_bglt;

typedef struct BgL_cfunzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cfunzf2cinfozf2_bglt;

typedef struct BgL_externzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_externzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_internzd2sfunzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   long BgL_stampz00;
} *BgL_internzd2sfunzf2cinfoz20_bglt;

typedef struct BgL_scnstzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_scnstzf2cinfozf2_bglt;

typedef struct BgL_prezd2clozd2envz00_bgl {
   char dummy;
} *BgL_prezd2clozd2envz00_bglt;

typedef struct BgL_svarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   bool_t BgL_clozd2envzf3z21;
} *BgL_svarzf2cinfozf2_bglt;

typedef struct BgL_cvarzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_cvarzf2cinfozf2_bglt;

typedef struct BgL_sexitzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_sexitzf2cinfozf2_bglt;

typedef struct BgL_reshapedzd2localzd2_bgl {
   obj_t BgL_bindingzd2valuezd2;
} *BgL_reshapedzd2localzd2_bglt;

typedef struct BgL_reshapedzd2globalzd2_bgl {
   char dummy;
} *BgL_reshapedzd2globalzd2_bglt;

typedef struct BgL_atomzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_atomzf2cinfozf2_bglt;

typedef struct BgL_kwotezf2nodezf2_bgl {
   struct BgL_nodez00_bgl * BgL_nodez00;
} *BgL_kwotezf2nodezf2_bglt;

typedef struct BgL_kwotezf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_kwotezf2cinfozf2_bglt;

typedef struct BgL_appzd2lyzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_appzd2lyzf2cinfoz20_bglt;

typedef struct BgL_funcallzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_vazd2approxzd2;
   bool_t BgL_arityzd2errorzd2noticedzf3zf3;
   bool_t BgL_typezd2errorzd2noticedzf3zf3;
} *BgL_funcallzf2cinfozf2_bglt;

typedef struct BgL_setqzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setqzf2cinfozf2_bglt;

typedef struct BgL_conditionalzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_conditionalzf2cinfozf2_bglt;

typedef struct BgL_failzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_failzf2cinfozf2_bglt;

typedef struct BgL_selectzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_selectzf2cinfozf2_bglt;

typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_setzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

typedef struct BgL_prezd2makezd2boxz00_bgl {
   char dummy;
} *BgL_prezd2makezd2boxz00_bglt;

typedef struct BgL_makezd2boxzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_makezd2boxzf2cinfoz20_bglt;

typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
} *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2cinfoz32_bglt;

typedef struct BgL_boxzd2refzf2cinfoz20_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2cinfoz20_bglt;

typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

typedef struct BgL_prezd2arithmeticzd2appz00_bgl {
   obj_t BgL_speczd2typeszd2;
} *BgL_prezd2arithmeticzd2appz00_bglt;

typedef struct BgL_arithmeticzd2appzd2_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_speczd2typeszd2;
} *BgL_arithmeticzd2appzd2_bglt;

typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2procedurezd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2procedurezd2refzd2appzd2_bglt;

typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2procedurezd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   obj_t BgL_valueszd2approxzd2;
   long BgL_lostzd2stampzd2;
   bool_t BgL_xzd2tzf3z21;
   bool_t BgL_xz00;
   bool_t BgL_tz00;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2procedurezd2appz00_bglt;

typedef struct BgL_procedurezd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2refzd2appz00_bglt;

typedef struct BgL_procedurezd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_procedurezd2setz12zd2appz12_bglt;

typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2vectorzd2appzd2_bglt;

typedef struct BgL_makezd2vectorzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
   bool_t BgL_seenzf3zf3;
} *BgL_makezd2vectorzd2appz00_bglt;

typedef struct BgL_prezd2makezd2structzd2appzd2_bgl {
   struct BgL_variablez00_bgl * BgL_ownerz00;
} *BgL_prezd2makezd2structzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2refzd2appzd2_bgl {
   char dummy;
} *BgL_prezd2structzd2refzd2appzd2_bglt;

typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl {
   char dummy;
} *BgL_prezd2structzd2setz12zd2appzc0_bglt;

typedef struct BgL_makezd2structzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
   struct BgL_approxz00_bgl * BgL_valuezd2approxzd2;
   long BgL_lostzd2stampzd2;
   struct BgL_variablez00_bgl * BgL_ownerz00;
   obj_t BgL_stackzd2stampzd2;
} *BgL_makezd2structzd2appz00_bglt;

typedef struct BgL_structzd2refzd2appz00_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2refzd2appz00_bglt;

typedef struct BgL_structzd2setz12zd2appz12_bgl {
   struct BgL_approxz00_bgl * BgL_approxz00;
} *BgL_structzd2setz12zd2appz12_bglt;


static obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00();
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt, obj_t);
extern obj_t BGl_sfunz00zzast_varz00;
extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(obj_t);
extern obj_t BGl_za2_za2z00zztype_cachez00;
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_nodezd2setupz12zd2prezd2arithmeticzd2app4314z12zzcfa_arithmeticz00(obj_t, obj_t);
static obj_t BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BUNSPEC;
extern obj_t BGl_typez00zztype_typez00;
static obj_t BGl__cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00();
static obj_t BGl_cfaz12zd2arithmeticzd2app4316z12zzcfa_arithmeticz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
extern obj_t BGl_prezd2arithmeticzd2appz00zzcfa_info2z00;
BGL_EXPORTED_DECL obj_t BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00();
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
static obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern BgL_approxz00_bglt BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
extern obj_t BGl_localz00zzast_varz00;
extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt, BgL_typez00_bglt);
extern obj_t BGl_za2objza2z00zztype_cachez00;
extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
static obj_t BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 = BUNSPEC;
static obj_t BGl_cleanupzd2typezd2zzcfa_arithmeticz00(obj_t);
extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00();
BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
static obj_t __cnst[ 1 ] ;


DEFINE_STRING( BGl_string6126z00zzcfa_arithmeticz00, BgL_bgl_string6126za700za7za7cfa_arithmeticza7006153z00, "all ", 4 );
DEFINE_STRING( BGl_string6125z00zzcfa_arithmeticz00, BgL_bgl_string6125za700za7za7cfa_arithmeticza7006154z00, "Illegal arithmetic node", 23 );
DEFINE_STRING( BGl_string6124z00zzcfa_arithmeticz00, BgL_bgl_string6124za700za7za7cfa_arithmeticza7006155z00, "node-setup!", 11 );
DEFINE_EXPORT_PROCEDURE( BGl_cleanupzd2arithmeticzd2nodesz12zd2envzc0zzcfa_arithmeticz00, BgL_bgl__cleanupza7d2arithmeticza7d2nodesza712za712za7za7cfa_arithmeticza7006156za7, BGl__cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc6122z00zzcfa_arithmeticz00, BgL_bgl_nodeza7d2setupza712za7d2preza7d2arithmeticza7d2app4314za712za7za7cfa_arithmeticza7006157za7, BGl_nodezd2setupz12zd2prezd2arithmeticzd2app4314z12zzcfa_arithmeticz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc6123z00zzcfa_arithmeticz00, BgL_bgl_cfaza712za7d2arithmeticza7d2app4316za712za7za7cfa_arithmeticza7006158za7, BGl_cfaz12zd2arithmeticzd2app4316z12zzcfa_arithmeticz00, 0L, 1 );
extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long BgL_checksumz00_3852, char * BgL_fromz00_3853)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00))
{ 
BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00(); 
BGl_cnstzd2initzd2zzcfa_arithmeticz00(); 
BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00(); 
BGl_methodzd2initzd2zzcfa_arithmeticz00(); 
BGl_toplevelzd2initzd2zzcfa_arithmeticz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00()
{ AN_OBJECT;
{ /* ./Cfa/arithmetic.scm 28 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "cfa_arithmetic"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00()
{ AN_OBJECT;
{ /* ./Cfa/arithmetic.scm 28 */
{ /* ./Cfa/arithmetic.scm 28 */
obj_t BgL_cportz00_3845;
BgL_cportz00_3845 = 
open_input_string(BGl_string6126z00zzcfa_arithmeticz00); 
{ 
long BgL_iz00_3846;
BgL_iz00_3846 = ((long)0); 
BgL_loopz00_3847:
{ /* ./Cfa/arithmetic.scm 28 */
bool_t BgL_test6128z00_3848;
BgL_test6128z00_3848 = 
(BgL_iz00_3846==((long)-1)); 
if(BgL_test6128z00_3848)
{ /* ./Cfa/arithmetic.scm 28 */
return BUNSPEC;}  else 
{ /* ./Cfa/arithmetic.scm 28 */
{ /* ./Cfa/arithmetic.scm 28 */
obj_t BgL_arg6130z00_3849;
{ /* ./Cfa/arithmetic.scm 28 */
obj_t BgL_list6133z00_3850;
BgL_list6133z00_3850 = 
MAKE_PAIR(BgL_cportz00_3845, BNIL); 
BgL_arg6130z00_3849 = 
BGl_readz00zz__readerz00(BgL_list6133z00_3850); } 
{ /* ./Cfa/arithmetic.scm 28 */
int BgL_auxz00_3870;
BgL_auxz00_3870 = 
(int)(BgL_iz00_3846); 
CNST_TABLE_SET(BgL_auxz00_3870, BgL_arg6130z00_3849); } } 
{ /* ./Cfa/arithmetic.scm 28 */
int BgL_auxz00_3851;
{ /* ./Cfa/arithmetic.scm 28 */
long BgL_auxz00_3873;
BgL_auxz00_3873 = 
(BgL_iz00_3846-((long)1)); 
BgL_auxz00_3851 = 
(int)(BgL_auxz00_3873); } 
{ 
long BgL_iz00_3876;
BgL_iz00_3876 = 
(long)(BgL_auxz00_3851); 
BgL_iz00_3846 = BgL_iz00_3876; 
goto BgL_loopz00_3847;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00()
{ AN_OBJECT;
{ /* ./Cfa/arithmetic.scm 28 */
BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BNIL; 
return BUNSPEC;} 
}



/* cleanup-arithmetic-nodes! */
BGL_EXPORTED_DEF obj_t BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00()
{ AN_OBJECT;
{ /* ./Cfa/arithmetic.scm 52 */
{ 
obj_t BgL_l4284z00_1523;
{ /* ./Cfa/arithmetic.scm 67 */
bool_t BgL_auxz00_3878;
BgL_l4284z00_1523 = BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00; 
BgL_forzd2each4285zd2_1524:
{ /* ./Cfa/arithmetic.scm 67 */
bool_t BgL_test4318z00_1525;
BgL_test4318z00_1525 = 
PAIRP(BgL_l4284z00_1523); 
if(BgL_test4318z00_1525)
{ /* ./Cfa/arithmetic.scm 67 */
{ /* ./Cfa/arithmetic.scm 68 */
obj_t BgL_nodez00_1526;
BgL_nodez00_1526 = 
CAR(BgL_l4284z00_1523); 
{ /* ./Cfa/arithmetic.scm 69 */
BgL_variablez00_bglt BgL_fz00_1528;
{ /* ./Cfa/arithmetic.scm 69 */
BgL_varz00_bglt BgL_arg4387z00_1560;
{ /* ./Cfa/arithmetic.scm 69 */
BgL_appz00_bglt BgL_obj1722z00_2468;
BgL_obj1722z00_2468 = 
(BgL_appz00_bglt)(BgL_nodez00_1526); 
BgL_arg4387z00_1560 = 
(((BgL_appz00_bglt)CREF(BgL_obj1722z00_2468))->BgL_funz00); } 
BgL_fz00_1528 = 
(((BgL_varz00_bglt)CREF(BgL_arg4387z00_1560))->BgL_variablez00); } 
{ /* ./Cfa/arithmetic.scm 69 */
BgL_valuez00_bglt BgL_valz00_1529;
BgL_valz00_1529 = 
(((BgL_variablez00_bglt)CREF(BgL_fz00_1528))->BgL_valuez00); 
{ /* ./Cfa/arithmetic.scm 70 */

{ /* ./Cfa/arithmetic.scm 72 */
bool_t BgL_test4319z00_1530;
{ /* ./Cfa/arithmetic.scm 72 */
BgL_typez00_bglt BgL_arg4322z00_1531;
BgL_arg4322z00_1531 = 
(((BgL_variablez00_bglt)CREF(BgL_fz00_1528))->BgL_typez00); 
{ /* ./Cfa/arithmetic.scm 72 */
obj_t BgL_auxz00_3887;
BgL_auxz00_3887 = 
(obj_t)(BgL_arg4322z00_1531); 
BgL_test4319z00_1530 = 
(BgL_auxz00_3887==BGl_za2_za2z00zztype_cachez00); } } 
if(BgL_test4319z00_1530)
{ /* ./Cfa/arithmetic.scm 73 */
BgL_typez00_bglt BgL_val1102z00_2473;
BgL_val1102z00_2473 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
((((BgL_variablez00_bglt)CREF(BgL_fz00_1528))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1102z00_2473), BUNSPEC); }  else 
{ /* ./Cfa/arithmetic.scm 72 */BFALSE; } } 
{ /* ./Cfa/arithmetic.scm 74 */
bool_t BgL_test4325z00_1532;
{ /* ./Cfa/arithmetic.scm 74 */
BgL_typez00_bglt BgL_arg4328z00_1533;
{ /* ./Cfa/arithmetic.scm 74 */
BgL_nodez00_bglt BgL_obj1550z00_2474;
BgL_obj1550z00_2474 = 
(BgL_nodez00_bglt)(BgL_nodez00_1526); 
BgL_arg4328z00_1533 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1550z00_2474))->BgL_typez00); } 
{ /* ./Cfa/arithmetic.scm 74 */
obj_t BgL_auxz00_3895;
BgL_auxz00_3895 = 
(obj_t)(BgL_arg4328z00_1533); 
BgL_test4325z00_1532 = 
(BgL_auxz00_3895==BGl_za2_za2z00zztype_cachez00); } } 
if(BgL_test4325z00_1532)
{ /* ./Cfa/arithmetic.scm 75 */
BgL_nodez00_bglt BgL_obj1552z00_2475;BgL_typez00_bglt BgL_val1551z00_2476;
BgL_obj1552z00_2475 = 
(BgL_nodez00_bglt)(BgL_nodez00_1526); 
BgL_val1551z00_2476 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
((((BgL_nodez00_bglt)CREF(BgL_obj1552z00_2475))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1551z00_2476), BUNSPEC); }  else 
{ /* ./Cfa/arithmetic.scm 74 */BFALSE; } } 
{ /* ./Cfa/arithmetic.scm 77 */
bool_t BgL_test4331z00_1534;
{ /* ./Cfa/arithmetic.scm 77 */
obj_t BgL_obj1426z00_2477;
BgL_obj1426z00_2477 = 
(obj_t)(BgL_valz00_1529); 
BgL_test4331z00_1534 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1426z00_2477, BGl_sfunz00zzast_varz00); } 
if(BgL_test4331z00_1534)
{ /* ./Cfa/arithmetic.scm 77 */
{ /* ./Cfa/arithmetic.scm 79 */
obj_t BgL_arg4333z00_1535;
{ /* ./Cfa/arithmetic.scm 79 */
obj_t BgL_l4288z00_1536;
{ /* ./Cfa/arithmetic.scm 79 */
BgL_sfunz00_bglt BgL_obj1370z00_2478;
BgL_obj1370z00_2478 = 
(BgL_sfunz00_bglt)(BgL_valz00_1529); 
BgL_l4288z00_1536 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1370z00_2478))->BgL_argsz00); } 
{ /* ./Cfa/arithmetic.scm 79 */
bool_t BgL_test4335z00_1537;
BgL_test4335z00_1537 = 
NULLP(BgL_l4288z00_1536); 
if(BgL_test4335z00_1537)
{ /* ./Cfa/arithmetic.scm 79 */
BgL_arg4333z00_1535 = BNIL; }  else 
{ /* ./Cfa/arithmetic.scm 79 */
obj_t BgL_head4290z00_1538;
{ /* ./Cfa/arithmetic.scm 79 */
obj_t BgL_arg4356z00_1549;
{ /* ./Cfa/arithmetic.scm 79 */
obj_t BgL_arg4360z00_1551;
BgL_arg4360z00_1551 = 
CAR(BgL_l4288z00_1536); 
BgL_arg4356z00_1549 = 
BGl_cleanupzd2typezd2zzcfa_arithmeticz00(BgL_arg4360z00_1551); } 
BgL_head4290z00_1538 = 
MAKE_PAIR(BgL_arg4356z00_1549, BNIL); } 
{ 
obj_t BgL_l4288z00_1539;obj_t BgL_tail4291z00_1540;
{ /* ./Cfa/arithmetic.scm 79 */
obj_t BgL_arg4337z00_1542;
BgL_arg4337z00_1542 = 
CDR(BgL_l4288z00_1536); 
BgL_l4288z00_1539 = BgL_arg4337z00_1542; 
BgL_tail4291z00_1540 = BgL_head4290z00_1538; 
BgL_map4289z00_1541:
{ /* ./Cfa/arithmetic.scm 79 */
bool_t BgL_test4340z00_1543;
BgL_test4340z00_1543 = 
NULLP(BgL_l4288z00_1539); 
if(BgL_test4340z00_1543)
{ /* ./Cfa/arithmetic.scm 79 */
BgL_arg4333z00_1535 = BgL_head4290z00_1538; }  else 
{ /* ./Cfa/arithmetic.scm 79 */
obj_t BgL_newtail4292z00_1544;
{ /* ./Cfa/arithmetic.scm 79 */
obj_t BgL_arg4347z00_1546;
{ /* ./Cfa/arithmetic.scm 79 */
obj_t BgL_arg4351z00_1548;
BgL_arg4351z00_1548 = 
CAR(BgL_l4288z00_1539); 
BgL_arg4347z00_1546 = 
BGl_cleanupzd2typezd2zzcfa_arithmeticz00(BgL_arg4351z00_1548); } 
BgL_newtail4292z00_1544 = 
MAKE_PAIR(BgL_arg4347z00_1546, BNIL); } 
SET_CDR(BgL_tail4291z00_1540, BgL_newtail4292z00_1544); 
{ /* ./Cfa/arithmetic.scm 79 */
obj_t BgL_arg4343z00_1545;
BgL_arg4343z00_1545 = 
CDR(BgL_l4288z00_1539); 
{ 
obj_t BgL_tail4291z00_3921;obj_t BgL_l4288z00_3920;
BgL_l4288z00_3920 = BgL_arg4343z00_1545; 
BgL_tail4291z00_3921 = BgL_newtail4292z00_1544; 
BgL_tail4291z00_1540 = BgL_tail4291z00_3921; 
BgL_l4288z00_1539 = BgL_l4288z00_3920; 
goto BgL_map4289z00_1541;} } } } } } } } } 
{ /* ./Cfa/arithmetic.scm 78 */
BgL_sfunz00_bglt BgL_obj1372z00_2491;
BgL_obj1372z00_2491 = 
(BgL_sfunz00_bglt)(BgL_valz00_1529); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_2491))->BgL_argsz00) = ((obj_t)BgL_arg4333z00_1535), BUNSPEC); } } }  else 
{ /* ./Cfa/arithmetic.scm 80 */
bool_t BgL_test4365z00_1552;
{ /* ./Cfa/arithmetic.scm 80 */
obj_t BgL_obj1486z00_2493;
BgL_obj1486z00_2493 = 
(obj_t)(BgL_valz00_1529); 
BgL_test4365z00_1552 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1486z00_2493, BGl_cfunz00zzast_varz00); } 
if(BgL_test4365z00_1552)
{ /* ./Cfa/arithmetic.scm 80 */
{ 
obj_t BgL_lz00_1553;
{ /* ./Cfa/arithmetic.scm 81 */
obj_t BgL_arg4367z00_1555;
{ /* ./Cfa/arithmetic.scm 81 */
BgL_cfunz00_bglt BgL_obj1443z00_2494;
BgL_obj1443z00_2494 = 
(BgL_cfunz00_bglt)(BgL_valz00_1529); 
BgL_arg4367z00_1555 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_2494))->BgL_argszd2typezd2); } 
{ /* ./Cfa/arithmetic.scm 81 */
bool_t BgL_auxz00_3929;
BgL_lz00_1553 = BgL_arg4367z00_1555; 
BgL_loopz00_1554:
{ /* ./Cfa/arithmetic.scm 82 */
bool_t BgL_test4370z00_1556;
BgL_test4370z00_1556 = 
PAIRP(BgL_lz00_1553); 
if(BgL_test4370z00_1556)
{ /* ./Cfa/arithmetic.scm 82 */
{ /* ./Cfa/arithmetic.scm 84 */
obj_t BgL_arg4372z00_1557;
{ /* ./Cfa/arithmetic.scm 84 */
obj_t BgL_arg4375z00_1558;
BgL_arg4375z00_1558 = 
CAR(BgL_lz00_1553); 
BgL_arg4372z00_1557 = 
BGl_cleanupzd2typezd2zzcfa_arithmeticz00(BgL_arg4375z00_1558); } 
SET_CAR(BgL_lz00_1553, BgL_arg4372z00_1557); } 
{ /* ./Cfa/arithmetic.scm 85 */
obj_t BgL_arg4379z00_1559;
BgL_arg4379z00_1559 = 
CDR(BgL_lz00_1553); 
{ 
obj_t BgL_lz00_3936;
BgL_lz00_3936 = BgL_arg4379z00_1559; 
BgL_lz00_1553 = BgL_lz00_3936; 
goto BgL_loopz00_1554;} } }  else 
{ /* ./Cfa/arithmetic.scm 82 */
BgL_auxz00_3929 = ((bool_t)0)
; } } 
BBOOL(BgL_auxz00_3929); } } } }  else 
{ /* ./Cfa/arithmetic.scm 80 */BFALSE; } } } } } } } 
{ /* ./Cfa/arithmetic.scm 67 */
obj_t BgL_arg4392z00_1561;
BgL_arg4392z00_1561 = 
CDR(BgL_l4284z00_1523); 
{ 
obj_t BgL_l4284z00_3939;
BgL_l4284z00_3939 = BgL_arg4392z00_1561; 
BgL_l4284z00_1523 = BgL_l4284z00_3939; 
goto BgL_forzd2each4285zd2_1524;} } }  else 
{ /* ./Cfa/arithmetic.scm 67 */
BgL_auxz00_3878 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_3878);} } } 
}



/* cleanup-type */
obj_t BGl_cleanupzd2typezd2zzcfa_arithmeticz00(obj_t BgL_tz00_1562)
{ AN_OBJECT;
{ /* ./Cfa/arithmetic.scm 66 */
{ /* ./Cfa/arithmetic.scm 55 */
bool_t BgL_test4397z00_1564;
BgL_test4397z00_1564 = 
BGl_iszd2azf3z21zz__objectz00(BgL_tz00_1562, BGl_typez00zztype_typez00); 
if(BgL_test4397z00_1564)
{ /* ./Cfa/arithmetic.scm 55 */
{ /* ./Cfa/arithmetic.scm 56 */
bool_t BgL_test4398z00_1565;
BgL_test4398z00_1565 = 
(BgL_tz00_1562==BGl_za2_za2z00zztype_cachez00); 
if(BgL_test4398z00_1565)
{ /* ./Cfa/arithmetic.scm 56 */
return BGl_za2objza2z00zztype_cachez00;}  else 
{ /* ./Cfa/arithmetic.scm 56 */
return BgL_tz00_1562;} } }  else 
{ /* ./Cfa/arithmetic.scm 59 */
bool_t BgL_test4400z00_1566;
BgL_test4400z00_1566 = 
BGl_iszd2azf3z21zz__objectz00(BgL_tz00_1562, BGl_localz00zzast_varz00); 
if(BgL_test4400z00_1566)
{ /* ./Cfa/arithmetic.scm 59 */
{ /* ./Cfa/arithmetic.scm 60 */
bool_t BgL_test4401z00_1567;
{ /* ./Cfa/arithmetic.scm 60 */
BgL_typez00_bglt BgL_arg4404z00_1568;
{ /* ./Cfa/arithmetic.scm 60 */
BgL_variablez00_bglt BgL_obj1101z00_2503;
BgL_obj1101z00_2503 = 
(BgL_variablez00_bglt)(BgL_tz00_1562); 
BgL_arg4404z00_1568 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1101z00_2503))->BgL_typez00); } 
{ /* ./Cfa/arithmetic.scm 60 */
obj_t BgL_auxz00_3949;
BgL_auxz00_3949 = 
(obj_t)(BgL_arg4404z00_1568); 
BgL_test4401z00_1567 = 
(BgL_auxz00_3949==BGl_za2_za2z00zztype_cachez00); } } 
if(BgL_test4401z00_1567)
{ /* ./Cfa/arithmetic.scm 61 */
BgL_variablez00_bglt BgL_obj1103z00_2504;BgL_typez00_bglt BgL_val1102z00_2505;
BgL_obj1103z00_2504 = 
(BgL_variablez00_bglt)(BgL_tz00_1562); 
BgL_val1102z00_2505 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
((((BgL_variablez00_bglt)CREF(BgL_obj1103z00_2504))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1102z00_2505), BUNSPEC); }  else 
{ /* ./Cfa/arithmetic.scm 60 */BFALSE; } } 
return BgL_tz00_1562;}  else 
{ /* ./Cfa/arithmetic.scm 59 */
return BgL_tz00_1562;} } } } 
}



/* _cleanup-arithmetic-nodes! */
obj_t BGl__cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t BgL_envz00_3834)
{ AN_OBJECT;
{ /* ./Cfa/arithmetic.scm 52 */
return 
BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00();} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00()
{ AN_OBJECT;
{ /* ./Cfa/arithmetic.scm 28 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_prezd2arithmeticzd2appz00zzcfa_info2z00, BGl_proc6122z00zzcfa_arithmeticz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_arithmeticzd2appzd2zzcfa_info2z00, BGl_proc6123z00zzcfa_arithmeticz00);} 
}



/* cfa!-arithmetic-app4316 */
obj_t BGl_cfaz12zd2arithmeticzd2app4316z12zzcfa_arithmeticz00(obj_t BgL_envz00_3837, obj_t BgL_nodez00_3838)
{ AN_OBJECT;
{ /* ./Cfa/arithmetic.scm 141 */
{ 
BgL_arithmeticzd2appzd2_bglt BgL_nodez00_2389;
{ /* ./Cfa/arithmetic.scm 150 */
BgL_approxz00_bglt BgL_auxz00_3959;
BgL_nodez00_2389 = 
(BgL_arithmeticzd2appzd2_bglt)(BgL_nodez00_3838); 
{ 
obj_t BgL_argszd2approxzd2_2428;obj_t BgL_speczd2typeszd2_2429;obj_t BgL_argszd2approxzd2_2438;obj_t BgL_typez00_2439;obj_t BgL_speczd2typeszd2_2440;obj_t BgL_argszd2approxzd2_2452;
{ /* ./Cfa/arithmetic.scm 177 */
obj_t BgL_argszd2approxzd2_2396;
{ /* ./Cfa/arithmetic.scm 177 */
obj_t BgL_l4306z00_2412;
{ /* ./Cfa/arithmetic.scm 177 */
BgL_appz00_bglt BgL_obj1725z00_3799;
BgL_obj1725z00_3799 = 
(BgL_appz00_bglt)(BgL_nodez00_2389); 
BgL_l4306z00_2412 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_3799))->BgL_argsz00); } 
{ /* ./Cfa/arithmetic.scm 177 */
bool_t BgL_test5843z00_2413;
BgL_test5843z00_2413 = 
NULLP(BgL_l4306z00_2412); 
if(BgL_test5843z00_2413)
{ /* ./Cfa/arithmetic.scm 177 */
BgL_argszd2approxzd2_2396 = BNIL; }  else 
{ /* ./Cfa/arithmetic.scm 177 */
obj_t BgL_head4308z00_2414;
{ /* ./Cfa/arithmetic.scm 177 */
BgL_approxz00_bglt BgL_arg5864z00_2425;
{ /* ./Cfa/arithmetic.scm 177 */
obj_t BgL_arg5868z00_2427;
BgL_arg5868z00_2427 = 
CAR(BgL_l4306z00_2412); 
BgL_arg5864z00_2425 = 
BGl_cfaz12z12zzcfa_cfaz00(
(BgL_nodez00_bglt)(BgL_arg5868z00_2427)); } 
{ /* ./Cfa/arithmetic.scm 177 */
obj_t BgL_obj1z00_3802;
BgL_obj1z00_3802 = 
(obj_t)(BgL_arg5864z00_2425); 
BgL_head4308z00_2414 = 
MAKE_PAIR(BgL_obj1z00_3802, BNIL); } } 
{ 
obj_t BgL_l4306z00_2415;obj_t BgL_tail4309z00_2416;
{ /* ./Cfa/arithmetic.scm 177 */
obj_t BgL_arg5845z00_2418;
BgL_arg5845z00_2418 = 
CDR(BgL_l4306z00_2412); 
BgL_l4306z00_2415 = BgL_arg5845z00_2418; 
BgL_tail4309z00_2416 = BgL_head4308z00_2414; 
BgL_map4307z00_2417:
{ /* ./Cfa/arithmetic.scm 177 */
bool_t BgL_test5848z00_2419;
BgL_test5848z00_2419 = 
NULLP(BgL_l4306z00_2415); 
if(BgL_test5848z00_2419)
{ /* ./Cfa/arithmetic.scm 177 */
BgL_argszd2approxzd2_2396 = BgL_head4308z00_2414; }  else 
{ /* ./Cfa/arithmetic.scm 177 */
obj_t BgL_newtail4310z00_2420;
{ /* ./Cfa/arithmetic.scm 177 */
BgL_approxz00_bglt BgL_arg5855z00_2422;
{ /* ./Cfa/arithmetic.scm 177 */
obj_t BgL_arg5859z00_2424;
BgL_arg5859z00_2424 = 
CAR(BgL_l4306z00_2415); 
BgL_arg5855z00_2422 = 
BGl_cfaz12z12zzcfa_cfaz00(
(BgL_nodez00_bglt)(BgL_arg5859z00_2424)); } 
{ /* ./Cfa/arithmetic.scm 177 */
obj_t BgL_obj1z00_3807;
BgL_obj1z00_3807 = 
(obj_t)(BgL_arg5855z00_2422); 
BgL_newtail4310z00_2420 = 
MAKE_PAIR(BgL_obj1z00_3807, BNIL); } } 
SET_CDR(BgL_tail4309z00_2416, BgL_newtail4310z00_2420); 
{ /* ./Cfa/arithmetic.scm 177 */
obj_t BgL_arg5851z00_2421;
BgL_arg5851z00_2421 = 
CDR(BgL_l4306z00_2415); 
{ 
obj_t BgL_tail4309z00_3980;obj_t BgL_l4306z00_3979;
BgL_l4306z00_3979 = BgL_arg5851z00_2421; 
BgL_tail4309z00_3980 = BgL_newtail4310z00_2420; 
BgL_tail4309z00_2416 = BgL_tail4309z00_3980; 
BgL_l4306z00_2415 = BgL_l4306z00_3979; 
goto BgL_map4307z00_2417;} } } } } } } } } 
{ /* ./Cfa/arithmetic.scm 179 */
obj_t BgL_tyz00_2397;
BgL_argszd2approxzd2_2452 = BgL_argszd2approxzd2_2396; 
{ 
obj_t BgL_argsz00_2454;
BgL_argsz00_2454 = BgL_argszd2approxzd2_2452; 
BgL_loopz00_2455:
{ /* ./Cfa/arithmetic.scm 145 */
bool_t BgL_test5909z00_2456;
BgL_test5909z00_2456 = 
NULLP(BgL_argsz00_2454); 
if(BgL_test5909z00_2456)
{ /* ./Cfa/arithmetic.scm 145 */
BgL_tyz00_2397 = BFALSE; }  else 
{ /* ./Cfa/arithmetic.scm 147 */
BgL_typez00_bglt BgL_tz00_2457;
{ /* ./Cfa/arithmetic.scm 147 */
BgL_approxz00_bglt BgL_obj2655z00_3832;
{ /* ./Cfa/arithmetic.scm 147 */
obj_t BgL_auxz00_3983;
BgL_auxz00_3983 = 
CAR(BgL_argsz00_2454); 
BgL_obj2655z00_3832 = 
(BgL_approxz00_bglt)(BgL_auxz00_3983); } 
BgL_tz00_2457 = 
(((BgL_approxz00_bglt)CREF(BgL_obj2655z00_3832))->BgL_typez00); } 
{ /* ./Cfa/arithmetic.scm 148 */
bool_t BgL_test5910z00_2458;
{ /* ./Cfa/arithmetic.scm 148 */
obj_t BgL_auxz00_3987;
BgL_auxz00_3987 = 
(obj_t)(BgL_tz00_2457); 
BgL_test5910z00_2458 = 
(BgL_auxz00_3987==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test5910z00_2458)
{ 
obj_t BgL_argsz00_3991;
BgL_argsz00_3991 = 
CDR(BgL_argsz00_2454); 
BgL_argsz00_2454 = BgL_argsz00_3991; 
goto BgL_loopz00_2455;}  else 
{ /* ./Cfa/arithmetic.scm 148 */
BgL_tyz00_2397 = 
(obj_t)(BgL_tz00_2457); } } } } } 
{ /* ./Cfa/arithmetic.scm 180 */
bool_t BgL_test5806z00_2398;
BgL_argszd2approxzd2_2438 = BgL_argszd2approxzd2_2396; 
BgL_typez00_2439 = BgL_tyz00_2397; 
{ 
obj_t BgL_auxz00_4017;
{ /* ./Cfa/arithmetic.scm 180 */
BgL_objectz00_bglt BgL_auxz00_4018;
BgL_auxz00_4018 = 
(BgL_objectz00_bglt)(BgL_nodez00_2389); 
BgL_auxz00_4017 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4018); } 
BgL_speczd2typeszd2_2440 = 
(((BgL_arithmeticzd2appzd2_bglt)CREF(BgL_auxz00_4017))->BgL_speczd2typeszd2); } 
{ /* ./Cfa/arithmetic.scm 154 */
bool_t BgL__ortest_4302z00_2442;
if(
CBOOL(BgL_typez00_2439))
{ /* ./Cfa/arithmetic.scm 154 */
BgL__ortest_4302z00_2442 = ((bool_t)0); }  else 
{ /* ./Cfa/arithmetic.scm 154 */
BgL__ortest_4302z00_2442 = ((bool_t)1); } 
if(BgL__ortest_4302z00_2442)
{ /* ./Cfa/arithmetic.scm 154 */
BgL_test5806z00_2398 = BgL__ortest_4302z00_2442; }  else 
{ /* ./Cfa/arithmetic.scm 155 */
bool_t BgL_testz00_3997;
{ /* ./Cfa/arithmetic.scm 155 */
obj_t BgL_auxz00_3998;
BgL_auxz00_3998 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_2439, BgL_speczd2typeszd2_2440); 
BgL_testz00_3997 = 
CBOOL(BgL_auxz00_3998); } 
if(BgL_testz00_3997)
{ 
obj_t BgL_argsz00_2444;
BgL_argsz00_2444 = BgL_argszd2approxzd2_2438; 
BgL_loopz00_2445:
{ /* ./Cfa/arithmetic.scm 157 */
bool_t BgL_test5892z00_2446;
BgL_test5892z00_2446 = 
NULLP(BgL_argsz00_2444); 
if(BgL_test5892z00_2446)
{ /* ./Cfa/arithmetic.scm 157 */
BgL_test5806z00_2398 = ((bool_t)1); }  else 
{ /* ./Cfa/arithmetic.scm 159 */
BgL_typez00_bglt BgL_tz00_2447;
{ /* ./Cfa/arithmetic.scm 159 */
BgL_approxz00_bglt BgL_obj2655z00_3828;
{ /* ./Cfa/arithmetic.scm 159 */
obj_t BgL_auxz00_4003;
BgL_auxz00_4003 = 
CAR(BgL_argsz00_2444); 
BgL_obj2655z00_3828 = 
(BgL_approxz00_bglt)(BgL_auxz00_4003); } 
BgL_tz00_2447 = 
(((BgL_approxz00_bglt)CREF(BgL_obj2655z00_3828))->BgL_typez00); } 
{ /* ./Cfa/arithmetic.scm 160 */
bool_t BgL_test5893z00_2448;
{ /* ./Cfa/arithmetic.scm 160 */
bool_t BgL_test5898z00_2450;
{ /* ./Cfa/arithmetic.scm 160 */
obj_t BgL_auxz00_4007;
BgL_auxz00_4007 = 
(obj_t)(BgL_tz00_2447); 
BgL_test5898z00_2450 = 
(BgL_auxz00_4007==BgL_typez00_2439); } 
if(BgL_test5898z00_2450)
{ /* ./Cfa/arithmetic.scm 160 */
BgL_test5893z00_2448 = ((bool_t)1); }  else 
{ /* ./Cfa/arithmetic.scm 160 */
obj_t BgL_auxz00_4011;
BgL_auxz00_4011 = 
(obj_t)(BgL_tz00_2447); 
BgL_test5893z00_2448 = 
(BgL_auxz00_4011==BGl_za2_za2z00zztype_cachez00); } } 
if(BgL_test5893z00_2448)
{ 
obj_t BgL_argsz00_4015;
BgL_argsz00_4015 = 
CDR(BgL_argsz00_2444); 
BgL_argsz00_2444 = BgL_argsz00_4015; 
goto BgL_loopz00_2445;}  else 
{ /* ./Cfa/arithmetic.scm 160 */
BgL_test5806z00_2398 = ((bool_t)0); } } } } }  else 
{ /* ./Cfa/arithmetic.scm 155 */
BgL_test5806z00_2398 = ((bool_t)0); } } } 
if(BgL_test5806z00_2398)
{ /* ./Cfa/arithmetic.scm 182 */
bool_t BgL_test5807z00_2399;
BgL_argszd2approxzd2_2428 = BgL_argszd2approxzd2_2396; 
{ 
obj_t BgL_auxz00_4038;
{ /* ./Cfa/arithmetic.scm 182 */
BgL_objectz00_bglt BgL_auxz00_4039;
BgL_auxz00_4039 = 
(BgL_objectz00_bglt)(BgL_nodez00_2389); 
BgL_auxz00_4038 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4039); } 
BgL_speczd2typeszd2_2429 = 
(((BgL_arithmeticzd2appzd2_bglt)CREF(BgL_auxz00_4038))->BgL_speczd2typeszd2); } 
{ 
obj_t BgL_argsz00_2431;
BgL_argsz00_2431 = BgL_argszd2approxzd2_2428; 
BgL_loopz00_2432:
if(
NULLP(BgL_argsz00_2431))
{ /* ./Cfa/arithmetic.scm 167 */
BgL_test5807z00_2399 = ((bool_t)1); }  else 
{ /* ./Cfa/arithmetic.scm 169 */
bool_t BgL_testz00_4025;
{ /* ./Cfa/arithmetic.scm 169 */
obj_t BgL_auxz00_4026;
{ /* ./Cfa/arithmetic.scm 169 */
obj_t BgL_auxz00_4027;
{ /* ./Cfa/arithmetic.scm 169 */
BgL_typez00_bglt BgL_auxz00_4028;
{ /* ./Cfa/arithmetic.scm 169 */
BgL_approxz00_bglt BgL_obj2655z00_3824;
{ /* ./Cfa/arithmetic.scm 169 */
obj_t BgL_auxz00_4029;
BgL_auxz00_4029 = 
CAR(BgL_argsz00_2431); 
BgL_obj2655z00_3824 = 
(BgL_approxz00_bglt)(BgL_auxz00_4029); } 
BgL_auxz00_4028 = 
(((BgL_approxz00_bglt)CREF(BgL_obj2655z00_3824))->BgL_typez00); } 
BgL_auxz00_4027 = 
(obj_t)(BgL_auxz00_4028); } 
BgL_auxz00_4026 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_4027, BgL_speczd2typeszd2_2429); } 
BgL_testz00_4025 = 
CBOOL(BgL_auxz00_4026); } 
if(BgL_testz00_4025)
{ /* ./Cfa/arithmetic.scm 169 */
{ 
obj_t BgL_argsz00_4036;
BgL_argsz00_4036 = 
CDR(BgL_argsz00_2431); 
BgL_argsz00_2431 = BgL_argsz00_4036; 
goto BgL_loopz00_2432;} }  else 
{ /* ./Cfa/arithmetic.scm 169 */
BgL_test5807z00_2399 = ((bool_t)0); } } } 
if(BgL_test5807z00_2399)
{ /* ./Cfa/arithmetic.scm 185 */
bool_t BgL_test5808z00_2400;
{ /* ./Cfa/arithmetic.scm 185 */
BgL_typez00_bglt BgL_arg5815z00_2402;
{ /* ./Cfa/arithmetic.scm 185 */
BgL_approxz00_bglt BgL_arg5818z00_2403;
{ 
obj_t BgL_auxz00_4044;
{ /* ./Cfa/arithmetic.scm 185 */
BgL_objectz00_bglt BgL_auxz00_4045;
BgL_auxz00_4045 = 
(BgL_objectz00_bglt)(BgL_nodez00_2389); 
BgL_auxz00_4044 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4045); } 
BgL_arg5818z00_2403 = 
(((BgL_arithmeticzd2appzd2_bglt)CREF(BgL_auxz00_4044))->BgL_approxz00); } 
BgL_arg5815z00_2402 = 
(((BgL_approxz00_bglt)CREF(BgL_arg5818z00_2403))->BgL_typez00); } 
{ /* ./Cfa/arithmetic.scm 185 */
obj_t BgL_auxz00_4050;
BgL_auxz00_4050 = 
(obj_t)(BgL_arg5815z00_2402); 
BgL_test5808z00_2400 = 
(BgL_auxz00_4050==BGl_za2_za2z00zztype_cachez00); } } 
if(BgL_test5808z00_2400)
{ /* ./Cfa/arithmetic.scm 185 */
{ /* ./Cfa/arithmetic.scm 188 */
BgL_approxz00_bglt BgL_arg5810z00_2401;
{ 
obj_t BgL_auxz00_4054;
{ /* ./Cfa/arithmetic.scm 188 */
BgL_objectz00_bglt BgL_auxz00_4055;
BgL_auxz00_4055 = 
(BgL_objectz00_bglt)(BgL_nodez00_2389); 
BgL_auxz00_4054 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4055); } 
BgL_arg5810z00_2401 = 
(((BgL_arithmeticzd2appzd2_bglt)CREF(BgL_auxz00_4054))->BgL_approxz00); } 
BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_arg5810z00_2401, 
(BgL_typez00_bglt)(BgL_tyz00_2397)); } 
BGl_continuezd2cfaz12zc0zzcfa_iteratez00(); }  else 
{ /* ./Cfa/arithmetic.scm 185 */BFALSE; } }  else 
{ /* ./Cfa/arithmetic.scm 182 */BFALSE; } }  else 
{ /* ./Cfa/arithmetic.scm 180 */
{ 
obj_t BgL_l4311z00_2405;
BgL_l4311z00_2405 = BgL_argszd2approxzd2_2396; 
BgL_forzd2each4312zd2_2406:
{ /* ./Cfa/arithmetic.scm 192 */
bool_t BgL_test5826z00_2407;
BgL_test5826z00_2407 = 
PAIRP(BgL_l4311z00_2405); 
if(BgL_test5826z00_2407)
{ /* ./Cfa/arithmetic.scm 192 */
{ /* ./Cfa/arithmetic.scm 192 */
obj_t BgL_az00_2408;
BgL_az00_2408 = 
CAR(BgL_l4311z00_2405); 
BGl_loosez12z12zzcfa_loosez00(
(BgL_approxz00_bglt)(BgL_az00_2408), 
CNST_TABLE_REF(((long)0))); } 
{ /* ./Cfa/arithmetic.scm 192 */
obj_t BgL_arg5830z00_2409;
BgL_arg5830z00_2409 = 
CDR(BgL_l4311z00_2405); 
{ 
obj_t BgL_l4311z00_4069;
BgL_l4311z00_4069 = BgL_arg5830z00_2409; 
BgL_l4311z00_2405 = BgL_l4311z00_4069; 
goto BgL_forzd2each4312zd2_2406;} } }  else 
{ /* ./Cfa/arithmetic.scm 192 */((bool_t)1); } } } 
{ /* ./Cfa/arithmetic.scm 193 */
BgL_approxz00_bglt BgL_arg5835z00_2410;
{ 
obj_t BgL_auxz00_4070;
{ /* ./Cfa/arithmetic.scm 193 */
BgL_objectz00_bglt BgL_auxz00_4071;
BgL_auxz00_4071 = 
(BgL_objectz00_bglt)(BgL_nodez00_2389); 
BgL_auxz00_4070 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4071); } 
BgL_arg5835z00_2410 = 
(((BgL_arithmeticzd2appzd2_bglt)CREF(BgL_auxz00_4070))->BgL_approxz00); } 
BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_arg5835z00_2410, 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); } } } } } 
{ 
obj_t BgL_auxz00_4077;
{ /* ./Cfa/arithmetic.scm 195 */
BgL_objectz00_bglt BgL_auxz00_4078;
BgL_auxz00_4078 = 
(BgL_objectz00_bglt)(BgL_nodez00_2389); 
BgL_auxz00_4077 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4078); } 
BgL_auxz00_3959 = 
(((BgL_arithmeticzd2appzd2_bglt)CREF(BgL_auxz00_4077))->BgL_approxz00); } } 
return 
(obj_t)(BgL_auxz00_3959);} } } 
}



/* node-setup!-pre-arithmetic-app4314 */
obj_t BGl_nodezd2setupz12zd2prezd2arithmeticzd2app4314z12zzcfa_arithmeticz00(obj_t BgL_envz00_3839, obj_t BgL_nodez00_3840)
{ AN_OBJECT;
{ /* ./Cfa/arithmetic.scm 96 */
{ 
BgL_prezd2arithmeticzd2appz00_bglt BgL_nodez00_2331;
{ /* ./Cfa/arithmetic.scm 105 */
BgL_appz00_bglt BgL_auxz00_4084;
BgL_nodez00_2331 = 
(BgL_prezd2arithmeticzd2appz00_bglt)(BgL_nodez00_3840); 
{ /* ./Cfa/arithmetic.scm 107 */
BgL_variablez00_bglt BgL_fz00_2336;
{ /* ./Cfa/arithmetic.scm 107 */
BgL_varz00_bglt BgL_arg5791z00_2381;
{ /* ./Cfa/arithmetic.scm 107 */
BgL_appz00_bglt BgL_obj1722z00_3734;
BgL_obj1722z00_3734 = 
(BgL_appz00_bglt)(BgL_nodez00_2331); 
BgL_arg5791z00_2381 = 
(((BgL_appz00_bglt)CREF(BgL_obj1722z00_3734))->BgL_funz00); } 
BgL_fz00_2336 = 
(((BgL_varz00_bglt)CREF(BgL_arg5791z00_2381))->BgL_variablez00); } 
{ /* ./Cfa/arithmetic.scm 107 */
BgL_valuez00_bglt BgL_valz00_2337;
BgL_valz00_2337 = 
(((BgL_variablez00_bglt)CREF(BgL_fz00_2336))->BgL_valuez00); 
{ /* ./Cfa/arithmetic.scm 108 */

{ /* ./Cfa/arithmetic.scm 110 */
bool_t BgL_test5688z00_2338;
{ /* ./Cfa/arithmetic.scm 110 */
BgL_typez00_bglt BgL_arg5692z00_2339;
BgL_arg5692z00_2339 = 
(((BgL_variablez00_bglt)CREF(BgL_fz00_2336))->BgL_typez00); 
{ /* ./Cfa/arithmetic.scm 110 */
obj_t BgL_auxz00_4090;
BgL_auxz00_4090 = 
(obj_t)(BgL_arg5692z00_2339); 
BgL_test5688z00_2338 = 
(BgL_auxz00_4090==BGl_za2objza2z00zztype_cachez00); } } 
if(BgL_test5688z00_2338)
{ /* ./Cfa/arithmetic.scm 110 */
{ /* ./Cfa/arithmetic.scm 114 */
BgL_typez00_bglt BgL_val1102z00_3739;
BgL_val1102z00_3739 = 
(BgL_typez00_bglt)(BGl_za2_za2z00zztype_cachez00); 
((((BgL_variablez00_bglt)CREF(BgL_fz00_2336))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1102z00_3739), BUNSPEC); } 
{ /* ./Cfa/arithmetic.scm 115 */
BgL_nodez00_bglt BgL_obj1552z00_3740;BgL_typez00_bglt BgL_val1551z00_3741;
BgL_obj1552z00_3740 = 
(BgL_nodez00_bglt)(BgL_nodez00_2331); 
BgL_val1551z00_3741 = 
(BgL_typez00_bglt)(BGl_za2_za2z00zztype_cachez00); 
((((BgL_nodez00_bglt)CREF(BgL_obj1552z00_3740))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1551z00_3741), BUNSPEC); } }  else 
{ /* ./Cfa/arithmetic.scm 110 */BFALSE; } } 
{ /* ./Cfa/arithmetic.scm 117 */
bool_t BgL_test5695z00_2340;
{ /* ./Cfa/arithmetic.scm 117 */
obj_t BgL_obj1426z00_3742;
BgL_obj1426z00_3742 = 
(obj_t)(BgL_valz00_2337); 
BgL_test5695z00_2340 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1426z00_3742, BGl_sfunz00zzast_varz00); } 
if(BgL_test5695z00_2340)
{ /* ./Cfa/arithmetic.scm 117 */
{ /* ./Cfa/arithmetic.scm 119 */
obj_t BgL_arg5697z00_2341;
{ /* ./Cfa/arithmetic.scm 119 */
obj_t BgL_l4295z00_2342;
{ /* ./Cfa/arithmetic.scm 119 */
BgL_sfunz00_bglt BgL_obj1370z00_3743;
BgL_obj1370z00_3743 = 
(BgL_sfunz00_bglt)(BgL_valz00_2337); 
BgL_l4295z00_2342 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1370z00_3743))->BgL_argsz00); } 
{ /* ./Cfa/arithmetic.scm 119 */
bool_t BgL_test5699z00_2343;
BgL_test5699z00_2343 = 
NULLP(BgL_l4295z00_2342); 
if(BgL_test5699z00_2343)
{ /* ./Cfa/arithmetic.scm 119 */
BgL_arg5697z00_2341 = BNIL; }  else 
{ /* ./Cfa/arithmetic.scm 119 */
obj_t BgL_head4297z00_2344;
{ /* ./Cfa/arithmetic.scm 119 */
obj_t BgL_arg5720z00_2355;
{ /* ./Cfa/arithmetic.scm 119 */
obj_t BgL_arg5724z00_2357;
BgL_arg5724z00_2357 = 
CAR(BgL_l4295z00_2342); 
BgL_arg5720z00_2355 = 
BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(BgL_arg5724z00_2357); } 
BgL_head4297z00_2344 = 
MAKE_PAIR(BgL_arg5720z00_2355, BNIL); } 
{ 
obj_t BgL_l4295z00_2345;obj_t BgL_tail4298z00_2346;
{ /* ./Cfa/arithmetic.scm 119 */
obj_t BgL_arg5701z00_2348;
BgL_arg5701z00_2348 = 
CDR(BgL_l4295z00_2342); 
BgL_l4295z00_2345 = BgL_arg5701z00_2348; 
BgL_tail4298z00_2346 = BgL_head4297z00_2344; 
BgL_map4296z00_2347:
{ /* ./Cfa/arithmetic.scm 119 */
bool_t BgL_test5704z00_2349;
BgL_test5704z00_2349 = 
NULLP(BgL_l4295z00_2345); 
if(BgL_test5704z00_2349)
{ /* ./Cfa/arithmetic.scm 119 */
BgL_arg5697z00_2341 = BgL_head4297z00_2344; }  else 
{ /* ./Cfa/arithmetic.scm 119 */
obj_t BgL_newtail4299z00_2350;
{ /* ./Cfa/arithmetic.scm 119 */
obj_t BgL_arg5711z00_2352;
{ /* ./Cfa/arithmetic.scm 119 */
obj_t BgL_arg5715z00_2354;
BgL_arg5715z00_2354 = 
CAR(BgL_l4295z00_2345); 
BgL_arg5711z00_2352 = 
BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(BgL_arg5715z00_2354); } 
BgL_newtail4299z00_2350 = 
MAKE_PAIR(BgL_arg5711z00_2352, BNIL); } 
SET_CDR(BgL_tail4298z00_2346, BgL_newtail4299z00_2350); 
{ /* ./Cfa/arithmetic.scm 119 */
obj_t BgL_arg5707z00_2351;
BgL_arg5707z00_2351 = 
CDR(BgL_l4295z00_2345); 
{ 
obj_t BgL_tail4298z00_4118;obj_t BgL_l4295z00_4117;
BgL_l4295z00_4117 = BgL_arg5707z00_2351; 
BgL_tail4298z00_4118 = BgL_newtail4299z00_2350; 
BgL_tail4298z00_2346 = BgL_tail4298z00_4118; 
BgL_l4295z00_2345 = BgL_l4295z00_4117; 
goto BgL_map4296z00_2347;} } } } } } } } } 
{ /* ./Cfa/arithmetic.scm 118 */
BgL_sfunz00_bglt BgL_obj1372z00_3756;
BgL_obj1372z00_3756 = 
(BgL_sfunz00_bglt)(BgL_valz00_2337); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1372z00_3756))->BgL_argsz00) = ((obj_t)BgL_arg5697z00_2341), BUNSPEC); } } }  else 
{ /* ./Cfa/arithmetic.scm 120 */
bool_t BgL_test5729z00_2358;
{ /* ./Cfa/arithmetic.scm 120 */
obj_t BgL_obj1486z00_3758;
BgL_obj1486z00_3758 = 
(obj_t)(BgL_valz00_2337); 
BgL_test5729z00_2358 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1486z00_3758, BGl_cfunz00zzast_varz00); } 
if(BgL_test5729z00_2358)
{ /* ./Cfa/arithmetic.scm 120 */
{ 
obj_t BgL_lz00_2359;
{ /* ./Cfa/arithmetic.scm 121 */
obj_t BgL_arg5731z00_2361;
{ /* ./Cfa/arithmetic.scm 121 */
BgL_cfunz00_bglt BgL_obj1443z00_3759;
BgL_obj1443z00_3759 = 
(BgL_cfunz00_bglt)(BgL_valz00_2337); 
BgL_arg5731z00_2361 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_3759))->BgL_argszd2typezd2); } 
BgL_lz00_2359 = BgL_arg5731z00_2361; 
BgL_loopz00_2360:
{ /* ./Cfa/arithmetic.scm 122 */
bool_t BgL_test5734z00_2362;
BgL_test5734z00_2362 = 
PAIRP(BgL_lz00_2359); 
if(BgL_test5734z00_2362)
{ /* ./Cfa/arithmetic.scm 123 */
obj_t BgL_arg5736z00_2363;
{ /* ./Cfa/arithmetic.scm 123 */
obj_t BgL_arg5739z00_2364;
BgL_arg5739z00_2364 = 
CAR(BgL_lz00_2359); 
BgL_arg5736z00_2363 = 
BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(BgL_arg5739z00_2364); } 
SET_CAR(BgL_lz00_2359, BgL_arg5736z00_2363); }  else 
{ /* ./Cfa/arithmetic.scm 124 */
obj_t BgL_arg5743z00_2365;
BgL_arg5743z00_2365 = 
CDR(BgL_lz00_2359); 
{ 
obj_t BgL_lz00_4132;
BgL_lz00_4132 = BgL_arg5743z00_2365; 
BgL_lz00_2359 = BgL_lz00_4132; 
goto BgL_loopz00_2360;} } } } } }  else 
{ /* ./Cfa/arithmetic.scm 120 */
{ /* ./Cfa/arithmetic.scm 126 */
obj_t BgL_objectz00_3767;
BgL_objectz00_3767 = 
(obj_t)(BgL_nodez00_2331); 
FAILURE(BGl_string6124z00zzcfa_arithmeticz00,BGl_string6125z00zzcfa_arithmeticz00,BgL_objectz00_3767);} } } } 
{ /* ./Cfa/arithmetic.scm 127 */
obj_t BgL_auxz00_4135;
BgL_auxz00_4135 = 
(obj_t)(BgL_nodez00_2331); 
BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = 
MAKE_PAIR(BgL_auxz00_4135, BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00); } 
{ /* ./Cfa/arithmetic.scm 129 */
obj_t BgL_arg5752z00_2366;
{ /* ./Cfa/arithmetic.scm 129 */
BgL_appz00_bglt BgL_obj1725z00_3768;
BgL_obj1725z00_3768 = 
(BgL_appz00_bglt)(BgL_nodez00_2331); 
BgL_arg5752z00_2366 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_3768))->BgL_argsz00); } 
BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg5752z00_2366); } 
{ /* ./Cfa/arithmetic.scm 130 */
obj_t BgL_speczd2typeszd2_2367;
{ 
obj_t BgL_auxz00_4141;
{ /* ./Cfa/arithmetic.scm 130 */
BgL_objectz00_bglt BgL_auxz00_4142;
BgL_auxz00_4142 = 
(BgL_objectz00_bglt)(BgL_nodez00_2331); 
BgL_auxz00_4141 = 
BGL_OBJECT_WIDENING(BgL_auxz00_4142); } 
BgL_speczd2typeszd2_2367 = 
(((BgL_prezd2arithmeticzd2appz00_bglt)CREF(BgL_auxz00_4141))->BgL_speczd2typeszd2); } 
{ /* ./Cfa/arithmetic.scm 130 */
BgL_prezd2arithmeticzd2appz00_bglt BgL_nodez00_2368;
{ /* ./Cfa/arithmetic.scm 131 */
long BgL_arg5778z00_2378;
{ /* ./Cfa/arithmetic.scm 131 */
obj_t BgL_arg5781z00_2379;
{ /* ./Cfa/arithmetic.scm 131 */
obj_t BgL_arg5784z00_2380;
{ /* ./Cfa/arithmetic.scm 131 */
BgL_objectz00_bglt BgL_objectz00_3770;
BgL_objectz00_3770 = 
(BgL_objectz00_bglt)(BgL_nodez00_2331); 
{ /* ./Cfa/arithmetic.scm 131 */
long BgL_arg2007z00_3771;
{ /* ./Cfa/arithmetic.scm 131 */
long BgL_arg2010z00_3772;
BgL_arg2010z00_3772 = 
BGL_OBJECT_CLASS_NUM(BgL_objectz00_3770); 
BgL_arg2007z00_3771 = 
(BgL_arg2010z00_3772-OBJECT_TYPE); } 
{ /* ./Cfa/arithmetic.scm 131 */
obj_t BgL_vectorz00_3776;int BgL_kz00_3777;
BgL_vectorz00_3776 = BGl_za2classesza2z00zz__objectz00; 
BgL_kz00_3777 = 
(int)(BgL_arg2007z00_3771); 
BgL_arg5784z00_2380 = 
VECTOR_REF(BgL_vectorz00_3776,BgL_kz00_3777); } } } 
BgL_arg5781z00_2379 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg5784z00_2380); } 
BgL_arg5778z00_2378 = 
BGl_classzd2numzd2zz__objectz00(BgL_arg5781z00_2379); } 
{ /* ./Cfa/arithmetic.scm 131 */
BgL_objectz00_bglt BgL_objz00_3778;
BgL_objz00_3778 = 
(BgL_objectz00_bglt)(BgL_nodez00_2331); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3778, BgL_arg5778z00_2378); } } 
{ /* ./Cfa/arithmetic.scm 131 */
BgL_objectz00_bglt BgL_auxz00_4155;
BgL_auxz00_4155 = 
(BgL_objectz00_bglt)(BgL_nodez00_2331); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4155, BFALSE); } 
BgL_nodez00_2368 = BgL_nodez00_2331; 
{ /* ./Cfa/arithmetic.scm 131 */

{ /* ./Cfa/arithmetic.scm 132 */
BgL_appz00_bglt BgL_obj4301z00_2369;
{ 
BgL_appz00_bglt BgL_auxz00_4158;
BgL_auxz00_4158 = 
(BgL_appz00_bglt)(BgL_nodez00_2368); 
BgL_obj4301z00_2369 = 
((BgL_appz00_bglt)BgL_auxz00_4158); } 
{ /* ./Cfa/arithmetic.scm 134 */
BgL_arithmeticzd2appzd2_bglt BgL_arg5756z00_2370;
{ /* ./Cfa/arithmetic.scm 134 */
BgL_approxz00_bglt BgL_arg5759z00_2371;obj_t BgL_arg5760z00_2372;
{ /* ./Cfa/arithmetic.scm 134 */
bool_t BgL_test5762z00_2373;
{ /* ./Cfa/arithmetic.scm 134 */
BgL_typez00_bglt BgL_arg5769z00_2375;
BgL_arg5769z00_2375 = 
(((BgL_variablez00_bglt)CREF(BgL_fz00_2336))->BgL_typez00); 
{ /* ./Cfa/arithmetic.scm 134 */
obj_t BgL_auxz00_4162;
BgL_auxz00_4162 = 
(obj_t)(BgL_arg5769z00_2375); 
BgL_test5762z00_2373 = 
(BgL_auxz00_4162==BGl_za2_za2z00zztype_cachez00); } } 
if(BgL_test5762z00_2373)
{ /* ./Cfa/arithmetic.scm 134 */
BgL_arg5759z00_2371 = 
BGl_makezd2emptyzd2approxz00zzcfa_approxz00(); }  else 
{ /* ./Cfa/arithmetic.scm 136 */
BgL_typez00_bglt BgL_arg5765z00_2374;
BgL_arg5765z00_2374 = 
(((BgL_variablez00_bglt)CREF(BgL_fz00_2336))->BgL_typez00); 
BgL_arg5759z00_2371 = 
BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg5765z00_2374); } } 
BgL_arg5760z00_2372 = BgL_speczd2typeszd2_2367; 
{ /* ./Cfa/arithmetic.scm 132 */
BgL_arithmeticzd2appzd2_bglt BgL_res6025z00_3791;
{ /* ./Cfa/arithmetic.scm 132 */
BgL_arithmeticzd2appzd2_bglt BgL_new3658z00_3784;
BgL_new3658z00_3784 = 
((BgL_arithmeticzd2appzd2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_arithmeticzd2appzd2_bgl)))); 
{ /* ./Cfa/arithmetic.scm 132 */
BgL_arithmeticzd2appzd2_bglt BgL_res6024z00_3790;
((((BgL_arithmeticzd2appzd2_bglt)CREF(BgL_new3658z00_3784))->BgL_approxz00) = ((BgL_approxz00_bglt)BgL_arg5759z00_2371), BUNSPEC); 
((((BgL_arithmeticzd2appzd2_bglt)CREF(BgL_new3658z00_3784))->BgL_speczd2typeszd2) = ((obj_t)BgL_arg5760z00_2372), BUNSPEC); 
BgL_res6024z00_3790 = BgL_new3658z00_3784; BgL_res6024z00_3790; } 
BgL_res6025z00_3791 = BgL_new3658z00_3784; } 
BgL_arg5756z00_2370 = BgL_res6025z00_3791; } } 
{ /* ./Cfa/arithmetic.scm 132 */
obj_t BgL_auxz00_4174;BgL_objectz00_bglt BgL_auxz00_4172;
BgL_auxz00_4174 = 
(obj_t)(BgL_arg5756z00_2370); 
BgL_auxz00_4172 = 
(BgL_objectz00_bglt)(BgL_obj4301z00_2369); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_4172, BgL_auxz00_4174); } } 
{ /* ./Cfa/arithmetic.scm 132 */
long BgL_arg5773z00_2376;
BgL_arg5773z00_2376 = 
BGl_classzd2numzd2zz__objectz00(BGl_arithmeticzd2appzd2zzcfa_info2z00); 
{ /* ./Cfa/arithmetic.scm 132 */
BgL_objectz00_bglt BgL_objz00_3792;
BgL_objz00_3792 = 
(BgL_objectz00_bglt)(BgL_obj4301z00_2369); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3792, BgL_arg5773z00_2376); } } 
{ /* ./Cfa/arithmetic.scm 132 */
obj_t BgL_objz00_3794;
BgL_objz00_3794 = 
(obj_t)(BgL_obj4301z00_2369); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_3794); BUNSPEC; } 
BgL_auxz00_4084 = BgL_obj4301z00_2369; } } } } } } } 
return 
(obj_t)(BgL_auxz00_4084);} } } 
}



/* unspecified-type */
obj_t BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(obj_t BgL_lz00_2382)
{ AN_OBJECT;
{ /* ./Cfa/arithmetic.scm 105 */
{ /* ./Cfa/arithmetic.scm 99 */
bool_t BgL_test5795z00_2384;
BgL_test5795z00_2384 = 
BGl_iszd2azf3z21zz__objectz00(BgL_lz00_2382, BGl_typez00zztype_typez00); 
if(BgL_test5795z00_2384)
{ /* ./Cfa/arithmetic.scm 99 */
return BGl_za2_za2z00zztype_cachez00;}  else 
{ /* ./Cfa/arithmetic.scm 101 */
bool_t BgL_test5796z00_2385;
BgL_test5796z00_2385 = 
BGl_iszd2azf3z21zz__objectz00(BgL_lz00_2382, BGl_localz00zzast_varz00); 
if(BgL_test5796z00_2385)
{ /* ./Cfa/arithmetic.scm 101 */
{ /* ./Cfa/arithmetic.scm 102 */
BgL_variablez00_bglt BgL_obj1103z00_3797;BgL_typez00_bglt BgL_val1102z00_3798;
BgL_obj1103z00_3797 = 
(BgL_variablez00_bglt)(BgL_lz00_2382); 
BgL_val1102z00_3798 = 
(BgL_typez00_bglt)(BGl_za2_za2z00zztype_cachez00); 
((((BgL_variablez00_bglt)CREF(BgL_obj1103z00_3797))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1102z00_3798), BUNSPEC); } 
return BgL_lz00_2382;}  else 
{ /* ./Cfa/arithmetic.scm 101 */
return BgL_lz00_2382;} } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00()
{ AN_OBJECT;
{ /* ./Cfa/arithmetic.scm 28 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long)2565), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long)0), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long)78579), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long)17824), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long)65191), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long)47065), "cfa_arithmetic"); 
BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long)43477), "cfa_arithmetic"); 
return 
BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long)20474), "cfa_arithmetic");} 
}

