/*===========================================================================*/
/*   (Coerce/convert.scm)                                                    */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Coerce/convert.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;


static obj_t BGl_methodzd2initzd2zzcoerce_convertz00();
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_nodez00zzast_nodez00;
extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
BGL_EXPORTED_DECL obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t, obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
static obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt, BgL_typez00_bglt, obj_t, BgL_nodez00_bglt);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
static obj_t BGl__runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzcoerce_convertz00();
extern BgL_nodez00_bglt BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
extern obj_t BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt, BgL_typez00_bglt);
static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
static BgL_nodez00_bglt BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t, BgL_typez00_bglt, BgL_typez00_bglt, obj_t, obj_t, obj_t);
extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00();
BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt, BgL_typez00_bglt, BgL_typez00_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
static obj_t BGl__convertz124017z12zzcoerce_convertz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(obj_t, BgL_typez00_bglt, BgL_typez00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_typezd2errorzf2locationz20zzcoerce_convertz00(obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
BGL_IMPORT obj_t BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t, BgL_typez00_bglt, BgL_typez00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t, obj_t, obj_t);
static BgL_nodez00_bglt BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_dozd2convertzd2zzcoerce_convertz00(obj_t, obj_t, BgL_typez00_bglt);
extern obj_t BGl_appz00zzast_nodez00;
extern BgL_typez00_bglt BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_typez00_bglt);
BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt, BgL_typez00_bglt);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_requirezd2initializa7ationz75zzcoerce_convertz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt, BgL_typez00_bglt);
extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
static obj_t __cnst[ 14 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_runtimezd2typezd2errorzd2envzd2zzcoerce_convertz00, BgL_bgl__runtimeza7d2typeza7d2errorza700za7za7coerce_convertza7004156z00, BGl__runtimezd2typezd2errorz00zzcoerce_convertz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_convertz12zd2envzc0zzcoerce_convertz00, BgL_bgl__convertza7124017za712za7za7coerce_convertza7004157za7, BGl__convertz124017z12zzcoerce_convertz00, 0L, 3 );
DEFINE_STRING( BGl_string4128z00zzcoerce_convertz00, BgL_bgl_string4128za700za7za7coerce_convertza7004158z00, "aux2 if coercer bigloo-type-error failure quote __error bigloo-type-error/location @ begin location ::obj let aux ", 114 );
DEFINE_STRING( BGl_string4127z00zzcoerce_convertz00, BgL_bgl_string4127za700za7za7coerce_convertza7004159z00, "Illegal converter", 17 );
DEFINE_STRING( BGl_string4126z00zzcoerce_convertz00, BgL_bgl_string4126za700za7za7coerce_convertza7004160z00, "do-convert", 10 );
DEFINE_STRING( BGl_string4125z00zzcoerce_convertz00, BgL_bgl_string4125za700za7za7coerce_convertza7004161z00, "Illegal conversion", 18 );
DEFINE_STRING( BGl_string4124z00zzcoerce_convertz00, BgL_bgl_string4124za700za7za7coerce_convertza7004162z00, "Type error", 10 );
DEFINE_STRING( BGl_string4123z00zzcoerce_convertz00, BgL_bgl_string4123za700za7za7coerce_convertza7004163z00, "", 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long BgL_checksumz00_2599, char * BgL_fromz00_2600)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_convertz00))
{ 
BGl_requirezd2initializa7ationz75zzcoerce_convertz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00(); 
BGl_cnstzd2initzd2zzcoerce_convertz00(); 
BGl_importedzd2moduleszd2initz00zzcoerce_convertz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00()
{ AN_OBJECT;
{ /* ./Coerce/convert.scm 16 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "coerce_convert"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcoerce_convertz00()
{ AN_OBJECT;
{ /* ./Coerce/convert.scm 16 */
{ /* ./Coerce/convert.scm 16 */
obj_t BgL_cportz00_2592;
BgL_cportz00_2592 = 
open_input_string(BGl_string4128z00zzcoerce_convertz00); 
{ 
long BgL_iz00_2593;
BgL_iz00_2593 = ((long)13); 
BgL_loopz00_2594:
{ /* ./Coerce/convert.scm 16 */
bool_t BgL_test4130z00_2595;
BgL_test4130z00_2595 = 
(BgL_iz00_2593==((long)-1)); 
if(BgL_test4130z00_2595)
{ /* ./Coerce/convert.scm 16 */
return BUNSPEC;}  else 
{ /* ./Coerce/convert.scm 16 */
{ /* ./Coerce/convert.scm 16 */
obj_t BgL_arg4132z00_2596;
{ /* ./Coerce/convert.scm 16 */
obj_t BgL_list4135z00_2597;
BgL_list4135z00_2597 = 
MAKE_PAIR(BgL_cportz00_2592, BNIL); 
BgL_arg4132z00_2596 = 
BGl_readz00zz__readerz00(BgL_list4135z00_2597); } 
{ /* ./Coerce/convert.scm 16 */
int BgL_auxz00_2616;
BgL_auxz00_2616 = 
(int)(BgL_iz00_2593); 
CNST_TABLE_SET(BgL_auxz00_2616, BgL_arg4132z00_2596); } } 
{ /* ./Coerce/convert.scm 16 */
int BgL_auxz00_2598;
{ /* ./Coerce/convert.scm 16 */
long BgL_auxz00_2619;
BgL_auxz00_2619 = 
(BgL_iz00_2593-((long)1)); 
BgL_auxz00_2598 = 
(int)(BgL_auxz00_2619); } 
{ 
long BgL_iz00_2622;
BgL_iz00_2622 = 
(long)(BgL_auxz00_2598); 
BgL_iz00_2593 = BgL_iz00_2622; 
goto BgL_loopz00_2594;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00()
{ AN_OBJECT;
{ /* ./Coerce/convert.scm 16 */
return BUNSPEC;} 
}



/* type-error/location */
obj_t BGl_typezd2errorzf2locationz20zzcoerce_convertz00(obj_t BgL_locz00_33, obj_t BgL_functionz00_34, BgL_typez00_bglt BgL_fromz00_35, BgL_typez00_bglt BgL_toz00_36)
{ AN_OBJECT;
{ /* ./Coerce/convert.scm 43 */
{ /* ./Coerce/convert.scm 44 */
obj_t BgL_arg2933z00_1067;
{ /* ./Coerce/convert.scm 47 */
obj_t BgL_arg2938z00_1070;obj_t BgL_arg2939z00_1071;
{ /* ./Coerce/convert.scm 49 */
obj_t BgL_arg2942z00_1072;
BgL_arg2942z00_1072 = 
(((BgL_typez00_bglt)CREF(BgL_toz00_36))->BgL_idz00); 
BgL_arg2938z00_1070 = 
SYMBOL_TO_STRING(BgL_arg2942z00_1072); } 
{ /* ./Coerce/convert.scm 50 */
obj_t BgL_arg2946z00_1073;
BgL_arg2946z00_1073 = 
(((BgL_typez00_bglt)CREF(BgL_fromz00_35))->BgL_idz00); 
BgL_arg2939z00_1071 = 
SYMBOL_TO_STRING(BgL_arg2946z00_1073); } 
BgL_arg2933z00_1067 = 
BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00(BGl_string4123z00zzcoerce_convertz00, BgL_arg2938z00_1070, BgL_arg2939z00_1071); } 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_33, BgL_functionz00_34, BGl_string4124z00zzcoerce_convertz00, BgL_arg2933z00_1067, BNIL);} } 
}



/* runtime-type-error */
BGL_EXPORTED_DEF obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t BgL_locz00_41, obj_t BgL_tiz00_42, obj_t BgL_valuez00_43)
{ AN_OBJECT;
{ /* ./Coerce/convert.scm 67 */
{ 

{ /* ./Coerce/convert.scm 100 */
bool_t BgL_test2966z00_1083;
BgL_test2966z00_1083 = 
BGl_iszd2azf3z21zz__objectz00(BgL_valuez00_43, BGl_nodez00zzast_nodez00); 
if(BgL_test2966z00_1083)
{ /* ./Coerce/convert.scm 101 */
BgL_nodez00_bglt BgL_auxz00_2632;
{ /* ./Coerce/convert.scm 92 */
obj_t BgL_auxz00_1085;
BgL_auxz00_1085 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)0)), BEOA); 
{ /* ./Coerce/convert.scm 92 */
BgL_nodez00_bglt BgL_resz00_1086;
{ /* ./Coerce/convert.scm 94 */
obj_t BgL_arg2979z00_1089;
{ /* ./Coerce/convert.scm 94 */
obj_t BgL_arg2982z00_1090;obj_t BgL_arg2983z00_1091;
BgL_arg2982z00_1090 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Coerce/convert.scm 94 */
obj_t BgL_arg2986z00_1092;obj_t BgL_arg2987z00_1093;
{ /* ./Coerce/convert.scm 94 */
obj_t BgL_arg2990z00_1094;
{ /* ./Coerce/convert.scm 94 */
obj_t BgL_arg2994z00_1096;obj_t BgL_arg2995z00_1097;
{ /* ./Coerce/convert.scm 94 */
obj_t BgL_arg2998z00_1098;
{ /* ./Coerce/convert.scm 94 */
obj_t BgL_list3001z00_1099;
{ /* ./Coerce/convert.scm 94 */
obj_t BgL_arg3003z00_1100;
{ /* ./Coerce/convert.scm 94 */
obj_t BgL_auxz00_2637;
BgL_auxz00_2637 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg3003z00_1100 = 
MAKE_PAIR(BgL_auxz00_2637, BNIL); } 
BgL_list3001z00_1099 = 
MAKE_PAIR(BgL_auxz00_1085, BgL_arg3003z00_1100); } 
BgL_arg2998z00_1098 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3001z00_1099); } 
BgL_arg2994z00_1096 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2998z00_1098); } 
BgL_arg2995z00_1097 = 
MAKE_PAIR(BUNSPEC, BNIL); 
BgL_arg2990z00_1094 = 
MAKE_PAIR(BgL_arg2994z00_1096, BgL_arg2995z00_1097); } 
BgL_arg2986z00_1092 = 
MAKE_PAIR(BgL_arg2990z00_1094, BNIL); } 
{ /* ./Coerce/convert.scm 96 */
obj_t BgL_arg3008z00_1101;
BgL_arg3008z00_1101 = 
BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(BgL_tiz00_42, BgL_locz00_41, BgL_auxz00_1085); 
BgL_arg2987z00_1093 = 
MAKE_PAIR(BgL_arg3008z00_1101, BNIL); } 
BgL_arg2983z00_1091 = 
MAKE_PAIR(BgL_arg2986z00_1092, BgL_arg2987z00_1093); } 
BgL_arg2979z00_1089 = 
MAKE_PAIR(BgL_arg2982z00_1090, BgL_arg2983z00_1091); } 
BgL_resz00_1086 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2979z00_1089, BgL_locz00_41); } 
{ /* ./Coerce/convert.scm 93 */

{ /* ./Coerce/convert.scm 98 */
obj_t BgL_arg2972z00_1087;
{ /* ./Coerce/convert.scm 98 */
obj_t BgL_auxz00_2651;
{ /* ./Coerce/convert.scm 98 */
BgL_letzd2varzd2_bglt BgL_obj2467z00_1799;
BgL_obj2467z00_1799 = 
(BgL_letzd2varzd2_bglt)(BgL_resz00_1086); 
BgL_auxz00_2651 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2467z00_1799))->BgL_bindingsz00); } 
BgL_arg2972z00_1087 = 
CAR(BgL_auxz00_2651); } 
SET_CDR(BgL_arg2972z00_1087, BgL_valuez00_43); } 
BgL_auxz00_2632 = BgL_resz00_1086; } } } 
return 
(obj_t)(BgL_auxz00_2632);}  else 
{ /* ./Coerce/convert.scm 100 */
return 
BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(BgL_tiz00_42, BgL_locz00_41, BgL_valuez00_43);} } } } 
}



/* runtime-type-error/id */
obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t BgL_tiz00_2589, obj_t BgL_locz00_2588, obj_t BgL_idz00_1103)
{ AN_OBJECT;
{ /* ./Coerce/convert.scm 71 */
{ /* ./Coerce/convert.scm 72 */
bool_t BgL_test3014z00_1105;
{ /* ./Coerce/convert.scm 72 */
bool_t BgL_test3139z00_1159;
{ /* ./Coerce/convert.scm 72 */
bool_t BgL_test3141z00_1160;
{ /* ./Coerce/convert.scm 72 */
long BgL_n1z00_1803;
BgL_n1z00_1803 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test3141z00_1160 = 
(BgL_n1z00_1803>((long)0)); } 
if(BgL_test3141z00_1160)
{ /* ./Coerce/convert.scm 72 */
BgL_test3139z00_1159 = ((bool_t)1); }  else 
{ /* ./Coerce/convert.scm 73 */
long BgL_n1z00_1805;
BgL_n1z00_1805 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test3139z00_1159 = 
(BgL_n1z00_1805>((long)0)); } } 
if(BgL_test3139z00_1159)
{ /* ./Coerce/convert.scm 72 */
if(
STRUCTP(BgL_locz00_2588))
{ /* ./Coerce/convert.scm 74 */
obj_t BgL_auxz00_2668;obj_t BgL_auxz00_2666;
BgL_auxz00_2668 = 
CNST_TABLE_REF(((long)3)); 
BgL_auxz00_2666 = 
STRUCT_KEY(BgL_locz00_2588); 
BgL_test3014z00_1105 = 
(BgL_auxz00_2666==BgL_auxz00_2668); }  else 
{ /* ./Coerce/convert.scm 74 */
BgL_test3014z00_1105 = ((bool_t)0); } }  else 
{ /* ./Coerce/convert.scm 72 */
BgL_test3014z00_1105 = ((bool_t)0); } } 
if(BgL_test3014z00_1105)
{ /* ./Coerce/convert.scm 84 */
obj_t BgL_arg3016z00_1106;obj_t BgL_arg3017z00_1107;
BgL_arg3016z00_1106 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Coerce/convert.scm 76 */
obj_t BgL_arg3020z00_1108;obj_t BgL_arg3021z00_1109;
{ /* ./Coerce/convert.scm 76 */
obj_t BgL_arg3024z00_1110;obj_t BgL_arg3025z00_1111;
{ /* ./Coerce/convert.scm 76 */
obj_t BgL_arg3028z00_1112;obj_t BgL_arg3029z00_1113;
BgL_arg3028z00_1112 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Coerce/convert.scm 76 */
obj_t BgL_arg3032z00_1114;obj_t BgL_arg3033z00_1115;
BgL_arg3032z00_1114 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Coerce/convert.scm 76 */
obj_t BgL_auxz00_2675;
BgL_auxz00_2675 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg3033z00_1115 = 
MAKE_PAIR(BgL_auxz00_2675, BNIL); } 
BgL_arg3029z00_1113 = 
MAKE_PAIR(BgL_arg3032z00_1114, BgL_arg3033z00_1115); } 
BgL_arg3024z00_1110 = 
MAKE_PAIR(BgL_arg3028z00_1112, BgL_arg3029z00_1113); } 
{ /* ./Coerce/convert.scm 76 */
obj_t BgL_arg3038z00_1116;obj_t BgL_arg3039z00_1117;
{ /* ./Coerce/convert.scm 76 */
obj_t BgL_arg3042z00_1118;obj_t BgL_arg3043z00_1119;
BgL_arg3042z00_1118 = 
CNST_TABLE_REF(((long)8)); 
{ /* ./Coerce/convert.scm 76 */
obj_t BgL_arg3046z00_1120;
BgL_arg3046z00_1120 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
BgL_arg3043z00_1119 = 
MAKE_PAIR(BgL_arg3046z00_1120, BNIL); } 
BgL_arg3038z00_1116 = 
MAKE_PAIR(BgL_arg3042z00_1118, BgL_arg3043z00_1119); } 
{ /* ./Coerce/convert.scm 77 */
obj_t BgL_arg3051z00_1122;obj_t BgL_arg3052z00_1123;
BgL_arg3051z00_1122 = 
SYMBOL_TO_STRING(BgL_tiz00_2589); 
{ /* ./Coerce/convert.scm 79 */
obj_t BgL_arg3056z00_1124;
{ /* ./Coerce/convert.scm 79 */
obj_t BgL_arg3059z00_1125;obj_t BgL_arg3060z00_1126;
BgL_arg3059z00_1125 = 
BGl_locationzd2fullzd2fnamez00zztools_locationz00(BgL_locz00_2588); 
{ /* ./Coerce/convert.scm 80 */
obj_t BgL_arg3064z00_1127;
{ /* ./Coerce/convert.scm 80 */
int BgL_auxz00_2686;
BgL_auxz00_2686 = 
(int)(((long)1)); 
BgL_arg3064z00_1127 = 
STRUCT_REF(BgL_locz00_2588, BgL_auxz00_2686); } 
BgL_arg3060z00_1126 = 
MAKE_PAIR(BgL_arg3064z00_1127, BNIL); } 
BgL_arg3056z00_1124 = 
MAKE_PAIR(BgL_arg3059z00_1125, BgL_arg3060z00_1126); } 
BgL_arg3052z00_1123 = 
MAKE_PAIR(BgL_idz00_1103, BgL_arg3056z00_1124); } 
BgL_arg3039z00_1117 = 
MAKE_PAIR(BgL_arg3051z00_1122, BgL_arg3052z00_1123); } 
BgL_arg3025z00_1111 = 
MAKE_PAIR(BgL_arg3038z00_1116, BgL_arg3039z00_1117); } 
BgL_arg3020z00_1108 = 
MAKE_PAIR(BgL_arg3024z00_1110, BgL_arg3025z00_1111); } 
{ /* ./Coerce/convert.scm 84 */
obj_t BgL_arg3069z00_1129;
{ /* ./Coerce/convert.scm 84 */
obj_t BgL_arg3073z00_1131;obj_t BgL_arg3074z00_1132;
BgL_arg3073z00_1131 = 
CNST_TABLE_REF(((long)9)); 
{ /* ./Coerce/convert.scm 84 */
obj_t BgL_arg3077z00_1133;
{ /* ./Coerce/convert.scm 84 */
obj_t BgL_arg3080z00_1134;
BgL_arg3080z00_1134 = 
MAKE_PAIR(BFALSE, BNIL); 
BgL_arg3077z00_1133 = 
MAKE_PAIR(BFALSE, BgL_arg3080z00_1134); } 
BgL_arg3074z00_1132 = 
MAKE_PAIR(BFALSE, BgL_arg3077z00_1133); } 
BgL_arg3069z00_1129 = 
MAKE_PAIR(BgL_arg3073z00_1131, BgL_arg3074z00_1132); } 
BgL_arg3021z00_1109 = 
MAKE_PAIR(BgL_arg3069z00_1129, BNIL); } 
BgL_arg3017z00_1107 = 
MAKE_PAIR(BgL_arg3020z00_1108, BgL_arg3021z00_1109); } 
return 
MAKE_PAIR(BgL_arg3016z00_1106, BgL_arg3017z00_1107);}  else 
{ /* ./Coerce/convert.scm 89 */
obj_t BgL_arg3084z00_1135;obj_t BgL_arg3085z00_1136;
BgL_arg3084z00_1135 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Coerce/convert.scm 86 */
obj_t BgL_arg3088z00_1137;obj_t BgL_arg3089z00_1138;
{ /* ./Coerce/convert.scm 86 */
obj_t BgL_arg3092z00_1139;obj_t BgL_arg3093z00_1140;
{ /* ./Coerce/convert.scm 86 */
obj_t BgL_arg3096z00_1141;obj_t BgL_arg3097z00_1142;
BgL_arg3096z00_1141 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Coerce/convert.scm 86 */
obj_t BgL_arg3100z00_1143;obj_t BgL_arg3101z00_1144;
BgL_arg3100z00_1143 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Coerce/convert.scm 86 */
obj_t BgL_auxz00_2706;
BgL_auxz00_2706 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg3101z00_1144 = 
MAKE_PAIR(BgL_auxz00_2706, BNIL); } 
BgL_arg3097z00_1142 = 
MAKE_PAIR(BgL_arg3100z00_1143, BgL_arg3101z00_1144); } 
BgL_arg3092z00_1139 = 
MAKE_PAIR(BgL_arg3096z00_1141, BgL_arg3097z00_1142); } 
{ /* ./Coerce/convert.scm 86 */
obj_t BgL_arg3105z00_1145;obj_t BgL_arg3106z00_1146;
{ /* ./Coerce/convert.scm 86 */
obj_t BgL_arg3109z00_1147;obj_t BgL_arg3110z00_1148;
BgL_arg3109z00_1147 = 
CNST_TABLE_REF(((long)8)); 
{ /* ./Coerce/convert.scm 86 */
obj_t BgL_arg3113z00_1149;
BgL_arg3113z00_1149 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
BgL_arg3110z00_1148 = 
MAKE_PAIR(BgL_arg3113z00_1149, BNIL); } 
BgL_arg3105z00_1145 = 
MAKE_PAIR(BgL_arg3109z00_1147, BgL_arg3110z00_1148); } 
{ /* ./Coerce/convert.scm 87 */
obj_t BgL_arg3118z00_1151;obj_t BgL_arg3119z00_1152;
BgL_arg3118z00_1151 = 
SYMBOL_TO_STRING(BgL_tiz00_2589); 
BgL_arg3119z00_1152 = 
MAKE_PAIR(BgL_idz00_1103, BNIL); 
BgL_arg3106z00_1146 = 
MAKE_PAIR(BgL_arg3118z00_1151, BgL_arg3119z00_1152); } 
BgL_arg3093z00_1140 = 
MAKE_PAIR(BgL_arg3105z00_1145, BgL_arg3106z00_1146); } 
BgL_arg3088z00_1137 = 
MAKE_PAIR(BgL_arg3092z00_1139, BgL_arg3093z00_1140); } 
{ /* ./Coerce/convert.scm 89 */
obj_t BgL_arg3124z00_1153;
{ /* ./Coerce/convert.scm 89 */
obj_t BgL_arg3129z00_1155;obj_t BgL_arg3130z00_1156;
BgL_arg3129z00_1155 = 
CNST_TABLE_REF(((long)9)); 
{ /* ./Coerce/convert.scm 89 */
obj_t BgL_arg3133z00_1157;
{ /* ./Coerce/convert.scm 89 */
obj_t BgL_arg3136z00_1158;
BgL_arg3136z00_1158 = 
MAKE_PAIR(BFALSE, BNIL); 
BgL_arg3133z00_1157 = 
MAKE_PAIR(BFALSE, BgL_arg3136z00_1158); } 
BgL_arg3130z00_1156 = 
MAKE_PAIR(BFALSE, BgL_arg3133z00_1157); } 
BgL_arg3124z00_1153 = 
MAKE_PAIR(BgL_arg3129z00_1155, BgL_arg3130z00_1156); } 
BgL_arg3089z00_1138 = 
MAKE_PAIR(BgL_arg3124z00_1153, BNIL); } 
BgL_arg3085z00_1136 = 
MAKE_PAIR(BgL_arg3088z00_1137, BgL_arg3089z00_1138); } 
return 
MAKE_PAIR(BgL_arg3084z00_1135, BgL_arg3085z00_1136);} } } 
}



/* _runtime-type-error */
obj_t BGl__runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t BgL_envz00_2580, obj_t BgL_locz00_2581, obj_t BgL_tiz00_2582, obj_t BgL_valuez00_2583)
{ AN_OBJECT;
{ /* ./Coerce/convert.scm 67 */
return 
BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_2581, BgL_tiz00_2582, BgL_valuez00_2583);} 
}



/* convert-error */
obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt BgL_fromz00_44, BgL_typez00_bglt BgL_toz00_45, obj_t BgL_locz00_46, BgL_nodez00_bglt BgL_nodez00_47)
{ AN_OBJECT;
{ /* ./Coerce/convert.scm 111 */
{ /* ./Coerce/convert.scm 114 */
bool_t BgL_test3144z00_1163;
{ /* ./Coerce/convert.scm 114 */
bool_t BgL_test3160z00_1170;
{ /* ./Coerce/convert.scm 114 */
obj_t BgL_auxz00_2729;
BgL_auxz00_2729 = 
(obj_t)(BgL_toz00_45); 
BgL_test3160z00_1170 = 
(BgL_auxz00_2729==BGl_za2objza2z00zztype_cachez00); } 
if(BgL_test3160z00_1170)
{ /* ./Coerce/convert.scm 114 */
BgL_test3144z00_1163 = ((bool_t)0); }  else 
{ /* ./Coerce/convert.scm 114 */
BgL_test3144z00_1163 = 
BGl_subzd2typezf3z21zztype_envz00(BgL_toz00_45, 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); } } 
if(BgL_test3144z00_1163)
{ /* ./Coerce/convert.scm 115 */
obj_t BgL_unsafezd2typezd2_1164;
BgL_unsafezd2typezd2_1164 = BGl_za2unsafezd2typeza2zd2zzengine_paramz00; 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BTRUE; 
{ /* ./Coerce/convert.scm 117 */
obj_t BgL_arg3146z00_1165;
BgL_arg3146z00_1165 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
{ /* ./Coerce/convert.scm 117 */
obj_t BgL_arg2951z00_1824;
{ /* ./Coerce/convert.scm 117 */
obj_t BgL_arg2955z00_1826;obj_t BgL_arg2956z00_1827;
{ /* ./Coerce/convert.scm 117 */
obj_t BgL_arg2959z00_1828;
BgL_arg2959z00_1828 = 
(((BgL_typez00_bglt)CREF(BgL_toz00_45))->BgL_idz00); 
BgL_arg2955z00_1826 = 
SYMBOL_TO_STRING(BgL_arg2959z00_1828); } 
{ /* ./Coerce/convert.scm 117 */
obj_t BgL_arg2963z00_1829;
BgL_arg2963z00_1829 = 
(((BgL_typez00_bglt)CREF(BgL_fromz00_44))->BgL_idz00); 
BgL_arg2956z00_1827 = 
SYMBOL_TO_STRING(BgL_arg2963z00_1829); } 
BgL_arg2951z00_1824 = 
BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00(BGl_string4123z00zzcoerce_convertz00, BgL_arg2955z00_1826, BgL_arg2956z00_1827); } 
BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_46, BgL_arg3146z00_1165, BGl_string4124z00zzcoerce_convertz00, BgL_arg2951z00_1824); } } 
{ /* ./Coerce/convert.scm 118 */
BgL_nodez00_bglt BgL_resz00_1166;
{ /* ./Coerce/convert.scm 118 */
obj_t BgL_arg3150z00_1167;
{ /* ./Coerce/convert.scm 118 */
obj_t BgL_arg3153z00_1168;
BgL_arg3153z00_1168 = 
(((BgL_typez00_bglt)CREF(BgL_toz00_45))->BgL_idz00); 
BgL_arg3150z00_1167 = 
BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_46, BgL_arg3153z00_1168, 
(obj_t)(BgL_nodez00_47)); } 
BgL_resz00_1166 = 
BGl_coercez12z12zzcoerce_coercez00(
(BgL_nodez00_bglt)(BgL_arg3150z00_1167), BUNSPEC, BgL_fromz00_44); } 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BgL_unsafezd2typezd2_1164; 
return 
(obj_t)(BgL_resz00_1166);} }  else 
{ /* ./Coerce/convert.scm 123 */
obj_t BgL_arg3157z00_1169;
BgL_arg3157z00_1169 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
return 
BGl_typezd2errorzf2locationz20zzcoerce_convertz00(BgL_locz00_46, BgL_arg3157z00_1169, BgL_fromz00_44, BgL_toz00_45);} } } 
}



/* convert! */
BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt BgL_nodez00_48, BgL_typez00_bglt BgL_fromz00_49, BgL_typez00_bglt BgL_toz00_50)
{ AN_OBJECT;
{ /* ./Coerce/convert.scm 131 */
{ /* ./Coerce/convert.scm 135 */
BgL_typez00_bglt BgL_toz00_1171;BgL_typez00_bglt BgL_fromz00_1172;
BgL_toz00_1171 = 
BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_toz00_50); 
BgL_fromz00_1172 = 
BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_fromz00_49); 
{ /* ./Coerce/convert.scm 137 */
bool_t BgL_test3163z00_1173;
{ /* ./Coerce/convert.scm 137 */
bool_t BgL_testz00_2753;
{ /* ./Coerce/convert.scm 137 */
obj_t BgL_auxz00_2756;obj_t BgL_auxz00_2754;
BgL_auxz00_2756 = 
(obj_t)(BgL_toz00_1171); 
BgL_auxz00_2754 = 
(obj_t)(BgL_fromz00_1172); 
BgL_testz00_2753 = 
(BgL_auxz00_2754==BgL_auxz00_2756); } 
if(BgL_testz00_2753)
{ /* ./Coerce/convert.scm 137 */
BgL_test3163z00_1173 = ((bool_t)1); }  else 
{ /* ./Coerce/convert.scm 137 */
BgL_test3163z00_1173 = 
(((BgL_typez00_bglt)CREF(BgL_fromz00_1172))->BgL_magiczf3zf3); } } 
if(BgL_test3163z00_1173)
{ /* ./Coerce/convert.scm 137 */
return BgL_nodez00_48;}  else 
{ /* ./Coerce/convert.scm 139 */
obj_t BgL_coercerz00_1174;obj_t BgL_locz00_1175;
BgL_coercerz00_1174 = 
BGl_findzd2coercerzd2zztype_coercionz00(BgL_fromz00_1172, BgL_toz00_1171); 
BgL_locz00_1175 = 
(((BgL_nodez00_bglt)CREF(BgL_nodez00_48))->BgL_locz00); 
{ /* ./Coerce/convert.scm 141 */
bool_t BgL_test3164z00_1176;
if(
STRUCTP(BgL_coercerz00_1174))
{ /* ./Coerce/convert.scm 141 */
obj_t BgL_auxz00_2767;obj_t BgL_auxz00_2765;
BgL_auxz00_2767 = 
CNST_TABLE_REF(((long)11)); 
BgL_auxz00_2765 = 
STRUCT_KEY(BgL_coercerz00_1174); 
BgL_test3164z00_1176 = 
(BgL_auxz00_2765==BgL_auxz00_2767); }  else 
{ /* ./Coerce/convert.scm 141 */
BgL_test3164z00_1176 = ((bool_t)0); } 
if(BgL_test3164z00_1176)
{ /* ./Coerce/convert.scm 145 */
obj_t BgL_checksz00_1177;obj_t BgL_coercesz00_1178;
{ /* ./Coerce/convert.scm 145 */
int BgL_auxz00_2771;
BgL_auxz00_2771 = 
(int)(((long)2)); 
BgL_checksz00_1177 = 
STRUCT_REF(BgL_coercerz00_1174, BgL_auxz00_2771); } 
{ /* ./Coerce/convert.scm 146 */
int BgL_auxz00_2774;
BgL_auxz00_2774 = 
(int)(((long)3)); 
BgL_coercesz00_1178 = 
STRUCT_REF(BgL_coercerz00_1174, BgL_auxz00_2774); } 
{ 
obj_t BgL_checksz00_1179;obj_t BgL_coercesz00_1180;obj_t BgL_nodez00_1181;
{ /* ./Coerce/convert.scm 150 */
obj_t BgL_auxz00_2777;
BgL_checksz00_1179 = BgL_checksz00_1177; 
BgL_coercesz00_1180 = BgL_coercesz00_1178; 
BgL_nodez00_1181 = 
(obj_t)(BgL_nodez00_48); 
BgL_loopz00_1182:
{ /* ./Coerce/convert.scm 154 */
bool_t BgL_test3166z00_1183;
BgL_test3166z00_1183 = 
NULLP(BgL_checksz00_1179); 
if(BgL_test3166z00_1183)
{ /* ./Coerce/convert.scm 154 */
{ /* ./Coerce/convert.scm 155 */
bool_t BgL_test3167z00_1184;
BgL_test3167z00_1184 = 
NULLP(BgL_coercesz00_1180); 
if(BgL_test3167z00_1184)
{ /* ./Coerce/convert.scm 155 */
BgL_auxz00_2777 = BgL_nodez00_1181
; }  else 
{ /* ./Coerce/convert.scm 157 */
obj_t BgL_arg3170z00_1186;obj_t BgL_arg3171z00_1187;
BgL_arg3170z00_1186 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_fromz00_1172)); 
BgL_arg3171z00_1187 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_toz00_1171)); 
BgL_auxz00_2777 = 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string4125z00zzcoerce_convertz00, BgL_arg3170z00_1186, BgL_arg3171z00_1187); } } }  else 
{ /* ./Coerce/convert.scm 160 */
bool_t BgL_test3176z00_1188;
BgL_test3176z00_1188 = 
NULLP(BgL_coercesz00_1180); 
if(BgL_test3176z00_1188)
{ /* ./Coerce/convert.scm 160 */
{ /* ./Coerce/convert.scm 161 */
obj_t BgL_arg3179z00_1190;obj_t BgL_arg3180z00_1191;
BgL_arg3179z00_1190 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_fromz00_1172)); 
BgL_arg3180z00_1191 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_toz00_1171)); 
BgL_auxz00_2777 = 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string4125z00zzcoerce_convertz00, BgL_arg3179z00_1190, BgL_arg3180z00_1191); } }  else 
{ /* ./Coerce/convert.scm 160 */
{ /* ./Coerce/convert.scm 165 */
obj_t BgL_arg3185z00_1192;obj_t BgL_arg3186z00_1193;obj_t BgL_arg3187z00_1194;
BgL_arg3185z00_1192 = 
CDR(BgL_checksz00_1179); 
BgL_arg3186z00_1193 = 
CDR(BgL_coercesz00_1180); 
{ /* ./Coerce/convert.scm 167 */
obj_t BgL_arg3192z00_1195;obj_t BgL_arg3193z00_1196;obj_t BgL_arg3194z00_1197;
BgL_arg3192z00_1195 = 
CAR(BgL_checksz00_1179); 
BgL_arg3193z00_1196 = 
CAR(BgL_checksz00_1179); 
BgL_arg3194z00_1197 = 
CAR(BgL_coercesz00_1180); 
BgL_arg3187z00_1194 = 
BGl_makezd2onezd2conversionz00zzcoerce_convertz00(BgL_arg3192z00_1195, BgL_fromz00_1172, BgL_toz00_1171, BgL_arg3193z00_1196, BgL_arg3194z00_1197, BgL_nodez00_1181); } 
{ 
obj_t BgL_nodez00_2802;obj_t BgL_coercesz00_2801;obj_t BgL_checksz00_2800;
BgL_checksz00_2800 = BgL_arg3185z00_1192; 
BgL_coercesz00_2801 = BgL_arg3186z00_1193; 
BgL_nodez00_2802 = BgL_arg3187z00_1194; 
BgL_nodez00_1181 = BgL_nodez00_2802; 
BgL_coercesz00_1180 = BgL_coercesz00_2801; 
BgL_checksz00_1179 = BgL_checksz00_2800; 
goto BgL_loopz00_1182;} } } } } 
return 
(BgL_nodez00_bglt)(BgL_auxz00_2777);} } }  else 
{ /* ./Coerce/convert.scm 144 */
obj_t BgL_auxz00_2805;
BgL_auxz00_2805 = 
BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_fromz00_1172, BgL_toz00_1171, BgL_locz00_1175, BgL_nodez00_48); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_2805);} } } } } } 
}



/* _convert!4017 */
obj_t BGl__convertz124017z12zzcoerce_convertz00(obj_t BgL_envz00_2584, obj_t BgL_nodez00_2585, obj_t BgL_fromz00_2586, obj_t BgL_toz00_2587)
{ AN_OBJECT;
{ /* ./Coerce/convert.scm 131 */
{ /* ./Coerce/convert.scm 132 */
BgL_nodez00_bglt BgL_auxz00_2808;
BgL_auxz00_2808 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_2585), 
(BgL_typez00_bglt)(BgL_fromz00_2586), 
(BgL_typez00_bglt)(BgL_toz00_2587)); 
return 
(obj_t)(BgL_auxz00_2808);} } 
}



/* make-one-conversion */
obj_t BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t BgL_idzd2fromzd2_51, BgL_typez00_bglt BgL_fromz00_52, BgL_typez00_bglt BgL_toz00_53, obj_t BgL_checkopz00_54, obj_t BgL_coerceopz00_55, obj_t BgL_nodez00_56)
{ AN_OBJECT;
{ /* ./Coerce/convert.scm 183 */
{ /* ./Coerce/convert.scm 184 */
bool_t BgL_test3212z00_1199;
{ /* ./Coerce/convert.scm 184 */
bool_t BgL_test3218z00_1201;
BgL_test3218z00_1201 = 
NULLP(BgL_checkopz00_54); 
if(BgL_test3218z00_1201)
{ /* ./Coerce/convert.scm 184 */
BgL_test3212z00_1199 = ((bool_t)1); }  else 
{ /* ./Coerce/convert.scm 184 */
BgL_test3212z00_1199 = 
CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00); } } 
if(BgL_test3212z00_1199)
{ /* ./Coerce/convert.scm 184 */
return 
BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coerceopz00_55, BgL_nodez00_56, BgL_fromz00_52);}  else 
{ /* ./Coerce/convert.scm 186 */
bool_t BgL_test3214z00_1200;
{ /* ./Coerce/convert.scm 186 */
obj_t BgL_obj2712z00_1859;
BgL_obj2712z00_1859 = 
(obj_t)(BgL_fromz00_52); 
BgL_test3214z00_1200 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2712z00_1859, BGl_tclassz00zzobject_classz00); } 
if(BgL_test3214z00_1200)
{ /* ./Coerce/convert.scm 186 */
return 
BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(BgL_idzd2fromzd2_51, BgL_fromz00_52, BgL_toz00_53, BgL_checkopz00_54, BgL_coerceopz00_55, BgL_nodez00_56);}  else 
{ /* ./Coerce/convert.scm 188 */
BgL_nodez00_bglt BgL_auxz00_2823;
BgL_auxz00_2823 = 
BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(BgL_idzd2fromzd2_51, BgL_fromz00_52, BgL_toz00_53, BgL_checkopz00_54, BgL_coerceopz00_55, BgL_nodez00_56); 
return 
(obj_t)(BgL_auxz00_2823);} } } } 
}



/* skip-let-var */
BgL_nodez00_bglt BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt BgL_nodez00_57)
{ AN_OBJECT;
{ /* ./Coerce/convert.scm 193 */
BGl_skipzd2letzd2varz00zzcoerce_convertz00:
{ /* ./Coerce/convert.scm 194 */
bool_t BgL_test3220z00_1202;
{ /* ./Coerce/convert.scm 194 */
obj_t BgL_obj2502z00_1860;
BgL_obj2502z00_1860 = 
(obj_t)(BgL_nodez00_57); 
BgL_test3220z00_1202 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2502z00_1860, BGl_letzd2varzd2zzast_nodez00); } 
if(BgL_test3220z00_1202)
{ 
BgL_nodez00_bglt BgL_nodez00_2829;
{ /* ./Coerce/convert.scm 195 */
BgL_letzd2varzd2_bglt BgL_obj2470z00_1861;
BgL_obj2470z00_1861 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_57); 
BgL_nodez00_2829 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2470z00_1861))->BgL_bodyz00); } 
BgL_nodez00_57 = BgL_nodez00_2829; 
goto BGl_skipzd2letzd2varz00zzcoerce_convertz00;}  else 
{ /* ./Coerce/convert.scm 194 */
return BgL_nodez00_57;} } } 
}



/* make-one-type-conversion */
BgL_nodez00_bglt BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t BgL_idzd2fromzd2_58, BgL_typez00_bglt BgL_fromz00_59, BgL_typez00_bglt BgL_toz00_60, obj_t BgL_checkzd2opzd2_61, obj_t BgL_coercezd2opzd2_62, obj_t BgL_nodez00_63)
{ AN_OBJECT;
{ /* ./Coerce/convert.scm 201 */
{ /* ./Coerce/convert.scm 202 */
obj_t BgL_auxz00_1204;
{ /* ./Coerce/convert.scm 202 */
obj_t BgL_arg3315z00_1242;
BgL_arg3315z00_1242 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)0)), BEOA); 
BgL_auxz00_1204 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg3315z00_1242); } 
{ /* ./Coerce/convert.scm 202 */
obj_t BgL_locz00_1205;
{ /* ./Coerce/convert.scm 203 */
BgL_nodez00_bglt BgL_obj1549z00_1862;
BgL_obj1549z00_1862 = 
(BgL_nodez00_bglt)(BgL_nodez00_63); 
BgL_locz00_1205 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_1862))->BgL_locz00); } 
{ /* ./Coerce/convert.scm 203 */
BgL_nodez00_bglt BgL_lnodez00_1206;
{ /* ./Coerce/convert.scm 210 */
obj_t BgL_arg3260z00_1220;
{ /* ./Coerce/convert.scm 210 */
obj_t BgL_arg3263z00_1221;obj_t BgL_arg3264z00_1222;
BgL_arg3263z00_1221 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Coerce/convert.scm 211 */
obj_t BgL_arg3267z00_1223;obj_t BgL_arg3268z00_1224;
{ /* ./Coerce/convert.scm 211 */
obj_t BgL_arg3271z00_1225;
{ /* ./Coerce/convert.scm 211 */
obj_t BgL_arg3275z00_1227;obj_t BgL_arg3276z00_1228;
{ /* ./Coerce/convert.scm 211 */
obj_t BgL_arg3279z00_1229;
{ /* ./Coerce/convert.scm 211 */
obj_t BgL_arg3282z00_1230;
BgL_arg3282z00_1230 = 
(((BgL_typez00_bglt)CREF(BgL_fromz00_59))->BgL_idz00); 
BgL_arg3279z00_1229 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_auxz00_1204, BgL_arg3282z00_1230); } 
BgL_arg3275z00_1227 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg3279z00_1229); } 
BgL_arg3276z00_1228 = 
MAKE_PAIR(BUNSPEC, BNIL); 
BgL_arg3271z00_1225 = 
MAKE_PAIR(BgL_arg3275z00_1227, BgL_arg3276z00_1228); } 
BgL_arg3267z00_1223 = 
MAKE_PAIR(BgL_arg3271z00_1225, BNIL); } 
{ /* ./Coerce/convert.scm 213 */
obj_t BgL_arg3287z00_1231;
{ /* ./Coerce/convert.scm 213 */
obj_t BgL_arg3291z00_1233;obj_t BgL_arg3292z00_1234;
BgL_arg3291z00_1233 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Coerce/convert.scm 213 */
obj_t BgL_arg3295z00_1235;obj_t BgL_arg3296z00_1236;
{ /* ./Coerce/convert.scm 213 */
obj_t BgL_arg3299z00_1237;
BgL_arg3299z00_1237 = 
MAKE_PAIR(BgL_auxz00_1204, BNIL); 
BgL_arg3295z00_1235 = 
MAKE_PAIR(BgL_checkzd2opzd2_61, BgL_arg3299z00_1237); } 
{ /* ./Coerce/convert.scm 215 */
obj_t BgL_arg3303z00_1238;
{ /* ./Coerce/convert.scm 215 */
obj_t BgL_arg3306z00_1239;
{ /* ./Coerce/convert.scm 215 */
obj_t BgL_arg3310z00_1241;
BgL_arg3310z00_1241 = 
(((BgL_typez00_bglt)CREF(BgL_toz00_60))->BgL_idz00); 
BgL_arg3306z00_1239 = 
BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_1205, BgL_arg3310z00_1241, BgL_auxz00_1204); } 
BgL_arg3303z00_1238 = 
MAKE_PAIR(BgL_arg3306z00_1239, BNIL); } 
BgL_arg3296z00_1236 = 
MAKE_PAIR(BgL_auxz00_1204, BgL_arg3303z00_1238); } 
BgL_arg3292z00_1234 = 
MAKE_PAIR(BgL_arg3295z00_1235, BgL_arg3296z00_1236); } 
BgL_arg3287z00_1231 = 
MAKE_PAIR(BgL_arg3291z00_1233, BgL_arg3292z00_1234); } 
BgL_arg3268z00_1224 = 
MAKE_PAIR(BgL_arg3287z00_1231, BNIL); } 
BgL_arg3264z00_1222 = 
MAKE_PAIR(BgL_arg3267z00_1223, BgL_arg3268z00_1224); } 
BgL_arg3260z00_1220 = 
MAKE_PAIR(BgL_arg3263z00_1221, BgL_arg3264z00_1222); } 
BgL_lnodez00_1206 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3260z00_1220, BgL_locz00_1205); } 
{ /* ./Coerce/convert.scm 204 */

BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_lnodez00_1206); 
{ /* ./Coerce/convert.scm 218 */
obj_t BgL_varz00_1207;
{ /* ./Coerce/convert.scm 218 */
obj_t BgL_auxz00_2859;
{ /* ./Coerce/convert.scm 218 */
obj_t BgL_auxz00_2860;
{ /* ./Coerce/convert.scm 218 */
BgL_letzd2varzd2_bglt BgL_obj2467z00_1865;
BgL_obj2467z00_1865 = 
(BgL_letzd2varzd2_bglt)(BgL_lnodez00_1206); 
BgL_auxz00_2860 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2467z00_1865))->BgL_bindingsz00); } 
BgL_auxz00_2859 = 
CAR(BgL_auxz00_2860); } 
BgL_varz00_1207 = 
CAR(BgL_auxz00_2859); } 
{ /* ./Coerce/convert.scm 218 */
obj_t BgL_coercezd2appzd2_1208;
{ /* ./Coerce/convert.scm 221 */
BgL_varz00_bglt BgL_arg3245z00_1214;
{ /* ./Coerce/convert.scm 221 */
obj_t BgL_arg3248z00_1215;BgL_typez00_bglt BgL_arg3249z00_1216;obj_t BgL_arg3250z00_1217;
BgL_arg3248z00_1215 = BgL_locz00_1205; 
BgL_arg3249z00_1216 = BgL_fromz00_59; 
BgL_arg3250z00_1217 = BgL_varz00_1207; 
{ /* ./Coerce/convert.scm 220 */
BgL_varz00_bglt BgL_res3997z00_1886;
{ /* ./Coerce/convert.scm 220 */
BgL_variablez00_bglt BgL_variable1632z00_1870;
BgL_variable1632z00_1870 = 
(BgL_variablez00_bglt)(BgL_arg3250z00_1217); 
{ /* ./Coerce/convert.scm 220 */
BgL_varz00_bglt BgL_new1633z00_1871;
{ /* ./Coerce/convert.scm 220 */
BgL_varz00_bglt BgL_res3995z00_1877;
{ /* ./Coerce/convert.scm 220 */
BgL_varz00_bglt BgL_new1635z00_1872;
BgL_new1635z00_1872 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* ./Coerce/convert.scm 220 */
long BgL_arg3831z00_1873;
BgL_arg3831z00_1873 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* ./Coerce/convert.scm 220 */
BgL_objectz00_bglt BgL_objz00_1874;
BgL_objz00_1874 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1872); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1874, BgL_arg3831z00_1873); } } 
{ /* ./Coerce/convert.scm 220 */
BgL_objectz00_bglt BgL_auxz00_2870;
BgL_auxz00_2870 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1872); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2870, BFALSE); } 
{ /* ./Coerce/convert.scm 220 */
obj_t BgL_objz00_1876;
BgL_objz00_1876 = 
(obj_t)(BgL_new1635z00_1872); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1876); BUNSPEC; } 
BgL_res3995z00_1877 = BgL_new1635z00_1872; } 
BgL_new1633z00_1871 = BgL_res3995z00_1877; } 
{ /* ./Coerce/convert.scm 220 */
BgL_varz00_bglt BgL_res3996z00_1885;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1871))->BgL_locz00) = ((obj_t)BgL_arg3248z00_1215), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1871))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3249z00_1216), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1871))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_1870), BUNSPEC); 
BgL_res3996z00_1885 = BgL_new1633z00_1871; BgL_res3996z00_1885; } 
BgL_res3997z00_1886 = BgL_new1633z00_1871; } } 
BgL_arg3245z00_1214 = BgL_res3997z00_1886; } } 
BgL_coercezd2appzd2_1208 = 
BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coercezd2opzd2_62, 
(obj_t)(BgL_arg3245z00_1214), BgL_fromz00_59); } 
{ /* ./Coerce/convert.scm 219 */
BgL_nodez00_bglt BgL_condnz00_1209;
BgL_condnz00_1209 = 
BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_lnodez00_1206); 
{ /* ./Coerce/convert.scm 225 */

{ /* ./Coerce/convert.scm 227 */
BgL_variablez00_bglt BgL_obj1103z00_1887;
BgL_obj1103z00_1887 = 
(BgL_variablez00_bglt)(BgL_varz00_1207); 
((((BgL_variablez00_bglt)CREF(BgL_obj1103z00_1887))->BgL_typez00) = ((BgL_typez00_bglt)BgL_fromz00_59), BUNSPEC); } 
{ /* ./Coerce/convert.scm 229 */
obj_t BgL_arg3229z00_1210;
{ /* ./Coerce/convert.scm 229 */
obj_t BgL_auxz00_2883;
{ /* ./Coerce/convert.scm 229 */
BgL_letzd2varzd2_bglt BgL_obj2467z00_1889;
BgL_obj2467z00_1889 = 
(BgL_letzd2varzd2_bglt)(BgL_lnodez00_1206); 
BgL_auxz00_2883 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2467z00_1889))->BgL_bindingsz00); } 
BgL_arg3229z00_1210 = 
CAR(BgL_auxz00_2883); } 
SET_CDR(BgL_arg3229z00_1210, BgL_nodez00_63); } 
{ /* ./Coerce/convert.scm 230 */
BgL_conditionalz00_bglt BgL_obj2310z00_1893;BgL_nodez00_bglt BgL_val2309z00_1894;
BgL_obj2310z00_1893 = 
(BgL_conditionalz00_bglt)(BgL_condnz00_1209); 
BgL_val2309z00_1894 = 
(BgL_nodez00_bglt)(BgL_coercezd2appzd2_1208); 
((((BgL_conditionalz00_bglt)CREF(BgL_obj2310z00_1893))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_val2309z00_1894), BUNSPEC); } 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BTRUE; 
{ /* ./Coerce/convert.scm 233 */
BgL_nodez00_bglt BgL_arg3237z00_1212;
{ /* ./Coerce/convert.scm 233 */
BgL_nodez00_bglt BgL_arg3240z00_1213;
{ /* ./Coerce/convert.scm 233 */
BgL_conditionalz00_bglt BgL_obj2311z00_1895;
BgL_obj2311z00_1895 = 
(BgL_conditionalz00_bglt)(BgL_condnz00_1209); 
BgL_arg3240z00_1213 = 
(((BgL_conditionalz00_bglt)CREF(BgL_obj2311z00_1895))->BgL_falsez00); } 
BgL_arg3237z00_1212 = 
BGl_coercez12z12zzcoerce_coercez00(BgL_arg3240z00_1213, BUNSPEC, BgL_fromz00_59); } 
{ /* ./Coerce/convert.scm 232 */
BgL_conditionalz00_bglt BgL_obj2313z00_1896;
BgL_obj2313z00_1896 = 
(BgL_conditionalz00_bglt)(BgL_condnz00_1209); 
((((BgL_conditionalz00_bglt)CREF(BgL_obj2313z00_1896))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_arg3237z00_1212), BUNSPEC); } } 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BFALSE; 
return BgL_lnodez00_1206;} } } } } } } } } 
}



/* make-one-class-conversion */
obj_t BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(obj_t BgL_idzd2fromzd2_64, BgL_typez00_bglt BgL_fromz00_65, BgL_typez00_bglt BgL_toz00_66, obj_t BgL_checkzd2opzd2_67, obj_t BgL_coercezd2opzd2_68, obj_t BgL_nodez00_69)
{ AN_OBJECT;
{ /* ./Coerce/convert.scm 242 */
{ /* ./Coerce/convert.scm 243 */
bool_t BgL_test3318z00_1243;
{ /* ./Coerce/convert.scm 243 */
bool_t BgL_test3462z00_1307;
{ /* ./Coerce/convert.scm 243 */
obj_t BgL_obj2712z00_1898;
BgL_obj2712z00_1898 = 
(obj_t)(BgL_toz00_66); 
BgL_test3462z00_1307 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2712z00_1898, BGl_tclassz00zzobject_classz00); } 
if(BgL_test3462z00_1307)
{ /* ./Coerce/convert.scm 243 */
BgL_test3318z00_1243 = 
BGl_typezd2subclasszf3z21zzobject_classz00(BgL_fromz00_65, BgL_toz00_66); }  else 
{ /* ./Coerce/convert.scm 243 */
BgL_test3318z00_1243 = ((bool_t)0); } } 
if(BgL_test3318z00_1243)
{ /* ./Coerce/convert.scm 243 */
return 
BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coercezd2opzd2_68, BgL_nodez00_69, BgL_fromz00_65);}  else 
{ /* ./Coerce/convert.scm 245 */
obj_t BgL_auxz00_1244;
BgL_auxz00_1244 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)0)), BEOA); 
{ /* ./Coerce/convert.scm 245 */
obj_t BgL_aux2z00_1245;
BgL_aux2z00_1245 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)13)), BEOA); 
{ /* ./Coerce/convert.scm 246 */
obj_t BgL_locz00_1246;
{ /* ./Coerce/convert.scm 247 */
BgL_nodez00_bglt BgL_obj1549z00_1899;
BgL_obj1549z00_1899 = 
(BgL_nodez00_bglt)(BgL_nodez00_69); 
BgL_locz00_1246 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_1899))->BgL_locz00); } 
{ /* ./Coerce/convert.scm 247 */
BgL_nodez00_bglt BgL_lnodez00_1247;
{ /* ./Coerce/convert.scm 249 */
obj_t BgL_arg3374z00_1271;
{ /* ./Coerce/convert.scm 249 */
obj_t BgL_arg3377z00_1272;obj_t BgL_arg3378z00_1273;
BgL_arg3377z00_1272 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Coerce/convert.scm 250 */
obj_t BgL_arg3381z00_1274;obj_t BgL_arg3382z00_1275;
{ /* ./Coerce/convert.scm 250 */
obj_t BgL_arg3385z00_1276;
{ /* ./Coerce/convert.scm 250 */
obj_t BgL_arg3389z00_1278;obj_t BgL_arg3390z00_1279;
{ /* ./Coerce/convert.scm 250 */
obj_t BgL_arg3393z00_1280;
{ /* ./Coerce/convert.scm 250 */
obj_t BgL_list3396z00_1281;
{ /* ./Coerce/convert.scm 250 */
obj_t BgL_arg3398z00_1282;
{ /* ./Coerce/convert.scm 250 */
obj_t BgL_auxz00_2911;
BgL_auxz00_2911 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg3398z00_1282 = 
MAKE_PAIR(BgL_auxz00_2911, BNIL); } 
BgL_list3396z00_1281 = 
MAKE_PAIR(BgL_auxz00_1244, BgL_arg3398z00_1282); } 
BgL_arg3393z00_1280 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3396z00_1281); } 
BgL_arg3389z00_1278 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg3393z00_1280); } 
BgL_arg3390z00_1279 = 
MAKE_PAIR(BUNSPEC, BNIL); 
BgL_arg3385z00_1276 = 
MAKE_PAIR(BgL_arg3389z00_1278, BgL_arg3390z00_1279); } 
BgL_arg3381z00_1274 = 
MAKE_PAIR(BgL_arg3385z00_1276, BNIL); } 
{ /* ./Coerce/convert.scm 251 */
obj_t BgL_arg3403z00_1283;
{ /* ./Coerce/convert.scm 251 */
obj_t BgL_arg3407z00_1285;obj_t BgL_arg3408z00_1286;
BgL_arg3407z00_1285 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Coerce/convert.scm 252 */
obj_t BgL_arg3411z00_1287;obj_t BgL_arg3412z00_1288;
{ /* ./Coerce/convert.scm 252 */
obj_t BgL_arg3415z00_1289;
{ /* ./Coerce/convert.scm 252 */
obj_t BgL_arg3419z00_1291;obj_t BgL_arg3420z00_1292;
{ /* ./Coerce/convert.scm 252 */
obj_t BgL_arg3423z00_1293;
{ /* ./Coerce/convert.scm 252 */
obj_t BgL_list3426z00_1294;
{ /* ./Coerce/convert.scm 252 */
obj_t BgL_arg3428z00_1295;
{ /* ./Coerce/convert.scm 252 */
obj_t BgL_auxz00_2921;
BgL_auxz00_2921 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg3428z00_1295 = 
MAKE_PAIR(BgL_auxz00_2921, BNIL); } 
BgL_list3426z00_1294 = 
MAKE_PAIR(BgL_aux2z00_1245, BgL_arg3428z00_1295); } 
BgL_arg3423z00_1293 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3426z00_1294); } 
BgL_arg3419z00_1291 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg3423z00_1293); } 
BgL_arg3420z00_1292 = 
MAKE_PAIR(BUNSPEC, BNIL); 
BgL_arg3415z00_1289 = 
MAKE_PAIR(BgL_arg3419z00_1291, BgL_arg3420z00_1292); } 
BgL_arg3411z00_1287 = 
MAKE_PAIR(BgL_arg3415z00_1289, BNIL); } 
{ /* ./Coerce/convert.scm 253 */
obj_t BgL_arg3433z00_1296;
{ /* ./Coerce/convert.scm 253 */
obj_t BgL_arg3437z00_1298;obj_t BgL_arg3438z00_1299;
BgL_arg3437z00_1298 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Coerce/convert.scm 253 */
obj_t BgL_arg3441z00_1300;obj_t BgL_arg3442z00_1301;
{ /* ./Coerce/convert.scm 253 */
obj_t BgL_arg3445z00_1302;
BgL_arg3445z00_1302 = 
MAKE_PAIR(BgL_aux2z00_1245, BNIL); 
BgL_arg3441z00_1300 = 
MAKE_PAIR(BgL_checkzd2opzd2_67, BgL_arg3445z00_1302); } 
{ /* ./Coerce/convert.scm 255 */
obj_t BgL_arg3449z00_1303;
{ /* ./Coerce/convert.scm 255 */
obj_t BgL_arg3452z00_1304;
{ /* ./Coerce/convert.scm 255 */
obj_t BgL_arg3456z00_1306;
BgL_arg3456z00_1306 = 
(((BgL_typez00_bglt)CREF(BgL_toz00_66))->BgL_idz00); 
BgL_arg3452z00_1304 = 
BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_1246, BgL_arg3456z00_1306, BgL_auxz00_1244); } 
BgL_arg3449z00_1303 = 
MAKE_PAIR(BgL_arg3452z00_1304, BNIL); } 
BgL_arg3442z00_1301 = 
MAKE_PAIR(BgL_auxz00_1244, BgL_arg3449z00_1303); } 
BgL_arg3438z00_1299 = 
MAKE_PAIR(BgL_arg3441z00_1300, BgL_arg3442z00_1301); } 
BgL_arg3433z00_1296 = 
MAKE_PAIR(BgL_arg3437z00_1298, BgL_arg3438z00_1299); } 
BgL_arg3412z00_1288 = 
MAKE_PAIR(BgL_arg3433z00_1296, BNIL); } 
BgL_arg3408z00_1286 = 
MAKE_PAIR(BgL_arg3411z00_1287, BgL_arg3412z00_1288); } 
BgL_arg3403z00_1283 = 
MAKE_PAIR(BgL_arg3407z00_1285, BgL_arg3408z00_1286); } 
BgL_arg3382z00_1275 = 
MAKE_PAIR(BgL_arg3403z00_1283, BNIL); } 
BgL_arg3378z00_1273 = 
MAKE_PAIR(BgL_arg3381z00_1274, BgL_arg3382z00_1275); } 
BgL_arg3374z00_1271 = 
MAKE_PAIR(BgL_arg3377z00_1272, BgL_arg3378z00_1273); } 
BgL_lnodez00_1247 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3374z00_1271, BgL_locz00_1246); } 
{ /* ./Coerce/convert.scm 248 */

BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_lnodez00_1247); 
{ /* ./Coerce/convert.scm 258 */
obj_t BgL_varz00_1248;
{ /* ./Coerce/convert.scm 258 */
obj_t BgL_auxz00_2947;
{ /* ./Coerce/convert.scm 258 */
obj_t BgL_auxz00_2948;
{ /* ./Coerce/convert.scm 258 */
BgL_letzd2varzd2_bglt BgL_obj2467z00_1901;
BgL_obj2467z00_1901 = 
(BgL_letzd2varzd2_bglt)(BgL_lnodez00_1247); 
BgL_auxz00_2948 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2467z00_1901))->BgL_bindingsz00); } 
BgL_auxz00_2947 = 
CAR(BgL_auxz00_2948); } 
BgL_varz00_1248 = 
CAR(BgL_auxz00_2947); } 
{ /* ./Coerce/convert.scm 258 */
obj_t BgL_coercezd2appzd2_1249;
{ /* ./Coerce/convert.scm 261 */
BgL_varz00_bglt BgL_arg3359z00_1265;
{ /* ./Coerce/convert.scm 261 */
obj_t BgL_arg3362z00_1266;BgL_typez00_bglt BgL_arg3363z00_1267;obj_t BgL_arg3364z00_1268;
BgL_arg3362z00_1266 = BgL_locz00_1246; 
BgL_arg3363z00_1267 = BgL_fromz00_65; 
BgL_arg3364z00_1268 = BgL_varz00_1248; 
{ /* ./Coerce/convert.scm 260 */
BgL_varz00_bglt BgL_res4000z00_1922;
{ /* ./Coerce/convert.scm 260 */
BgL_variablez00_bglt BgL_variable1632z00_1906;
BgL_variable1632z00_1906 = 
(BgL_variablez00_bglt)(BgL_arg3364z00_1268); 
{ /* ./Coerce/convert.scm 260 */
BgL_varz00_bglt BgL_new1633z00_1907;
{ /* ./Coerce/convert.scm 260 */
BgL_varz00_bglt BgL_res3998z00_1913;
{ /* ./Coerce/convert.scm 260 */
BgL_varz00_bglt BgL_new1635z00_1908;
BgL_new1635z00_1908 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* ./Coerce/convert.scm 260 */
long BgL_arg3831z00_1909;
BgL_arg3831z00_1909 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* ./Coerce/convert.scm 260 */
BgL_objectz00_bglt BgL_objz00_1910;
BgL_objz00_1910 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1908); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1910, BgL_arg3831z00_1909); } } 
{ /* ./Coerce/convert.scm 260 */
BgL_objectz00_bglt BgL_auxz00_2958;
BgL_auxz00_2958 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1908); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2958, BFALSE); } 
{ /* ./Coerce/convert.scm 260 */
obj_t BgL_objz00_1912;
BgL_objz00_1912 = 
(obj_t)(BgL_new1635z00_1908); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1912); BUNSPEC; } 
BgL_res3998z00_1913 = BgL_new1635z00_1908; } 
BgL_new1633z00_1907 = BgL_res3998z00_1913; } 
{ /* ./Coerce/convert.scm 260 */
BgL_varz00_bglt BgL_res3999z00_1921;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1907))->BgL_locz00) = ((obj_t)BgL_arg3362z00_1266), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1907))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3363z00_1267), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1907))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_1906), BUNSPEC); 
BgL_res3999z00_1921 = BgL_new1633z00_1907; BgL_res3999z00_1921; } 
BgL_res4000z00_1922 = BgL_new1633z00_1907; } } 
BgL_arg3359z00_1265 = BgL_res4000z00_1922; } } 
BgL_coercezd2appzd2_1249 = 
BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coercezd2opzd2_68, 
(obj_t)(BgL_arg3359z00_1265), BgL_fromz00_65); } 
{ /* ./Coerce/convert.scm 259 */
BgL_nodez00_bglt BgL_condnz00_1250;
BgL_condnz00_1250 = 
BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_lnodez00_1247); 
{ /* ./Coerce/convert.scm 265 */

{ /* ./Coerce/convert.scm 267 */
BgL_variablez00_bglt BgL_obj1103z00_1923;
BgL_obj1103z00_1923 = 
(BgL_variablez00_bglt)(BgL_varz00_1248); 
((((BgL_variablez00_bglt)CREF(BgL_obj1103z00_1923))->BgL_typez00) = ((BgL_typez00_bglt)BgL_fromz00_65), BUNSPEC); } 
{ /* ./Coerce/convert.scm 269 */
obj_t BgL_arg3323z00_1251;
{ /* ./Coerce/convert.scm 269 */
obj_t BgL_auxz00_2971;
{ /* ./Coerce/convert.scm 269 */
BgL_letzd2varzd2_bglt BgL_obj2467z00_1925;
BgL_obj2467z00_1925 = 
(BgL_letzd2varzd2_bglt)(BgL_lnodez00_1247); 
BgL_auxz00_2971 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2467z00_1925))->BgL_bindingsz00); } 
BgL_arg3323z00_1251 = 
CAR(BgL_auxz00_2971); } 
SET_CDR(BgL_arg3323z00_1251, BgL_nodez00_69); } 
{ /* ./Coerce/convert.scm 270 */
obj_t BgL_binding2z00_1253;
{ /* ./Coerce/convert.scm 270 */
obj_t BgL_auxz00_2976;
{ /* ./Coerce/convert.scm 270 */
BgL_letzd2varzd2_bglt BgL_obj2467z00_1930;
{ /* ./Coerce/convert.scm 270 */
BgL_nodez00_bglt BgL_auxz00_2977;
{ /* ./Coerce/convert.scm 270 */
BgL_letzd2varzd2_bglt BgL_obj2470z00_1929;
BgL_obj2470z00_1929 = 
(BgL_letzd2varzd2_bglt)(BgL_lnodez00_1247); 
BgL_auxz00_2977 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2470z00_1929))->BgL_bodyz00); } 
BgL_obj2467z00_1930 = 
(BgL_letzd2varzd2_bglt)(BgL_auxz00_2977); } 
BgL_auxz00_2976 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2467z00_1930))->BgL_bindingsz00); } 
BgL_binding2z00_1253 = 
CAR(BgL_auxz00_2976); } 
{ /* ./Coerce/convert.scm 272 */
BgL_castz00_bglt BgL_arg3330z00_1254;
{ /* ./Coerce/convert.scm 272 */
obj_t BgL_arg3333z00_1255;obj_t BgL_arg3334z00_1256;BgL_varz00_bglt BgL_arg3335z00_1257;
BgL_arg3333z00_1255 = BgL_locz00_1246; 
BgL_arg3334z00_1256 = BGl_za2objza2z00zztype_cachez00; 
{ /* ./Coerce/convert.scm 275 */
obj_t BgL_arg3338z00_1258;BgL_typez00_bglt BgL_arg3339z00_1259;obj_t BgL_arg3340z00_1260;
BgL_arg3338z00_1258 = BgL_locz00_1246; 
BgL_arg3339z00_1259 = BgL_fromz00_65; 
BgL_arg3340z00_1260 = BgL_varz00_1248; 
{ /* ./Coerce/convert.scm 274 */
BgL_varz00_bglt BgL_res4003z00_1950;
{ /* ./Coerce/convert.scm 274 */
BgL_variablez00_bglt BgL_variable1632z00_1934;
BgL_variable1632z00_1934 = 
(BgL_variablez00_bglt)(BgL_arg3340z00_1260); 
{ /* ./Coerce/convert.scm 274 */
BgL_varz00_bglt BgL_new1633z00_1935;
{ /* ./Coerce/convert.scm 274 */
BgL_varz00_bglt BgL_res4001z00_1941;
{ /* ./Coerce/convert.scm 274 */
BgL_varz00_bglt BgL_new1635z00_1936;
BgL_new1635z00_1936 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* ./Coerce/convert.scm 274 */
long BgL_arg3831z00_1937;
BgL_arg3831z00_1937 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* ./Coerce/convert.scm 274 */
BgL_objectz00_bglt BgL_objz00_1938;
BgL_objz00_1938 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1936); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1938, BgL_arg3831z00_1937); } } 
{ /* ./Coerce/convert.scm 274 */
BgL_objectz00_bglt BgL_auxz00_2988;
BgL_auxz00_2988 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1936); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2988, BFALSE); } 
{ /* ./Coerce/convert.scm 274 */
obj_t BgL_objz00_1940;
BgL_objz00_1940 = 
(obj_t)(BgL_new1635z00_1936); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1940); BUNSPEC; } 
BgL_res4001z00_1941 = BgL_new1635z00_1936; } 
BgL_new1633z00_1935 = BgL_res4001z00_1941; } 
{ /* ./Coerce/convert.scm 274 */
BgL_varz00_bglt BgL_res4002z00_1949;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1935))->BgL_locz00) = ((obj_t)BgL_arg3338z00_1258), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1935))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3339z00_1259), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1935))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_1934), BUNSPEC); 
BgL_res4002z00_1949 = BgL_new1633z00_1935; BgL_res4002z00_1949; } 
BgL_res4003z00_1950 = BgL_new1633z00_1935; } } 
BgL_arg3335z00_1257 = BgL_res4003z00_1950; } } 
{ /* ./Coerce/convert.scm 271 */
BgL_castz00_bglt BgL_res4006z00_1969;
{ /* ./Coerce/convert.scm 271 */
BgL_typez00_bglt BgL_type2261z00_1952;BgL_nodez00_bglt BgL_arg2262z00_1953;
BgL_type2261z00_1952 = 
(BgL_typez00_bglt)(BgL_arg3334z00_1256); 
BgL_arg2262z00_1953 = 
(BgL_nodez00_bglt)(BgL_arg3335z00_1257); 
{ /* ./Coerce/convert.scm 271 */
BgL_castz00_bglt BgL_new2263z00_1954;
{ /* ./Coerce/convert.scm 271 */
BgL_castz00_bglt BgL_res4004z00_1960;
{ /* ./Coerce/convert.scm 271 */
BgL_castz00_bglt BgL_new2265z00_1955;
BgL_new2265z00_1955 = 
((BgL_castz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_castz00_bgl) ))); 
{ /* ./Coerce/convert.scm 271 */
long BgL_arg3678z00_1956;
BgL_arg3678z00_1956 = 
BGl_classzd2numzd2zz__objectz00(BGl_castz00zzast_nodez00); 
{ /* ./Coerce/convert.scm 271 */
BgL_objectz00_bglt BgL_objz00_1957;
BgL_objz00_1957 = 
(BgL_objectz00_bglt)(BgL_new2265z00_1955); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1957, BgL_arg3678z00_1956); } } 
{ /* ./Coerce/convert.scm 271 */
BgL_objectz00_bglt BgL_auxz00_3002;
BgL_auxz00_3002 = 
(BgL_objectz00_bglt)(BgL_new2265z00_1955); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3002, BFALSE); } 
{ /* ./Coerce/convert.scm 271 */
obj_t BgL_objz00_1959;
BgL_objz00_1959 = 
(obj_t)(BgL_new2265z00_1955); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1959); BUNSPEC; } 
BgL_res4004z00_1960 = BgL_new2265z00_1955; } 
BgL_new2263z00_1954 = BgL_res4004z00_1960; } 
{ /* ./Coerce/convert.scm 271 */
BgL_castz00_bglt BgL_res4005z00_1968;
((((BgL_castz00_bglt)CREF(BgL_new2263z00_1954))->BgL_locz00) = ((obj_t)BgL_arg3333z00_1255), BUNSPEC); 
((((BgL_castz00_bglt)CREF(BgL_new2263z00_1954))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2261z00_1952), BUNSPEC); 
((((BgL_castz00_bglt)CREF(BgL_new2263z00_1954))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg2262z00_1953), BUNSPEC); 
BgL_res4005z00_1968 = BgL_new2263z00_1954; BgL_res4005z00_1968; } 
BgL_res4006z00_1969 = BgL_new2263z00_1954; } } 
BgL_arg3330z00_1254 = BgL_res4006z00_1969; } } 
{ /* ./Coerce/convert.scm 271 */
obj_t BgL_objz00_1971;
BgL_objz00_1971 = 
(obj_t)(BgL_arg3330z00_1254); 
SET_CDR(BgL_binding2z00_1253, BgL_objz00_1971); } } } 
{ /* ./Coerce/convert.scm 278 */
BgL_conditionalz00_bglt BgL_obj2310z00_1972;BgL_nodez00_bglt BgL_val2309z00_1973;
BgL_obj2310z00_1972 = 
(BgL_conditionalz00_bglt)(BgL_condnz00_1250); 
BgL_val2309z00_1973 = 
(BgL_nodez00_bglt)(BgL_coercezd2appzd2_1249); 
((((BgL_conditionalz00_bglt)CREF(BgL_obj2310z00_1972))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_val2309z00_1973), BUNSPEC); } 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BTRUE; 
{ /* ./Coerce/convert.scm 281 */
BgL_nodez00_bglt BgL_arg3351z00_1263;
{ /* ./Coerce/convert.scm 281 */
BgL_nodez00_bglt BgL_arg3354z00_1264;
{ /* ./Coerce/convert.scm 281 */
BgL_conditionalz00_bglt BgL_obj2311z00_1974;
BgL_obj2311z00_1974 = 
(BgL_conditionalz00_bglt)(BgL_condnz00_1250); 
BgL_arg3354z00_1264 = 
(((BgL_conditionalz00_bglt)CREF(BgL_obj2311z00_1974))->BgL_falsez00); } 
BgL_arg3351z00_1263 = 
BGl_coercez12z12zzcoerce_coercez00(BgL_arg3354z00_1264, BUNSPEC, BgL_fromz00_65); } 
{ /* ./Coerce/convert.scm 280 */
BgL_conditionalz00_bglt BgL_obj2313z00_1975;
BgL_obj2313z00_1975 = 
(BgL_conditionalz00_bglt)(BgL_condnz00_1250); 
((((BgL_conditionalz00_bglt)CREF(BgL_obj2313z00_1975))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_arg3351z00_1263), BUNSPEC); } } 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BFALSE; 
return 
(obj_t)(BgL_lnodez00_1247);} } } } } } } } } } } 
}



/* do-convert */
obj_t BGl_dozd2convertzd2zzcoerce_convertz00(obj_t BgL_coercezd2opzd2_70, obj_t BgL_nodez00_71, BgL_typez00_bglt BgL_fromz00_72)
{ AN_OBJECT;
{ /* ./Coerce/convert.scm 290 */
{ /* ./Coerce/convert.scm 293 */
bool_t BgL_test3465z00_1308;
BgL_test3465z00_1308 = 
NULLP(BgL_coercezd2opzd2_70); 
if(BgL_test3465z00_1308)
{ /* ./Coerce/convert.scm 293 */
return BgL_nodez00_71;}  else 
{ /* ./Coerce/convert.scm 295 */
BgL_nodez00_bglt BgL_nnodez00_1309;
{ /* ./Coerce/convert.scm 295 */
obj_t BgL_arg3511z00_1328;obj_t BgL_arg3512z00_1329;
{ /* ./Coerce/convert.scm 295 */
obj_t BgL_arg3515z00_1330;
BgL_arg3515z00_1330 = 
MAKE_PAIR(BUNSPEC, BNIL); 
BgL_arg3511z00_1328 = 
MAKE_PAIR(BgL_coercezd2opzd2_70, BgL_arg3515z00_1330); } 
{ /* ./Coerce/convert.scm 296 */
BgL_nodez00_bglt BgL_obj1549z00_1978;
BgL_obj1549z00_1978 = 
(BgL_nodez00_bglt)(BgL_nodez00_71); 
BgL_arg3512z00_1329 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_1978))->BgL_locz00); } 
BgL_nnodez00_1309 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3511z00_1328, BgL_arg3512z00_1329); } 
{ /* ./Coerce/convert.scm 295 */

{ /* ./Coerce/convert.scm 305 */
BgL_nodez00_bglt BgL_obj1552z00_1979;
BgL_obj1552z00_1979 = 
(BgL_nodez00_bglt)(BgL_nodez00_71); 
((((BgL_nodez00_bglt)CREF(BgL_obj1552z00_1979))->BgL_typez00) = ((BgL_typez00_bglt)BgL_fromz00_72), BUNSPEC); } 
{ /* ./Coerce/convert.scm 308 */
bool_t BgL_test3467z00_1310;
{ /* ./Coerce/convert.scm 308 */
obj_t BgL_obj1751z00_1981;
BgL_obj1751z00_1981 = 
(obj_t)(BgL_nnodez00_1309); 
BgL_test3467z00_1310 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1751z00_1981, BGl_appz00zzast_nodez00); } 
if(BgL_test3467z00_1310)
{ /* ./Coerce/convert.scm 308 */
{ /* ./Coerce/convert.scm 309 */
obj_t BgL_arg3469z00_1311;
{ /* ./Coerce/convert.scm 309 */
obj_t BgL_list3472z00_1312;
BgL_list3472z00_1312 = 
MAKE_PAIR(BgL_nodez00_71, BNIL); 
BgL_arg3469z00_1311 = BgL_list3472z00_1312; } 
{ /* ./Coerce/convert.scm 309 */
BgL_appz00_bglt BgL_obj1727z00_1984;
BgL_obj1727z00_1984 = 
(BgL_appz00_bglt)(BgL_nnodez00_1309); 
((((BgL_appz00_bglt)CREF(BgL_obj1727z00_1984))->BgL_argsz00) = ((obj_t)BgL_arg3469z00_1311), BUNSPEC); } } 
return 
(obj_t)(BgL_nnodez00_1309);}  else 
{ /* ./Coerce/convert.scm 311 */
bool_t BgL_test3474z00_1313;
{ /* ./Coerce/convert.scm 311 */
obj_t BgL_obj2502z00_1986;
BgL_obj2502z00_1986 = 
(obj_t)(BgL_nnodez00_1309); 
BgL_test3474z00_1313 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2502z00_1986, BGl_letzd2varzd2zzast_nodez00); } 
if(BgL_test3474z00_1313)
{ /* ./Coerce/convert.scm 311 */
{ /* ./Coerce/convert.scm 312 */
obj_t BgL_bdgsz00_1314;
{ /* ./Coerce/convert.scm 312 */
BgL_letzd2varzd2_bglt BgL_obj2467z00_1987;
BgL_obj2467z00_1987 = 
(BgL_letzd2varzd2_bglt)(BgL_nnodez00_1309); 
BgL_bdgsz00_1314 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2467z00_1987))->BgL_bindingsz00); } 
{ /* ./Coerce/convert.scm 313 */
bool_t BgL_test3475z00_1315;
if(
NULLP(BgL_bdgsz00_1314))
{ /* ./Coerce/convert.scm 313 */
BgL_test3475z00_1315 = ((bool_t)1); }  else 
{ /* ./Coerce/convert.scm 313 */
bool_t BgL_testz00_3044;
{ /* ./Coerce/convert.scm 313 */
obj_t BgL_auxz00_3045;
BgL_auxz00_3045 = 
CDR(BgL_bdgsz00_1314); 
BgL_testz00_3044 = 
NULLP(BgL_auxz00_3045); } 
if(BgL_testz00_3044)
{ /* ./Coerce/convert.scm 313 */
BgL_test3475z00_1315 = ((bool_t)0); }  else 
{ /* ./Coerce/convert.scm 313 */
BgL_test3475z00_1315 = ((bool_t)1); } } 
if(BgL_test3475z00_1315)
{ /* ./Coerce/convert.scm 314 */
obj_t BgL_arg3479z00_1318;
BgL_arg3479z00_1318 = 
BGl_shapez00zztools_shapez00(BgL_coercezd2opzd2_70); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string4126z00zzcoerce_convertz00, BGl_string4127z00zzcoerce_convertz00, BgL_arg3479z00_1318);}  else 
{ /* ./Coerce/convert.scm 313 */
{ /* ./Coerce/convert.scm 318 */
obj_t BgL_arg3483z00_1319;
{ /* ./Coerce/convert.scm 318 */
obj_t BgL_auxz00_3051;
BgL_auxz00_3051 = 
CAR(BgL_bdgsz00_1314); 
BgL_arg3483z00_1319 = 
CAR(BgL_auxz00_3051); } 
{ /* ./Coerce/convert.scm 318 */
BgL_variablez00_bglt BgL_obj1103z00_1993;
BgL_obj1103z00_1993 = 
(BgL_variablez00_bglt)(BgL_arg3483z00_1319); 
((((BgL_variablez00_bglt)CREF(BgL_obj1103z00_1993))->BgL_typez00) = ((BgL_typez00_bglt)BgL_fromz00_72), BUNSPEC); } } 
{ /* ./Coerce/convert.scm 319 */
obj_t BgL_arg3490z00_1321;
BgL_arg3490z00_1321 = 
CAR(BgL_bdgsz00_1314); 
SET_CDR(BgL_arg3490z00_1321, BgL_nodez00_71); } 
return 
(obj_t)(BgL_nnodez00_1309);} } } }  else 
{ /* ./Coerce/convert.scm 311 */
{ /* ./Coerce/convert.scm 322 */
obj_t BgL_arg3505z00_1327;
BgL_arg3505z00_1327 = 
BGl_shapez00zztools_shapez00(BgL_coercezd2opzd2_70); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string4126z00zzcoerce_convertz00, BGl_string4127z00zzcoerce_convertz00, BgL_arg3505z00_1327);} } } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcoerce_convertz00()
{ AN_OBJECT;
{ /* ./Coerce/convert.scm 16 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00()
{ AN_OBJECT;
{ /* ./Coerce/convert.scm 16 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)32118), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)58542), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zztype_coercionz00(((long)58912), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zztype_typeofz00(((long)852), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)15705), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long)41586), "coerce_convert"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)23064), "coerce_convert"); 
return 
BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long)56611), "coerce_convert");} 
}

