/*===========================================================================*/
/*   (DotNet/extern.scm)                                                     */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent DotNet/extern.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_tvecz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_tvecz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzdotnet_externz00();
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
BGL_EXPORTED_DECL obj_t BGl_getzd2classeszd2tozd2bezd2compiledz00zzdotnet_externz00();
static obj_t BGl__realzd2fieldzd2namez00zzdotnet_externz00(obj_t, obj_t);
extern bool_t BGl_requirezd2prototypezf3z21zzcgen_prototypez00(BgL_globalz00_bglt);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_tclasszd2idzd2manglingz00zzdotnet_externz00(BgL_tclassz00_bglt);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_getzd2objectzd2typez00zztype_cachez00();
BGL_IMPORT obj_t bigloo_mangle(obj_t);
extern obj_t BGl_scnstz00zzast_varz00;
extern obj_t BGl_tclassz00zzobject_classz00;
BGL_EXPORTED_DECL obj_t BGl_manuzd2tuzd2fixeszd2globalzd2tvectorz00zzdotnet_externz00(obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_compilezd2typezd2zzdotnet_envz00(obj_t, BgL_envz00_bglt);
extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_getzd2linezd2numberz00zzdotnet_externz00(BgL_nodez00_bglt);
static obj_t BGl__debugzd2declarezd2varzd2fromzd2zzdotnet_externz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__globalzd2tozd2bezd2declaredzd2zzdotnet_externz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
BGL_EXPORTED_DECL obj_t BGl_debugzd2declarezd2varzd2fromzd2zzdotnet_externz00(BgL_envz00_bglt, BgL_localz00_bglt, obj_t, obj_t);
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl_onzd2packagezd2zzdotnet_externz00(obj_t, obj_t);
static obj_t BGl_superzd2packagezd2zzdotnet_externz00(BgL_tclassz00_bglt);
static obj_t BGl__getzd2sourcefilezd2zzdotnet_externz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzdotnet_externz00();
BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_qualifiedzd2classzd2namez00zzdotnet_externz00(BgL_tclassz00_bglt);
BGL_IMPORT obj_t BGl_findzd2runtimezd2typez00zz__errorz00(obj_t);
static obj_t BGl__debugzd2forzd2declarezd2varzf3z21zzdotnet_externz00(obj_t, obj_t);
static obj_t BGl__getzd2linezd2numberz00zzdotnet_externz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_debugzd2forzd2declarezd2varzf3z21zzdotnet_externz00(BgL_envz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_globalzd2tozd2bezd2declaredzd2zzdotnet_externz00(BgL_globalz00_bglt);
static obj_t BGl_importedzd2moduleszd2initz00zzdotnet_externz00();
static obj_t BGl__qualifiedzd2classzd2namez00zzdotnet_externz00(obj_t, obj_t);
static obj_t BGl__realzd2sfunzd2namez00zzdotnet_externz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzdotnet_externz00();
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_jclassz00zzobject_classz00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzdotnet_externz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_javaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztvector_cnstz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcgen_prototypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_instrz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
static obj_t BGl_classzd2packagezd2zzdotnet_externz00(obj_t);
static obj_t BGl__realzd2cfunzd2namez00zzdotnet_externz00(obj_t, obj_t);
BGL_IMPORT obj_t string_to_symbol(char *);
static obj_t BGl__manuzd2tuzd2fixeszd2globalzd2tvectorz00zzdotnet_externz00(obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_realzd2cfunzd2namez00zzdotnet_externz00(BgL_globalz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_realzd2sfunzd2namez00zzdotnet_externz00(BgL_globalz00_bglt);
extern obj_t BGl_findzd2javazd2classz00zzmodule_javaz00(obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
BGL_EXPORTED_DECL obj_t BGl_qualifiedzd2modulezd2namez00zzdotnet_externz00(obj_t);
BGL_IMPORT obj_t display_string(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_patchz00zzdotnet_externz00(BgL_globalz00_bglt);
BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
static obj_t BGl__qualifiedzd2modulezd2namez00zzdotnet_externz00(obj_t, obj_t);
extern obj_t BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00;
static obj_t BGl__getzd2classeszd2tozd2bezd2compiledz00zzdotnet_externz00(obj_t);
extern obj_t BGl_getzd2classzd2listz00zzobject_classz00();
static obj_t BGl__debugzd2declarezd2varz00zzdotnet_externz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_qualifiedzd2typezd2namez00zzdotnet_externz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzdotnet_externz00 = BUNSPEC;
static obj_t BGl__qualifiedzd2typezd2namez00zzdotnet_externz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_debugzd2declarezd2varz00zzdotnet_externz00(BgL_envz00_bglt, BgL_localz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_realzd2fieldzd2namez00zzdotnet_externz00(BgL_globalz00_bglt);
BGL_IMPORT bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_getzd2sourcefilezd2zzdotnet_externz00();
extern obj_t BGl_za2jvmzd2debugza2zd2zzengine_paramz00;
extern obj_t BGl__localvarz00zzdotnet_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzdotnet_externz00();
extern obj_t BGl__labelz00zzdotnet_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl__tclasszd2idzd2manglingz00zzdotnet_externz00(obj_t, obj_t);
static obj_t __cnst[ 13 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_realzd2sfunzd2namezd2envzd2zzdotnet_externz00, BgL_bgl__realza7d2sfunza7d2nameza700za7za7dotnet_externza7004175z00, BGl__realzd2sfunzd2namez00zzdotnet_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_qualifiedzd2typezd2namezd2envzd2zzdotnet_externz00, BgL_bgl__qualifiedza7d2typeza7d2nameza700za7za7dotnet_externza7004176z00, BGl__qualifiedzd2typezd2namez00zzdotnet_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_debugzd2forzd2declarezd2varzf3zd2envzf3zzdotnet_externz00, BgL_bgl__debugza7d2forza7d2declareza7d2varza7f3za721za7za7dotnet_externza7004177z00, BGl__debugzd2forzd2declarezd2varzf3z21zzdotnet_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2sourcefilezd2envz00zzdotnet_externz00, BgL_bgl__getza7d2sourcefileza7d2za7za7dotnet_externza7004178za7, BGl__getzd2sourcefilezd2zzdotnet_externz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_debugzd2declarezd2varzd2envzd2zzdotnet_externz00, BgL_bgl__debugza7d2declareza7d2varza700za7za7dotnet_externza7004179z00, BGl__debugzd2declarezd2varz00zzdotnet_externz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_globalzd2tozd2bezd2declaredzd2envz00zzdotnet_externz00, BgL_bgl__globalza7d2toza7d2beza7d2declaredza7d2za7za7dotnet_externza7004180za7, BGl__globalzd2tozd2bezd2declaredzd2zzdotnet_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_realzd2fieldzd2namezd2envzd2zzdotnet_externz00, BgL_bgl__realza7d2fieldza7d2nameza700za7za7dotnet_externza7004181z00, BGl__realzd2fieldzd2namez00zzdotnet_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_realzd2cfunzd2namezd2envzd2zzdotnet_externz00, BgL_bgl__realza7d2cfunza7d2nameza700za7za7dotnet_externza7004182z00, BGl__realzd2cfunzd2namez00zzdotnet_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_qualifiedzd2classzd2namezd2envzd2zzdotnet_externz00, BgL_bgl__qualifiedza7d2classza7d2nameza700za7za7dotnet_externza7004183z00, BGl__qualifiedzd2classzd2namez00zzdotnet_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_tclasszd2idzd2manglingzd2envzd2zzdotnet_externz00, BgL_bgl__tclassza7d2idza7d2manglingza700za7za7dotnet_externza7004184z00, BGl__tclasszd2idzd2manglingz00zzdotnet_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_qualifiedzd2modulezd2namezd2envzd2zzdotnet_externz00, BgL_bgl__qualifiedza7d2moduleza7d2nameza700za7za7dotnet_externza7004185z00, BGl__qualifiedzd2modulezd2namez00zzdotnet_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_manuzd2tuzd2fixeszd2globalzd2tvectorzd2envzd2zzdotnet_externz00, BgL_bgl__manuza7d2tuza7d2fixesza7d2globalza7d2tvectorza700za7za7dotnet_externza7004186z00, BGl__manuzd2tuzd2fixeszd2globalzd2tvectorz00zzdotnet_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2linezd2numberzd2envzd2zzdotnet_externz00, BgL_bgl__getza7d2lineza7d2numberza700za7za7dotnet_externza7004187z00, BGl__getzd2linezd2numberz00zzdotnet_externz00, 0L, 1 );
DEFINE_STRING( BGl_string4145z00zzdotnet_externz00, BgL_bgl_string4145za700za7za7dotnet_externza7004188z00, "(print \"OCCURRENCE0 \" id) __cnsts_table %exit bigloo-exit eval %exit-env bigloo-exit-env foreign (jclass-package super) object import location stvector ", 152 );
DEFINE_STRING( BGl_string4144z00zzdotnet_externz00, BgL_bgl_string4144za700za7za7dotnet_externza7004189z00, "BIGLOO_EXIT_ENV", 15 );
DEFINE_STRING( BGl_string4143z00zzdotnet_externz00, BgL_bgl_string4143za700za7za7dotnet_externza7004190z00, "bigloo.", 7 );
DEFINE_STRING( BGl_string4142z00zzdotnet_externz00, BgL_bgl_string4142za700za7za7dotnet_externza7004191z00, "Illegal super class", 19 );
DEFINE_STRING( BGl_string4141z00zzdotnet_externz00, BgL_bgl_string4141za700za7za7dotnet_externza7004192z00, "super-package", 13 );
DEFINE_STRING( BGl_string4140z00zzdotnet_externz00, BgL_bgl_string4140za700za7za7dotnet_externza7004193z00, "jclass", 6 );
DEFINE_STRING( BGl_string4139z00zzdotnet_externz00, BgL_bgl_string4139za700za7za7dotnet_externza7004194z00, "where do you got a jclass?", 26 );
DEFINE_STRING( BGl_string4138z00zzdotnet_externz00, BgL_bgl_string4138za700za7za7dotnet_externza7004195z00, "bigloo", 6 );
DEFINE_STRING( BGl_string4137z00zzdotnet_externz00, BgL_bgl_string4137za700za7za7dotnet_externza7004196z00, "_K", 2 );
DEFINE_STRING( BGl_string4136z00zzdotnet_externz00, BgL_bgl_string4136za700za7za7dotnet_externza7004197z00, ".", 1 );
DEFINE_STRING( BGl_string4135z00zzdotnet_externz00, BgL_bgl_string4135za700za7za7dotnet_externza7004198z00, "", 0 );
DEFINE_STRING( BGl_string4134z00zzdotnet_externz00, BgL_bgl_string4134za700za7za7dotnet_externza7004199z00, "qualified-class-name:not a tclass", 33 );
DEFINE_STRING( BGl_string4133z00zzdotnet_externz00, BgL_bgl_string4133za700za7za7dotnet_externza7004200z00, "F", 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2classeszd2tozd2bezd2compiledzd2envzd2zzdotnet_externz00, BgL_bgl__getza7d2classesza7d2toza7d2beza7d2compiledza700za7za7dotnet_externza7004201z00, BGl__getzd2classeszd2tozd2bezd2compiledz00zzdotnet_externz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_debugzd2declarezd2varzd2fromzd2envz00zzdotnet_externz00, BgL_bgl__debugza7d2declareza7d2varza7d2fromza7d2za7za7dotnet_externza7004202za7, BGl__debugzd2declarezd2varzd2fromzd2zzdotnet_externz00, 0L, 4 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzdotnet_externz00(long BgL_checksumz00_2561, char * BgL_fromz00_2562)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzdotnet_externz00))
{ 
BGl_requirezd2initializa7ationz75zzdotnet_externz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzdotnet_externz00(); 
BGl_cnstzd2initzd2zzdotnet_externz00(); 
BGl_importedzd2moduleszd2initz00zzdotnet_externz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzdotnet_externz00()
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 3 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "dotnet_extern"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzdotnet_externz00()
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 3 */
{ /* ./DotNet/extern.scm 3 */
obj_t BgL_cportz00_2554;
BgL_cportz00_2554 = 
open_input_string(BGl_string4145z00zzdotnet_externz00); 
{ 
long BgL_iz00_2555;
BgL_iz00_2555 = ((long)12); 
BgL_loopz00_2556:
{ /* ./DotNet/extern.scm 3 */
bool_t BgL_test4147z00_2557;
BgL_test4147z00_2557 = 
(BgL_iz00_2555==((long)-1)); 
if(BgL_test4147z00_2557)
{ /* ./DotNet/extern.scm 3 */
return BUNSPEC;}  else 
{ /* ./DotNet/extern.scm 3 */
{ /* ./DotNet/extern.scm 3 */
obj_t BgL_arg4149z00_2558;
{ /* ./DotNet/extern.scm 3 */
obj_t BgL_list4152z00_2559;
BgL_list4152z00_2559 = 
MAKE_PAIR(BgL_cportz00_2554, BNIL); 
BgL_arg4149z00_2558 = 
BGl_readz00zz__readerz00(BgL_list4152z00_2559); } 
{ /* ./DotNet/extern.scm 3 */
int BgL_auxz00_2580;
BgL_auxz00_2580 = 
(int)(BgL_iz00_2555); 
CNST_TABLE_SET(BgL_auxz00_2580, BgL_arg4149z00_2558); } } 
{ /* ./DotNet/extern.scm 3 */
int BgL_auxz00_2560;
{ /* ./DotNet/extern.scm 3 */
long BgL_auxz00_2583;
BgL_auxz00_2583 = 
(BgL_iz00_2555-((long)1)); 
BgL_auxz00_2560 = 
(int)(BgL_auxz00_2583); } 
{ 
long BgL_iz00_2586;
BgL_iz00_2586 = 
(long)(BgL_auxz00_2560); 
BgL_iz00_2555 = BgL_iz00_2586; 
goto BgL_loopz00_2556;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzdotnet_externz00()
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 3 */
return BUNSPEC;} 
}



/* manu-tu-fixes-global-tvector */
BGL_EXPORTED_DEF obj_t BGl_manuzd2tuzd2fixeszd2globalzd2tvectorz00zzdotnet_externz00(obj_t BgL_vz00_43)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 41 */
{ /* ./DotNet/extern.scm 42 */
bool_t BgL_test3189z00_1192;
BgL_test3189z00_1192 = 
BGl_iszd2azf3z21zz__objectz00(BgL_vz00_43, BGl_globalz00zzast_varz00); 
if(BgL_test3189z00_1192)
{ /* ./DotNet/extern.scm 43 */
BgL_valuez00_bglt BgL_valuez00_1193;
{ /* ./DotNet/extern.scm 43 */
BgL_variablez00_bglt BgL_obj1104z00_1835;
BgL_obj1104z00_1835 = 
(BgL_variablez00_bglt)(BgL_vz00_43); 
BgL_valuez00_1193 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1835))->BgL_valuez00); } 
{ /* ./DotNet/extern.scm 44 */
bool_t BgL_test3190z00_1194;
{ /* ./DotNet/extern.scm 44 */
obj_t BgL_obj1520z00_1836;
BgL_obj1520z00_1836 = 
(obj_t)(BgL_valuez00_1193); 
BgL_test3190z00_1194 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1520z00_1836, BGl_scnstz00zzast_varz00); } 
if(BgL_test3190z00_1194)
{ /* ./DotNet/extern.scm 45 */
bool_t BgL_testz00_2595;
{ /* ./DotNet/extern.scm 45 */
obj_t BgL_auxz00_2599;obj_t BgL_auxz00_2596;
BgL_auxz00_2599 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./DotNet/extern.scm 45 */
BgL_scnstz00_bglt BgL_obj1500z00_1837;
BgL_obj1500z00_1837 = 
(BgL_scnstz00_bglt)(BgL_valuez00_1193); 
BgL_auxz00_2596 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1500z00_1837))->BgL_classz00); } 
BgL_testz00_2595 = 
(BgL_auxz00_2596==BgL_auxz00_2599); } 
if(BgL_testz00_2595)
{ /* ./DotNet/extern.scm 46 */
BgL_tvecz00_bglt BgL_obj2906z00_1842;
{ /* ./DotNet/extern.scm 48 */
obj_t BgL_auxz00_2602;
{ /* ./DotNet/extern.scm 47 */
int BgL_auxz00_2606;obj_t BgL_auxz00_2603;
BgL_auxz00_2606 = 
(int)(((long)0)); 
{ /* ./DotNet/extern.scm 48 */
BgL_scnstz00_bglt BgL_obj1499z00_1838;
BgL_obj1499z00_1838 = 
(BgL_scnstz00_bglt)(BgL_valuez00_1193); 
BgL_auxz00_2603 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1499z00_1838))->BgL_nodez00); } 
BgL_auxz00_2602 = 
STRUCT_REF(BgL_auxz00_2603, BgL_auxz00_2606); } 
BgL_obj2906z00_1842 = 
(BgL_tvecz00_bglt)(BgL_auxz00_2602); } 
{ /* ./DotNet/extern.scm 46 */
BgL_typez00_bglt BgL_auxz00_2610;
{ 
obj_t BgL_auxz00_2611;
{ /* ./DotNet/extern.scm 46 */
BgL_objectz00_bglt BgL_auxz00_2612;
BgL_auxz00_2612 = 
(BgL_objectz00_bglt)(BgL_obj2906z00_1842); 
BgL_auxz00_2611 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2612); } 
BgL_auxz00_2610 = 
(((BgL_tvecz00_bglt)CREF(BgL_auxz00_2611))->BgL_itemzd2typezd2); } 
return 
(obj_t)(BgL_auxz00_2610);} }  else 
{ /* ./DotNet/extern.scm 45 */
return BFALSE;} }  else 
{ /* ./DotNet/extern.scm 44 */
return BFALSE;} } }  else 
{ /* ./DotNet/extern.scm 42 */
return BFALSE;} } } 
}



/* _manu-tu-fixes-global-tvector */
obj_t BGl__manuzd2tuzd2fixeszd2globalzd2tvectorz00zzdotnet_externz00(obj_t BgL_envz00_2518, obj_t BgL_vz00_2519)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 41 */
return 
BGl_manuzd2tuzd2fixeszd2globalzd2tvectorz00zzdotnet_externz00(BgL_vz00_2519);} 
}



/* get-sourcefile */
BGL_EXPORTED_DEF obj_t BGl_getzd2sourcefilezd2zzdotnet_externz00()
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 56 */
{ /* ./DotNet/extern.scm 57 */
obj_t BgL_arg3208z00_1200;
{ /* ./DotNet/extern.scm 57 */
obj_t BgL_pairz00_1843;
BgL_pairz00_1843 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg3208z00_1200 = 
CAR(BgL_pairz00_1843); } 
return 
BGl_basenamez00zz__osz00(BgL_arg3208z00_1200);} } 
}



/* _get-sourcefile */
obj_t BGl__getzd2sourcefilezd2zzdotnet_externz00(obj_t BgL_envz00_2520)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 56 */
return 
BGl_getzd2sourcefilezd2zzdotnet_externz00();} 
}



/* get-line-number */
BGL_EXPORTED_DEF obj_t BGl_getzd2linezd2numberz00zzdotnet_externz00(BgL_nodez00_bglt BgL_nodez00_44)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 59 */
{ /* ./DotNet/extern.scm 60 */
obj_t BgL_locz00_1201;
BgL_locz00_1201 = 
(((BgL_nodez00_bglt)CREF(BgL_nodez00_44))->BgL_locz00); 
{ /* ./DotNet/extern.scm 61 */
bool_t BgL_test3211z00_1202;
if(
CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
{ /* ./DotNet/extern.scm 61 */
if(
STRUCTP(BgL_locz00_1201))
{ /* ./DotNet/extern.scm 61 */
obj_t BgL_auxz00_2628;obj_t BgL_auxz00_2626;
BgL_auxz00_2628 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_2626 = 
STRUCT_KEY(BgL_locz00_1201); 
BgL_test3211z00_1202 = 
(BgL_auxz00_2626==BgL_auxz00_2628); }  else 
{ /* ./DotNet/extern.scm 61 */
BgL_test3211z00_1202 = ((bool_t)0); } }  else 
{ /* ./DotNet/extern.scm 61 */
BgL_test3211z00_1202 = ((bool_t)0); } 
if(BgL_test3211z00_1202)
{ /* ./DotNet/extern.scm 62 */
int BgL_auxz00_2632;
BgL_auxz00_2632 = 
(int)(((long)2)); 
return 
STRUCT_REF(BgL_locz00_1201, BgL_auxz00_2632);}  else 
{ /* ./DotNet/extern.scm 61 */
return BFALSE;} } } } 
}



/* _get-line-number */
obj_t BGl__getzd2linezd2numberz00zzdotnet_externz00(obj_t BgL_envz00_2521, obj_t BgL_nodez00_2522)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 59 */
return 
BGl_getzd2linezd2numberz00zzdotnet_externz00(
(BgL_nodez00_bglt)(BgL_nodez00_2522));} 
}



/* debug-for-declare-var? */
BGL_EXPORTED_DEF obj_t BGl_debugzd2forzd2declarezd2varzf3z21zzdotnet_externz00(BgL_envz00_bglt BgL_envz00_45)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 65 */
return BGl_za2jvmzd2debugza2zd2zzengine_paramz00;} 
}



/* _debug-for-declare-var? */
obj_t BGl__debugzd2forzd2declarezd2varzf3z21zzdotnet_externz00(obj_t BgL_envz00_2523, obj_t BgL_envz00_2524)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 65 */
return 
BGl_debugzd2forzd2declarezd2varzf3z21zzdotnet_externz00(
(BgL_envz00_bglt)(BgL_envz00_2524));} 
}



/* debug-declare-var */
BGL_EXPORTED_DEF obj_t BGl_debugzd2declarezd2varz00zzdotnet_externz00(BgL_envz00_bglt BgL_envz00_46, BgL_localz00_bglt BgL_varz00_47, obj_t BgL_toz00_48)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 68 */
{ /* ./DotNet/extern.scm 69 */
bool_t BgL_test3215z00_1203;
{ /* ./DotNet/extern.scm 69 */
bool_t BgL_test3219z00_1205;
BgL_test3219z00_1205 = 
CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00); 
if(BgL_test3219z00_1205)
{ /* ./DotNet/extern.scm 69 */
BgL_test3215z00_1203 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_47))->BgL_userzf3zf3); }  else 
{ /* ./DotNet/extern.scm 69 */
BgL_test3215z00_1203 = ((bool_t)0); } } 
if(BgL_test3215z00_1203)
{ /* ./DotNet/extern.scm 70 */
obj_t BgL_fromz00_1204;
BgL_fromz00_1204 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string4133z00zzdotnet_externz00, BEOA); 
BGl__labelz00zzdotnet_instrz00(BgL_envz00_46, BgL_fromz00_1204); 
return 
BGl_debugzd2declarezd2varzd2fromzd2zzdotnet_externz00(BgL_envz00_46, BgL_varz00_47, BgL_fromz00_1204, BgL_toz00_48);}  else 
{ /* ./DotNet/extern.scm 69 */
return BFALSE;} } } 
}



/* _debug-declare-var */
obj_t BGl__debugzd2declarezd2varz00zzdotnet_externz00(obj_t BgL_envz00_2525, obj_t BgL_envz00_2526, obj_t BgL_varz00_2527, obj_t BgL_toz00_2528)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 68 */
return 
BGl_debugzd2declarezd2varz00zzdotnet_externz00(
(BgL_envz00_bglt)(BgL_envz00_2526), 
(BgL_localz00_bglt)(BgL_varz00_2527), BgL_toz00_2528);} 
}



/* debug-declare-var-from */
BGL_EXPORTED_DEF obj_t BGl_debugzd2declarezd2varzd2fromzd2zzdotnet_externz00(BgL_envz00_bglt BgL_envz00_49, BgL_localz00_bglt BgL_varz00_50, obj_t BgL_fromz00_51, obj_t BgL_toz00_52)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 74 */
{ /* ./DotNet/extern.scm 75 */
bool_t BgL_test3222z00_1206;
{ /* ./DotNet/extern.scm 75 */
bool_t BgL_test3233z00_1212;
BgL_test3233z00_1212 = 
CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00); 
if(BgL_test3233z00_1212)
{ /* ./DotNet/extern.scm 75 */
BgL_test3222z00_1206 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_50))->BgL_userzf3zf3); }  else 
{ /* ./DotNet/extern.scm 75 */
BgL_test3222z00_1206 = ((bool_t)0); } } 
if(BgL_test3222z00_1206)
{ /* ./DotNet/extern.scm 76 */
obj_t BgL_typez00_1207;obj_t BgL_userzd2namezd2_1208;obj_t BgL_namez00_1209;
BgL_typez00_1207 = 
BGl_compilezd2typezd2zzdotnet_envz00(
(obj_t)(BgL_varz00_50), BgL_envz00_49); 
{ /* ./DotNet/extern.scm 77 */
obj_t BgL_arg3226z00_1210;
{ /* ./DotNet/extern.scm 77 */
obj_t BgL_arg3229z00_1211;
{ /* ./DotNet/extern.scm 77 */
BgL_variablez00_bglt BgL_obj1097z00_1859;
BgL_obj1097z00_1859 = 
(BgL_variablez00_bglt)(BgL_varz00_50); 
BgL_arg3229z00_1211 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1859))->BgL_idz00); } 
BgL_arg3226z00_1210 = 
SYMBOL_TO_STRING(BgL_arg3229z00_1211); } 
{ /* ./DotNet/extern.scm 77 */
bool_t BgL_test3283z00_1862;
BgL_test3283z00_1862 = 
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_arg3226z00_1210); 
if(BgL_test3283z00_1862)
{ /* ./DotNet/extern.scm 77 */
BgL_userzd2namezd2_1208 = 
bigloo_mangle(BgL_arg3226z00_1210); }  else 
{ /* ./DotNet/extern.scm 77 */
BgL_userzd2namezd2_1208 = BgL_arg3226z00_1210; } } } 
{ /* ./DotNet/extern.scm 78 */
BgL_variablez00_bglt BgL_obj1098z00_1863;
BgL_obj1098z00_1863 = 
(BgL_variablez00_bglt)(BgL_varz00_50); 
BgL_namez00_1209 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1098z00_1863))->BgL_namez00); } 
return 
BGl__localvarz00zzdotnet_instrz00(BgL_envz00_49, BgL_fromz00_51, BgL_toz00_52, BgL_userzd2namezd2_1208, BgL_typez00_1207, BgL_namez00_1209);}  else 
{ /* ./DotNet/extern.scm 75 */
return BFALSE;} } } 
}



/* _debug-declare-var-from */
obj_t BGl__debugzd2declarezd2varzd2fromzd2zzdotnet_externz00(obj_t BgL_envz00_2529, obj_t BgL_envz00_2530, obj_t BgL_varz00_2531, obj_t BgL_fromz00_2532, obj_t BgL_toz00_2533)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 74 */
return 
BGl_debugzd2declarezd2varzd2fromzd2zzdotnet_externz00(
(BgL_envz00_bglt)(BgL_envz00_2530), 
(BgL_localz00_bglt)(BgL_varz00_2531), BgL_fromz00_2532, BgL_toz00_2533);} 
}



/* qualified-module-name */
BGL_EXPORTED_DEF obj_t BGl_qualifiedzd2modulezd2namez00zzdotnet_externz00(obj_t BgL_modulez00_53)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 84 */
return 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_53);} 
}



/* _qualified-module-name */
obj_t BGl__qualifiedzd2modulezd2namez00zzdotnet_externz00(obj_t BgL_envz00_2534, obj_t BgL_modulez00_2535)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 84 */
return 
BGl_qualifiedzd2modulezd2namez00zzdotnet_externz00(BgL_modulez00_2535);} 
}



/* get-classes-to-be-compiled */
BGL_EXPORTED_DEF obj_t BGl_getzd2classeszd2tozd2bezd2compiledz00zzdotnet_externz00()
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 90 */
{ /* ./DotNet/extern.scm 92 */
obj_t BgL_rz00_1213;
BgL_rz00_1213 = BNIL; 
{ 
obj_t BgL_l3059z00_1214;
{ /* ./DotNet/extern.scm 99 */
obj_t BgL_arg3238z00_1216;
BgL_arg3238z00_1216 = 
BGl_getzd2classzd2listz00zzobject_classz00(); 
BgL_l3059z00_1214 = BgL_arg3238z00_1216; 
BgL_forzd2each3060zd2_1215:
{ /* ./DotNet/extern.scm 93 */
bool_t BgL_test3241z00_1217;
BgL_test3241z00_1217 = 
PAIRP(BgL_l3059z00_1214); 
if(BgL_test3241z00_1217)
{ /* ./DotNet/extern.scm 93 */
{ /* ./DotNet/extern.scm 95 */
obj_t BgL_classz00_1218;
BgL_classz00_1218 = 
CAR(BgL_l3059z00_1214); 
{ /* ./DotNet/extern.scm 95 */
bool_t BgL_test3242z00_1219;
{ /* ./DotNet/extern.scm 95 */
obj_t BgL_arg3254z00_1225;
BgL_arg3254z00_1225 = 
BGl_getzd2objectzd2typez00zztype_cachez00(); 
BgL_test3242z00_1219 = 
(BgL_classz00_1218==BgL_arg3254z00_1225); } 
if(BgL_test3242z00_1219)
{ /* ./DotNet/extern.scm 95 */BFALSE; }  else 
{ /* ./DotNet/extern.scm 97 */
bool_t BgL_test3243z00_1221;
{ /* ./DotNet/extern.scm 97 */
obj_t BgL_auxz00_2685;obj_t BgL_auxz00_2677;
BgL_auxz00_2685 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./DotNet/extern.scm 97 */
BgL_globalz00_bglt BgL_arg3250z00_1224;
{ /* ./DotNet/extern.scm 97 */
BgL_tclassz00_bglt BgL_obj2719z00_1866;
BgL_obj2719z00_1866 = 
(BgL_tclassz00_bglt)(BgL_classz00_1218); 
{ 
obj_t BgL_auxz00_2679;
{ /* ./DotNet/extern.scm 97 */
BgL_objectz00_bglt BgL_auxz00_2680;
BgL_auxz00_2680 = 
(BgL_objectz00_bglt)(BgL_obj2719z00_1866); 
BgL_auxz00_2679 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2680); } 
BgL_arg3250z00_1224 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2679))->BgL_holderz00); } } 
BgL_auxz00_2677 = 
(((BgL_globalz00_bglt)CREF(BgL_arg3250z00_1224))->BgL_importz00); } 
BgL_test3243z00_1221 = 
(BgL_auxz00_2677==BgL_auxz00_2685); } 
if(BgL_test3243z00_1221)
{ /* ./DotNet/extern.scm 97 */BFALSE; }  else 
{ /* ./DotNet/extern.scm 97 */
BgL_rz00_1213 = 
MAKE_PAIR(BgL_classz00_1218, BgL_rz00_1213); } } } } 
{ /* ./DotNet/extern.scm 93 */
obj_t BgL_arg3259z00_1226;
BgL_arg3259z00_1226 = 
CDR(BgL_l3059z00_1214); 
{ 
obj_t BgL_l3059z00_2691;
BgL_l3059z00_2691 = BgL_arg3259z00_1226; 
BgL_l3059z00_1214 = BgL_l3059z00_2691; 
goto BgL_forzd2each3060zd2_1215;} } }  else 
{ /* ./DotNet/extern.scm 93 */((bool_t)1); } } } } 
return BgL_rz00_1213;} } 
}



/* _get-classes-to-be-compiled */
obj_t BGl__getzd2classeszd2tozd2bezd2compiledz00zzdotnet_externz00(obj_t BgL_envz00_2536)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 90 */
return 
BGl_getzd2classeszd2tozd2bezd2compiledz00zzdotnet_externz00();} 
}



/* qualified-class-name */
BGL_EXPORTED_DEF obj_t BGl_qualifiedzd2classzd2namez00zzdotnet_externz00(BgL_tclassz00_bglt BgL_classz00_54)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 102 */
{ /* ./DotNet/extern.scm 103 */
bool_t BgL_test3263z00_1227;
{ /* ./DotNet/extern.scm 103 */
obj_t BgL_obj2712z00_1869;
BgL_obj2712z00_1869 = 
(obj_t)(BgL_classz00_54); 
BgL_test3263z00_1227 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2712z00_1869, BGl_tclassz00zzobject_classz00); } 
if(BgL_test3263z00_1227)
{ /* ./DotNet/extern.scm 103 */BFALSE; }  else 
{ /* ./DotNet/extern.scm 104 */
obj_t BgL_arg3266z00_1229;obj_t BgL_arg3267z00_1230;
BgL_arg3266z00_1229 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_classz00_54)); 
BgL_arg3267z00_1230 = 
BGl_findzd2runtimezd2typez00zz__errorz00(
(obj_t)(BgL_classz00_54)); 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string4134z00zzdotnet_externz00, BgL_arg3266z00_1229, BgL_arg3267z00_1230); } } 
{ /* ./DotNet/extern.scm 108 */
obj_t BgL_arg3273z00_1231;obj_t BgL_arg3274z00_1232;
BgL_arg3273z00_1231 = 
BGl_superzd2packagezd2zzdotnet_externz00(BgL_classz00_54); 
BgL_arg3274z00_1232 = 
BGl_tclasszd2idzd2manglingz00zzdotnet_externz00(BgL_classz00_54); 
return 
BGl_onzd2packagezd2zzdotnet_externz00(BgL_arg3273z00_1231, BgL_arg3274z00_1232);} } 
}



/* _qualified-class-name */
obj_t BGl__qualifiedzd2classzd2namez00zzdotnet_externz00(obj_t BgL_envz00_2537, obj_t BgL_classz00_2538)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 102 */
return 
BGl_qualifiedzd2classzd2namez00zzdotnet_externz00(
(BgL_tclassz00_bglt)(BgL_classz00_2538));} 
}



/* on-package */
obj_t BGl_onzd2packagezd2zzdotnet_externz00(obj_t BgL_pkgcz00_55, obj_t BgL_namez00_56)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 110 */
{ /* ./DotNet/extern.scm 111 */
obj_t BgL_snamez00_1233;
BgL_snamez00_1233 = 
SYMBOL_TO_STRING(BgL_namez00_56); 
{ /* ./DotNet/extern.scm 111 */
obj_t BgL_bsnamez00_1234;
{ /* ./DotNet/extern.scm 112 */
bool_t BgL_test3283z00_1872;
BgL_test3283z00_1872 = 
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_snamez00_1233); 
if(BgL_test3283z00_1872)
{ /* ./DotNet/extern.scm 112 */
BgL_bsnamez00_1234 = 
bigloo_mangle(BgL_snamez00_1233); }  else 
{ /* ./DotNet/extern.scm 112 */
BgL_bsnamez00_1234 = BgL_snamez00_1233; } } 
{ /* ./DotNet/extern.scm 112 */

{ /* ./DotNet/extern.scm 113 */
bool_t BgL_test3278z00_1235;
BgL_test3278z00_1235 = 
bigloo_strcmp(BgL_pkgcz00_55, BGl_string4135z00zzdotnet_externz00); 
if(BgL_test3278z00_1235)
{ /* ./DotNet/extern.scm 113 */
return BgL_bsnamez00_1234;}  else 
{ /* ./DotNet/extern.scm 113 */
return 
string_append_3(BgL_pkgcz00_55, BGl_string4136z00zzdotnet_externz00, BgL_bsnamez00_1234);} } } } } } 
}



/* tclass-id-mangling */
BGL_EXPORTED_DEF obj_t BGl_tclasszd2idzd2manglingz00zzdotnet_externz00(BgL_tclassz00_bglt BgL_classz00_58)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 122 */
{ /* ./DotNet/extern.scm 124 */
bool_t BgL_test3286z00_1237;
{ /* ./DotNet/extern.scm 124 */
obj_t BgL_arg3306z00_1247;
BgL_arg3306z00_1247 = 
BGl_getzd2objectzd2typez00zztype_cachez00(); 
{ /* ./DotNet/extern.scm 124 */
obj_t BgL_auxz00_2714;
BgL_auxz00_2714 = 
(obj_t)(BgL_classz00_58); 
BgL_test3286z00_1237 = 
(BgL_auxz00_2714==BgL_arg3306z00_1247); } } 
if(BgL_test3286z00_1237)
{ /* ./DotNet/extern.scm 124 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* ./DotNet/extern.scm 127 */
obj_t BgL_modz00_1239;
{ /* ./DotNet/extern.scm 127 */
BgL_globalz00_bglt BgL_arg3302z00_1246;
{ 
obj_t BgL_auxz00_2719;
{ /* ./DotNet/extern.scm 127 */
BgL_objectz00_bglt BgL_auxz00_2720;
BgL_auxz00_2720 = 
(BgL_objectz00_bglt)(BgL_classz00_58); 
BgL_auxz00_2719 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2720); } 
BgL_arg3302z00_1246 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2719))->BgL_holderz00); } 
BgL_modz00_1239 = 
(((BgL_globalz00_bglt)CREF(BgL_arg3302z00_1246))->BgL_modulez00); } 
{ /* ./DotNet/extern.scm 128 */
obj_t BgL_sidz00_1240;
{ /* ./DotNet/extern.scm 128 */
obj_t BgL_arg3292z00_1242;obj_t BgL_arg3294z00_1244;
BgL_arg3292z00_1242 = 
SYMBOL_TO_STRING(BgL_modz00_1239); 
{ /* ./DotNet/extern.scm 130 */
obj_t BgL_arg3298z00_1245;
{ /* ./DotNet/extern.scm 130 */
BgL_typez00_bglt BgL_obj1003z00_1879;
BgL_obj1003z00_1879 = 
(BgL_typez00_bglt)(BgL_classz00_58); 
BgL_arg3298z00_1245 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1879))->BgL_idz00); } 
BgL_arg3294z00_1244 = 
SYMBOL_TO_STRING(BgL_arg3298z00_1245); } 
BgL_sidz00_1240 = 
string_append_3(BgL_arg3292z00_1242, BGl_string4137z00zzdotnet_externz00, BgL_arg3294z00_1244); } 
{ /* ./DotNet/extern.scm 131 */
obj_t BgL_arg3288z00_1241;
{ /* ./DotNet/extern.scm 131 */
bool_t BgL_test3283z00_1882;
BgL_test3283z00_1882 = 
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_sidz00_1240); 
if(BgL_test3283z00_1882)
{ /* ./DotNet/extern.scm 131 */
BgL_arg3288z00_1241 = 
bigloo_mangle(BgL_sidz00_1240); }  else 
{ /* ./DotNet/extern.scm 131 */
BgL_arg3288z00_1241 = BgL_sidz00_1240; } } 
{ /* ./DotNet/extern.scm 131 */
char * BgL_auxz00_2733;
BgL_auxz00_2733 = 
BSTRING_TO_STRING(BgL_arg3288z00_1241); 
return 
string_to_symbol(BgL_auxz00_2733);} } } } } } 
}



/* _tclass-id-mangling */
obj_t BGl__tclasszd2idzd2manglingz00zzdotnet_externz00(obj_t BgL_envz00_2539, obj_t BgL_classz00_2540)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 122 */
return 
BGl_tclasszd2idzd2manglingz00zzdotnet_externz00(
(BgL_tclassz00_bglt)(BgL_classz00_2540));} 
}



/* super-package */
obj_t BGl_superzd2packagezd2zzdotnet_externz00(BgL_tclassz00_bglt BgL_superz00_59)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 133 */
{ /* ./DotNet/extern.scm 136 */
bool_t BgL_test3309z00_1248;
{ /* ./DotNet/extern.scm 136 */
obj_t BgL_obj2712z00_1884;
BgL_obj2712z00_1884 = 
(obj_t)(BgL_superz00_59); 
BgL_test3309z00_1248 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2712z00_1884, BGl_tclassz00zzobject_classz00); } 
if(BgL_test3309z00_1248)
{ /* ./DotNet/extern.scm 136 */
{ /* ./DotNet/extern.scm 138 */
bool_t BgL_test3310z00_1250;
{ /* ./DotNet/extern.scm 138 */
bool_t BgL_test3323z00_1256;
{ /* ./DotNet/extern.scm 138 */
obj_t BgL_auxz00_2743;obj_t BgL_auxz00_2741;
{ 
obj_t BgL_auxz00_2744;
{ /* ./DotNet/extern.scm 138 */
BgL_objectz00_bglt BgL_auxz00_2745;
BgL_auxz00_2745 = 
(BgL_objectz00_bglt)(BgL_superz00_59); 
BgL_auxz00_2744 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2745); } 
BgL_auxz00_2743 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2744))->BgL_itszd2superzd2); } 
BgL_auxz00_2741 = 
(obj_t)(BgL_superz00_59); 
BgL_test3323z00_1256 = 
(BgL_auxz00_2741==BgL_auxz00_2743); } 
if(BgL_test3323z00_1256)
{ /* ./DotNet/extern.scm 138 */
BgL_test3310z00_1250 = ((bool_t)1); }  else 
{ /* ./DotNet/extern.scm 138 */
bool_t BgL_test3324z00_1257;
{ /* ./DotNet/extern.scm 138 */
obj_t BgL_arg3326z00_1258;
{ 
obj_t BgL_auxz00_2751;
{ /* ./DotNet/extern.scm 138 */
BgL_objectz00_bglt BgL_auxz00_2752;
BgL_auxz00_2752 = 
(BgL_objectz00_bglt)(BgL_superz00_59); 
BgL_auxz00_2751 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2752); } 
BgL_arg3326z00_1258 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2751))->BgL_itszd2superzd2); } 
BgL_test3324z00_1257 = 
BGl_iszd2azf3z21zz__objectz00(BgL_arg3326z00_1258, BGl_tclassz00zzobject_classz00); } 
if(BgL_test3324z00_1257)
{ /* ./DotNet/extern.scm 138 */
BgL_test3310z00_1250 = ((bool_t)0); }  else 
{ /* ./DotNet/extern.scm 138 */
BgL_test3310z00_1250 = ((bool_t)1); } } } 
if(BgL_test3310z00_1250)
{ /* ./DotNet/extern.scm 138 */
return BGl_string4138z00zzdotnet_externz00;}  else 
{ /* ./DotNet/extern.scm 141 */
BgL_globalz00_bglt BgL_holderz00_1251;
{ 
obj_t BgL_auxz00_2759;
{ /* ./DotNet/extern.scm 141 */
BgL_objectz00_bglt BgL_auxz00_2760;
BgL_auxz00_2760 = 
(BgL_objectz00_bglt)(BgL_superz00_59); 
BgL_auxz00_2759 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2760); } 
BgL_holderz00_1251 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2759))->BgL_holderz00); } 
{ /* ./DotNet/extern.scm 142 */
obj_t BgL_arg3312z00_1252;obj_t BgL_arg3313z00_1253;
BgL_arg3312z00_1252 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_1251))->BgL_modulez00); 
BgL_arg3313z00_1253 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_1251))->BgL_jvmzd2typezd2namez00); 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg3312z00_1252, BgL_arg3313z00_1253, BNIL); } 
{ /* ./DotNet/extern.scm 144 */
obj_t BgL_arg3319z00_1255;
BgL_arg3319z00_1255 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_1251))->BgL_modulez00); 
return 
BGl_classzd2packagezd2zzdotnet_externz00(BgL_arg3319z00_1255);} } } }  else 
{ /* ./DotNet/extern.scm 145 */
bool_t BgL_test3333z00_1260;
{ /* ./DotNet/extern.scm 145 */
obj_t BgL_obj2808z00_1892;
BgL_obj2808z00_1892 = 
(obj_t)(BgL_superz00_59); 
BgL_test3333z00_1260 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2808z00_1892, BGl_jclassz00zzobject_classz00); } 
if(BgL_test3333z00_1260)
{ /* ./DotNet/extern.scm 145 */
CNST_TABLE_REF(((long)4)); 
{ /* ./DotNet/extern.scm 147 */
obj_t BgL_arg3336z00_1262;
BgL_arg3336z00_1262 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string4139z00zzdotnet_externz00, BgL_arg3336z00_1262); } 
{ /* ./DotNet/extern.scm 147 */
obj_t BgL_arg3340z00_1263;
BgL_arg3340z00_1263 = 
BGL_CURRENT_OUTPUT_PORT(); 
WRITE_CHAR(((unsigned char)'\n'), BgL_arg3340z00_1263); } 
return BGl_string4140z00zzdotnet_externz00;}  else 
{ /* ./DotNet/extern.scm 145 */
{ /* ./DotNet/extern.scm 150 */
obj_t BgL_objectz00_1896;
BgL_objectz00_1896 = 
(obj_t)(BgL_superz00_59); 
FAILURE(BGl_string4141z00zzdotnet_externz00,BGl_string4142z00zzdotnet_externz00,BgL_objectz00_1896);} } } } } 
}



/* class-package */
obj_t BGl_classzd2packagezd2zzdotnet_externz00(obj_t BgL_namez00_60)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 152 */
{ /* ./DotNet/extern.scm 153 */
obj_t BgL_sz00_1264;
BgL_sz00_1264 = 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_namez00_60); 
{ /* ./DotNet/extern.scm 153 */
obj_t BgL_prefz00_1265;
BgL_prefz00_1265 = 
BGl_prefixz00zz__osz00(BgL_sz00_1264); 
{ /* ./DotNet/extern.scm 154 */

{ /* ./DotNet/extern.scm 155 */
bool_t BgL_test3346z00_1266;
BgL_test3346z00_1266 = 
bigloo_strcmp(BgL_prefz00_1265, BgL_sz00_1264); 
if(BgL_test3346z00_1266)
{ /* ./DotNet/extern.scm 155 */
return BGl_string4135z00zzdotnet_externz00;}  else 
{ /* ./DotNet/extern.scm 155 */
return BgL_prefz00_1265;} } } } } } 
}



/* qualified-type-name */
BGL_EXPORTED_DEF obj_t BGl_qualifiedzd2typezd2namez00zzdotnet_externz00(obj_t BgL_typez00_61)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 162 */
{ /* ./DotNet/extern.scm 163 */
bool_t BgL_test3350z00_1267;
{ /* ./DotNet/extern.scm 163 */
obj_t BgL_auxz00_2783;
BgL_auxz00_2783 = 
CNST_TABLE_REF(((long)5)); 
BgL_test3350z00_1267 = 
(BgL_typez00_61==BgL_auxz00_2783); } 
if(BgL_test3350z00_1267)
{ /* ./DotNet/extern.scm 163 */
return BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00;}  else 
{ /* ./DotNet/extern.scm 165 */
obj_t BgL_javazd2classzd2_1268;
BgL_javazd2classzd2_1268 = 
BGl_findzd2javazd2classz00zzmodule_javaz00(BgL_typez00_61); 
{ /* ./DotNet/extern.scm 166 */
bool_t BgL_test3351z00_1269;
BgL_test3351z00_1269 = 
STRINGP(BgL_javazd2classzd2_1268); 
if(BgL_test3351z00_1269)
{ /* ./DotNet/extern.scm 166 */
return BgL_javazd2classzd2_1268;}  else 
{ /* ./DotNet/extern.scm 168 */
obj_t BgL_arg3354z00_1271;
BgL_arg3354z00_1271 = 
SYMBOL_TO_STRING(BgL_typez00_61); 
return 
string_append(BGl_string4143z00zzdotnet_externz00, BgL_arg3354z00_1271);} } } } } 
}



/* _qualified-type-name */
obj_t BGl__qualifiedzd2typezd2namez00zzdotnet_externz00(obj_t BgL_envz00_2541, obj_t BgL_typez00_2542)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 162 */
return 
BGl_qualifiedzd2typezd2namez00zzdotnet_externz00(BgL_typez00_2542);} 
}



/* real-field-name */
BGL_EXPORTED_DEF obj_t BGl_realzd2fieldzd2namez00zzdotnet_externz00(BgL_globalz00_bglt BgL_globalz00_62)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 174 */
{ /* ./DotNet/extern.scm 179 */
bool_t BgL_test3360z00_1273;
{ /* ./DotNet/extern.scm 179 */
obj_t BgL_auxz00_2795;obj_t BgL_auxz00_2793;
BgL_auxz00_2795 = 
CNST_TABLE_REF(((long)5)); 
BgL_auxz00_2793 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_62))->BgL_modulez00); 
BgL_test3360z00_1273 = 
(BgL_auxz00_2793==BgL_auxz00_2795); } 
if(BgL_test3360z00_1273)
{ /* ./DotNet/extern.scm 179 */
return 
BGl_patchz00zzdotnet_externz00(BgL_globalz00_62);}  else 
{ /* ./DotNet/extern.scm 181 */
bool_t BgL_test3362z00_1274;
{ /* ./DotNet/extern.scm 181 */
obj_t BgL_auxz00_2800;
{ /* ./DotNet/extern.scm 181 */
BgL_variablez00_bglt BgL_obj1098z00_1902;
BgL_obj1098z00_1902 = 
(BgL_variablez00_bglt)(BgL_globalz00_62); 
BgL_auxz00_2800 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1098z00_1902))->BgL_namez00); } 
BgL_test3362z00_1274 = 
STRINGP(BgL_auxz00_2800); } 
if(BgL_test3362z00_1274)
{ /* ./DotNet/extern.scm 182 */
BgL_variablez00_bglt BgL_obj1098z00_1904;
BgL_obj1098z00_1904 = 
(BgL_variablez00_bglt)(BgL_globalz00_62); 
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1098z00_1904))->BgL_namez00);}  else 
{ /* ./DotNet/extern.scm 183 */
obj_t BgL_arg3365z00_1275;
{ /* ./DotNet/extern.scm 183 */
obj_t BgL_arg3368z00_1276;
{ /* ./DotNet/extern.scm 183 */
BgL_variablez00_bglt BgL_obj1097z00_1905;
BgL_obj1097z00_1905 = 
(BgL_variablez00_bglt)(BgL_globalz00_62); 
BgL_arg3368z00_1276 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1905))->BgL_idz00); } 
BgL_arg3365z00_1275 = 
SYMBOL_TO_STRING(BgL_arg3368z00_1276); } 
{ /* ./DotNet/extern.scm 183 */
bool_t BgL_test3283z00_1908;
BgL_test3283z00_1908 = 
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_arg3365z00_1275); 
if(BgL_test3283z00_1908)
{ /* ./DotNet/extern.scm 183 */
return 
bigloo_mangle(BgL_arg3365z00_1275);}  else 
{ /* ./DotNet/extern.scm 183 */
return BgL_arg3365z00_1275;} } } } } } 
}



/* _real-field-name */
obj_t BGl__realzd2fieldzd2namez00zzdotnet_externz00(obj_t BgL_envz00_2543, obj_t BgL_globalz00_2544)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 174 */
return 
BGl_realzd2fieldzd2namez00zzdotnet_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_2544));} 
}



/* real-sfun-name */
BGL_EXPORTED_DEF obj_t BGl_realzd2sfunzd2namez00zzdotnet_externz00(BgL_globalz00_bglt BgL_globalz00_63)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 185 */
{ /* ./DotNet/extern.scm 187 */
bool_t BgL_test3380z00_1281;
{ /* ./DotNet/extern.scm 187 */
obj_t BgL_auxz00_2817;obj_t BgL_auxz00_2815;
BgL_auxz00_2817 = 
CNST_TABLE_REF(((long)5)); 
BgL_auxz00_2815 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_63))->BgL_modulez00); 
BgL_test3380z00_1281 = 
(BgL_auxz00_2815==BgL_auxz00_2817); } 
if(BgL_test3380z00_1281)
{ /* ./DotNet/extern.scm 187 */
return 
BGl_patchz00zzdotnet_externz00(BgL_globalz00_63);}  else 
{ /* ./DotNet/extern.scm 189 */
bool_t BgL_test3382z00_1282;
{ /* ./DotNet/extern.scm 189 */
obj_t BgL_auxz00_2822;
{ /* ./DotNet/extern.scm 189 */
BgL_variablez00_bglt BgL_obj1098z00_1910;
BgL_obj1098z00_1910 = 
(BgL_variablez00_bglt)(BgL_globalz00_63); 
BgL_auxz00_2822 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1098z00_1910))->BgL_namez00); } 
BgL_test3382z00_1282 = 
STRINGP(BgL_auxz00_2822); } 
if(BgL_test3382z00_1282)
{ /* ./DotNet/extern.scm 190 */
BgL_variablez00_bglt BgL_obj1098z00_1912;
BgL_obj1098z00_1912 = 
(BgL_variablez00_bglt)(BgL_globalz00_63); 
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1098z00_1912))->BgL_namez00);}  else 
{ /* ./DotNet/extern.scm 192 */
obj_t BgL_arg3385z00_1283;
{ /* ./DotNet/extern.scm 192 */
obj_t BgL_arg3388z00_1284;
{ /* ./DotNet/extern.scm 192 */
BgL_variablez00_bglt BgL_obj1097z00_1913;
BgL_obj1097z00_1913 = 
(BgL_variablez00_bglt)(BgL_globalz00_63); 
BgL_arg3388z00_1284 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1913))->BgL_idz00); } 
BgL_arg3385z00_1283 = 
SYMBOL_TO_STRING(BgL_arg3388z00_1284); } 
{ /* ./DotNet/extern.scm 192 */
bool_t BgL_test3283z00_1916;
BgL_test3283z00_1916 = 
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_arg3385z00_1283); 
if(BgL_test3283z00_1916)
{ /* ./DotNet/extern.scm 192 */
return 
bigloo_mangle(BgL_arg3385z00_1283);}  else 
{ /* ./DotNet/extern.scm 192 */
return BgL_arg3385z00_1283;} } } } } } 
}



/* _real-sfun-name */
obj_t BGl__realzd2sfunzd2namez00zzdotnet_externz00(obj_t BgL_envz00_2545, obj_t BgL_globalz00_2546)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 185 */
return 
BGl_realzd2sfunzd2namez00zzdotnet_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_2546));} 
}



/* real-cfun-name */
BGL_EXPORTED_DEF obj_t BGl_realzd2cfunzd2namez00zzdotnet_externz00(BgL_globalz00_bglt BgL_globalz00_64)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 194 */
{ /* ./DotNet/extern.scm 195 */
BgL_variablez00_bglt BgL_obj1098z00_1918;
BgL_obj1098z00_1918 = 
(BgL_variablez00_bglt)(BgL_globalz00_64); 
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1098z00_1918))->BgL_namez00);} } 
}



/* _real-cfun-name */
obj_t BGl__realzd2cfunzd2namez00zzdotnet_externz00(obj_t BgL_envz00_2547, obj_t BgL_globalz00_2548)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 194 */
return 
BGl_realzd2cfunzd2namez00zzdotnet_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_2548));} 
}



/* patch */
obj_t BGl_patchz00zzdotnet_externz00(BgL_globalz00_bglt BgL_globalz00_65)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 199 */
{ /* ./DotNet/extern.scm 202 */
bool_t BgL_testz00_2841;
{ /* ./DotNet/extern.scm 202 */
obj_t BgL_auxz00_2845;obj_t BgL_auxz00_2842;
BgL_auxz00_2845 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./DotNet/extern.scm 202 */
BgL_variablez00_bglt BgL_obj1097z00_1919;
BgL_obj1097z00_1919 = 
(BgL_variablez00_bglt)(BgL_globalz00_65); 
BgL_auxz00_2842 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1919))->BgL_idz00); } 
BgL_testz00_2841 = 
(BgL_auxz00_2842==BgL_auxz00_2845); } 
if(BgL_testz00_2841)
{ /* ./DotNet/extern.scm 202 */
return BGl_string4144z00zzdotnet_externz00;}  else 
{ /* ./DotNet/extern.scm 203 */
bool_t BgL_testz00_2848;
{ /* ./DotNet/extern.scm 203 */
obj_t BgL_auxz00_2852;obj_t BgL_auxz00_2849;
BgL_auxz00_2852 = 
CNST_TABLE_REF(((long)7)); 
{ /* ./DotNet/extern.scm 203 */
BgL_variablez00_bglt BgL_obj1097z00_1920;
BgL_obj1097z00_1920 = 
(BgL_variablez00_bglt)(BgL_globalz00_65); 
BgL_auxz00_2849 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1920))->BgL_idz00); } 
BgL_testz00_2848 = 
(BgL_auxz00_2849==BgL_auxz00_2852); } 
if(BgL_testz00_2848)
{ /* ./DotNet/extern.scm 203 */
return BGl_string4144z00zzdotnet_externz00;}  else 
{ /* ./DotNet/extern.scm 203 */
{ /* ./DotNet/extern.scm 204 */
BgL_variablez00_bglt BgL_obj1098z00_1921;
BgL_obj1098z00_1921 = 
(BgL_variablez00_bglt)(BgL_globalz00_65); 
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1098z00_1921))->BgL_namez00);} } } } } 
}



/* global-to-be-declared */
BGL_EXPORTED_DEF obj_t BGl_globalzd2tozd2bezd2declaredzd2zzdotnet_externz00(BgL_globalz00_bglt BgL_globalz00_66)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 206 */
{ /* ./DotNet/extern.scm 208 */
bool_t BgL_test3414z00_1297;
{ /* ./DotNet/extern.scm 208 */
bool_t BgL_test3427z00_1304;
{ /* ./DotNet/extern.scm 208 */
obj_t BgL_auxz00_2859;obj_t BgL_auxz00_2857;
BgL_auxz00_2859 = 
CNST_TABLE_REF(((long)8)); 
BgL_auxz00_2857 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_66))->BgL_importz00); 
BgL_test3427z00_1304 = 
(BgL_auxz00_2857==BgL_auxz00_2859); } 
if(BgL_test3427z00_1304)
{ /* ./DotNet/extern.scm 208 */
BgL_test3414z00_1297 = ((bool_t)0); }  else 
{ /* ./DotNet/extern.scm 209 */
bool_t BgL__ortest_3077z00_1305;
BgL__ortest_3077z00_1305 = 
BGl_requirezd2prototypezf3z21zzcgen_prototypez00(BgL_globalz00_66); 
if(BgL__ortest_3077z00_1305)
{ /* ./DotNet/extern.scm 210 */
BgL_test3414z00_1297 = BgL__ortest_3077z00_1305; }  else 
{ /* ./DotNet/extern.scm 210 */
bool_t BgL__andtest_3078z00_1306;
{ /* ./DotNet/extern.scm 210 */
bool_t BgL__ortest_3079z00_1308;
{ /* ./DotNet/extern.scm 210 */
obj_t BgL_auxz00_2868;obj_t BgL_auxz00_2865;
BgL_auxz00_2868 = 
CNST_TABLE_REF(((long)9)); 
{ /* ./DotNet/extern.scm 210 */
BgL_variablez00_bglt BgL_obj1097z00_1923;
BgL_obj1097z00_1923 = 
(BgL_variablez00_bglt)(BgL_globalz00_66); 
BgL_auxz00_2865 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1923))->BgL_idz00); } 
BgL__ortest_3079z00_1308 = 
(BgL_auxz00_2865==BgL_auxz00_2868); } 
if(BgL__ortest_3079z00_1308)
{ /* ./DotNet/extern.scm 210 */
BgL__andtest_3078z00_1306 = BgL__ortest_3079z00_1308; }  else 
{ /* ./DotNet/extern.scm 211 */
obj_t BgL_auxz00_2875;obj_t BgL_auxz00_2872;
BgL_auxz00_2875 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./DotNet/extern.scm 211 */
BgL_variablez00_bglt BgL_obj1097z00_1924;
BgL_obj1097z00_1924 = 
(BgL_variablez00_bglt)(BgL_globalz00_66); 
BgL_auxz00_2872 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1924))->BgL_idz00); } 
BgL__andtest_3078z00_1306 = 
(BgL_auxz00_2872==BgL_auxz00_2875); } } 
if(BgL__andtest_3078z00_1306)
{ /* ./DotNet/extern.scm 212 */
BgL_valuez00_bglt BgL_arg3429z00_1307;
{ /* ./DotNet/extern.scm 212 */
BgL_variablez00_bglt BgL_obj1104z00_1925;
BgL_obj1104z00_1925 = 
(BgL_variablez00_bglt)(BgL_globalz00_66); 
BgL_arg3429z00_1307 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1925))->BgL_valuez00); } 
{ /* ./DotNet/extern.scm 212 */
obj_t BgL_obj1486z00_1926;
BgL_obj1486z00_1926 = 
(obj_t)(BgL_arg3429z00_1307); 
BgL_test3414z00_1297 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1486z00_1926, BGl_cfunz00zzast_varz00); } }  else 
{ /* ./DotNet/extern.scm 210 */
BgL_test3414z00_1297 = ((bool_t)0); } } } } 
if(BgL_test3414z00_1297)
{ /* ./DotNet/extern.scm 208 */
return BTRUE;}  else 
{ /* ./DotNet/extern.scm 208 */
{ /* ./DotNet/extern.scm 215 */
bool_t BgL_test3415z00_1298;
{ /* ./DotNet/extern.scm 215 */
bool_t BgL_test3416z00_1299;
{ /* ./DotNet/extern.scm 215 */
obj_t BgL_arg3424z00_1303;
BgL_arg3424z00_1303 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_66))->BgL_modulez00); 
BgL_test3416z00_1299 = 
(BgL_arg3424z00_1303==BGl_za2moduleza2z00zzmodule_modulez00); } 
if(BgL_test3416z00_1299)
{ /* ./DotNet/extern.scm 215 */
bool_t BgL_testz00_2887;
{ /* ./DotNet/extern.scm 215 */
obj_t BgL_auxz00_2891;obj_t BgL_auxz00_2888;
BgL_auxz00_2891 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./DotNet/extern.scm 215 */
BgL_variablez00_bglt BgL_obj1097z00_1928;
BgL_obj1097z00_1928 = 
(BgL_variablez00_bglt)(BgL_globalz00_66); 
BgL_auxz00_2888 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1928))->BgL_idz00); } 
BgL_testz00_2887 = 
(BgL_auxz00_2888==BgL_auxz00_2891); } 
if(BgL_testz00_2887)
{ /* ./DotNet/extern.scm 215 */
BgL_test3415z00_1298 = ((bool_t)0); }  else 
{ /* ./DotNet/extern.scm 215 */
BgL_test3415z00_1298 = ((bool_t)1); } }  else 
{ /* ./DotNet/extern.scm 215 */
BgL_test3415z00_1298 = ((bool_t)0); } } 
if(BgL_test3415z00_1298)
{ /* ./DotNet/extern.scm 215 */
CNST_TABLE_REF(((long)12)); }  else 
{ /* ./DotNet/extern.scm 215 */BFALSE; } } 
return BFALSE;} } } 
}



/* _global-to-be-declared */
obj_t BGl__globalzd2tozd2bezd2declaredzd2zzdotnet_externz00(obj_t BgL_envz00_2549, obj_t BgL_globalz00_2550)
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 206 */
return 
BGl_globalzd2tozd2bezd2declaredzd2zzdotnet_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_2550));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzdotnet_externz00()
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 3 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzdotnet_externz00()
{ AN_OBJECT;
{ /* ./DotNet/extern.scm 3 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)23064), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzmodule_classz00(((long)34127), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzmodule_javaz00(((long)4304), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long)32501), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zztvector_cnstz00(((long)21355), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long)26410), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzread_jvmz00(((long)16338), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzcgen_prototypez00(((long)7601), "dotnet_extern"); 
BGl_modulezd2initializa7ationz75zzdotnet_envz00(((long)58889), "dotnet_extern"); 
return 
BGl_modulezd2initializa7ationz75zzdotnet_instrz00(((long)8897), "dotnet_extern");} 
}

