/*===========================================================================*/
/*   (Inline/app.scm)                                                        */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Inline/app.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_isfunz00_bgl {
   struct BgL_nodez00_bgl * BgL_originalzd2bodyzd2;
   obj_t BgL_recursivezd2callszd2;
} *BgL_isfunz00_bglt;


extern obj_t BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00;
static obj_t BGl_methodzd2initzd2zzinline_appz00();
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_sfunz00zzast_varz00;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl__inlinezd2appzf3z21zzinline_appz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2userzd2inliningzf3za2z21zzengine_paramz00;
extern obj_t BGl_za2inliningzf3za2zf3zzengine_paramz00;
extern obj_t BGl_globalz00zzast_varz00;
extern long BGl_nodezd2siza7ez75zzinline_siza7eza7(BgL_nodez00_bglt);
extern bool_t BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt);
static obj_t BGl_cnstzd2initzd2zzinline_appz00();
extern BgL_nodez00_bglt BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt, long, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzinline_appz00();
extern obj_t BGl_za2optimzd2loopzd2inliningzf3za2zf3zzengine_paramz00;
BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_inlinezd2appzd2zzinline_appz00(BgL_appz00_bglt, long, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_recursionz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT long bgl_list_length(obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern BgL_nodez00_bglt BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long, obj_t, obj_t);
static obj_t BGl__inlinezd2appzd2zzinline_appz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt, long, long, obj_t);
extern obj_t BGl_isfunz00zzinline_inlinez00;
static obj_t BGl_requirezd2initializa7ationz75zzinline_appz00 = BUNSPEC;
extern obj_t BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00;
extern obj_t BGl_za2inlinedzd2callsza2zd2zzinline_walkz00;
static obj_t BGl_libraryzd2moduleszd2initz00zzinline_appz00();
static obj_t __cnst[ 3 ] ;


DEFINE_STRING( BGl_string3276z00zzinline_appz00, BgL_bgl_string3276za700za7za7inline_appza7003302z00, "import snifun sifun ", 20 );
DEFINE_STRING( BGl_string3275z00zzinline_appz00, BgL_bgl_string3275za700za7za7inline_appza7003303z00, "simple", 6 );
DEFINE_EXPORT_PROCEDURE( BGl_inlinezd2appzd2envz00zzinline_appz00, BgL_bgl__inlineza7d2appza7d2za7za7inline_appza7003304za7, BGl__inlinezd2appzd2zzinline_appz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_inlinezd2appzf3zd2envzf3zzinline_appz00, BgL_bgl__inlineza7d2appza7f3za721za7za7inline_appza7003305z00, BGl__inlinezd2appzf3z21zzinline_appz00, 0L, 4 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long BgL_checksumz00_1904, char * BgL_fromz00_1905)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzinline_appz00))
{ 
BGl_requirezd2initializa7ationz75zzinline_appz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzinline_appz00(); 
BGl_cnstzd2initzd2zzinline_appz00(); 
BGl_importedzd2moduleszd2initz00zzinline_appz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzinline_appz00()
{ AN_OBJECT;
{ /* ./Inline/app.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "inline_app"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "inline_app"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "inline_app"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzinline_appz00()
{ AN_OBJECT;
{ /* ./Inline/app.scm 15 */
{ /* ./Inline/app.scm 15 */
obj_t BgL_cportz00_1897;
BgL_cportz00_1897 = 
open_input_string(BGl_string3276z00zzinline_appz00); 
{ 
long BgL_iz00_1898;
BgL_iz00_1898 = ((long)2); 
BgL_loopz00_1899:
{ /* ./Inline/app.scm 15 */
bool_t BgL_test3278z00_1900;
BgL_test3278z00_1900 = 
(BgL_iz00_1898==((long)-1)); 
if(BgL_test3278z00_1900)
{ /* ./Inline/app.scm 15 */
return BUNSPEC;}  else 
{ /* ./Inline/app.scm 15 */
{ /* ./Inline/app.scm 15 */
obj_t BgL_arg3280z00_1901;
{ /* ./Inline/app.scm 15 */
obj_t BgL_list3283z00_1902;
BgL_list3283z00_1902 = 
MAKE_PAIR(BgL_cportz00_1897, BNIL); 
BgL_arg3280z00_1901 = 
BGl_readz00zz__readerz00(BgL_list3283z00_1902); } 
{ /* ./Inline/app.scm 15 */
int BgL_auxz00_1920;
BgL_auxz00_1920 = 
(int)(BgL_iz00_1898); 
CNST_TABLE_SET(BgL_auxz00_1920, BgL_arg3280z00_1901); } } 
{ /* ./Inline/app.scm 15 */
int BgL_auxz00_1903;
{ /* ./Inline/app.scm 15 */
long BgL_auxz00_1923;
BgL_auxz00_1923 = 
(BgL_iz00_1898-((long)1)); 
BgL_auxz00_1903 = 
(int)(BgL_auxz00_1923); } 
{ 
long BgL_iz00_1926;
BgL_iz00_1926 = 
(long)(BgL_auxz00_1903); 
BgL_iz00_1898 = BgL_iz00_1926; 
goto BgL_loopz00_1899;} } } } } } } 
}



/* inline-app */
BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_inlinezd2appzd2zzinline_appz00(BgL_appz00_bglt BgL_nodez00_1, long BgL_kfactorz00_2, obj_t BgL_stackz00_3)
{ AN_OBJECT;
{ /* ./Inline/app.scm 34 */
{ /* ./Inline/app.scm 35 */
BgL_varz00_bglt BgL_calleez00_913;
BgL_calleez00_913 = 
(((BgL_appz00_bglt)CREF(BgL_nodez00_1))->BgL_funz00); 
{ /* ./Inline/app.scm 35 */
BgL_variablez00_bglt BgL_varz00_914;
BgL_varz00_914 = 
(((BgL_varz00_bglt)CREF(BgL_calleez00_913))->BgL_variablez00); 
{ /* ./Inline/app.scm 36 */
BgL_valuez00_bglt BgL_sfunz00_915;
BgL_sfunz00_915 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_914))->BgL_valuez00); 
{ /* ./Inline/app.scm 39 */

{ /* ./Inline/app.scm 41 */
bool_t BgL_test2722z00_918;
{ /* ./Inline/app.scm 41 */
obj_t BgL_obj1426z00_1350;
BgL_obj1426z00_1350 = 
(obj_t)(BgL_sfunz00_915); 
BgL_test2722z00_918 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1426z00_1350, BGl_sfunz00zzast_varz00); } 
if(BgL_test2722z00_918)
{ /* ./Inline/app.scm 43 */
bool_t BgL_test2723z00_919;
{ /* ./Inline/app.scm 45 */
long BgL_arg2737z00_924;
{ /* ./Inline/app.scm 45 */
long BgL_auxz00_1934;
BgL_auxz00_1934 = 
bgl_list_length(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1))->BgL_argsz00)); 
BgL_arg2737z00_924 = 
(((long)1)+BgL_auxz00_1934); } 
BgL_test2723z00_919 = 
BGl_inlinezd2appzf3z21zzinline_appz00(BgL_varz00_914, BgL_kfactorz00_2, BgL_arg2737z00_924, BgL_stackz00_3); } 
if(BgL_test2723z00_919)
{ /* ./Inline/app.scm 43 */
{ /* ./Inline/app.scm 48 */
bool_t BgL_test2724z00_920;
{ /* ./Inline/app.scm 48 */
obj_t BgL_auxz00_1943;obj_t BgL_auxz00_1940;
BgL_auxz00_1943 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./Inline/app.scm 48 */
BgL_sfunz00_bglt BgL_obj1376z00_1354;
BgL_obj1376z00_1354 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_915); 
BgL_auxz00_1940 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1376z00_1354))->BgL_classz00); } 
BgL_test2724z00_920 = 
(BgL_auxz00_1940==BgL_auxz00_1943); } 
if(BgL_test2724z00_920)
{ /* ./Inline/app.scm 48 */BFALSE; }  else 
{ /* ./Inline/app.scm 49 */
long BgL_za71za7_1355;
BgL_za71za7_1355 = 
(long)CINT(BGl_za2inlinedzd2callsza2zd2zzinline_walkz00); 
{ /* ./Inline/app.scm 49 */
long BgL_auxz00_1948;
BgL_auxz00_1948 = 
(BgL_za71za7_1355+((long)1)); 
BGl_za2inlinedzd2callsza2zd2zzinline_walkz00 = 
BINT(BgL_auxz00_1948); } } } 
{ /* ./Inline/app.scm 50 */
bool_t BgL_test2731z00_923;
if(
CBOOL(BGl_za2optimzd2loopzd2inliningzf3za2zf3zzengine_paramz00))
{ /* ./Inline/app.scm 50 */
BgL_test2731z00_923 = 
BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_varz00_914); }  else 
{ /* ./Inline/app.scm 50 */
BgL_test2731z00_923 = ((bool_t)0); } 
if(BgL_test2731z00_923)
{ /* ./Inline/app.scm 50 */
return 
BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(
(BgL_nodez00_bglt)(BgL_nodez00_1), BgL_kfactorz00_2, BgL_stackz00_3);}  else 
{ /* ./Inline/app.scm 50 */
return 
BGl_inlinezd2appzd2simplez00zzinline_simplez00(
(BgL_nodez00_bglt)(BgL_nodez00_1), BgL_kfactorz00_2, BgL_stackz00_3, BGl_string3275z00zzinline_appz00);} } }  else 
{ /* ./Inline/app.scm 43 */
{ /* ./Inline/app.scm 54 */
long BgL_za71za7_1357;
BgL_za71za7_1357 = 
(long)CINT(BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00); 
{ /* ./Inline/app.scm 54 */
long BgL_auxz00_1960;
BgL_auxz00_1960 = 
(BgL_za71za7_1357+((long)1)); 
BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00 = 
BINT(BgL_auxz00_1960); } } 
return 
(BgL_nodez00_bglt)(BgL_nodez00_1);} }  else 
{ /* ./Inline/app.scm 41 */
return 
(BgL_nodez00_bglt)(BgL_nodez00_1);} } } } } } } 
}



/* _inline-app */
obj_t BGl__inlinezd2appzd2zzinline_appz00(obj_t BgL_envz00_1888, obj_t BgL_nodez00_1889, obj_t BgL_kfactorz00_1890, obj_t BgL_stackz00_1891)
{ AN_OBJECT;
{ /* ./Inline/app.scm 34 */
{ /* ./Inline/app.scm 35 */
BgL_nodez00_bglt BgL_auxz00_1965;
BgL_auxz00_1965 = 
BGl_inlinezd2appzd2zzinline_appz00(
(BgL_appz00_bglt)(BgL_nodez00_1889), 
(long)CINT(BgL_kfactorz00_1890), BgL_stackz00_1891); 
return 
(obj_t)(BgL_auxz00_1965);} } 
}



/* inline-app? */
BGL_EXPORTED_DEF bool_t BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt BgL_varz00_4, long BgL_kfactorz00_5, long BgL_callzd2siza7ez75_6, obj_t BgL_stackz00_7)
{ AN_OBJECT;
{ /* ./Inline/app.scm 60 */
{ /* ./Inline/app.scm 65 */
BgL_valuez00_bglt BgL_sfunz00_928;
BgL_sfunz00_928 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_4))->BgL_valuez00); 
{ /* ./Inline/app.scm 65 */
obj_t BgL_bodyz00_929;
{ /* ./Inline/app.scm 66 */
bool_t BgL_test2794z00_950;
{ /* ./Inline/app.scm 66 */
obj_t BgL_obj2682z00_1360;
BgL_obj2682z00_1360 = 
(obj_t)(BgL_sfunz00_928); 
BgL_test2794z00_950 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2682z00_1360, BGl_isfunz00zzinline_inlinez00); } 
if(BgL_test2794z00_950)
{ /* ./Inline/app.scm 67 */
BgL_isfunz00_bglt BgL_obj2684z00_1361;
BgL_obj2684z00_1361 = 
(BgL_isfunz00_bglt)(BgL_sfunz00_928); 
{ /* ./Inline/app.scm 67 */
BgL_nodez00_bglt BgL_auxz00_1975;
{ 
obj_t BgL_auxz00_1976;
{ /* ./Inline/app.scm 67 */
BgL_objectz00_bglt BgL_auxz00_1977;
BgL_auxz00_1977 = 
(BgL_objectz00_bglt)(BgL_obj2684z00_1361); 
BgL_auxz00_1976 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1977); } 
BgL_auxz00_1975 = 
(((BgL_isfunz00_bglt)CREF(BgL_auxz00_1976))->BgL_originalzd2bodyzd2); } 
BgL_bodyz00_929 = 
(obj_t)(BgL_auxz00_1975); } }  else 
{ /* ./Inline/app.scm 68 */
BgL_sfunz00_bglt BgL_obj1373z00_1362;
BgL_obj1373z00_1362 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_928); 
BgL_bodyz00_929 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1373z00_1362))->BgL_bodyz00); } } 
{ /* ./Inline/app.scm 66 */

if(
CBOOL(BGl_za2inliningzf3za2zf3zzengine_paramz00))
{ /* ./Inline/app.scm 74 */
bool_t BgL_test2753z00_930;
if(
CBOOL(BGl_za2optimzd2loopzd2inliningzf3za2zf3zzengine_paramz00))
{ /* ./Inline/app.scm 74 */
if(
CBOOL(BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00))
{ /* ./Inline/app.scm 75 */
BgL_test2753z00_930 = ((bool_t)0); }  else 
{ /* ./Inline/app.scm 76 */
obj_t BgL_auxz00_1990;
BgL_auxz00_1990 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
(obj_t)(BgL_varz00_4), BgL_stackz00_7); 
BgL_test2753z00_930 = 
CBOOL(BgL_auxz00_1990); } }  else 
{ /* ./Inline/app.scm 74 */
BgL_test2753z00_930 = ((bool_t)0); } 
if(BgL_test2753z00_930)
{ /* ./Inline/app.scm 74 */
return ((bool_t)0);}  else 
{ /* ./Inline/app.scm 80 */
bool_t BgL_test2754z00_931;
{ /* ./Inline/app.scm 80 */
obj_t BgL_auxz00_1998;obj_t BgL_auxz00_1995;
BgL_auxz00_1998 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Inline/app.scm 80 */
BgL_sfunz00_bglt BgL_obj1376z00_1363;
BgL_obj1376z00_1363 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_928); 
BgL_auxz00_1995 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1376z00_1363))->BgL_classz00); } 
BgL_test2754z00_931 = 
(BgL_auxz00_1995==BgL_auxz00_1998); } 
if(BgL_test2754z00_931)
{ /* ./Inline/app.scm 80 */
return ((bool_t)0);}  else 
{ /* ./Inline/app.scm 84 */
bool_t BgL_test2755z00_932;
{ /* ./Inline/app.scm 84 */
bool_t BgL_testz00_2002;
{ /* ./Inline/app.scm 84 */
obj_t BgL_auxz00_2006;obj_t BgL_auxz00_2003;
BgL_auxz00_2006 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./Inline/app.scm 84 */
BgL_sfunz00_bglt BgL_obj1376z00_1364;
BgL_obj1376z00_1364 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_928); 
BgL_auxz00_2003 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1376z00_1364))->BgL_classz00); } 
BgL_testz00_2002 = 
(BgL_auxz00_2003==BgL_auxz00_2006); } 
if(BgL_testz00_2002)
{ /* ./Inline/app.scm 84 */
bool_t BgL_testz00_2009;
{ /* ./Inline/app.scm 84 */
obj_t BgL_auxz00_2010;
BgL_auxz00_2010 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
(obj_t)(BgL_varz00_4), BgL_stackz00_7); 
BgL_testz00_2009 = 
CBOOL(BgL_auxz00_2010); } 
if(BgL_testz00_2009)
{ /* ./Inline/app.scm 84 */
BgL_test2755z00_932 = ((bool_t)0); }  else 
{ /* ./Inline/app.scm 84 */
BgL_test2755z00_932 = ((bool_t)1); } }  else 
{ /* ./Inline/app.scm 84 */
BgL_test2755z00_932 = ((bool_t)0); } } 
if(BgL_test2755z00_932)
{ /* ./Inline/app.scm 84 */
return ((bool_t)1);}  else 
{ /* ./Inline/app.scm 88 */
bool_t BgL_test2756z00_933;
{ /* ./Inline/app.scm 88 */
bool_t BgL_test2772z00_941;
{ /* ./Inline/app.scm 88 */
obj_t BgL_obj1248z00_1365;
BgL_obj1248z00_1365 = 
(obj_t)(BgL_varz00_4); 
BgL_test2772z00_941 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1248z00_1365, BGl_globalz00zzast_varz00); } 
if(BgL_test2772z00_941)
{ /* ./Inline/app.scm 88 */
obj_t BgL_auxz00_2021;obj_t BgL_auxz00_2018;
BgL_auxz00_2021 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Inline/app.scm 88 */
BgL_globalz00_bglt BgL_obj1174z00_1366;
BgL_obj1174z00_1366 = 
(BgL_globalz00_bglt)(BgL_varz00_4); 
BgL_auxz00_2018 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1174z00_1366))->BgL_importz00); } 
BgL_test2756z00_933 = 
(BgL_auxz00_2018==BgL_auxz00_2021); }  else 
{ /* ./Inline/app.scm 88 */
BgL_test2756z00_933 = ((bool_t)0); } } 
if(BgL_test2756z00_933)
{ /* ./Inline/app.scm 88 */
return ((bool_t)0);}  else 
{ /* ./Inline/app.scm 92 */
bool_t BgL_test2757z00_934;
if(
CBOOL(BGl_za2userzd2inliningzf3za2z21zzengine_paramz00))
{ /* ./Inline/app.scm 93 */
long BgL_arg2767z00_939;long BgL_arg2768z00_940;
BgL_arg2767z00_939 = 
BGl_nodezd2siza7ez75zzinline_siza7eza7(
(BgL_nodez00_bglt)(BgL_bodyz00_929)); 
BgL_arg2768z00_940 = 
(BgL_kfactorz00_5*BgL_callzd2siza7ez75_6); 
BgL_test2757z00_934 = 
(BgL_arg2767z00_939<BgL_arg2768z00_940); }  else 
{ /* ./Inline/app.scm 92 */
BgL_test2757z00_934 = ((bool_t)0); } 
if(BgL_test2757z00_934)
{ /* ./Inline/app.scm 92 */
return ((bool_t)1);}  else 
{ /* ./Inline/app.scm 101 */
bool_t BgL_test2758z00_935;
if(
CBOOL(BGl_za2userzd2inliningzf3za2z21zzengine_paramz00))
{ /* ./Inline/app.scm 102 */
bool_t BgL_test2759z00_936;
{ /* ./Inline/app.scm 102 */
long BgL_arg2763z00_938;
BgL_arg2763z00_938 = 
BGl_nodezd2siza7ez75zzinline_siza7eza7(
(BgL_nodez00_bglt)(BgL_bodyz00_929)); 
BgL_test2759z00_936 = 
(BgL_arg2763z00_938==BgL_callzd2siza7ez75_6); } 
if(BgL_test2759z00_936)
{ /* ./Inline/app.scm 103 */
bool_t BgL_testz00_2038;
{ /* ./Inline/app.scm 103 */
obj_t BgL_auxz00_2039;
BgL_auxz00_2039 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
(obj_t)(BgL_varz00_4), BgL_stackz00_7); 
BgL_testz00_2038 = 
CBOOL(BgL_auxz00_2039); } 
if(BgL_testz00_2038)
{ /* ./Inline/app.scm 103 */
BgL_test2758z00_935 = ((bool_t)0); }  else 
{ /* ./Inline/app.scm 103 */
BgL_test2758z00_935 = ((bool_t)1); } }  else 
{ /* ./Inline/app.scm 102 */
BgL_test2758z00_935 = ((bool_t)0); } }  else 
{ /* ./Inline/app.scm 101 */
BgL_test2758z00_935 = ((bool_t)0); } 
if(BgL_test2758z00_935)
{ /* ./Inline/app.scm 101 */
return ((bool_t)1);}  else 
{ /* ./Inline/app.scm 101 */
return ((bool_t)0);} } } } } } }  else 
{ /* ./Inline/app.scm 70 */
return ((bool_t)0);} } } } } 
}



/* _inline-app? */
obj_t BGl__inlinezd2appzf3z21zzinline_appz00(obj_t BgL_envz00_1892, obj_t BgL_varz00_1893, obj_t BgL_kfactorz00_1894, obj_t BgL_callzd2siza7ez75_1895, obj_t BgL_stackz00_1896)
{ AN_OBJECT;
{ /* ./Inline/app.scm 60 */
{ /* ./Inline/app.scm 61 */
bool_t BgL_auxz00_2044;
BgL_auxz00_2044 = 
BGl_inlinezd2appzf3z21zzinline_appz00(
(BgL_variablez00_bglt)(BgL_varz00_1893), 
(long)CINT(BgL_kfactorz00_1894), 
(long)CINT(BgL_callzd2siza7ez75_1895), BgL_stackz00_1896); 
return 
BBOOL(BgL_auxz00_2044);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzinline_appz00()
{ AN_OBJECT;
{ /* ./Inline/app.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzinline_appz00()
{ AN_OBJECT;
{ /* ./Inline/app.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "inline_app"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "inline_app"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "inline_app"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "inline_app"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "inline_app"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "inline_app"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "inline_app"); 
BGl_modulezd2initializa7ationz75zzinline_walkz00(((long)17469), "inline_app"); 
BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long)63036), "inline_app"); 
BGl_modulezd2initializa7ationz75zzinline_siza7eza7(((long)54525), "inline_app"); 
BGl_modulezd2initializa7ationz75zzinline_simplez00(((long)169), "inline_app"); 
return 
BGl_modulezd2initializa7ationz75zzinline_recursionz00(((long)57168), "inline_app");} 
}

