/*===========================================================================*/
/*   (Inline/simple.scm)                                                     */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Inline/simple.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_isfunz00_bgl {
   struct BgL_nodez00_bgl * BgL_originalzd2bodyzd2;
   obj_t BgL_recursivezd2callszd2;
} *BgL_isfunz00_bglt;


extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt, BgL_valuez00_bglt);
static obj_t BGl_methodzd2initzd2zzinline_simplez00();
static obj_t BGl__inlinezd2appzd2simplez00zzinline_simplez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_svarz00zzast_varz00;
extern obj_t BGl_za2_za2z00zztype_cachez00;
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_za2procedureza2z00zztype_cachez00;
BGL_IMPORT obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzinline_simplez00();
static obj_t BGl_importedzd2moduleszd2initz00zzinline_simplez00();
extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t, BgL_typez00_bglt);
extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t, obj_t, BgL_nodez00_bglt);
BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long, obj_t, obj_t);
extern obj_t BGl_closurez00zzast_nodez00;
extern obj_t BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00;
extern obj_t BGl_isfunz00zzinline_inlinez00;
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_requirezd2initializa7ationz75zzinline_simplez00 = BUNSPEC;
extern BgL_nodez00_bglt BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt, long, obj_t);
extern bool_t BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzinline_simplez00();
static obj_t __cnst[ 3 ] ;


DEFINE_STRING( BGl_string3493z00zzinline_simplez00, BgL_bgl_string3493za700za7za7inline_simpleza7003521z00, "res (sifun sgfun) read ", 23 );
DEFINE_STRING( BGl_string3492z00zzinline_simplez00, BgL_bgl_string3492za700za7za7inline_simpleza7003522z00, "         ", 9 );
DEFINE_STRING( BGl_string3491z00zzinline_simplez00, BgL_bgl_string3491za700za7za7inline_simpleza7003523z00, " --> ", 5 );
DEFINE_STRING( BGl_string3490z00zzinline_simplez00, BgL_bgl_string3490za700za7za7inline_simpleza7003524z00, " (", 2 );
DEFINE_EXPORT_PROCEDURE( BGl_inlinezd2appzd2simplezd2envzd2zzinline_simplez00, BgL_bgl__inlineza7d2appza7d2simpleza700za7za7inline_simpleza7003525z00, BGl__inlinezd2appzd2simplez00zzinline_simplez00, 0L, 4 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long BgL_checksumz00_2148, char * BgL_fromz00_2149)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzinline_simplez00))
{ 
BGl_requirezd2initializa7ationz75zzinline_simplez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzinline_simplez00(); 
BGl_cnstzd2initzd2zzinline_simplez00(); 
BGl_importedzd2moduleszd2initz00zzinline_simplez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzinline_simplez00()
{ AN_OBJECT;
{ /* ./Inline/simple.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "inline_simple"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "inline_simple"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "inline_simple"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "inline_simple"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "inline_simple"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzinline_simplez00()
{ AN_OBJECT;
{ /* ./Inline/simple.scm 15 */
{ /* ./Inline/simple.scm 15 */
obj_t BgL_cportz00_2141;
BgL_cportz00_2141 = 
open_input_string(BGl_string3493z00zzinline_simplez00); 
{ 
long BgL_iz00_2142;
BgL_iz00_2142 = ((long)2); 
BgL_loopz00_2143:
{ /* ./Inline/simple.scm 15 */
bool_t BgL_test3495z00_2144;
BgL_test3495z00_2144 = 
(BgL_iz00_2142==((long)-1)); 
if(BgL_test3495z00_2144)
{ /* ./Inline/simple.scm 15 */
return BUNSPEC;}  else 
{ /* ./Inline/simple.scm 15 */
{ /* ./Inline/simple.scm 15 */
obj_t BgL_arg3497z00_2145;
{ /* ./Inline/simple.scm 15 */
obj_t BgL_list3500z00_2146;
BgL_list3500z00_2146 = 
MAKE_PAIR(BgL_cportz00_2141, BNIL); 
BgL_arg3497z00_2145 = 
BGl_readz00zz__readerz00(BgL_list3500z00_2146); } 
{ /* ./Inline/simple.scm 15 */
int BgL_auxz00_2166;
BgL_auxz00_2166 = 
(int)(BgL_iz00_2142); 
CNST_TABLE_SET(BgL_auxz00_2166, BgL_arg3497z00_2145); } } 
{ /* ./Inline/simple.scm 15 */
int BgL_auxz00_2147;
{ /* ./Inline/simple.scm 15 */
long BgL_auxz00_2169;
BgL_auxz00_2169 = 
(BgL_iz00_2142-((long)1)); 
BgL_auxz00_2147 = 
(int)(BgL_auxz00_2169); } 
{ 
long BgL_iz00_2172;
BgL_iz00_2172 = 
(long)(BgL_auxz00_2147); 
BgL_iz00_2142 = BgL_iz00_2172; 
goto BgL_loopz00_2143;} } } } } } } 
}



/* inline-app-simple */
BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt BgL_nodez00_1, long BgL_kfactorz00_2, obj_t BgL_stackz00_3, obj_t BgL_msgz00_4)
{ AN_OBJECT;
{ /* ./Inline/simple.scm 42 */
{ /* ./Inline/simple.scm 45 */
BgL_variablez00_bglt BgL_calleez00_910;
{ /* ./Inline/simple.scm 45 */
BgL_varz00_bglt BgL_arg2951z00_1026;
{ /* ./Inline/simple.scm 45 */
BgL_appz00_bglt BgL_obj1722z00_1421;
BgL_obj1722z00_1421 = 
(BgL_appz00_bglt)(BgL_nodez00_1); 
BgL_arg2951z00_1026 = 
(((BgL_appz00_bglt)CREF(BgL_obj1722z00_1421))->BgL_funz00); } 
BgL_calleez00_910 = 
(((BgL_varz00_bglt)CREF(BgL_arg2951z00_1026))->BgL_variablez00); } 
{ /* ./Inline/simple.scm 45 */
BgL_valuez00_bglt BgL_sfunz00_911;
BgL_sfunz00_911 = 
(((BgL_variablez00_bglt)CREF(BgL_calleez00_910))->BgL_valuez00); 
{ /* ./Inline/simple.scm 46 */
obj_t BgL_formalsz00_912;
{ /* ./Inline/simple.scm 47 */
BgL_sfunz00_bglt BgL_obj1370z00_1424;
BgL_obj1370z00_1424 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_911); 
BgL_formalsz00_912 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1370z00_1424))->BgL_argsz00); } 
{ /* ./Inline/simple.scm 47 */
obj_t BgL_actualsz00_913;
{ /* ./Inline/simple.scm 48 */
BgL_appz00_bglt BgL_obj1725z00_1425;
BgL_obj1725z00_1425 = 
(BgL_appz00_bglt)(BgL_nodez00_1); 
BgL_actualsz00_913 = 
(((BgL_appz00_bglt)CREF(BgL_obj1725z00_1425))->BgL_argsz00); } 
{ /* ./Inline/simple.scm 48 */
obj_t BgL_reductorsz00_914;
{ /* ./Inline/simple.scm 49 */
bool_t BgL_test2897z00_998;
BgL_test2897z00_998 = 
NULLP(BgL_formalsz00_912); 
if(BgL_test2897z00_998)
{ /* ./Inline/simple.scm 49 */
BgL_reductorsz00_914 = BNIL; }  else 
{ /* ./Inline/simple.scm 49 */
obj_t BgL_head2724z00_999;
BgL_head2724z00_999 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_ll2722z00_1000;obj_t BgL_ll2723z00_1001;obj_t BgL_tail2725z00_1002;
BgL_ll2722z00_1000 = BgL_formalsz00_912; 
BgL_ll2723z00_1001 = BgL_actualsz00_913; 
BgL_tail2725z00_1002 = BgL_head2724z00_999; 
BgL_map2727z00_1003:
{ /* ./Inline/simple.scm 49 */
bool_t BgL_test2899z00_1004;
BgL_test2899z00_1004 = 
NULLP(BgL_ll2722z00_1000); 
if(BgL_test2899z00_1004)
{ /* ./Inline/simple.scm 49 */
BgL_reductorsz00_914 = 
CDR(BgL_head2724z00_999); }  else 
{ /* ./Inline/simple.scm 50 */
obj_t BgL_newtail2726z00_1005;
{ /* ./Inline/simple.scm 50 */
obj_t BgL_arg2909z00_1008;
{ /* ./Inline/simple.scm 50 */
obj_t BgL_fz00_1010;obj_t BgL_az00_1011;
BgL_fz00_1010 = 
CAR(BgL_ll2722z00_1000); 
BgL_az00_1011 = 
CAR(BgL_ll2723z00_1001); 
{ /* ./Inline/simple.scm 50 */
bool_t BgL_test2912z00_1012;
{ /* ./Inline/simple.scm 50 */
bool_t BgL_test2922z00_1017;
BgL_test2922z00_1017 = 
BGl_iszd2azf3z21zz__objectz00(BgL_az00_1011, BGl_closurez00zzast_nodez00); 
if(BgL_test2922z00_1017)
{ /* ./Inline/simple.scm 51 */
bool_t BgL_test2923z00_1018;
{ /* ./Inline/simple.scm 51 */
obj_t BgL_auxz00_2195;obj_t BgL_auxz00_2192;
BgL_auxz00_2195 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./Inline/simple.scm 51 */
BgL_variablez00_bglt BgL_obj1107z00_1434;
BgL_obj1107z00_1434 = 
(BgL_variablez00_bglt)(BgL_fz00_1010); 
BgL_auxz00_2192 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1107z00_1434))->BgL_accessz00); } 
BgL_test2923z00_1018 = 
(BgL_auxz00_2192==BgL_auxz00_2195); } 
if(BgL_test2923z00_1018)
{ /* ./Inline/simple.scm 51 */
bool_t BgL__ortest_2728z00_1019;
{ /* ./Inline/simple.scm 52 */
BgL_typez00_bglt BgL_arg2933z00_1023;
{ /* ./Inline/simple.scm 52 */
BgL_variablez00_bglt BgL_obj1101z00_1435;
BgL_obj1101z00_1435 = 
(BgL_variablez00_bglt)(BgL_fz00_1010); 
BgL_arg2933z00_1023 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1101z00_1435))->BgL_typez00); } 
{ /* ./Inline/simple.scm 52 */
obj_t BgL_auxz00_2201;
BgL_auxz00_2201 = 
(obj_t)(BgL_arg2933z00_1023); 
BgL__ortest_2728z00_1019 = 
(BgL_auxz00_2201==BGl_za2procedureza2z00zztype_cachez00); } } 
if(BgL__ortest_2728z00_1019)
{ /* ./Inline/simple.scm 51 */
BgL_test2912z00_1012 = BgL__ortest_2728z00_1019; }  else 
{ /* ./Inline/simple.scm 53 */
bool_t BgL__ortest_2729z00_1020;
{ /* ./Inline/simple.scm 53 */
BgL_typez00_bglt BgL_arg2929z00_1022;
{ /* ./Inline/simple.scm 53 */
BgL_variablez00_bglt BgL_obj1101z00_1436;
BgL_obj1101z00_1436 = 
(BgL_variablez00_bglt)(BgL_fz00_1010); 
BgL_arg2929z00_1022 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1101z00_1436))->BgL_typez00); } 
{ /* ./Inline/simple.scm 53 */
obj_t BgL_auxz00_2207;
BgL_auxz00_2207 = 
(obj_t)(BgL_arg2929z00_1022); 
BgL__ortest_2729z00_1020 = 
(BgL_auxz00_2207==BGl_za2_za2z00zztype_cachez00); } } 
if(BgL__ortest_2729z00_1020)
{ /* ./Inline/simple.scm 53 */
BgL_test2912z00_1012 = BgL__ortest_2729z00_1020; }  else 
{ /* ./Inline/simple.scm 54 */
BgL_typez00_bglt BgL_arg2925z00_1021;
{ /* ./Inline/simple.scm 54 */
BgL_variablez00_bglt BgL_obj1101z00_1437;
BgL_obj1101z00_1437 = 
(BgL_variablez00_bglt)(BgL_fz00_1010); 
BgL_arg2925z00_1021 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1101z00_1437))->BgL_typez00); } 
{ /* ./Inline/simple.scm 54 */
obj_t BgL_auxz00_2213;
BgL_auxz00_2213 = 
(obj_t)(BgL_arg2925z00_1021); 
BgL_test2912z00_1012 = 
(BgL_auxz00_2213==BGl_za2objza2z00zztype_cachez00); } } } }  else 
{ /* ./Inline/simple.scm 51 */
BgL_test2912z00_1012 = ((bool_t)0); } }  else 
{ /* ./Inline/simple.scm 50 */
BgL_test2912z00_1012 = ((bool_t)0); } } 
if(BgL_test2912z00_1012)
{ /* ./Inline/simple.scm 59 */
BgL_varz00_bglt BgL_obj1619z00_1438;
BgL_obj1619z00_1438 = 
(BgL_varz00_bglt)(BgL_az00_1011); 
{ /* ./Inline/simple.scm 59 */
BgL_variablez00_bglt BgL_auxz00_2218;
BgL_auxz00_2218 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_1438))->BgL_variablez00); 
BgL_arg2909z00_1008 = 
(obj_t)(BgL_auxz00_2218); } }  else 
{ /* ./Inline/simple.scm 62 */
BgL_svarz00_bglt BgL_arg2915z00_1013;
{ /* ./Inline/simple.scm 62 */
BgL_svarz00_bglt BgL_duplicated2730z00_1014;
{ /* ./Inline/simple.scm 62 */
BgL_variablez00_bglt BgL_obj1104z00_1439;
BgL_obj1104z00_1439 = 
(BgL_variablez00_bglt)(BgL_fz00_1010); 
{ /* ./Inline/simple.scm 62 */
BgL_valuez00_bglt BgL_auxz00_2222;
BgL_auxz00_2222 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1439))->BgL_valuez00); 
BgL_duplicated2730z00_1014 = 
(BgL_svarz00_bglt)(BgL_auxz00_2222); } } 
{ /* ./Inline/simple.scm 62 */
BgL_svarz00_bglt BgL_new2731z00_1015;
{ /* ./Inline/simple.scm 62 */
obj_t BgL_arg2918z00_1016;
BgL_arg2918z00_1016 = 
(((BgL_svarz00_bglt)CREF(BgL_duplicated2730z00_1014))->BgL_locz00); 
{ /* ./Inline/simple.scm 62 */
BgL_svarz00_bglt BgL_res3394z00_1453;
{ /* ./Inline/simple.scm 62 */
BgL_svarz00_bglt BgL_new1495z00_1442;
{ /* ./Inline/simple.scm 62 */
BgL_svarz00_bglt BgL_res3392z00_1448;
{ /* ./Inline/simple.scm 62 */
BgL_svarz00_bglt BgL_new1497z00_1443;
BgL_new1497z00_1443 = 
((BgL_svarz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_svarz00_bgl) ))); 
{ /* ./Inline/simple.scm 62 */
long BgL_arg3299z00_1444;
BgL_arg3299z00_1444 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarz00zzast_varz00); 
{ /* ./Inline/simple.scm 62 */
BgL_objectz00_bglt BgL_objz00_1445;
BgL_objz00_1445 = 
(BgL_objectz00_bglt)(BgL_new1497z00_1443); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1445, BgL_arg3299z00_1444); } } 
{ /* ./Inline/simple.scm 62 */
BgL_objectz00_bglt BgL_auxz00_2230;
BgL_auxz00_2230 = 
(BgL_objectz00_bglt)(BgL_new1497z00_1443); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2230, BFALSE); } 
{ /* ./Inline/simple.scm 62 */
obj_t BgL_objz00_1447;
BgL_objz00_1447 = 
(obj_t)(BgL_new1497z00_1443); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1447); BUNSPEC; } 
BgL_res3392z00_1448 = BgL_new1497z00_1443; } 
BgL_new1495z00_1442 = BgL_res3392z00_1448; } 
{ /* ./Inline/simple.scm 62 */
BgL_svarz00_bglt BgL_res3393z00_1452;
((((BgL_svarz00_bglt)CREF(BgL_new1495z00_1442))->BgL_locz00) = ((obj_t)BgL_arg2918z00_1016), BUNSPEC); 
BgL_res3393z00_1452 = BgL_new1495z00_1442; BgL_res3393z00_1452; } 
BgL_res3394z00_1453 = BgL_new1495z00_1442; } 
BgL_new2731z00_1015 = BgL_res3394z00_1453; } } 
{ /* ./Inline/simple.scm 62 */

BgL_arg2915z00_1013 = BgL_new2731z00_1015; } } } 
{ /* ./Inline/simple.scm 60 */
BgL_localz00_bglt BgL_auxz00_2236;
BgL_auxz00_2236 = 
BGl_clonezd2localzd2zzast_localz00(
(BgL_localz00_bglt)(BgL_fz00_1010), 
(BgL_valuez00_bglt)(BgL_arg2915z00_1013)); 
BgL_arg2909z00_1008 = 
(obj_t)(BgL_auxz00_2236); } } } } 
BgL_newtail2726z00_1005 = 
MAKE_PAIR(BgL_arg2909z00_1008, BNIL); } 
SET_CDR(BgL_tail2725z00_1002, BgL_newtail2726z00_1005); 
{ /* ./Inline/simple.scm 49 */
obj_t BgL_arg2903z00_1006;obj_t BgL_arg2904z00_1007;
BgL_arg2903z00_1006 = 
CDR(BgL_ll2722z00_1000); 
BgL_arg2904z00_1007 = 
CDR(BgL_ll2723z00_1001); 
{ 
obj_t BgL_tail2725z00_2247;obj_t BgL_ll2723z00_2246;obj_t BgL_ll2722z00_2245;
BgL_ll2722z00_2245 = BgL_arg2903z00_1006; 
BgL_ll2723z00_2246 = BgL_arg2904z00_1007; 
BgL_tail2725z00_2247 = BgL_newtail2726z00_1005; 
BgL_tail2725z00_1002 = BgL_tail2725z00_2247; 
BgL_ll2723z00_1001 = BgL_ll2723z00_2246; 
BgL_ll2722z00_1000 = BgL_ll2722z00_2245; 
goto BgL_map2727z00_1003;} } } } } } } 
{ /* ./Inline/simple.scm 49 */
obj_t BgL_bindingsz00_915;
{ 
obj_t BgL_reductorsz00_977;obj_t BgL_actualsz00_978;obj_t BgL_resz00_979;
BgL_reductorsz00_977 = BgL_reductorsz00_914; 
BgL_actualsz00_978 = BgL_actualsz00_913; 
BgL_resz00_979 = BNIL; 
BgL_loopz00_980:
{ /* ./Inline/simple.scm 69 */
bool_t BgL_test2855z00_981;
BgL_test2855z00_981 = 
NULLP(BgL_actualsz00_978); 
if(BgL_test2855z00_981)
{ /* ./Inline/simple.scm 69 */
BgL_bindingsz00_915 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_979); }  else 
{ /* ./Inline/simple.scm 71 */
bool_t BgL_test2857z00_982;
{ /* ./Inline/simple.scm 71 */
bool_t BgL_test2882z00_991;
{ /* ./Inline/simple.scm 71 */
obj_t BgL_arg2893z00_995;
BgL_arg2893z00_995 = 
CAR(BgL_actualsz00_978); 
BgL_test2882z00_991 = 
BGl_iszd2azf3z21zz__objectz00(BgL_arg2893z00_995, BGl_closurez00zzast_nodez00); } 
if(BgL_test2882z00_991)
{ /* ./Inline/simple.scm 72 */
obj_t BgL_auxz00_2256;obj_t BgL_auxz00_2254;
{ /* ./Inline/simple.scm 72 */
BgL_variablez00_bglt BgL_auxz00_2257;
{ /* ./Inline/simple.scm 73 */
BgL_varz00_bglt BgL_obj1619z00_1465;
{ /* ./Inline/simple.scm 73 */
obj_t BgL_auxz00_2258;
BgL_auxz00_2258 = 
CAR(BgL_actualsz00_978); 
BgL_obj1619z00_1465 = 
(BgL_varz00_bglt)(BgL_auxz00_2258); } 
BgL_auxz00_2257 = 
(((BgL_varz00_bglt)CREF(BgL_obj1619z00_1465))->BgL_variablez00); } 
BgL_auxz00_2256 = 
(obj_t)(BgL_auxz00_2257); } 
BgL_auxz00_2254 = 
CAR(BgL_reductorsz00_977); 
BgL_test2857z00_982 = 
(BgL_auxz00_2254==BgL_auxz00_2256); }  else 
{ /* ./Inline/simple.scm 71 */
BgL_test2857z00_982 = ((bool_t)0); } } 
if(BgL_test2857z00_982)
{ /* ./Inline/simple.scm 71 */
{ /* ./Inline/simple.scm 74 */
obj_t BgL_arg2859z00_983;obj_t BgL_arg2860z00_984;
BgL_arg2859z00_983 = 
CDR(BgL_reductorsz00_977); 
BgL_arg2860z00_984 = 
CDR(BgL_actualsz00_978); 
{ 
obj_t BgL_actualsz00_2268;obj_t BgL_reductorsz00_2267;
BgL_reductorsz00_2267 = BgL_arg2859z00_983; 
BgL_actualsz00_2268 = BgL_arg2860z00_984; 
BgL_actualsz00_978 = BgL_actualsz00_2268; 
BgL_reductorsz00_977 = BgL_reductorsz00_2267; 
goto BgL_loopz00_980;} } }  else 
{ /* ./Inline/simple.scm 71 */
{ /* ./Inline/simple.scm 78 */
obj_t BgL_arg2866z00_985;obj_t BgL_arg2867z00_986;obj_t BgL_arg2869z00_987;
BgL_arg2866z00_985 = 
CDR(BgL_reductorsz00_977); 
BgL_arg2867z00_986 = 
CDR(BgL_actualsz00_978); 
{ /* ./Inline/simple.scm 80 */
obj_t BgL_arg2874z00_988;
{ /* ./Inline/simple.scm 80 */
obj_t BgL_arg2877z00_989;obj_t BgL_arg2878z00_990;
BgL_arg2877z00_989 = 
CAR(BgL_reductorsz00_977); 
BgL_arg2878z00_990 = 
CAR(BgL_actualsz00_978); 
BgL_arg2874z00_988 = 
MAKE_PAIR(BgL_arg2877z00_989, BgL_arg2878z00_990); } 
BgL_arg2869z00_987 = 
MAKE_PAIR(BgL_arg2874z00_988, BgL_resz00_979); } 
{ 
obj_t BgL_resz00_2277;obj_t BgL_actualsz00_2276;obj_t BgL_reductorsz00_2275;
BgL_reductorsz00_2275 = BgL_arg2866z00_985; 
BgL_actualsz00_2276 = BgL_arg2867z00_986; 
BgL_resz00_2277 = BgL_arg2869z00_987; 
BgL_resz00_979 = BgL_resz00_2277; 
BgL_actualsz00_978 = BgL_actualsz00_2276; 
BgL_reductorsz00_977 = BgL_reductorsz00_2275; 
goto BgL_loopz00_980;} } } } } } 
{ /* ./Inline/simple.scm 65 */
obj_t BgL_bodyz00_916;
{ /* ./Inline/simple.scm 83 */
bool_t BgL_test2850z00_976;
{ /* ./Inline/simple.scm 83 */
obj_t BgL_obj2682z00_1472;
BgL_obj2682z00_1472 = 
(obj_t)(BgL_sfunz00_911); 
BgL_test2850z00_976 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2682z00_1472, BGl_isfunz00zzinline_inlinez00); } 
if(BgL_test2850z00_976)
{ /* ./Inline/simple.scm 84 */
BgL_isfunz00_bglt BgL_obj2684z00_1473;
BgL_obj2684z00_1473 = 
(BgL_isfunz00_bglt)(BgL_sfunz00_911); 
{ /* ./Inline/simple.scm 84 */
BgL_nodez00_bglt BgL_auxz00_2282;
{ 
obj_t BgL_auxz00_2283;
{ /* ./Inline/simple.scm 84 */
BgL_objectz00_bglt BgL_auxz00_2284;
BgL_auxz00_2284 = 
(BgL_objectz00_bglt)(BgL_obj2684z00_1473); 
BgL_auxz00_2283 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2284); } 
BgL_auxz00_2282 = 
(((BgL_isfunz00_bglt)CREF(BgL_auxz00_2283))->BgL_originalzd2bodyzd2); } 
BgL_bodyz00_916 = 
(obj_t)(BgL_auxz00_2282); } }  else 
{ /* ./Inline/simple.scm 85 */
BgL_sfunz00_bglt BgL_obj1373z00_1474;
BgL_obj1373z00_1474 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_911); 
BgL_bodyz00_916 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1373z00_1474))->BgL_bodyz00); } } 
{ /* ./Inline/simple.scm 86 */
obj_t BgL_newzd2kfactorzd2_918;
BgL_newzd2kfactorzd2_918 = 
PROCEDURE_ENTRY(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00)(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00, 
BINT(BgL_kfactorz00_2), BEOA); 
{ /* ./Inline/simple.scm 87 */
obj_t BgL_locz00_919;
BgL_locz00_919 = 
(((BgL_nodez00_bglt)CREF(BgL_nodez00_1))->BgL_locz00); 
{ /* ./Inline/simple.scm 88 */
BgL_typez00_bglt BgL_typez00_920;
BgL_typez00_920 = 
(((BgL_variablez00_bglt)CREF(BgL_calleez00_910))->BgL_typez00); 
{ /* ./Inline/simple.scm 89 */

{ /* ./Inline/simple.scm 91 */
bool_t BgL_test2739z00_921;
{ /* ./Inline/simple.scm 91 */
obj_t BgL_auxz00_2296;
{ /* ./Inline/simple.scm 91 */
obj_t BgL_auxz00_2297;
{ /* ./Inline/simple.scm 91 */
BgL_sfunz00_bglt BgL_obj1376z00_1478;
BgL_obj1376z00_1478 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_911); 
BgL_auxz00_2297 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1376z00_1478))->BgL_classz00); } 
BgL_auxz00_2296 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_2297, 
CNST_TABLE_REF(((long)1))); } 
BgL_test2739z00_921 = 
CBOOL(BgL_auxz00_2296); } 
if(BgL_test2739z00_921)
{ /* ./Inline/simple.scm 91 */BFALSE; }  else 
{ /* ./Inline/simple.scm 92 */
bool_t BgL_test2740z00_923;
BgL_test2740z00_923 = 
BGl_zc3zd3z10zz__r4_numbers_6_5z00(
BINT(((long)3)), BGl_za2verboseza2z00zzengine_paramz00, BNIL); 
if(BgL_test2740z00_923)
{ /* ./Inline/simple.scm 92 */
obj_t BgL_arg2743z00_925;obj_t BgL_arg2745z00_927;
BgL_arg2743z00_925 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_calleez00_910)); 
BgL_arg2745z00_927 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
{ /* ./Inline/simple.scm 92 */
obj_t BgL_list2748z00_929;
{ /* ./Inline/simple.scm 92 */
obj_t BgL_arg2750z00_930;
{ /* ./Inline/simple.scm 92 */
obj_t BgL_arg2753z00_931;
{ /* ./Inline/simple.scm 92 */
obj_t BgL_arg2756z00_932;
{ /* ./Inline/simple.scm 92 */
obj_t BgL_arg2759z00_933;
{ /* ./Inline/simple.scm 92 */
obj_t BgL_arg2762z00_934;
{ /* ./Inline/simple.scm 92 */
obj_t BgL_arg2765z00_935;
{ /* ./Inline/simple.scm 92 */
obj_t BgL_arg2768z00_936;
{ /* ./Inline/simple.scm 92 */
obj_t BgL_auxz00_2310;
BgL_auxz00_2310 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2768z00_936 = 
MAKE_PAIR(BgL_auxz00_2310, BNIL); } 
{ /* ./Inline/simple.scm 92 */
obj_t BgL_auxz00_2313;
BgL_auxz00_2313 = 
BCHAR(((unsigned char)')')); 
BgL_arg2765z00_935 = 
MAKE_PAIR(BgL_auxz00_2313, BgL_arg2768z00_936); } } 
BgL_arg2762z00_934 = 
MAKE_PAIR(BgL_msgz00_4, BgL_arg2765z00_935); } 
BgL_arg2759z00_933 = 
MAKE_PAIR(BGl_string3490z00zzinline_simplez00, BgL_arg2762z00_934); } 
BgL_arg2756z00_932 = 
MAKE_PAIR(BgL_arg2745z00_927, BgL_arg2759z00_933); } 
BgL_arg2753z00_931 = 
MAKE_PAIR(BGl_string3491z00zzinline_simplez00, BgL_arg2756z00_932); } 
BgL_arg2750z00_930 = 
MAKE_PAIR(BgL_arg2743z00_925, BgL_arg2753z00_931); } 
BgL_list2748z00_929 = 
MAKE_PAIR(BGl_string3492z00zzinline_simplez00, BgL_arg2750z00_930); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)3)), BgL_list2748z00_929); } }  else 
{ /* ./Inline/simple.scm 92 */BUNSPEC; } } } 
{ /* ./Inline/simple.scm 103 */
BgL_nodez00_bglt BgL_alphazd2bodyzd2_940;
BgL_alphazd2bodyzd2_940 = 
BGl_alphatiza7eza7zzast_alphatiza7eza7(BgL_formalsz00_912, BgL_reductorsz00_914, BgL_locz00_919, 
(BgL_nodez00_bglt)(BgL_bodyz00_916)); 
BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_alphazd2bodyzd2_940); 
{ /* ./Inline/simple.scm 107 */
BgL_letzd2varzd2_bglt BgL_inlinezd2bodyzd2_941;
{ /* ./Inline/simple.scm 108 */
obj_t BgL_arg2833z00_969;BgL_typez00_bglt BgL_arg2834z00_970;bool_t BgL_arg2835z00_971;obj_t BgL_arg2837z00_973;BgL_nodez00_bglt BgL_arg2838z00_974;
BgL_arg2833z00_969 = BgL_locz00_919; 
BgL_arg2834z00_970 = BgL_typez00_920; 
BgL_arg2835z00_971 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_alphazd2bodyzd2_940); 
BgL_arg2837z00_973 = BgL_bindingsz00_915; 
{ /* ./Inline/simple.scm 114 */
obj_t BgL_arg2842z00_975;
{ /* ./Inline/simple.scm 114 */
obj_t BgL_auxz00_2328;
BgL_auxz00_2328 = 
(obj_t)(BgL_calleez00_910); 
BgL_arg2842z00_975 = 
MAKE_PAIR(BgL_auxz00_2328, BgL_stackz00_3); } 
BgL_arg2838z00_974 = 
BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_alphazd2bodyzd2_940, 
(long)CINT(BgL_newzd2kfactorzd2_918), BgL_arg2842z00_975); } 
{ /* ./Inline/simple.scm 107 */
BgL_letzd2varzd2_bglt BgL_res3397z00_1509;
{ /* ./Inline/simple.scm 107 */
obj_t BgL_sidezd2effectzf32494z21_1481;obj_t BgL_key2495z00_1482;
BgL_sidezd2effectzf32494z21_1481 = 
BBOOL(BgL_arg2835z00_971); 
BgL_key2495z00_1482 = 
BINT(((long)-1)); 
{ /* ./Inline/simple.scm 107 */
BgL_letzd2varzd2_bglt BgL_new2499z00_1486;
{ /* ./Inline/simple.scm 107 */
BgL_letzd2varzd2_bglt BgL_res3395z00_1492;
{ /* ./Inline/simple.scm 107 */
BgL_letzd2varzd2_bglt BgL_new2501z00_1487;
BgL_new2501z00_1487 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* ./Inline/simple.scm 107 */
long BgL_arg3026z00_1488;
BgL_arg3026z00_1488 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* ./Inline/simple.scm 107 */
BgL_objectz00_bglt BgL_objz00_1489;
BgL_objz00_1489 = 
(BgL_objectz00_bglt)(BgL_new2501z00_1487); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1489, BgL_arg3026z00_1488); } } 
{ /* ./Inline/simple.scm 107 */
BgL_objectz00_bglt BgL_auxz00_2339;
BgL_auxz00_2339 = 
(BgL_objectz00_bglt)(BgL_new2501z00_1487); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2339, BFALSE); } 
{ /* ./Inline/simple.scm 107 */
obj_t BgL_objz00_1491;
BgL_objz00_1491 = 
(obj_t)(BgL_new2501z00_1487); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1491); BUNSPEC; } 
BgL_res3395z00_1492 = BgL_new2501z00_1487; } 
BgL_new2499z00_1486 = BgL_res3395z00_1492; } 
{ /* ./Inline/simple.scm 107 */
BgL_letzd2varzd2_bglt BgL_res3396z00_1508;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2499z00_1486))->BgL_locz00) = ((obj_t)BgL_arg2833z00_969), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2499z00_1486))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2834z00_970), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2499z00_1486))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32494z21_1481), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2499z00_1486))->BgL_keyz00) = ((obj_t)BgL_key2495z00_1482), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2499z00_1486))->BgL_bindingsz00) = ((obj_t)BgL_arg2837z00_973), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2499z00_1486))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg2838z00_974), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2499z00_1486))->BgL_removablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
BgL_res3396z00_1508 = BgL_new2499z00_1486; BgL_res3396z00_1508; } 
BgL_res3397z00_1509 = BgL_new2499z00_1486; } } 
BgL_inlinezd2bodyzd2_941 = BgL_res3397z00_1509; } } 
{ 
obj_t BgL_ll2734z00_942;obj_t BgL_ll2735z00_943;
BgL_ll2734z00_942 = BgL_bindingsz00_915; 
BgL_ll2735z00_943 = BgL_formalsz00_912; 
BgL_forzd2each2736zd2_944:
{ /* ./Inline/simple.scm 116 */
bool_t BgL_test2782z00_945;
BgL_test2782z00_945 = 
NULLP(BgL_ll2734z00_942); 
if(BgL_test2782z00_945)
{ /* ./Inline/simple.scm 116 */((bool_t)1); }  else 
{ /* ./Inline/simple.scm 116 */
{ /* ./Inline/simple.scm 117 */
obj_t BgL_bindingz00_946;obj_t BgL_formalz00_947;
BgL_bindingz00_946 = 
CAR(BgL_ll2734z00_942); 
BgL_formalz00_947 = 
CAR(BgL_ll2735z00_943); 
{ /* ./Inline/simple.scm 117 */
obj_t BgL_arg2785z00_948;bool_t BgL_arg2786z00_949;
BgL_arg2785z00_948 = 
CAR(BgL_bindingz00_946); 
{ /* ./Inline/simple.scm 117 */
BgL_localz00_bglt BgL_obj1271z00_1514;
BgL_obj1271z00_1514 = 
(BgL_localz00_bglt)(BgL_formalz00_947); 
BgL_arg2786z00_949 = 
(((BgL_localz00_bglt)CREF(BgL_obj1271z00_1514))->BgL_userzf3zf3); } 
{ /* ./Inline/simple.scm 117 */
BgL_localz00_bglt BgL_obj1273z00_1515;
BgL_obj1273z00_1515 = 
(BgL_localz00_bglt)(BgL_arg2785z00_948); 
((((BgL_localz00_bglt)CREF(BgL_obj1273z00_1515))->BgL_userzf3zf3) = ((bool_t)BgL_arg2786z00_949), BUNSPEC); } } } 
{ /* ./Inline/simple.scm 116 */
obj_t BgL_arg2793z00_950;obj_t BgL_arg2794z00_951;
BgL_arg2793z00_950 = 
CDR(BgL_ll2734z00_942); 
BgL_arg2794z00_951 = 
CDR(BgL_ll2735z00_943); 
{ 
obj_t BgL_ll2735z00_2363;obj_t BgL_ll2734z00_2362;
BgL_ll2734z00_2362 = BgL_arg2793z00_950; 
BgL_ll2735z00_2363 = BgL_arg2794z00_951; 
BgL_ll2735z00_943 = BgL_ll2735z00_2363; 
BgL_ll2734z00_942 = BgL_ll2734z00_2362; 
goto BgL_forzd2each2736zd2_944;} } } } } 
{ /* ./Inline/simple.scm 124 */
bool_t BgL_test2799z00_952;
{ /* ./Inline/simple.scm 124 */
bool_t BgL_test2824z00_966;
{ /* ./Inline/simple.scm 124 */
obj_t BgL_auxz00_2364;
BgL_auxz00_2364 = 
(obj_t)(BgL_typez00_920); 
BgL_test2824z00_966 = 
(BgL_auxz00_2364==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test2824z00_966)
{ /* ./Inline/simple.scm 124 */
BgL_test2799z00_952 = ((bool_t)1); }  else 
{ /* ./Inline/simple.scm 126 */
bool_t BgL_test2825z00_967;
{ /* ./Inline/simple.scm 125 */
obj_t BgL_auxz00_2368;
BgL_auxz00_2368 = 
(obj_t)(BgL_typez00_920); 
BgL_test2825z00_967 = 
(BgL_auxz00_2368==BGl_za2objza2z00zztype_cachez00); } 
if(BgL_test2825z00_967)
{ /* ./Inline/simple.scm 126 */
BgL_test2799z00_952 = ((bool_t)1); }  else 
{ /* ./Inline/simple.scm 126 */
obj_t BgL_auxz00_2374;obj_t BgL_auxz00_2372;
{ /* ./Inline/simple.scm 126 */
BgL_typez00_bglt BgL_auxz00_2375;
BgL_auxz00_2375 = 
(((BgL_nodez00_bglt)CREF(BgL_alphazd2bodyzd2_940))->BgL_typez00); 
BgL_auxz00_2374 = 
(obj_t)(BgL_auxz00_2375); } 
BgL_auxz00_2372 = 
(obj_t)(BgL_typez00_920); 
BgL_test2799z00_952 = 
(BgL_auxz00_2372==BgL_auxz00_2374); } } } 
if(BgL_test2799z00_952)
{ /* ./Inline/simple.scm 124 */
return 
(BgL_nodez00_bglt)(BgL_inlinezd2bodyzd2_941);}  else 
{ /* ./Inline/simple.scm 128 */
BgL_localz00_bglt BgL_varz00_953;
{ /* ./Inline/simple.scm 128 */
obj_t BgL_arg2821z00_965;
BgL_arg2821z00_965 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)2)), BEOA); 
BgL_varz00_953 = 
BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg2821z00_965, BgL_typez00_920); } 
{ /* ./Inline/simple.scm 130 */
obj_t BgL_arg2801z00_954;BgL_typez00_bglt BgL_arg2802z00_955;bool_t BgL_arg2803z00_956;obj_t BgL_arg2805z00_958;BgL_varz00_bglt BgL_arg2806z00_959;
BgL_arg2801z00_954 = BgL_locz00_919; 
BgL_arg2802z00_955 = BgL_typez00_920; 
BgL_arg2803z00_956 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(
(BgL_nodez00_bglt)(BgL_inlinezd2bodyzd2_941)); 
{ /* ./Inline/simple.scm 133 */
obj_t BgL_arg2810z00_960;
{ /* ./Inline/simple.scm 133 */
obj_t BgL_auxz00_2389;obj_t BgL_auxz00_2387;
BgL_auxz00_2389 = 
(obj_t)(BgL_inlinezd2bodyzd2_941); 
BgL_auxz00_2387 = 
(obj_t)(BgL_varz00_953); 
BgL_arg2810z00_960 = 
MAKE_PAIR(BgL_auxz00_2387, BgL_auxz00_2389); } 
{ /* ./Inline/simple.scm 133 */
obj_t BgL_list2812z00_961;
BgL_list2812z00_961 = 
MAKE_PAIR(BgL_arg2810z00_960, BNIL); 
BgL_arg2805z00_958 = BgL_list2812z00_961; } } 
{ /* ./Inline/simple.scm 135 */
obj_t BgL_arg2816z00_962;BgL_typez00_bglt BgL_arg2817z00_963;BgL_localz00_bglt BgL_arg2818z00_964;
BgL_arg2816z00_962 = BgL_locz00_919; 
BgL_arg2817z00_963 = BgL_typez00_920; 
BgL_arg2818z00_964 = BgL_varz00_953; 
{ /* ./Inline/simple.scm 134 */
BgL_varz00_bglt BgL_res3401z00_1540;
{ /* ./Inline/simple.scm 134 */
BgL_variablez00_bglt BgL_variable1632z00_1524;
BgL_variable1632z00_1524 = 
(BgL_variablez00_bglt)(BgL_arg2818z00_964); 
{ /* ./Inline/simple.scm 134 */
BgL_varz00_bglt BgL_new1633z00_1525;
{ /* ./Inline/simple.scm 134 */
BgL_varz00_bglt BgL_res3399z00_1531;
{ /* ./Inline/simple.scm 134 */
BgL_varz00_bglt BgL_new1635z00_1526;
BgL_new1635z00_1526 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* ./Inline/simple.scm 134 */
long BgL_arg3235z00_1527;
BgL_arg3235z00_1527 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* ./Inline/simple.scm 134 */
BgL_objectz00_bglt BgL_objz00_1528;
BgL_objz00_1528 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1526); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1528, BgL_arg3235z00_1527); } } 
{ /* ./Inline/simple.scm 134 */
BgL_objectz00_bglt BgL_auxz00_2398;
BgL_auxz00_2398 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1526); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2398, BFALSE); } 
{ /* ./Inline/simple.scm 134 */
obj_t BgL_objz00_1530;
BgL_objz00_1530 = 
(obj_t)(BgL_new1635z00_1526); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1530); BUNSPEC; } 
BgL_res3399z00_1531 = BgL_new1635z00_1526; } 
BgL_new1633z00_1525 = BgL_res3399z00_1531; } 
{ /* ./Inline/simple.scm 134 */
BgL_varz00_bglt BgL_res3400z00_1539;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1525))->BgL_locz00) = ((obj_t)BgL_arg2816z00_962), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1525))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2817z00_963), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1525))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_1524), BUNSPEC); 
BgL_res3400z00_1539 = BgL_new1633z00_1525; BgL_res3400z00_1539; } 
BgL_res3401z00_1540 = BgL_new1633z00_1525; } } 
BgL_arg2806z00_959 = BgL_res3401z00_1540; } } 
{ /* ./Inline/simple.scm 129 */
BgL_letzd2varzd2_bglt BgL_res3404z00_1571;
{ /* ./Inline/simple.scm 129 */
obj_t BgL_sidezd2effectzf32494z21_1543;obj_t BgL_key2495z00_1544;BgL_nodez00_bglt BgL_body2497z00_1546;
BgL_sidezd2effectzf32494z21_1543 = 
BBOOL(BgL_arg2803z00_956); 
BgL_key2495z00_1544 = 
BINT(((long)-1)); 
BgL_body2497z00_1546 = 
(BgL_nodez00_bglt)(BgL_arg2806z00_959); 
{ /* ./Inline/simple.scm 129 */
BgL_letzd2varzd2_bglt BgL_new2499z00_1548;
{ /* ./Inline/simple.scm 129 */
BgL_letzd2varzd2_bglt BgL_res3402z00_1554;
{ /* ./Inline/simple.scm 129 */
BgL_letzd2varzd2_bglt BgL_new2501z00_1549;
BgL_new2501z00_1549 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* ./Inline/simple.scm 129 */
long BgL_arg3026z00_1550;
BgL_arg3026z00_1550 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* ./Inline/simple.scm 129 */
BgL_objectz00_bglt BgL_objz00_1551;
BgL_objz00_1551 = 
(BgL_objectz00_bglt)(BgL_new2501z00_1549); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1551, BgL_arg3026z00_1550); } } 
{ /* ./Inline/simple.scm 129 */
BgL_objectz00_bglt BgL_auxz00_2413;
BgL_auxz00_2413 = 
(BgL_objectz00_bglt)(BgL_new2501z00_1549); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2413, BFALSE); } 
{ /* ./Inline/simple.scm 129 */
obj_t BgL_objz00_1553;
BgL_objz00_1553 = 
(obj_t)(BgL_new2501z00_1549); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1553); BUNSPEC; } 
BgL_res3402z00_1554 = BgL_new2501z00_1549; } 
BgL_new2499z00_1548 = BgL_res3402z00_1554; } 
{ /* ./Inline/simple.scm 129 */
BgL_letzd2varzd2_bglt BgL_res3403z00_1570;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2499z00_1548))->BgL_locz00) = ((obj_t)BgL_arg2801z00_954), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2499z00_1548))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2802z00_955), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2499z00_1548))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf32494z21_1543), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2499z00_1548))->BgL_keyz00) = ((obj_t)BgL_key2495z00_1544), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2499z00_1548))->BgL_bindingsz00) = ((obj_t)BgL_arg2805z00_958), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2499z00_1548))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_body2497z00_1546), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2499z00_1548))->BgL_removablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
BgL_res3403z00_1570 = BgL_new2499z00_1548; BgL_res3403z00_1570; } 
BgL_res3404z00_1571 = BgL_new2499z00_1548; } } 
return 
(BgL_nodez00_bglt)(BgL_res3404z00_1571);} } } } } } } } } } } } } } } } } } 
}



/* _inline-app-simple */
obj_t BGl__inlinezd2appzd2simplez00zzinline_simplez00(obj_t BgL_envz00_2136, obj_t BgL_nodez00_2137, obj_t BgL_kfactorz00_2138, obj_t BgL_stackz00_2139, obj_t BgL_msgz00_2140)
{ AN_OBJECT;
{ /* ./Inline/simple.scm 42 */
{ /* ./Inline/simple.scm 43 */
BgL_nodez00_bglt BgL_auxz00_2426;
BgL_auxz00_2426 = 
BGl_inlinezd2appzd2simplez00zzinline_simplez00(
(BgL_nodez00_bglt)(BgL_nodez00_2137), 
(long)CINT(BgL_kfactorz00_2138), BgL_stackz00_2139, BgL_msgz00_2140); 
return 
(obj_t)(BgL_auxz00_2426);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzinline_simplez00()
{ AN_OBJECT;
{ /* ./Inline/simple.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzinline_simplez00()
{ AN_OBJECT;
{ /* ./Inline/simple.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "inline_simple"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "inline_simple"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "inline_simple"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "inline_simple"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "inline_simple"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "inline_simple"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)28959), "inline_simple"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "inline_simple"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "inline_simple"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "inline_simple"); 
BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long)63036), "inline_simple"); 
BGl_modulezd2initializa7ationz75zzinline_siza7eza7(((long)54525), "inline_simple"); 
BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long)21007), "inline_simple"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)15705), "inline_simple"); 
BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long)14017), "inline_simple"); 
return 
BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long)63059), "inline_simple");} 
}

