/*===========================================================================*/
/*   (Jvm/extern.scm)                                                        */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Jvm/extern.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_tvecz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_tvecz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_externz00();
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
BGL_EXPORTED_DECL obj_t BGl_getzd2classeszd2tozd2bezd2compiledz00zzjvm_externz00();
static obj_t BGl__realzd2fieldzd2namez00zzjvm_externz00(obj_t, obj_t);
extern bool_t BGl_requirezd2prototypezf3z21zzcgen_prototypez00(BgL_globalz00_bglt);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_tclasszd2idzd2manglingz00zzjvm_externz00(BgL_tclassz00_bglt);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_getzd2objectzd2typez00zztype_cachez00();
BGL_IMPORT obj_t bigloo_mangle(obj_t);
extern obj_t BGl_scnstz00zzast_varz00;
extern obj_t BGl_tclassz00zzobject_classz00;
BGL_EXPORTED_DECL obj_t BGl_manuzd2tuzd2fixeszd2globalzd2tvectorz00zzjvm_externz00(obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_compilezd2typezd2zzjvm_envz00(obj_t, BgL_envz00_bglt);
extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_getzd2linezd2numberz00zzjvm_externz00(BgL_nodez00_bglt);
static obj_t BGl__debugzd2declarezd2varzd2fromzd2zzjvm_externz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__globalzd2tozd2bezd2declaredzd2zzjvm_externz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
BGL_EXPORTED_DECL obj_t BGl_debugzd2declarezd2varzd2fromzd2zzjvm_externz00(BgL_envz00_bglt, BgL_localz00_bglt, obj_t, obj_t);
extern obj_t BGl_globalz00zzast_varz00;
BGL_IMPORT obj_t bigloo_module_mangle(obj_t, obj_t);
static obj_t BGl_onzd2packagezd2zzjvm_externz00(obj_t, obj_t);
static obj_t BGl_superzd2packagezd2zzjvm_externz00(BgL_tclassz00_bglt);
static obj_t BGl__getzd2sourcefilezd2zzjvm_externz00(obj_t);
static obj_t BGl__jvmzd2classzd2manglez00zzjvm_externz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzjvm_externz00();
BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_qualifiedzd2classzd2namez00zzjvm_externz00(BgL_tclassz00_bglt);
BGL_IMPORT obj_t BGl_findzd2runtimezd2typez00zz__errorz00(obj_t);
static obj_t BGl__debugzd2forzd2declarezd2varzf3z21zzjvm_externz00(obj_t, obj_t);
static obj_t BGl__getzd2linezd2numberz00zzjvm_externz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_debugzd2forzd2declarezd2varzf3z21zzjvm_externz00(BgL_envz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_globalzd2tozd2bezd2declaredzd2zzjvm_externz00(BgL_globalz00_bglt);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_externz00();
static obj_t BGl__qualifiedzd2classzd2namez00zzjvm_externz00(obj_t, obj_t);
static obj_t BGl__realzd2sfunzd2namez00zzjvm_externz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzjvm_externz00();
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_jclassz00zzobject_classz00;
static obj_t BGl_manglez00zzjvm_externz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzjvm_externz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_javaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztvector_cnstz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcgen_prototypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
static obj_t BGl_classzd2packagezd2zzjvm_externz00(obj_t);
static obj_t BGl__realzd2cfunzd2namez00zzjvm_externz00(obj_t, obj_t);
BGL_IMPORT obj_t string_to_symbol(char *);
static obj_t BGl__manuzd2tuzd2fixeszd2globalzd2tvectorz00zzjvm_externz00(obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_realzd2cfunzd2namez00zzjvm_externz00(BgL_globalz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_realzd2sfunzd2namez00zzjvm_externz00(BgL_globalz00_bglt);
extern obj_t BGl_findzd2javazd2classz00zzmodule_javaz00(obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
BGL_EXPORTED_DECL obj_t BGl_qualifiedzd2modulezd2namez00zzjvm_externz00(obj_t);
BGL_IMPORT obj_t display_string(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_patchz00zzjvm_externz00(BgL_globalz00_bglt);
BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
static obj_t BGl__qualifiedzd2modulezd2namez00zzjvm_externz00(obj_t, obj_t);
extern obj_t BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00;
BGL_EXPORTED_DECL obj_t BGl_jvmzd2classzd2manglez00zzjvm_externz00(obj_t, obj_t);
static obj_t BGl__getzd2classeszd2tozd2bezd2compiledz00zzjvm_externz00(obj_t);
extern obj_t BGl_getzd2classzd2listz00zzobject_classz00();
static obj_t BGl__debugzd2declarezd2varz00zzjvm_externz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_qualifiedzd2typezd2namez00zzjvm_externz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_externz00 = BUNSPEC;
static obj_t BGl__qualifiedzd2typezd2namez00zzjvm_externz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_debugzd2declarezd2varz00zzjvm_externz00(BgL_envz00_bglt, BgL_localz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_realzd2fieldzd2namez00zzjvm_externz00(BgL_globalz00_bglt);
BGL_IMPORT bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_getzd2sourcefilezd2zzjvm_externz00();
extern obj_t BGl_za2jvmzd2debugza2zd2zzengine_paramz00;
extern obj_t BGl__localvarz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_externz00();
extern obj_t BGl__labelz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl__tclasszd2idzd2manglingz00zzjvm_externz00(obj_t, obj_t);
static obj_t __cnst[ 13 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_realzd2sfunzd2namezd2envzd2zzjvm_externz00, BgL_bgl__realza7d2sfunza7d2nameza700za7za7jvm_externza7004198z00, BGl__realzd2sfunzd2namez00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_qualifiedzd2typezd2namezd2envzd2zzjvm_externz00, BgL_bgl__qualifiedza7d2typeza7d2nameza700za7za7jvm_externza7004199z00, BGl__qualifiedzd2typezd2namez00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_jvmzd2classzd2manglezd2envzd2zzjvm_externz00, BgL_bgl__jvmza7d2classza7d2mangleza700za7za7jvm_externza7004200z00, BGl__jvmzd2classzd2manglez00zzjvm_externz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_debugzd2forzd2declarezd2varzf3zd2envzf3zzjvm_externz00, BgL_bgl__debugza7d2forza7d2declareza7d2varza7f3za721za7za7jvm_externza7004201z00, BGl__debugzd2forzd2declarezd2varzf3z21zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2sourcefilezd2envz00zzjvm_externz00, BgL_bgl__getza7d2sourcefileza7d2za7za7jvm_externza7004202za7, BGl__getzd2sourcefilezd2zzjvm_externz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_debugzd2declarezd2varzd2envzd2zzjvm_externz00, BgL_bgl__debugza7d2declareza7d2varza700za7za7jvm_externza7004203z00, BGl__debugzd2declarezd2varz00zzjvm_externz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_globalzd2tozd2bezd2declaredzd2envz00zzjvm_externz00, BgL_bgl__globalza7d2toza7d2beza7d2declaredza7d2za7za7jvm_externza7004204za7, BGl__globalzd2tozd2bezd2declaredzd2zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_realzd2fieldzd2namezd2envzd2zzjvm_externz00, BgL_bgl__realza7d2fieldza7d2nameza700za7za7jvm_externza7004205z00, BGl__realzd2fieldzd2namez00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_realzd2cfunzd2namezd2envzd2zzjvm_externz00, BgL_bgl__realza7d2cfunza7d2nameza700za7za7jvm_externza7004206z00, BGl__realzd2cfunzd2namez00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_qualifiedzd2classzd2namezd2envzd2zzjvm_externz00, BgL_bgl__qualifiedza7d2classza7d2nameza700za7za7jvm_externza7004207z00, BGl__qualifiedzd2classzd2namez00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_tclasszd2idzd2manglingzd2envzd2zzjvm_externz00, BgL_bgl__tclassza7d2idza7d2manglingza700za7za7jvm_externza7004208z00, BGl__tclasszd2idzd2manglingz00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_qualifiedzd2modulezd2namezd2envzd2zzjvm_externz00, BgL_bgl__qualifiedza7d2moduleza7d2nameza700za7za7jvm_externza7004209z00, BGl__qualifiedzd2modulezd2namez00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_manuzd2tuzd2fixeszd2globalzd2tvectorzd2envzd2zzjvm_externz00, BgL_bgl__manuza7d2tuza7d2fixesza7d2globalza7d2tvectorza700za7za7jvm_externza7004210z00, BGl__manuzd2tuzd2fixeszd2globalzd2tvectorz00zzjvm_externz00, 0L, 1 );
DEFINE_STRING( BGl_string4168z00zzjvm_externz00, BgL_bgl_string4168za700za7za7jvm_externza7004211z00, "(print \"OCCURRENCE0 \" id) __cnsts_table %exit bigloo-exit eval %exit-env bigloo-exit-env foreign (jclass-package super) object import location stvector ", 152 );
DEFINE_STRING( BGl_string4167z00zzjvm_externz00, BgL_bgl_string4167za700za7za7jvm_externza7004212z00, "BIGLOO_EXIT_ENV", 15 );
DEFINE_STRING( BGl_string4166z00zzjvm_externz00, BgL_bgl_string4166za700za7za7jvm_externza7004213z00, "bigloo.", 7 );
DEFINE_STRING( BGl_string4165z00zzjvm_externz00, BgL_bgl_string4165za700za7za7jvm_externza7004214z00, "Illegal super class", 19 );
DEFINE_STRING( BGl_string4164z00zzjvm_externz00, BgL_bgl_string4164za700za7za7jvm_externza7004215z00, "super-package", 13 );
DEFINE_STRING( BGl_string4163z00zzjvm_externz00, BgL_bgl_string4163za700za7za7jvm_externza7004216z00, "jclass", 6 );
DEFINE_STRING( BGl_string4162z00zzjvm_externz00, BgL_bgl_string4162za700za7za7jvm_externza7004217z00, "where do you got a jclass?", 26 );
DEFINE_STRING( BGl_string4161z00zzjvm_externz00, BgL_bgl_string4161za700za7za7jvm_externza7004218z00, "bigloo", 6 );
DEFINE_STRING( BGl_string4160z00zzjvm_externz00, BgL_bgl_string4160za700za7za7jvm_externza7004219z00, "_K", 2 );
DEFINE_STRING( BGl_string4159z00zzjvm_externz00, BgL_bgl_string4159za700za7za7jvm_externza7004220z00, ".", 1 );
DEFINE_STRING( BGl_string4158z00zzjvm_externz00, BgL_bgl_string4158za700za7za7jvm_externza7004221z00, "", 0 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2linezd2numberzd2envzd2zzjvm_externz00, BgL_bgl__getza7d2lineza7d2numberza700za7za7jvm_externza7004222z00, BGl__getzd2linezd2numberz00zzjvm_externz00, 0L, 1 );
DEFINE_STRING( BGl_string4157z00zzjvm_externz00, BgL_bgl_string4157za700za7za7jvm_externza7004223z00, "qualified-class-name:not a tclass", 33 );
DEFINE_STRING( BGl_string4156z00zzjvm_externz00, BgL_bgl_string4156za700za7za7jvm_externza7004224z00, "F", 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2classeszd2tozd2bezd2compiledzd2envzd2zzjvm_externz00, BgL_bgl__getza7d2classesza7d2toza7d2beza7d2compiledza700za7za7jvm_externza7004225z00, BGl__getzd2classeszd2tozd2bezd2compiledz00zzjvm_externz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_debugzd2declarezd2varzd2fromzd2envz00zzjvm_externz00, BgL_bgl__debugza7d2declareza7d2varza7d2fromza7d2za7za7jvm_externza7004226za7, BGl__debugzd2declarezd2varzd2fromzd2zzjvm_externz00, 0L, 4 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzjvm_externz00(long BgL_checksumz00_2567, char * BgL_fromz00_2568)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_externz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_externz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_externz00(); 
BGl_cnstzd2initzd2zzjvm_externz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_externz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_externz00()
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 3 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "jvm_extern"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_externz00()
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 3 */
{ /* ./Jvm/extern.scm 3 */
obj_t BgL_cportz00_2560;
BgL_cportz00_2560 = 
open_input_string(BGl_string4168z00zzjvm_externz00); 
{ 
long BgL_iz00_2561;
BgL_iz00_2561 = ((long)12); 
BgL_loopz00_2562:
{ /* ./Jvm/extern.scm 3 */
bool_t BgL_test4170z00_2563;
BgL_test4170z00_2563 = 
(BgL_iz00_2561==((long)-1)); 
if(BgL_test4170z00_2563)
{ /* ./Jvm/extern.scm 3 */
return BUNSPEC;}  else 
{ /* ./Jvm/extern.scm 3 */
{ /* ./Jvm/extern.scm 3 */
obj_t BgL_arg4172z00_2564;
{ /* ./Jvm/extern.scm 3 */
obj_t BgL_list4175z00_2565;
BgL_list4175z00_2565 = 
MAKE_PAIR(BgL_cportz00_2560, BNIL); 
BgL_arg4172z00_2564 = 
BGl_readz00zz__readerz00(BgL_list4175z00_2565); } 
{ /* ./Jvm/extern.scm 3 */
int BgL_auxz00_2586;
BgL_auxz00_2586 = 
(int)(BgL_iz00_2561); 
CNST_TABLE_SET(BgL_auxz00_2586, BgL_arg4172z00_2564); } } 
{ /* ./Jvm/extern.scm 3 */
int BgL_auxz00_2566;
{ /* ./Jvm/extern.scm 3 */
long BgL_auxz00_2589;
BgL_auxz00_2589 = 
(BgL_iz00_2561-((long)1)); 
BgL_auxz00_2566 = 
(int)(BgL_auxz00_2589); } 
{ 
long BgL_iz00_2592;
BgL_iz00_2592 = 
(long)(BgL_auxz00_2566); 
BgL_iz00_2561 = BgL_iz00_2592; 
goto BgL_loopz00_2562;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_externz00()
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 3 */
return BUNSPEC;} 
}



/* manu-tu-fixes-global-tvector */
BGL_EXPORTED_DEF obj_t BGl_manuzd2tuzd2fixeszd2globalzd2tvectorz00zzjvm_externz00(obj_t BgL_vz00_43)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 42 */
{ /* ./Jvm/extern.scm 43 */
bool_t BgL_test3189z00_1195;
BgL_test3189z00_1195 = 
BGl_iszd2azf3z21zz__objectz00(BgL_vz00_43, BGl_globalz00zzast_varz00); 
if(BgL_test3189z00_1195)
{ /* ./Jvm/extern.scm 44 */
BgL_valuez00_bglt BgL_valuez00_1196;
{ /* ./Jvm/extern.scm 44 */
BgL_variablez00_bglt BgL_obj1104z00_1846;
BgL_obj1104z00_1846 = 
(BgL_variablez00_bglt)(BgL_vz00_43); 
BgL_valuez00_1196 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1846))->BgL_valuez00); } 
{ /* ./Jvm/extern.scm 45 */
bool_t BgL_test3190z00_1197;
{ /* ./Jvm/extern.scm 45 */
obj_t BgL_obj1520z00_1847;
BgL_obj1520z00_1847 = 
(obj_t)(BgL_valuez00_1196); 
BgL_test3190z00_1197 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1520z00_1847, BGl_scnstz00zzast_varz00); } 
if(BgL_test3190z00_1197)
{ /* ./Jvm/extern.scm 46 */
bool_t BgL_testz00_2601;
{ /* ./Jvm/extern.scm 46 */
obj_t BgL_auxz00_2605;obj_t BgL_auxz00_2602;
BgL_auxz00_2605 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./Jvm/extern.scm 46 */
BgL_scnstz00_bglt BgL_obj1500z00_1848;
BgL_obj1500z00_1848 = 
(BgL_scnstz00_bglt)(BgL_valuez00_1196); 
BgL_auxz00_2602 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1500z00_1848))->BgL_classz00); } 
BgL_testz00_2601 = 
(BgL_auxz00_2602==BgL_auxz00_2605); } 
if(BgL_testz00_2601)
{ /* ./Jvm/extern.scm 47 */
BgL_tvecz00_bglt BgL_obj2906z00_1853;
{ /* ./Jvm/extern.scm 49 */
obj_t BgL_auxz00_2608;
{ /* ./Jvm/extern.scm 48 */
int BgL_auxz00_2612;obj_t BgL_auxz00_2609;
BgL_auxz00_2612 = 
(int)(((long)0)); 
{ /* ./Jvm/extern.scm 49 */
BgL_scnstz00_bglt BgL_obj1499z00_1849;
BgL_obj1499z00_1849 = 
(BgL_scnstz00_bglt)(BgL_valuez00_1196); 
BgL_auxz00_2609 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1499z00_1849))->BgL_nodez00); } 
BgL_auxz00_2608 = 
STRUCT_REF(BgL_auxz00_2609, BgL_auxz00_2612); } 
BgL_obj2906z00_1853 = 
(BgL_tvecz00_bglt)(BgL_auxz00_2608); } 
{ /* ./Jvm/extern.scm 47 */
BgL_typez00_bglt BgL_auxz00_2616;
{ 
obj_t BgL_auxz00_2617;
{ /* ./Jvm/extern.scm 47 */
BgL_objectz00_bglt BgL_auxz00_2618;
BgL_auxz00_2618 = 
(BgL_objectz00_bglt)(BgL_obj2906z00_1853); 
BgL_auxz00_2617 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2618); } 
BgL_auxz00_2616 = 
(((BgL_tvecz00_bglt)CREF(BgL_auxz00_2617))->BgL_itemzd2typezd2); } 
return 
(obj_t)(BgL_auxz00_2616);} }  else 
{ /* ./Jvm/extern.scm 46 */
return BFALSE;} }  else 
{ /* ./Jvm/extern.scm 45 */
return BFALSE;} } }  else 
{ /* ./Jvm/extern.scm 43 */
return BFALSE;} } } 
}



/* _manu-tu-fixes-global-tvector */
obj_t BGl__manuzd2tuzd2fixeszd2globalzd2tvectorz00zzjvm_externz00(obj_t BgL_envz00_2521, obj_t BgL_vz00_2522)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 42 */
return 
BGl_manuzd2tuzd2fixeszd2globalzd2tvectorz00zzjvm_externz00(BgL_vz00_2522);} 
}



/* get-sourcefile */
BGL_EXPORTED_DEF obj_t BGl_getzd2sourcefilezd2zzjvm_externz00()
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 57 */
{ /* ./Jvm/extern.scm 58 */
obj_t BgL_arg3208z00_1203;
{ /* ./Jvm/extern.scm 58 */
obj_t BgL_pairz00_1854;
BgL_pairz00_1854 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg3208z00_1203 = 
CAR(BgL_pairz00_1854); } 
return 
BGl_basenamez00zz__osz00(BgL_arg3208z00_1203);} } 
}



/* _get-sourcefile */
obj_t BGl__getzd2sourcefilezd2zzjvm_externz00(obj_t BgL_envz00_2523)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 57 */
return 
BGl_getzd2sourcefilezd2zzjvm_externz00();} 
}



/* get-line-number */
BGL_EXPORTED_DEF obj_t BGl_getzd2linezd2numberz00zzjvm_externz00(BgL_nodez00_bglt BgL_nodez00_44)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 60 */
{ /* ./Jvm/extern.scm 61 */
obj_t BgL_locz00_1204;
BgL_locz00_1204 = 
(((BgL_nodez00_bglt)CREF(BgL_nodez00_44))->BgL_locz00); 
{ /* ./Jvm/extern.scm 62 */
bool_t BgL_test3211z00_1205;
if(
CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
{ /* ./Jvm/extern.scm 62 */
if(
STRUCTP(BgL_locz00_1204))
{ /* ./Jvm/extern.scm 62 */
obj_t BgL_auxz00_2634;obj_t BgL_auxz00_2632;
BgL_auxz00_2634 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_2632 = 
STRUCT_KEY(BgL_locz00_1204); 
BgL_test3211z00_1205 = 
(BgL_auxz00_2632==BgL_auxz00_2634); }  else 
{ /* ./Jvm/extern.scm 62 */
BgL_test3211z00_1205 = ((bool_t)0); } }  else 
{ /* ./Jvm/extern.scm 62 */
BgL_test3211z00_1205 = ((bool_t)0); } 
if(BgL_test3211z00_1205)
{ /* ./Jvm/extern.scm 63 */
int BgL_auxz00_2638;
BgL_auxz00_2638 = 
(int)(((long)2)); 
return 
STRUCT_REF(BgL_locz00_1204, BgL_auxz00_2638);}  else 
{ /* ./Jvm/extern.scm 62 */
return BFALSE;} } } } 
}



/* _get-line-number */
obj_t BGl__getzd2linezd2numberz00zzjvm_externz00(obj_t BgL_envz00_2524, obj_t BgL_nodez00_2525)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 60 */
return 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_nodez00_2525));} 
}



/* debug-for-declare-var? */
BGL_EXPORTED_DEF obj_t BGl_debugzd2forzd2declarezd2varzf3z21zzjvm_externz00(BgL_envz00_bglt BgL_envz00_45)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 66 */
return BGl_za2jvmzd2debugza2zd2zzengine_paramz00;} 
}



/* _debug-for-declare-var? */
obj_t BGl__debugzd2forzd2declarezd2varzf3z21zzjvm_externz00(obj_t BgL_envz00_2526, obj_t BgL_envz00_2527)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 66 */
return 
BGl_debugzd2forzd2declarezd2varzf3z21zzjvm_externz00(
(BgL_envz00_bglt)(BgL_envz00_2527));} 
}



/* debug-declare-var */
BGL_EXPORTED_DEF obj_t BGl_debugzd2declarezd2varz00zzjvm_externz00(BgL_envz00_bglt BgL_envz00_46, BgL_localz00_bglt BgL_varz00_47, obj_t BgL_toz00_48)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 69 */
{ /* ./Jvm/extern.scm 70 */
bool_t BgL_test3215z00_1206;
{ /* ./Jvm/extern.scm 70 */
bool_t BgL_test3219z00_1208;
BgL_test3219z00_1208 = 
CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00); 
if(BgL_test3219z00_1208)
{ /* ./Jvm/extern.scm 70 */
BgL_test3215z00_1206 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_47))->BgL_userzf3zf3); }  else 
{ /* ./Jvm/extern.scm 70 */
BgL_test3215z00_1206 = ((bool_t)0); } } 
if(BgL_test3215z00_1206)
{ /* ./Jvm/extern.scm 71 */
obj_t BgL_fromz00_1207;
BgL_fromz00_1207 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string4156z00zzjvm_externz00, BEOA); 
BGl__labelz00zzjvm_instrz00(BgL_envz00_46, BgL_fromz00_1207); 
return 
BGl_debugzd2declarezd2varzd2fromzd2zzjvm_externz00(BgL_envz00_46, BgL_varz00_47, BgL_fromz00_1207, BgL_toz00_48);}  else 
{ /* ./Jvm/extern.scm 70 */
return BFALSE;} } } 
}



/* _debug-declare-var */
obj_t BGl__debugzd2declarezd2varz00zzjvm_externz00(obj_t BgL_envz00_2528, obj_t BgL_envz00_2529, obj_t BgL_varz00_2530, obj_t BgL_toz00_2531)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 69 */
return 
BGl_debugzd2declarezd2varz00zzjvm_externz00(
(BgL_envz00_bglt)(BgL_envz00_2529), 
(BgL_localz00_bglt)(BgL_varz00_2530), BgL_toz00_2531);} 
}



/* debug-declare-var-from */
BGL_EXPORTED_DEF obj_t BGl_debugzd2declarezd2varzd2fromzd2zzjvm_externz00(BgL_envz00_bglt BgL_envz00_49, BgL_localz00_bglt BgL_varz00_50, obj_t BgL_fromz00_51, obj_t BgL_toz00_52)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 75 */
{ /* ./Jvm/extern.scm 76 */
bool_t BgL_test3222z00_1209;
{ /* ./Jvm/extern.scm 76 */
bool_t BgL_test3234z00_1216;
BgL_test3234z00_1216 = 
CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00); 
if(BgL_test3234z00_1216)
{ /* ./Jvm/extern.scm 76 */
BgL_test3222z00_1209 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_50))->BgL_userzf3zf3); }  else 
{ /* ./Jvm/extern.scm 76 */
BgL_test3222z00_1209 = ((bool_t)0); } } 
if(BgL_test3222z00_1209)
{ /* ./Jvm/extern.scm 77 */
obj_t BgL_typez00_1210;obj_t BgL_userzd2namezd2_1211;obj_t BgL_namez00_1212;
BgL_typez00_1210 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_varz00_50), BgL_envz00_49); 
{ /* ./Jvm/extern.scm 78 */
obj_t BgL_arg3226z00_1213;
{ /* ./Jvm/extern.scm 78 */
obj_t BgL_arg3230z00_1215;
{ /* ./Jvm/extern.scm 78 */
BgL_variablez00_bglt BgL_obj1097z00_1870;
BgL_obj1097z00_1870 = 
(BgL_variablez00_bglt)(BgL_varz00_50); 
BgL_arg3230z00_1215 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1870))->BgL_idz00); } 
BgL_arg3226z00_1213 = 
SYMBOL_TO_STRING(BgL_arg3230z00_1215); } 
BgL_userzd2namezd2_1211 = 
BGl_manglez00zzjvm_externz00(BgL_arg3226z00_1213, BNIL); } 
{ /* ./Jvm/extern.scm 79 */
BgL_variablez00_bglt BgL_obj1098z00_1872;
BgL_obj1098z00_1872 = 
(BgL_variablez00_bglt)(BgL_varz00_50); 
BgL_namez00_1212 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1098z00_1872))->BgL_namez00); } 
return 
BGl__localvarz00zzjvm_instrz00(BgL_envz00_49, BgL_fromz00_51, BgL_toz00_52, BgL_userzd2namezd2_1211, BgL_typez00_1210, BgL_namez00_1212);}  else 
{ /* ./Jvm/extern.scm 76 */
return BFALSE;} } } 
}



/* _debug-declare-var-from */
obj_t BGl__debugzd2declarezd2varzd2fromzd2zzjvm_externz00(obj_t BgL_envz00_2532, obj_t BgL_envz00_2533, obj_t BgL_varz00_2534, obj_t BgL_fromz00_2535, obj_t BgL_toz00_2536)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 75 */
return 
BGl_debugzd2declarezd2varzd2fromzd2zzjvm_externz00(
(BgL_envz00_bglt)(BgL_envz00_2533), 
(BgL_localz00_bglt)(BgL_varz00_2534), BgL_fromz00_2535, BgL_toz00_2536);} 
}



/* qualified-module-name */
BGL_EXPORTED_DEF obj_t BGl_qualifiedzd2modulezd2namez00zzjvm_externz00(obj_t BgL_modulez00_53)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 85 */
return 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_53);} 
}



/* _qualified-module-name */
obj_t BGl__qualifiedzd2modulezd2namez00zzjvm_externz00(obj_t BgL_envz00_2537, obj_t BgL_modulez00_2538)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 85 */
return 
BGl_qualifiedzd2modulezd2namez00zzjvm_externz00(BgL_modulez00_2538);} 
}



/* get-classes-to-be-compiled */
BGL_EXPORTED_DEF obj_t BGl_getzd2classeszd2tozd2bezd2compiledz00zzjvm_externz00()
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 91 */
{ /* ./Jvm/extern.scm 93 */
obj_t BgL_rz00_1217;
BgL_rz00_1217 = BNIL; 
{ 
obj_t BgL_l3059z00_1218;
{ /* ./Jvm/extern.scm 100 */
obj_t BgL_arg3239z00_1220;
BgL_arg3239z00_1220 = 
BGl_getzd2classzd2listz00zzobject_classz00(); 
BgL_l3059z00_1218 = BgL_arg3239z00_1220; 
BgL_forzd2each3060zd2_1219:
{ /* ./Jvm/extern.scm 94 */
bool_t BgL_test3242z00_1221;
BgL_test3242z00_1221 = 
PAIRP(BgL_l3059z00_1218); 
if(BgL_test3242z00_1221)
{ /* ./Jvm/extern.scm 94 */
{ /* ./Jvm/extern.scm 96 */
obj_t BgL_classz00_1222;
BgL_classz00_1222 = 
CAR(BgL_l3059z00_1218); 
{ /* ./Jvm/extern.scm 96 */
bool_t BgL_test3243z00_1223;
{ /* ./Jvm/extern.scm 96 */
obj_t BgL_arg3255z00_1229;
BgL_arg3255z00_1229 = 
BGl_getzd2objectzd2typez00zztype_cachez00(); 
BgL_test3243z00_1223 = 
(BgL_classz00_1222==BgL_arg3255z00_1229); } 
if(BgL_test3243z00_1223)
{ /* ./Jvm/extern.scm 96 */BFALSE; }  else 
{ /* ./Jvm/extern.scm 98 */
bool_t BgL_test3244z00_1225;
{ /* ./Jvm/extern.scm 98 */
obj_t BgL_auxz00_2689;obj_t BgL_auxz00_2681;
BgL_auxz00_2689 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Jvm/extern.scm 98 */
BgL_globalz00_bglt BgL_arg3251z00_1228;
{ /* ./Jvm/extern.scm 98 */
BgL_tclassz00_bglt BgL_obj2719z00_1875;
BgL_obj2719z00_1875 = 
(BgL_tclassz00_bglt)(BgL_classz00_1222); 
{ 
obj_t BgL_auxz00_2683;
{ /* ./Jvm/extern.scm 98 */
BgL_objectz00_bglt BgL_auxz00_2684;
BgL_auxz00_2684 = 
(BgL_objectz00_bglt)(BgL_obj2719z00_1875); 
BgL_auxz00_2683 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2684); } 
BgL_arg3251z00_1228 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2683))->BgL_holderz00); } } 
BgL_auxz00_2681 = 
(((BgL_globalz00_bglt)CREF(BgL_arg3251z00_1228))->BgL_importz00); } 
BgL_test3244z00_1225 = 
(BgL_auxz00_2681==BgL_auxz00_2689); } 
if(BgL_test3244z00_1225)
{ /* ./Jvm/extern.scm 98 */BFALSE; }  else 
{ /* ./Jvm/extern.scm 98 */
BgL_rz00_1217 = 
MAKE_PAIR(BgL_classz00_1222, BgL_rz00_1217); } } } } 
{ /* ./Jvm/extern.scm 94 */
obj_t BgL_arg3260z00_1230;
BgL_arg3260z00_1230 = 
CDR(BgL_l3059z00_1218); 
{ 
obj_t BgL_l3059z00_2695;
BgL_l3059z00_2695 = BgL_arg3260z00_1230; 
BgL_l3059z00_1218 = BgL_l3059z00_2695; 
goto BgL_forzd2each3060zd2_1219;} } }  else 
{ /* ./Jvm/extern.scm 94 */((bool_t)1); } } } } 
return BgL_rz00_1217;} } 
}



/* _get-classes-to-be-compiled */
obj_t BGl__getzd2classeszd2tozd2bezd2compiledz00zzjvm_externz00(obj_t BgL_envz00_2539)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 91 */
return 
BGl_getzd2classeszd2tozd2bezd2compiledz00zzjvm_externz00();} 
}



/* qualified-class-name */
BGL_EXPORTED_DEF obj_t BGl_qualifiedzd2classzd2namez00zzjvm_externz00(BgL_tclassz00_bglt BgL_classz00_54)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 103 */
{ /* ./Jvm/extern.scm 104 */
bool_t BgL_test3264z00_1231;
{ /* ./Jvm/extern.scm 104 */
obj_t BgL_obj2712z00_1878;
BgL_obj2712z00_1878 = 
(obj_t)(BgL_classz00_54); 
BgL_test3264z00_1231 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2712z00_1878, BGl_tclassz00zzobject_classz00); } 
if(BgL_test3264z00_1231)
{ /* ./Jvm/extern.scm 104 */BFALSE; }  else 
{ /* ./Jvm/extern.scm 105 */
obj_t BgL_arg3267z00_1233;obj_t BgL_arg3268z00_1234;
BgL_arg3267z00_1233 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_classz00_54)); 
BgL_arg3268z00_1234 = 
BGl_findzd2runtimezd2typez00zz__errorz00(
(obj_t)(BgL_classz00_54)); 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string4157z00zzjvm_externz00, BgL_arg3267z00_1233, BgL_arg3268z00_1234); } } 
{ /* ./Jvm/extern.scm 109 */
obj_t BgL_arg3274z00_1235;obj_t BgL_arg3275z00_1236;
BgL_arg3274z00_1235 = 
BGl_superzd2packagezd2zzjvm_externz00(BgL_classz00_54); 
BgL_arg3275z00_1236 = 
BGl_tclasszd2idzd2manglingz00zzjvm_externz00(BgL_classz00_54); 
return 
BGl_onzd2packagezd2zzjvm_externz00(BgL_arg3274z00_1235, BgL_arg3275z00_1236);} } 
}



/* _qualified-class-name */
obj_t BGl__qualifiedzd2classzd2namez00zzjvm_externz00(obj_t BgL_envz00_2540, obj_t BgL_classz00_2541)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 103 */
return 
BGl_qualifiedzd2classzd2namez00zzjvm_externz00(
(BgL_tclassz00_bglt)(BgL_classz00_2541));} 
}



/* on-package */
obj_t BGl_onzd2packagezd2zzjvm_externz00(obj_t BgL_pkgcz00_55, obj_t BgL_namez00_56)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 111 */
{ /* ./Jvm/extern.scm 112 */
obj_t BgL_snamez00_1237;
BgL_snamez00_1237 = 
SYMBOL_TO_STRING(BgL_namez00_56); 
{ /* ./Jvm/extern.scm 112 */
obj_t BgL_bsnamez00_1238;
BgL_bsnamez00_1238 = 
BGl_manglez00zzjvm_externz00(BgL_snamez00_1237, BNIL); 
{ /* ./Jvm/extern.scm 113 */

{ /* ./Jvm/extern.scm 114 */
bool_t BgL_test3279z00_1239;
BgL_test3279z00_1239 = 
bigloo_strcmp(BgL_pkgcz00_55, BGl_string4158z00zzjvm_externz00); 
if(BgL_test3279z00_1239)
{ /* ./Jvm/extern.scm 114 */
return BgL_bsnamez00_1238;}  else 
{ /* ./Jvm/extern.scm 114 */
return 
string_append_3(BgL_pkgcz00_55, BGl_string4159z00zzjvm_externz00, BgL_bsnamez00_1238);} } } } } } 
}



/* mangle */
obj_t BGl_manglez00zzjvm_externz00(obj_t BgL_snamez00_57, obj_t BgL_modz00_58)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 118 */
{ /* ./Jvm/extern.scm 119 */
bool_t BgL_test3285z00_1241;
BgL_test3285z00_1241 = 
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_snamez00_57); 
if(BgL_test3285z00_1241)
{ /* ./Jvm/extern.scm 120 */
bool_t BgL_test3286z00_1242;
BgL_test3286z00_1242 = 
PAIRP(BgL_modz00_58); 
if(BgL_test3286z00_1242)
{ /* ./Jvm/extern.scm 121 */
obj_t BgL_arg3288z00_1243;
BgL_arg3288z00_1243 = 
CAR(BgL_modz00_58); 
return 
bigloo_module_mangle(BgL_snamez00_57, BgL_arg3288z00_1243);}  else 
{ /* ./Jvm/extern.scm 120 */
return 
bigloo_mangle(BgL_snamez00_57);} }  else 
{ /* ./Jvm/extern.scm 119 */
return BgL_snamez00_57;} } } 
}



/* tclass-id-mangling */
BGL_EXPORTED_DEF obj_t BGl_tclasszd2idzd2manglingz00zzjvm_externz00(BgL_tclassz00_bglt BgL_classz00_59)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 125 */
{ /* ./Jvm/extern.scm 127 */
bool_t BgL_test3294z00_1244;
{ /* ./Jvm/extern.scm 127 */
obj_t BgL_arg3304z00_1249;
BgL_arg3304z00_1249 = 
BGl_getzd2objectzd2typez00zztype_cachez00(); 
{ /* ./Jvm/extern.scm 127 */
obj_t BgL_auxz00_2723;
BgL_auxz00_2723 = 
(obj_t)(BgL_classz00_59); 
BgL_test3294z00_1244 = 
(BgL_auxz00_2723==BgL_arg3304z00_1249); } } 
if(BgL_test3294z00_1244)
{ /* ./Jvm/extern.scm 127 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* ./Jvm/extern.scm 130 */
obj_t BgL_modz00_1246;
{ /* ./Jvm/extern.scm 130 */
BgL_globalz00_bglt BgL_arg3300z00_1248;
{ 
obj_t BgL_auxz00_2728;
{ /* ./Jvm/extern.scm 130 */
BgL_objectz00_bglt BgL_auxz00_2729;
BgL_auxz00_2729 = 
(BgL_objectz00_bglt)(BgL_classz00_59); 
BgL_auxz00_2728 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2729); } 
BgL_arg3300z00_1248 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2728))->BgL_holderz00); } 
BgL_modz00_1246 = 
(((BgL_globalz00_bglt)CREF(BgL_arg3300z00_1248))->BgL_modulez00); } 
{ /* ./Jvm/extern.scm 131 */
obj_t BgL_arg3296z00_1247;
{ /* ./Jvm/extern.scm 131 */
BgL_typez00_bglt BgL_obj1003z00_1886;
BgL_obj1003z00_1886 = 
(BgL_typez00_bglt)(BgL_classz00_59); 
BgL_arg3296z00_1247 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1886))->BgL_idz00); } 
return 
BGl_jvmzd2classzd2manglez00zzjvm_externz00(BgL_arg3296z00_1247, BgL_modz00_1246);} } } } 
}



/* _tclass-id-mangling */
obj_t BGl__tclasszd2idzd2manglingz00zzjvm_externz00(obj_t BgL_envz00_2542, obj_t BgL_classz00_2543)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 125 */
return 
BGl_tclasszd2idzd2manglingz00zzjvm_externz00(
(BgL_tclassz00_bglt)(BgL_classz00_2543));} 
}



/* jvm-class-mangle */
BGL_EXPORTED_DEF obj_t BGl_jvmzd2classzd2manglez00zzjvm_externz00(obj_t BgL_idz00_60, obj_t BgL_modz00_61)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 133 */
{ /* ./Jvm/extern.scm 134 */
obj_t BgL_sidz00_1250;
{ /* ./Jvm/extern.scm 134 */
obj_t BgL_arg3318z00_1255;
BgL_arg3318z00_1255 = 
SYMBOL_TO_STRING(BgL_idz00_60); 
BgL_sidz00_1250 = 
string_append(BGl_string4160z00zzjvm_externz00, BgL_arg3318z00_1255); } 
{ /* ./Jvm/extern.scm 135 */
obj_t BgL_arg3308z00_1251;
{ /* ./Jvm/extern.scm 135 */
obj_t BgL_arg3311z00_1252;
BgL_arg3311z00_1252 = 
SYMBOL_TO_STRING(BgL_modz00_61); 
{ /* ./Jvm/extern.scm 135 */
obj_t BgL_list3313z00_1253;
BgL_list3313z00_1253 = 
MAKE_PAIR(BgL_arg3311z00_1252, BNIL); 
BgL_arg3308z00_1251 = 
BGl_manglez00zzjvm_externz00(BgL_sidz00_1250, BgL_list3313z00_1253); } } 
{ /* ./Jvm/extern.scm 135 */
char * BgL_auxz00_2744;
BgL_auxz00_2744 = 
BSTRING_TO_STRING(BgL_arg3308z00_1251); 
return 
string_to_symbol(BgL_auxz00_2744);} } } } 
}



/* _jvm-class-mangle */
obj_t BGl__jvmzd2classzd2manglez00zzjvm_externz00(obj_t BgL_envz00_2544, obj_t BgL_idz00_2545, obj_t BgL_modz00_2546)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 133 */
return 
BGl_jvmzd2classzd2manglez00zzjvm_externz00(BgL_idz00_2545, BgL_modz00_2546);} 
}



/* super-package */
obj_t BGl_superzd2packagezd2zzjvm_externz00(BgL_tclassz00_bglt BgL_superz00_62)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 137 */
{ /* ./Jvm/extern.scm 140 */
bool_t BgL_test3321z00_1256;
{ /* ./Jvm/extern.scm 140 */
obj_t BgL_obj2712z00_1890;
BgL_obj2712z00_1890 = 
(obj_t)(BgL_superz00_62); 
BgL_test3321z00_1256 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2712z00_1890, BGl_tclassz00zzobject_classz00); } 
if(BgL_test3321z00_1256)
{ /* ./Jvm/extern.scm 140 */
{ /* ./Jvm/extern.scm 142 */
bool_t BgL_test3322z00_1258;
{ /* ./Jvm/extern.scm 142 */
bool_t BgL_test3338z00_1265;
{ /* ./Jvm/extern.scm 142 */
obj_t BgL_auxz00_2753;obj_t BgL_auxz00_2751;
{ 
obj_t BgL_auxz00_2754;
{ /* ./Jvm/extern.scm 142 */
BgL_objectz00_bglt BgL_auxz00_2755;
BgL_auxz00_2755 = 
(BgL_objectz00_bglt)(BgL_superz00_62); 
BgL_auxz00_2754 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2755); } 
BgL_auxz00_2753 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2754))->BgL_itszd2superzd2); } 
BgL_auxz00_2751 = 
(obj_t)(BgL_superz00_62); 
BgL_test3338z00_1265 = 
(BgL_auxz00_2751==BgL_auxz00_2753); } 
if(BgL_test3338z00_1265)
{ /* ./Jvm/extern.scm 142 */
BgL_test3322z00_1258 = ((bool_t)1); }  else 
{ /* ./Jvm/extern.scm 142 */
bool_t BgL_test3339z00_1266;
{ /* ./Jvm/extern.scm 142 */
obj_t BgL_arg3341z00_1267;
{ 
obj_t BgL_auxz00_2761;
{ /* ./Jvm/extern.scm 142 */
BgL_objectz00_bglt BgL_auxz00_2762;
BgL_auxz00_2762 = 
(BgL_objectz00_bglt)(BgL_superz00_62); 
BgL_auxz00_2761 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2762); } 
BgL_arg3341z00_1267 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2761))->BgL_itszd2superzd2); } 
BgL_test3339z00_1266 = 
BGl_iszd2azf3z21zz__objectz00(BgL_arg3341z00_1267, BGl_tclassz00zzobject_classz00); } 
if(BgL_test3339z00_1266)
{ /* ./Jvm/extern.scm 142 */
BgL_test3322z00_1258 = ((bool_t)0); }  else 
{ /* ./Jvm/extern.scm 142 */
BgL_test3322z00_1258 = ((bool_t)1); } } } 
if(BgL_test3322z00_1258)
{ /* ./Jvm/extern.scm 142 */
return BGl_string4161z00zzjvm_externz00;}  else 
{ /* ./Jvm/extern.scm 145 */
BgL_globalz00_bglt BgL_holderz00_1259;
{ 
obj_t BgL_auxz00_2769;
{ /* ./Jvm/extern.scm 145 */
BgL_objectz00_bglt BgL_auxz00_2770;
BgL_auxz00_2770 = 
(BgL_objectz00_bglt)(BgL_superz00_62); 
BgL_auxz00_2769 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2770); } 
BgL_holderz00_1259 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_2769))->BgL_holderz00); } 
{ /* ./Jvm/extern.scm 146 */
obj_t BgL_arg3324z00_1260;obj_t BgL_arg3325z00_1261;obj_t BgL_arg3326z00_1262;
BgL_arg3324z00_1260 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_1259))->BgL_modulez00); 
BgL_arg3325z00_1261 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_1259))->BgL_jvmzd2typezd2namez00); 
{ /* ./Jvm/extern.scm 146 */
BgL_typez00_bglt BgL_obj1003z00_1897;
BgL_obj1003z00_1897 = 
(BgL_typez00_bglt)(BgL_superz00_62); 
BgL_arg3326z00_1262 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1897))->BgL_idz00); } 
{ /* ./Jvm/extern.scm 146 */
obj_t BgL_list3328z00_1263;
BgL_list3328z00_1263 = 
MAKE_PAIR(BgL_arg3326z00_1262, BNIL); 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg3324z00_1260, BgL_arg3325z00_1261, BgL_list3328z00_1263); } } 
{ /* ./Jvm/extern.scm 149 */
obj_t BgL_arg3334z00_1264;
BgL_arg3334z00_1264 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_1259))->BgL_modulez00); 
return 
BGl_classzd2packagezd2zzjvm_externz00(BgL_arg3334z00_1264);} } } }  else 
{ /* ./Jvm/extern.scm 150 */
bool_t BgL_test3348z00_1269;
{ /* ./Jvm/extern.scm 150 */
obj_t BgL_obj2808z00_1899;
BgL_obj2808z00_1899 = 
(obj_t)(BgL_superz00_62); 
BgL_test3348z00_1269 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2808z00_1899, BGl_jclassz00zzobject_classz00); } 
if(BgL_test3348z00_1269)
{ /* ./Jvm/extern.scm 150 */
CNST_TABLE_REF(((long)4)); 
{ /* ./Jvm/extern.scm 152 */
obj_t BgL_arg3351z00_1271;
BgL_arg3351z00_1271 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string4162z00zzjvm_externz00, BgL_arg3351z00_1271); } 
{ /* ./Jvm/extern.scm 152 */
obj_t BgL_arg3355z00_1272;
BgL_arg3355z00_1272 = 
BGL_CURRENT_OUTPUT_PORT(); 
WRITE_CHAR(((unsigned char)'\n'), BgL_arg3355z00_1272); } 
return BGl_string4163z00zzjvm_externz00;}  else 
{ /* ./Jvm/extern.scm 150 */
{ /* ./Jvm/extern.scm 155 */
obj_t BgL_objectz00_1903;
BgL_objectz00_1903 = 
(obj_t)(BgL_superz00_62); 
FAILURE(BGl_string4164z00zzjvm_externz00,BGl_string4165z00zzjvm_externz00,BgL_objectz00_1903);} } } } } 
}



/* class-package */
obj_t BGl_classzd2packagezd2zzjvm_externz00(obj_t BgL_namez00_63)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 157 */
{ /* ./Jvm/extern.scm 158 */
obj_t BgL_sz00_1273;
BgL_sz00_1273 = 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_namez00_63); 
{ /* ./Jvm/extern.scm 158 */
obj_t BgL_prefz00_1274;
BgL_prefz00_1274 = 
BGl_prefixz00zz__osz00(BgL_sz00_1273); 
{ /* ./Jvm/extern.scm 159 */

{ /* ./Jvm/extern.scm 160 */
bool_t BgL_test3361z00_1275;
BgL_test3361z00_1275 = 
bigloo_strcmp(BgL_prefz00_1274, BgL_sz00_1273); 
if(BgL_test3361z00_1275)
{ /* ./Jvm/extern.scm 160 */
return BGl_string4158z00zzjvm_externz00;}  else 
{ /* ./Jvm/extern.scm 160 */
return BgL_prefz00_1274;} } } } } } 
}



/* qualified-type-name */
BGL_EXPORTED_DEF obj_t BGl_qualifiedzd2typezd2namez00zzjvm_externz00(obj_t BgL_typez00_64)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 167 */
{ /* ./Jvm/extern.scm 168 */
bool_t BgL_test3365z00_1276;
{ /* ./Jvm/extern.scm 168 */
obj_t BgL_auxz00_2796;
BgL_auxz00_2796 = 
CNST_TABLE_REF(((long)5)); 
BgL_test3365z00_1276 = 
(BgL_typez00_64==BgL_auxz00_2796); } 
if(BgL_test3365z00_1276)
{ /* ./Jvm/extern.scm 168 */
return BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00;}  else 
{ /* ./Jvm/extern.scm 170 */
obj_t BgL_javazd2classzd2_1277;
BgL_javazd2classzd2_1277 = 
BGl_findzd2javazd2classz00zzmodule_javaz00(BgL_typez00_64); 
{ /* ./Jvm/extern.scm 171 */
bool_t BgL_test3366z00_1278;
BgL_test3366z00_1278 = 
STRINGP(BgL_javazd2classzd2_1277); 
if(BgL_test3366z00_1278)
{ /* ./Jvm/extern.scm 171 */
return BgL_javazd2classzd2_1277;}  else 
{ /* ./Jvm/extern.scm 173 */
obj_t BgL_arg3370z00_1280;
BgL_arg3370z00_1280 = 
SYMBOL_TO_STRING(BgL_typez00_64); 
return 
string_append(BGl_string4166z00zzjvm_externz00, BgL_arg3370z00_1280);} } } } } 
}



/* _qualified-type-name */
obj_t BGl__qualifiedzd2typezd2namez00zzjvm_externz00(obj_t BgL_envz00_2547, obj_t BgL_typez00_2548)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 167 */
return 
BGl_qualifiedzd2typezd2namez00zzjvm_externz00(BgL_typez00_2548);} 
}



/* real-field-name */
BGL_EXPORTED_DEF obj_t BGl_realzd2fieldzd2namez00zzjvm_externz00(BgL_globalz00_bglt BgL_globalz00_65)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 179 */
{ /* ./Jvm/extern.scm 184 */
bool_t BgL_test3376z00_1282;
{ /* ./Jvm/extern.scm 184 */
obj_t BgL_auxz00_2808;obj_t BgL_auxz00_2806;
BgL_auxz00_2808 = 
CNST_TABLE_REF(((long)5)); 
BgL_auxz00_2806 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_65))->BgL_modulez00); 
BgL_test3376z00_1282 = 
(BgL_auxz00_2806==BgL_auxz00_2808); } 
if(BgL_test3376z00_1282)
{ /* ./Jvm/extern.scm 184 */
return 
BGl_patchz00zzjvm_externz00(BgL_globalz00_65);}  else 
{ /* ./Jvm/extern.scm 186 */
bool_t BgL_test3378z00_1283;
{ /* ./Jvm/extern.scm 186 */
obj_t BgL_auxz00_2813;
{ /* ./Jvm/extern.scm 186 */
BgL_variablez00_bglt BgL_obj1098z00_1909;
BgL_obj1098z00_1909 = 
(BgL_variablez00_bglt)(BgL_globalz00_65); 
BgL_auxz00_2813 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1098z00_1909))->BgL_namez00); } 
BgL_test3378z00_1283 = 
STRINGP(BgL_auxz00_2813); } 
if(BgL_test3378z00_1283)
{ /* ./Jvm/extern.scm 187 */
BgL_variablez00_bglt BgL_obj1098z00_1911;
BgL_obj1098z00_1911 = 
(BgL_variablez00_bglt)(BgL_globalz00_65); 
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1098z00_1911))->BgL_namez00);}  else 
{ /* ./Jvm/extern.scm 188 */
obj_t BgL_arg3381z00_1284;
{ /* ./Jvm/extern.scm 188 */
obj_t BgL_arg3385z00_1286;
{ /* ./Jvm/extern.scm 188 */
BgL_variablez00_bglt BgL_obj1097z00_1912;
BgL_obj1097z00_1912 = 
(BgL_variablez00_bglt)(BgL_globalz00_65); 
BgL_arg3385z00_1286 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1912))->BgL_idz00); } 
BgL_arg3381z00_1284 = 
SYMBOL_TO_STRING(BgL_arg3385z00_1286); } 
return 
BGl_manglez00zzjvm_externz00(BgL_arg3381z00_1284, BNIL);} } } } 
}



/* _real-field-name */
obj_t BGl__realzd2fieldzd2namez00zzjvm_externz00(obj_t BgL_envz00_2549, obj_t BgL_globalz00_2550)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 179 */
return 
BGl_realzd2fieldzd2namez00zzjvm_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_2550));} 
}



/* real-sfun-name */
BGL_EXPORTED_DEF obj_t BGl_realzd2sfunzd2namez00zzjvm_externz00(BgL_globalz00_bglt BgL_globalz00_66)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 190 */
{ /* ./Jvm/extern.scm 192 */
bool_t BgL_test3398z00_1291;
{ /* ./Jvm/extern.scm 192 */
obj_t BgL_auxz00_2828;obj_t BgL_auxz00_2826;
BgL_auxz00_2828 = 
CNST_TABLE_REF(((long)5)); 
BgL_auxz00_2826 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_66))->BgL_modulez00); 
BgL_test3398z00_1291 = 
(BgL_auxz00_2826==BgL_auxz00_2828); } 
if(BgL_test3398z00_1291)
{ /* ./Jvm/extern.scm 192 */
return 
BGl_patchz00zzjvm_externz00(BgL_globalz00_66);}  else 
{ /* ./Jvm/extern.scm 194 */
bool_t BgL_test3400z00_1292;
{ /* ./Jvm/extern.scm 194 */
obj_t BgL_auxz00_2833;
{ /* ./Jvm/extern.scm 194 */
BgL_variablez00_bglt BgL_obj1098z00_1915;
BgL_obj1098z00_1915 = 
(BgL_variablez00_bglt)(BgL_globalz00_66); 
BgL_auxz00_2833 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1098z00_1915))->BgL_namez00); } 
BgL_test3400z00_1292 = 
STRINGP(BgL_auxz00_2833); } 
if(BgL_test3400z00_1292)
{ /* ./Jvm/extern.scm 195 */
BgL_variablez00_bglt BgL_obj1098z00_1917;
BgL_obj1098z00_1917 = 
(BgL_variablez00_bglt)(BgL_globalz00_66); 
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1098z00_1917))->BgL_namez00);}  else 
{ /* ./Jvm/extern.scm 197 */
obj_t BgL_arg3403z00_1293;
{ /* ./Jvm/extern.scm 197 */
obj_t BgL_arg3407z00_1295;
{ /* ./Jvm/extern.scm 197 */
BgL_variablez00_bglt BgL_obj1097z00_1918;
BgL_obj1097z00_1918 = 
(BgL_variablez00_bglt)(BgL_globalz00_66); 
BgL_arg3407z00_1295 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1918))->BgL_idz00); } 
BgL_arg3403z00_1293 = 
SYMBOL_TO_STRING(BgL_arg3407z00_1295); } 
return 
BGl_manglez00zzjvm_externz00(BgL_arg3403z00_1293, BNIL);} } } } 
}



/* _real-sfun-name */
obj_t BGl__realzd2sfunzd2namez00zzjvm_externz00(obj_t BgL_envz00_2551, obj_t BgL_globalz00_2552)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 190 */
return 
BGl_realzd2sfunzd2namez00zzjvm_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_2552));} 
}



/* real-cfun-name */
BGL_EXPORTED_DEF obj_t BGl_realzd2cfunzd2namez00zzjvm_externz00(BgL_globalz00_bglt BgL_globalz00_67)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 199 */
{ /* ./Jvm/extern.scm 200 */
BgL_variablez00_bglt BgL_obj1098z00_1921;
BgL_obj1098z00_1921 = 
(BgL_variablez00_bglt)(BgL_globalz00_67); 
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1098z00_1921))->BgL_namez00);} } 
}



/* _real-cfun-name */
obj_t BGl__realzd2cfunzd2namez00zzjvm_externz00(obj_t BgL_envz00_2553, obj_t BgL_globalz00_2554)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 199 */
return 
BGl_realzd2cfunzd2namez00zzjvm_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_2554));} 
}



/* patch */
obj_t BGl_patchz00zzjvm_externz00(BgL_globalz00_bglt BgL_globalz00_68)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 204 */
{ /* ./Jvm/extern.scm 207 */
bool_t BgL_testz00_2850;
{ /* ./Jvm/extern.scm 207 */
obj_t BgL_auxz00_2854;obj_t BgL_auxz00_2851;
BgL_auxz00_2854 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Jvm/extern.scm 207 */
BgL_variablez00_bglt BgL_obj1097z00_1922;
BgL_obj1097z00_1922 = 
(BgL_variablez00_bglt)(BgL_globalz00_68); 
BgL_auxz00_2851 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1922))->BgL_idz00); } 
BgL_testz00_2850 = 
(BgL_auxz00_2851==BgL_auxz00_2854); } 
if(BgL_testz00_2850)
{ /* ./Jvm/extern.scm 207 */
return BGl_string4167z00zzjvm_externz00;}  else 
{ /* ./Jvm/extern.scm 208 */
bool_t BgL_testz00_2857;
{ /* ./Jvm/extern.scm 208 */
obj_t BgL_auxz00_2861;obj_t BgL_auxz00_2858;
BgL_auxz00_2861 = 
CNST_TABLE_REF(((long)7)); 
{ /* ./Jvm/extern.scm 208 */
BgL_variablez00_bglt BgL_obj1097z00_1923;
BgL_obj1097z00_1923 = 
(BgL_variablez00_bglt)(BgL_globalz00_68); 
BgL_auxz00_2858 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1923))->BgL_idz00); } 
BgL_testz00_2857 = 
(BgL_auxz00_2858==BgL_auxz00_2861); } 
if(BgL_testz00_2857)
{ /* ./Jvm/extern.scm 208 */
return BGl_string4167z00zzjvm_externz00;}  else 
{ /* ./Jvm/extern.scm 208 */
{ /* ./Jvm/extern.scm 209 */
BgL_variablez00_bglt BgL_obj1098z00_1924;
BgL_obj1098z00_1924 = 
(BgL_variablez00_bglt)(BgL_globalz00_68); 
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1098z00_1924))->BgL_namez00);} } } } } 
}



/* global-to-be-declared */
BGL_EXPORTED_DEF obj_t BGl_globalzd2tozd2bezd2declaredzd2zzjvm_externz00(BgL_globalz00_bglt BgL_globalz00_69)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 211 */
{ /* ./Jvm/extern.scm 213 */
bool_t BgL_test3433z00_1308;
{ /* ./Jvm/extern.scm 213 */
bool_t BgL_test3446z00_1315;
{ /* ./Jvm/extern.scm 213 */
obj_t BgL_auxz00_2868;obj_t BgL_auxz00_2866;
BgL_auxz00_2868 = 
CNST_TABLE_REF(((long)8)); 
BgL_auxz00_2866 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_69))->BgL_importz00); 
BgL_test3446z00_1315 = 
(BgL_auxz00_2866==BgL_auxz00_2868); } 
if(BgL_test3446z00_1315)
{ /* ./Jvm/extern.scm 213 */
BgL_test3433z00_1308 = ((bool_t)0); }  else 
{ /* ./Jvm/extern.scm 214 */
bool_t BgL__ortest_3077z00_1316;
BgL__ortest_3077z00_1316 = 
BGl_requirezd2prototypezf3z21zzcgen_prototypez00(BgL_globalz00_69); 
if(BgL__ortest_3077z00_1316)
{ /* ./Jvm/extern.scm 215 */
BgL_test3433z00_1308 = BgL__ortest_3077z00_1316; }  else 
{ /* ./Jvm/extern.scm 215 */
bool_t BgL__andtest_3078z00_1317;
{ /* ./Jvm/extern.scm 215 */
bool_t BgL__ortest_3079z00_1319;
{ /* ./Jvm/extern.scm 215 */
obj_t BgL_auxz00_2877;obj_t BgL_auxz00_2874;
BgL_auxz00_2877 = 
CNST_TABLE_REF(((long)9)); 
{ /* ./Jvm/extern.scm 215 */
BgL_variablez00_bglt BgL_obj1097z00_1926;
BgL_obj1097z00_1926 = 
(BgL_variablez00_bglt)(BgL_globalz00_69); 
BgL_auxz00_2874 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1926))->BgL_idz00); } 
BgL__ortest_3079z00_1319 = 
(BgL_auxz00_2874==BgL_auxz00_2877); } 
if(BgL__ortest_3079z00_1319)
{ /* ./Jvm/extern.scm 215 */
BgL__andtest_3078z00_1317 = BgL__ortest_3079z00_1319; }  else 
{ /* ./Jvm/extern.scm 216 */
obj_t BgL_auxz00_2884;obj_t BgL_auxz00_2881;
BgL_auxz00_2884 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Jvm/extern.scm 216 */
BgL_variablez00_bglt BgL_obj1097z00_1927;
BgL_obj1097z00_1927 = 
(BgL_variablez00_bglt)(BgL_globalz00_69); 
BgL_auxz00_2881 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1927))->BgL_idz00); } 
BgL__andtest_3078z00_1317 = 
(BgL_auxz00_2881==BgL_auxz00_2884); } } 
if(BgL__andtest_3078z00_1317)
{ /* ./Jvm/extern.scm 217 */
BgL_valuez00_bglt BgL_arg3448z00_1318;
{ /* ./Jvm/extern.scm 217 */
BgL_variablez00_bglt BgL_obj1104z00_1928;
BgL_obj1104z00_1928 = 
(BgL_variablez00_bglt)(BgL_globalz00_69); 
BgL_arg3448z00_1318 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1928))->BgL_valuez00); } 
{ /* ./Jvm/extern.scm 217 */
obj_t BgL_obj1486z00_1929;
BgL_obj1486z00_1929 = 
(obj_t)(BgL_arg3448z00_1318); 
BgL_test3433z00_1308 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1486z00_1929, BGl_cfunz00zzast_varz00); } }  else 
{ /* ./Jvm/extern.scm 215 */
BgL_test3433z00_1308 = ((bool_t)0); } } } } 
if(BgL_test3433z00_1308)
{ /* ./Jvm/extern.scm 213 */
return BTRUE;}  else 
{ /* ./Jvm/extern.scm 213 */
{ /* ./Jvm/extern.scm 220 */
bool_t BgL_test3434z00_1309;
{ /* ./Jvm/extern.scm 220 */
bool_t BgL_test3435z00_1310;
{ /* ./Jvm/extern.scm 220 */
obj_t BgL_arg3443z00_1314;
BgL_arg3443z00_1314 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_69))->BgL_modulez00); 
BgL_test3435z00_1310 = 
(BgL_arg3443z00_1314==BGl_za2moduleza2z00zzmodule_modulez00); } 
if(BgL_test3435z00_1310)
{ /* ./Jvm/extern.scm 220 */
bool_t BgL_testz00_2896;
{ /* ./Jvm/extern.scm 220 */
obj_t BgL_auxz00_2900;obj_t BgL_auxz00_2897;
BgL_auxz00_2900 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Jvm/extern.scm 220 */
BgL_variablez00_bglt BgL_obj1097z00_1931;
BgL_obj1097z00_1931 = 
(BgL_variablez00_bglt)(BgL_globalz00_69); 
BgL_auxz00_2897 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1931))->BgL_idz00); } 
BgL_testz00_2896 = 
(BgL_auxz00_2897==BgL_auxz00_2900); } 
if(BgL_testz00_2896)
{ /* ./Jvm/extern.scm 220 */
BgL_test3434z00_1309 = ((bool_t)0); }  else 
{ /* ./Jvm/extern.scm 220 */
BgL_test3434z00_1309 = ((bool_t)1); } }  else 
{ /* ./Jvm/extern.scm 220 */
BgL_test3434z00_1309 = ((bool_t)0); } } 
if(BgL_test3434z00_1309)
{ /* ./Jvm/extern.scm 220 */
CNST_TABLE_REF(((long)12)); }  else 
{ /* ./Jvm/extern.scm 220 */BFALSE; } } 
return BFALSE;} } } 
}



/* _global-to-be-declared */
obj_t BGl__globalzd2tozd2bezd2declaredzd2zzjvm_externz00(obj_t BgL_envz00_2555, obj_t BgL_globalz00_2556)
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 211 */
return 
BGl_globalzd2tozd2bezd2declaredzd2zzjvm_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_2556));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_externz00()
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 3 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_externz00()
{ AN_OBJECT;
{ /* ./Jvm/extern.scm 3 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)23064), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzmodule_classz00(((long)34127), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzmodule_javaz00(((long)4304), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long)32501), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zztvector_cnstz00(((long)21355), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long)26410), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzread_jvmz00(((long)16338), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzcgen_prototypez00(((long)7601), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)58889), "jvm_extern"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)18045), "jvm_extern");} 
}

