/*===========================================================================*/
/*   (Module/eval.scm)                                                       */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Module/eval.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzmodule_evalz00();
static bool_t BGl_za2onezd2evalzf3za2z21zzmodule_evalz00;
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_scnstz00zzast_varz00;
extern obj_t BGl_svarz00zzast_varz00;
extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
static obj_t BGl_evalzd2finaliza7erz75zzmodule_evalz00();
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
BGL_IMPORT obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_za2evalzd2exportedza2zd2zzmodule_evalz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_makezd2evalzd2compilerz00zzmodule_evalz00();
static obj_t BGl_cnstzd2initzd2zzmodule_evalz00();
static obj_t BGl_zc3anonymousza32976ze3z83zzmodule_evalz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_evalz00();
extern BgL_nodez00_bglt BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt);
extern BgL_globalz00_bglt BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzmodule_evalz00();
static obj_t BGl_zc3anonymousza32723ze3z83zzmodule_evalz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_getzd2evaluatedzd2globalsz00zzmodule_evalz00();
extern BgL_nodez00_bglt BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt, BgL_nodez00_bglt);
extern BgL_nodez00_bglt BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt);
extern obj_t BGl_getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00();
extern obj_t BGl_ccompz00zzmodule_modulez00;
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00 = BUNSPEC;
extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00 = BUNSPEC;
BGL_IMPORT obj_t create_struct(obj_t, int);
static obj_t BGl_setzd2evalzd2typesz12z12zzmodule_evalz00(obj_t);
static obj_t BGl_evalzd2parserzd2zzmodule_evalz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza32908ze3z83zzmodule_evalz00(obj_t);
static obj_t BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00(obj_t, obj_t, obj_t);
static obj_t BGl__makezd2evalzd2compilerz00zzmodule_evalz00(obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
BGL_EXPORTED_DEF obj_t BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzmodule_evalz00 = BUNSPEC;
static obj_t BGl_evalzd2producerzd2zzmodule_evalz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_evalz00();
static obj_t BGl__evalzd2producerzd2zzmodule_evalz00(obj_t, obj_t);
static obj_t BGl__evalzd2finaliza7erz75zzmodule_evalz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_za2allzd2evalzf3za2z21zzmodule_evalz00 = BUNSPEC;
static obj_t __cnst[ 15 ] ;


DEFINE_STRING( BGl_string3574z00zzmodule_evalz00, BgL_bgl_string3574za700za7za7module_evalza7003602z00, "(export) (static export) (import static export) (#unspecified) write begin void unit import @ export export-module export-exports export-all eval ", 146 );
DEFINE_STRING( BGl_string3573z00zzmodule_evalz00, BgL_bgl_string3573za700za7za7module_evalza7003603z00, "Unbound eval variable", 21 );
DEFINE_STRING( BGl_string3572z00zzmodule_evalz00, BgL_bgl_string3572za700za7za7module_evalza7003604z00, "This variable cannot be known by eval", 37 );
DEFINE_STRING( BGl_string3571z00zzmodule_evalz00, BgL_bgl_string3571za700za7za7module_evalza7003605z00, "eval-init", 9 );
DEFINE_STRING( BGl_string3570z00zzmodule_evalz00, BgL_bgl_string3570za700za7za7module_evalza7003606z00, "Non bigloo prototyped value can't be evaluated", 46 );
DEFINE_STRING( BGl_string3569z00zzmodule_evalz00, BgL_bgl_string3569za700za7za7module_evalza7003607z00, "eval", 4 );
DEFINE_STRING( BGl_string3567z00zzmodule_evalz00, BgL_bgl_string3567za700za7za7module_evalza7003608z00, "Illegal `eval clause'", 21 );
DEFINE_STRING( BGl_string3566z00zzmodule_evalz00, BgL_bgl_string3566za700za7za7module_evalza7003609z00, "Illegal `eval' clause", 21 );
DEFINE_STRING( BGl_string3565z00zzmodule_evalz00, BgL_bgl_string3565za700za7za7module_evalza7003610z00, "Parse error", 11 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2evalzd2compilerzd2envzd2zzmodule_evalz00, BgL_bgl__makeza7d2evalza7d2compilerza700za7za7module_evalza7003611z00, BGl__makezd2evalzd2compilerz00zzmodule_evalz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_evalzd2producerzd2envz00zzmodule_evalz00, BgL_bgl__evalza7d2producerza7d2za7za7module_evalza7003612za7, BGl__evalzd2producerzd2zzmodule_evalz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_evalzd2finaliza7erzd2envza7zzmodule_evalz00, BgL_bgl__evalza7d2finaliza7a7erza775za7za7module_evalza7003613z00, BGl__evalzd2finaliza7erz75zzmodule_evalz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc3564z00zzmodule_evalz00, BgL_bgl_za7c3anonymousza7a32723za7e3za783za7za7module_evalza7003614za7, BGl_zc3anonymousza32723ze3z83zzmodule_evalz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3568z00zzmodule_evalz00, BgL_bgl_za7c3anonymousza7a32908za7e3za783za7za7module_evalza7003615za7, BGl_zc3anonymousza32908ze3z83zzmodule_evalz00, 0L, 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long BgL_checksumz00_2200, char * BgL_fromz00_2201)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_evalz00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_evalz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_evalz00(); 
BGl_cnstzd2initzd2zzmodule_evalz00(); 
BGl_importedzd2moduleszd2initz00zzmodule_evalz00(); 
BGl_toplevelzd2initzd2zzmodule_evalz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_evalz00()
{ AN_OBJECT;
{ /* ./Module/eval.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "module_eval"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "module_eval"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_eval"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "module_eval"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_evalz00()
{ AN_OBJECT;
{ /* ./Module/eval.scm 15 */
{ /* ./Module/eval.scm 15 */
obj_t BgL_cportz00_2193;
BgL_cportz00_2193 = 
open_input_string(BGl_string3574z00zzmodule_evalz00); 
{ 
long BgL_iz00_2194;
BgL_iz00_2194 = ((long)14); 
BgL_loopz00_2195:
{ /* ./Module/eval.scm 15 */
bool_t BgL_test3576z00_2196;
BgL_test3576z00_2196 = 
(BgL_iz00_2194==((long)-1)); 
if(BgL_test3576z00_2196)
{ /* ./Module/eval.scm 15 */
return BUNSPEC;}  else 
{ /* ./Module/eval.scm 15 */
{ /* ./Module/eval.scm 15 */
obj_t BgL_arg3578z00_2197;
{ /* ./Module/eval.scm 15 */
obj_t BgL_list3581z00_2198;
BgL_list3581z00_2198 = 
MAKE_PAIR(BgL_cportz00_2193, BNIL); 
BgL_arg3578z00_2197 = 
BGl_readz00zz__readerz00(BgL_list3581z00_2198); } 
{ /* ./Module/eval.scm 15 */
int BgL_auxz00_2218;
BgL_auxz00_2218 = 
(int)(BgL_iz00_2194); 
CNST_TABLE_SET(BgL_auxz00_2218, BgL_arg3578z00_2197); } } 
{ /* ./Module/eval.scm 15 */
int BgL_auxz00_2199;
{ /* ./Module/eval.scm 15 */
long BgL_auxz00_2221;
BgL_auxz00_2221 = 
(BgL_iz00_2194-((long)1)); 
BgL_auxz00_2199 = 
(int)(BgL_auxz00_2221); } 
{ 
long BgL_iz00_2224;
BgL_iz00_2224 = 
(long)(BgL_auxz00_2199); 
BgL_iz00_2194 = BgL_iz00_2224; 
goto BgL_loopz00_2195;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzmodule_evalz00()
{ AN_OBJECT;
{ /* ./Module/eval.scm 15 */
BGl_za2evalzd2exportedza2zd2zzmodule_evalz00 = BNIL; 
BGl_za2allzd2evalzf3za2z21zzmodule_evalz00 = BFALSE; 
BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00 = BFALSE; 
BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00 = BFALSE; 
BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00 = BFALSE; 
return ( 
BGl_za2onezd2evalzf3za2z21zzmodule_evalz00 = ((bool_t)0), BUNSPEC) ;} 
}



/* make-eval-compiler */
BGL_EXPORTED_DEF obj_t BGl_makezd2evalzd2compilerz00zzmodule_evalz00()
{ AN_OBJECT;
{ /* ./Module/eval.scm 37 */
{ /* ./Module/eval.scm 38 */
obj_t BgL_arg2718z00_931;obj_t BgL_arg2719z00_932;obj_t BgL_arg2721z00_934;
BgL_arg2718z00_931 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg2719z00_932 = BGl_evalzd2producerzd2envz00zzmodule_evalz00; 
BgL_arg2721z00_934 = BGl_evalzd2finaliza7erzd2envza7zzmodule_evalz00; 
{ /* ./Module/eval.scm 38 */
BgL_ccompz00_bglt BgL_res3474z00_1547;
{ /* ./Module/eval.scm 38 */
BgL_ccompz00_bglt BgL_new2673z00_1531;
{ /* ./Module/eval.scm 38 */
BgL_ccompz00_bglt BgL_res3472z00_1537;
{ /* ./Module/eval.scm 38 */
BgL_ccompz00_bglt BgL_new2675z00_1532;
BgL_new2675z00_1532 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* ./Module/eval.scm 38 */
long BgL_arg3057z00_1533;
BgL_arg3057z00_1533 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* ./Module/eval.scm 38 */
BgL_objectz00_bglt BgL_objz00_1534;
BgL_objz00_1534 = 
(BgL_objectz00_bglt)(BgL_new2675z00_1532); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1534, BgL_arg3057z00_1533); } } 
{ /* ./Module/eval.scm 38 */
BgL_objectz00_bglt BgL_auxz00_2231;
BgL_auxz00_2231 = 
(BgL_objectz00_bglt)(BgL_new2675z00_1532); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2231, BFALSE); } 
{ /* ./Module/eval.scm 38 */
obj_t BgL_objz00_1536;
BgL_objz00_1536 = 
(obj_t)(BgL_new2675z00_1532); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1536); BUNSPEC; } 
BgL_res3472z00_1537 = BgL_new2675z00_1532; } 
BgL_new2673z00_1531 = BgL_res3472z00_1537; } 
{ /* ./Module/eval.scm 38 */
BgL_ccompz00_bglt BgL_res3473z00_1546;
((((BgL_ccompz00_bglt)CREF(BgL_new2673z00_1531))->BgL_idz00) = ((obj_t)BgL_arg2718z00_931), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new2673z00_1531))->BgL_producerz00) = ((obj_t)BgL_arg2719z00_932), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new2673z00_1531))->BgL_consumerz00) = ((obj_t)BGl_proc3564z00zzmodule_evalz00), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new2673z00_1531))->BgL_finaliza7erza7) = ((obj_t)BgL_arg2721z00_934), BUNSPEC); 
BgL_res3473z00_1546 = BgL_new2673z00_1531; BgL_res3473z00_1546; } 
BgL_res3474z00_1547 = BgL_new2673z00_1531; } 
return 
(obj_t)(BgL_res3474z00_1547);} } } 
}



/* _make-eval-compiler */
obj_t BGl__makezd2evalzd2compilerz00zzmodule_evalz00(obj_t BgL_envz00_2177)
{ AN_OBJECT;
{ /* ./Module/eval.scm 37 */
return 
BGl_makezd2evalzd2compilerz00zzmodule_evalz00();} 
}



/* <anonymous:2723> */
obj_t BGl_zc3anonymousza32723ze3z83zzmodule_evalz00(obj_t BgL_envz00_2178, obj_t BgL_mz00_2179, obj_t BgL_cz00_2180)
{ AN_OBJECT;
{ /* ./Module/module.scm 48 */
{ 
obj_t BgL_mz00_935;obj_t BgL_cz00_936;
BgL_mz00_935 = BgL_mz00_2179; 
BgL_cz00_936 = BgL_cz00_2180; 
return BNIL;} } 
}



/* eval-producer */
obj_t BGl_evalzd2producerzd2zzmodule_evalz00(obj_t BgL_clausez00_19)
{ AN_OBJECT;
{ /* ./Module/eval.scm 45 */
{ 
obj_t BgL_protosz00_939;
{ /* ./Module/eval.scm 46 */
bool_t BgL_test2724z00_943;
BgL_test2724z00_943 = 
PAIRP(BgL_clausez00_19); 
if(BgL_test2724z00_943)
{ /* ./Module/eval.scm 46 */
obj_t BgL_arg2726z00_944;
BgL_arg2726z00_944 = 
CDR(BgL_clausez00_19); 
BgL_protosz00_939 = BgL_arg2726z00_944; 
{ 
obj_t BgL_l2678z00_945;
BgL_l2678z00_945 = BgL_protosz00_939; 
BgL_forzd2each2679zd2_946:
{ /* ./Module/eval.scm 48 */
bool_t BgL_test2732z00_947;
BgL_test2732z00_947 = 
PAIRP(BgL_l2678z00_945); 
if(BgL_test2732z00_947)
{ /* ./Module/eval.scm 48 */
{ /* ./Module/eval.scm 48 */
obj_t BgL_protoz00_948;
BgL_protoz00_948 = 
CAR(BgL_l2678z00_945); 
BGl_evalzd2parserzd2zzmodule_evalz00(BgL_protoz00_948, BgL_clausez00_19); } 
{ /* ./Module/eval.scm 48 */
obj_t BgL_arg2736z00_949;
BgL_arg2736z00_949 = 
CDR(BgL_l2678z00_945); 
{ 
obj_t BgL_l2678z00_2250;
BgL_l2678z00_2250 = BgL_arg2736z00_949; 
BgL_l2678z00_945 = BgL_l2678z00_2250; 
goto BgL_forzd2each2679zd2_946;} } }  else 
{ /* ./Module/eval.scm 48 */((bool_t)1); } } } 
return BNIL;}  else 
{ /* ./Module/eval.scm 46 */
{ /* ./Module/eval.scm 51 */
obj_t BgL_list2741z00_950;
BgL_list2741z00_950 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string3565z00zzmodule_evalz00, BGl_string3566z00zzmodule_evalz00, BgL_clausez00_19, BgL_list2741z00_950);} } } } } 
}



/* _eval-producer */
obj_t BGl__evalzd2producerzd2zzmodule_evalz00(obj_t BgL_envz00_2181, obj_t BgL_clausez00_2182)
{ AN_OBJECT;
{ /* ./Module/eval.scm 45 */
return 
BGl_evalzd2producerzd2zzmodule_evalz00(BgL_clausez00_2182);} 
}



/* eval-parser */
obj_t BGl_evalzd2parserzd2zzmodule_evalz00(obj_t BgL_protoz00_20, obj_t BgL_clausez00_21)
{ AN_OBJECT;
{ /* ./Module/eval.scm 59 */
{ 

{ /* ./Module/eval.scm 60 */
bool_t BgL_test2743z00_963;
BgL_test2743z00_963 = 
PAIRP(BgL_protoz00_20); 
if(BgL_test2743z00_963)
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2744z00_964;
{ /* ./Module/eval.scm 60 */
obj_t BgL_auxz00_2258;obj_t BgL_auxz00_2256;
BgL_auxz00_2258 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_2256 = 
CAR(BgL_protoz00_20); 
BgL_test2744z00_964 = 
(BgL_auxz00_2256==BgL_auxz00_2258); } 
if(BgL_test2744z00_964)
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2745z00_965;
{ /* ./Module/eval.scm 60 */
obj_t BgL_auxz00_2262;
BgL_auxz00_2262 = 
CDR(BgL_protoz00_20); 
BgL_test2745z00_965 = 
NULLP(BgL_auxz00_2262); } 
if(BgL_test2745z00_965)
{ /* ./Module/eval.scm 60 */
return ( 
BGl_za2allzd2evalzf3za2z21zzmodule_evalz00 = BTRUE, BUNSPEC) ;}  else 
{ /* ./Module/eval.scm 60 */
BgL_tagzd2115zd2_961:
{ /* ./Module/eval.scm 76 */
obj_t BgL_list2875z00_1015;
BgL_list2875z00_1015 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string3565z00zzmodule_evalz00, BGl_string3567z00zzmodule_evalz00, BgL_clausez00_21, BgL_list2875z00_1015);} } }  else 
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2752z00_967;
{ /* ./Module/eval.scm 60 */
obj_t BgL_auxz00_2270;obj_t BgL_auxz00_2268;
BgL_auxz00_2270 = 
CNST_TABLE_REF(((long)2)); 
BgL_auxz00_2268 = 
CAR(BgL_protoz00_20); 
BgL_test2752z00_967 = 
(BgL_auxz00_2268==BgL_auxz00_2270); } 
if(BgL_test2752z00_967)
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2753z00_968;
{ /* ./Module/eval.scm 60 */
obj_t BgL_auxz00_2274;
BgL_auxz00_2274 = 
CDR(BgL_protoz00_20); 
BgL_test2753z00_968 = 
NULLP(BgL_auxz00_2274); } 
if(BgL_test2753z00_968)
{ /* ./Module/eval.scm 60 */
return ( 
BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00 = BTRUE, BUNSPEC) ;}  else 
{ /* ./Module/eval.scm 60 */
goto BgL_tagzd2115zd2_961;} }  else 
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2760z00_970;
{ /* ./Module/eval.scm 60 */
obj_t BgL_auxz00_2280;obj_t BgL_auxz00_2278;
BgL_auxz00_2280 = 
CNST_TABLE_REF(((long)3)); 
BgL_auxz00_2278 = 
CAR(BgL_protoz00_20); 
BgL_test2760z00_970 = 
(BgL_auxz00_2278==BgL_auxz00_2280); } 
if(BgL_test2760z00_970)
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2761z00_971;
{ /* ./Module/eval.scm 60 */
obj_t BgL_auxz00_2284;
BgL_auxz00_2284 = 
CDR(BgL_protoz00_20); 
BgL_test2761z00_971 = 
NULLP(BgL_auxz00_2284); } 
if(BgL_test2761z00_971)
{ /* ./Module/eval.scm 60 */
return ( 
BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00 = BTRUE, BUNSPEC) ;}  else 
{ /* ./Module/eval.scm 60 */
goto BgL_tagzd2115zd2_961;} }  else 
{ /* ./Module/eval.scm 60 */
obj_t BgL_cdrzd2166zd2_973;
BgL_cdrzd2166zd2_973 = 
CDR(BgL_protoz00_20); 
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2768z00_974;
{ /* ./Module/eval.scm 60 */
obj_t BgL_auxz00_2291;obj_t BgL_auxz00_2289;
BgL_auxz00_2291 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_2289 = 
CAR(BgL_protoz00_20); 
BgL_test2768z00_974 = 
(BgL_auxz00_2289==BgL_auxz00_2291); } 
if(BgL_test2768z00_974)
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2769z00_975;
BgL_test2769z00_975 = 
PAIRP(BgL_cdrzd2166zd2_973); 
if(BgL_test2769z00_975)
{ /* ./Module/eval.scm 60 */
obj_t BgL_carzd2168zd2_976;
BgL_carzd2168zd2_976 = 
CAR(BgL_cdrzd2166zd2_973); 
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2770z00_977;
BgL_test2770z00_977 = 
SYMBOLP(BgL_carzd2168zd2_976); 
if(BgL_test2770z00_977)
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2771z00_978;
{ /* ./Module/eval.scm 60 */
obj_t BgL_auxz00_2300;
BgL_auxz00_2300 = 
CDR(BgL_cdrzd2166zd2_973); 
BgL_test2771z00_978 = 
NULLP(BgL_auxz00_2300); } 
if(BgL_test2771z00_978)
{ /* ./Module/eval.scm 60 */
BGl_za2onezd2evalzf3za2z21zzmodule_evalz00 = ((bool_t)1); 
return 
BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00(BgL_carzd2168zd2_976, BGl_za2moduleza2z00zzmodule_modulez00, BgL_protoz00_20);}  else 
{ /* ./Module/eval.scm 60 */
goto BgL_tagzd2115zd2_961;} }  else 
{ /* ./Module/eval.scm 60 */
obj_t BgL_carzd2187zd2_981;
BgL_carzd2187zd2_981 = 
CAR(BgL_cdrzd2166zd2_973); 
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2778z00_982;
BgL_test2778z00_982 = 
PAIRP(BgL_carzd2187zd2_981); 
if(BgL_test2778z00_982)
{ /* ./Module/eval.scm 60 */
obj_t BgL_cdrzd2192zd2_983;
BgL_cdrzd2192zd2_983 = 
CDR(BgL_carzd2187zd2_981); 
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2779z00_984;
{ /* ./Module/eval.scm 60 */
obj_t BgL_auxz00_2311;obj_t BgL_auxz00_2309;
BgL_auxz00_2311 = 
CNST_TABLE_REF(((long)5)); 
BgL_auxz00_2309 = 
CAR(BgL_carzd2187zd2_981); 
BgL_test2779z00_984 = 
(BgL_auxz00_2309==BgL_auxz00_2311); } 
if(BgL_test2779z00_984)
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2780z00_985;
BgL_test2780z00_985 = 
PAIRP(BgL_cdrzd2192zd2_983); 
if(BgL_test2780z00_985)
{ /* ./Module/eval.scm 60 */
obj_t BgL_carzd2195zd2_986;obj_t BgL_cdrzd2196zd2_987;
BgL_carzd2195zd2_986 = 
CAR(BgL_cdrzd2192zd2_983); 
BgL_cdrzd2196zd2_987 = 
CDR(BgL_cdrzd2192zd2_983); 
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2781z00_988;
BgL_test2781z00_988 = 
SYMBOLP(BgL_carzd2195zd2_986); 
if(BgL_test2781z00_988)
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2782z00_989;
BgL_test2782z00_989 = 
PAIRP(BgL_cdrzd2196zd2_987); 
if(BgL_test2782z00_989)
{ /* ./Module/eval.scm 60 */
obj_t BgL_carzd2201zd2_990;
BgL_carzd2201zd2_990 = 
CAR(BgL_cdrzd2196zd2_987); 
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2783z00_991;
BgL_test2783z00_991 = 
SYMBOLP(BgL_carzd2201zd2_990); 
if(BgL_test2783z00_991)
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2784z00_992;
{ /* ./Module/eval.scm 60 */
obj_t BgL_auxz00_2326;
BgL_auxz00_2326 = 
CDR(BgL_cdrzd2196zd2_987); 
BgL_test2784z00_992 = 
NULLP(BgL_auxz00_2326); } 
if(BgL_test2784z00_992)
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2785z00_993;
{ /* ./Module/eval.scm 60 */
obj_t BgL_auxz00_2330;
BgL_auxz00_2330 = 
CDR(BgL_cdrzd2166zd2_973); 
BgL_test2785z00_993 = 
NULLP(BgL_auxz00_2330); } 
if(BgL_test2785z00_993)
{ /* ./Module/eval.scm 60 */
BGl_za2onezd2evalzf3za2z21zzmodule_evalz00 = ((bool_t)1); 
return 
BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00(BgL_carzd2195zd2_986, BgL_carzd2201zd2_990, BgL_protoz00_20);}  else 
{ /* ./Module/eval.scm 60 */
goto BgL_tagzd2115zd2_961;} }  else 
{ /* ./Module/eval.scm 60 */
goto BgL_tagzd2115zd2_961;} }  else 
{ /* ./Module/eval.scm 60 */
goto BgL_tagzd2115zd2_961;} } }  else 
{ /* ./Module/eval.scm 60 */
goto BgL_tagzd2115zd2_961;} }  else 
{ /* ./Module/eval.scm 60 */
goto BgL_tagzd2115zd2_961;} } }  else 
{ /* ./Module/eval.scm 60 */
goto BgL_tagzd2115zd2_961;} }  else 
{ /* ./Module/eval.scm 60 */
goto BgL_tagzd2115zd2_961;} } }  else 
{ /* ./Module/eval.scm 60 */
goto BgL_tagzd2115zd2_961;} } } } }  else 
{ /* ./Module/eval.scm 60 */
goto BgL_tagzd2115zd2_961;} }  else 
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2823z00_999;
{ /* ./Module/eval.scm 60 */
obj_t BgL_auxz00_2337;obj_t BgL_auxz00_2335;
BgL_auxz00_2337 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_2335 = 
CAR(BgL_protoz00_20); 
BgL_test2823z00_999 = 
(BgL_auxz00_2335==BgL_auxz00_2337); } 
if(BgL_test2823z00_999)
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2824z00_1000;
BgL_test2824z00_1000 = 
PAIRP(BgL_cdrzd2166zd2_973); 
if(BgL_test2824z00_1000)
{ /* ./Module/eval.scm 60 */
obj_t BgL_carzd2237zd2_1001;
BgL_carzd2237zd2_1001 = 
CAR(BgL_cdrzd2166zd2_973); 
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2825z00_1002;
BgL_test2825z00_1002 = 
SYMBOLP(BgL_carzd2237zd2_1001); 
if(BgL_test2825z00_1002)
{ /* ./Module/eval.scm 60 */
bool_t BgL_test2826z00_1003;
{ /* ./Module/eval.scm 60 */
obj_t BgL_auxz00_2346;
BgL_auxz00_2346 = 
CDR(BgL_cdrzd2166zd2_973); 
BgL_test2826z00_1003 = 
NULLP(BgL_auxz00_2346); } 
if(BgL_test2826z00_1003)
{ /* ./Module/eval.scm 60 */
BgL_globalz00_bglt BgL_auxz00_2350;
BgL_auxz00_2350 = 
BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(BgL_carzd2237zd2_1001, 
CNST_TABLE_REF(((long)0)), 
CNST_TABLE_REF(((long)0)), BgL_clausez00_21, BFALSE); 
return 
(obj_t)(BgL_auxz00_2350);}  else 
{ /* ./Module/eval.scm 60 */
goto BgL_tagzd2115zd2_961;} }  else 
{ /* ./Module/eval.scm 60 */
goto BgL_tagzd2115zd2_961;} } }  else 
{ /* ./Module/eval.scm 60 */
goto BgL_tagzd2115zd2_961;} }  else 
{ /* ./Module/eval.scm 60 */
goto BgL_tagzd2115zd2_961;} } } } } } }  else 
{ /* ./Module/eval.scm 60 */
goto BgL_tagzd2115zd2_961;} } } } 
}



/* remember-eval-exported! */
obj_t BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00(obj_t BgL_varz00_22, obj_t BgL_modulez00_23, obj_t BgL_locz00_24)
{ AN_OBJECT;
{ /* ./Module/eval.scm 86 */
{ /* ./Module/eval.scm 87 */
obj_t BgL_arg2878z00_1016;
{ /* ./Module/eval.scm 87 */
obj_t BgL_list2881z00_1017;
{ /* ./Module/eval.scm 87 */
obj_t BgL_arg2883z00_1018;
{ /* ./Module/eval.scm 87 */
obj_t BgL_arg2886z00_1019;
BgL_arg2886z00_1019 = 
MAKE_PAIR(BgL_locz00_24, BNIL); 
BgL_arg2883z00_1018 = 
MAKE_PAIR(BgL_modulez00_23, BgL_arg2886z00_1019); } 
BgL_list2881z00_1017 = 
MAKE_PAIR(BgL_varz00_22, BgL_arg2883z00_1018); } 
BgL_arg2878z00_1016 = BgL_list2881z00_1017; } 
return ( 
BGl_za2evalzd2exportedza2zd2zzmodule_evalz00 = 
MAKE_PAIR(BgL_arg2878z00_1016, BGl_za2evalzd2exportedza2zd2zzmodule_evalz00), BUNSPEC) ;} } 
}



/* eval-finalizer */
obj_t BGl_evalzd2finaliza7erz75zzmodule_evalz00()
{ AN_OBJECT;
{ /* ./Module/eval.scm 105 */
{ /* ./Module/eval.scm 106 */
bool_t BgL_test2889z00_1020;
if(BGl_za2onezd2evalzf3za2z21zzmodule_evalz00)
{ /* ./Module/eval.scm 106 */
BgL_test2889z00_1020 = ((bool_t)1); }  else 
{ /* ./Module/eval.scm 106 */
if(
CBOOL(BGl_za2allzd2evalzf3za2z21zzmodule_evalz00))
{ /* ./Module/eval.scm 106 */
BgL_test2889z00_1020 = ((bool_t)1); }  else 
{ /* ./Module/eval.scm 106 */
if(
CBOOL(BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00))
{ /* ./Module/eval.scm 106 */
BgL_test2889z00_1020 = ((bool_t)1); }  else 
{ /* ./Module/eval.scm 106 */
BgL_test2889z00_1020 = 
CBOOL(BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00); } } } 
if(BgL_test2889z00_1020)
{ /* ./Module/eval.scm 109 */
obj_t BgL_arg2891z00_1021;
{ /* ./Module/eval.scm 109 */
obj_t BgL_arg2896z00_1023;long BgL_arg2897z00_1024;obj_t BgL_arg2898z00_1025;
BgL_arg2896z00_1023 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./Module/eval.scm 110 */
obj_t BgL_arg2901z00_1026;
BgL_arg2901z00_1026 = 
BGl_getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00(); 
{ /* ./Module/eval.scm 110 */
long BgL_auxz00_2368;
BgL_auxz00_2368 = 
(long)CINT(BgL_arg2901z00_1026); 
BgL_arg2897z00_1024 = 
(BgL_auxz00_2368-((long)2)); } } 
BgL_arg2898z00_1025 = 
BGl_makezd2promisezd2zz__r4_control_features_6_9z00(BGl_proc3568z00zzmodule_evalz00); 
{ /* ./Module/eval.scm 108 */
obj_t BgL_newz00_1614;
{ /* ./Module/eval.scm 108 */
int BgL_auxz00_2374;obj_t BgL_auxz00_2372;
BgL_auxz00_2374 = 
(int)(((long)4)); 
BgL_auxz00_2372 = 
CNST_TABLE_REF(((long)7)); 
BgL_newz00_1614 = 
create_struct(BgL_auxz00_2372, BgL_auxz00_2374); } 
{ /* ./Module/eval.scm 108 */
int BgL_kz00_1618;
BgL_kz00_1618 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_1614, BgL_kz00_1618, BFALSE); } 
{ /* ./Module/eval.scm 108 */
int BgL_kz00_1623;
BgL_kz00_1623 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_1614, BgL_kz00_1623, BgL_arg2898z00_1025); } 
{ /* ./Module/eval.scm 108 */
int BgL_kz00_1628;obj_t BgL_oz00_1629;
BgL_kz00_1628 = 
(int)(((long)1)); 
BgL_oz00_1629 = 
BINT(BgL_arg2897z00_1024); 
STRUCT_SET(BgL_newz00_1614, BgL_kz00_1628, BgL_oz00_1629); } 
{ /* ./Module/eval.scm 108 */
int BgL_kz00_1633;
BgL_kz00_1633 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1614, BgL_kz00_1633, BgL_arg2896z00_1023); } 
BgL_arg2891z00_1021 = BgL_newz00_1614; } } 
{ /* ./Module/eval.scm 107 */
obj_t BgL_list2893z00_1022;
BgL_list2893z00_1022 = 
MAKE_PAIR(BgL_arg2891z00_1021, BNIL); 
return BgL_list2893z00_1022;} }  else 
{ /* ./Module/eval.scm 106 */
return 
CNST_TABLE_REF(((long)8));} } } 
}



/* _eval-finalizer */
obj_t BGl__evalzd2finaliza7erz75zzmodule_evalz00(obj_t BgL_envz00_2183)
{ AN_OBJECT;
{ /* ./Module/eval.scm 105 */
return 
BGl_evalzd2finaliza7erz75zzmodule_evalz00();} 
}



/* <anonymous:2908> */
obj_t BGl_zc3anonymousza32908ze3z83zzmodule_evalz00(obj_t BgL_envz00_2185)
{ AN_OBJECT;
{ /* ./Module/eval.scm 111 */
{ 

{ 
obj_t BgL_globalsz00_1030;obj_t BgL_initza2za2_1031;
{ /* ./Module/eval.scm 112 */
obj_t BgL_arg2910z00_1033;obj_t BgL_arg2911z00_1034;
BgL_arg2910z00_1033 = 
BGl_getzd2evaluatedzd2globalsz00zzmodule_evalz00(); 
BgL_arg2911z00_1034 = 
CNST_TABLE_REF(((long)11)); 
BgL_globalsz00_1030 = BgL_arg2910z00_1033; 
BgL_initza2za2_1031 = BgL_arg2911z00_1034; 
BgL_loopz00_1032:
{ /* ./Module/eval.scm 114 */
bool_t BgL_test2914z00_1035;
BgL_test2914z00_1035 = 
NULLP(BgL_globalsz00_1030); 
if(BgL_test2914z00_1035)
{ /* ./Module/eval.scm 115 */
obj_t BgL_arg2917z00_1036;obj_t BgL_arg2918z00_1037;
BgL_arg2917z00_1036 = 
CNST_TABLE_REF(((long)9)); 
{ /* ./Module/eval.scm 115 */
obj_t BgL_arg2921z00_1038;
BgL_arg2921z00_1038 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_initza2za2_1031); 
BgL_arg2918z00_1037 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2921z00_1038, BNIL); } 
return 
MAKE_PAIR(BgL_arg2917z00_1036, BgL_arg2918z00_1037);}  else 
{ /* ./Module/eval.scm 116 */
obj_t BgL_gz00_1040;
BgL_gz00_1040 = 
CAR(BgL_globalsz00_1030); 
BGl_setzd2evalzd2typesz12z12zzmodule_evalz00(BgL_gz00_1040); 
{ /* ./Module/eval.scm 118 */
obj_t BgL_arg2927z00_1041;obj_t BgL_arg2928z00_1042;
BgL_arg2927z00_1041 = 
CDR(BgL_globalsz00_1030); 
{ /* ./Module/eval.scm 120 */
BgL_nodez00_bglt BgL_arg2932z00_1043;
{ /* ./Module/eval.scm 120 */
bool_t BgL_test2934z00_1044;
{ /* ./Module/eval.scm 120 */
BgL_valuez00_bglt BgL_arg2952z00_1049;
{ /* ./Module/eval.scm 120 */
BgL_variablez00_bglt BgL_obj1104z00_1604;
BgL_obj1104z00_1604 = 
(BgL_variablez00_bglt)(BgL_gz00_1040); 
BgL_arg2952z00_1049 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1604))->BgL_valuez00); } 
{ /* ./Module/eval.scm 120 */
obj_t BgL_obj1498z00_1605;
BgL_obj1498z00_1605 = 
(obj_t)(BgL_arg2952z00_1049); 
BgL_test2934z00_1044 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1498z00_1605, BGl_svarz00zzast_varz00); } } 
if(BgL_test2934z00_1044)
{ /* ./Module/eval.scm 120 */
{ /* ./Module/eval.scm 121 */
BgL_variablez00_bglt BgL_obj1109z00_1606;obj_t BgL_val1108z00_1607;
BgL_obj1109z00_1606 = 
(BgL_variablez00_bglt)(BgL_gz00_1040); 
BgL_val1108z00_1607 = 
CNST_TABLE_REF(((long)10)); 
((((BgL_variablez00_bglt)CREF(BgL_obj1109z00_1606))->BgL_accessz00) = ((obj_t)BgL_val1108z00_1607), BUNSPEC); } 
{ /* ./Module/eval.scm 123 */
BgL_nodez00_bglt BgL_arg2937z00_1045;
BgL_arg2937z00_1045 = 
BGl_locationzd2ze3nodez31zzast_sexpz00(
(BgL_globalz00_bglt)(BgL_gz00_1040)); 
BgL_arg2932z00_1043 = 
BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(
(BgL_globalz00_bglt)(BgL_gz00_1040), BgL_arg2937z00_1045); } }  else 
{ /* ./Module/eval.scm 124 */
bool_t BgL_test2940z00_1046;
{ /* ./Module/eval.scm 124 */
BgL_valuez00_bglt BgL_arg2948z00_1048;
{ /* ./Module/eval.scm 124 */
BgL_variablez00_bglt BgL_obj1104z00_1608;
BgL_obj1104z00_1608 = 
(BgL_variablez00_bglt)(BgL_gz00_1040); 
BgL_arg2948z00_1048 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1608))->BgL_valuez00); } 
{ /* ./Module/eval.scm 124 */
obj_t BgL_obj1520z00_1609;
BgL_obj1520z00_1609 = 
(obj_t)(BgL_arg2948z00_1048); 
BgL_test2940z00_1046 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1520z00_1609, BGl_scnstz00zzast_varz00); } } 
if(BgL_test2940z00_1046)
{ /* ./Module/eval.scm 124 */
{ /* ./Module/eval.scm 126 */
BgL_nodez00_bglt BgL_arg2942z00_1047;
BgL_arg2942z00_1047 = 
BGl_locationzd2ze3nodez31zzast_sexpz00(
(BgL_globalz00_bglt)(BgL_gz00_1040)); 
BgL_arg2932z00_1043 = 
BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(
(BgL_globalz00_bglt)(BgL_gz00_1040), BgL_arg2942z00_1047); } }  else 
{ /* ./Module/eval.scm 124 */
BgL_arg2932z00_1043 = 
BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(
(BgL_globalz00_bglt)(BgL_gz00_1040)); } } } 
{ /* ./Module/eval.scm 119 */
obj_t BgL_auxz00_2423;
BgL_auxz00_2423 = 
(obj_t)(BgL_arg2932z00_1043); 
BgL_arg2928z00_1042 = 
MAKE_PAIR(BgL_auxz00_2423, BgL_initza2za2_1031); } } 
{ 
obj_t BgL_initza2za2_2427;obj_t BgL_globalsz00_2426;
BgL_globalsz00_2426 = BgL_arg2927z00_1041; 
BgL_initza2za2_2427 = BgL_arg2928z00_1042; 
BgL_initza2za2_1031 = BgL_initza2za2_2427; 
BgL_globalsz00_1030 = BgL_globalsz00_2426; 
goto BgL_loopz00_1032;} } } } } } } } 
}



/* set-eval-types! */
obj_t BGl_setzd2evalzd2typesz12z12zzmodule_evalz00(obj_t BgL_globalz00_25)
{ AN_OBJECT;
{ /* ./Module/eval.scm 139 */
{ /* ./Module/eval.scm 140 */
BgL_valuez00_bglt BgL_valz00_1051;
{ /* ./Module/eval.scm 140 */
BgL_variablez00_bglt BgL_obj1104z00_1637;
BgL_obj1104z00_1637 = 
(BgL_variablez00_bglt)(BgL_globalz00_25); 
BgL_valz00_1051 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1637))->BgL_valuez00); } 
{ /* ./Module/eval.scm 141 */
bool_t BgL_test2957z00_1052;
{ /* ./Module/eval.scm 141 */
obj_t BgL_obj1426z00_1638;
BgL_obj1426z00_1638 = 
(obj_t)(BgL_valz00_1051); 
BgL_test2957z00_1052 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1426z00_1638, BGl_sfunz00zzast_varz00); } 
if(BgL_test2957z00_1052)
{ /* ./Module/eval.scm 141 */
return BFALSE;}  else 
{ /* ./Module/eval.scm 142 */
BgL_typez00_bglt BgL_typez00_1053;
{ /* ./Module/eval.scm 142 */
BgL_variablez00_bglt BgL_obj1101z00_1639;
BgL_obj1101z00_1639 = 
(BgL_variablez00_bglt)(BgL_globalz00_25); 
BgL_typez00_1053 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1101z00_1639))->BgL_typez00); } 
{ /* ./Module/eval.scm 144 */
bool_t BgL_test2958z00_1054;
{ /* ./Module/eval.scm 144 */
obj_t BgL_auxz00_2435;
BgL_auxz00_2435 = 
(obj_t)(BgL_typez00_1053); 
BgL_test2958z00_1054 = 
(BgL_auxz00_2435==BGl_za2_za2z00zztype_cachez00); } 
if(BgL_test2958z00_1054)
{ /* ./Module/eval.scm 144 */
{ /* ./Module/eval.scm 145 */
BgL_variablez00_bglt BgL_obj1103z00_1640;BgL_typez00_bglt BgL_val1102z00_1641;
BgL_obj1103z00_1640 = 
(BgL_variablez00_bglt)(BgL_globalz00_25); 
BgL_val1102z00_1641 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
return 
((((BgL_variablez00_bglt)CREF(BgL_obj1103z00_1640))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1102z00_1641), BUNSPEC);} }  else 
{ /* ./Module/eval.scm 146 */
bool_t BgL_test2960z00_1055;
BgL_test2960z00_1055 = 
BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_1053); 
if(BgL_test2960z00_1055)
{ /* ./Module/eval.scm 146 */
return BFALSE;}  else 
{ /* ./Module/eval.scm 146 */
{ /* ./Module/eval.scm 147 */
obj_t BgL_arg2964z00_1058;
{ /* ./Module/eval.scm 149 */
BgL_variablez00_bglt BgL_obj1097z00_1642;
BgL_obj1097z00_1642 = 
(BgL_variablez00_bglt)(BgL_globalz00_25); 
BgL_arg2964z00_1058 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1642))->BgL_idz00); } 
FAILURE(BGl_string3569z00zzmodule_evalz00,BGl_string3570z00zzmodule_evalz00,BgL_arg2964z00_1058);} } } } } } } } 
}



/* get-evaluated-globals */
obj_t BGl_getzd2evaluatedzd2globalsz00zzmodule_evalz00()
{ AN_OBJECT;
{ /* ./Module/eval.scm 154 */
{ /* ./Module/eval.scm 155 */
bool_t BgL_test2972z00_1059;
if(
CBOOL(BGl_za2allzd2evalzf3za2z21zzmodule_evalz00))
{ /* ./Module/eval.scm 155 */
BgL_test2972z00_1059 = ((bool_t)1); }  else 
{ /* ./Module/eval.scm 155 */
if(
CBOOL(BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00))
{ /* ./Module/eval.scm 155 */
BgL_test2972z00_1059 = ((bool_t)1); }  else 
{ /* ./Module/eval.scm 155 */
BgL_test2972z00_1059 = 
CBOOL(BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00); } } 
if(BgL_test2972z00_1059)
{ /* ./Module/eval.scm 156 */
obj_t BgL_globalsz00_1060;obj_t BgL_scopezd2lstzd2_1061;
BgL_globalsz00_1060 = 
MAKE_CELL(BNIL); 
if(
CBOOL(BGl_za2allzd2evalzf3za2z21zzmodule_evalz00))
{ /* ./Module/eval.scm 158 */
BgL_scopezd2lstzd2_1061 = 
CNST_TABLE_REF(((long)12)); }  else 
{ /* ./Module/eval.scm 158 */
if(
CBOOL(BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00))
{ /* ./Module/eval.scm 159 */
BgL_scopezd2lstzd2_1061 = 
CNST_TABLE_REF(((long)13)); }  else 
{ /* ./Module/eval.scm 159 */
BgL_scopezd2lstzd2_1061 = 
CNST_TABLE_REF(((long)14)); } } 
{ /* ./Module/eval.scm 163 */
obj_t BgL_zc3anonymousza32976ze3z83_2186;
{ 
int BgL_auxz00_2462;int BgL_auxz00_2460;
BgL_auxz00_2462 = 
(int)(((long)2)); 
BgL_auxz00_2460 = 
(int)(((long)1)); 
BgL_zc3anonymousza32976ze3z83_2186 = 
make_fx_procedure(BGl_zc3anonymousza32976ze3z83zzmodule_evalz00, BgL_auxz00_2460, BgL_auxz00_2462); } 
{ /* ./Module/eval.scm 163 */
int BgL_auxz00_2465;
BgL_auxz00_2465 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32976ze3z83_2186, BgL_auxz00_2465, BgL_scopezd2lstzd2_1061); } 
{ /* ./Module/eval.scm 163 */
int BgL_auxz00_2468;
BgL_auxz00_2468 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32976ze3z83_2186, BgL_auxz00_2468, BgL_globalsz00_1060); } 
BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_zc3anonymousza32976ze3z83_2186); } 
return 
CELL_REF(BgL_globalsz00_1060);}  else 
{ 
obj_t BgL_evalzd2exportedzd2_1072;obj_t BgL_resz00_1073;
BgL_evalzd2exportedzd2_1072 = BGl_za2evalzd2exportedza2zd2zzmodule_evalz00; 
BgL_resz00_1073 = BNIL; 
BgL_loopz00_1074:
{ /* ./Module/eval.scm 170 */
bool_t BgL_test2990z00_1075;
BgL_test2990z00_1075 = 
NULLP(BgL_evalzd2exportedzd2_1072); 
if(BgL_test2990z00_1075)
{ /* ./Module/eval.scm 170 */
return BgL_resz00_1073;}  else 
{ /* ./Module/eval.scm 172 */
obj_t BgL_varze2moduleze2posz00_1076;
BgL_varze2moduleze2posz00_1076 = 
CAR(BgL_evalzd2exportedzd2_1072); 
{ /* ./Module/eval.scm 173 */
obj_t BgL_gz00_1077;
{ /* ./Module/eval.scm 173 */
obj_t BgL_arg3046z00_1100;obj_t BgL_arg3047z00_1101;
BgL_arg3046z00_1100 = 
CAR(BgL_varze2moduleze2posz00_1076); 
{ /* ./Module/eval.scm 174 */
obj_t BgL_auxz00_2476;
BgL_auxz00_2476 = 
CDR(BgL_varze2moduleze2posz00_1076); 
BgL_arg3047z00_1101 = 
CAR(BgL_auxz00_2476); } 
BgL_gz00_1077 = 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_arg3046z00_1100, BgL_arg3047z00_1101); } 
{ /* ./Module/eval.scm 176 */
bool_t BgL_test2991z00_1078;
BgL_test2991z00_1078 = 
BGl_iszd2azf3z21zz__objectz00(BgL_gz00_1077, BGl_globalz00zzast_varz00); 
if(BgL_test2991z00_1078)
{ /* ./Module/eval.scm 184 */
bool_t BgL_test2992z00_1079;
if(
CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
{ /* ./Module/eval.scm 184 */
BgL_test2992z00_1079 = ((bool_t)0); }  else 
{ /* ./Module/eval.scm 184 */
BgL_globalz00_bglt BgL_obj1180z00_1657;
BgL_obj1180z00_1657 = 
(BgL_globalz00_bglt)(BgL_gz00_1077); 
BgL_test2992z00_1079 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1180z00_1657))->BgL_libraryzf3zf3); } 
if(BgL_test2992z00_1079)
{ /* ./Module/eval.scm 184 */
{ /* ./Module/eval.scm 185 */
obj_t BgL_arg2994z00_1080;
BgL_arg2994z00_1080 = 
CDR(BgL_evalzd2exportedzd2_1072); 
{ 
obj_t BgL_evalzd2exportedzd2_2488;
BgL_evalzd2exportedzd2_2488 = BgL_arg2994z00_1080; 
BgL_evalzd2exportedzd2_1072 = BgL_evalzd2exportedzd2_2488; 
goto BgL_loopz00_1074;} } }  else 
{ /* ./Module/eval.scm 186 */
bool_t BgL_test2997z00_1081;
{ /* ./Module/eval.scm 186 */
BgL_globalz00_bglt BgL_obj1177z00_1659;
BgL_obj1177z00_1659 = 
(BgL_globalz00_bglt)(BgL_gz00_1077); 
BgL_test2997z00_1081 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1177z00_1659))->BgL_evaluablezf3zf3); } 
if(BgL_test2997z00_1081)
{ /* ./Module/eval.scm 186 */
{ /* ./Module/eval.scm 195 */
obj_t BgL_arg2999z00_1082;obj_t BgL_arg3000z00_1083;
BgL_arg2999z00_1082 = 
CDR(BgL_evalzd2exportedzd2_1072); 
BgL_arg3000z00_1083 = 
MAKE_PAIR(BgL_gz00_1077, BgL_resz00_1073); 
{ 
obj_t BgL_resz00_2495;obj_t BgL_evalzd2exportedzd2_2494;
BgL_evalzd2exportedzd2_2494 = BgL_arg2999z00_1082; 
BgL_resz00_2495 = BgL_arg3000z00_1083; 
BgL_resz00_1073 = BgL_resz00_2495; 
BgL_evalzd2exportedzd2_1072 = BgL_evalzd2exportedzd2_2494; 
goto BgL_loopz00_1074;} } }  else 
{ /* ./Module/eval.scm 186 */
{ /* ./Module/eval.scm 188 */
obj_t BgL_arg3005z00_1084;obj_t BgL_arg3010z00_1087;
{ /* ./Module/eval.scm 188 */
obj_t BgL_arg3016z00_1090;
{ /* ./Module/eval.scm 188 */
obj_t BgL_auxz00_2496;
{ /* ./Module/eval.scm 188 */
obj_t BgL_auxz00_2497;
BgL_auxz00_2497 = 
CDR(BgL_varze2moduleze2posz00_1076); 
BgL_auxz00_2496 = 
CDR(BgL_auxz00_2497); } 
BgL_arg3016z00_1090 = 
CAR(BgL_auxz00_2496); } 
BgL_arg3005z00_1084 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_arg3016z00_1090); } 
BgL_arg3010z00_1087 = 
CAR(BgL_varze2moduleze2posz00_1076); 
{ /* ./Module/eval.scm 187 */
obj_t BgL_list3013z00_1089;
BgL_list3013z00_1089 = 
MAKE_PAIR(BNIL, BNIL); 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg3005z00_1084, BGl_string3571z00zzmodule_evalz00, BGl_string3572z00zzmodule_evalz00, BgL_arg3010z00_1087, BgL_list3013z00_1089); } } 
{ /* ./Module/eval.scm 193 */
obj_t BgL_arg3021z00_1091;
BgL_arg3021z00_1091 = 
CDR(BgL_evalzd2exportedzd2_1072); 
{ 
obj_t BgL_evalzd2exportedzd2_2506;
BgL_evalzd2exportedzd2_2506 = BgL_arg3021z00_1091; 
BgL_evalzd2exportedzd2_1072 = BgL_evalzd2exportedzd2_2506; 
goto BgL_loopz00_1074;} } } } }  else 
{ /* ./Module/eval.scm 176 */
{ /* ./Module/eval.scm 178 */
obj_t BgL_arg3027z00_1092;obj_t BgL_arg3030z00_1095;
{ /* ./Module/eval.scm 178 */
obj_t BgL_arg3036z00_1098;
{ /* ./Module/eval.scm 178 */
obj_t BgL_auxz00_2507;
{ /* ./Module/eval.scm 178 */
obj_t BgL_auxz00_2508;
BgL_auxz00_2508 = 
CDR(BgL_varze2moduleze2posz00_1076); 
BgL_auxz00_2507 = 
CDR(BgL_auxz00_2508); } 
BgL_arg3036z00_1098 = 
CAR(BgL_auxz00_2507); } 
BgL_arg3027z00_1092 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_arg3036z00_1098); } 
BgL_arg3030z00_1095 = 
CAR(BgL_varze2moduleze2posz00_1076); 
{ /* ./Module/eval.scm 177 */
obj_t BgL_list3033z00_1097;
BgL_list3033z00_1097 = 
MAKE_PAIR(BNIL, BNIL); 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg3027z00_1092, BGl_string3571z00zzmodule_evalz00, BGl_string3573z00zzmodule_evalz00, BgL_arg3030z00_1095, BgL_list3033z00_1097); } } 
{ /* ./Module/eval.scm 183 */
obj_t BgL_arg3041z00_1099;
BgL_arg3041z00_1099 = 
CDR(BgL_evalzd2exportedzd2_1072); 
{ 
obj_t BgL_evalzd2exportedzd2_2517;
BgL_evalzd2exportedzd2_2517 = BgL_arg3041z00_1099; 
BgL_evalzd2exportedzd2_1072 = BgL_evalzd2exportedzd2_2517; 
goto BgL_loopz00_1074;} } } } } } } } } } 
}



/* <anonymous:2976> */
obj_t BGl_zc3anonymousza32976ze3z83zzmodule_evalz00(obj_t BgL_envz00_2187, obj_t BgL_gz00_2190)
{ AN_OBJECT;
{ /* ./Module/eval.scm 162 */
{ /* ./Module/eval.scm 163 */
obj_t BgL_scopezd2lstzd2_2188;obj_t BgL_globalsz00_2189;
{ /* ./Module/eval.scm 163 */
int BgL_auxz00_2518;
BgL_auxz00_2518 = 
(int)(((long)0)); 
BgL_scopezd2lstzd2_2188 = 
PROCEDURE_REF(BgL_envz00_2187, BgL_auxz00_2518); } 
{ /* ./Module/eval.scm 163 */
int BgL_auxz00_2521;
BgL_auxz00_2521 = 
(int)(((long)1)); 
BgL_globalsz00_2189 = 
PROCEDURE_REF(BgL_envz00_2187, BgL_auxz00_2521); } 
{ 
obj_t BgL_gz00_1063;
BgL_gz00_1063 = BgL_gz00_2190; 
{ /* ./Module/eval.scm 163 */
bool_t BgL_test2977z00_1065;
{ /* ./Module/eval.scm 163 */
bool_t BgL_test2979z00_1066;
{ /* ./Module/eval.scm 163 */
obj_t BgL_auxz00_2524;
{ /* ./Module/eval.scm 163 */
obj_t BgL_auxz00_2525;
{ /* ./Module/eval.scm 163 */
BgL_globalz00_bglt BgL_obj1174z00_1646;
BgL_obj1174z00_1646 = 
(BgL_globalz00_bglt)(BgL_gz00_1063); 
BgL_auxz00_2525 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1174z00_1646))->BgL_importz00); } 
BgL_auxz00_2524 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_2525, BgL_scopezd2lstzd2_2188); } 
BgL_test2979z00_1066 = 
CBOOL(BgL_auxz00_2524); } 
if(BgL_test2979z00_1066)
{ /* ./Module/eval.scm 164 */
bool_t BgL_test2980z00_1067;
{ /* ./Module/eval.scm 164 */
BgL_globalz00_bglt BgL_obj1177z00_1647;
BgL_obj1177z00_1647 = 
(BgL_globalz00_bglt)(BgL_gz00_1063); 
BgL_test2980z00_1067 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1177z00_1647))->BgL_evaluablezf3zf3); } 
if(BgL_test2980z00_1067)
{ /* ./Module/eval.scm 165 */
obj_t BgL__ortest_2680z00_1068;
BgL__ortest_2680z00_1068 = BGl_za2libzd2modeza2zd2zzengine_paramz00; 
if(
CBOOL(BgL__ortest_2680z00_1068))
{ /* ./Module/eval.scm 165 */
BgL_test2977z00_1065 = 
CBOOL(BgL__ortest_2680z00_1068); }  else 
{ /* ./Module/eval.scm 165 */
bool_t BgL_testz00_2537;
{ /* ./Module/eval.scm 165 */
BgL_globalz00_bglt BgL_obj1180z00_1648;
BgL_obj1180z00_1648 = 
(BgL_globalz00_bglt)(BgL_gz00_1063); 
BgL_testz00_2537 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1180z00_1648))->BgL_libraryzf3zf3); } 
if(BgL_testz00_2537)
{ /* ./Module/eval.scm 165 */
BgL_test2977z00_1065 = ((bool_t)0); }  else 
{ /* ./Module/eval.scm 165 */
BgL_test2977z00_1065 = ((bool_t)1); } } }  else 
{ /* ./Module/eval.scm 164 */
BgL_test2977z00_1065 = ((bool_t)0); } }  else 
{ /* ./Module/eval.scm 163 */
BgL_test2977z00_1065 = ((bool_t)0); } } 
if(BgL_test2977z00_1065)
{ /* ./Module/eval.scm 166 */
obj_t BgL_auxz00_2191;
{ /* ./Module/eval.scm 166 */
obj_t BgL_auxz00_2541;
BgL_auxz00_2541 = 
CELL_REF(BgL_globalsz00_2189); 
BgL_auxz00_2191 = 
MAKE_PAIR(BgL_gz00_1063, BgL_auxz00_2541); } 
return 
CELL_SET(BgL_globalsz00_2189, BgL_auxz00_2191);}  else 
{ /* ./Module/eval.scm 163 */
return BFALSE;} } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmodule_evalz00()
{ AN_OBJECT;
{ /* ./Module/eval.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_evalz00()
{ AN_OBJECT;
{ /* ./Module/eval.scm 15 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "module_eval"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "module_eval"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "module_eval"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "module_eval"); 
BGl_modulezd2initializa7ationz75zzmodule_includez00(((long)1783), "module_eval"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "module_eval"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "module_eval"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "module_eval"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)32118), "module_eval"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "module_eval"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "module_eval"); 
BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long)31087), "module_eval"); 
return 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)15705), "module_eval");} 
}

