/*===========================================================================*/
/*   (Module/main.scm)                                                       */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Module/main.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_mainz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_methodzd2initzd2zzmodule_mainz00();
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_mainzd2consumerzd2zzmodule_mainz00(obj_t, obj_t);
static obj_t BGl_mainzd2producerzd2zzmodule_mainz00(obj_t);
extern obj_t BGl_ccompz00zzmodule_modulez00;
static obj_t BGl_zc3anonymousza31588ze3z83zzmodule_mainz00(obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
static obj_t BGl__makezd2mainzd2compilerz00zzmodule_mainz00(obj_t);
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
BGL_EXPORTED_DECL obj_t BGl_makezd2mainzd2compilerz00zzmodule_mainz00();
static obj_t BGl_cnstzd2initzd2zzmodule_mainz00();
static obj_t BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(obj_t);
static bool_t BGl_correctzd2mainzf3z21zzmodule_mainz00(BgL_globalz00_bglt);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_mainz00();
static obj_t BGl_requirezd2initializa7ationz75zzmodule_mainz00 = BUNSPEC;
extern obj_t BGl_za2pairza2z00zztype_cachez00;
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_mainz00();
static obj_t BGl__mainzd2consumerzd2zzmodule_mainz00(obj_t, obj_t, obj_t);
static obj_t BGl__mainzd2producerzd2zzmodule_mainz00(obj_t, obj_t);
static obj_t __cnst[ 6 ] ;


DEFINE_STATIC_PROCEDURE( BGl_proc1840z00zzmodule_mainz00, BgL_bgl_za7c3anonymousza7a31588za7e3za783za7za7module_mainza7001870za7, BGl_zc3anonymousza31588ze3z83zzmodule_mainz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_mainzd2consumerzd2envz00zzmodule_mainz00, BgL_bgl__mainza7d2consumerza7d2za7za7module_mainza7001871za7, BGl__mainzd2consumerzd2zzmodule_mainz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_mainzd2producerzd2envz00zzmodule_mainz00, BgL_bgl__mainza7d2producerza7d2za7za7module_mainza7001872za7, BGl__mainzd2producerzd2zzmodule_mainz00, 0L, 1 );
DEFINE_STRING( BGl_string1845z00zzmodule_mainz00, BgL_bgl_string1845za700za7za7module_mainza7001873z00, "argv::pair argv::obj export imported void main ", 47 );
DEFINE_STRING( BGl_string1844z00zzmodule_mainz00, BgL_bgl_string1844za700za7za7module_mainza7001874z00, "Duplicated main clause", 22 );
DEFINE_STRING( BGl_string1843z00zzmodule_mainz00, BgL_bgl_string1843za700za7za7module_mainza7001875z00, "Illegal main clause", 19 );
DEFINE_STRING( BGl_string1842z00zzmodule_mainz00, BgL_bgl_string1842za700za7za7module_mainza7001876z00, "Parse error", 11 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2mainzd2compilerzd2envzd2zzmodule_mainz00, BgL_bgl__makeza7d2mainza7d2compilerza700za7za7module_mainza7001877z00, BGl__makezd2mainzd2compilerz00zzmodule_mainz00, 0L, 0 );
DEFINE_STRING( BGl_string1841z00zzmodule_mainz00, BgL_bgl_string1841za700za7za7module_mainza7001878z00, "Illegal declaration of main function", 36 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_mainz00(long BgL_checksumz00_758, char * BgL_fromz00_759)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_mainz00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_mainz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_mainz00(); 
BGl_cnstzd2initzd2zzmodule_mainz00(); 
BGl_importedzd2moduleszd2initz00zzmodule_mainz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_mainz00()
{ AN_OBJECT;
{ /* ./Module/main.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "module_main"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_main"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_mainz00()
{ AN_OBJECT;
{ /* ./Module/main.scm 15 */
{ /* ./Module/main.scm 15 */
obj_t BgL_cportz00_751;
BgL_cportz00_751 = 
open_input_string(BGl_string1845z00zzmodule_mainz00); 
{ 
long BgL_iz00_752;
BgL_iz00_752 = ((long)5); 
BgL_loopz00_753:
{ /* ./Module/main.scm 15 */
bool_t BgL_test1847z00_754;
BgL_test1847z00_754 = 
(BgL_iz00_752==((long)-1)); 
if(BgL_test1847z00_754)
{ /* ./Module/main.scm 15 */
return BUNSPEC;}  else 
{ /* ./Module/main.scm 15 */
{ /* ./Module/main.scm 15 */
obj_t BgL_arg1849z00_755;
{ /* ./Module/main.scm 15 */
obj_t BgL_list1852z00_756;
BgL_list1852z00_756 = 
MAKE_PAIR(BgL_cportz00_751, BNIL); 
BgL_arg1849z00_755 = 
BGl_readz00zz__readerz00(BgL_list1852z00_756); } 
{ /* ./Module/main.scm 15 */
int BgL_auxz00_773;
BgL_auxz00_773 = 
(int)(BgL_iz00_752); 
CNST_TABLE_SET(BgL_auxz00_773, BgL_arg1849z00_755); } } 
{ /* ./Module/main.scm 15 */
int BgL_auxz00_757;
{ /* ./Module/main.scm 15 */
long BgL_auxz00_776;
BgL_auxz00_776 = 
(BgL_iz00_752-((long)1)); 
BgL_auxz00_757 = 
(int)(BgL_auxz00_776); } 
{ 
long BgL_iz00_779;
BgL_iz00_779 = 
(long)(BgL_auxz00_757); 
BgL_iz00_752 = BgL_iz00_779; 
goto BgL_loopz00_753;} } } } } } } 
}



/* make-main-compiler */
BGL_EXPORTED_DEF obj_t BGl_makezd2mainzd2compilerz00zzmodule_mainz00()
{ AN_OBJECT;
{ /* ./Module/main.scm 32 */
{ /* ./Module/main.scm 33 */
obj_t BgL_arg1580z00_359;obj_t BgL_arg1581z00_360;obj_t BgL_arg1584z00_361;
BgL_arg1580z00_359 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg1581z00_360 = BGl_mainzd2producerzd2envz00zzmodule_mainz00; 
BgL_arg1584z00_361 = BGl_mainzd2consumerzd2envz00zzmodule_mainz00; 
{ /* ./Module/main.scm 33 */
BgL_ccompz00_bglt BgL_res1812z00_552;
{ /* ./Module/main.scm 33 */
BgL_ccompz00_bglt BgL_new1021z00_536;
{ /* ./Module/main.scm 33 */
BgL_ccompz00_bglt BgL_res1810z00_542;
{ /* ./Module/main.scm 33 */
BgL_ccompz00_bglt BgL_new1023z00_537;
BgL_new1023z00_537 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* ./Module/main.scm 33 */
long BgL_arg1798z00_538;
BgL_arg1798z00_538 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* ./Module/main.scm 33 */
BgL_objectz00_bglt BgL_objz00_539;
BgL_objz00_539 = 
(BgL_objectz00_bglt)(BgL_new1023z00_537); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_539, BgL_arg1798z00_538); } } 
{ /* ./Module/main.scm 33 */
BgL_objectz00_bglt BgL_auxz00_786;
BgL_auxz00_786 = 
(BgL_objectz00_bglt)(BgL_new1023z00_537); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_786, BFALSE); } 
{ /* ./Module/main.scm 33 */
obj_t BgL_objz00_541;
BgL_objz00_541 = 
(obj_t)(BgL_new1023z00_537); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_541); BUNSPEC; } 
BgL_res1810z00_542 = BgL_new1023z00_537; } 
BgL_new1021z00_536 = BgL_res1810z00_542; } 
{ /* ./Module/main.scm 33 */
BgL_ccompz00_bglt BgL_res1811z00_551;
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_536))->BgL_idz00) = ((obj_t)BgL_arg1580z00_359), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_536))->BgL_producerz00) = ((obj_t)BgL_arg1581z00_360), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_536))->BgL_consumerz00) = ((obj_t)BgL_arg1584z00_361), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_536))->BgL_finaliza7erza7) = ((obj_t)BGl_proc1840z00zzmodule_mainz00), BUNSPEC); 
BgL_res1811z00_551 = BgL_new1021z00_536; BgL_res1811z00_551; } 
BgL_res1812z00_552 = BgL_new1021z00_536; } 
return 
(obj_t)(BgL_res1812z00_552);} } } 
}



/* _make-main-compiler */
obj_t BGl__makezd2mainzd2compilerz00zzmodule_mainz00(obj_t BgL_envz00_744)
{ AN_OBJECT;
{ /* ./Module/main.scm 32 */
return 
BGl_makezd2mainzd2compilerz00zzmodule_mainz00();} 
}



/* <anonymous:1588> */
obj_t BGl_zc3anonymousza31588ze3z83zzmodule_mainz00(obj_t BgL_envz00_745)
{ AN_OBJECT;
{ /* ./Module/module.scm 50 */
{ 

return 
CNST_TABLE_REF(((long)1));} } 
}



/* correct-main? */
bool_t BGl_correctzd2mainzf3z21zzmodule_mainz00(BgL_globalz00_bglt BgL_globalz00_1)
{ AN_OBJECT;
{ /* ./Module/main.scm 43 */
{ /* ./Module/main.scm 44 */
BgL_valuez00_bglt BgL_sfunz00_365;
{ /* ./Module/main.scm 44 */
BgL_variablez00_bglt BgL_obj1126z00_553;
BgL_obj1126z00_553 = 
(BgL_variablez00_bglt)(BgL_globalz00_1); 
BgL_sfunz00_365 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1126z00_553))->BgL_valuez00); } 
{ /* ./Module/main.scm 45 */
bool_t BgL__andtest_1576z00_366;
{ /* ./Module/main.scm 45 */
obj_t BgL_obj1450z00_554;
BgL_obj1450z00_554 = 
(obj_t)(BgL_sfunz00_365); 
BgL__andtest_1576z00_366 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1450z00_554, BGl_sfunz00zzast_varz00); } 
if(BgL__andtest_1576z00_366)
{ /* ./Module/main.scm 46 */
bool_t BgL__andtest_1577z00_367;
{ /* ./Module/main.scm 46 */
long BgL_auxz00_803;
{ /* ./Module/main.scm 46 */
BgL_funz00_bglt BgL_obj1334z00_555;
BgL_obj1334z00_555 = 
(BgL_funz00_bglt)(BgL_sfunz00_365); 
BgL_auxz00_803 = 
(((BgL_funz00_bglt)CREF(BgL_obj1334z00_555))->BgL_arityz00); } 
BgL__andtest_1577z00_367 = 
(BgL_auxz00_803==((long)1)); } 
if(BgL__andtest_1577z00_367)
{ /* ./Module/main.scm 47 */
obj_t BgL_argsz00_368;
{ /* ./Module/main.scm 47 */
obj_t BgL_auxz00_808;
{ /* ./Module/main.scm 47 */
BgL_sfunz00_bglt BgL_obj1394z00_558;
BgL_obj1394z00_558 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_365); 
BgL_auxz00_808 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1394z00_558))->BgL_argsz00); } 
BgL_argsz00_368 = 
CAR(BgL_auxz00_808); } 
{ /* ./Module/main.scm 47 */
BgL_typez00_bglt BgL_typez00_369;
{ /* ./Module/main.scm 48 */
BgL_variablez00_bglt BgL_obj1123z00_560;
BgL_obj1123z00_560 = 
(BgL_variablez00_bglt)(BgL_argsz00_368); 
BgL_typez00_369 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1123z00_560))->BgL_typez00); } 
{ /* ./Module/main.scm 48 */

{ /* ./Module/main.scm 49 */
bool_t BgL__ortest_1578z00_370;
{ /* ./Module/main.scm 49 */
obj_t BgL_auxz00_814;
BgL_auxz00_814 = 
(obj_t)(BgL_typez00_369); 
BgL__ortest_1578z00_370 = 
(BgL_auxz00_814==BGl_za2objza2z00zztype_cachez00); } 
if(BgL__ortest_1578z00_370)
{ /* ./Module/main.scm 49 */
return BgL__ortest_1578z00_370;}  else 
{ /* ./Module/main.scm 49 */
obj_t BgL_auxz00_818;
BgL_auxz00_818 = 
(obj_t)(BgL_typez00_369); 
return 
(BgL_auxz00_818==BGl_za2pairza2z00zztype_cachez00);} } } } }  else 
{ /* ./Module/main.scm 46 */
return ((bool_t)0);} }  else 
{ /* ./Module/main.scm 45 */
return ((bool_t)0);} } } } 
}



/* main-producer */
obj_t BGl_mainzd2producerzd2zzmodule_mainz00(obj_t BgL_clausez00_2)
{ AN_OBJECT;
{ /* ./Module/main.scm 54 */
{ /* ./Module/main.scm 55 */
bool_t BgL_test1604z00_374;
{ /* ./Module/main.scm 55 */
bool_t BgL_test1673z00_404;
{ /* ./Module/main.scm 55 */
obj_t BgL_auxz00_821;
BgL_auxz00_821 = 
CNST_TABLE_REF(((long)2)); 
BgL_test1673z00_404 = 
(BGl_za2mainza2z00zzmodule_modulez00==BgL_auxz00_821); } 
if(BgL_test1673z00_404)
{ /* ./Module/main.scm 55 */
BgL_test1604z00_374 = ((bool_t)1); }  else 
{ /* ./Module/main.scm 55 */
obj_t BgL_obj1270z00_561;
BgL_obj1270z00_561 = BGl_za2mainza2z00zzmodule_modulez00; 
BgL_test1604z00_374 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1270z00_561, BGl_globalz00zzast_varz00); } } 
if(BgL_test1604z00_374)
{ /* ./Module/main.scm 55 */
return 
BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(BgL_clausez00_2);}  else 
{ 
obj_t BgL_mainz00_375;
{ /* ./Module/main.scm 57 */
bool_t BgL_test1606z00_379;
BgL_test1606z00_379 = 
PAIRP(BgL_clausez00_2); 
if(BgL_test1606z00_379)
{ /* ./Module/main.scm 57 */
obj_t BgL_cdrzd2107zd2_380;
BgL_cdrzd2107zd2_380 = 
CDR(BgL_clausez00_2); 
{ /* ./Module/main.scm 57 */
bool_t BgL_test1607z00_381;
BgL_test1607z00_381 = 
PAIRP(BgL_cdrzd2107zd2_380); 
if(BgL_test1607z00_381)
{ /* ./Module/main.scm 57 */
obj_t BgL_carzd2109zd2_382;
BgL_carzd2109zd2_382 = 
CAR(BgL_cdrzd2107zd2_380); 
{ /* ./Module/main.scm 57 */
bool_t BgL_test1608z00_383;
BgL_test1608z00_383 = 
SYMBOLP(BgL_carzd2109zd2_382); 
if(BgL_test1608z00_383)
{ /* ./Module/main.scm 57 */
bool_t BgL_test1609z00_384;
{ /* ./Module/main.scm 57 */
obj_t BgL_auxz00_836;
BgL_auxz00_836 = 
CDR(BgL_cdrzd2107zd2_380); 
BgL_test1609z00_384 = 
NULLP(BgL_auxz00_836); } 
if(BgL_test1609z00_384)
{ /* ./Module/main.scm 57 */
BgL_mainz00_375 = BgL_carzd2109zd2_382; 
{ /* ./Module/main.scm 59 */
obj_t BgL_globalz00_386;
BgL_globalz00_386 = 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_mainz00_375, BGl_za2moduleza2z00zzmodule_modulez00); 
{ /* ./Module/main.scm 60 */
bool_t BgL_test1624z00_387;
BgL_test1624z00_387 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_386, BGl_globalz00zzast_varz00); 
if(BgL_test1624z00_387)
{ /* ./Module/main.scm 61 */
bool_t BgL_test1625z00_388;
BgL_test1625z00_388 = 
BGl_correctzd2mainzf3z21zzmodule_mainz00(
(BgL_globalz00_bglt)(BgL_globalz00_386)); 
if(BgL_test1625z00_388)
{ /* ./Module/main.scm 61 */
return BFALSE;}  else 
{ /* ./Module/main.scm 62 */
obj_t BgL_list1627z00_389;
BgL_list1627z00_389 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_za2moduleza2z00zzmodule_modulez00, BGl_string1841z00zzmodule_mainz00, BgL_mainz00_375, BgL_list1627z00_389);} }  else 
{ /* ./Module/main.scm 60 */
{ /* ./Module/main.scm 67 */
bool_t BgL_test1630z00_390;
{ /* ./Module/main.scm 67 */
long BgL_n1z00_570;
BgL_n1z00_570 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test1630z00_390 = 
(BgL_n1z00_570>((long)0)); } 
if(BgL_test1630z00_390)
{ /* ./Module/main.scm 68 */
obj_t BgL_arg1632z00_391;
{ /* ./Module/main.scm 68 */
obj_t BgL_arg1635z00_392;obj_t BgL_arg1637z00_393;
BgL_arg1635z00_392 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Module/main.scm 68 */
obj_t BgL_arg1641z00_394;
{ /* ./Module/main.scm 68 */
obj_t BgL_arg1645z00_396;
{ /* ./Module/main.scm 68 */
obj_t BgL_auxz00_852;
BgL_auxz00_852 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg1645z00_396 = 
MAKE_PAIR(BgL_auxz00_852, BNIL); } 
BgL_arg1641z00_394 = 
MAKE_PAIR(BgL_mainz00_375, BgL_arg1645z00_396); } 
BgL_arg1637z00_393 = 
MAKE_PAIR(BgL_arg1641z00_394, BNIL); } 
BgL_arg1632z00_391 = 
MAKE_PAIR(BgL_arg1635z00_392, BgL_arg1637z00_393); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1632z00_391); }  else 
{ /* ./Module/main.scm 69 */
obj_t BgL_arg1649z00_397;
{ /* ./Module/main.scm 69 */
obj_t BgL_arg1652z00_398;obj_t BgL_arg1653z00_399;
BgL_arg1652z00_398 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Module/main.scm 69 */
obj_t BgL_arg1657z00_400;
{ /* ./Module/main.scm 69 */
obj_t BgL_arg1663z00_402;
{ /* ./Module/main.scm 69 */
obj_t BgL_auxz00_860;
BgL_auxz00_860 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg1663z00_402 = 
MAKE_PAIR(BgL_auxz00_860, BNIL); } 
BgL_arg1657z00_400 = 
MAKE_PAIR(BgL_mainz00_375, BgL_arg1663z00_402); } 
BgL_arg1653z00_399 = 
MAKE_PAIR(BgL_arg1657z00_400, BNIL); } 
BgL_arg1649z00_397 = 
MAKE_PAIR(BgL_arg1652z00_398, BgL_arg1653z00_399); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1649z00_397); } } 
return ( 
BGl_za2mainza2z00zzmodule_modulez00 = 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_mainz00_375, BGl_za2moduleza2z00zzmodule_modulez00), BUNSPEC) ;} } } }  else 
{ /* ./Module/main.scm 57 */
BgL_tagzd2102zd2_377:
{ /* ./Module/main.scm 72 */
obj_t BgL_list1671z00_403;
BgL_list1671z00_403 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1842z00zzmodule_mainz00, BGl_string1843z00zzmodule_mainz00, BgL_clausez00_2, BgL_list1671z00_403);} } }  else 
{ /* ./Module/main.scm 57 */
goto BgL_tagzd2102zd2_377;} } }  else 
{ /* ./Module/main.scm 57 */
goto BgL_tagzd2102zd2_377;} } }  else 
{ /* ./Module/main.scm 57 */
goto BgL_tagzd2102zd2_377;} } } } } 
}



/* _main-producer */
obj_t BGl__mainzd2producerzd2zzmodule_mainz00(obj_t BgL_envz00_746, obj_t BgL_clausez00_747)
{ AN_OBJECT;
{ /* ./Module/main.scm 54 */
return 
BGl_mainzd2producerzd2zzmodule_mainz00(BgL_clausez00_747);} 
}



/* main-consumer */
obj_t BGl_mainzd2consumerzd2zzmodule_mainz00(obj_t BgL_modulez00_3, obj_t BgL_clausez00_4)
{ AN_OBJECT;
{ /* ./Module/main.scm 77 */
{ /* ./Module/main.scm 78 */
bool_t BgL_test1676z00_572;
{ /* ./Module/main.scm 78 */
obj_t BgL_obj1270z00_573;
BgL_obj1270z00_573 = BGl_za2mainza2z00zzmodule_modulez00; 
BgL_test1676z00_572 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1270z00_573, BGl_globalz00zzast_varz00); } 
if(BgL_test1676z00_572)
{ /* ./Module/main.scm 78 */
BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(BgL_clausez00_4); }  else 
{ /* ./Module/main.scm 78 */
BGl_za2mainza2z00zzmodule_modulez00 = 
CNST_TABLE_REF(((long)2)); } } 
return BNIL;} 
}



/* _main-consumer */
obj_t BGl__mainzd2consumerzd2zzmodule_mainz00(obj_t BgL_envz00_748, obj_t BgL_modulez00_749, obj_t BgL_clausez00_750)
{ AN_OBJECT;
{ /* ./Module/main.scm 77 */
return 
BGl_mainzd2consumerzd2zzmodule_mainz00(BgL_modulez00_749, BgL_clausez00_750);} 
}



/* duplicate-main-error */
obj_t BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(obj_t BgL_clausez00_5)
{ AN_OBJECT;
{ /* ./Module/main.scm 86 */
{ /* ./Module/main.scm 87 */
obj_t BgL_list1680z00_406;
BgL_list1680z00_406 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1842z00zzmodule_mainz00, BGl_string1844z00zzmodule_mainz00, BgL_clausez00_5, BgL_list1680z00_406);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmodule_mainz00()
{ AN_OBJECT;
{ /* ./Module/main.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_mainz00()
{ AN_OBJECT;
{ /* ./Module/main.scm 15 */
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "module_main"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "module_main"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "module_main"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "module_main"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "module_main"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "module_main"); 
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "module_main");} 
}

