/*===========================================================================*/
/*   (Module/statexp.scm)                                                    */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Module/statexp.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;


static obj_t BGl_methodzd2initzd2zzmodule_statexpz00();
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl_exportzd2consumerzd2zzmodule_statexpz00(obj_t, obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl__exportzd2consumerzd2zzmodule_statexpz00(obj_t, obj_t, obj_t);
extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
BGL_IMPORT obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern BgL_globalz00_bglt BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zzmodule_statexpz00();
static obj_t BGl__makezd2exportzd2compilerz00zzmodule_statexpz00(obj_t);
extern obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00;
BGL_EXPORTED_DECL obj_t BGl_makezd2exportzd2compilerz00zzmodule_statexpz00();
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_statexpz00();
static obj_t BGl__statexpzd2producerzd2zzmodule_statexpz00(obj_t, obj_t);
extern obj_t BGl_parsezd2prototypezd2zzmodule_prototypez00(obj_t);
static obj_t BGl_statexpzd2finaliza7erz75zzmodule_statexpz00();
extern BgL_globalz00_bglt BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31919ze3z83zzmodule_statexpz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zzmodule_statexpz00();
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_statexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_prototypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31931ze3z83zzmodule_statexpz00(obj_t);
static obj_t BGl_statexpzd2parserzd2zzmodule_statexpz00(obj_t, obj_t);
extern obj_t BGl_declarezd2classz12zc0zzmodule_classz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t);
extern obj_t BGl_ccompz00zzmodule_modulez00;
extern obj_t BGl_tozd2bezd2definez12z12zzast_findzd2gdefszd2(BgL_globalz00_bglt);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31945ze3z83zzmodule_statexpz00(obj_t);
static obj_t BGl__makezd2staticzd2compilerz00zzmodule_statexpz00(obj_t);
extern obj_t BGl_declarezd2widezd2classz12z12zzmodule_classz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31957ze3z83zzmodule_statexpz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2staticzd2compilerz00zzmodule_statexpz00();
static obj_t BGl_zc3anonymousza31822ze3z83zzmodule_statexpz00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31823ze3z83zzmodule_statexpz00(obj_t);
static obj_t BGl__statexpzd2finaliza7erz75zzmodule_statexpz00(obj_t);
BGL_IMPORT obj_t BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzmodule_statexpz00 = BUNSPEC;
extern obj_t BGl_classzd2finaliza7erz75zzmodule_classz00();
static obj_t BGl_statexpzd2producerzd2zzmodule_statexpz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_statexpz00();
static obj_t __cnst[ 9 ] ;


DEFINE_STATIC_PROCEDURE( BGl_statexpzd2finaliza7erzd2envza7zzmodule_statexpz00, BgL_bgl__statexpza7d2finaliza7a7erza775za7za7module_statexpza7002317z00, BGl__statexpzd2finaliza7erz75zzmodule_statexpz00, 0L, 0 );
DEFINE_STRING( BGl_string2288z00zzmodule_statexpz00, BgL_bgl_string2288za700za7za7module_statexpza7002318z00, "wide-class final-class abstract-class class svar (sfun sifun sgfun) export void static ", 87 );
DEFINE_STRING( BGl_string2287z00zzmodule_statexpz00, BgL_bgl_string2287za700za7za7module_statexpza7002319z00, "Illegal prototype", 17 );
DEFINE_STRING( BGl_string2286z00zzmodule_statexpz00, BgL_bgl_string2286za700za7za7module_statexpza7002320z00, "Illegal `export' clause", 23 );
DEFINE_STRING( BGl_string2285z00zzmodule_statexpz00, BgL_bgl_string2285za700za7za7module_statexpza7002321z00, "Parse error", 11 );
DEFINE_STRING( BGl_string2284z00zzmodule_statexpz00, BgL_bgl_string2284za700za7za7module_statexpza7002322z00, "' clause", 8 );
DEFINE_STRING( BGl_string2283z00zzmodule_statexpz00, BgL_bgl_string2283za700za7za7module_statexpza7002323z00, "Illegal `", 9 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2exportzd2compilerzd2envzd2zzmodule_statexpz00, BgL_bgl__makeza7d2exportza7d2compilerza700za7za7module_statexpza7002324z00, BGl__makezd2exportzd2compilerz00zzmodule_statexpz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_exportzd2consumerzd2envz00zzmodule_statexpz00, BgL_bgl__exportza7d2consumerza7d2za7za7module_statexpza7002325za7, BGl__exportzd2consumerzd2zzmodule_statexpz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2281z00zzmodule_statexpz00, BgL_bgl_za7c3anonymousza7a31823za7e3za783za7za7module_statexpza7002326za7, BGl_zc3anonymousza31823ze3z83zzmodule_statexpz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc2282z00zzmodule_statexpz00, BgL_bgl_za7c3anonymousza7a31822za7e3za783za7za7module_statexpza7002327za7, BGl_zc3anonymousza31822ze3z83zzmodule_statexpz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2staticzd2compilerzd2envzd2zzmodule_statexpz00, BgL_bgl__makeza7d2staticza7d2compilerza700za7za7module_statexpza7002328z00, BGl__makezd2staticzd2compilerz00zzmodule_statexpz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_statexpzd2producerzd2envz00zzmodule_statexpz00, BgL_bgl__statexpza7d2producerza7d2za7za7module_statexpza7002329za7, BGl__statexpzd2producerzd2zzmodule_statexpz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_statexpz00(long BgL_checksumz00_1110, char * BgL_fromz00_1111)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_statexpz00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_statexpz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_statexpz00(); 
BGl_cnstzd2initzd2zzmodule_statexpz00(); 
BGl_importedzd2moduleszd2initz00zzmodule_statexpz00(); 
BGl_toplevelzd2initzd2zzmodule_statexpz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_statexpz00()
{ AN_OBJECT;
{ /* ./Module/statexp.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "module_statexp"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "module_statexp"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_statexp"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "module_statexp"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "module_statexp"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_statexpz00()
{ AN_OBJECT;
{ /* ./Module/statexp.scm 15 */
{ /* ./Module/statexp.scm 15 */
obj_t BgL_cportz00_1103;
BgL_cportz00_1103 = 
open_input_string(BGl_string2288z00zzmodule_statexpz00); 
{ 
long BgL_iz00_1104;
BgL_iz00_1104 = ((long)8); 
BgL_loopz00_1105:
{ /* ./Module/statexp.scm 15 */
bool_t BgL_test2290z00_1106;
BgL_test2290z00_1106 = 
(BgL_iz00_1104==((long)-1)); 
if(BgL_test2290z00_1106)
{ /* ./Module/statexp.scm 15 */
return BUNSPEC;}  else 
{ /* ./Module/statexp.scm 15 */
{ /* ./Module/statexp.scm 15 */
obj_t BgL_arg2292z00_1107;
{ /* ./Module/statexp.scm 15 */
obj_t BgL_list2295z00_1108;
BgL_list2295z00_1108 = 
MAKE_PAIR(BgL_cportz00_1103, BNIL); 
BgL_arg2292z00_1107 = 
BGl_readz00zz__readerz00(BgL_list2295z00_1108); } 
{ /* ./Module/statexp.scm 15 */
int BgL_auxz00_1129;
BgL_auxz00_1129 = 
(int)(BgL_iz00_1104); 
CNST_TABLE_SET(BgL_auxz00_1129, BgL_arg2292z00_1107); } } 
{ /* ./Module/statexp.scm 15 */
int BgL_auxz00_1109;
{ /* ./Module/statexp.scm 15 */
long BgL_auxz00_1132;
BgL_auxz00_1132 = 
(BgL_iz00_1104-((long)1)); 
BgL_auxz00_1109 = 
(int)(BgL_auxz00_1132); } 
{ 
long BgL_iz00_1135;
BgL_iz00_1135 = 
(long)(BgL_auxz00_1109); 
BgL_iz00_1104 = BgL_iz00_1135; 
goto BgL_loopz00_1105;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzmodule_statexpz00()
{ AN_OBJECT;
{ /* ./Module/statexp.scm 15 */
return ( 
BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = BNIL, BUNSPEC) ;} 
}



/* make-static-compiler */
BGL_EXPORTED_DEF obj_t BGl_makezd2staticzd2compilerz00zzmodule_statexpz00()
{ AN_OBJECT;
{ /* ./Module/statexp.scm 35 */
{ /* ./Module/statexp.scm 36 */
obj_t BgL_arg1815z00_480;obj_t BgL_arg1817z00_481;
BgL_arg1815z00_480 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg1817z00_481 = BGl_statexpzd2producerzd2envz00zzmodule_statexpz00; 
{ /* ./Module/statexp.scm 36 */
BgL_ccompz00_bglt BgL_res2192z00_757;
{ /* ./Module/statexp.scm 36 */
BgL_ccompz00_bglt BgL_new1021z00_742;
{ /* ./Module/statexp.scm 36 */
BgL_ccompz00_bglt BgL_res2190z00_748;
{ /* ./Module/statexp.scm 36 */
BgL_ccompz00_bglt BgL_new1023z00_743;
BgL_new1023z00_743 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* ./Module/statexp.scm 36 */
long BgL_arg2172z00_744;
BgL_arg2172z00_744 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* ./Module/statexp.scm 36 */
BgL_objectz00_bglt BgL_objz00_745;
BgL_objz00_745 = 
(BgL_objectz00_bglt)(BgL_new1023z00_743); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_745, BgL_arg2172z00_744); } } 
{ /* ./Module/statexp.scm 36 */
BgL_objectz00_bglt BgL_auxz00_1142;
BgL_auxz00_1142 = 
(BgL_objectz00_bglt)(BgL_new1023z00_743); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1142, BFALSE); } 
{ /* ./Module/statexp.scm 36 */
obj_t BgL_objz00_747;
BgL_objz00_747 = 
(obj_t)(BgL_new1023z00_743); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_747); BUNSPEC; } 
BgL_res2190z00_748 = BgL_new1023z00_743; } 
BgL_new1021z00_742 = BgL_res2190z00_748; } 
{ /* ./Module/statexp.scm 36 */
BgL_ccompz00_bglt BgL_res2191z00_756;
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_742))->BgL_idz00) = ((obj_t)BgL_arg1815z00_480), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_742))->BgL_producerz00) = ((obj_t)BgL_arg1817z00_481), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_742))->BgL_consumerz00) = ((obj_t)BGl_proc2282z00zzmodule_statexpz00), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_742))->BgL_finaliza7erza7) = ((obj_t)BGl_proc2281z00zzmodule_statexpz00), BUNSPEC); 
BgL_res2191z00_756 = BgL_new1021z00_742; BgL_res2191z00_756; } 
BgL_res2192z00_757 = BgL_new1021z00_742; } 
return 
(obj_t)(BgL_res2192z00_757);} } } 
}



/* _make-static-compiler */
obj_t BGl__makezd2staticzd2compilerz00zzmodule_statexpz00(obj_t BgL_envz00_1070)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 35 */
return 
BGl_makezd2staticzd2compilerz00zzmodule_statexpz00();} 
}



/* <anonymous:1823> */
obj_t BGl_zc3anonymousza31823ze3z83zzmodule_statexpz00(obj_t BgL_envz00_1071)
{ AN_OBJECT;
{ /* ./Module/module.scm 50 */
{ 

return 
CNST_TABLE_REF(((long)1));} } 
}



/* <anonymous:1822> */
obj_t BGl_zc3anonymousza31822ze3z83zzmodule_statexpz00(obj_t BgL_envz00_1072, obj_t BgL_mz00_1073, obj_t BgL_cz00_1074)
{ AN_OBJECT;
{ /* ./Module/module.scm 48 */
{ 
obj_t BgL_mz00_484;obj_t BgL_cz00_485;
BgL_mz00_484 = BgL_mz00_1073; 
BgL_cz00_485 = BgL_cz00_1074; 
return BNIL;} } 
}



/* make-export-compiler */
BGL_EXPORTED_DEF obj_t BGl_makezd2exportzd2compilerz00zzmodule_statexpz00()
{ AN_OBJECT;
{ /* ./Module/statexp.scm 42 */
{ /* ./Module/statexp.scm 43 */
obj_t BgL_arg1826z00_490;obj_t BgL_arg1827z00_491;obj_t BgL_arg1830z00_492;obj_t BgL_arg1832z00_493;
BgL_arg1826z00_490 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg1827z00_491 = BGl_statexpzd2producerzd2envz00zzmodule_statexpz00; 
BgL_arg1830z00_492 = BGl_exportzd2consumerzd2envz00zzmodule_statexpz00; 
BgL_arg1832z00_493 = BGl_statexpzd2finaliza7erzd2envza7zzmodule_statexpz00; 
{ /* ./Module/statexp.scm 43 */
BgL_ccompz00_bglt BgL_res2195z00_779;
{ /* ./Module/statexp.scm 43 */
BgL_ccompz00_bglt BgL_new1021z00_762;
{ /* ./Module/statexp.scm 43 */
BgL_ccompz00_bglt BgL_res2193z00_768;
{ /* ./Module/statexp.scm 43 */
BgL_ccompz00_bglt BgL_new1023z00_763;
BgL_new1023z00_763 = 
((BgL_ccompz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_ccompz00_bgl) ))); 
{ /* ./Module/statexp.scm 43 */
long BgL_arg2172z00_764;
BgL_arg2172z00_764 = 
BGl_classzd2numzd2zz__objectz00(BGl_ccompz00zzmodule_modulez00); 
{ /* ./Module/statexp.scm 43 */
BgL_objectz00_bglt BgL_objz00_765;
BgL_objz00_765 = 
(BgL_objectz00_bglt)(BgL_new1023z00_763); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_765, BgL_arg2172z00_764); } } 
{ /* ./Module/statexp.scm 43 */
BgL_objectz00_bglt BgL_auxz00_1159;
BgL_auxz00_1159 = 
(BgL_objectz00_bglt)(BgL_new1023z00_763); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1159, BFALSE); } 
{ /* ./Module/statexp.scm 43 */
obj_t BgL_objz00_767;
BgL_objz00_767 = 
(obj_t)(BgL_new1023z00_763); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_767); BUNSPEC; } 
BgL_res2193z00_768 = BgL_new1023z00_763; } 
BgL_new1021z00_762 = BgL_res2193z00_768; } 
{ /* ./Module/statexp.scm 43 */
BgL_ccompz00_bglt BgL_res2194z00_778;
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_762))->BgL_idz00) = ((obj_t)BgL_arg1826z00_490), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_762))->BgL_producerz00) = ((obj_t)BgL_arg1827z00_491), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_762))->BgL_consumerz00) = ((obj_t)BgL_arg1830z00_492), BUNSPEC); 
((((BgL_ccompz00_bglt)CREF(BgL_new1021z00_762))->BgL_finaliza7erza7) = ((obj_t)BgL_arg1832z00_493), BUNSPEC); 
BgL_res2194z00_778 = BgL_new1021z00_762; BgL_res2194z00_778; } 
BgL_res2195z00_779 = BgL_new1021z00_762; } 
return 
(obj_t)(BgL_res2195z00_779);} } } 
}



/* _make-export-compiler */
obj_t BGl__makezd2exportzd2compilerz00zzmodule_statexpz00(obj_t BgL_envz00_1077)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 42 */
return 
BGl_makezd2exportzd2compilerz00zzmodule_statexpz00();} 
}



/* statexp-producer */
obj_t BGl_statexpzd2producerzd2zzmodule_statexpz00(obj_t BgL_clausez00_19)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 51 */
{ /* ./Module/statexp.scm 52 */
obj_t BgL_modez00_494;
BgL_modez00_494 = 
CAR(BgL_clausez00_19); 
{ 
obj_t BgL_protosz00_495;
{ /* ./Module/statexp.scm 53 */
bool_t BgL_test1835z00_499;
BgL_test1835z00_499 = 
PAIRP(BgL_clausez00_19); 
if(BgL_test1835z00_499)
{ /* ./Module/statexp.scm 53 */
obj_t BgL_arg1837z00_500;
BgL_arg1837z00_500 = 
CDR(BgL_clausez00_19); 
BgL_protosz00_495 = BgL_arg1837z00_500; 
{ 
obj_t BgL_l1774z00_501;
BgL_l1774z00_501 = BgL_protosz00_495; 
BgL_forzd2each1775zd2_502:
{ /* ./Module/statexp.scm 55 */
bool_t BgL_test1843z00_503;
BgL_test1843z00_503 = 
PAIRP(BgL_l1774z00_501); 
if(BgL_test1843z00_503)
{ /* ./Module/statexp.scm 55 */
{ /* ./Module/statexp.scm 55 */
obj_t BgL_protoz00_504;
BgL_protoz00_504 = 
CAR(BgL_l1774z00_501); 
BGl_statexpzd2parserzd2zzmodule_statexpz00(BgL_protoz00_504, BgL_modez00_494); } 
{ /* ./Module/statexp.scm 55 */
obj_t BgL_arg1847z00_505;
BgL_arg1847z00_505 = 
CDR(BgL_l1774z00_501); 
{ 
obj_t BgL_l1774z00_1179;
BgL_l1774z00_1179 = BgL_arg1847z00_505; 
BgL_l1774z00_501 = BgL_l1774z00_1179; 
goto BgL_forzd2each1775zd2_502;} } }  else 
{ /* ./Module/statexp.scm 55 */((bool_t)1); } } } 
return BNIL;}  else 
{ /* ./Module/statexp.scm 53 */
{ /* ./Module/statexp.scm 58 */
obj_t BgL_arg1852z00_506;obj_t BgL_arg1854z00_508;
BgL_arg1852z00_506 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
{ /* ./Module/statexp.scm 60 */
obj_t BgL_arg1862z00_512;
{ /* ./Module/statexp.scm 62 */
obj_t BgL_arg1867z00_514;
BgL_arg1867z00_514 = 
SYMBOL_TO_STRING(BgL_modez00_494); 
BgL_arg1862z00_512 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg1867z00_514); } 
BgL_arg1854z00_508 = 
string_append_3(BGl_string2283z00zzmodule_statexpz00, BgL_arg1862z00_512, BGl_string2284z00zzmodule_statexpz00); } 
{ /* ./Module/statexp.scm 58 */
obj_t BgL_list1857z00_510;
BgL_list1857z00_510 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg1852z00_506, BGl_string2285z00zzmodule_statexpz00, BgL_arg1854z00_508, BgL_clausez00_19, BgL_list1857z00_510);} } } } } } } 
}



/* _statexp-producer */
obj_t BGl__statexpzd2producerzd2zzmodule_statexpz00(obj_t BgL_envz00_1075, obj_t BgL_clausez00_1076)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 51 */
return 
BGl_statexpzd2producerzd2zzmodule_statexpz00(BgL_clausez00_1076);} 
}



/* export-consumer */
obj_t BGl_exportzd2consumerzd2zzmodule_statexpz00(obj_t BgL_modulez00_20, obj_t BgL_clausez00_21)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 70 */
{ 

{ /* ./Module/statexp.scm 71 */
bool_t BgL_test1871z00_519;
BgL_test1871z00_519 = 
PAIRP(BgL_clausez00_21); 
if(BgL_test1871z00_519)
{ /* ./Module/statexp.scm 71 */
return 
CDR(BgL_clausez00_21);}  else 
{ /* ./Module/statexp.scm 71 */
{ /* ./Module/statexp.scm 75 */
obj_t BgL_arg1881z00_521;
BgL_arg1881z00_521 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
{ /* ./Module/statexp.scm 75 */
obj_t BgL_list1888z00_525;
BgL_list1888z00_525 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg1881z00_521, BGl_string2285z00zzmodule_statexpz00, BGl_string2286z00zzmodule_statexpz00, BgL_clausez00_21, BgL_list1888z00_525);} } } } } } 
}



/* _export-consumer */
obj_t BGl__exportzd2consumerzd2zzmodule_statexpz00(obj_t BgL_envz00_1078, obj_t BgL_modulez00_1079, obj_t BgL_clausez00_1080)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 70 */
return 
BGl_exportzd2consumerzd2zzmodule_statexpz00(BgL_modulez00_1079, BgL_clausez00_1080);} 
}



/* statexp-parser */
obj_t BGl_statexpzd2parserzd2zzmodule_statexpz00(obj_t BgL_prototypez00_22, obj_t BgL_importz00_23)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 84 */
{ /* ./Module/statexp.scm 85 */
obj_t BgL_protoz00_526;
BgL_protoz00_526 = 
BGl_parsezd2prototypezd2zzmodule_prototypez00(BgL_prototypez00_22); 
{ /* ./Module/statexp.scm 86 */
bool_t BgL_test1891z00_527;
BgL_test1891z00_527 = 
PAIRP(BgL_protoz00_526); 
if(BgL_test1891z00_527)
{ /* ./Module/statexp.scm 92 */
obj_t BgL_casezd2valuezd2_528;
BgL_casezd2valuezd2_528 = 
CAR(BgL_protoz00_526); 
{ /* ./Module/statexp.scm 93 */
bool_t BgL_test1892z00_529;
{ /* ./Module/statexp.scm 94 */
obj_t BgL_auxz00_1198;
BgL_auxz00_1198 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_528, 
CNST_TABLE_REF(((long)3))); 
BgL_test1892z00_529 = 
CBOOL(BgL_auxz00_1198); } 
if(BgL_test1892z00_529)
{ /* ./Module/statexp.scm 94 */
BgL_globalz00_bglt BgL_arg1894z00_530;
{ /* ./Module/statexp.scm 94 */
obj_t BgL_arg1897z00_531;obj_t BgL_arg1898z00_532;
{ /* ./Module/statexp.scm 94 */
obj_t BgL_auxz00_1203;
BgL_auxz00_1203 = 
CDR(BgL_protoz00_526); 
BgL_arg1897z00_531 = 
CAR(BgL_auxz00_1203); } 
{ /* ./Module/statexp.scm 95 */
obj_t BgL_auxz00_1206;
{ /* ./Module/statexp.scm 95 */
obj_t BgL_auxz00_1207;
BgL_auxz00_1207 = 
CDR(BgL_protoz00_526); 
BgL_auxz00_1206 = 
CDR(BgL_auxz00_1207); } 
BgL_arg1898z00_532 = 
CAR(BgL_auxz00_1206); } 
BgL_arg1894z00_530 = 
BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(BgL_arg1897z00_531, BgL_arg1898z00_532, BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_23, BgL_casezd2valuezd2_528, BgL_prototypez00_22, BFALSE); } 
return 
BGl_tozd2bezd2definez12z12zzast_findzd2gdefszd2(BgL_arg1894z00_530);}  else 
{ /* ./Module/statexp.scm 93 */
bool_t BgL_test1904z00_534;
{ /* ./Module/statexp.scm 93 */
obj_t BgL_auxz00_1213;
BgL_auxz00_1213 = 
CNST_TABLE_REF(((long)4)); 
BgL_test1904z00_534 = 
(BgL_casezd2valuezd2_528==BgL_auxz00_1213); } 
if(BgL_test1904z00_534)
{ /* ./Module/statexp.scm 102 */
BgL_globalz00_bglt BgL_arg1906z00_535;
{ /* ./Module/statexp.scm 102 */
obj_t BgL_arg1909z00_536;
{ /* ./Module/statexp.scm 102 */
obj_t BgL_auxz00_1217;
BgL_auxz00_1217 = 
CDR(BgL_protoz00_526); 
BgL_arg1909z00_536 = 
CAR(BgL_auxz00_1217); } 
BgL_arg1906z00_535 = 
BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(BgL_arg1909z00_536, BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_23, BgL_prototypez00_22, BFALSE); } 
return 
BGl_tozd2bezd2definez12z12zzast_findzd2gdefszd2(BgL_arg1906z00_535);}  else 
{ /* ./Module/statexp.scm 93 */
bool_t BgL_test1912z00_537;
{ /* ./Module/statexp.scm 93 */
obj_t BgL_auxz00_1222;
BgL_auxz00_1222 = 
CNST_TABLE_REF(((long)5)); 
BgL_test1912z00_537 = 
(BgL_casezd2valuezd2_528==BgL_auxz00_1222); } 
if(BgL_test1912z00_537)
{ /* ./Module/statexp.scm 108 */
obj_t BgL_arg1914z00_538;
{ /* ./Module/statexp.scm 108 */
obj_t BgL_zc3anonymousza31919ze3z83_1082;
{ 
int BgL_auxz00_1228;int BgL_auxz00_1226;
BgL_auxz00_1228 = 
(int)(((long)3)); 
BgL_auxz00_1226 = 
(int)(((long)0)); 
BgL_zc3anonymousza31919ze3z83_1082 = 
make_fx_procedure(BGl_zc3anonymousza31919ze3z83zzmodule_statexpz00, BgL_auxz00_1226, BgL_auxz00_1228); } 
{ /* ./Module/statexp.scm 108 */
int BgL_auxz00_1231;
BgL_auxz00_1231 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31919ze3z83_1082, BgL_auxz00_1231, BgL_protoz00_526); } 
{ /* ./Module/statexp.scm 108 */
int BgL_auxz00_1234;
BgL_auxz00_1234 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31919ze3z83_1082, BgL_auxz00_1234, BgL_importz00_23); } 
{ /* ./Module/statexp.scm 108 */
int BgL_auxz00_1237;
BgL_auxz00_1237 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31919ze3z83_1082, BgL_auxz00_1237, BgL_prototypez00_22); } 
BgL_arg1914z00_538 = 
BGl_makezd2promisezd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31919ze3z83_1082); } 
return ( 
BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = 
MAKE_PAIR(BgL_arg1914z00_538, BGl_za2localzd2classesza2zd2zzmodule_statexpz00), BUNSPEC) ;}  else 
{ /* ./Module/statexp.scm 93 */
bool_t BgL_test1924z00_543;
{ /* ./Module/statexp.scm 93 */
obj_t BgL_auxz00_1242;
BgL_auxz00_1242 = 
CNST_TABLE_REF(((long)6)); 
BgL_test1924z00_543 = 
(BgL_casezd2valuezd2_528==BgL_auxz00_1242); } 
if(BgL_test1924z00_543)
{ /* ./Module/statexp.scm 116 */
obj_t BgL_arg1926z00_544;
{ /* ./Module/statexp.scm 116 */
obj_t BgL_zc3anonymousza31931ze3z83_1083;
{ 
int BgL_auxz00_1248;int BgL_auxz00_1246;
BgL_auxz00_1248 = 
(int)(((long)3)); 
BgL_auxz00_1246 = 
(int)(((long)0)); 
BgL_zc3anonymousza31931ze3z83_1083 = 
make_fx_procedure(BGl_zc3anonymousza31931ze3z83zzmodule_statexpz00, BgL_auxz00_1246, BgL_auxz00_1248); } 
{ /* ./Module/statexp.scm 116 */
int BgL_auxz00_1251;
BgL_auxz00_1251 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31931ze3z83_1083, BgL_auxz00_1251, BgL_protoz00_526); } 
{ /* ./Module/statexp.scm 116 */
int BgL_auxz00_1254;
BgL_auxz00_1254 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31931ze3z83_1083, BgL_auxz00_1254, BgL_importz00_23); } 
{ /* ./Module/statexp.scm 116 */
int BgL_auxz00_1257;
BgL_auxz00_1257 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31931ze3z83_1083, BgL_auxz00_1257, BgL_prototypez00_22); } 
BgL_arg1926z00_544 = 
BGl_makezd2promisezd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31931ze3z83_1083); } 
return ( 
BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = 
MAKE_PAIR(BgL_arg1926z00_544, BGl_za2localzd2classesza2zd2zzmodule_statexpz00), BUNSPEC) ;}  else 
{ /* ./Module/statexp.scm 93 */
bool_t BgL_test1936z00_549;
{ /* ./Module/statexp.scm 93 */
obj_t BgL_auxz00_1262;
BgL_auxz00_1262 = 
CNST_TABLE_REF(((long)7)); 
BgL_test1936z00_549 = 
(BgL_casezd2valuezd2_528==BgL_auxz00_1262); } 
if(BgL_test1936z00_549)
{ /* ./Module/statexp.scm 124 */
obj_t BgL_arg1940z00_550;
{ /* ./Module/statexp.scm 124 */
obj_t BgL_zc3anonymousza31945ze3z83_1084;
{ 
int BgL_auxz00_1268;int BgL_auxz00_1266;
BgL_auxz00_1268 = 
(int)(((long)3)); 
BgL_auxz00_1266 = 
(int)(((long)0)); 
BgL_zc3anonymousza31945ze3z83_1084 = 
make_fx_procedure(BGl_zc3anonymousza31945ze3z83zzmodule_statexpz00, BgL_auxz00_1266, BgL_auxz00_1268); } 
{ /* ./Module/statexp.scm 124 */
int BgL_auxz00_1271;
BgL_auxz00_1271 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31945ze3z83_1084, BgL_auxz00_1271, BgL_protoz00_526); } 
{ /* ./Module/statexp.scm 124 */
int BgL_auxz00_1274;
BgL_auxz00_1274 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31945ze3z83_1084, BgL_auxz00_1274, BgL_importz00_23); } 
{ /* ./Module/statexp.scm 124 */
int BgL_auxz00_1277;
BgL_auxz00_1277 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31945ze3z83_1084, BgL_auxz00_1277, BgL_prototypez00_22); } 
BgL_arg1940z00_550 = 
BGl_makezd2promisezd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31945ze3z83_1084); } 
return ( 
BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = 
MAKE_PAIR(BgL_arg1940z00_550, BGl_za2localzd2classesza2zd2zzmodule_statexpz00), BUNSPEC) ;}  else 
{ /* ./Module/statexp.scm 93 */
bool_t BgL_test1950z00_555;
{ /* ./Module/statexp.scm 93 */
obj_t BgL_auxz00_1282;
BgL_auxz00_1282 = 
CNST_TABLE_REF(((long)8)); 
BgL_test1950z00_555 = 
(BgL_casezd2valuezd2_528==BgL_auxz00_1282); } 
if(BgL_test1950z00_555)
{ /* ./Module/statexp.scm 132 */
obj_t BgL_arg1952z00_556;
{ /* ./Module/statexp.scm 132 */
obj_t BgL_zc3anonymousza31957ze3z83_1085;
{ 
int BgL_auxz00_1288;int BgL_auxz00_1286;
BgL_auxz00_1288 = 
(int)(((long)3)); 
BgL_auxz00_1286 = 
(int)(((long)0)); 
BgL_zc3anonymousza31957ze3z83_1085 = 
make_fx_procedure(BGl_zc3anonymousza31957ze3z83zzmodule_statexpz00, BgL_auxz00_1286, BgL_auxz00_1288); } 
{ /* ./Module/statexp.scm 132 */
int BgL_auxz00_1291;
BgL_auxz00_1291 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31957ze3z83_1085, BgL_auxz00_1291, BgL_protoz00_526); } 
{ /* ./Module/statexp.scm 132 */
int BgL_auxz00_1294;
BgL_auxz00_1294 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31957ze3z83_1085, BgL_auxz00_1294, BgL_importz00_23); } 
{ /* ./Module/statexp.scm 132 */
int BgL_auxz00_1297;
BgL_auxz00_1297 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31957ze3z83_1085, BgL_auxz00_1297, BgL_prototypez00_22); } 
BgL_arg1952z00_556 = 
BGl_makezd2promisezd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31957ze3z83_1085); } 
return ( 
BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = 
MAKE_PAIR(BgL_arg1952z00_556, BGl_za2localzd2classesza2zd2zzmodule_statexpz00), BUNSPEC) ;}  else 
{ /* ./Module/statexp.scm 138 */
obj_t BgL_list1964z00_561;
BgL_list1964z00_561 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2285z00zzmodule_statexpz00, BGl_string2287z00zzmodule_statexpz00, BgL_prototypez00_22, BgL_list1964z00_561);} } } } } } } }  else 
{ /* ./Module/statexp.scm 87 */
obj_t BgL_arg1974z00_562;
BgL_arg1974z00_562 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
{ /* ./Module/statexp.scm 87 */
obj_t BgL_list1981z00_566;
BgL_list1981z00_566 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg1974z00_562, BGl_string2285z00zzmodule_statexpz00, BGl_string2287z00zzmodule_statexpz00, BgL_prototypez00_22, BgL_list1981z00_566);} } } } } 
}



/* <anonymous:1919> */
obj_t BGl_zc3anonymousza31919ze3z83zzmodule_statexpz00(obj_t BgL_envz00_1086)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 108 */
{ /* ./Module/statexp.scm 108 */
obj_t BgL_protoz00_1087;obj_t BgL_importz00_1088;obj_t BgL_prototypez00_1089;
{ /* ./Module/statexp.scm 108 */
int BgL_auxz00_1307;
BgL_auxz00_1307 = 
(int)(((long)0)); 
BgL_protoz00_1087 = 
PROCEDURE_REF(BgL_envz00_1086, BgL_auxz00_1307); } 
{ /* ./Module/statexp.scm 108 */
int BgL_auxz00_1310;
BgL_auxz00_1310 = 
(int)(((long)1)); 
BgL_importz00_1088 = 
PROCEDURE_REF(BgL_envz00_1086, BgL_auxz00_1310); } 
{ /* ./Module/statexp.scm 108 */
int BgL_auxz00_1313;
BgL_auxz00_1313 = 
(int)(((long)2)); 
BgL_prototypez00_1089 = 
PROCEDURE_REF(BgL_envz00_1086, BgL_auxz00_1313); } 
{ 

{ /* ./Module/statexp.scm 108 */
obj_t BgL_arg1921z00_541;
BgL_arg1921z00_541 = 
CDR(BgL_protoz00_1087); 
return 
BGl_declarezd2classz12zc0zzmodule_classz00(BgL_arg1921z00_541, BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_1088, ((bool_t)0), ((bool_t)0), BgL_prototypez00_1089, BFALSE);} } } } 
}



/* <anonymous:1931> */
obj_t BGl_zc3anonymousza31931ze3z83zzmodule_statexpz00(obj_t BgL_envz00_1090)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 116 */
{ /* ./Module/statexp.scm 116 */
obj_t BgL_protoz00_1091;obj_t BgL_importz00_1092;obj_t BgL_prototypez00_1093;
{ /* ./Module/statexp.scm 116 */
int BgL_auxz00_1318;
BgL_auxz00_1318 = 
(int)(((long)0)); 
BgL_protoz00_1091 = 
PROCEDURE_REF(BgL_envz00_1090, BgL_auxz00_1318); } 
{ /* ./Module/statexp.scm 116 */
int BgL_auxz00_1321;
BgL_auxz00_1321 = 
(int)(((long)1)); 
BgL_importz00_1092 = 
PROCEDURE_REF(BgL_envz00_1090, BgL_auxz00_1321); } 
{ /* ./Module/statexp.scm 116 */
int BgL_auxz00_1324;
BgL_auxz00_1324 = 
(int)(((long)2)); 
BgL_prototypez00_1093 = 
PROCEDURE_REF(BgL_envz00_1090, BgL_auxz00_1324); } 
{ 

{ /* ./Module/statexp.scm 116 */
obj_t BgL_arg1933z00_547;
BgL_arg1933z00_547 = 
CDR(BgL_protoz00_1091); 
return 
BGl_declarezd2classz12zc0zzmodule_classz00(BgL_arg1933z00_547, BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_1092, ((bool_t)0), ((bool_t)1), BgL_prototypez00_1093, BFALSE);} } } } 
}



/* <anonymous:1945> */
obj_t BGl_zc3anonymousza31945ze3z83zzmodule_statexpz00(obj_t BgL_envz00_1094)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 124 */
{ /* ./Module/statexp.scm 124 */
obj_t BgL_protoz00_1095;obj_t BgL_importz00_1096;obj_t BgL_prototypez00_1097;
{ /* ./Module/statexp.scm 124 */
int BgL_auxz00_1329;
BgL_auxz00_1329 = 
(int)(((long)0)); 
BgL_protoz00_1095 = 
PROCEDURE_REF(BgL_envz00_1094, BgL_auxz00_1329); } 
{ /* ./Module/statexp.scm 124 */
int BgL_auxz00_1332;
BgL_auxz00_1332 = 
(int)(((long)1)); 
BgL_importz00_1096 = 
PROCEDURE_REF(BgL_envz00_1094, BgL_auxz00_1332); } 
{ /* ./Module/statexp.scm 124 */
int BgL_auxz00_1335;
BgL_auxz00_1335 = 
(int)(((long)2)); 
BgL_prototypez00_1097 = 
PROCEDURE_REF(BgL_envz00_1094, BgL_auxz00_1335); } 
{ 

{ /* ./Module/statexp.scm 124 */
obj_t BgL_arg1947z00_553;
BgL_arg1947z00_553 = 
CDR(BgL_protoz00_1095); 
return 
BGl_declarezd2classz12zc0zzmodule_classz00(BgL_arg1947z00_553, BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_1096, ((bool_t)1), ((bool_t)0), BgL_prototypez00_1097, BFALSE);} } } } 
}



/* <anonymous:1957> */
obj_t BGl_zc3anonymousza31957ze3z83zzmodule_statexpz00(obj_t BgL_envz00_1098)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 132 */
{ /* ./Module/statexp.scm 132 */
obj_t BgL_protoz00_1099;obj_t BgL_importz00_1100;obj_t BgL_prototypez00_1101;
{ /* ./Module/statexp.scm 132 */
int BgL_auxz00_1340;
BgL_auxz00_1340 = 
(int)(((long)0)); 
BgL_protoz00_1099 = 
PROCEDURE_REF(BgL_envz00_1098, BgL_auxz00_1340); } 
{ /* ./Module/statexp.scm 132 */
int BgL_auxz00_1343;
BgL_auxz00_1343 = 
(int)(((long)1)); 
BgL_importz00_1100 = 
PROCEDURE_REF(BgL_envz00_1098, BgL_auxz00_1343); } 
{ /* ./Module/statexp.scm 132 */
int BgL_auxz00_1346;
BgL_auxz00_1346 = 
(int)(((long)2)); 
BgL_prototypez00_1101 = 
PROCEDURE_REF(BgL_envz00_1098, BgL_auxz00_1346); } 
{ 

{ /* ./Module/statexp.scm 132 */
obj_t BgL_arg1960z00_559;
BgL_arg1960z00_559 = 
CDR(BgL_protoz00_1099); 
return 
BGl_declarezd2widezd2classz12z12zzmodule_classz00(BgL_arg1960z00_559, BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_1100, BgL_prototypez00_1101, BFALSE);} } } } 
}



/* statexp-finalizer */
obj_t BGl_statexpzd2finaliza7erz75zzmodule_statexpz00()
{ AN_OBJECT;
{ /* ./Module/statexp.scm 160 */
{ 
obj_t BgL_l1776z00_567;
{ /* ./Module/statexp.scm 162 */
obj_t BgL_arg1988z00_569;
BgL_arg1988z00_569 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BGl_za2localzd2classesza2zd2zzmodule_statexpz00); 
BgL_l1776z00_567 = BgL_arg1988z00_569; 
BgL_forzd2each1777zd2_568:
{ /* ./Module/statexp.scm 162 */
bool_t BgL_test1991z00_570;
BgL_test1991z00_570 = 
PAIRP(BgL_l1776z00_567); 
if(BgL_test1991z00_570)
{ /* ./Module/statexp.scm 162 */
{ /* ./Module/statexp.scm 162 */
obj_t BgL_arg1993z00_571;
BgL_arg1993z00_571 = 
CAR(BgL_l1776z00_567); 
PROCEDURE_ENTRY(BgL_arg1993z00_571)(BgL_arg1993z00_571, BEOA); } 
{ /* ./Module/statexp.scm 162 */
obj_t BgL_arg1997z00_572;
BgL_arg1997z00_572 = 
CDR(BgL_l1776z00_567); 
{ 
obj_t BgL_l1776z00_1358;
BgL_l1776z00_1358 = BgL_arg1997z00_572; 
BgL_l1776z00_567 = BgL_l1776z00_1358; 
goto BgL_forzd2each1777zd2_568;} } }  else 
{ /* ./Module/statexp.scm 162 */((bool_t)1); } } } } 
BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = BNIL; 
{ /* ./Module/statexp.scm 165 */
obj_t BgL_classesz00_573;
BgL_classesz00_573 = 
BGl_classzd2finaliza7erz75zzmodule_classz00(); 
if(
PAIRP(BgL_classesz00_573))
{ /* ./Module/statexp.scm 166 */
return BgL_classesz00_573;}  else 
{ /* ./Module/statexp.scm 166 */
return 
CNST_TABLE_REF(((long)1));} } } 
}



/* _statexp-finalizer */
obj_t BGl__statexpzd2finaliza7erz75zzmodule_statexpz00(obj_t BgL_envz00_1081)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 160 */
return 
BGl_statexpzd2finaliza7erz75zzmodule_statexpz00();} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmodule_statexpz00()
{ AN_OBJECT;
{ /* ./Module/statexp.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_statexpz00()
{ AN_OBJECT;
{ /* ./Module/statexp.scm 15 */
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "module_statexp"); 
BGl_modulezd2initializa7ationz75zzmodule_prototypez00(((long)9611), "module_statexp"); 
BGl_modulezd2initializa7ationz75zzmodule_classz00(((long)34127), "module_statexp"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "module_statexp"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)42726), "module_statexp"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)32118), "module_statexp"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "module_statexp"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)23064), "module_statexp"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "module_statexp"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "module_statexp"); 
BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(((long)59854), "module_statexp"); 
return 
BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long)31087), "module_statexp");} 
}

