/*===========================================================================*/
/*   (Object/wide-access.scm)                                                */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Object/wide-access.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_slotz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_srcz00;
   obj_t BgL_classzd2ownerzd2;
   obj_t BgL_typez00;
   bool_t BgL_readzd2onlyzf3z21;
   obj_t BgL_defaultzd2valuezd2;
   obj_t BgL_virtualzd2numzd2;
   obj_t BgL_getterz00;
   obj_t BgL_setterz00;
   obj_t BgL_indexedz00;
   obj_t BgL_userzd2infozd2;
} *BgL_slotz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzobject_widezd2accesszd2();
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl__heapzd2widezd2classzd2accessorsz122205zc0zzobject_widezd2accesszd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
extern obj_t BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt, obj_t, obj_t);
static obj_t BGl_correctzd2widezd2classzf3zf3zzobject_widezd2accesszd2(BgL_tclassz00_bglt, obj_t);
static obj_t BGl__importzd2widezd2classzd2accessorsz122203zc0zzobject_widezd2accesszd2(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_typez00zztype_typez00;
extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
static obj_t BGl__genzd2widezd2classzd2accessorsz122201zc0zzobject_widezd2accesszd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzobject_widezd2accesszd2();
extern obj_t BGl_genzd2widezd2classzd2creatorszd2zzobject_creatorz00(BgL_tclassz00_bglt, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzobject_widezd2accesszd2();
extern obj_t BGl_genzd2widezd2classzc3zd2ze3structzf2zzobject_structz00(BgL_typez00_bglt, obj_t);
extern obj_t BGl_importzd2widezd2classzd2creatorszd2zzobject_creatorz00(BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_makezd2classzd2slotsz00zzobject_slotsz00(BgL_tclassz00_bglt, obj_t, obj_t, int, obj_t);
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
extern bool_t BGl_finalzd2classzf3z21zzobject_classz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzobject_widezd2accesszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_structz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_getterz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_creatorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_predicatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_coercionz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_genzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(obj_t, BgL_tclassz00_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_heapzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(BgL_tclassz00_bglt);
extern obj_t BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00(BgL_tclassz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_importzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(obj_t, BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_tclassz00_bglt, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzobject_widezd2accesszd2 = BUNSPEC;
static obj_t BGl_setzd2widezd2classzd2slotsz12zc0zzobject_widezd2accesszd2(obj_t, obj_t, BgL_tclassz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzobject_widezd2accesszd2();
static obj_t __cnst[ 1 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_heapzd2widezd2classzd2accessorsz12zd2envz12zzobject_widezd2accesszd2, BgL_bgl__heapza7d2wideza7d2classza7d2accessorsza7122205za7c0za7za7object_wideza7d2accessza7d22304za7, BGl__heapzd2widezd2classzd2accessorsz122205zc0zzobject_widezd2accesszd2, 0L, 1 );
DEFINE_STRING( BGl_string2278z00zzobject_widezd2accesszd2, BgL_bgl_string2278za700za7za7object_wideza7d2accessza7d22305za7, "(no def found) ", 15 );
DEFINE_STRING( BGl_string2277z00zzobject_widezd2accesszd2, BgL_bgl_string2277za700za7za7object_wideza7d2accessza7d22306za7, "Should not be able to see a plain class here", 44 );
DEFINE_STRING( BGl_string2276z00zzobject_widezd2accesszd2, BgL_bgl_string2276za700za7za7object_wideza7d2accessza7d22307za7, "correct-wide-class?", 19 );
DEFINE_STRING( BGl_string2275z00zzobject_widezd2accesszd2, BgL_bgl_string2275za700za7za7object_wideza7d2accessza7d22308za7, "' is not a final class", 22 );
DEFINE_STRING( BGl_string2274z00zzobject_widezd2accesszd2, BgL_bgl_string2274za700za7za7object_wideza7d2accessza7d22309za7, "super of wide class `", 21 );
DEFINE_STRING( BGl_string2273z00zzobject_widezd2accesszd2, BgL_bgl_string2273za700za7za7object_wideza7d2accessza7d22310za7, "A class can't be `wide' and `final'", 35 );
DEFINE_STRING( BGl_string2272z00zzobject_widezd2accesszd2, BgL_bgl_string2272za700za7za7object_wideza7d2accessza7d22311za7, "' is a wide class", 17 );
DEFINE_STRING( BGl_string2271z00zzobject_widezd2accesszd2, BgL_bgl_string2271za700za7za7object_wideza7d2accessza7d22312za7, "' is not a class", 16 );
DEFINE_STRING( BGl_string2270z00zzobject_widezd2accesszd2, BgL_bgl_string2270za700za7za7object_wideza7d2accessza7d22313za7, "super of `", 10 );
DEFINE_EXPORT_PROCEDURE( BGl_genzd2widezd2classzd2accessorsz12zd2envz12zzobject_widezd2accesszd2, BgL_bgl__genza7d2wideza7d2classza7d2accessorsza7122201za7c0za7za7object_wideza7d2accessza7d22314za7, BGl__genzd2widezd2classzd2accessorsz122201zc0zzobject_widezd2accesszd2, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_importzd2widezd2classzd2accessorsz12zd2envz12zzobject_widezd2accesszd2, BgL_bgl__importza7d2wideza7d2classza7d2accessorsza7122203za7c0za7za7object_wideza7d2accessza7d22315za7, BGl__importzd2widezd2classzd2accessorsz122203zc0zzobject_widezd2accesszd2, 0L, 4 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_widezd2accesszd2(long BgL_checksumz00_1062, char * BgL_fromz00_1063)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzobject_widezd2accesszd2))
{ 
BGl_requirezd2initializa7ationz75zzobject_widezd2accesszd2 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzobject_widezd2accesszd2(); 
BGl_cnstzd2initzd2zzobject_widezd2accesszd2(); 
BGl_importedzd2moduleszd2initz00zzobject_widezd2accesszd2(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzobject_widezd2accesszd2()
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 21 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "object_wide-access"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzobject_widezd2accesszd2()
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 21 */
{ /* ./Object/wide-access.scm 21 */
obj_t BgL_cportz00_1055;
BgL_cportz00_1055 = 
open_input_string(BGl_string2278z00zzobject_widezd2accesszd2); 
{ 
long BgL_iz00_1056;
BgL_iz00_1056 = ((long)0); 
BgL_loopz00_1057:
{ /* ./Object/wide-access.scm 21 */
bool_t BgL_test2280z00_1058;
BgL_test2280z00_1058 = 
(BgL_iz00_1056==((long)-1)); 
if(BgL_test2280z00_1058)
{ /* ./Object/wide-access.scm 21 */
return BUNSPEC;}  else 
{ /* ./Object/wide-access.scm 21 */
{ /* ./Object/wide-access.scm 21 */
obj_t BgL_arg2282z00_1059;
{ /* ./Object/wide-access.scm 21 */
obj_t BgL_list2285z00_1060;
BgL_list2285z00_1060 = 
MAKE_PAIR(BgL_cportz00_1055, BNIL); 
BgL_arg2282z00_1059 = 
BGl_readz00zz__readerz00(BgL_list2285z00_1060); } 
{ /* ./Object/wide-access.scm 21 */
int BgL_auxz00_1078;
BgL_auxz00_1078 = 
(int)(BgL_iz00_1056); 
CNST_TABLE_SET(BgL_auxz00_1078, BgL_arg2282z00_1059); } } 
{ /* ./Object/wide-access.scm 21 */
int BgL_auxz00_1061;
{ /* ./Object/wide-access.scm 21 */
long BgL_auxz00_1081;
BgL_auxz00_1081 = 
(BgL_iz00_1056-((long)1)); 
BgL_auxz00_1061 = 
(int)(BgL_auxz00_1081); } 
{ 
long BgL_iz00_1084;
BgL_iz00_1084 = 
(long)(BgL_auxz00_1061); 
BgL_iz00_1056 = BgL_iz00_1084; 
goto BgL_loopz00_1057;} } } } } } } 
}



/* gen-wide-class-accessors! */
BGL_EXPORTED_DEF obj_t BGl_genzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(obj_t BgL_classzd2defzd2_1, BgL_tclassz00_bglt BgL_classz00_2, obj_t BgL_srczd2defzd2_3, obj_t BgL_importz00_4)
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 50 */
{ /* ./Object/wide-access.scm 52 */
bool_t BgL_test1845z00_504;
{ /* ./Object/wide-access.scm 52 */
obj_t BgL_auxz00_1086;
BgL_auxz00_1086 = 
BGl_correctzd2widezd2classzf3zf3zzobject_widezd2accesszd2(BgL_classz00_2, BgL_srczd2defzd2_3); 
BgL_test1845z00_504 = 
CBOOL(BgL_auxz00_1086); } 
if(BgL_test1845z00_504)
{ /* ./Object/wide-access.scm 52 */
BGl_setzd2widezd2classzd2slotsz12zc0zzobject_widezd2accesszd2(BgL_classzd2defzd2_1, BgL_srczd2defzd2_3, BgL_classz00_2); 
BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(
(obj_t)(BgL_classz00_2)); 
{ /* ./Object/wide-access.scm 61 */
obj_t BgL_creatsz00_506;obj_t BgL_structsz00_507;obj_t BgL_predicatez00_508;
BgL_creatsz00_506 = 
BGl_genzd2widezd2classzd2creatorszd2zzobject_creatorz00(BgL_classz00_2, BgL_srczd2defzd2_3, BgL_importz00_4); 
BgL_structsz00_507 = 
BGl_genzd2widezd2classzc3zd2ze3structzf2zzobject_structz00(
(BgL_typez00_bglt)(BgL_classz00_2), BgL_srczd2defzd2_3); 
BgL_predicatez00_508 = 
BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_classz00_2, BgL_srczd2defzd2_3, BgL_importz00_4); 
{ /* ./Object/wide-access.scm 64 */
obj_t BgL_fieldsz00_509;
BgL_fieldsz00_509 = 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_classz00_2, 
(obj_t)(BgL_classz00_2), 
(obj_t)(BgL_classz00_2), BgL_srczd2defzd2_3); 
{ /* ./Object/wide-access.scm 66 */
obj_t BgL_virtualsz00_510;
{ /* ./Object/wide-access.scm 66 */
int BgL_nz00_750;
BgL_nz00_750 = 
(int)(((long)1)); 
BgL_virtualsz00_510 = 
BGL_MVALUES_VAL(BgL_nz00_750); } 
{ /* ./Object/wide-access.scm 66 */
obj_t BgL_superzd2fieldszd2_511;
{ /* ./Object/wide-access.scm 67 */
obj_t BgL_arg1866z00_519;
{ 
obj_t BgL_auxz00_1102;
{ /* ./Object/wide-access.scm 67 */
BgL_objectz00_bglt BgL_auxz00_1103;
BgL_auxz00_1103 = 
(BgL_objectz00_bglt)(BgL_classz00_2); 
BgL_auxz00_1102 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1103); } 
BgL_arg1866z00_519 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1102))->BgL_itszd2superzd2); } 
BgL_superzd2fieldszd2_511 = 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_classz00_2, BgL_arg1866z00_519, BFALSE, BgL_srczd2defzd2_3); } 
{ /* ./Object/wide-access.scm 68 */
obj_t BgL_superzd2virtualszd2_512;
{ /* ./Object/wide-access.scm 68 */
int BgL_nz00_752;
BgL_nz00_752 = 
(int)(((long)1)); 
BgL_superzd2virtualszd2_512 = 
BGL_MVALUES_VAL(BgL_nz00_752); } 
{ /* ./Object/wide-access.scm 68 */
obj_t BgL_val0_1831z00_513;obj_t BgL_val1_1832z00_514;
BgL_val0_1831z00_513 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_predicatez00_508, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_structsz00_507, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_creatsz00_506, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_superzd2fieldszd2_511, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_fieldsz00_509, BNIL))))); 
BgL_val1_1832z00_514 = 
bgl_append2(BgL_superzd2virtualszd2_512, BgL_virtualsz00_510); 
{ /* ./Object/wide-access.scm 68 */
int BgL_nz00_753;
BgL_nz00_753 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_nz00_753); } 
{ /* ./Object/wide-access.scm 68 */
int BgL_nz00_754;
BgL_nz00_754 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_nz00_754, BgL_val1_1832z00_514); } 
return BgL_val0_1831z00_513;} } } } } } }  else 
{ /* ./Object/wide-access.scm 52 */
{ /* ./Object/wide-access.scm 71 */
int BgL_nz00_756;
BgL_nz00_756 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_nz00_756); } 
{ /* ./Object/wide-access.scm 71 */
int BgL_nz00_757;
BgL_nz00_757 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_nz00_757, BNIL); } 
return BNIL;} } } 
}



/* _gen-wide-class-accessors!2201 */
obj_t BGl__genzd2widezd2classzd2accessorsz122201zc0zzobject_widezd2accesszd2(obj_t BgL_envz00_1043, obj_t BgL_classzd2defzd2_1044, obj_t BgL_classz00_1045, obj_t BgL_srczd2defzd2_1046, obj_t BgL_importz00_1047)
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 50 */
return 
BGl_genzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(BgL_classzd2defzd2_1044, 
(BgL_tclassz00_bglt)(BgL_classz00_1045), BgL_srczd2defzd2_1046, BgL_importz00_1047);} 
}



/* import-wide-class-accessors! */
BGL_EXPORTED_DEF obj_t BGl_importzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(obj_t BgL_classzd2defzd2_5, BgL_tclassz00_bglt BgL_classz00_6, obj_t BgL_srczd2defzd2_7, obj_t BgL_modulez00_8)
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 76 */
{ /* ./Object/wide-access.scm 78 */
bool_t BgL_test1879z00_522;
{ /* ./Object/wide-access.scm 78 */
obj_t BgL_auxz00_1126;
BgL_auxz00_1126 = 
BGl_correctzd2widezd2classzf3zf3zzobject_widezd2accesszd2(BgL_classz00_6, BgL_srczd2defzd2_7); 
BgL_test1879z00_522 = 
CBOOL(BgL_auxz00_1126); } 
if(BgL_test1879z00_522)
{ /* ./Object/wide-access.scm 78 */
BGl_setzd2widezd2classzd2slotsz12zc0zzobject_widezd2accesszd2(BgL_classzd2defzd2_5, BgL_srczd2defzd2_7, BgL_classz00_6); 
BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(
(obj_t)(BgL_classz00_6)); 
{ /* ./Object/wide-access.scm 87 */
obj_t BgL_creatsz00_524;obj_t BgL_predicatez00_525;
BgL_creatsz00_524 = 
BGl_importzd2widezd2classzd2creatorszd2zzobject_creatorz00(BgL_classz00_6, BgL_srczd2defzd2_7, BgL_modulez00_8); 
BgL_predicatez00_525 = 
BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_classz00_6, BgL_srczd2defzd2_7, BgL_modulez00_8); 
{ /* ./Object/wide-access.scm 89 */
obj_t BgL_fieldsz00_526;
BgL_fieldsz00_526 = 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_classz00_6, 
(obj_t)(BgL_classz00_6), 
(obj_t)(BgL_classz00_6), BgL_srczd2defzd2_7); 
{ /* ./Object/wide-access.scm 91 */
obj_t BgL_virtualsz00_527;
{ /* ./Object/wide-access.scm 91 */
int BgL_nz00_759;
BgL_nz00_759 = 
(int)(((long)1)); 
BgL_virtualsz00_527 = 
BGL_MVALUES_VAL(BgL_nz00_759); } 
{ /* ./Object/wide-access.scm 91 */
obj_t BgL_superzd2fieldszd2_528;
{ /* ./Object/wide-access.scm 92 */
obj_t BgL_arg1897z00_535;
{ 
obj_t BgL_auxz00_1140;
{ /* ./Object/wide-access.scm 92 */
BgL_objectz00_bglt BgL_auxz00_1141;
BgL_auxz00_1141 = 
(BgL_objectz00_bglt)(BgL_classz00_6); 
BgL_auxz00_1140 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1141); } 
BgL_arg1897z00_535 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1140))->BgL_itszd2superzd2); } 
BgL_superzd2fieldszd2_528 = 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_classz00_6, BgL_arg1897z00_535, BFALSE, BgL_srczd2defzd2_7); } 
{ /* ./Object/wide-access.scm 93 */
obj_t BgL_superzd2virtualszd2_529;
{ /* ./Object/wide-access.scm 93 */
int BgL_nz00_761;
BgL_nz00_761 = 
(int)(((long)1)); 
BgL_superzd2virtualszd2_529 = 
BGL_MVALUES_VAL(BgL_nz00_761); } 
{ /* ./Object/wide-access.scm 93 */
obj_t BgL_val0_1837z00_530;obj_t BgL_val1_1838z00_531;
BgL_val0_1837z00_530 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_predicatez00_525, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_creatsz00_524, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_superzd2fieldszd2_528, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_fieldsz00_526, BNIL)))); 
BgL_val1_1838z00_531 = 
bgl_append2(BgL_superzd2virtualszd2_529, BgL_virtualsz00_527); 
{ /* ./Object/wide-access.scm 93 */
int BgL_nz00_762;
BgL_nz00_762 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_nz00_762); } 
{ /* ./Object/wide-access.scm 93 */
int BgL_nz00_763;
BgL_nz00_763 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_nz00_763, BgL_val1_1838z00_531); } 
return BgL_val0_1837z00_530;} } } } } } }  else 
{ /* ./Object/wide-access.scm 78 */
{ /* ./Object/wide-access.scm 95 */
int BgL_nz00_765;
BgL_nz00_765 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_nz00_765); } 
{ /* ./Object/wide-access.scm 95 */
int BgL_nz00_766;
BgL_nz00_766 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_nz00_766, BNIL); } 
return BNIL;} } } 
}



/* _import-wide-class-accessors!2203 */
obj_t BGl__importzd2widezd2classzd2accessorsz122203zc0zzobject_widezd2accesszd2(obj_t BgL_envz00_1048, obj_t BgL_classzd2defzd2_1049, obj_t BgL_classz00_1050, obj_t BgL_srczd2defzd2_1051, obj_t BgL_modulez00_1052)
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 76 */
return 
BGl_importzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(BgL_classzd2defzd2_1049, 
(BgL_tclassz00_bglt)(BgL_classz00_1050), BgL_srczd2defzd2_1051, BgL_modulez00_1052);} 
}



/* heap-wide-class-accessors! */
BGL_EXPORTED_DEF obj_t BGl_heapzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(BgL_tclassz00_bglt BgL_classz00_9)
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 100 */
{ /* ./Object/wide-access.scm 101 */
obj_t BgL_srczd2defzd2_538;
BgL_srczd2defzd2_538 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./Object/wide-access.scm 106 */
obj_t BgL_fieldsz00_540;
BgL_fieldsz00_540 = 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_classz00_9, 
(obj_t)(BgL_classz00_9), BFALSE, BgL_srczd2defzd2_538); 
{ /* ./Object/wide-access.scm 108 */
obj_t BgL_virtualsz00_541;
{ /* ./Object/wide-access.scm 108 */
int BgL_nz00_768;
BgL_nz00_768 = 
(int)(((long)1)); 
BgL_virtualsz00_541 = 
BGL_MVALUES_VAL(BgL_nz00_768); } 
{ /* ./Object/wide-access.scm 108 */
obj_t BgL_superzd2fieldszd2_542;
{ /* ./Object/wide-access.scm 109 */
obj_t BgL_arg1914z00_546;
{ 
obj_t BgL_auxz00_1168;
{ /* ./Object/wide-access.scm 109 */
BgL_objectz00_bglt BgL_auxz00_1169;
BgL_auxz00_1169 = 
(BgL_objectz00_bglt)(BgL_classz00_9); 
BgL_auxz00_1168 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1169); } 
BgL_arg1914z00_546 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1168))->BgL_itszd2superzd2); } 
BgL_superzd2fieldszd2_542 = 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_classz00_9, BgL_arg1914z00_546, BFALSE, BgL_srczd2defzd2_538); } 
{ /* ./Object/wide-access.scm 110 */
obj_t BgL_superzd2virtualszd2_543;
{ /* ./Object/wide-access.scm 110 */
int BgL_nz00_770;
BgL_nz00_770 = 
(int)(((long)1)); 
BgL_superzd2virtualszd2_543 = 
BGL_MVALUES_VAL(BgL_nz00_770); } 
{ /* ./Object/wide-access.scm 110 */
obj_t BgL_val0_1843z00_544;obj_t BgL_val1_1844z00_545;
BgL_val0_1843z00_544 = 
bgl_append2(BgL_superzd2fieldszd2_542, BgL_fieldsz00_540); 
BgL_val1_1844z00_545 = 
bgl_append2(BgL_superzd2virtualszd2_543, BgL_virtualsz00_541); 
{ /* ./Object/wide-access.scm 110 */
int BgL_nz00_771;
BgL_nz00_771 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_nz00_771); } 
{ /* ./Object/wide-access.scm 110 */
int BgL_nz00_772;
BgL_nz00_772 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_nz00_772, BgL_val1_1844z00_545); } 
return BgL_val0_1843z00_544;} } } } } } } 
}



/* _heap-wide-class-accessors!2205 */
obj_t BGl__heapzd2widezd2classzd2accessorsz122205zc0zzobject_widezd2accesszd2(obj_t BgL_envz00_1053, obj_t BgL_classz00_1054)
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 100 */
return 
BGl_heapzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2(
(BgL_tclassz00_bglt)(BgL_classz00_1054));} 
}



/* set-wide-class-slots! */
obj_t BGl_setzd2widezd2classzd2slotsz12zc0zzobject_widezd2accesszd2(obj_t BgL_classzd2defzd2_10, obj_t BgL_srczd2defzd2_11, BgL_tclassz00_bglt BgL_classz00_12)
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 119 */
{ /* ./Object/wide-access.scm 120 */
obj_t BgL_superz00_547;
{ /* ./Object/wide-access.scm 120 */
obj_t BgL_superz00_553;
{ 
obj_t BgL_auxz00_1184;
{ /* ./Object/wide-access.scm 120 */
BgL_objectz00_bglt BgL_auxz00_1185;
BgL_auxz00_1185 = 
(BgL_objectz00_bglt)(BgL_classz00_12); 
BgL_auxz00_1184 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1185); } 
BgL_superz00_553 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1184))->BgL_itszd2superzd2); } 
{ /* ./Object/wide-access.scm 121 */
bool_t BgL_testz00_1189;
{ /* ./Object/wide-access.scm 121 */
obj_t BgL_auxz00_1190;
BgL_auxz00_1190 = 
(obj_t)(BgL_classz00_12); 
BgL_testz00_1189 = 
(BgL_superz00_553==BgL_auxz00_1190); } 
if(BgL_testz00_1189)
{ /* ./Object/wide-access.scm 121 */
BgL_superz00_547 = BFALSE; }  else 
{ /* ./Object/wide-access.scm 121 */
BgL_superz00_547 = BgL_superz00_553; } } } 
{ /* ./Object/wide-access.scm 120 */
obj_t BgL_superzd2vnumzd2_548;
{ /* ./Object/wide-access.scm 124 */
bool_t BgL_test1924z00_552;
BgL_test1924z00_552 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_547, BGl_tclassz00zzobject_classz00); 
if(BgL_test1924z00_552)
{ /* ./Object/wide-access.scm 125 */
BgL_tclassz00_bglt BgL_obj1620z00_776;
BgL_obj1620z00_776 = 
(BgL_tclassz00_bglt)(BgL_superz00_547); 
{ 
obj_t BgL_auxz00_1196;
{ /* ./Object/wide-access.scm 125 */
BgL_objectz00_bglt BgL_auxz00_1197;
BgL_auxz00_1197 = 
(BgL_objectz00_bglt)(BgL_obj1620z00_776); 
BgL_auxz00_1196 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1197); } 
BgL_superzd2vnumzd2_548 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1196))->BgL_virtualzd2slotszd2numberz00); } }  else 
{ /* ./Object/wide-access.scm 124 */
BgL_superzd2vnumzd2_548 = 
BINT(((long)0)); } } 
{ /* ./Object/wide-access.scm 124 */
obj_t BgL_slotsz00_549;
{ /* ./Object/wide-access.scm 127 */
obj_t BgL_auxz00_1202;
BgL_auxz00_1202 = 
CDR(BgL_classzd2defzd2_10); 
BgL_slotsz00_549 = 
CDR(BgL_auxz00_1202); } 
{ /* ./Object/wide-access.scm 127 */

{ /* ./Object/wide-access.scm 131 */
obj_t BgL_cslotsz00_550;
BgL_cslotsz00_550 = 
BGl_makezd2classzd2slotsz00zzobject_slotsz00(BgL_classz00_12, BgL_slotsz00_549, BFALSE, 
CINT(BgL_superzd2vnumzd2_548), BgL_srczd2defzd2_11); 
{ /* ./Object/wide-access.scm 131 */
obj_t BgL_localzd2vnumzd2_551;
BgL_localzd2vnumzd2_551 = 
BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00(BgL_classz00_12, BgL_cslotsz00_550); 
{ /* ./Object/wide-access.scm 132 */

{ 
obj_t BgL_auxz00_1208;
{ /* ./Object/wide-access.scm 134 */
BgL_objectz00_bglt BgL_auxz00_1209;
BgL_auxz00_1209 = 
(BgL_objectz00_bglt)(BgL_classz00_12); 
BgL_auxz00_1208 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1209); } 
((((BgL_tclassz00_bglt)CREF(BgL_auxz00_1208))->BgL_virtualzd2slotszd2numberz00) = ((obj_t)BgL_localzd2vnumzd2_551), BUNSPEC); } 
{ 
obj_t BgL_auxz00_1213;
{ /* ./Object/wide-access.scm 136 */
BgL_objectz00_bglt BgL_auxz00_1214;
BgL_auxz00_1214 = 
(BgL_objectz00_bglt)(BgL_classz00_12); 
BgL_auxz00_1213 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1214); } 
return 
((((BgL_tclassz00_bglt)CREF(BgL_auxz00_1213))->BgL_slotsz00) = ((obj_t)BgL_cslotsz00_550), BUNSPEC);} } } } } } } } } 
}



/* correct-wide-class? */
obj_t BGl_correctzd2widezd2classzf3zf3zzobject_widezd2accesszd2(BgL_tclassz00_bglt BgL_classz00_13, obj_t BgL_srczd2defzd2_14)
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 145 */
{ /* ./Object/wide-access.scm 146 */
obj_t BgL_superz00_555;
{ 
obj_t BgL_auxz00_1218;
{ /* ./Object/wide-access.scm 146 */
BgL_objectz00_bglt BgL_auxz00_1219;
BgL_auxz00_1219 = 
(BgL_objectz00_bglt)(BgL_classz00_13); 
BgL_auxz00_1218 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1219); } 
BgL_superz00_555 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1218))->BgL_itszd2superzd2); } 
{ /* ./Object/wide-access.scm 146 */
obj_t BgL_classzd2idzd2_556;
{ /* ./Object/wide-access.scm 147 */
BgL_typez00_bglt BgL_obj1003z00_786;
BgL_obj1003z00_786 = 
(BgL_typez00_bglt)(BgL_classz00_13); 
BgL_classzd2idzd2_556 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_786))->BgL_idz00); } 
{ /* ./Object/wide-access.scm 147 */

{ /* ./Object/wide-access.scm 151 */
bool_t BgL_test1930z00_557;
{ /* ./Object/wide-access.scm 151 */
bool_t BgL_test1987z00_581;
BgL_test1987z00_581 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_555, BGl_typez00zztype_typez00); 
if(BgL_test1987z00_581)
{ /* ./Object/wide-access.scm 151 */
bool_t BgL_test1988z00_582;
BgL_test1988z00_582 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_555, BGl_tclassz00zzobject_classz00); 
if(BgL_test1988z00_582)
{ /* ./Object/wide-access.scm 151 */
BgL_test1930z00_557 = ((bool_t)0); }  else 
{ /* ./Object/wide-access.scm 151 */
BgL_test1930z00_557 = ((bool_t)1); } }  else 
{ /* ./Object/wide-access.scm 151 */
BgL_test1930z00_557 = ((bool_t)0); } } 
if(BgL_test1930z00_557)
{ /* ./Object/wide-access.scm 151 */
{ /* ./Object/wide-access.scm 152 */
obj_t BgL_arg1932z00_558;obj_t BgL_arg1933z00_559;
{ /* ./Object/wide-access.scm 152 */
BgL_typez00_bglt BgL_obj1003z00_789;
BgL_obj1003z00_789 = 
(BgL_typez00_bglt)(BgL_superz00_555); 
BgL_arg1932z00_558 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_789))->BgL_idz00); } 
{ /* ./Object/wide-access.scm 153 */
obj_t BgL_arg1941z00_562;
BgL_arg1941z00_562 = 
SYMBOL_TO_STRING(BgL_classzd2idzd2_556); 
BgL_arg1933z00_559 = 
string_append_3(BGl_string2270z00zzobject_widezd2accesszd2, BgL_arg1941z00_562, BGl_string2271z00zzobject_widezd2accesszd2); } 
{ /* ./Object/wide-access.scm 152 */
obj_t BgL_list1935z00_560;
BgL_list1935z00_560 = 
MAKE_PAIR(BGl_typez00zztype_typez00, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_arg1932z00_558, BgL_arg1933z00_559, BgL_srczd2defzd2_14, BgL_list1935z00_560);} } }  else 
{ /* ./Object/wide-access.scm 158 */
bool_t BgL_test1946z00_564;
BgL_test1946z00_564 = 
BGl_widezd2classzf3z21zzobject_classz00(
(obj_t)(BgL_classz00_13)); 
if(BgL_test1946z00_564)
{ /* ./Object/wide-access.scm 164 */
bool_t BgL_test1947z00_565;
BgL_test1947z00_565 = 
BGl_widezd2classzf3z21zzobject_classz00(BgL_superz00_555); 
if(BgL_test1947z00_565)
{ /* ./Object/wide-access.scm 164 */
{ /* ./Object/wide-access.scm 166 */
obj_t BgL_arg1949z00_566;obj_t BgL_arg1952z00_567;
{ /* ./Object/wide-access.scm 166 */
BgL_typez00_bglt BgL_obj1003z00_791;
BgL_obj1003z00_791 = 
(BgL_typez00_bglt)(BgL_superz00_555); 
BgL_arg1949z00_566 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_791))->BgL_idz00); } 
{ /* ./Object/wide-access.scm 167 */
obj_t BgL_arg1960z00_570;
BgL_arg1960z00_570 = 
SYMBOL_TO_STRING(BgL_classzd2idzd2_556); 
BgL_arg1952z00_567 = 
string_append_3(BGl_string2270z00zzobject_widezd2accesszd2, BgL_arg1960z00_570, BGl_string2272z00zzobject_widezd2accesszd2); } 
{ /* ./Object/wide-access.scm 166 */
obj_t BgL_list1954z00_568;
BgL_list1954z00_568 = 
MAKE_PAIR(BGl_typez00zztype_typez00, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_arg1949z00_566, BgL_arg1952z00_567, BgL_srczd2defzd2_14, BgL_list1954z00_568);} } }  else 
{ /* ./Object/wide-access.scm 172 */
bool_t BgL_test1964z00_572;
BgL_test1964z00_572 = 
BGl_finalzd2classzf3z21zzobject_classz00(BgL_superz00_555); 
if(BgL_test1964z00_572)
{ /* ./Object/wide-access.scm 180 */
bool_t BgL_test1965z00_573;
BgL_test1965z00_573 = 
BGl_finalzd2classzf3z21zzobject_classz00(
(obj_t)(BgL_classz00_13)); 
if(BgL_test1965z00_573)
{ /* ./Object/wide-access.scm 180 */
{ /* ./Object/wide-access.scm 182 */
obj_t BgL_list1967z00_574;
BgL_list1967z00_574 = 
MAKE_PAIR(BGl_typez00zztype_typez00, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_classzd2idzd2_556, BGl_string2273z00zzobject_widezd2accesszd2, BgL_srczd2defzd2_14, BgL_list1967z00_574);} }  else 
{ /* ./Object/wide-access.scm 180 */
return BTRUE;} }  else 
{ /* ./Object/wide-access.scm 172 */
{ /* ./Object/wide-access.scm 174 */
obj_t BgL_arg1971z00_575;obj_t BgL_arg1972z00_576;
{ /* ./Object/wide-access.scm 174 */
BgL_typez00_bglt BgL_obj1003z00_793;
BgL_obj1003z00_793 = 
(BgL_typez00_bglt)(BgL_superz00_555); 
BgL_arg1971z00_575 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_793))->BgL_idz00); } 
{ /* ./Object/wide-access.scm 175 */
obj_t BgL_arg1979z00_579;
BgL_arg1979z00_579 = 
SYMBOL_TO_STRING(BgL_classzd2idzd2_556); 
BgL_arg1972z00_576 = 
string_append_3(BGl_string2274z00zzobject_widezd2accesszd2, BgL_arg1979z00_579, BGl_string2275z00zzobject_widezd2accesszd2); } 
{ /* ./Object/wide-access.scm 174 */
obj_t BgL_list1974z00_577;
BgL_list1974z00_577 = 
MAKE_PAIR(BGl_typez00zztype_typez00, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_arg1971z00_575, BgL_arg1972z00_576, BgL_srczd2defzd2_14, BgL_list1974z00_577);} } } } }  else 
{ /* ./Object/wide-access.scm 158 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string2276z00zzobject_widezd2accesszd2, BGl_string2277z00zzobject_widezd2accesszd2, BgL_srczd2defzd2_14);} } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzobject_widezd2accesszd2()
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 21 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzobject_widezd2accesszd2()
{ AN_OBJECT;
{ /* ./Object/wide-access.scm 21 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)58542), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zztype_toolsz00(((long)15091), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzast_privatez00(((long)8704), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)23064), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_structz00(((long)41062), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long)44183), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long)58597), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_getterz00(((long)33088), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_creatorz00(((long)1891), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_predicatez00(((long)48253), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzobject_coercionz00(((long)60980), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "object_wide-access"); 
BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long)12782), "object_wide-access"); 
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "object_wide-access");} 
}

