/*===========================================================================*/
/*   (Prof/emit.scm)                                                         */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Prof/emit.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


static obj_t BGl_methodzd2initzd2zzprof_emitz00();
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_sfunz00zzast_varz00;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t string_to_bstring(char *);
extern obj_t BGl_za2builtinzd2allocatorsza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzprof_emitz00();
BGL_IMPORT obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzprof_emitz00();
extern obj_t BGl_za2profzd2tablezd2nameza2z00zzengine_paramz00;
extern obj_t BGl_setzd2variablezd2namez12z12zzcgen_prototypez00(obj_t);
static obj_t BGl_toplevelzd2initzd2zzprof_emitz00();
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzprof_emitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcgen_prototypez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t);
BGL_IMPORT obj_t display_string(obj_t, obj_t);
static unsigned char BGl_emitzd2globalz12zc0zzprof_emitz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_emitzd2profzd2infoz00zzprof_emitz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzprof_emitz00 = BUNSPEC;
static obj_t BGl_zc3anonymousza32782ze3z83zzprof_emitz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzprof_emitz00();
static obj_t BGl__emitzd2profzd2infoz00zzprof_emitz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 3 ] ;


DEFINE_STRING( BGl_string3381z00zzprof_emitz00, BgL_bgl_string3381za700za7za7prof_emitza7003409z00, "foreign location allocator ", 27 );
DEFINE_STRING( BGl_string3380z00zzprof_emitz00, BgL_bgl_string3380za700za7za7prof_emitza7003410z00, ") \\\"", 4 );
DEFINE_STRING( BGl_string3379z00zzprof_emitz00, BgL_bgl_string3379za700za7za7prof_emitza7003411z00, "\\\" ", 3 );
DEFINE_STRING( BGl_string3378z00zzprof_emitz00, BgL_bgl_string3378za700za7za7prof_emitza7003412z00, "      fputs( \"((\\\"", 18 );
DEFINE_STRING( BGl_string3377z00zzprof_emitz00, BgL_bgl_string3377za700za7za7prof_emitza7003413z00, "}\n", 2 );
DEFINE_STRING( BGl_string3376z00zzprof_emitz00, BgL_bgl_string3376za700za7za7prof_emitza7003414z00, "   return BUNSPEC;", 18 );
DEFINE_STRING( BGl_string3375z00zzprof_emitz00, BgL_bgl_string3375za700za7za7prof_emitza7003415z00, "   GC_profile_init();", 21 );
DEFINE_STRING( BGl_string3374z00zzprof_emitz00, BgL_bgl_string3374za700za7za7prof_emitza7003416z00, "   }", 4 );
DEFINE_STRING( BGl_string3373z00zzprof_emitz00, BgL_bgl_string3373za700za7za7prof_emitza7003417z00, ")\\n\", (FILE *)bprof_port );", 27 );
DEFINE_STRING( BGl_string3372z00zzprof_emitz00, BgL_bgl_string3372za700za7za7prof_emitza7003418z00, "\\\"", 2 );
DEFINE_STRING( BGl_string3371z00zzprof_emitz00, BgL_bgl_string3371za700za7za7prof_emitza7003419z00, "\\\" \\\"", 5 );
DEFINE_STRING( BGl_string3370z00zzprof_emitz00, BgL_bgl_string3370za700za7za7prof_emitza7003420z00, "      fputs( \"(\\\"", 17 );
DEFINE_STRING( BGl_string3369z00zzprof_emitz00, BgL_bgl_string3369za700za7za7prof_emitza7003421z00, "   if( bprof_port ) {", 21 );
DEFINE_STRING( BGl_string3368z00zzprof_emitz00, BgL_bgl_string3368za700za7za7prof_emitza7003422z00, "\", \"w\" );", 9 );
DEFINE_STRING( BGl_string3367z00zzprof_emitz00, BgL_bgl_string3367za700za7za7prof_emitza7003423z00, "   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( \"", 59 );
DEFINE_STRING( BGl_string3366z00zzprof_emitz00, BgL_bgl_string3366za700za7za7prof_emitza7003424z00, "   extern obj_t bprof_port;", 27 );
DEFINE_STRING( BGl_string3365z00zzprof_emitz00, BgL_bgl_string3365za700za7za7prof_emitza7003425z00, "static obj_t write_bprof_table() {", 34 );
DEFINE_STRING( BGl_string3364z00zzprof_emitz00, BgL_bgl_string3364za700za7za7prof_emitza7003426z00, "/* prof association table */", 28 );
DEFINE_EXPORT_PROCEDURE( BGl_emitzd2profzd2infozd2envzd2zzprof_emitz00, BgL_bgl__emitza7d2profza7d2infoza700za7za7prof_emitza7003427z00, BGl__emitzd2profzd2infoz00zzprof_emitz00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzprof_emitz00(long BgL_checksumz00_1981, char * BgL_fromz00_1982)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzprof_emitz00))
{ 
BGl_requirezd2initializa7ationz75zzprof_emitz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzprof_emitz00(); 
BGl_cnstzd2initzd2zzprof_emitz00(); 
BGl_importedzd2moduleszd2initz00zzprof_emitz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzprof_emitz00()
{ AN_OBJECT;
{ /* ./Prof/emit.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "prof_emit"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "prof_emit"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "prof_emit"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "prof_emit"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzprof_emitz00()
{ AN_OBJECT;
{ /* ./Prof/emit.scm 15 */
{ /* ./Prof/emit.scm 15 */
obj_t BgL_cportz00_1974;
BgL_cportz00_1974 = 
open_input_string(BGl_string3381z00zzprof_emitz00); 
{ 
long BgL_iz00_1975;
BgL_iz00_1975 = ((long)2); 
BgL_loopz00_1976:
{ /* ./Prof/emit.scm 15 */
bool_t BgL_test3383z00_1977;
BgL_test3383z00_1977 = 
(BgL_iz00_1975==((long)-1)); 
if(BgL_test3383z00_1977)
{ /* ./Prof/emit.scm 15 */
return BUNSPEC;}  else 
{ /* ./Prof/emit.scm 15 */
{ /* ./Prof/emit.scm 15 */
obj_t BgL_arg3385z00_1978;
{ /* ./Prof/emit.scm 15 */
obj_t BgL_list3388z00_1979;
BgL_list3388z00_1979 = 
MAKE_PAIR(BgL_cportz00_1974, BNIL); 
BgL_arg3385z00_1978 = 
BGl_readz00zz__readerz00(BgL_list3388z00_1979); } 
{ /* ./Prof/emit.scm 15 */
int BgL_auxz00_1998;
BgL_auxz00_1998 = 
(int)(BgL_iz00_1975); 
CNST_TABLE_SET(BgL_auxz00_1998, BgL_arg3385z00_1978); } } 
{ /* ./Prof/emit.scm 15 */
int BgL_auxz00_1980;
{ /* ./Prof/emit.scm 15 */
long BgL_auxz00_2001;
BgL_auxz00_2001 = 
(BgL_iz00_1975-((long)1)); 
BgL_auxz00_1980 = 
(int)(BgL_auxz00_2001); } 
{ 
long BgL_iz00_2004;
BgL_iz00_2004 = 
(long)(BgL_auxz00_1980); 
BgL_iz00_1975 = BgL_iz00_2004; 
goto BgL_loopz00_1976;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzprof_emitz00()
{ AN_OBJECT;
{ /* ./Prof/emit.scm 15 */
return BUNSPEC;} 
}



/* emit-prof-info */
BGL_EXPORTED_DEF obj_t BGl_emitzd2profzd2infoz00zzprof_emitz00(obj_t BgL_globalsz00_33, obj_t BgL_portz00_34)
{ AN_OBJECT;
{ /* ./Prof/emit.scm 37 */
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
display_string(BGl_string3364z00zzprof_emitz00, BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
display_string(BGl_string3365z00zzprof_emitz00, BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
display_string(BGl_string3366z00zzprof_emitz00, BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
display_string(BGl_string3367z00zzprof_emitz00, BgL_portz00_34); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2profzd2tablezd2nameza2z00zzengine_paramz00, BgL_portz00_34); 
display_string(BGl_string3368z00zzprof_emitz00, BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
display_string(BGl_string3369z00zzprof_emitz00, BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
{ /* ./Prof/emit.scm 78 */
obj_t BgL_zc3anonymousza32782ze3z83_1964;
{ 
int BgL_auxz00_2022;int BgL_auxz00_2020;
BgL_auxz00_2022 = 
(int)(((long)1)); 
BgL_auxz00_2020 = 
(int)(((long)1)); 
BgL_zc3anonymousza32782ze3z83_1964 = 
make_fx_procedure(BGl_zc3anonymousza32782ze3z83zzprof_emitz00, BgL_auxz00_2020, BgL_auxz00_2022); } 
{ /* ./Prof/emit.scm 78 */
int BgL_auxz00_2025;
BgL_auxz00_2025 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32782ze3z83_1964, BgL_auxz00_2025, BgL_portz00_34); } 
BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_zc3anonymousza32782ze3z83_1964); } 
{ 
obj_t BgL_l2686z00_968;
BgL_l2686z00_968 = BgL_globalsz00_33; 
BgL_forzd2each2687zd2_969:
{ /* ./Prof/emit.scm 84 */
bool_t BgL_test2801z00_970;
BgL_test2801z00_970 = 
PAIRP(BgL_l2686z00_968); 
if(BgL_test2801z00_970)
{ /* ./Prof/emit.scm 84 */
{ /* ./Prof/emit.scm 85 */
obj_t BgL_globalz00_971;
BgL_globalz00_971 = 
CAR(BgL_l2686z00_968); 
{ /* ./Prof/emit.scm 85 */
bool_t BgL_test2802z00_972;
{ /* ./Prof/emit.scm 85 */
BgL_globalz00_bglt BgL_obj1183z00_1446;
BgL_obj1183z00_1446 = 
(BgL_globalz00_bglt)(BgL_globalz00_971); 
BgL_test2802z00_972 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1183z00_1446))->BgL_userzf3zf3); } 
if(BgL_test2802z00_972)
{ /* ./Prof/emit.scm 86 */
unsigned char BgL_auxz00_2035;
BgL_auxz00_2035 = 
BGl_emitzd2globalz12zc0zzprof_emitz00(BgL_portz00_34, BgL_globalz00_971); 
BCHAR(BgL_auxz00_2035); }  else 
{ /* ./Prof/emit.scm 85 */BFALSE; } } } 
{ /* ./Prof/emit.scm 84 */
obj_t BgL_arg2807z00_973;
BgL_arg2807z00_973 = 
CDR(BgL_l2686z00_968); 
{ 
obj_t BgL_l2686z00_2039;
BgL_l2686z00_2039 = BgL_arg2807z00_973; 
BgL_l2686z00_968 = BgL_l2686z00_2039; 
goto BgL_forzd2each2687zd2_969;} } }  else 
{ /* ./Prof/emit.scm 84 */((bool_t)1); } } } 
{ 
obj_t BgL_l2688z00_974;
BgL_l2688z00_974 = BGl_za2builtinzd2allocatorsza2zd2zzengine_paramz00; 
BgL_forzd2each2689zd2_975:
{ /* ./Prof/emit.scm 90 */
bool_t BgL_test2812z00_976;
BgL_test2812z00_976 = 
PAIRP(BgL_l2688z00_974); 
if(BgL_test2812z00_976)
{ /* ./Prof/emit.scm 90 */
{ /* ./Prof/emit.scm 91 */
obj_t BgL_scmze2cze2_977;
BgL_scmze2cze2_977 = 
CAR(BgL_l2688z00_974); 
{ /* ./Prof/emit.scm 91 */
obj_t BgL_scmz00_978;obj_t BgL_cz00_979;
BgL_scmz00_978 = 
CAR(BgL_scmze2cze2_977); 
BgL_cz00_979 = 
CDR(BgL_scmze2cze2_977); 
display_string(BGl_string3370z00zzprof_emitz00, BgL_portz00_34); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_scmz00_978, BgL_portz00_34); 
display_string(BGl_string3371z00zzprof_emitz00, BgL_portz00_34); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_cz00_979, BgL_portz00_34); 
display_string(BGl_string3372z00zzprof_emitz00, BgL_portz00_34); 
display_string(BGl_string3373z00zzprof_emitz00, BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); } } 
{ /* ./Prof/emit.scm 90 */
obj_t BgL_arg2824z00_981;
BgL_arg2824z00_981 = 
CDR(BgL_l2688z00_974); 
{ 
obj_t BgL_l2688z00_2053;
BgL_l2688z00_2053 = BgL_arg2824z00_981; 
BgL_l2688z00_974 = BgL_l2688z00_2053; 
goto BgL_forzd2each2689zd2_975;} } }  else 
{ /* ./Prof/emit.scm 90 */((bool_t)1); } } } 
display_string(BGl_string3374z00zzprof_emitz00, BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
display_string(BGl_string3375z00zzprof_emitz00, BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
display_string(BGl_string3376z00zzprof_emitz00, BgL_portz00_34); 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
display_string(BGl_string3377z00zzprof_emitz00, BgL_portz00_34); 
{ /* ./Prof/emit.scm 103 */
unsigned char BgL_auxz00_2061;
BgL_auxz00_2061 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_34); 
return 
BCHAR(BgL_auxz00_2061);} } 
}



/* _emit-prof-info */
obj_t BGl__emitzd2profzd2infoz00zzprof_emitz00(obj_t BgL_envz00_1965, obj_t BgL_globalsz00_1966, obj_t BgL_portz00_1967)
{ AN_OBJECT;
{ /* ./Prof/emit.scm 37 */
return 
BGl_emitzd2profzd2infoz00zzprof_emitz00(BgL_globalsz00_1966, BgL_portz00_1967);} 
}



/* emit-global! */
unsigned char BGl_emitzd2globalz12zc0zzprof_emitz00(obj_t BgL_portz00_1968, obj_t BgL_globalz00_986)
{ AN_OBJECT;
{ /* ./Prof/emit.scm 65 */
{ /* ./Prof/emit.scm 39 */
BgL_valuez00_bglt BgL_sfunz00_988;
{ /* ./Prof/emit.scm 39 */
BgL_variablez00_bglt BgL_obj1104z00_1458;
BgL_obj1104z00_1458 = 
(BgL_variablez00_bglt)(BgL_globalz00_986); 
BgL_sfunz00_988 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1458))->BgL_valuez00); } 
{ /* ./Prof/emit.scm 40 */

BGl_setzd2variablezd2namez12z12zzcgen_prototypez00(BgL_globalz00_986); 
{ /* ./Prof/emit.scm 42 */
obj_t BgL_idz00_990;obj_t BgL_czd2namezd2_991;obj_t BgL_alloczf3zf3_992;obj_t BgL_locz00_993;
{ /* ./Prof/emit.scm 42 */
BgL_variablez00_bglt BgL_obj1097z00_1460;
BgL_obj1097z00_1460 = 
(BgL_variablez00_bglt)(BgL_globalz00_986); 
BgL_idz00_990 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1460))->BgL_idz00); } 
{ /* ./Prof/emit.scm 43 */
BgL_variablez00_bglt BgL_obj1098z00_1461;
BgL_obj1098z00_1461 = 
(BgL_variablez00_bglt)(BgL_globalz00_986); 
BgL_czd2namezd2_991 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1098z00_1461))->BgL_namez00); } 
{ /* ./Prof/emit.scm 44 */
bool_t BgL__andtest_2677z00_1001;
{ /* ./Prof/emit.scm 44 */
obj_t BgL_obj1426z00_1462;
BgL_obj1426z00_1462 = 
(obj_t)(BgL_sfunz00_988); 
BgL__andtest_2677z00_1001 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1426z00_1462, BGl_sfunz00zzast_varz00); } 
if(BgL__andtest_2677z00_1001)
{ /* ./Prof/emit.scm 45 */
obj_t BgL_auxz00_2075;
{ /* ./Prof/emit.scm 45 */
BgL_sfunz00_bglt BgL_obj1367z00_1463;
BgL_obj1367z00_1463 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_988); 
BgL_auxz00_2075 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1367z00_1463))->BgL_propertyz00); } 
BgL_alloczf3zf3_992 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)0)), BgL_auxz00_2075); }  else 
{ /* ./Prof/emit.scm 44 */
BgL_alloczf3zf3_992 = BFALSE; } } 
{ /* ./Prof/emit.scm 46 */
bool_t BgL__andtest_2678z00_1004;
{ /* ./Prof/emit.scm 46 */
obj_t BgL_obj1426z00_1464;
BgL_obj1426z00_1464 = 
(obj_t)(BgL_sfunz00_988); 
BgL__andtest_2678z00_1004 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1426z00_1464, BGl_sfunz00zzast_varz00); } 
if(BgL__andtest_2678z00_1004)
{ /* ./Prof/emit.scm 47 */
BgL_sfunz00_bglt BgL_obj1382z00_1465;
BgL_obj1382z00_1465 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_988); 
BgL_locz00_993 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1382z00_1465))->BgL_locz00); }  else 
{ /* ./Prof/emit.scm 46 */
BgL_locz00_993 = BFALSE; } } 
{ /* ./Prof/emit.scm 48 */
bool_t BgL_test2838z00_994;
if(
STRUCTP(BgL_locz00_993))
{ /* ./Prof/emit.scm 48 */
obj_t BgL_auxz00_2089;obj_t BgL_auxz00_2087;
BgL_auxz00_2089 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_2087 = 
STRUCT_KEY(BgL_locz00_993); 
BgL_test2838z00_994 = 
(BgL_auxz00_2087==BgL_auxz00_2089); }  else 
{ /* ./Prof/emit.scm 48 */
BgL_test2838z00_994 = ((bool_t)0); } 
if(BgL_test2838z00_994)
{ /* ./Prof/emit.scm 48 */
display_string(BGl_string3378z00zzprof_emitz00, BgL_portz00_1968); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_idz00_990, BgL_portz00_1968); 
display_string(BGl_string3379z00zzprof_emitz00, BgL_portz00_1968); 
display_string(BGl_string3372z00zzprof_emitz00, BgL_portz00_1968); 
{ /* ./Prof/emit.scm 52 */
obj_t BgL_arg2844z00_996;
{ /* ./Prof/emit.scm 52 */
int BgL_auxz00_2097;
BgL_auxz00_2097 = 
(int)(((long)0)); 
BgL_arg2844z00_996 = 
STRUCT_REF(BgL_locz00_993, BgL_auxz00_2097); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg2844z00_996, BgL_portz00_1968); } 
display_string(BGl_string3379z00zzprof_emitz00, BgL_portz00_1968); 
{ /* ./Prof/emit.scm 53 */
obj_t BgL_arg2849z00_997;
{ /* ./Prof/emit.scm 53 */
int BgL_auxz00_2102;
BgL_auxz00_2102 = 
(int)(((long)1)); 
BgL_arg2849z00_997 = 
STRUCT_REF(BgL_locz00_993, BgL_auxz00_2102); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg2849z00_997, BgL_portz00_1968); } 
display_string(BGl_string3380z00zzprof_emitz00, BgL_portz00_1968); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_czd2namezd2_991, BgL_portz00_1968); 
display_string(BGl_string3372z00zzprof_emitz00, BgL_portz00_1968); 
{ /* ./Prof/emit.scm 57 */
char * BgL_arg2856z00_998;
if(
CBOOL(BgL_alloczf3zf3_992))
{ /* ./Prof/emit.scm 57 */
BgL_arg2856z00_998 = " allocator"; }  else 
{ /* ./Prof/emit.scm 57 */
BgL_arg2856z00_998 = ""; } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2856z00_998), BgL_portz00_1968); } 
display_string(BGl_string3373z00zzprof_emitz00, BgL_portz00_1968); 
return 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_1968);}  else 
{ /* ./Prof/emit.scm 48 */
display_string(BGl_string3370z00zzprof_emitz00, BgL_portz00_1968); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_idz00_990, BgL_portz00_1968); 
display_string(BGl_string3371z00zzprof_emitz00, BgL_portz00_1968); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_czd2namezd2_991, BgL_portz00_1968); 
display_string(BGl_string3372z00zzprof_emitz00, BgL_portz00_1968); 
{ /* ./Prof/emit.scm 64 */
char * BgL_arg2866z00_1000;
if(
CBOOL(BgL_alloczf3zf3_992))
{ /* ./Prof/emit.scm 64 */
BgL_arg2866z00_1000 = " allocator"; }  else 
{ /* ./Prof/emit.scm 64 */
BgL_arg2866z00_1000 = ""; } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2866z00_1000), BgL_portz00_1968); } 
display_string(BGl_string3373z00zzprof_emitz00, BgL_portz00_1968); 
return 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_1968);} } } } } } 
}



/* <anonymous:2782> */
obj_t BGl_zc3anonymousza32782ze3z83zzprof_emitz00(obj_t BgL_envz00_1969, obj_t BgL_gz00_1971)
{ AN_OBJECT;
{ /* ./Prof/emit.scm 77 */
{ /* ./Prof/emit.scm 78 */
obj_t BgL_portz00_1970;
{ /* ./Prof/emit.scm 78 */
int BgL_auxz00_2126;
BgL_auxz00_2126 = 
(int)(((long)0)); 
BgL_portz00_1970 = 
PROCEDURE_REF(BgL_envz00_1969, BgL_auxz00_2126); } 
{ 
obj_t BgL_gz00_957;
BgL_gz00_957 = BgL_gz00_1971; 
{ /* ./Prof/emit.scm 78 */
bool_t BgL_test2783z00_959;
{ /* ./Prof/emit.scm 78 */
bool_t BgL_testz00_2129;
{ /* ./Prof/emit.scm 78 */
bool_t BgL_testz00_2130;
{ /* ./Prof/emit.scm 78 */
long BgL_auxz00_2131;
{ /* ./Prof/emit.scm 78 */
BgL_variablez00_bglt BgL_obj1116z00_1438;
BgL_obj1116z00_1438 = 
(BgL_variablez00_bglt)(BgL_gz00_957); 
BgL_auxz00_2131 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1116z00_1438))->BgL_occurrencez00); } 
BgL_testz00_2130 = 
(BgL_auxz00_2131>((long)0)); } 
if(BgL_testz00_2130)
{ /* ./Prof/emit.scm 78 */
BgL_testz00_2129 = ((bool_t)1)
; }  else 
{ /* ./Prof/emit.scm 79 */
obj_t BgL_auxz00_2138;obj_t BgL_auxz00_2135;
BgL_auxz00_2138 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Prof/emit.scm 79 */
BgL_globalz00_bglt BgL_obj1171z00_1441;
BgL_obj1171z00_1441 = 
(BgL_globalz00_bglt)(BgL_gz00_957); 
BgL_auxz00_2135 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_1441))->BgL_modulez00); } 
BgL_testz00_2129 = 
(BgL_auxz00_2135==BgL_auxz00_2138); } } 
if(BgL_testz00_2129)
{ /* ./Prof/emit.scm 80 */
bool_t BgL_testz00_2141;
{ /* ./Prof/emit.scm 80 */
BgL_globalz00_bglt BgL_obj1180z00_1442;
BgL_obj1180z00_1442 = 
(BgL_globalz00_bglt)(BgL_gz00_957); 
BgL_testz00_2141 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1180z00_1442))->BgL_libraryzf3zf3); } 
if(BgL_testz00_2141)
{ /* ./Prof/emit.scm 81 */
BgL_globalz00_bglt BgL_obj1183z00_1443;
BgL_obj1183z00_1443 = 
(BgL_globalz00_bglt)(BgL_gz00_957); 
BgL_test2783z00_959 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1183z00_1443))->BgL_userzf3zf3); }  else 
{ /* ./Prof/emit.scm 80 */
BgL_test2783z00_959 = ((bool_t)0); } }  else 
{ /* ./Prof/emit.scm 78 */
BgL_test2783z00_959 = ((bool_t)0); } } 
if(BgL_test2783z00_959)
{ /* ./Prof/emit.scm 82 */
unsigned char BgL_auxz00_2147;
BgL_auxz00_2147 = 
BGl_emitzd2globalz12zc0zzprof_emitz00(BgL_portz00_1970, BgL_gz00_957); 
return 
BCHAR(BgL_auxz00_2147);}  else 
{ /* ./Prof/emit.scm 78 */
return BFALSE;} } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzprof_emitz00()
{ AN_OBJECT;
{ /* ./Prof/emit.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzprof_emitz00()
{ AN_OBJECT;
{ /* ./Prof/emit.scm 15 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "prof_emit"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "prof_emit"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "prof_emit"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)58542), "prof_emit"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "prof_emit"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)15705), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzast_unitz00(((long)47192), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzmodule_includez00(((long)1783), "prof_emit"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "prof_emit"); 
return 
BGl_modulezd2initializa7ationz75zzcgen_prototypez00(((long)7601), "prof_emit");} 
}

