/*===========================================================================*/
/*   (Ast/private.scm)                                                       */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Ast/private.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;


extern obj_t BGl_vrefz00zzast_nodez00;
static obj_t BGl_methodzd2initzd2zzast_privatez00();
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
static obj_t BGl__makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__privatezd2sexpzf3z21zzast_privatez00(obj_t, obj_t);
static obj_t BGl__privatezd2ze3nodez31zzast_privatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzast_privatez00();
extern obj_t BGl_za2unspecza2z00zztype_cachez00;
static obj_t BGl_importedzd2moduleszd2initz00zzast_privatez00();
extern obj_t BGl_getfieldz00zzast_nodez00;
extern obj_t BGl_isaz00zzast_nodez00;
extern obj_t BGl_vallocz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzast_privatez00();
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
extern obj_t BGl_za2boolza2z00zztype_cachez00;
BGL_EXPORTED_DECL obj_t BGl_privatezd2ze3nodez31zzast_privatez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_newz00zzast_nodez00;
BGL_EXPORTED_DECL bool_t BGl_privatezd2sexpzf3z21zzast_privatez00(obj_t);
static obj_t BGl_za2privatezd2stampza2zd2zzast_privatez00 = BUNSPEC;
extern obj_t BGl_vlengthz00zzast_nodez00;
extern obj_t BGl_setfieldz00zzast_nodez00;
BGL_EXPORTED_DECL obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_privatez00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzast_privatez00();
extern obj_t BGl_vsetz12z12zzast_nodez00;
static obj_t __cnst[ 10 ] ;


DEFINE_STRING( BGl_string3650z00zzast_privatez00, BgL_bgl_string3650za700za7za7ast_privateza7003676z00, "___bgl_private_stamp_mark valloc vset! vref vlength isa cast new setfield getfield ", 83 );
DEFINE_STRING( BGl_string3649z00zzast_privatez00, BgL_bgl_string3649za700za7za7ast_privateza7003677z00, "Illegal private kind", 20 );
DEFINE_STRING( BGl_string3648z00zzast_privatez00, BgL_bgl_string3648za700za7za7ast_privateza7003678z00, "private->node", 13 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2privatezd2sexpzd2envzd2zzast_privatez00, BgL_bgl__makeza7d2privateza7d2sexpza700za7za7ast_privateza7003679z00, va_generic_entry, BGl__makezd2privatezd2sexpz00zzast_privatez00, -3 );
DEFINE_EXPORT_PROCEDURE( BGl_privatezd2ze3nodezd2envze3zzast_privatez00, BgL_bgl__privateza7d2za7e3nodeza731za7za7ast_privateza7003680z00, BGl__privatezd2ze3nodez31zzast_privatez00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_privatezd2sexpzf3zd2envzf3zzast_privatez00, BgL_bgl__privateza7d2sexpza7f3za721za7za7ast_privateza7003681z00, BGl__privatezd2sexpzf3z21zzast_privatez00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long BgL_checksumz00_2746, char * BgL_fromz00_2747)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_privatez00))
{ 
BGl_requirezd2initializa7ationz75zzast_privatez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_privatez00(); 
BGl_cnstzd2initzd2zzast_privatez00(); 
BGl_importedzd2moduleszd2initz00zzast_privatez00(); 
BGl_toplevelzd2initzd2zzast_privatez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_privatez00()
{ AN_OBJECT;
{ /* ./Ast/private.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_private"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_private"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_privatez00()
{ AN_OBJECT;
{ /* ./Ast/private.scm 15 */
{ /* ./Ast/private.scm 15 */
obj_t BgL_cportz00_2739;
BgL_cportz00_2739 = 
open_input_string(BGl_string3650z00zzast_privatez00); 
{ 
long BgL_iz00_2740;
BgL_iz00_2740 = ((long)9); 
BgL_loopz00_2741:
{ /* ./Ast/private.scm 15 */
bool_t BgL_test3652z00_2742;
BgL_test3652z00_2742 = 
(BgL_iz00_2740==((long)-1)); 
if(BgL_test3652z00_2742)
{ /* ./Ast/private.scm 15 */
return BUNSPEC;}  else 
{ /* ./Ast/private.scm 15 */
{ /* ./Ast/private.scm 15 */
obj_t BgL_arg3654z00_2743;
{ /* ./Ast/private.scm 15 */
obj_t BgL_list3657z00_2744;
BgL_list3657z00_2744 = 
MAKE_PAIR(BgL_cportz00_2739, BNIL); 
BgL_arg3654z00_2743 = 
BGl_readz00zz__readerz00(BgL_list3657z00_2744); } 
{ /* ./Ast/private.scm 15 */
int BgL_auxz00_2762;
BgL_auxz00_2762 = 
(int)(BgL_iz00_2740); 
CNST_TABLE_SET(BgL_auxz00_2762, BgL_arg3654z00_2743); } } 
{ /* ./Ast/private.scm 15 */
int BgL_auxz00_2745;
{ /* ./Ast/private.scm 15 */
long BgL_auxz00_2765;
BgL_auxz00_2765 = 
(BgL_iz00_2740-((long)1)); 
BgL_auxz00_2745 = 
(int)(BgL_auxz00_2765); } 
{ 
long BgL_iz00_2768;
BgL_iz00_2768 = 
(long)(BgL_auxz00_2745); 
BgL_iz00_2740 = BgL_iz00_2768; 
goto BgL_loopz00_2741;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_privatez00()
{ AN_OBJECT;
{ /* ./Ast/private.scm 15 */
return ( 
BGl_za2privatezd2stampza2zd2zzast_privatez00 = BUNSPEC, BUNSPEC) ;} 
}



/* private-sexp? */
BGL_EXPORTED_DEF bool_t BGl_privatezd2sexpzf3z21zzast_privatez00(obj_t BgL_sexpz00_1)
{ AN_OBJECT;
{ /* ./Ast/private.scm 29 */
{ /* ./Ast/private.scm 30 */
obj_t BgL_arg2664z00_1559;
BgL_arg2664z00_1559 = 
CAR(BgL_sexpz00_1); 
return 
(BgL_arg2664z00_1559==BGl_za2privatezd2stampza2zd2zzast_privatez00);} } 
}



/* _private-sexp? */
obj_t BGl__privatezd2sexpzf3z21zzast_privatez00(obj_t BgL_envz00_2728, obj_t BgL_sexpz00_2729)
{ AN_OBJECT;
{ /* ./Ast/private.scm 29 */
{ /* ./Ast/private.scm 30 */
bool_t BgL_auxz00_2772;
BgL_auxz00_2772 = 
BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_sexpz00_2729); 
return 
BBOOL(BgL_auxz00_2772);} } 
}



/* private->node */
BGL_EXPORTED_DEF obj_t BGl_privatezd2ze3nodez31zzast_privatez00(obj_t BgL_sexpz00_2, obj_t BgL_stackz00_3, obj_t BgL_locz00_4, obj_t BgL_sitez00_5)
{ AN_OBJECT;
{ /* ./Ast/private.scm 35 */
{ 
obj_t BgL_vtypez00_921;obj_t BgL_ftypez00_922;obj_t BgL_otypez00_923;obj_t BgL_czd2fmtzd2_924;obj_t BgL_restz00_925;obj_t BgL_vtypez00_915;obj_t BgL_ftypez00_916;obj_t BgL_otypez00_917;obj_t BgL_czd2fmtzd2_918;obj_t BgL_restz00_919;obj_t BgL_vtypez00_909;obj_t BgL_ftypez00_910;obj_t BgL_otypez00_911;obj_t BgL_czd2fmtzd2_912;obj_t BgL_expz00_913;obj_t BgL_typez00_906;obj_t BgL_expz00_907;obj_t BgL_typez00_903;obj_t BgL_expz00_904;obj_t BgL_typez00_901;obj_t BgL_ftypez00_896;obj_t BgL_otypez00_897;obj_t BgL_fieldzd2namezd2_898;obj_t BgL_restz00_899;obj_t BgL_ftypez00_891;obj_t BgL_otypez00_892;obj_t BgL_fieldzd2namezd2_893;obj_t BgL_objz00_894;
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd2129zd2_938;
BgL_cdrzd2129zd2_938 = 
CDR(BgL_sexpz00_2); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2668z00_939;
BgL_test2668z00_939 = 
PAIRP(BgL_cdrzd2129zd2_938); 
if(BgL_test2668z00_939)
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd2135zd2_940;
BgL_cdrzd2135zd2_940 = 
CDR(BgL_cdrzd2129zd2_938); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2669z00_941;
{ /* ./Ast/private.scm 36 */
obj_t BgL_auxz00_2781;obj_t BgL_auxz00_2779;
BgL_auxz00_2781 = 
CNST_TABLE_REF(((long)0)); 
BgL_auxz00_2779 = 
CAR(BgL_cdrzd2129zd2_938); 
BgL_test2669z00_941 = 
(BgL_auxz00_2779==BgL_auxz00_2781); } 
if(BgL_test2669z00_941)
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2670z00_942;
BgL_test2670z00_942 = 
PAIRP(BgL_cdrzd2135zd2_940); 
if(BgL_test2670z00_942)
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd2141zd2_943;
BgL_cdrzd2141zd2_943 = 
CDR(BgL_cdrzd2135zd2_940); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2671z00_944;
BgL_test2671z00_944 = 
PAIRP(BgL_cdrzd2141zd2_943); 
if(BgL_test2671z00_944)
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd2147zd2_945;
BgL_cdrzd2147zd2_945 = 
CDR(BgL_cdrzd2141zd2_943); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2672z00_946;
BgL_test2672z00_946 = 
PAIRP(BgL_cdrzd2147zd2_945); 
if(BgL_test2672z00_946)
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd2152zd2_947;
BgL_cdrzd2152zd2_947 = 
CDR(BgL_cdrzd2147zd2_945); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2673z00_948;
BgL_test2673z00_948 = 
PAIRP(BgL_cdrzd2152zd2_947); 
if(BgL_test2673z00_948)
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2674z00_949;
{ /* ./Ast/private.scm 36 */
obj_t BgL_auxz00_2796;
BgL_auxz00_2796 = 
CDR(BgL_cdrzd2152zd2_947); 
BgL_test2674z00_949 = 
NULLP(BgL_auxz00_2796); } 
if(BgL_test2674z00_949)
{ /* ./Ast/private.scm 36 */
obj_t BgL_arg2676z00_950;obj_t BgL_arg2677z00_951;obj_t BgL_arg2678z00_952;obj_t BgL_arg2679z00_953;
BgL_arg2676z00_950 = 
CAR(BgL_cdrzd2135zd2_940); 
BgL_arg2677z00_951 = 
CAR(BgL_cdrzd2141zd2_943); 
BgL_arg2678z00_952 = 
CAR(BgL_cdrzd2147zd2_945); 
BgL_arg2679z00_953 = 
CAR(BgL_cdrzd2152zd2_947); 
{ /* ./Ast/private.scm 36 */
BgL_getfieldz00_bglt BgL_auxz00_2804;
BgL_ftypez00_891 = BgL_arg2676z00_950; 
BgL_otypez00_892 = BgL_arg2677z00_951; 
BgL_fieldzd2namezd2_893 = BgL_arg2678z00_952; 
BgL_objz00_894 = BgL_arg2679z00_953; 
{ /* ./Ast/private.scm 38 */
BgL_typez00_bglt BgL_ftypez00_1088;BgL_typez00_bglt BgL_otypez00_1089;
BgL_ftypez00_1088 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_ftypez00_891, BgL_locz00_4); 
BgL_otypez00_1089 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_otypez00_892, BgL_locz00_4); 
{ /* ./Ast/private.scm 41 */
obj_t BgL_arg2994z00_1090;BgL_typez00_bglt BgL_arg2995z00_1091;bool_t BgL_arg2996z00_1092;obj_t BgL_arg2998z00_1094;obj_t BgL_arg2999z00_1095;BgL_typez00_bglt BgL_arg3000z00_1096;BgL_typez00_bglt BgL_arg3001z00_1097;
BgL_arg2994z00_1090 = BgL_locz00_4; 
BgL_arg2995z00_1091 = BgL_ftypez00_1088; 
BgL_arg2996z00_1092 = ((bool_t)0); 
{ /* ./Ast/private.scm 47 */
BgL_nodez00_bglt BgL_arg3004z00_1098;
BgL_arg3004z00_1098 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_objz00_894, BgL_stackz00_3, BgL_locz00_4, BgL_sitez00_5); 
{ /* ./Ast/private.scm 47 */
obj_t BgL_list3006z00_1099;
{ /* ./Ast/private.scm 47 */
obj_t BgL_auxz00_2808;
BgL_auxz00_2808 = 
(obj_t)(BgL_arg3004z00_1098); 
BgL_list3006z00_1099 = 
MAKE_PAIR(BgL_auxz00_2808, BNIL); } 
BgL_arg2998z00_1094 = BgL_list3006z00_1099; } } 
BgL_arg2999z00_1095 = BgL_fieldzd2namezd2_893; 
BgL_arg3000z00_1096 = BgL_ftypez00_1088; 
BgL_arg3001z00_1097 = BgL_otypez00_1089; 
{ /* ./Ast/private.scm 40 */
BgL_getfieldz00_bglt BgL_res3534z00_1780;
{ /* ./Ast/private.scm 40 */
obj_t BgL_sidezd2effectzf31377z21_1749;obj_t BgL_key1378z00_1750;
BgL_sidezd2effectzf31377z21_1749 = 
BBOOL(BgL_arg2996z00_1092); 
BgL_key1378z00_1750 = 
BINT(((long)-1)); 
{ /* ./Ast/private.scm 40 */
BgL_getfieldz00_bglt BgL_new1383z00_1755;
{ /* ./Ast/private.scm 40 */
BgL_getfieldz00_bglt BgL_res3532z00_1761;
{ /* ./Ast/private.scm 40 */
BgL_getfieldz00_bglt BgL_new1385z00_1756;
BgL_new1385z00_1756 = 
((BgL_getfieldz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_getfieldz00_bgl) ))); 
{ /* ./Ast/private.scm 40 */
long BgL_arg3409z00_1757;
BgL_arg3409z00_1757 = 
BGl_classzd2numzd2zz__objectz00(BGl_getfieldz00zzast_nodez00); 
{ /* ./Ast/private.scm 40 */
BgL_objectz00_bglt BgL_objz00_1758;
BgL_objz00_1758 = 
(BgL_objectz00_bglt)(BgL_new1385z00_1756); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1758, BgL_arg3409z00_1757); } } 
{ /* ./Ast/private.scm 40 */
BgL_objectz00_bglt BgL_auxz00_2817;
BgL_auxz00_2817 = 
(BgL_objectz00_bglt)(BgL_new1385z00_1756); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2817, BFALSE); } 
{ /* ./Ast/private.scm 40 */
obj_t BgL_objz00_1760;
BgL_objz00_1760 = 
(obj_t)(BgL_new1385z00_1756); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1760); BUNSPEC; } 
BgL_res3532z00_1761 = BgL_new1385z00_1756; } 
BgL_new1383z00_1755 = BgL_res3532z00_1761; } 
{ /* ./Ast/private.scm 40 */
BgL_getfieldz00_bglt BgL_res3533z00_1779;
((((BgL_getfieldz00_bglt)CREF(BgL_new1383z00_1755))->BgL_locz00) = ((obj_t)BgL_arg2994z00_1090), BUNSPEC); 
((((BgL_getfieldz00_bglt)CREF(BgL_new1383z00_1755))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2995z00_1091), BUNSPEC); 
((((BgL_getfieldz00_bglt)CREF(BgL_new1383z00_1755))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf31377z21_1749), BUNSPEC); 
((((BgL_getfieldz00_bglt)CREF(BgL_new1383z00_1755))->BgL_keyz00) = ((obj_t)BgL_key1378z00_1750), BUNSPEC); 
((((BgL_getfieldz00_bglt)CREF(BgL_new1383z00_1755))->BgL_exprza2za2) = ((obj_t)BgL_arg2998z00_1094), BUNSPEC); 
((((BgL_getfieldz00_bglt)CREF(BgL_new1383z00_1755))->BgL_fnamez00) = ((obj_t)BgL_arg2999z00_1095), BUNSPEC); 
((((BgL_getfieldz00_bglt)CREF(BgL_new1383z00_1755))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_arg3000z00_1096), BUNSPEC); 
((((BgL_getfieldz00_bglt)CREF(BgL_new1383z00_1755))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_arg3001z00_1097), BUNSPEC); 
BgL_res3533z00_1779 = BgL_new1383z00_1755; BgL_res3533z00_1779; } 
BgL_res3534z00_1780 = BgL_new1383z00_1755; } } 
BgL_auxz00_2804 = BgL_res3534z00_1780; } } } 
return 
(obj_t)(BgL_auxz00_2804);} }  else 
{ /* ./Ast/private.scm 36 */
BgL_tagzd2110zd2_935:
{ /* ./Ast/private.scm 124 */
obj_t BgL_arg3114z00_1170;
{ /* ./Ast/private.scm 124 */
obj_t BgL_auxz00_2831;
BgL_auxz00_2831 = 
CDR(BgL_sexpz00_2); 
BgL_arg3114z00_1170 = 
CAR(BgL_auxz00_2831); } 
FAILURE(BGl_string3648z00zzast_privatez00,BGl_string3649z00zzast_privatez00,BgL_arg3114z00_1170);} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} }  else 
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd2700zd2_956;
BgL_cdrzd2700zd2_956 = 
CDR(BgL_cdrzd2129zd2_938); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2701z00_957;
{ /* ./Ast/private.scm 36 */
obj_t BgL_auxz00_2838;obj_t BgL_auxz00_2836;
BgL_auxz00_2838 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_2836 = 
CAR(BgL_cdrzd2129zd2_938); 
BgL_test2701z00_957 = 
(BgL_auxz00_2836==BgL_auxz00_2838); } 
if(BgL_test2701z00_957)
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2702z00_958;
BgL_test2702z00_958 = 
PAIRP(BgL_cdrzd2700zd2_956); 
if(BgL_test2702z00_958)
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd2706zd2_959;
BgL_cdrzd2706zd2_959 = 
CDR(BgL_cdrzd2700zd2_956); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2703z00_960;
BgL_test2703z00_960 = 
PAIRP(BgL_cdrzd2706zd2_959); 
if(BgL_test2703z00_960)
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd2712zd2_961;
BgL_cdrzd2712zd2_961 = 
CDR(BgL_cdrzd2706zd2_959); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2704z00_962;
BgL_test2704z00_962 = 
PAIRP(BgL_cdrzd2712zd2_961); 
if(BgL_test2704z00_962)
{ /* ./Ast/private.scm 36 */
obj_t BgL_arg2706z00_963;obj_t BgL_arg2707z00_964;obj_t BgL_arg2708z00_965;obj_t BgL_arg2709z00_966;
BgL_arg2706z00_963 = 
CAR(BgL_cdrzd2700zd2_956); 
BgL_arg2707z00_964 = 
CAR(BgL_cdrzd2706zd2_959); 
BgL_arg2708z00_965 = 
CAR(BgL_cdrzd2712zd2_961); 
BgL_arg2709z00_966 = 
CDR(BgL_cdrzd2712zd2_961); 
{ /* ./Ast/private.scm 36 */
BgL_setfieldz00_bglt BgL_auxz00_2854;
BgL_ftypez00_896 = BgL_arg2706z00_963; 
BgL_otypez00_897 = BgL_arg2707z00_964; 
BgL_fieldzd2namezd2_898 = BgL_arg2708z00_965; 
BgL_restz00_899 = BgL_arg2709z00_966; 
{ /* ./Ast/private.scm 49 */
BgL_typez00_bglt BgL_otypez00_1100;BgL_typez00_bglt BgL_ftypez00_1101;
BgL_otypez00_1100 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_otypez00_897, BgL_locz00_4); 
BgL_ftypez00_1101 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_ftypez00_896, BgL_locz00_4); 
{ /* ./Ast/private.scm 52 */
obj_t BgL_arg3012z00_1102;obj_t BgL_arg3013z00_1103;bool_t BgL_arg3014z00_1104;obj_t BgL_arg3016z00_1106;obj_t BgL_arg3017z00_1107;BgL_typez00_bglt BgL_arg3018z00_1108;BgL_typez00_bglt BgL_arg3019z00_1109;
BgL_arg3012z00_1102 = BgL_locz00_4; 
BgL_arg3013z00_1103 = BGl_za2unspecza2z00zztype_cachez00; 
BgL_arg3014z00_1104 = ((bool_t)1); 
BgL_arg3016z00_1106 = 
BGl_sexpza2zd2ze3nodez93zzast_sexpz00(BgL_restz00_899, BgL_stackz00_3, BgL_locz00_4, BgL_sitez00_5); 
BgL_arg3017z00_1107 = BgL_fieldzd2namezd2_898; 
BgL_arg3018z00_1108 = BgL_ftypez00_1101; 
BgL_arg3019z00_1109 = BgL_otypez00_1100; 
{ /* ./Ast/private.scm 51 */
BgL_setfieldz00_bglt BgL_res3537z00_1814;
{ /* ./Ast/private.scm 51 */
BgL_typez00_bglt BgL_type1422z00_1782;obj_t BgL_sidezd2effectzf31423z21_1783;obj_t BgL_key1424z00_1784;
BgL_type1422z00_1782 = 
(BgL_typez00_bglt)(BgL_arg3013z00_1103); 
BgL_sidezd2effectzf31423z21_1783 = 
BBOOL(BgL_arg3014z00_1104); 
BgL_key1424z00_1784 = 
BINT(((long)-1)); 
{ /* ./Ast/private.scm 51 */
BgL_setfieldz00_bglt BgL_new1429z00_1789;
{ /* ./Ast/private.scm 51 */
BgL_setfieldz00_bglt BgL_res3535z00_1795;
{ /* ./Ast/private.scm 51 */
BgL_setfieldz00_bglt BgL_new1431z00_1790;
BgL_new1431z00_1790 = 
((BgL_setfieldz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_setfieldz00_bgl) ))); 
{ /* ./Ast/private.scm 51 */
long BgL_arg3400z00_1791;
BgL_arg3400z00_1791 = 
BGl_classzd2numzd2zz__objectz00(BGl_setfieldz00zzast_nodez00); 
{ /* ./Ast/private.scm 51 */
BgL_objectz00_bglt BgL_objz00_1792;
BgL_objz00_1792 = 
(BgL_objectz00_bglt)(BgL_new1431z00_1790); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1792, BgL_arg3400z00_1791); } } 
{ /* ./Ast/private.scm 51 */
BgL_objectz00_bglt BgL_auxz00_2865;
BgL_auxz00_2865 = 
(BgL_objectz00_bglt)(BgL_new1431z00_1790); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2865, BFALSE); } 
{ /* ./Ast/private.scm 51 */
obj_t BgL_objz00_1794;
BgL_objz00_1794 = 
(obj_t)(BgL_new1431z00_1790); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1794); BUNSPEC; } 
BgL_res3535z00_1795 = BgL_new1431z00_1790; } 
BgL_new1429z00_1789 = BgL_res3535z00_1795; } 
{ /* ./Ast/private.scm 51 */
BgL_setfieldz00_bglt BgL_res3536z00_1813;
((((BgL_setfieldz00_bglt)CREF(BgL_new1429z00_1789))->BgL_locz00) = ((obj_t)BgL_arg3012z00_1102), BUNSPEC); 
((((BgL_setfieldz00_bglt)CREF(BgL_new1429z00_1789))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1422z00_1782), BUNSPEC); 
((((BgL_setfieldz00_bglt)CREF(BgL_new1429z00_1789))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf31423z21_1783), BUNSPEC); 
((((BgL_setfieldz00_bglt)CREF(BgL_new1429z00_1789))->BgL_keyz00) = ((obj_t)BgL_key1424z00_1784), BUNSPEC); 
((((BgL_setfieldz00_bglt)CREF(BgL_new1429z00_1789))->BgL_exprza2za2) = ((obj_t)BgL_arg3016z00_1106), BUNSPEC); 
((((BgL_setfieldz00_bglt)CREF(BgL_new1429z00_1789))->BgL_fnamez00) = ((obj_t)BgL_arg3017z00_1107), BUNSPEC); 
((((BgL_setfieldz00_bglt)CREF(BgL_new1429z00_1789))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_arg3018z00_1108), BUNSPEC); 
((((BgL_setfieldz00_bglt)CREF(BgL_new1429z00_1789))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_arg3019z00_1109), BUNSPEC); 
BgL_res3536z00_1813 = BgL_new1429z00_1789; BgL_res3536z00_1813; } 
BgL_res3537z00_1814 = BgL_new1429z00_1789; } } 
BgL_auxz00_2854 = BgL_res3537z00_1814; } } } 
return 
(obj_t)(BgL_auxz00_2854);} }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} }  else 
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd2999zd2_967;
BgL_cdrzd2999zd2_967 = 
CDR(BgL_sexpz00_2); 
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd21002zd2_968;
BgL_cdrzd21002zd2_968 = 
CDR(BgL_cdrzd2999zd2_967); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2723z00_969;
{ /* ./Ast/private.scm 36 */
obj_t BgL_auxz00_2883;obj_t BgL_auxz00_2881;
BgL_auxz00_2883 = 
CNST_TABLE_REF(((long)2)); 
BgL_auxz00_2881 = 
CAR(BgL_cdrzd2999zd2_967); 
BgL_test2723z00_969 = 
(BgL_auxz00_2881==BgL_auxz00_2883); } 
if(BgL_test2723z00_969)
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2724z00_970;
BgL_test2724z00_970 = 
PAIRP(BgL_cdrzd21002zd2_968); 
if(BgL_test2724z00_970)
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2725z00_971;
{ /* ./Ast/private.scm 36 */
obj_t BgL_auxz00_2889;
BgL_auxz00_2889 = 
CDR(BgL_cdrzd21002zd2_968); 
BgL_test2725z00_971 = 
NULLP(BgL_auxz00_2889); } 
if(BgL_test2725z00_971)
{ /* ./Ast/private.scm 36 */
obj_t BgL_arg2727z00_972;
BgL_arg2727z00_972 = 
CAR(BgL_cdrzd21002zd2_968); 
{ /* ./Ast/private.scm 36 */
BgL_newz00_bglt BgL_auxz00_2894;
BgL_typez00_901 = BgL_arg2727z00_972; 
{ /* ./Ast/private.scm 61 */
obj_t BgL_arg3025z00_1110;BgL_typez00_bglt BgL_arg3026z00_1111;bool_t BgL_arg3027z00_1112;
BgL_arg3025z00_1110 = BgL_locz00_4; 
BgL_arg3026z00_1111 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_typez00_901, BgL_locz00_4); 
BgL_arg3027z00_1112 = ((bool_t)1); 
{ /* ./Ast/private.scm 60 */
BgL_newz00_bglt BgL_res3540z00_1839;
{ /* ./Ast/private.scm 60 */
obj_t BgL_sidezd2effectzf31460z21_1817;obj_t BgL_key1461z00_1818;
BgL_sidezd2effectzf31460z21_1817 = 
BBOOL(BgL_arg3027z00_1112); 
BgL_key1461z00_1818 = 
BINT(((long)-1)); 
{ /* ./Ast/private.scm 60 */
BgL_newz00_bglt BgL_new1463z00_1820;
{ /* ./Ast/private.scm 60 */
BgL_newz00_bglt BgL_res3538z00_1826;
{ /* ./Ast/private.scm 60 */
BgL_newz00_bglt BgL_new1465z00_1821;
BgL_new1465z00_1821 = 
((BgL_newz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_newz00_bgl) ))); 
{ /* ./Ast/private.scm 60 */
long BgL_arg3391z00_1822;
BgL_arg3391z00_1822 = 
BGl_classzd2numzd2zz__objectz00(BGl_newz00zzast_nodez00); 
{ /* ./Ast/private.scm 60 */
BgL_objectz00_bglt BgL_objz00_1823;
BgL_objz00_1823 = 
(BgL_objectz00_bglt)(BgL_new1465z00_1821); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1823, BgL_arg3391z00_1822); } } 
{ /* ./Ast/private.scm 60 */
BgL_objectz00_bglt BgL_auxz00_2902;
BgL_auxz00_2902 = 
(BgL_objectz00_bglt)(BgL_new1465z00_1821); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2902, BFALSE); } 
{ /* ./Ast/private.scm 60 */
obj_t BgL_objz00_1825;
BgL_objz00_1825 = 
(obj_t)(BgL_new1465z00_1821); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1825); BUNSPEC; } 
BgL_res3538z00_1826 = BgL_new1465z00_1821; } 
BgL_new1463z00_1820 = BgL_res3538z00_1826; } 
{ /* ./Ast/private.scm 60 */
BgL_newz00_bglt BgL_res3539z00_1838;
((((BgL_newz00_bglt)CREF(BgL_new1463z00_1820))->BgL_locz00) = ((obj_t)BgL_arg3025z00_1110), BUNSPEC); 
((((BgL_newz00_bglt)CREF(BgL_new1463z00_1820))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3026z00_1111), BUNSPEC); 
((((BgL_newz00_bglt)CREF(BgL_new1463z00_1820))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_sidezd2effectzf31460z21_1817), BUNSPEC); 
((((BgL_newz00_bglt)CREF(BgL_new1463z00_1820))->BgL_keyz00) = ((obj_t)BgL_key1461z00_1818), BUNSPEC); 
((((BgL_newz00_bglt)CREF(BgL_new1463z00_1820))->BgL_exprza2za2) = ((obj_t)BNIL), BUNSPEC); 
BgL_res3539z00_1838 = BgL_new1463z00_1820; BgL_res3539z00_1838; } 
BgL_res3540z00_1839 = BgL_new1463z00_1820; } } 
BgL_auxz00_2894 = BgL_res3540z00_1839; } } 
return 
(obj_t)(BgL_auxz00_2894);} }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} }  else 
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd21180zd2_975;
BgL_cdrzd21180zd2_975 = 
CDR(BgL_cdrzd2999zd2_967); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2737z00_976;
{ /* ./Ast/private.scm 36 */
obj_t BgL_auxz00_2916;obj_t BgL_auxz00_2914;
BgL_auxz00_2916 = 
CNST_TABLE_REF(((long)3)); 
BgL_auxz00_2914 = 
CAR(BgL_cdrzd2999zd2_967); 
BgL_test2737z00_976 = 
(BgL_auxz00_2914==BgL_auxz00_2916); } 
if(BgL_test2737z00_976)
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2738z00_977;
BgL_test2738z00_977 = 
PAIRP(BgL_cdrzd21180zd2_975); 
if(BgL_test2738z00_977)
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd21184zd2_978;
BgL_cdrzd21184zd2_978 = 
CDR(BgL_cdrzd21180zd2_975); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2739z00_979;
BgL_test2739z00_979 = 
PAIRP(BgL_cdrzd21184zd2_978); 
if(BgL_test2739z00_979)
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2740z00_980;
{ /* ./Ast/private.scm 36 */
obj_t BgL_auxz00_2925;
BgL_auxz00_2925 = 
CDR(BgL_cdrzd21184zd2_978); 
BgL_test2740z00_980 = 
NULLP(BgL_auxz00_2925); } 
if(BgL_test2740z00_980)
{ /* ./Ast/private.scm 36 */
obj_t BgL_arg2742z00_981;obj_t BgL_arg2743z00_982;
BgL_arg2742z00_981 = 
CAR(BgL_cdrzd21180zd2_975); 
BgL_arg2743z00_982 = 
CAR(BgL_cdrzd21184zd2_978); 
{ /* ./Ast/private.scm 36 */
BgL_castz00_bglt BgL_auxz00_2931;
BgL_typez00_903 = BgL_arg2742z00_981; 
BgL_expz00_904 = BgL_arg2743z00_982; 
{ /* ./Ast/private.scm 66 */
obj_t BgL_arg3033z00_1115;BgL_typez00_bglt BgL_arg3034z00_1116;BgL_nodez00_bglt BgL_arg3035z00_1117;
BgL_arg3033z00_1115 = BgL_locz00_4; 
BgL_arg3034z00_1116 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_typez00_903, BgL_locz00_4); 
BgL_arg3035z00_1117 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_904, BgL_stackz00_3, BgL_locz00_4, BgL_sitez00_5); 
{ /* ./Ast/private.scm 65 */
BgL_castz00_bglt BgL_res3543z00_1858;
{ /* ./Ast/private.scm 65 */
BgL_castz00_bglt BgL_new1716z00_1843;
{ /* ./Ast/private.scm 65 */
BgL_castz00_bglt BgL_res3541z00_1849;
{ /* ./Ast/private.scm 65 */
BgL_castz00_bglt BgL_new1718z00_1844;
BgL_new1718z00_1844 = 
((BgL_castz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_castz00_bgl) ))); 
{ /* ./Ast/private.scm 65 */
long BgL_arg3337z00_1845;
BgL_arg3337z00_1845 = 
BGl_classzd2numzd2zz__objectz00(BGl_castz00zzast_nodez00); 
{ /* ./Ast/private.scm 65 */
BgL_objectz00_bglt BgL_objz00_1846;
BgL_objz00_1846 = 
(BgL_objectz00_bglt)(BgL_new1718z00_1844); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1846, BgL_arg3337z00_1845); } } 
{ /* ./Ast/private.scm 65 */
BgL_objectz00_bglt BgL_auxz00_2938;
BgL_auxz00_2938 = 
(BgL_objectz00_bglt)(BgL_new1718z00_1844); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2938, BFALSE); } 
{ /* ./Ast/private.scm 65 */
obj_t BgL_objz00_1848;
BgL_objz00_1848 = 
(obj_t)(BgL_new1718z00_1844); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1848); BUNSPEC; } 
BgL_res3541z00_1849 = BgL_new1718z00_1844; } 
BgL_new1716z00_1843 = BgL_res3541z00_1849; } 
{ /* ./Ast/private.scm 65 */
BgL_castz00_bglt BgL_res3542z00_1857;
((((BgL_castz00_bglt)CREF(BgL_new1716z00_1843))->BgL_locz00) = ((obj_t)BgL_arg3033z00_1115), BUNSPEC); 
((((BgL_castz00_bglt)CREF(BgL_new1716z00_1843))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3034z00_1116), BUNSPEC); 
((((BgL_castz00_bglt)CREF(BgL_new1716z00_1843))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg3035z00_1117), BUNSPEC); 
BgL_res3542z00_1857 = BgL_new1716z00_1843; BgL_res3542z00_1857; } 
BgL_res3543z00_1858 = BgL_new1716z00_1843; } 
BgL_auxz00_2931 = BgL_res3543z00_1858; } } 
return 
(obj_t)(BgL_auxz00_2931);} }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} }  else 
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd21401zd2_984;
BgL_cdrzd21401zd2_984 = 
CDR(BgL_sexpz00_2); 
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd21405zd2_985;
BgL_cdrzd21405zd2_985 = 
CDR(BgL_cdrzd21401zd2_984); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2757z00_986;
{ /* ./Ast/private.scm 36 */
obj_t BgL_auxz00_2951;obj_t BgL_auxz00_2949;
BgL_auxz00_2951 = 
CNST_TABLE_REF(((long)4)); 
BgL_auxz00_2949 = 
CAR(BgL_cdrzd21401zd2_984); 
BgL_test2757z00_986 = 
(BgL_auxz00_2949==BgL_auxz00_2951); } 
if(BgL_test2757z00_986)
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2758z00_987;
BgL_test2758z00_987 = 
PAIRP(BgL_cdrzd21405zd2_985); 
if(BgL_test2758z00_987)
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd21409zd2_988;
BgL_cdrzd21409zd2_988 = 
CDR(BgL_cdrzd21405zd2_985); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2759z00_989;
BgL_test2759z00_989 = 
PAIRP(BgL_cdrzd21409zd2_988); 
if(BgL_test2759z00_989)
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2760z00_990;
{ /* ./Ast/private.scm 36 */
obj_t BgL_auxz00_2960;
BgL_auxz00_2960 = 
CDR(BgL_cdrzd21409zd2_988); 
BgL_test2760z00_990 = 
NULLP(BgL_auxz00_2960); } 
if(BgL_test2760z00_990)
{ /* ./Ast/private.scm 36 */
obj_t BgL_arg2762z00_991;obj_t BgL_arg2763z00_992;
BgL_arg2762z00_991 = 
CAR(BgL_cdrzd21405zd2_985); 
BgL_arg2763z00_992 = 
CAR(BgL_cdrzd21409zd2_988); 
{ /* ./Ast/private.scm 36 */
BgL_isaz00_bglt BgL_auxz00_2966;
BgL_typez00_906 = BgL_arg2762z00_991; 
BgL_expz00_907 = BgL_arg2763z00_992; 
{ /* ./Ast/private.scm 71 */
obj_t BgL_arg3040z00_1118;obj_t BgL_arg3041z00_1119;obj_t BgL_arg3043z00_1121;BgL_typez00_bglt BgL_arg3044z00_1122;
BgL_arg3040z00_1118 = BgL_locz00_4; 
BgL_arg3041z00_1119 = BGl_za2boolza2z00zztype_cachez00; 
{ /* ./Ast/private.scm 74 */
BgL_nodez00_bglt BgL_arg3047z00_1123;
BgL_arg3047z00_1123 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_907, BgL_stackz00_3, BgL_locz00_4, BgL_sitez00_5); 
{ /* ./Ast/private.scm 74 */
obj_t BgL_list3049z00_1124;
{ /* ./Ast/private.scm 74 */
obj_t BgL_auxz00_2968;
BgL_auxz00_2968 = 
(obj_t)(BgL_arg3047z00_1123); 
BgL_list3049z00_1124 = 
MAKE_PAIR(BgL_auxz00_2968, BNIL); } 
BgL_arg3043z00_1121 = BgL_list3049z00_1124; } } 
BgL_arg3044z00_1122 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_typez00_906, BgL_locz00_4); 
{ /* ./Ast/private.scm 70 */
BgL_isaz00_bglt BgL_res3547z00_1888;
{ /* ./Ast/private.scm 70 */
BgL_typez00_bglt BgL_type1689z00_1862;obj_t BgL_key1691z00_1864;
BgL_type1689z00_1862 = 
(BgL_typez00_bglt)(BgL_arg3041z00_1119); 
BgL_key1691z00_1864 = 
BINT(((long)-1)); 
{ /* ./Ast/private.scm 70 */
BgL_isaz00_bglt BgL_new1694z00_1867;
{ /* ./Ast/private.scm 70 */
BgL_isaz00_bglt BgL_res3545z00_1873;
{ /* ./Ast/private.scm 70 */
BgL_isaz00_bglt BgL_new1696z00_1868;
BgL_new1696z00_1868 = 
((BgL_isaz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_isaz00_bgl) ))); 
{ /* ./Ast/private.scm 70 */
long BgL_arg3346z00_1869;
BgL_arg3346z00_1869 = 
BGl_classzd2numzd2zz__objectz00(BGl_isaz00zzast_nodez00); 
{ /* ./Ast/private.scm 70 */
BgL_objectz00_bglt BgL_objz00_1870;
BgL_objz00_1870 = 
(BgL_objectz00_bglt)(BgL_new1696z00_1868); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1870, BgL_arg3346z00_1869); } } 
{ /* ./Ast/private.scm 70 */
BgL_objectz00_bglt BgL_auxz00_2978;
BgL_auxz00_2978 = 
(BgL_objectz00_bglt)(BgL_new1696z00_1868); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2978, BFALSE); } 
{ /* ./Ast/private.scm 70 */
obj_t BgL_objz00_1872;
BgL_objz00_1872 = 
(obj_t)(BgL_new1696z00_1868); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1872); BUNSPEC; } 
BgL_res3545z00_1873 = BgL_new1696z00_1868; } 
BgL_new1694z00_1867 = BgL_res3545z00_1873; } 
{ /* ./Ast/private.scm 70 */
BgL_isaz00_bglt BgL_res3546z00_1887;
((((BgL_isaz00_bglt)CREF(BgL_new1694z00_1867))->BgL_locz00) = ((obj_t)BgL_arg3040z00_1118), BUNSPEC); 
((((BgL_isaz00_bglt)CREF(BgL_new1694z00_1867))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1689z00_1862), BUNSPEC); 
((((BgL_isaz00_bglt)CREF(BgL_new1694z00_1867))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_isaz00_bglt)CREF(BgL_new1694z00_1867))->BgL_keyz00) = ((obj_t)BgL_key1691z00_1864), BUNSPEC); 
((((BgL_isaz00_bglt)CREF(BgL_new1694z00_1867))->BgL_exprza2za2) = ((obj_t)BgL_arg3043z00_1121), BUNSPEC); 
((((BgL_isaz00_bglt)CREF(BgL_new1694z00_1867))->BgL_classz00) = ((BgL_typez00_bglt)BgL_arg3044z00_1122), BUNSPEC); 
BgL_res3546z00_1887 = BgL_new1694z00_1867; BgL_res3546z00_1887; } 
BgL_res3547z00_1888 = BgL_new1694z00_1867; } } 
BgL_auxz00_2966 = BgL_res3547z00_1888; } } 
return 
(obj_t)(BgL_auxz00_2966);} }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} }  else 
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd21599zd2_995;
BgL_cdrzd21599zd2_995 = 
CDR(BgL_cdrzd21401zd2_984); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2777z00_996;
{ /* ./Ast/private.scm 36 */
obj_t BgL_auxz00_2993;obj_t BgL_auxz00_2991;
BgL_auxz00_2993 = 
CNST_TABLE_REF(((long)5)); 
BgL_auxz00_2991 = 
CAR(BgL_cdrzd21401zd2_984); 
BgL_test2777z00_996 = 
(BgL_auxz00_2991==BgL_auxz00_2993); } 
if(BgL_test2777z00_996)
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2778z00_997;
BgL_test2778z00_997 = 
PAIRP(BgL_cdrzd21599zd2_995); 
if(BgL_test2778z00_997)
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd21606zd2_998;
BgL_cdrzd21606zd2_998 = 
CDR(BgL_cdrzd21599zd2_995); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2779z00_999;
BgL_test2779z00_999 = 
PAIRP(BgL_cdrzd21606zd2_998); 
if(BgL_test2779z00_999)
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd21613zd2_1000;
BgL_cdrzd21613zd2_1000 = 
CDR(BgL_cdrzd21606zd2_998); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2780z00_1001;
BgL_test2780z00_1001 = 
PAIRP(BgL_cdrzd21613zd2_1000); 
if(BgL_test2780z00_1001)
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd21619zd2_1002;
BgL_cdrzd21619zd2_1002 = 
CDR(BgL_cdrzd21613zd2_1000); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2781z00_1003;
BgL_test2781z00_1003 = 
PAIRP(BgL_cdrzd21619zd2_1002); 
if(BgL_test2781z00_1003)
{ /* ./Ast/private.scm 36 */
obj_t BgL_carzd21623zd2_1004;obj_t BgL_cdrzd21624zd2_1005;
BgL_carzd21623zd2_1004 = 
CAR(BgL_cdrzd21619zd2_1002); 
BgL_cdrzd21624zd2_1005 = 
CDR(BgL_cdrzd21619zd2_1002); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2782z00_1006;
BgL_test2782z00_1006 = 
STRINGP(BgL_carzd21623zd2_1004); 
if(BgL_test2782z00_1006)
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2783z00_1007;
BgL_test2783z00_1007 = 
PAIRP(BgL_cdrzd21624zd2_1005); 
if(BgL_test2783z00_1007)
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2784z00_1008;
{ /* ./Ast/private.scm 36 */
obj_t BgL_auxz00_3014;
BgL_auxz00_3014 = 
CDR(BgL_cdrzd21624zd2_1005); 
BgL_test2784z00_1008 = 
NULLP(BgL_auxz00_3014); } 
if(BgL_test2784z00_1008)
{ /* ./Ast/private.scm 36 */
obj_t BgL_arg2786z00_1009;obj_t BgL_arg2787z00_1010;obj_t BgL_arg2788z00_1011;obj_t BgL_arg2789z00_1012;
BgL_arg2786z00_1009 = 
CAR(BgL_cdrzd21599zd2_995); 
BgL_arg2787z00_1010 = 
CAR(BgL_cdrzd21606zd2_998); 
BgL_arg2788z00_1011 = 
CAR(BgL_cdrzd21613zd2_1000); 
BgL_arg2789z00_1012 = 
CAR(BgL_cdrzd21624zd2_1005); 
{ /* ./Ast/private.scm 36 */
BgL_vlengthz00_bglt BgL_auxz00_3022;
BgL_vtypez00_909 = BgL_arg2786z00_1009; 
BgL_ftypez00_910 = BgL_arg2787z00_1010; 
BgL_otypez00_911 = BgL_arg2788z00_1011; 
BgL_czd2fmtzd2_912 = BgL_carzd21623zd2_1004; 
BgL_expz00_913 = BgL_arg2789z00_1012; 
{ /* ./Ast/private.scm 76 */
BgL_typez00_bglt BgL_vtypez00_1125;BgL_typez00_bglt BgL_otypez00_1126;BgL_typez00_bglt BgL_ftypez00_1127;
BgL_vtypez00_1125 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_vtypez00_909, BgL_locz00_4); 
BgL_otypez00_1126 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_otypez00_911, BgL_locz00_4); 
BgL_ftypez00_1127 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_ftypez00_910, BgL_locz00_4); 
{ /* ./Ast/private.scm 80 */
obj_t BgL_arg3054z00_1128;BgL_typez00_bglt BgL_arg3055z00_1129;obj_t BgL_arg3057z00_1131;obj_t BgL_arg3058z00_1132;BgL_typez00_bglt BgL_arg3059z00_1133;
BgL_arg3054z00_1128 = BgL_locz00_4; 
BgL_arg3055z00_1129 = BgL_otypez00_1126; 
{ /* ./Ast/private.scm 84 */
BgL_nodez00_bglt BgL_arg3062z00_1134;
BgL_arg3062z00_1134 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_913, BgL_stackz00_3, BgL_locz00_4, BgL_sitez00_5); 
{ /* ./Ast/private.scm 84 */
obj_t BgL_list3064z00_1135;
{ /* ./Ast/private.scm 84 */
obj_t BgL_auxz00_3027;
BgL_auxz00_3027 = 
(obj_t)(BgL_arg3062z00_1134); 
BgL_list3064z00_1135 = 
MAKE_PAIR(BgL_auxz00_3027, BNIL); } 
BgL_arg3057z00_1131 = BgL_list3064z00_1135; } } 
BgL_arg3058z00_1132 = BgL_czd2fmtzd2_912; 
BgL_arg3059z00_1133 = BgL_vtypez00_1125; 
{ /* ./Ast/private.scm 79 */
BgL_vlengthz00_bglt BgL_res3551z00_1921;
{ /* ./Ast/private.scm 79 */
obj_t BgL_key1651z00_1894;
BgL_key1651z00_1894 = 
BINT(((long)-1)); 
{ /* ./Ast/private.scm 79 */
BgL_vlengthz00_bglt BgL_new1655z00_1898;
{ /* ./Ast/private.scm 79 */
BgL_vlengthz00_bglt BgL_res3549z00_1904;
{ /* ./Ast/private.scm 79 */
BgL_vlengthz00_bglt BgL_new1657z00_1899;
BgL_new1657z00_1899 = 
((BgL_vlengthz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vlengthz00_bgl) ))); 
{ /* ./Ast/private.scm 79 */
long BgL_arg3355z00_1900;
BgL_arg3355z00_1900 = 
BGl_classzd2numzd2zz__objectz00(BGl_vlengthz00zzast_nodez00); 
{ /* ./Ast/private.scm 79 */
BgL_objectz00_bglt BgL_objz00_1901;
BgL_objz00_1901 = 
(BgL_objectz00_bglt)(BgL_new1657z00_1899); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1901, BgL_arg3355z00_1900); } } 
{ /* ./Ast/private.scm 79 */
BgL_objectz00_bglt BgL_auxz00_3035;
BgL_auxz00_3035 = 
(BgL_objectz00_bglt)(BgL_new1657z00_1899); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3035, BFALSE); } 
{ /* ./Ast/private.scm 79 */
obj_t BgL_objz00_1903;
BgL_objz00_1903 = 
(obj_t)(BgL_new1657z00_1899); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1903); BUNSPEC; } 
BgL_res3549z00_1904 = BgL_new1657z00_1899; } 
BgL_new1655z00_1898 = BgL_res3549z00_1904; } 
{ /* ./Ast/private.scm 79 */
BgL_vlengthz00_bglt BgL_res3550z00_1920;
((((BgL_vlengthz00_bglt)CREF(BgL_new1655z00_1898))->BgL_locz00) = ((obj_t)BgL_arg3054z00_1128), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new1655z00_1898))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3055z00_1129), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new1655z00_1898))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new1655z00_1898))->BgL_keyz00) = ((obj_t)BgL_key1651z00_1894), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new1655z00_1898))->BgL_exprza2za2) = ((obj_t)BgL_arg3057z00_1131), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new1655z00_1898))->BgL_czd2formatzd2) = ((obj_t)BgL_arg3058z00_1132), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new1655z00_1898))->BgL_vtypez00) = ((BgL_typez00_bglt)BgL_arg3059z00_1133), BUNSPEC); 
BgL_res3550z00_1920 = BgL_new1655z00_1898; BgL_res3550z00_1920; } 
BgL_res3551z00_1921 = BgL_new1655z00_1898; } } 
BgL_auxz00_3022 = BgL_res3551z00_1921; } } } 
return 
(obj_t)(BgL_auxz00_3022);} }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} }  else 
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd21926zd2_1014;
BgL_cdrzd21926zd2_1014 = 
CDR(BgL_sexpz00_2); 
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd21933zd2_1015;
BgL_cdrzd21933zd2_1015 = 
CDR(BgL_cdrzd21926zd2_1014); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2817z00_1016;
{ /* ./Ast/private.scm 36 */
obj_t BgL_auxz00_3052;obj_t BgL_auxz00_3050;
BgL_auxz00_3052 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_3050 = 
CAR(BgL_cdrzd21926zd2_1014); 
BgL_test2817z00_1016 = 
(BgL_auxz00_3050==BgL_auxz00_3052); } 
if(BgL_test2817z00_1016)
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2818z00_1017;
BgL_test2818z00_1017 = 
PAIRP(BgL_cdrzd21933zd2_1015); 
if(BgL_test2818z00_1017)
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd21940zd2_1018;
BgL_cdrzd21940zd2_1018 = 
CDR(BgL_cdrzd21933zd2_1015); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2819z00_1019;
BgL_test2819z00_1019 = 
PAIRP(BgL_cdrzd21940zd2_1018); 
if(BgL_test2819z00_1019)
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd21947zd2_1020;
BgL_cdrzd21947zd2_1020 = 
CDR(BgL_cdrzd21940zd2_1018); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2820z00_1021;
BgL_test2820z00_1021 = 
PAIRP(BgL_cdrzd21947zd2_1020); 
if(BgL_test2820z00_1021)
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd21953zd2_1022;
BgL_cdrzd21953zd2_1022 = 
CDR(BgL_cdrzd21947zd2_1020); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2821z00_1023;
BgL_test2821z00_1023 = 
PAIRP(BgL_cdrzd21953zd2_1022); 
if(BgL_test2821z00_1023)
{ /* ./Ast/private.scm 36 */
obj_t BgL_carzd21957zd2_1024;
BgL_carzd21957zd2_1024 = 
CAR(BgL_cdrzd21953zd2_1022); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2822z00_1025;
BgL_test2822z00_1025 = 
STRINGP(BgL_carzd21957zd2_1024); 
if(BgL_test2822z00_1025)
{ /* ./Ast/private.scm 36 */
obj_t BgL_arg2824z00_1026;obj_t BgL_arg2825z00_1027;obj_t BgL_arg2826z00_1028;obj_t BgL_arg2827z00_1029;
BgL_arg2824z00_1026 = 
CAR(BgL_cdrzd21933zd2_1015); 
BgL_arg2825z00_1027 = 
CAR(BgL_cdrzd21940zd2_1018); 
BgL_arg2826z00_1028 = 
CAR(BgL_cdrzd21947zd2_1020); 
BgL_arg2827z00_1029 = 
CDR(BgL_cdrzd21953zd2_1022); 
{ /* ./Ast/private.scm 36 */
BgL_vrefz00_bglt BgL_auxz00_3074;
BgL_vtypez00_915 = BgL_arg2824z00_1026; 
BgL_ftypez00_916 = BgL_arg2825z00_1027; 
BgL_otypez00_917 = BgL_arg2826z00_1028; 
BgL_czd2fmtzd2_918 = BgL_carzd21957zd2_1024; 
BgL_restz00_919 = BgL_arg2827z00_1029; 
{ /* ./Ast/private.scm 86 */
BgL_typez00_bglt BgL_ftypez00_1136;BgL_typez00_bglt BgL_vtypez00_1137;BgL_typez00_bglt BgL_otypez00_1138;
BgL_ftypez00_1136 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_ftypez00_916, BgL_locz00_4); 
BgL_vtypez00_1137 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_vtypez00_915, BgL_locz00_4); 
BgL_otypez00_1138 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_otypez00_917, BgL_locz00_4); 
{ /* ./Ast/private.scm 90 */
obj_t BgL_arg3071z00_1139;BgL_typez00_bglt BgL_arg3072z00_1140;obj_t BgL_arg3074z00_1142;obj_t BgL_arg3075z00_1143;BgL_typez00_bglt BgL_arg3076z00_1144;BgL_typez00_bglt BgL_arg3077z00_1145;BgL_typez00_bglt BgL_arg3078z00_1146;
BgL_arg3071z00_1139 = BgL_locz00_4; 
BgL_arg3072z00_1140 = BgL_ftypez00_1136; 
BgL_arg3074z00_1142 = 
BGl_sexpza2zd2ze3nodez93zzast_sexpz00(BgL_restz00_919, BgL_stackz00_3, BgL_locz00_4, BgL_sitez00_5); 
BgL_arg3075z00_1143 = BgL_czd2fmtzd2_918; 
BgL_arg3076z00_1144 = BgL_ftypez00_1136; 
BgL_arg3077z00_1145 = BgL_otypez00_1138; 
BgL_arg3078z00_1146 = BgL_vtypez00_1137; 
{ /* ./Ast/private.scm 89 */
BgL_vrefz00_bglt BgL_res3554z00_1958;
{ /* ./Ast/private.scm 89 */
obj_t BgL_key1555z00_1925;
BgL_key1555z00_1925 = 
BINT(((long)-1)); 
{ /* ./Ast/private.scm 89 */
BgL_vrefz00_bglt BgL_new1561z00_1931;
{ /* ./Ast/private.scm 89 */
BgL_vrefz00_bglt BgL_res3552z00_1937;
{ /* ./Ast/private.scm 89 */
BgL_vrefz00_bglt BgL_new1563z00_1932;
BgL_new1563z00_1932 = 
((BgL_vrefz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vrefz00_bgl) ))); 
{ /* ./Ast/private.scm 89 */
long BgL_arg3373z00_1933;
BgL_arg3373z00_1933 = 
BGl_classzd2numzd2zz__objectz00(BGl_vrefz00zzast_nodez00); 
{ /* ./Ast/private.scm 89 */
BgL_objectz00_bglt BgL_objz00_1934;
BgL_objz00_1934 = 
(BgL_objectz00_bglt)(BgL_new1563z00_1932); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1934, BgL_arg3373z00_1933); } } 
{ /* ./Ast/private.scm 89 */
BgL_objectz00_bglt BgL_auxz00_3084;
BgL_auxz00_3084 = 
(BgL_objectz00_bglt)(BgL_new1563z00_1932); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3084, BFALSE); } 
{ /* ./Ast/private.scm 89 */
obj_t BgL_objz00_1936;
BgL_objz00_1936 = 
(obj_t)(BgL_new1563z00_1932); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1936); BUNSPEC; } 
BgL_res3552z00_1937 = BgL_new1563z00_1932; } 
BgL_new1561z00_1931 = BgL_res3552z00_1937; } 
{ /* ./Ast/private.scm 89 */
BgL_vrefz00_bglt BgL_res3553z00_1957;
((((BgL_vrefz00_bglt)CREF(BgL_new1561z00_1931))->BgL_locz00) = ((obj_t)BgL_arg3071z00_1139), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new1561z00_1931))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3072z00_1140), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new1561z00_1931))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new1561z00_1931))->BgL_keyz00) = ((obj_t)BgL_key1555z00_1925), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new1561z00_1931))->BgL_exprza2za2) = ((obj_t)BgL_arg3074z00_1142), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new1561z00_1931))->BgL_czd2formatzd2) = ((obj_t)BgL_arg3075z00_1143), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new1561z00_1931))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_arg3076z00_1144), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new1561z00_1931))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_arg3077z00_1145), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new1561z00_1931))->BgL_vtypez00) = ((BgL_typez00_bglt)BgL_arg3078z00_1146), BUNSPEC); 
BgL_res3553z00_1957 = BgL_new1561z00_1931; BgL_res3553z00_1957; } 
BgL_res3554z00_1958 = BgL_new1561z00_1931; } } 
BgL_auxz00_3074 = BgL_res3554z00_1958; } } } 
return 
(obj_t)(BgL_auxz00_3074);} }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} }  else 
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd22119zd2_1031;
BgL_cdrzd22119zd2_1031 = 
CDR(BgL_cdrzd21926zd2_1014); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2847z00_1032;
{ /* ./Ast/private.scm 36 */
obj_t BgL_auxz00_3102;obj_t BgL_auxz00_3100;
BgL_auxz00_3102 = 
CNST_TABLE_REF(((long)7)); 
BgL_auxz00_3100 = 
CAR(BgL_cdrzd21926zd2_1014); 
BgL_test2847z00_1032 = 
(BgL_auxz00_3100==BgL_auxz00_3102); } 
if(BgL_test2847z00_1032)
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2848z00_1033;
BgL_test2848z00_1033 = 
PAIRP(BgL_cdrzd22119zd2_1031); 
if(BgL_test2848z00_1033)
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd22126zd2_1034;
BgL_cdrzd22126zd2_1034 = 
CDR(BgL_cdrzd22119zd2_1031); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2849z00_1035;
BgL_test2849z00_1035 = 
PAIRP(BgL_cdrzd22126zd2_1034); 
if(BgL_test2849z00_1035)
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd22133zd2_1036;
BgL_cdrzd22133zd2_1036 = 
CDR(BgL_cdrzd22126zd2_1034); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2850z00_1037;
BgL_test2850z00_1037 = 
PAIRP(BgL_cdrzd22133zd2_1036); 
if(BgL_test2850z00_1037)
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd22139zd2_1038;
BgL_cdrzd22139zd2_1038 = 
CDR(BgL_cdrzd22133zd2_1036); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2851z00_1039;
BgL_test2851z00_1039 = 
PAIRP(BgL_cdrzd22139zd2_1038); 
if(BgL_test2851z00_1039)
{ /* ./Ast/private.scm 36 */
obj_t BgL_carzd22143zd2_1040;
BgL_carzd22143zd2_1040 = 
CAR(BgL_cdrzd22139zd2_1038); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2852z00_1041;
BgL_test2852z00_1041 = 
STRINGP(BgL_carzd22143zd2_1040); 
if(BgL_test2852z00_1041)
{ /* ./Ast/private.scm 36 */
obj_t BgL_arg2854z00_1042;obj_t BgL_arg2855z00_1043;obj_t BgL_arg2856z00_1044;obj_t BgL_arg2857z00_1045;
BgL_arg2854z00_1042 = 
CAR(BgL_cdrzd22119zd2_1031); 
BgL_arg2855z00_1043 = 
CAR(BgL_cdrzd22126zd2_1034); 
BgL_arg2856z00_1044 = 
CAR(BgL_cdrzd22133zd2_1036); 
BgL_arg2857z00_1045 = 
CDR(BgL_cdrzd22139zd2_1038); 
{ /* ./Ast/private.scm 36 */
BgL_vsetz12z12_bglt BgL_auxz00_3124;
BgL_vtypez00_921 = BgL_arg2854z00_1042; 
BgL_ftypez00_922 = BgL_arg2855z00_1043; 
BgL_otypez00_923 = BgL_arg2856z00_1044; 
BgL_czd2fmtzd2_924 = BgL_carzd22143zd2_1040; 
BgL_restz00_925 = BgL_arg2857z00_1045; 
{ /* ./Ast/private.scm 98 */
BgL_typez00_bglt BgL_ftypez00_1147;BgL_typez00_bglt BgL_vtypez00_1148;BgL_typez00_bglt BgL_otypez00_1149;
BgL_ftypez00_1147 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_ftypez00_922, BgL_locz00_4); 
BgL_vtypez00_1148 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_vtypez00_921, BgL_locz00_4); 
BgL_otypez00_1149 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_otypez00_923, BgL_locz00_4); 
{ /* ./Ast/private.scm 102 */
obj_t BgL_arg3085z00_1150;obj_t BgL_arg3086z00_1151;obj_t BgL_arg3088z00_1153;obj_t BgL_arg3089z00_1154;BgL_typez00_bglt BgL_arg3090z00_1155;BgL_typez00_bglt BgL_arg3091z00_1156;BgL_typez00_bglt BgL_arg3092z00_1157;
BgL_arg3085z00_1150 = BgL_locz00_4; 
BgL_arg3086z00_1151 = BGl_za2unspecza2z00zztype_cachez00; 
BgL_arg3088z00_1153 = 
BGl_sexpza2zd2ze3nodez93zzast_sexpz00(BgL_restz00_925, BgL_stackz00_3, BgL_locz00_4, BgL_sitez00_5); 
BgL_arg3089z00_1154 = BgL_czd2fmtzd2_924; 
BgL_arg3090z00_1155 = BgL_ftypez00_1147; 
BgL_arg3091z00_1156 = BgL_otypez00_1149; 
BgL_arg3092z00_1157 = BgL_vtypez00_1148; 
{ /* ./Ast/private.scm 101 */
BgL_vsetz12z12_bglt BgL_res3557z00_1995;
{ /* ./Ast/private.scm 101 */
BgL_typez00_bglt BgL_type1605z00_1960;obj_t BgL_key1607z00_1962;
BgL_type1605z00_1960 = 
(BgL_typez00_bglt)(BgL_arg3086z00_1151); 
BgL_key1607z00_1962 = 
BINT(((long)-1)); 
{ /* ./Ast/private.scm 101 */
BgL_vsetz12z12_bglt BgL_new1613z00_1968;
{ /* ./Ast/private.scm 101 */
BgL_vsetz12z12_bglt BgL_res3555z00_1974;
{ /* ./Ast/private.scm 101 */
BgL_vsetz12z12_bglt BgL_new1615z00_1969;
BgL_new1615z00_1969 = 
((BgL_vsetz12z12_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vsetz12z12_bgl) ))); 
{ /* ./Ast/private.scm 101 */
long BgL_arg3364z00_1970;
BgL_arg3364z00_1970 = 
BGl_classzd2numzd2zz__objectz00(BGl_vsetz12z12zzast_nodez00); 
{ /* ./Ast/private.scm 101 */
BgL_objectz00_bglt BgL_objz00_1971;
BgL_objz00_1971 = 
(BgL_objectz00_bglt)(BgL_new1615z00_1969); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1971, BgL_arg3364z00_1970); } } 
{ /* ./Ast/private.scm 101 */
BgL_objectz00_bglt BgL_auxz00_3135;
BgL_auxz00_3135 = 
(BgL_objectz00_bglt)(BgL_new1615z00_1969); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3135, BFALSE); } 
{ /* ./Ast/private.scm 101 */
obj_t BgL_objz00_1973;
BgL_objz00_1973 = 
(obj_t)(BgL_new1615z00_1969); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1973); BUNSPEC; } 
BgL_res3555z00_1974 = BgL_new1615z00_1969; } 
BgL_new1613z00_1968 = BgL_res3555z00_1974; } 
{ /* ./Ast/private.scm 101 */
BgL_vsetz12z12_bglt BgL_res3556z00_1994;
((((BgL_vsetz12z12_bglt)CREF(BgL_new1613z00_1968))->BgL_locz00) = ((obj_t)BgL_arg3085z00_1150), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new1613z00_1968))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1605z00_1960), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new1613z00_1968))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new1613z00_1968))->BgL_keyz00) = ((obj_t)BgL_key1607z00_1962), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new1613z00_1968))->BgL_exprza2za2) = ((obj_t)BgL_arg3088z00_1153), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new1613z00_1968))->BgL_czd2formatzd2) = ((obj_t)BgL_arg3089z00_1154), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new1613z00_1968))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_arg3090z00_1155), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new1613z00_1968))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_arg3091z00_1156), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new1613z00_1968))->BgL_vtypez00) = ((BgL_typez00_bglt)BgL_arg3092z00_1157), BUNSPEC); 
BgL_res3556z00_1994 = BgL_new1613z00_1968; BgL_res3556z00_1994; } 
BgL_res3557z00_1995 = BgL_new1613z00_1968; } } 
BgL_auxz00_3124 = BgL_res3557z00_1995; } } } 
return 
(obj_t)(BgL_auxz00_3124);} }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} }  else 
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd22234zd2_1046;
BgL_cdrzd22234zd2_1046 = 
CDR(BgL_sexpz00_2); 
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd22243zd2_1047;
BgL_cdrzd22243zd2_1047 = 
CDR(BgL_cdrzd22234zd2_1046); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2877z00_1048;
{ /* ./Ast/private.scm 36 */
obj_t BgL_auxz00_3154;obj_t BgL_auxz00_3152;
BgL_auxz00_3154 = 
CNST_TABLE_REF(((long)8)); 
BgL_auxz00_3152 = 
CAR(BgL_cdrzd22234zd2_1046); 
BgL_test2877z00_1048 = 
(BgL_auxz00_3152==BgL_auxz00_3154); } 
if(BgL_test2877z00_1048)
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2878z00_1049;
BgL_test2878z00_1049 = 
PAIRP(BgL_cdrzd22243zd2_1047); 
if(BgL_test2878z00_1049)
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd22252zd2_1050;
BgL_cdrzd22252zd2_1050 = 
CDR(BgL_cdrzd22243zd2_1047); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2879z00_1051;
BgL_test2879z00_1051 = 
PAIRP(BgL_cdrzd22252zd2_1050); 
if(BgL_test2879z00_1051)
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd22261zd2_1052;
BgL_cdrzd22261zd2_1052 = 
CDR(BgL_cdrzd22252zd2_1050); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2880z00_1053;
BgL_test2880z00_1053 = 
PAIRP(BgL_cdrzd22261zd2_1052); 
if(BgL_test2880z00_1053)
{ /* ./Ast/private.scm 36 */
obj_t BgL_cdrzd22269zd2_1054;
BgL_cdrzd22269zd2_1054 = 
CDR(BgL_cdrzd22261zd2_1052); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2881z00_1055;
BgL_test2881z00_1055 = 
PAIRP(BgL_cdrzd22269zd2_1054); 
if(BgL_test2881z00_1055)
{ /* ./Ast/private.scm 36 */
obj_t BgL_carzd22275zd2_1056;obj_t BgL_cdrzd22276zd2_1057;
BgL_carzd22275zd2_1056 = 
CAR(BgL_cdrzd22269zd2_1054); 
BgL_cdrzd22276zd2_1057 = 
CDR(BgL_cdrzd22269zd2_1054); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2882z00_1058;
BgL_test2882z00_1058 = 
STRINGP(BgL_carzd22275zd2_1056); 
if(BgL_test2882z00_1058)
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2883z00_1059;
BgL_test2883z00_1059 = 
PAIRP(BgL_cdrzd22276zd2_1057); 
if(BgL_test2883z00_1059)
{ /* ./Ast/private.scm 36 */
obj_t BgL_carzd22283zd2_1060;obj_t BgL_cdrzd22284zd2_1061;
BgL_carzd22283zd2_1060 = 
CAR(BgL_cdrzd22276zd2_1057); 
BgL_cdrzd22284zd2_1061 = 
CDR(BgL_cdrzd22276zd2_1057); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2884z00_1062;
BgL_test2884z00_1062 = 
STRINGP(BgL_carzd22283zd2_1060); 
if(BgL_test2884z00_1062)
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2885z00_1063;
BgL_test2885z00_1063 = 
PAIRP(BgL_cdrzd22284zd2_1061); 
if(BgL_test2885z00_1063)
{ /* ./Ast/private.scm 36 */
obj_t BgL_carzd22290zd2_1064;
BgL_carzd22290zd2_1064 = 
CAR(BgL_cdrzd22284zd2_1061); 
{ /* ./Ast/private.scm 36 */
bool_t BgL_test2886z00_1065;
BgL_test2886z00_1065 = 
BOOLEANP(BgL_carzd22290zd2_1064); 
if(BgL_test2886z00_1065)
{ /* ./Ast/private.scm 36 */
obj_t BgL_arg2888z00_1066;obj_t BgL_arg2889z00_1067;obj_t BgL_arg2890z00_1068;obj_t BgL_arg2891z00_1069;
BgL_arg2888z00_1066 = 
CAR(BgL_cdrzd22243zd2_1047); 
BgL_arg2889z00_1067 = 
CAR(BgL_cdrzd22252zd2_1050); 
BgL_arg2890z00_1068 = 
CAR(BgL_cdrzd22261zd2_1052); 
BgL_arg2891z00_1069 = 
CDR(BgL_cdrzd22284zd2_1061); 
{ /* ./Ast/private.scm 36 */
BgL_typez00_bglt BgL_ftypez00_1701;BgL_typez00_bglt BgL_vtypez00_1702;BgL_typez00_bglt BgL_otypez00_1703;
BgL_ftypez00_1701 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_arg2889z00_1067, BgL_locz00_4); 
BgL_vtypez00_1702 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_arg2888z00_1066, BgL_locz00_4); 
BgL_otypez00_1703 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_arg2890z00_1068, BgL_locz00_4); 
{ /* ./Ast/private.scm 36 */
obj_t BgL_arg3099z00_1704;BgL_typez00_bglt BgL_arg3100z00_1705;obj_t BgL_arg3102z00_1707;obj_t BgL_arg3103z00_1708;BgL_typez00_bglt BgL_arg3104z00_1709;BgL_typez00_bglt BgL_arg3105z00_1710;
BgL_arg3099z00_1704 = BgL_locz00_4; 
BgL_arg3100z00_1705 = BgL_vtypez00_1702; 
BgL_arg3102z00_1707 = 
BGl_sexpza2zd2ze3nodez93zzast_sexpz00(BgL_arg2891z00_1069, BgL_stackz00_3, BgL_locz00_4, BgL_sitez00_5); 
BgL_arg3103z00_1708 = BgL_carzd22275zd2_1056; 
BgL_arg3104z00_1709 = BgL_ftypez00_1701; 
BgL_arg3105z00_1710 = BgL_otypez00_1703; 
{ /* ./Ast/private.scm 36 */
BgL_vallocz00_bglt BgL_res3530z00_1744;
{ /* ./Ast/private.scm 36 */
obj_t BgL_key1504z00_1714;
BgL_key1504z00_1714 = 
BINT(((long)-1)); 
{ /* ./Ast/private.scm 36 */
BgL_vallocz00_bglt BgL_new1509z00_1719;
{ /* ./Ast/private.scm 36 */
BgL_vallocz00_bglt BgL_res3528z00_1725;
{ /* ./Ast/private.scm 36 */
BgL_vallocz00_bglt BgL_new1511z00_1720;
BgL_new1511z00_1720 = 
((BgL_vallocz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vallocz00_bgl) ))); 
{ /* ./Ast/private.scm 36 */
long BgL_arg3382z00_1721;
BgL_arg3382z00_1721 = 
BGl_classzd2numzd2zz__objectz00(BGl_vallocz00zzast_nodez00); 
{ /* ./Ast/private.scm 36 */
BgL_objectz00_bglt BgL_objz00_1722;
BgL_objz00_1722 = 
(BgL_objectz00_bglt)(BgL_new1511z00_1720); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1722, BgL_arg3382z00_1721); } } 
{ /* ./Ast/private.scm 36 */
BgL_objectz00_bglt BgL_auxz00_3197;
BgL_auxz00_3197 = 
(BgL_objectz00_bglt)(BgL_new1511z00_1720); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3197, BFALSE); } 
{ /* ./Ast/private.scm 36 */
obj_t BgL_objz00_1724;
BgL_objz00_1724 = 
(obj_t)(BgL_new1511z00_1720); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1724); BUNSPEC; } 
BgL_res3528z00_1725 = BgL_new1511z00_1720; } 
BgL_new1509z00_1719 = BgL_res3528z00_1725; } 
{ /* ./Ast/private.scm 36 */
BgL_vallocz00_bglt BgL_res3529z00_1743;
((((BgL_vallocz00_bglt)CREF(BgL_new1509z00_1719))->BgL_locz00) = ((obj_t)BgL_arg3099z00_1704), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new1509z00_1719))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3100z00_1705), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new1509z00_1719))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new1509z00_1719))->BgL_keyz00) = ((obj_t)BgL_key1504z00_1714), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new1509z00_1719))->BgL_exprza2za2) = ((obj_t)BgL_arg3102z00_1707), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new1509z00_1719))->BgL_czd2heapzd2formatz00) = ((obj_t)BgL_arg3103z00_1708), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new1509z00_1719))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_arg3104z00_1709), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new1509z00_1719))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_arg3105z00_1710), BUNSPEC); 
BgL_res3529z00_1743 = BgL_new1509z00_1719; BgL_res3529z00_1743; } 
BgL_res3530z00_1744 = BgL_new1509z00_1719; } } 
return 
(obj_t)(BgL_res3530z00_1744);} } } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } } } } } } } } } } } } } } } } } } } } } }  else 
{ /* ./Ast/private.scm 36 */
goto BgL_tagzd2110zd2_935;} } } } } 
}



/* _private->node */
obj_t BGl__privatezd2ze3nodez31zzast_privatez00(obj_t BgL_envz00_2730, obj_t BgL_sexpz00_2731, obj_t BgL_stackz00_2732, obj_t BgL_locz00_2733, obj_t BgL_sitez00_2734)
{ AN_OBJECT;
{ /* ./Ast/private.scm 35 */
return 
BGl_privatezd2ze3nodez31zzast_privatez00(BgL_sexpz00_2731, BgL_stackz00_2732, BgL_locz00_2733, BgL_sitez00_2734);} 
}



/* make-private-sexp */
BGL_EXPORTED_DEF obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t BgL_kindz00_6, obj_t BgL_typezd2idzd2_7, obj_t BgL_objsz00_8)
{ AN_OBJECT;
{ /* ./Ast/private.scm 140 */
{ /* ./Ast/private.scm 143 */
bool_t BgL_test3117z00_1171;
{ /* ./Ast/private.scm 143 */
obj_t BgL_objz00_2047;
BgL_objz00_2047 = BGl_za2privatezd2stampza2zd2zzast_privatez00; 
BgL_test3117z00_1171 = 
SYMBOLP(BgL_objz00_2047); } 
if(BgL_test3117z00_1171)
{ /* ./Ast/private.scm 143 */BFALSE; }  else 
{ /* ./Ast/private.scm 143 */
BGl_za2privatezd2stampza2zd2zzast_privatez00 = 
CNST_TABLE_REF(((long)9)); } } 
{ /* ./Ast/private.scm 145 */
obj_t BgL_arg3120z00_1172;
{ /* ./Ast/private.scm 145 */
obj_t BgL_arg3123z00_1173;
BgL_arg3123z00_1173 = 
MAKE_PAIR(BgL_typezd2idzd2_7, BgL_objsz00_8); 
BgL_arg3120z00_1172 = 
MAKE_PAIR(BgL_kindz00_6, BgL_arg3123z00_1173); } 
return 
MAKE_PAIR(BGl_za2privatezd2stampza2zd2zzast_privatez00, BgL_arg3120z00_1172);} } 
}



/* _make-private-sexp */
obj_t BGl__makezd2privatezd2sexpz00zzast_privatez00(obj_t BgL_envz00_2735, obj_t BgL_kindz00_2736, obj_t BgL_typezd2idzd2_2737, obj_t BgL_objsz00_2738)
{ AN_OBJECT;
{ /* ./Ast/private.scm 140 */
return 
BGl_makezd2privatezd2sexpz00zzast_privatez00(BgL_kindz00_2736, BgL_typezd2idzd2_2737, BgL_objsz00_2738);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_privatez00()
{ AN_OBJECT;
{ /* ./Ast/private.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_privatez00()
{ AN_OBJECT;
{ /* ./Ast/private.scm 15 */
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "ast_private"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "ast_private"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "ast_private"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "ast_private"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)15705), "ast_private"); 
return 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "ast_private");} 
}

