/*===========================================================================*/
/*   (Coerce/funcall.scm)                                                    */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Coerce/funcall.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzcoerce_funcallz00();
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_za2procedureza2z00zztype_cachez00;
extern obj_t BGl_varz00zzast_nodez00;
extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00();
extern obj_t BGl_atomz00zzast_nodez00;
static obj_t BGl_coercez12zd2funcall2659zc0zzcoerce_funcallz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_funcallz00zzast_nodez00;
extern BgL_nodez00_bglt BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
static obj_t BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00();
static BgL_nodez00_bglt BGl_makezd2errorzd2nodez00zzcoerce_funcallz00(BgL_localz00_bglt, obj_t, obj_t, obj_t, obj_t);
extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00();
extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt, BgL_typez00_bglt, BgL_typez00_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT long bgl_list_length(obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
extern obj_t BGl_za2intza2z00zztype_cachez00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t, BgL_typez00_bglt);
BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00();
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
static obj_t __cnst[ 17 ] ;


DEFINE_STRING( BGl_string3489z00zzcoerce_funcallz00, BgL_bgl_string3489za700za7za7coerce_funcallza7003517z00, "correct-arity? if let ::int len fun (light elight) dummy __eoa__ _ quote failure __error error/location @ begin location ", 121 );
DEFINE_STRING( BGl_string3487z00zzcoerce_funcallz00, BgL_bgl_string3487za700za7za7coerce_funcallza7003518z00, ":Wrong number of arguments", 26 );
DEFINE_STATIC_PROCEDURE( BGl_proc3488z00zzcoerce_funcallz00, BgL_bgl_coerceza712za7d2funcall2659za7c0za7za7coerce_funcallza7003519z00, BGl_coercez12zd2funcall2659zc0zzcoerce_funcallz00, 0L, 3 );
extern obj_t BGl_coercez12zd2envzc0zzcoerce_coercez00;



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long BgL_checksumz00_2117, char * BgL_fromz00_2118)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_funcallz00))
{ 
BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00(); 
BGl_cnstzd2initzd2zzcoerce_funcallz00(); 
BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00(); 
BGl_methodzd2initzd2zzcoerce_funcallz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00()
{ AN_OBJECT;
{ /* ./Coerce/funcall.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "coerce_funcall"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00()
{ AN_OBJECT;
{ /* ./Coerce/funcall.scm 15 */
{ /* ./Coerce/funcall.scm 15 */
obj_t BgL_cportz00_2110;
BgL_cportz00_2110 = 
open_input_string(BGl_string3489z00zzcoerce_funcallz00); 
{ 
long BgL_iz00_2111;
BgL_iz00_2111 = ((long)16); 
BgL_loopz00_2112:
{ /* ./Coerce/funcall.scm 15 */
bool_t BgL_test3491z00_2113;
BgL_test3491z00_2113 = 
(BgL_iz00_2111==((long)-1)); 
if(BgL_test3491z00_2113)
{ /* ./Coerce/funcall.scm 15 */
return BUNSPEC;}  else 
{ /* ./Coerce/funcall.scm 15 */
{ /* ./Coerce/funcall.scm 15 */
obj_t BgL_arg3493z00_2114;
{ /* ./Coerce/funcall.scm 15 */
obj_t BgL_list3496z00_2115;
BgL_list3496z00_2115 = 
MAKE_PAIR(BgL_cportz00_2110, BNIL); 
BgL_arg3493z00_2114 = 
BGl_readz00zz__readerz00(BgL_list3496z00_2115); } 
{ /* ./Coerce/funcall.scm 15 */
int BgL_auxz00_2135;
BgL_auxz00_2135 = 
(int)(BgL_iz00_2111); 
CNST_TABLE_SET(BgL_auxz00_2135, BgL_arg3493z00_2114); } } 
{ /* ./Coerce/funcall.scm 15 */
int BgL_auxz00_2116;
{ /* ./Coerce/funcall.scm 15 */
long BgL_auxz00_2138;
BgL_auxz00_2138 = 
(BgL_iz00_2111-((long)1)); 
BgL_auxz00_2116 = 
(int)(BgL_auxz00_2138); } 
{ 
long BgL_iz00_2141;
BgL_iz00_2141 = 
(long)(BgL_auxz00_2116); 
BgL_iz00_2111 = BgL_iz00_2141; 
goto BgL_loopz00_2112;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00()
{ AN_OBJECT;
{ /* ./Coerce/funcall.scm 15 */
return BUNSPEC;} 
}



/* make-error-node */
BgL_nodez00_bglt BGl_makezd2errorzd2nodez00zzcoerce_funcallz00(BgL_localz00_bglt BgL_funz00_18, obj_t BgL_errorzd2msgzd2_19, obj_t BgL_locz00_20, obj_t BgL_callerz00_21, obj_t BgL_toz00_22)
{ AN_OBJECT;
{ /* ./Coerce/funcall.scm 83 */
{ /* ./Coerce/funcall.scm 84 */
obj_t BgL_utz00_917;
BgL_utz00_917 = BGl_za2unsafezd2typeza2zd2zzengine_paramz00; 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BTRUE; 
{ /* ./Coerce/funcall.scm 86 */
BgL_nodez00_bglt BgL_nodez00_918;
{ /* ./Coerce/funcall.scm 88 */
BgL_nodez00_bglt BgL_arg2694z00_919;
{ /* ./Coerce/funcall.scm 88 */
obj_t BgL_arg2697z00_920;
{ /* ./Coerce/funcall.scm 88 */
bool_t BgL_test2699z00_921;
{ /* ./Coerce/funcall.scm 88 */
bool_t BgL_test2806z00_967;
{ /* ./Coerce/funcall.scm 88 */
bool_t BgL_test2808z00_968;
{ /* ./Coerce/funcall.scm 88 */
long BgL_n1z00_1457;
BgL_n1z00_1457 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test2808z00_968 = 
(BgL_n1z00_1457>((long)0)); } 
if(BgL_test2808z00_968)
{ /* ./Coerce/funcall.scm 88 */
BgL_test2806z00_967 = ((bool_t)1); }  else 
{ /* ./Coerce/funcall.scm 89 */
long BgL_n1z00_1459;
BgL_n1z00_1459 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test2806z00_967 = 
(BgL_n1z00_1459>((long)0)); } } 
if(BgL_test2806z00_967)
{ /* ./Coerce/funcall.scm 88 */
if(
STRUCTP(BgL_locz00_20))
{ /* ./Coerce/funcall.scm 90 */
obj_t BgL_auxz00_2153;obj_t BgL_auxz00_2151;
BgL_auxz00_2153 = 
CNST_TABLE_REF(((long)0)); 
BgL_auxz00_2151 = 
STRUCT_KEY(BgL_locz00_20); 
BgL_test2699z00_921 = 
(BgL_auxz00_2151==BgL_auxz00_2153); }  else 
{ /* ./Coerce/funcall.scm 90 */
BgL_test2699z00_921 = ((bool_t)0); } }  else 
{ /* ./Coerce/funcall.scm 88 */
BgL_test2699z00_921 = ((bool_t)0); } } 
if(BgL_test2699z00_921)
{ /* ./Coerce/funcall.scm 100 */
obj_t BgL_arg2701z00_922;obj_t BgL_arg2703z00_923;
BgL_arg2701z00_922 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Coerce/funcall.scm 92 */
obj_t BgL_arg2706z00_924;obj_t BgL_arg2707z00_925;
{ /* ./Coerce/funcall.scm 92 */
obj_t BgL_arg2710z00_926;obj_t BgL_arg2711z00_927;
{ /* ./Coerce/funcall.scm 92 */
obj_t BgL_arg2714z00_928;obj_t BgL_arg2715z00_929;
BgL_arg2714z00_928 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Coerce/funcall.scm 92 */
obj_t BgL_arg2718z00_930;obj_t BgL_arg2719z00_931;
BgL_arg2718z00_930 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Coerce/funcall.scm 92 */
obj_t BgL_auxz00_2160;
BgL_auxz00_2160 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg2719z00_931 = 
MAKE_PAIR(BgL_auxz00_2160, BNIL); } 
BgL_arg2715z00_929 = 
MAKE_PAIR(BgL_arg2718z00_930, BgL_arg2719z00_931); } 
BgL_arg2710z00_926 = 
MAKE_PAIR(BgL_arg2714z00_928, BgL_arg2715z00_929); } 
{ /* ./Coerce/funcall.scm 94 */
obj_t BgL_arg2723z00_932;obj_t BgL_arg2724z00_933;
{ /* ./Coerce/funcall.scm 94 */
obj_t BgL_arg2727z00_934;
{ /* ./Coerce/funcall.scm 94 */
obj_t BgL_arg2731z00_936;
BgL_arg2731z00_936 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
BgL_arg2727z00_934 = 
SYMBOL_TO_STRING(BgL_arg2731z00_936); } 
BgL_arg2723z00_932 = 
string_append(BgL_arg2727z00_934, BGl_string3487z00zzcoerce_funcallz00); } 
{ /* ./Coerce/funcall.scm 98 */
obj_t BgL_arg2735z00_937;
{ /* ./Coerce/funcall.scm 98 */
obj_t BgL_arg2738z00_938;
{ /* ./Coerce/funcall.scm 98 */
obj_t BgL_arg2741z00_939;obj_t BgL_arg2742z00_940;
BgL_arg2741z00_939 = 
BGl_locationzd2fullzd2fnamez00zztools_locationz00(BgL_locz00_20); 
{ /* ./Coerce/funcall.scm 99 */
obj_t BgL_arg2746z00_941;
{ /* ./Coerce/funcall.scm 99 */
int BgL_auxz00_2169;
BgL_auxz00_2169 = 
(int)(((long)1)); 
BgL_arg2746z00_941 = 
STRUCT_REF(BgL_locz00_20, BgL_auxz00_2169); } 
BgL_arg2742z00_940 = 
MAKE_PAIR(BgL_arg2746z00_941, BNIL); } 
BgL_arg2738z00_938 = 
MAKE_PAIR(BgL_arg2741z00_939, BgL_arg2742z00_940); } 
{ /* ./Coerce/funcall.scm 92 */
obj_t BgL_auxz00_2174;
BgL_auxz00_2174 = 
(obj_t)(BgL_funz00_18); 
BgL_arg2735z00_937 = 
MAKE_PAIR(BgL_auxz00_2174, BgL_arg2738z00_938); } } 
BgL_arg2724z00_933 = 
MAKE_PAIR(BgL_errorzd2msgzd2_19, BgL_arg2735z00_937); } 
BgL_arg2711z00_927 = 
MAKE_PAIR(BgL_arg2723z00_932, BgL_arg2724z00_933); } 
BgL_arg2706z00_924 = 
MAKE_PAIR(BgL_arg2710z00_926, BgL_arg2711z00_927); } 
{ /* ./Coerce/funcall.scm 100 */
obj_t BgL_arg2751z00_943;
{ /* ./Coerce/funcall.scm 100 */
obj_t BgL_arg2755z00_945;obj_t BgL_arg2756z00_946;
BgL_arg2755z00_945 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Coerce/funcall.scm 100 */
obj_t BgL_arg2759z00_947;obj_t BgL_arg2760z00_948;
{ /* ./Coerce/funcall.scm 100 */
obj_t BgL_arg2763z00_949;obj_t BgL_arg2764z00_950;
BgL_arg2763z00_949 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Coerce/funcall.scm 100 */
obj_t BgL_auxz00_2182;
BgL_auxz00_2182 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg2764z00_950 = 
MAKE_PAIR(BgL_auxz00_2182, BNIL); } 
BgL_arg2759z00_947 = 
MAKE_PAIR(BgL_arg2763z00_949, BgL_arg2764z00_950); } 
{ /* ./Coerce/funcall.scm 100 */
obj_t BgL_arg2768z00_951;obj_t BgL_arg2769z00_952;
{ /* ./Coerce/funcall.scm 100 */
obj_t BgL_arg2772z00_953;obj_t BgL_arg2773z00_954;
BgL_arg2772z00_953 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Coerce/funcall.scm 100 */
obj_t BgL_auxz00_2187;
BgL_auxz00_2187 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg2773z00_954 = 
MAKE_PAIR(BgL_auxz00_2187, BNIL); } 
BgL_arg2768z00_951 = 
MAKE_PAIR(BgL_arg2772z00_953, BgL_arg2773z00_954); } 
{ /* ./Coerce/funcall.scm 100 */
obj_t BgL_arg2777z00_955;
{ /* ./Coerce/funcall.scm 100 */
obj_t BgL_arg2781z00_957;obj_t BgL_arg2782z00_958;
BgL_arg2781z00_957 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Coerce/funcall.scm 100 */
obj_t BgL_auxz00_2192;
BgL_auxz00_2192 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg2782z00_958 = 
MAKE_PAIR(BgL_auxz00_2192, BNIL); } 
BgL_arg2777z00_955 = 
MAKE_PAIR(BgL_arg2781z00_957, BgL_arg2782z00_958); } 
BgL_arg2769z00_952 = 
MAKE_PAIR(BgL_arg2777z00_955, BNIL); } 
BgL_arg2760z00_948 = 
MAKE_PAIR(BgL_arg2768z00_951, BgL_arg2769z00_952); } 
BgL_arg2756z00_946 = 
MAKE_PAIR(BgL_arg2759z00_947, BgL_arg2760z00_948); } 
BgL_arg2751z00_943 = 
MAKE_PAIR(BgL_arg2755z00_945, BgL_arg2756z00_946); } 
BgL_arg2707z00_925 = 
MAKE_PAIR(BgL_arg2751z00_943, BNIL); } 
BgL_arg2703z00_923 = 
MAKE_PAIR(BgL_arg2706z00_924, BgL_arg2707z00_925); } 
BgL_arg2697z00_920 = 
MAKE_PAIR(BgL_arg2701z00_922, BgL_arg2703z00_923); }  else 
{ /* ./Coerce/funcall.scm 105 */
obj_t BgL_arg2786z00_959;obj_t BgL_arg2787z00_960;
BgL_arg2786z00_959 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Coerce/funcall.scm 102 */
obj_t BgL_arg2790z00_961;obj_t BgL_arg2791z00_962;
{ /* ./Coerce/funcall.scm 102 */
obj_t BgL_arg2794z00_963;
{ /* ./Coerce/funcall.scm 102 */
obj_t BgL_arg2799z00_965;
BgL_arg2799z00_965 = 
BGl_currentzd2functionzd2zztools_errorz00(); 
BgL_arg2794z00_963 = 
SYMBOL_TO_STRING(BgL_arg2799z00_965); } 
BgL_arg2790z00_961 = 
string_append(BgL_arg2794z00_963, BGl_string3487z00zzcoerce_funcallz00); } 
{ /* ./Coerce/funcall.scm 101 */
obj_t BgL_arg2803z00_966;
{ /* ./Coerce/funcall.scm 101 */
obj_t BgL_auxz00_2207;
BgL_auxz00_2207 = 
(obj_t)(BgL_funz00_18); 
BgL_arg2803z00_966 = 
MAKE_PAIR(BgL_auxz00_2207, BNIL); } 
BgL_arg2791z00_962 = 
MAKE_PAIR(BgL_errorzd2msgzd2_19, BgL_arg2803z00_966); } 
BgL_arg2787z00_960 = 
MAKE_PAIR(BgL_arg2790z00_961, BgL_arg2791z00_962); } 
BgL_arg2697z00_920 = 
MAKE_PAIR(BgL_arg2786z00_959, BgL_arg2787z00_960); } } 
BgL_arg2694z00_919 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2697z00_920, BgL_locz00_20); } 
BgL_nodez00_918 = 
BGl_coercez12z12zzcoerce_coercez00(BgL_arg2694z00_919, BgL_callerz00_21, 
(BgL_typez00_bglt)(BgL_toz00_22)); } 
BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BgL_utz00_917; 
return BgL_nodez00_918;} } } 
}



/* coerce-funcall-args! */
obj_t BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt BgL_nodez00_23, obj_t BgL_callerz00_24, obj_t BgL_toz00_25)
{ AN_OBJECT;
{ /* ./Coerce/funcall.scm 115 */
{ /* ./Coerce/funcall.scm 116 */
bool_t BgL_test2811z00_969;
{ /* ./Coerce/funcall.scm 116 */
obj_t BgL_auxz00_2216;
BgL_auxz00_2216 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_23))->BgL_argsz00); 
BgL_test2811z00_969 = 
NULLP(BgL_auxz00_2216); } 
if(BgL_test2811z00_969)
{ /* ./Coerce/funcall.scm 118 */
obj_t BgL_arg2813z00_970;
{ /* ./Coerce/funcall.scm 118 */
BgL_nodez00_bglt BgL_arg2816z00_971;
{ /* ./Coerce/funcall.scm 118 */
obj_t BgL_arg2821z00_973;obj_t BgL_arg2822z00_974;
BgL_arg2821z00_973 = 
CNST_TABLE_REF(((long)8)); 
{ /* ./Coerce/funcall.scm 119 */
BgL_nodez00_bglt BgL_obj1549z00_1475;
BgL_obj1549z00_1475 = 
(BgL_nodez00_bglt)(BgL_nodez00_23); 
BgL_arg2822z00_974 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_1475))->BgL_locz00); } 
BgL_arg2816z00_971 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2821z00_973, BgL_arg2822z00_974); } 
{ /* ./Coerce/funcall.scm 117 */
obj_t BgL_list2818z00_972;
{ /* ./Coerce/funcall.scm 117 */
obj_t BgL_auxz00_2224;
BgL_auxz00_2224 = 
(obj_t)(BgL_arg2816z00_971); 
BgL_list2818z00_972 = 
MAKE_PAIR(BgL_auxz00_2224, BNIL); } 
BgL_arg2813z00_970 = BgL_list2818z00_972; } } 
return 
((((BgL_funcallz00_bglt)CREF(BgL_nodez00_23))->BgL_argsz00) = ((obj_t)BgL_arg2813z00_970), BUNSPEC);}  else 
{ 
obj_t BgL_actualsz00_975;obj_t BgL_prevz00_976;
{ /* ./Coerce/funcall.scm 120 */
obj_t BgL_arg2826z00_978;obj_t BgL_arg2827z00_979;
BgL_arg2826z00_978 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_23))->BgL_argsz00); 
BgL_arg2827z00_979 = 
CNST_TABLE_REF(((long)9)); 
BgL_actualsz00_975 = BgL_arg2826z00_978; 
BgL_prevz00_976 = BgL_arg2827z00_979; 
BgL_loopz00_977:
{ /* ./Coerce/funcall.scm 122 */
bool_t BgL_test2830z00_980;
BgL_test2830z00_980 = 
NULLP(BgL_actualsz00_975); 
if(BgL_test2830z00_980)
{ /* ./Coerce/funcall.scm 124 */
obj_t BgL_arg2832z00_981;
{ /* ./Coerce/funcall.scm 124 */
BgL_nodez00_bglt BgL_arg2835z00_982;
{ /* ./Coerce/funcall.scm 124 */
obj_t BgL_arg2840z00_984;obj_t BgL_arg2841z00_985;
BgL_arg2840z00_984 = 
CNST_TABLE_REF(((long)8)); 
{ /* ./Coerce/funcall.scm 125 */
BgL_nodez00_bglt BgL_obj1549z00_1482;
BgL_obj1549z00_1482 = 
(BgL_nodez00_bglt)(BgL_nodez00_23); 
BgL_arg2841z00_985 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_1482))->BgL_locz00); } 
BgL_arg2835z00_982 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2840z00_984, BgL_arg2841z00_985); } 
{ /* ./Coerce/funcall.scm 123 */
obj_t BgL_list2837z00_983;
{ /* ./Coerce/funcall.scm 123 */
obj_t BgL_auxz00_2236;
BgL_auxz00_2236 = 
(obj_t)(BgL_arg2835z00_982); 
BgL_list2837z00_983 = 
MAKE_PAIR(BgL_auxz00_2236, BNIL); } 
BgL_arg2832z00_981 = BgL_list2837z00_983; } } 
return 
SET_CDR(BgL_prevz00_976, BgL_arg2832z00_981);}  else 
{ /* ./Coerce/funcall.scm 122 */
{ /* ./Coerce/funcall.scm 127 */
BgL_nodez00_bglt BgL_arg2845z00_986;
{ /* ./Coerce/funcall.scm 127 */
obj_t BgL_arg2848z00_987;
BgL_arg2848z00_987 = 
CAR(BgL_actualsz00_975); 
BgL_arg2845z00_986 = 
BGl_coercez12z12zzcoerce_coercez00(
(BgL_nodez00_bglt)(BgL_arg2848z00_987), BgL_callerz00_24, 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); } 
{ /* ./Coerce/funcall.scm 127 */
obj_t BgL_objz00_1489;
BgL_objz00_1489 = 
(obj_t)(BgL_arg2845z00_986); 
SET_CAR(BgL_actualsz00_975, BgL_objz00_1489); } } 
{ /* ./Coerce/funcall.scm 128 */
obj_t BgL_arg2852z00_988;
BgL_arg2852z00_988 = 
CDR(BgL_actualsz00_975); 
{ 
obj_t BgL_prevz00_2248;obj_t BgL_actualsz00_2247;
BgL_actualsz00_2247 = BgL_arg2852z00_988; 
BgL_prevz00_2248 = BgL_actualsz00_975; 
BgL_prevz00_976 = BgL_prevz00_2248; 
BgL_actualsz00_975 = BgL_actualsz00_2247; 
goto BgL_loopz00_977;} } } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcoerce_funcallz00()
{ AN_OBJECT;
{ /* ./Coerce/funcall.scm 15 */
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_funcallz00zzast_nodez00, BGl_proc3488z00zzcoerce_funcallz00);} 
}



/* coerce!-funcall2659 */
obj_t BGl_coercez12zd2funcall2659zc0zzcoerce_funcallz00(obj_t BgL_envz00_2101, obj_t BgL_nodez00_2102, obj_t BgL_callerz00_2103, obj_t BgL_toz00_2104)
{ AN_OBJECT;
{ /* ./Coerce/funcall.scm 35 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1375;obj_t BgL_callerz00_1376;obj_t BgL_toz00_1377;
BgL_nodez00_1375 = 
(BgL_funcallz00_bglt)(BgL_nodez00_2102); 
BgL_callerz00_1376 = BgL_callerz00_2103; 
BgL_toz00_1377 = BgL_toz00_2104; 
{ /* ./Coerce/funcall.scm 37 */
obj_t BgL_errorzd2msgzd2_1380;obj_t BgL_strengthz00_1381;
{ /* ./Coerce/funcall.scm 37 */
obj_t BgL_arg3368z00_1433;obj_t BgL_arg3370z00_1434;
BgL_arg3368z00_1433 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg3370z00_1434 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_nodez00_1375)); 
{ /* ./Coerce/funcall.scm 37 */
obj_t BgL_list3372z00_1435;
{ /* ./Coerce/funcall.scm 37 */
obj_t BgL_arg3374z00_1436;
BgL_arg3374z00_1436 = 
MAKE_PAIR(BgL_arg3370z00_1434, BNIL); 
BgL_list3372z00_1435 = 
MAKE_PAIR(BgL_arg3368z00_1433, BgL_arg3374z00_1436); } 
BgL_errorzd2msgzd2_1380 = BgL_list3372z00_1435; } } 
BgL_strengthz00_1381 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1375))->BgL_strengthz00); 
BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_nodez00_1375, BgL_callerz00_1376, BgL_toz00_1377); 
{ /* ./Coerce/funcall.scm 41 */
bool_t BgL_test3260z00_1382;
{ /* ./Coerce/funcall.scm 41 */
obj_t BgL_auxz00_2257;
BgL_auxz00_2257 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_strengthz00_1381, 
CNST_TABLE_REF(((long)10))); 
BgL_test3260z00_1382 = 
CBOOL(BgL_auxz00_2257); } 
if(BgL_test3260z00_1382)
{ /* ./Coerce/funcall.scm 42 */
BgL_nodez00_bglt BgL_auxz00_2262;
BgL_auxz00_2262 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1375), 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00), 
(BgL_typez00_bglt)(BgL_toz00_1377)); 
return 
(obj_t)(BgL_auxz00_2262);}  else 
{ /* ./Coerce/funcall.scm 44 */
BgL_nodez00_bglt BgL_czd2funzd2_1383;
{ /* ./Coerce/funcall.scm 44 */
BgL_nodez00_bglt BgL_arg3363z00_1432;
BgL_arg3363z00_1432 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1375))->BgL_funz00); 
BgL_czd2funzd2_1383 = 
BGl_coercez12z12zzcoerce_coercez00(BgL_arg3363z00_1432, BgL_callerz00_1376, 
(BgL_typez00_bglt)(BGl_za2procedureza2z00zztype_cachez00)); } 
if(
CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
{ /* ./Coerce/funcall.scm 46 */
((((BgL_funcallz00_bglt)CREF(BgL_nodez00_1375))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_czd2funzd2_1383), BUNSPEC); 
{ /* ./Coerce/funcall.scm 49 */
BgL_nodez00_bglt BgL_auxz00_2274;
BgL_auxz00_2274 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1375), 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00), 
(BgL_typez00_bglt)(BgL_toz00_1377)); 
return 
(obj_t)(BgL_auxz00_2274);} }  else 
{ /* ./Coerce/funcall.scm 50 */
BgL_localz00_bglt BgL_funz00_1384;
BgL_funz00_1384 = 
BGl_makezd2localzd2svarz00zzast_localz00(
CNST_TABLE_REF(((long)11)), 
(BgL_typez00_bglt)(BGl_za2procedureza2z00zztype_cachez00)); 
{ /* ./Coerce/funcall.scm 50 */
obj_t BgL_locz00_1385;
{ /* ./Coerce/funcall.scm 51 */
BgL_nodez00_bglt BgL_obj1549z00_2023;
BgL_obj1549z00_2023 = 
(BgL_nodez00_bglt)(BgL_nodez00_1375); 
BgL_locz00_1385 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_2023))->BgL_locz00); } 
{ /* ./Coerce/funcall.scm 51 */
BgL_atomz00_bglt BgL_lenz00_1386;
{ /* ./Coerce/funcall.scm 53 */
obj_t BgL_arg3348z00_1426;obj_t BgL_arg3349z00_1427;long BgL_arg3350z00_1428;
BgL_arg3348z00_1426 = BgL_locz00_1385; 
BgL_arg3349z00_1427 = BGl_za2intza2z00zztype_cachez00; 
{ /* ./Coerce/funcall.scm 55 */
long BgL_auxz00_2285;
BgL_auxz00_2285 = 
bgl_list_length(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1375))->BgL_argsz00)); 
BgL_arg3350z00_1428 = 
(BgL_auxz00_2285-((long)2)); } 
{ /* ./Coerce/funcall.scm 52 */
BgL_atomz00_bglt BgL_res3412z00_2045;
{ /* ./Coerce/funcall.scm 52 */
BgL_typez00_bglt BgL_type1609z00_2028;obj_t BgL_value1610z00_2029;
BgL_type1609z00_2028 = 
(BgL_typez00_bglt)(BgL_arg3349z00_1427); 
BgL_value1610z00_2029 = 
BINT(BgL_arg3350z00_1428); 
{ /* ./Coerce/funcall.scm 52 */
BgL_atomz00_bglt BgL_new1611z00_2030;
{ /* ./Coerce/funcall.scm 52 */
BgL_atomz00_bglt BgL_res3410z00_2036;
{ /* ./Coerce/funcall.scm 52 */
BgL_atomz00_bglt BgL_new1613z00_2031;
BgL_new1613z00_2031 = 
((BgL_atomz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_atomz00_bgl) ))); 
{ /* ./Coerce/funcall.scm 52 */
long BgL_arg3126z00_2032;
BgL_arg3126z00_2032 = 
BGl_classzd2numzd2zz__objectz00(BGl_atomz00zzast_nodez00); 
{ /* ./Coerce/funcall.scm 52 */
BgL_objectz00_bglt BgL_objz00_2033;
BgL_objz00_2033 = 
(BgL_objectz00_bglt)(BgL_new1613z00_2031); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2033, BgL_arg3126z00_2032); } } 
{ /* ./Coerce/funcall.scm 52 */
BgL_objectz00_bglt BgL_auxz00_2295;
BgL_auxz00_2295 = 
(BgL_objectz00_bglt)(BgL_new1613z00_2031); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2295, BFALSE); } 
{ /* ./Coerce/funcall.scm 52 */
obj_t BgL_objz00_2035;
BgL_objz00_2035 = 
(obj_t)(BgL_new1613z00_2031); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_2035); BUNSPEC; } 
BgL_res3410z00_2036 = BgL_new1613z00_2031; } 
BgL_new1611z00_2030 = BgL_res3410z00_2036; } 
{ /* ./Coerce/funcall.scm 52 */
BgL_atomz00_bglt BgL_res3411z00_2044;
((((BgL_atomz00_bglt)CREF(BgL_new1611z00_2030))->BgL_locz00) = ((obj_t)BgL_arg3348z00_1426), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1611z00_2030))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1609z00_2028), BUNSPEC); 
((((BgL_atomz00_bglt)CREF(BgL_new1611z00_2030))->BgL_valuez00) = ((obj_t)BgL_value1610z00_2029), BUNSPEC); 
BgL_res3411z00_2044 = BgL_new1611z00_2030; BgL_res3411z00_2044; } 
BgL_res3412z00_2045 = BgL_new1611z00_2030; } } 
BgL_lenz00_1386 = BgL_res3412z00_2045; } } 
{ /* ./Coerce/funcall.scm 52 */
obj_t BgL_azd2lenzd2_1387;
{ /* ./Coerce/funcall.scm 57 */
obj_t BgL_arg3344z00_1425;
BgL_arg3344z00_1425 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)12)), BEOA); 
BgL_azd2lenzd2_1387 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg3344z00_1425); } 
{ /* ./Coerce/funcall.scm 57 */
obj_t BgL_azd2tlenzd2_1388;
{ /* ./Coerce/funcall.scm 59 */
obj_t BgL_arg3335z00_1422;
{ /* ./Coerce/funcall.scm 59 */
obj_t BgL_list3338z00_1423;
{ /* ./Coerce/funcall.scm 59 */
obj_t BgL_arg3340z00_1424;
{ /* ./Coerce/funcall.scm 59 */
obj_t BgL_auxz00_2307;
BgL_auxz00_2307 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg3340z00_1424 = 
MAKE_PAIR(BgL_auxz00_2307, BNIL); } 
BgL_list3338z00_1423 = 
MAKE_PAIR(BgL_azd2lenzd2_1387, BgL_arg3340z00_1424); } 
BgL_arg3335z00_1422 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3338z00_1423); } 
BgL_azd2tlenzd2_1388 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg3335z00_1422); } 
{ /* ./Coerce/funcall.scm 58 */
BgL_letzd2varzd2_bglt BgL_lnodez00_1389;
{ /* ./Coerce/funcall.scm 61 */
obj_t BgL_arg3273z00_1394;obj_t BgL_arg3274z00_1395;obj_t BgL_arg3276z00_1397;BgL_nodez00_bglt BgL_arg3277z00_1398;
BgL_arg3273z00_1394 = BgL_locz00_1385; 
BgL_arg3274z00_1395 = BGl_za2objza2z00zztype_cachez00; 
{ /* ./Coerce/funcall.scm 63 */
obj_t BgL_arg3280z00_1399;
{ /* ./Coerce/funcall.scm 63 */
obj_t BgL_auxz00_2315;obj_t BgL_auxz00_2313;
BgL_auxz00_2315 = 
(obj_t)(BgL_czd2funzd2_1383); 
BgL_auxz00_2313 = 
(obj_t)(BgL_funz00_1384); 
BgL_arg3280z00_1399 = 
MAKE_PAIR(BgL_auxz00_2313, BgL_auxz00_2315); } 
{ /* ./Coerce/funcall.scm 63 */
obj_t BgL_list3282z00_1400;
BgL_list3282z00_1400 = 
MAKE_PAIR(BgL_arg3280z00_1399, BNIL); 
BgL_arg3276z00_1397 = BgL_list3282z00_1400; } } 
{ /* ./Coerce/funcall.scm 65 */
obj_t BgL_arg3286z00_1401;
{ /* ./Coerce/funcall.scm 65 */
obj_t BgL_arg3289z00_1402;obj_t BgL_arg3290z00_1403;
BgL_arg3289z00_1402 = 
CNST_TABLE_REF(((long)14)); 
{ /* ./Coerce/funcall.scm 65 */
obj_t BgL_arg3293z00_1404;obj_t BgL_arg3294z00_1405;
{ /* ./Coerce/funcall.scm 65 */
obj_t BgL_arg3297z00_1406;
{ /* ./Coerce/funcall.scm 65 */
obj_t BgL_arg3301z00_1408;
{ /* ./Coerce/funcall.scm 65 */
obj_t BgL_auxz00_2320;
BgL_auxz00_2320 = 
(obj_t)(BgL_lenz00_1386); 
BgL_arg3301z00_1408 = 
MAKE_PAIR(BgL_auxz00_2320, BNIL); } 
BgL_arg3297z00_1406 = 
MAKE_PAIR(BgL_azd2tlenzd2_1388, BgL_arg3301z00_1408); } 
BgL_arg3293z00_1404 = 
MAKE_PAIR(BgL_arg3297z00_1406, BNIL); } 
{ /* ./Coerce/funcall.scm 66 */
obj_t BgL_arg3305z00_1409;
{ /* ./Coerce/funcall.scm 66 */
obj_t BgL_arg3309z00_1411;obj_t BgL_arg3310z00_1412;
BgL_arg3309z00_1411 = 
CNST_TABLE_REF(((long)15)); 
{ /* ./Coerce/funcall.scm 66 */
obj_t BgL_arg3313z00_1413;obj_t BgL_arg3314z00_1414;
{ /* ./Coerce/funcall.scm 66 */
obj_t BgL_arg3317z00_1415;obj_t BgL_arg3318z00_1416;
BgL_arg3317z00_1415 = 
CNST_TABLE_REF(((long)16)); 
{ /* ./Coerce/funcall.scm 66 */
obj_t BgL_arg3321z00_1417;
BgL_arg3321z00_1417 = 
MAKE_PAIR(BgL_azd2lenzd2_1387, BNIL); 
{ /* ./Coerce/funcall.scm 66 */
obj_t BgL_auxz00_2328;
BgL_auxz00_2328 = 
(obj_t)(BgL_funz00_1384); 
BgL_arg3318z00_1416 = 
MAKE_PAIR(BgL_auxz00_2328, BgL_arg3321z00_1417); } } 
BgL_arg3313z00_1413 = 
MAKE_PAIR(BgL_arg3317z00_1415, BgL_arg3318z00_1416); } 
{ /* ./Coerce/funcall.scm 67 */
BgL_nodez00_bglt BgL_arg3325z00_1418;obj_t BgL_arg3326z00_1419;
BgL_arg3325z00_1418 = 
BGl_convertz12z12zzcoerce_convertz00(
(BgL_nodez00_bglt)(BgL_nodez00_1375), 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00), 
(BgL_typez00_bglt)(BgL_toz00_1377)); 
{ /* ./Coerce/funcall.scm 68 */
BgL_nodez00_bglt BgL_arg3330z00_1420;
BgL_arg3330z00_1420 = 
BGl_makezd2errorzd2nodez00zzcoerce_funcallz00(BgL_funz00_1384, BgL_errorzd2msgzd2_1380, BgL_locz00_1385, BgL_callerz00_1376, BgL_toz00_1377); 
{ /* ./Coerce/funcall.scm 66 */
obj_t BgL_auxz00_2337;
BgL_auxz00_2337 = 
(obj_t)(BgL_arg3330z00_1420); 
BgL_arg3326z00_1419 = 
MAKE_PAIR(BgL_auxz00_2337, BNIL); } } 
{ /* ./Coerce/funcall.scm 66 */
obj_t BgL_auxz00_2340;
BgL_auxz00_2340 = 
(obj_t)(BgL_arg3325z00_1418); 
BgL_arg3314z00_1414 = 
MAKE_PAIR(BgL_auxz00_2340, BgL_arg3326z00_1419); } } 
BgL_arg3310z00_1412 = 
MAKE_PAIR(BgL_arg3313z00_1413, BgL_arg3314z00_1414); } 
BgL_arg3305z00_1409 = 
MAKE_PAIR(BgL_arg3309z00_1411, BgL_arg3310z00_1412); } 
BgL_arg3294z00_1405 = 
MAKE_PAIR(BgL_arg3305z00_1409, BNIL); } 
BgL_arg3290z00_1403 = 
MAKE_PAIR(BgL_arg3293z00_1404, BgL_arg3294z00_1405); } 
BgL_arg3286z00_1401 = 
MAKE_PAIR(BgL_arg3289z00_1402, BgL_arg3290z00_1403); } 
BgL_arg3277z00_1398 = 
BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3286z00_1401, BgL_locz00_1385); } 
{ /* ./Coerce/funcall.scm 60 */
BgL_letzd2varzd2_bglt BgL_res3416z00_2078;
{ /* ./Coerce/funcall.scm 60 */
BgL_typez00_bglt BgL_type2493z00_2049;obj_t BgL_key2495z00_2051;
BgL_type2493z00_2049 = 
(BgL_typez00_bglt)(BgL_arg3274z00_1395); 
BgL_key2495z00_2051 = 
BINT(((long)-1)); 
{ /* ./Coerce/funcall.scm 60 */
BgL_letzd2varzd2_bglt BgL_new2499z00_2055;
{ /* ./Coerce/funcall.scm 60 */
BgL_letzd2varzd2_bglt BgL_res3414z00_2061;
{ /* ./Coerce/funcall.scm 60 */
BgL_letzd2varzd2_bglt BgL_new2501z00_2056;
BgL_new2501z00_2056 = 
((BgL_letzd2varzd2_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_letzd2varzd2_bgl) ))); 
{ /* ./Coerce/funcall.scm 60 */
long BgL_arg2909z00_2057;
BgL_arg2909z00_2057 = 
BGl_classzd2numzd2zz__objectz00(BGl_letzd2varzd2zzast_nodez00); 
{ /* ./Coerce/funcall.scm 60 */
BgL_objectz00_bglt BgL_objz00_2058;
BgL_objz00_2058 = 
(BgL_objectz00_bglt)(BgL_new2501z00_2056); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2058, BgL_arg2909z00_2057); } } 
{ /* ./Coerce/funcall.scm 60 */
BgL_objectz00_bglt BgL_auxz00_2355;
BgL_auxz00_2355 = 
(BgL_objectz00_bglt)(BgL_new2501z00_2056); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2355, BFALSE); } 
{ /* ./Coerce/funcall.scm 60 */
obj_t BgL_objz00_2060;
BgL_objz00_2060 = 
(obj_t)(BgL_new2501z00_2056); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_2060); BUNSPEC; } 
BgL_res3414z00_2061 = BgL_new2501z00_2056; } 
BgL_new2499z00_2055 = BgL_res3414z00_2061; } 
{ /* ./Coerce/funcall.scm 60 */
BgL_letzd2varzd2_bglt BgL_res3415z00_2077;
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2499z00_2055))->BgL_locz00) = ((obj_t)BgL_arg3273z00_1394), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2499z00_2055))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type2493z00_2049), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2499z00_2055))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2499z00_2055))->BgL_keyz00) = ((obj_t)BgL_key2495z00_2051), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2499z00_2055))->BgL_bindingsz00) = ((obj_t)BgL_arg3276z00_1397), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2499z00_2055))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3277z00_1398), BUNSPEC); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_new2499z00_2055))->BgL_removablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
BgL_res3415z00_2077 = BgL_new2499z00_2055; BgL_res3415z00_2077; } 
BgL_res3416z00_2078 = BgL_new2499z00_2055; } } 
BgL_lnodez00_1389 = BgL_res3416z00_2078; } } 
{ /* ./Coerce/funcall.scm 60 */

{ /* ./Coerce/funcall.scm 75 */
BgL_varz00_bglt BgL_arg3265z00_1390;
{ /* ./Coerce/funcall.scm 75 */
obj_t BgL_arg3268z00_1391;obj_t BgL_arg3269z00_1392;BgL_localz00_bglt BgL_arg3270z00_1393;
BgL_arg3268z00_1391 = BgL_locz00_1385; 
BgL_arg3269z00_1392 = BGl_za2objza2z00zztype_cachez00; 
BgL_arg3270z00_1393 = BgL_funz00_1384; 
{ /* ./Coerce/funcall.scm 74 */
BgL_varz00_bglt BgL_res3419z00_2097;
{ /* ./Coerce/funcall.scm 74 */
BgL_typez00_bglt BgL_type1631z00_2080;BgL_variablez00_bglt BgL_variable1632z00_2081;
BgL_type1631z00_2080 = 
(BgL_typez00_bglt)(BgL_arg3269z00_1392); 
BgL_variable1632z00_2081 = 
(BgL_variablez00_bglt)(BgL_arg3270z00_1393); 
{ /* ./Coerce/funcall.scm 74 */
BgL_varz00_bglt BgL_new1633z00_2082;
{ /* ./Coerce/funcall.scm 74 */
BgL_varz00_bglt BgL_res3417z00_2088;
{ /* ./Coerce/funcall.scm 74 */
BgL_varz00_bglt BgL_new1635z00_2083;
BgL_new1635z00_2083 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* ./Coerce/funcall.scm 74 */
long BgL_arg3116z00_2084;
BgL_arg3116z00_2084 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* ./Coerce/funcall.scm 74 */
BgL_objectz00_bglt BgL_objz00_2085;
BgL_objz00_2085 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2083); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2085, BgL_arg3116z00_2084); } } 
{ /* ./Coerce/funcall.scm 74 */
BgL_objectz00_bglt BgL_auxz00_2373;
BgL_auxz00_2373 = 
(BgL_objectz00_bglt)(BgL_new1635z00_2083); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2373, BFALSE); } 
{ /* ./Coerce/funcall.scm 74 */
obj_t BgL_objz00_2087;
BgL_objz00_2087 = 
(obj_t)(BgL_new1635z00_2083); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_2087); BUNSPEC; } 
BgL_res3417z00_2088 = BgL_new1635z00_2083; } 
BgL_new1633z00_2082 = BgL_res3417z00_2088; } 
{ /* ./Coerce/funcall.scm 74 */
BgL_varz00_bglt BgL_res3418z00_2096;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2082))->BgL_locz00) = ((obj_t)BgL_arg3268z00_1391), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2082))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1631z00_2080), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_2082))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_2081), BUNSPEC); 
BgL_res3418z00_2096 = BgL_new1633z00_2082; BgL_res3418z00_2096; } 
BgL_res3419z00_2097 = BgL_new1633z00_2082; } } 
BgL_arg3265z00_1390 = BgL_res3419z00_2097; } } 
{ /* ./Coerce/funcall.scm 74 */
BgL_nodez00_bglt BgL_val1787z00_2099;
BgL_val1787z00_2099 = 
(BgL_nodez00_bglt)(BgL_arg3265z00_1390); 
((((BgL_funcallz00_bglt)CREF(BgL_nodez00_1375))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_val1787z00_2099), BUNSPEC); } } 
return 
(obj_t)(BgL_lnodez00_1389);} } } } } } } } } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00()
{ AN_OBJECT;
{ /* ./Coerce/funcall.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)32118), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)15705), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)28959), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "coerce_funcall"); 
BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long)56611), "coerce_funcall"); 
return 
BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long)19914), "coerce_funcall");} 
}

