/*===========================================================================*/
/*   (DotNet/expr.scm)                                                       */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent DotNet/expr.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_compilerzd2ifzd2zzdotnet_compilerz00(BgL_conditionalz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vrefz00zzast_nodez00;
extern obj_t BGl_compilerzd2boxzd2refz00zzdotnet_compilerz00(BgL_boxzd2refzd2_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2funcall2988z00zzdotnet_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzdotnet_exprz00();
static obj_t BGl_compilezd2exprzd2app2984z00zzdotnet_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2letzd2var2972zd2zzdotnet_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2boxzd2setz12z12zzdotnet_compilerz00(BgL_boxzd2setz12zc0_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2funcallzd2zzdotnet_compilerz00(BgL_funcallz00_bglt, BgL_envz00_bglt);
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl__compilezd2exprzd2zzdotnet_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_compilezd2exprzd2pragma2990z00zzdotnet_exprz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_compilerzd2labelszd2zzdotnet_compilerz00(BgL_letzd2funzd2_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2exprzd2select2980z00zzdotnet_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2getfieldzd2zzdotnet_compilerz00(BgL_getfieldz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2pragmazd2zzdotnet_compilerz00(BgL_pragmaz00_bglt, BgL_envz00_bglt);
BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2vlength3004z00zzdotnet_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2getfield2992z00zzdotnet_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2makezd2boxz00zzdotnet_compilerz00(BgL_makezd2boxzd2_bglt, BgL_envz00_bglt);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_pragmaz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2cast3008z00zzdotnet_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2default2965z00zzdotnet_exprz00(BgL_nodez00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2boxzd2setz123020zc0zzdotnet_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2failzd2zzdotnet_compilerz00(BgL_failz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2atomzd2zzdotnet_compilerz00(obj_t, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2makezd2box3016zd2zzdotnet_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2castzd2zzdotnet_compilerz00(BgL_castz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzdotnet_exprz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2boxzd2ref3018zd2zzdotnet_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzdotnet_exprz00();
static obj_t BGl_compilezd2exprzd2conditional2978z00zzdotnet_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2vsetz123002z12zzdotnet_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_compilezd2exprzd2new2996z00zzdotnet_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2appzd2ly2986zd2zzdotnet_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2exprzd2vref3000z00zzdotnet_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_getfieldz00zzast_nodez00;
extern obj_t BGl_isaz00zzast_nodez00;
extern obj_t BGl_compilerzd2vsetzd2zzdotnet_compilerz00(BgL_vsetz12z12_bglt, BgL_envz00_bglt);
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2selectzd2zzdotnet_compilerz00(BgL_selectz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2valloczd2zzdotnet_compilerz00(BgL_vallocz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2jumpzd2exzd2it3012z00zzdotnet_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
extern obj_t BGl_vallocz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzdotnet_exprz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzdotnet_exprz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_compilerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_compilezd2exprzd2setq2974z00zzdotnet_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2appzd2zzdotnet_compilerz00(BgL_appz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2vrefzd2zzdotnet_compilerz00(BgL_vrefz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2vlengthzd2zzdotnet_compilerz00(BgL_vlengthz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2setqzd2zzdotnet_compilerz00(BgL_setqz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2var2970z00zzdotnet_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl__compilezd2exprzd2default2965z00zzdotnet_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2newzd2zzdotnet_compilerz00(BgL_newz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_compilerzd2applyzd2zzdotnet_compilerz00(BgL_appzd2lyzd2_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2setzd2exzd2it3010z00zzdotnet_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2jumpzd2exitz00zzdotnet_compilerz00(BgL_jumpzd2exzd2itz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2atom2968z00zzdotnet_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2setfieldzd2zzdotnet_compilerz00(BgL_setfieldz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_newz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2isa3006z00zzdotnet_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl__getstaticz00zzdotnet_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2letzd2zzdotnet_compilerz00(BgL_letzd2varzd2_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2valloc2998z00zzdotnet_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2sequencezd2zzdotnet_compilerz00(BgL_sequencez00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vlengthz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2sequence2976z00zzdotnet_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setfieldz00zzast_nodez00;
static obj_t BGl_compilezd2exprzd2setfield2994z00zzdotnet_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2isazd2zzdotnet_compilerz00(BgL_isaz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2fail3014z00zzdotnet_exprz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2setexitzd2zzdotnet_compilerz00(BgL_setzd2exzd2itz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzdotnet_exprz00 = BUNSPEC;
extern obj_t BGl_jlibzd2declarezd2zzdotnet_envz00(BgL_envz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_nodez00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2exprzd2letzd2fun2982zd2zzdotnet_exprz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzdotnet_exprz00();
extern obj_t BGl_vsetz12z12zzast_nodez00;
extern obj_t BGl_compilerzd2varzd2zzdotnet_compilerz00(BgL_varz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 2 ] ;


DEFINE_EXPORT_GENERIC( BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BgL_bgl__compileza7d2exprza7d2za7za7dotnet_exprza7003889za7, BGl__compilezd2exprzd2zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_compilezd2exprzd2default2965zd2envzd2zzdotnet_exprz00, BgL_bgl__compileza7d2exprza7d2default2965za700za7za7dotnet_exprza7003890z00, BGl__compilezd2exprzd2default2965z00zzdotnet_exprz00, 0L, 2 );
DEFINE_STRING( BGl_string3863z00zzdotnet_exprz00, BgL_bgl_string3863za700za7za7dotnet_exprza7003891z00, "compile-expr-default2965 unspecified ", 37 );
DEFINE_STRING( BGl_string3862z00zzdotnet_exprz00, BgL_bgl_string3862za700za7za7dotnet_exprza7003892z00, "No method for this object", 25 );
DEFINE_STATIC_PROCEDURE( BGl_proc3835z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2atom2968za700za7za7dotnet_exprza7003893z00, BGl_compilezd2exprzd2atom2968z00zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3836z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2var2970za700za7za7dotnet_exprza7003894z00, BGl_compilezd2exprzd2var2970z00zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3837z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2letza7d2var2972za7d2za7za7dotnet_exprza7003895za7, BGl_compilezd2exprzd2letzd2var2972zd2zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3838z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2setq2974za700za7za7dotnet_exprza7003896z00, BGl_compilezd2exprzd2setq2974z00zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3840z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2conditional2978za700za7za7dotnet_exprza7003897z00, BGl_compilezd2exprzd2conditional2978z00zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3839z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2sequence2976za700za7za7dotnet_exprza7003898z00, BGl_compilezd2exprzd2sequence2976z00zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3841z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2select2980za700za7za7dotnet_exprza7003899z00, BGl_compilezd2exprzd2select2980z00zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3842z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2letza7d2fun2982za7d2za7za7dotnet_exprza7003900za7, BGl_compilezd2exprzd2letzd2fun2982zd2zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3843z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2app2984za700za7za7dotnet_exprza7003901z00, BGl_compilezd2exprzd2app2984z00zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3844z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2appza7d2ly2986za7d2za7za7dotnet_exprza7003902za7, BGl_compilezd2exprzd2appzd2ly2986zd2zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3845z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2funcall2988za700za7za7dotnet_exprza7003903z00, BGl_compilezd2exprzd2funcall2988z00zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3846z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2pragma2990za700za7za7dotnet_exprza7003904z00, BGl_compilezd2exprzd2pragma2990z00zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3847z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2getfield2992za700za7za7dotnet_exprza7003905z00, BGl_compilezd2exprzd2getfield2992z00zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3848z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2setfield2994za700za7za7dotnet_exprza7003906z00, BGl_compilezd2exprzd2setfield2994z00zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3850z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2valloc2998za700za7za7dotnet_exprza7003907z00, BGl_compilezd2exprzd2valloc2998z00zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3849z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2new2996za700za7za7dotnet_exprza7003908z00, BGl_compilezd2exprzd2new2996z00zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3851z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2vref3000za700za7za7dotnet_exprza7003909z00, BGl_compilezd2exprzd2vref3000z00zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3852z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2vsetza7123002za712za7za7dotnet_exprza7003910za7, BGl_compilezd2exprzd2vsetz123002z12zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3853z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2vlength3004za700za7za7dotnet_exprza7003911z00, BGl_compilezd2exprzd2vlength3004z00zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3854z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2isa3006za700za7za7dotnet_exprza7003912z00, BGl_compilezd2exprzd2isa3006z00zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3855z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2cast3008za700za7za7dotnet_exprza7003913z00, BGl_compilezd2exprzd2cast3008z00zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3856z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2setza7d2exza7d2it3010za700za7za7dotnet_exprza7003914z00, BGl_compilezd2exprzd2setzd2exzd2it3010z00zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3857z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2jumpza7d2exza7d2it3012za700za7za7dotnet_exprza7003915z00, BGl_compilezd2exprzd2jumpzd2exzd2it3012z00zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3858z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2fail3014za700za7za7dotnet_exprza7003916z00, BGl_compilezd2exprzd2fail3014z00zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3860z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2boxza7d2ref3018za7d2za7za7dotnet_exprza7003917za7, BGl_compilezd2exprzd2boxzd2ref3018zd2zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3859z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2makeza7d2box3016za7d2za7za7dotnet_exprza7003918za7, BGl_compilezd2exprzd2makezd2box3016zd2zzdotnet_exprz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3861z00zzdotnet_exprz00, BgL_bgl_compileza7d2exprza7d2boxza7d2setza7123020za7c0za7za7dotnet_exprza7003919z00, BGl_compilezd2exprzd2boxzd2setz123020zc0zzdotnet_exprz00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzdotnet_exprz00(long BgL_checksumz00_2444, char * BgL_fromz00_2445)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzdotnet_exprz00))
{ 
BGl_requirezd2initializa7ationz75zzdotnet_exprz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzdotnet_exprz00(); 
BGl_cnstzd2initzd2zzdotnet_exprz00(); 
BGl_importedzd2moduleszd2initz00zzdotnet_exprz00(); 
BGl_methodzd2initzd2zzdotnet_exprz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzdotnet_exprz00()
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 2 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "dotnet_expr"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "dotnet_expr"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzdotnet_exprz00()
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 2 */
{ /* ./DotNet/expr.scm 2 */
obj_t BgL_cportz00_2437;
BgL_cportz00_2437 = 
open_input_string(BGl_string3863z00zzdotnet_exprz00); 
{ 
long BgL_iz00_2438;
BgL_iz00_2438 = ((long)1); 
BgL_loopz00_2439:
{ /* ./DotNet/expr.scm 2 */
bool_t BgL_test3865z00_2440;
BgL_test3865z00_2440 = 
(BgL_iz00_2438==((long)-1)); 
if(BgL_test3865z00_2440)
{ /* ./DotNet/expr.scm 2 */
return BUNSPEC;}  else 
{ /* ./DotNet/expr.scm 2 */
{ /* ./DotNet/expr.scm 2 */
obj_t BgL_arg3867z00_2441;
{ /* ./DotNet/expr.scm 2 */
obj_t BgL_list3870z00_2442;
BgL_list3870z00_2442 = 
MAKE_PAIR(BgL_cportz00_2437, BNIL); 
BgL_arg3867z00_2441 = 
BGl_readz00zz__readerz00(BgL_list3870z00_2442); } 
{ /* ./DotNet/expr.scm 2 */
int BgL_auxz00_2460;
BgL_auxz00_2460 = 
(int)(BgL_iz00_2438); 
CNST_TABLE_SET(BgL_auxz00_2460, BgL_arg3867z00_2441); } } 
{ /* ./DotNet/expr.scm 2 */
int BgL_auxz00_2443;
{ /* ./DotNet/expr.scm 2 */
long BgL_auxz00_2463;
BgL_auxz00_2463 = 
(BgL_iz00_2438-((long)1)); 
BgL_auxz00_2443 = 
(int)(BgL_auxz00_2463); } 
{ 
long BgL_iz00_2466;
BgL_iz00_2466 = 
(long)(BgL_auxz00_2443); 
BgL_iz00_2438 = BgL_iz00_2466; 
goto BgL_loopz00_2439;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzdotnet_exprz00()
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 2 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzdotnet_exprz00()
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 2 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_compilezd2exprzd2default2965zd2envzd2zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_atomz00zzast_nodez00, BGl_proc3835z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_varz00zzast_nodez00, BGl_proc3836z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3837z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_setqz00zzast_nodez00, BGl_proc3838z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_sequencez00zzast_nodez00, BGl_proc3839z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_conditionalz00zzast_nodez00, BGl_proc3840z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_selectz00zzast_nodez00, BGl_proc3841z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3842z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_appz00zzast_nodez00, BGl_proc3843z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3844z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_funcallz00zzast_nodez00, BGl_proc3845z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_pragmaz00zzast_nodez00, BGl_proc3846z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_getfieldz00zzast_nodez00, BGl_proc3847z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_setfieldz00zzast_nodez00, BGl_proc3848z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_newz00zzast_nodez00, BGl_proc3849z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_vallocz00zzast_nodez00, BGl_proc3850z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_vrefz00zzast_nodez00, BGl_proc3851z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_vsetz12z12zzast_nodez00, BGl_proc3852z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_vlengthz00zzast_nodez00, BGl_proc3853z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_isaz00zzast_nodez00, BGl_proc3854z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_castz00zzast_nodez00, BGl_proc3855z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3856z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3857z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_failz00zzast_nodez00, BGl_proc3858z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3859z00zzdotnet_exprz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3860z00zzdotnet_exprz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3861z00zzdotnet_exprz00);} 
}



/* compile-expr-box-set!3020 */
obj_t BGl_compilezd2exprzd2boxzd2setz123020zc0zzdotnet_exprz00(obj_t BgL_envz00_2353, obj_t BgL_ez00_2354, obj_t BgL_envz00_2355)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 91 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_ez00_1709;BgL_envz00_bglt BgL_envz00_1710;
BgL_ez00_1709 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_ez00_2354); 
BgL_envz00_1710 = 
(BgL_envz00_bglt)(BgL_envz00_2355); 
BGl_compilerzd2boxzd2setz12z12zzdotnet_compilerz00(BgL_ez00_1709, BgL_envz00_1710); 
{ /* ./DotNet/expr.scm 93 */
obj_t BgL_arg3682z00_2294;
BgL_arg3682z00_2294 = 
BGl_jlibzd2declarezd2zzdotnet_envz00(BgL_envz00_1710, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzdotnet_instrz00(BgL_envz00_1710, BgL_arg3682z00_2294);} } } 
}



/* compile-expr-box-ref3018 */
obj_t BGl_compilezd2exprzd2boxzd2ref3018zd2zzdotnet_exprz00(obj_t BgL_envz00_2356, obj_t BgL_ez00_2357, obj_t BgL_envz00_2358)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 88 */
{ 
BgL_boxzd2refzd2_bglt BgL_ez00_1703;BgL_envz00_bglt BgL_envz00_1704;
BgL_ez00_1703 = 
(BgL_boxzd2refzd2_bglt)(BgL_ez00_2357); 
BgL_envz00_1704 = 
(BgL_envz00_bglt)(BgL_envz00_2358); 
return 
BGl_compilerzd2boxzd2refz00zzdotnet_compilerz00(BgL_ez00_1703, BgL_envz00_1704);} } 
}



/* compile-expr-make-box3016 */
obj_t BGl_compilezd2exprzd2makezd2box3016zd2zzdotnet_exprz00(obj_t BgL_envz00_2359, obj_t BgL_ez00_2360, obj_t BgL_envz00_2361)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 85 */
{ 
BgL_makezd2boxzd2_bglt BgL_ez00_1697;BgL_envz00_bglt BgL_envz00_1698;
BgL_ez00_1697 = 
(BgL_makezd2boxzd2_bglt)(BgL_ez00_2360); 
BgL_envz00_1698 = 
(BgL_envz00_bglt)(BgL_envz00_2361); 
return 
BGl_compilerzd2makezd2boxz00zzdotnet_compilerz00(BgL_ez00_1697, BgL_envz00_1698);} } 
}



/* compile-expr-fail3014 */
obj_t BGl_compilezd2exprzd2fail3014z00zzdotnet_exprz00(obj_t BgL_envz00_2362, obj_t BgL_ez00_2363, obj_t BgL_envz00_2364)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 82 */
{ 
BgL_failz00_bglt BgL_ez00_1691;BgL_envz00_bglt BgL_envz00_1692;
BgL_ez00_1691 = 
(BgL_failz00_bglt)(BgL_ez00_2363); 
BgL_envz00_1692 = 
(BgL_envz00_bglt)(BgL_envz00_2364); 
return 
BGl_compilerzd2failzd2zzdotnet_compilerz00(BgL_ez00_1691, BgL_envz00_1692);} } 
}



/* compile-expr-jump-ex-it3012 */
obj_t BGl_compilezd2exprzd2jumpzd2exzd2it3012z00zzdotnet_exprz00(obj_t BgL_envz00_2365, obj_t BgL_ez00_2366, obj_t BgL_envz00_2367)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 79 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_ez00_1685;BgL_envz00_bglt BgL_envz00_1686;
BgL_ez00_1685 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_ez00_2366); 
BgL_envz00_1686 = 
(BgL_envz00_bglt)(BgL_envz00_2367); 
return 
BGl_compilerzd2jumpzd2exitz00zzdotnet_compilerz00(BgL_ez00_1685, BgL_envz00_1686);} } 
}



/* compile-expr-set-ex-it3010 */
obj_t BGl_compilezd2exprzd2setzd2exzd2it3010z00zzdotnet_exprz00(obj_t BgL_envz00_2368, obj_t BgL_ez00_2369, obj_t BgL_envz00_2370)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 76 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_ez00_1679;obj_t BgL_envz00_1680;
BgL_ez00_1679 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_ez00_2369); 
BgL_envz00_1680 = BgL_envz00_2370; 
return 
BGl_compilerzd2setexitzd2zzdotnet_compilerz00(BgL_ez00_1679, 
(BgL_envz00_bglt)(BgL_envz00_1680), BGl_compilezd2exprzd2envz00zzdotnet_exprz00);} } 
}



/* compile-expr-cast3008 */
obj_t BGl_compilezd2exprzd2cast3008z00zzdotnet_exprz00(obj_t BgL_envz00_2371, obj_t BgL_ez00_2372, obj_t BgL_envz00_2373)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 73 */
{ 
BgL_castz00_bglt BgL_ez00_1673;BgL_envz00_bglt BgL_envz00_1674;
BgL_ez00_1673 = 
(BgL_castz00_bglt)(BgL_ez00_2372); 
BgL_envz00_1674 = 
(BgL_envz00_bglt)(BgL_envz00_2373); 
return 
BGl_compilerzd2castzd2zzdotnet_compilerz00(BgL_ez00_1673, BgL_envz00_1674, BGl_compilezd2exprzd2envz00zzdotnet_exprz00);} } 
}



/* compile-expr-isa3006 */
obj_t BGl_compilezd2exprzd2isa3006z00zzdotnet_exprz00(obj_t BgL_envz00_2374, obj_t BgL_ez00_2375, obj_t BgL_envz00_2376)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 70 */
{ 
BgL_isaz00_bglt BgL_ez00_1667;BgL_envz00_bglt BgL_envz00_1668;
BgL_ez00_1667 = 
(BgL_isaz00_bglt)(BgL_ez00_2375); 
BgL_envz00_1668 = 
(BgL_envz00_bglt)(BgL_envz00_2376); 
return 
BGl_compilerzd2isazd2zzdotnet_compilerz00(BgL_ez00_1667, BgL_envz00_1668);} } 
}



/* compile-expr-vlength3004 */
obj_t BGl_compilezd2exprzd2vlength3004z00zzdotnet_exprz00(obj_t BgL_envz00_2377, obj_t BgL_ez00_2378, obj_t BgL_envz00_2379)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 67 */
{ 
BgL_vlengthz00_bglt BgL_ez00_1661;BgL_envz00_bglt BgL_envz00_1662;
BgL_ez00_1661 = 
(BgL_vlengthz00_bglt)(BgL_ez00_2378); 
BgL_envz00_1662 = 
(BgL_envz00_bglt)(BgL_envz00_2379); 
return 
BGl_compilerzd2vlengthzd2zzdotnet_compilerz00(BgL_ez00_1661, BgL_envz00_1662);} } 
}



/* compile-expr-vset!3002 */
obj_t BGl_compilezd2exprzd2vsetz123002z12zzdotnet_exprz00(obj_t BgL_envz00_2380, obj_t BgL_ez00_2381, obj_t BgL_envz00_2382)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 63 */
{ 
BgL_vsetz12z12_bglt BgL_ez00_1654;BgL_envz00_bglt BgL_envz00_1655;
BgL_ez00_1654 = 
(BgL_vsetz12z12_bglt)(BgL_ez00_2381); 
BgL_envz00_1655 = 
(BgL_envz00_bglt)(BgL_envz00_2382); 
BGl_compilerzd2vsetzd2zzdotnet_compilerz00(BgL_ez00_1654, BgL_envz00_1655); 
{ /* ./DotNet/expr.scm 65 */
obj_t BgL_arg3615z00_2293;
BgL_arg3615z00_2293 = 
BGl_jlibzd2declarezd2zzdotnet_envz00(BgL_envz00_1655, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzdotnet_instrz00(BgL_envz00_1655, BgL_arg3615z00_2293);} } } 
}



/* compile-expr-vref3000 */
obj_t BGl_compilezd2exprzd2vref3000z00zzdotnet_exprz00(obj_t BgL_envz00_2383, obj_t BgL_ez00_2384, obj_t BgL_envz00_2385)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 60 */
{ 
BgL_vrefz00_bglt BgL_ez00_1648;BgL_envz00_bglt BgL_envz00_1649;
BgL_ez00_1648 = 
(BgL_vrefz00_bglt)(BgL_ez00_2384); 
BgL_envz00_1649 = 
(BgL_envz00_bglt)(BgL_envz00_2385); 
return 
BGl_compilerzd2vrefzd2zzdotnet_compilerz00(BgL_ez00_1648, BgL_envz00_1649);} } 
}



/* compile-expr-valloc2998 */
obj_t BGl_compilezd2exprzd2valloc2998z00zzdotnet_exprz00(obj_t BgL_envz00_2386, obj_t BgL_ez00_2387, obj_t BgL_envz00_2388)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 57 */
{ 
BgL_vallocz00_bglt BgL_ez00_1642;BgL_envz00_bglt BgL_envz00_1643;
BgL_ez00_1642 = 
(BgL_vallocz00_bglt)(BgL_ez00_2387); 
BgL_envz00_1643 = 
(BgL_envz00_bglt)(BgL_envz00_2388); 
return 
BGl_compilerzd2valloczd2zzdotnet_compilerz00(BgL_ez00_1642, BgL_envz00_1643);} } 
}



/* compile-expr-new2996 */
obj_t BGl_compilezd2exprzd2new2996z00zzdotnet_exprz00(obj_t BgL_envz00_2389, obj_t BgL_ez00_2390, obj_t BgL_envz00_2391)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 54 */
{ 
BgL_newz00_bglt BgL_ez00_1636;BgL_envz00_bglt BgL_envz00_1637;
BgL_ez00_1636 = 
(BgL_newz00_bglt)(BgL_ez00_2390); 
BgL_envz00_1637 = 
(BgL_envz00_bglt)(BgL_envz00_2391); 
return 
BGl_compilerzd2newzd2zzdotnet_compilerz00(BgL_ez00_1636, BgL_envz00_1637);} } 
}



/* compile-expr-setfield2994 */
obj_t BGl_compilezd2exprzd2setfield2994z00zzdotnet_exprz00(obj_t BgL_envz00_2392, obj_t BgL_ez00_2393, obj_t BgL_envz00_2394)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 50 */
{ 
BgL_setfieldz00_bglt BgL_ez00_1629;BgL_envz00_bglt BgL_envz00_1630;
BgL_ez00_1629 = 
(BgL_setfieldz00_bglt)(BgL_ez00_2393); 
BgL_envz00_1630 = 
(BgL_envz00_bglt)(BgL_envz00_2394); 
BGl_compilerzd2setfieldzd2zzdotnet_compilerz00(BgL_ez00_1629, BgL_envz00_1630); 
{ /* ./DotNet/expr.scm 52 */
obj_t BgL_arg3583z00_2292;
BgL_arg3583z00_2292 = 
BGl_jlibzd2declarezd2zzdotnet_envz00(BgL_envz00_1630, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzdotnet_instrz00(BgL_envz00_1630, BgL_arg3583z00_2292);} } } 
}



/* compile-expr-getfield2992 */
obj_t BGl_compilezd2exprzd2getfield2992z00zzdotnet_exprz00(obj_t BgL_envz00_2395, obj_t BgL_ez00_2396, obj_t BgL_envz00_2397)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 47 */
{ 
BgL_getfieldz00_bglt BgL_ez00_1623;BgL_envz00_bglt BgL_envz00_1624;
BgL_ez00_1623 = 
(BgL_getfieldz00_bglt)(BgL_ez00_2396); 
BgL_envz00_1624 = 
(BgL_envz00_bglt)(BgL_envz00_2397); 
return 
BGl_compilerzd2getfieldzd2zzdotnet_compilerz00(BgL_ez00_1623, BgL_envz00_1624);} } 
}



/* compile-expr-pragma2990 */
obj_t BGl_compilezd2exprzd2pragma2990z00zzdotnet_exprz00(obj_t BgL_envz00_2398, obj_t BgL_ez00_2399, obj_t BgL_envz00_2400)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 44 */
{ 
BgL_pragmaz00_bglt BgL_ez00_1617;BgL_envz00_bglt BgL_envz00_1618;
BgL_ez00_1617 = 
(BgL_pragmaz00_bglt)(BgL_ez00_2399); 
BgL_envz00_1618 = 
(BgL_envz00_bglt)(BgL_envz00_2400); 
return 
BGl_compilerzd2pragmazd2zzdotnet_compilerz00(BgL_ez00_1617, BgL_envz00_1618);} } 
}



/* compile-expr-funcall2988 */
obj_t BGl_compilezd2exprzd2funcall2988z00zzdotnet_exprz00(obj_t BgL_envz00_2401, obj_t BgL_ez00_2402, obj_t BgL_envz00_2403)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 41 */
{ 
BgL_funcallz00_bglt BgL_ez00_1611;BgL_envz00_bglt BgL_envz00_1612;
BgL_ez00_1611 = 
(BgL_funcallz00_bglt)(BgL_ez00_2402); 
BgL_envz00_1612 = 
(BgL_envz00_bglt)(BgL_envz00_2403); 
return 
BGl_compilerzd2funcallzd2zzdotnet_compilerz00(BgL_ez00_1611, BgL_envz00_1612);} } 
}



/* compile-expr-app-ly2986 */
obj_t BGl_compilezd2exprzd2appzd2ly2986zd2zzdotnet_exprz00(obj_t BgL_envz00_2404, obj_t BgL_ez00_2405, obj_t BgL_envz00_2406)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 38 */
{ 
BgL_appzd2lyzd2_bglt BgL_ez00_1605;BgL_envz00_bglt BgL_envz00_1606;
BgL_ez00_1605 = 
(BgL_appzd2lyzd2_bglt)(BgL_ez00_2405); 
BgL_envz00_1606 = 
(BgL_envz00_bglt)(BgL_envz00_2406); 
return 
BGl_compilerzd2applyzd2zzdotnet_compilerz00(BgL_ez00_1605, BgL_envz00_1606);} } 
}



/* compile-expr-app2984 */
obj_t BGl_compilezd2exprzd2app2984z00zzdotnet_exprz00(obj_t BgL_envz00_2407, obj_t BgL_ez00_2408, obj_t BgL_envz00_2409)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 35 */
{ 
BgL_appz00_bglt BgL_ez00_1599;BgL_envz00_bglt BgL_envz00_1600;
BgL_ez00_1599 = 
(BgL_appz00_bglt)(BgL_ez00_2408); 
BgL_envz00_1600 = 
(BgL_envz00_bglt)(BgL_envz00_2409); 
return 
BGl_compilerzd2appzd2zzdotnet_compilerz00(BgL_ez00_1599, BgL_envz00_1600, BGl_compilezd2exprzd2envz00zzdotnet_exprz00);} } 
}



/* compile-expr-let-fun2982 */
obj_t BGl_compilezd2exprzd2letzd2fun2982zd2zzdotnet_exprz00(obj_t BgL_envz00_2410, obj_t BgL_ez00_2411, obj_t BgL_envz00_2412)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 32 */
{ 
BgL_letzd2funzd2_bglt BgL_ez00_1593;BgL_envz00_bglt BgL_envz00_1594;
BgL_ez00_1593 = 
(BgL_letzd2funzd2_bglt)(BgL_ez00_2411); 
BgL_envz00_1594 = 
(BgL_envz00_bglt)(BgL_envz00_2412); 
return 
BGl_compilerzd2labelszd2zzdotnet_compilerz00(BgL_ez00_1593, BgL_envz00_1594, BGl_compilezd2exprzd2envz00zzdotnet_exprz00);} } 
}



/* compile-expr-select2980 */
obj_t BGl_compilezd2exprzd2select2980z00zzdotnet_exprz00(obj_t BgL_envz00_2413, obj_t BgL_ez00_2414, obj_t BgL_envz00_2415)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 29 */
{ 
BgL_selectz00_bglt BgL_ez00_1587;BgL_envz00_bglt BgL_envz00_1588;
BgL_ez00_1587 = 
(BgL_selectz00_bglt)(BgL_ez00_2414); 
BgL_envz00_1588 = 
(BgL_envz00_bglt)(BgL_envz00_2415); 
return 
BGl_compilerzd2selectzd2zzdotnet_compilerz00(BgL_ez00_1587, BgL_envz00_1588, BGl_compilezd2exprzd2envz00zzdotnet_exprz00);} } 
}



/* compile-expr-conditional2978 */
obj_t BGl_compilezd2exprzd2conditional2978z00zzdotnet_exprz00(obj_t BgL_envz00_2416, obj_t BgL_ez00_2417, obj_t BgL_envz00_2418)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 26 */
{ 
BgL_conditionalz00_bglt BgL_ez00_1581;BgL_envz00_bglt BgL_envz00_1582;
BgL_ez00_1581 = 
(BgL_conditionalz00_bglt)(BgL_ez00_2417); 
BgL_envz00_1582 = 
(BgL_envz00_bglt)(BgL_envz00_2418); 
return 
BGl_compilerzd2ifzd2zzdotnet_compilerz00(BgL_ez00_1581, BgL_envz00_1582, BGl_compilezd2exprzd2envz00zzdotnet_exprz00);} } 
}



/* compile-expr-sequence2976 */
obj_t BGl_compilezd2exprzd2sequence2976z00zzdotnet_exprz00(obj_t BgL_envz00_2419, obj_t BgL_ez00_2420, obj_t BgL_envz00_2421)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 23 */
{ 
BgL_sequencez00_bglt BgL_ez00_1575;BgL_envz00_bglt BgL_envz00_1576;
BgL_ez00_1575 = 
(BgL_sequencez00_bglt)(BgL_ez00_2420); 
BgL_envz00_1576 = 
(BgL_envz00_bglt)(BgL_envz00_2421); 
return 
BGl_compilerzd2sequencezd2zzdotnet_compilerz00(BgL_ez00_1575, BgL_envz00_1576, BGl_compilezd2exprzd2envz00zzdotnet_exprz00);} } 
}



/* compile-expr-setq2974 */
obj_t BGl_compilezd2exprzd2setq2974z00zzdotnet_exprz00(obj_t BgL_envz00_2422, obj_t BgL_ez00_2423, obj_t BgL_envz00_2424)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 19 */
{ 
BgL_setqz00_bglt BgL_ez00_1568;BgL_envz00_bglt BgL_envz00_1569;
BgL_ez00_1568 = 
(BgL_setqz00_bglt)(BgL_ez00_2423); 
BgL_envz00_1569 = 
(BgL_envz00_bglt)(BgL_envz00_2424); 
BGl_compilerzd2setqzd2zzdotnet_compilerz00(BgL_ez00_1568, BgL_envz00_1569); 
{ /* ./DotNet/expr.scm 21 */
obj_t BgL_arg3509z00_2291;
BgL_arg3509z00_2291 = 
BGl_jlibzd2declarezd2zzdotnet_envz00(BgL_envz00_1569, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzdotnet_instrz00(BgL_envz00_1569, BgL_arg3509z00_2291);} } } 
}



/* compile-expr-let-var2972 */
obj_t BGl_compilezd2exprzd2letzd2var2972zd2zzdotnet_exprz00(obj_t BgL_envz00_2425, obj_t BgL_ez00_2426, obj_t BgL_envz00_2427)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 16 */
{ 
BgL_letzd2varzd2_bglt BgL_ez00_1562;BgL_envz00_bglt BgL_envz00_1563;
BgL_ez00_1562 = 
(BgL_letzd2varzd2_bglt)(BgL_ez00_2426); 
BgL_envz00_1563 = 
(BgL_envz00_bglt)(BgL_envz00_2427); 
return 
BGl_compilerzd2letzd2zzdotnet_compilerz00(BgL_ez00_1562, BgL_envz00_1563, BGl_compilezd2exprzd2envz00zzdotnet_exprz00);} } 
}



/* compile-expr-var2970 */
obj_t BGl_compilezd2exprzd2var2970z00zzdotnet_exprz00(obj_t BgL_envz00_2428, obj_t BgL_ez00_2429, obj_t BgL_envz00_2430)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 13 */
{ 
BgL_varz00_bglt BgL_ez00_1556;BgL_envz00_bglt BgL_envz00_1557;
BgL_ez00_1556 = 
(BgL_varz00_bglt)(BgL_ez00_2429); 
BgL_envz00_1557 = 
(BgL_envz00_bglt)(BgL_envz00_2430); 
return 
BGl_compilerzd2varzd2zzdotnet_compilerz00(BgL_ez00_1556, BgL_envz00_1557);} } 
}



/* compile-expr-atom2968 */
obj_t BGl_compilezd2exprzd2atom2968z00zzdotnet_exprz00(obj_t BgL_envz00_2431, obj_t BgL_ez00_2432, obj_t BgL_envz00_2433)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 10 */
{ 
BgL_atomz00_bglt BgL_ez00_1550;BgL_envz00_bglt BgL_envz00_1551;
BgL_ez00_1550 = 
(BgL_atomz00_bglt)(BgL_ez00_2432); 
BgL_envz00_1551 = 
(BgL_envz00_bglt)(BgL_envz00_2433); 
return 
BGl_compilerzd2atomzd2zzdotnet_compilerz00(
(obj_t)(BgL_ez00_1550), BgL_envz00_1551);} } 
}



/* compile-expr */
BGL_EXPORTED_DEF obj_t BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_nodez00_bglt BgL_ez00_1, BgL_envz00_bglt BgL_envz00_2)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 8 */
{ /* ./DotNet/expr.scm 8 */
obj_t BgL_method2966z00_2295;
{ /* ./DotNet/expr.scm 8 */
BgL_objectz00_bglt BgL_objz00_2296;
BgL_objz00_2296 = 
(BgL_objectz00_bglt)(BgL_ez00_1); 
{ /* ./DotNet/expr.scm 8 */
long BgL_objzd2classzd2numz00_2297;
BgL_objzd2classzd2numz00_2297 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2296); 
{ /* ./DotNet/expr.scm 8 */
obj_t BgL_arg1989z00_2298;
{ /* ./DotNet/expr.scm 8 */
int BgL_auxz00_2592;
BgL_auxz00_2592 = 
(int)(((long)1)); 
BgL_arg1989z00_2298 = 
PROCEDURE_REF(BGl_compilezd2exprzd2envz00zzdotnet_exprz00, BgL_auxz00_2592); } 
{ /* ./DotNet/expr.scm 8 */
int BgL_offsetz00_2301;
BgL_offsetz00_2301 = 
(int)(BgL_objzd2classzd2numz00_2297); 
{ /* ./DotNet/expr.scm 8 */
long BgL_offsetz00_2302;
{ /* ./DotNet/expr.scm 8 */
long BgL_auxz00_2596;
BgL_auxz00_2596 = 
(long)(BgL_offsetz00_2301); 
BgL_offsetz00_2302 = 
(BgL_auxz00_2596-OBJECT_TYPE); } 
{ /* ./DotNet/expr.scm 8 */
long BgL_modz00_2303;
{ /* ./DotNet/expr.scm 8 */
int BgL_arg2000z00_2304;
BgL_arg2000z00_2304 = 
(int)(((long)8)); 
{ /* ./DotNet/expr.scm 8 */
long BgL_n2z00_2312;
BgL_n2z00_2312 = 
(long)(BgL_arg2000z00_2304); 
BgL_modz00_2303 = 
(BgL_offsetz00_2302/BgL_n2z00_2312); } } 
{ /* ./DotNet/expr.scm 8 */
long BgL_restz00_2305;
{ /* ./DotNet/expr.scm 8 */
int BgL_arg1996z00_2306;
BgL_arg1996z00_2306 = 
(int)(((long)8)); 
{ /* ./DotNet/expr.scm 8 */
long BgL_n2z00_2315;
BgL_n2z00_2315 = 
(long)(BgL_arg1996z00_2306); 
BgL_restz00_2305 = 
(BgL_offsetz00_2302%BgL_n2z00_2315); } } 
{ /* ./DotNet/expr.scm 8 */

{ /* ./DotNet/expr.scm 8 */
obj_t BgL_bucketz00_2307;
{ /* ./DotNet/expr.scm 8 */
int BgL_kz00_2317;
BgL_kz00_2317 = 
(int)(BgL_modz00_2303); 
BgL_bucketz00_2307 = 
VECTOR_REF(BgL_arg1989z00_2298,BgL_kz00_2317); } 
{ /* ./DotNet/expr.scm 8 */
int BgL_kz00_2319;
BgL_kz00_2319 = 
(int)(BgL_restz00_2305); 
BgL_method2966z00_2295 = 
VECTOR_REF(BgL_bucketz00_2307,BgL_kz00_2319); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2966z00_2295)(BgL_method2966z00_2295, 
(obj_t)(BgL_ez00_1), 
(obj_t)(BgL_envz00_2), BEOA);} } 
}



/* _compile-expr */
obj_t BGl__compilezd2exprzd2zzdotnet_exprz00(obj_t BgL_envz00_2329, obj_t BgL_ez00_2330, obj_t BgL_envz00_2331)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 8 */
return 
BGl_compilezd2exprzd2zzdotnet_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2330), 
(BgL_envz00_bglt)(BgL_envz00_2331));} 
}



/* compile-expr-default2965 */
obj_t BGl_compilezd2exprzd2default2965z00zzdotnet_exprz00(BgL_nodez00_bglt BgL_ez00_3, BgL_envz00_bglt BgL_envz00_4)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 2 */
{ /* ./DotNet/expr.scm 2 */
obj_t BgL_procz00_2320;obj_t BgL_objectz00_2322;
BgL_procz00_2320 = 
CNST_TABLE_REF(((long)1)); 
BgL_objectz00_2322 = 
(obj_t)(BgL_ez00_3); 
FAILURE(BgL_procz00_2320,BGl_string3862z00zzdotnet_exprz00,BgL_objectz00_2322);} } 
}



/* _compile-expr-default2965 */
obj_t BGl__compilezd2exprzd2default2965z00zzdotnet_exprz00(obj_t BgL_envz00_2434, obj_t BgL_ez00_2435, obj_t BgL_envz00_2436)
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 2 */
return 
BGl_compilezd2exprzd2default2965z00zzdotnet_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_2435), 
(BgL_envz00_bglt)(BgL_envz00_2436));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzdotnet_exprz00()
{ AN_OBJECT;
{ /* ./DotNet/expr.scm 2 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "dotnet_expr"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "dotnet_expr"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "dotnet_expr"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)23064), "dotnet_expr"); 
BGl_modulezd2initializa7ationz75zzdotnet_envz00(((long)58889), "dotnet_expr"); 
BGl_modulezd2initializa7ationz75zzdotnet_instrz00(((long)8897), "dotnet_expr"); 
return 
BGl_modulezd2initializa7ationz75zzdotnet_compilerz00(((long)49496), "dotnet_expr");} 
}

