/*===========================================================================*/
/*   (DotNet/tail.scm)                                                       */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent DotNet/tail.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


static obj_t BGl_compilezd2tailzd2boxzd2setz123029zc0zzdotnet_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2ifzd2zzdotnet_compilerz00(BgL_conditionalz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vrefz00zzast_nodez00;
extern obj_t BGl_compilerzd2boxzd2refz00zzdotnet_compilerz00(BgL_boxzd2refzd2_bglt, BgL_envz00_bglt);
static obj_t BGl_methodzd2initzd2zzdotnet_tailz00();
static obj_t BGl_compilezd2tailzd2new3005z00zzdotnet_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2boxzd2setz12z12zzdotnet_compilerz00(BgL_boxzd2setz12zc0_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2funcallzd2zzdotnet_compilerz00(BgL_funcallz00_bglt, BgL_envz00_bglt);
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_compilezd2tailzd2setq2983z00zzdotnet_tailz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_compilerzd2labelszd2zzdotnet_compilerz00(BgL_letzd2funzd2_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2getfieldzd2zzdotnet_compilerz00(BgL_getfieldz00_bglt, BgL_envz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_compilezd2tailzd2zzdotnet_tailz00(BgL_nodez00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2pragmazd2zzdotnet_compilerz00(BgL_pragmaz00_bglt, BgL_envz00_bglt);
BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_compilerzd2makezd2boxz00zzdotnet_compilerz00(BgL_makezd2boxzd2_bglt, BgL_envz00_bglt);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_pragmaz00zzast_nodez00;
extern obj_t BGl_compilezd2typezd2zzdotnet_envz00(obj_t, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2failzd2zzdotnet_compilerz00(BgL_failz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2atomzd2zzdotnet_compilerz00(obj_t, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2castzd2zzdotnet_compilerz00(BgL_castz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl__compilezd2tailzd2zzdotnet_tailz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2tailzd2atom2977z00zzdotnet_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
static obj_t BGl_compilezd2tailzd2var2979z00zzdotnet_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzdotnet_tailz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
extern obj_t BGl_simplezd2typezd2zzdotnet_instrz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzdotnet_tailz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
extern obj_t BGl_getfieldz00zzast_nodez00;
extern obj_t BGl_isaz00zzast_nodez00;
static obj_t BGl_compilezd2tailzd2boxzd2ref3027zd2zzdotnet_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2vsetzd2zzdotnet_compilerz00(BgL_vsetz12z12_bglt, BgL_envz00_bglt);
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2selectzd2zzdotnet_compilerz00(BgL_selectz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2tailzd2getfield3001z00zzdotnet_tailz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2tailzd2fail3023z00zzdotnet_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2valloczd2zzdotnet_compilerz00(BgL_vallocz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2tailzd2isa3015z00zzdotnet_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
extern obj_t BGl__storez00zzdotnet_instrz00(BgL_envz00_bglt, BgL_localz00_bglt);
extern obj_t BGl_vallocz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzdotnet_tailz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl_compilezd2tailzd2valloc3007z00zzdotnet_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzdotnet_tailz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_exprz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzdotnet_compilerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_compilerzd2appzd2zzdotnet_compilerz00(BgL_appz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2vrefzd2zzdotnet_compilerz00(BgL_vrefz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2vlengthzd2zzdotnet_compilerz00(BgL_vlengthz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2setqzd2zzdotnet_compilerz00(BgL_setqz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2tailzd2makezd2box3025zd2zzdotnet_tailz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2tailzd2setzd2exzd2it3019z00zzdotnet_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2newzd2zzdotnet_compilerz00(BgL_newz00_bglt, BgL_envz00_bglt);
BGL_IMPORT obj_t bgl_reverse(obj_t);
static obj_t BGl_compilezd2tailzd2appzd2ly2995zd2zzdotnet_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_compilerzd2applyzd2zzdotnet_compilerz00(BgL_appzd2lyzd2_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2tailzd2vlength3013z00zzdotnet_tailz00(obj_t, obj_t, obj_t);
static obj_t BGl__compilezd2tailzd2default2971z00zzdotnet_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2jumpzd2exitz00zzdotnet_compilerz00(BgL_jumpzd2exzd2itz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl_compilezd2tailzd2conditional2987z00zzdotnet_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2setfieldzd2zzdotnet_compilerz00(BgL_setfieldz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_newz00zzast_nodez00;
static obj_t BGl_compilezd2tailzd2vsetz123011z12zzdotnet_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl__getstaticz00zzdotnet_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2letzd2zzdotnet_compilerz00(BgL_letzd2varzd2_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2tailzd2cast3017z00zzdotnet_tailz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2tailzd2letzd2var2981zd2zzdotnet_tailz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2tailzd2app2993z00zzdotnet_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_compilezd2tailzd2funcall2997z00zzdotnet_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2sequencezd2zzdotnet_compilerz00(BgL_sequencez00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vlengthz00zzast_nodez00;
extern obj_t BGl_setfieldz00zzast_nodez00;
static obj_t BGl_compilezd2tailzd2letzd2fun2991zd2zzdotnet_tailz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2tailzd2setfield3003z00zzdotnet_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2isazd2zzdotnet_compilerz00(BgL_isaz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2setexitzd2zzdotnet_compilerz00(BgL_setzd2exzd2itz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2tailzd2pragma2999z00zzdotnet_tailz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzdotnet_tailz00 = BUNSPEC;
extern obj_t BGl_jlibzd2declarezd2zzdotnet_envz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl__gotoz00zzdotnet_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2tailzd2select2989z00zzdotnet_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilezd2exprzd2zzdotnet_exprz00(BgL_nodez00_bglt, BgL_envz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzdotnet_tailz00();
extern obj_t BGl_vsetz12z12zzast_nodez00;
static obj_t BGl_compilezd2tailzd2vref3009z00zzdotnet_tailz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2tailzd2sequence2985z00zzdotnet_tailz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2tailzd2jumpzd2exzd2it3021z00zzdotnet_tailz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2varzd2zzdotnet_compilerz00(BgL_varz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t BGl_compilezd2tailzd2default2971z00zzdotnet_tailz00(BgL_nodez00_bglt, BgL_envz00_bglt);
static obj_t __cnst[ 3 ] ;


DEFINE_STATIC_PROCEDURE( BGl_proc3916z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2funcall2997za700za7za7dotnet_tailza7003961z00, BGl_compilezd2tailzd2funcall2997z00zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3917z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2pragma2999za700za7za7dotnet_tailza7003962z00, BGl_compilezd2tailzd2pragma2999z00zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3918z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2getfield3001za700za7za7dotnet_tailza7003963z00, BGl_compilezd2tailzd2getfield3001z00zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3920z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2new3005za700za7za7dotnet_tailza7003964z00, BGl_compilezd2tailzd2new3005z00zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3919z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2setfield3003za700za7za7dotnet_tailza7003965z00, BGl_compilezd2tailzd2setfield3003z00zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3921z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2valloc3007za700za7za7dotnet_tailza7003966z00, BGl_compilezd2tailzd2valloc3007z00zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3922z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2vref3009za700za7za7dotnet_tailza7003967z00, BGl_compilezd2tailzd2vref3009z00zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3923z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2vsetza7123011za712za7za7dotnet_tailza7003968za7, BGl_compilezd2tailzd2vsetz123011z12zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3924z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2vlength3013za700za7za7dotnet_tailza7003969z00, BGl_compilezd2tailzd2vlength3013z00zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3925z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2isa3015za700za7za7dotnet_tailza7003970z00, BGl_compilezd2tailzd2isa3015z00zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3926z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2cast3017za700za7za7dotnet_tailza7003971z00, BGl_compilezd2tailzd2cast3017z00zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3927z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2setza7d2exza7d2it3019za700za7za7dotnet_tailza7003972z00, BGl_compilezd2tailzd2setzd2exzd2it3019z00zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3928z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2jumpza7d2exza7d2it3021za700za7za7dotnet_tailza7003973z00, BGl_compilezd2tailzd2jumpzd2exzd2it3021z00zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3930z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2makeza7d2box3025za7d2za7za7dotnet_tailza7003974za7, BGl_compilezd2tailzd2makezd2box3025zd2zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3929z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2fail3023za700za7za7dotnet_tailza7003975z00, BGl_compilezd2tailzd2fail3023z00zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3931z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2boxza7d2ref3027za7d2za7za7dotnet_tailza7003976za7, BGl_compilezd2tailzd2boxzd2ref3027zd2zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3932z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2boxza7d2setza7123029za7c0za7za7dotnet_tailza7003977z00, BGl_compilezd2tailzd2boxzd2setz123029zc0zzdotnet_tailz00, 0L, 2 );
extern obj_t BGl_compilezd2exprzd2envz00zzdotnet_exprz00;
DEFINE_EXPORT_GENERIC( BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BgL_bgl__compileza7d2tailza7d2za7za7dotnet_tailza7003978za7, BGl__compilezd2tailzd2zzdotnet_tailz00, 0L, 2 );
DEFINE_STRING( BGl_string3934z00zzdotnet_tailz00, BgL_bgl_string3934za700za7za7dotnet_tailza7003979z00, "compile-tail-default2971 begin unspecified ", 43 );
DEFINE_STRING( BGl_string3933z00zzdotnet_tailz00, BgL_bgl_string3933za700za7za7dotnet_tailza7003980z00, "No method for this object", 25 );
DEFINE_STATIC_PROCEDURE( BGl_compilezd2tailzd2default2971zd2envzd2zzdotnet_tailz00, BgL_bgl__compileza7d2tailza7d2default2971za700za7za7dotnet_tailza7003981z00, BGl__compilezd2tailzd2default2971z00zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3906z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2atom2977za700za7za7dotnet_tailza7003982z00, BGl_compilezd2tailzd2atom2977z00zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3907z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2var2979za700za7za7dotnet_tailza7003983z00, BGl_compilezd2tailzd2var2979z00zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3908z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2letza7d2var2981za7d2za7za7dotnet_tailza7003984za7, BGl_compilezd2tailzd2letzd2var2981zd2zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3910z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2sequence2985za700za7za7dotnet_tailza7003985z00, BGl_compilezd2tailzd2sequence2985z00zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3909z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2setq2983za700za7za7dotnet_tailza7003986z00, BGl_compilezd2tailzd2setq2983z00zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3911z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2conditional2987za700za7za7dotnet_tailza7003987z00, BGl_compilezd2tailzd2conditional2987z00zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3912z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2select2989za700za7za7dotnet_tailza7003988z00, BGl_compilezd2tailzd2select2989z00zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3913z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2letza7d2fun2991za7d2za7za7dotnet_tailza7003989za7, BGl_compilezd2tailzd2letzd2fun2991zd2zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3914z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2app2993za700za7za7dotnet_tailza7003990z00, BGl_compilezd2tailzd2app2993z00zzdotnet_tailz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3915z00zzdotnet_tailz00, BgL_bgl_compileza7d2tailza7d2appza7d2ly2995za7d2za7za7dotnet_tailza7003991za7, BGl_compilezd2tailzd2appzd2ly2995zd2zzdotnet_tailz00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzdotnet_tailz00(long BgL_checksumz00_2487, char * BgL_fromz00_2488)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzdotnet_tailz00))
{ 
BGl_requirezd2initializa7ationz75zzdotnet_tailz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzdotnet_tailz00(); 
BGl_cnstzd2initzd2zzdotnet_tailz00(); 
BGl_importedzd2moduleszd2initz00zzdotnet_tailz00(); 
BGl_methodzd2initzd2zzdotnet_tailz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzdotnet_tailz00()
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 2 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "dotnet_tail"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "dotnet_tail"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "dotnet_tail"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzdotnet_tailz00()
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 2 */
{ /* ./DotNet/tail.scm 2 */
obj_t BgL_cportz00_2480;
BgL_cportz00_2480 = 
open_input_string(BGl_string3934z00zzdotnet_tailz00); 
{ 
long BgL_iz00_2481;
BgL_iz00_2481 = ((long)2); 
BgL_loopz00_2482:
{ /* ./DotNet/tail.scm 2 */
bool_t BgL_test3936z00_2483;
BgL_test3936z00_2483 = 
(BgL_iz00_2481==((long)-1)); 
if(BgL_test3936z00_2483)
{ /* ./DotNet/tail.scm 2 */
return BUNSPEC;}  else 
{ /* ./DotNet/tail.scm 2 */
{ /* ./DotNet/tail.scm 2 */
obj_t BgL_arg3938z00_2484;
{ /* ./DotNet/tail.scm 2 */
obj_t BgL_list3941z00_2485;
BgL_list3941z00_2485 = 
MAKE_PAIR(BgL_cportz00_2480, BNIL); 
BgL_arg3938z00_2484 = 
BGl_readz00zz__readerz00(BgL_list3941z00_2485); } 
{ /* ./DotNet/tail.scm 2 */
int BgL_auxz00_2504;
BgL_auxz00_2504 = 
(int)(BgL_iz00_2481); 
CNST_TABLE_SET(BgL_auxz00_2504, BgL_arg3938z00_2484); } } 
{ /* ./DotNet/tail.scm 2 */
int BgL_auxz00_2486;
{ /* ./DotNet/tail.scm 2 */
long BgL_auxz00_2507;
BgL_auxz00_2507 = 
(BgL_iz00_2481-((long)1)); 
BgL_auxz00_2486 = 
(int)(BgL_auxz00_2507); } 
{ 
long BgL_iz00_2510;
BgL_iz00_2510 = 
(long)(BgL_auxz00_2486); 
BgL_iz00_2481 = BgL_iz00_2510; 
goto BgL_loopz00_2482;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzdotnet_tailz00()
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 2 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzdotnet_tailz00()
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 2 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_compilezd2tailzd2default2971zd2envzd2zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_atomz00zzast_nodez00, BGl_proc3906z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_varz00zzast_nodez00, BGl_proc3907z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3908z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_setqz00zzast_nodez00, BGl_proc3909z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_sequencez00zzast_nodez00, BGl_proc3910z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_conditionalz00zzast_nodez00, BGl_proc3911z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_selectz00zzast_nodez00, BGl_proc3912z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3913z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_appz00zzast_nodez00, BGl_proc3914z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3915z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_funcallz00zzast_nodez00, BGl_proc3916z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_pragmaz00zzast_nodez00, BGl_proc3917z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_getfieldz00zzast_nodez00, BGl_proc3918z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_setfieldz00zzast_nodez00, BGl_proc3919z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_newz00zzast_nodez00, BGl_proc3920z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_vallocz00zzast_nodez00, BGl_proc3921z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_vrefz00zzast_nodez00, BGl_proc3922z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_vsetz12z12zzast_nodez00, BGl_proc3923z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_vlengthz00zzast_nodez00, BGl_proc3924z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_isaz00zzast_nodez00, BGl_proc3925z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_castz00zzast_nodez00, BGl_proc3926z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3927z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3928z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_failz00zzast_nodez00, BGl_proc3929z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc3930z00zzdotnet_tailz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc3931z00zzdotnet_tailz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3932z00zzdotnet_tailz00);} 
}



/* compile-tail-box-set!3029 */
obj_t BGl_compilezd2tailzd2boxzd2setz123029zc0zzdotnet_tailz00(obj_t BgL_envz00_2396, obj_t BgL_ez00_2397, obj_t BgL_envz00_2398)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 102 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_ez00_1733;BgL_envz00_bglt BgL_envz00_1734;
BgL_ez00_1733 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_ez00_2397); 
BgL_envz00_1734 = 
(BgL_envz00_bglt)(BgL_envz00_2398); 
BGl_compilerzd2boxzd2setz12z12zzdotnet_compilerz00(BgL_ez00_1733, BgL_envz00_1734); 
{ /* ./DotNet/tail.scm 104 */
obj_t BgL_arg3744z00_2334;
BgL_arg3744z00_2334 = 
BGl_jlibzd2declarezd2zzdotnet_envz00(BgL_envz00_1734, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzdotnet_instrz00(BgL_envz00_1734, BgL_arg3744z00_2334);} } } 
}



/* compile-tail-box-ref3027 */
obj_t BGl_compilezd2tailzd2boxzd2ref3027zd2zzdotnet_tailz00(obj_t BgL_envz00_2399, obj_t BgL_ez00_2400, obj_t BgL_envz00_2401)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 99 */
{ 
BgL_boxzd2refzd2_bglt BgL_ez00_1727;BgL_envz00_bglt BgL_envz00_1728;
BgL_ez00_1727 = 
(BgL_boxzd2refzd2_bglt)(BgL_ez00_2400); 
BgL_envz00_1728 = 
(BgL_envz00_bglt)(BgL_envz00_2401); 
return 
BGl_compilerzd2boxzd2refz00zzdotnet_compilerz00(BgL_ez00_1727, BgL_envz00_1728);} } 
}



/* compile-tail-make-box3025 */
obj_t BGl_compilezd2tailzd2makezd2box3025zd2zzdotnet_tailz00(obj_t BgL_envz00_2402, obj_t BgL_ez00_2403, obj_t BgL_envz00_2404)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 96 */
{ 
BgL_makezd2boxzd2_bglt BgL_ez00_1721;BgL_envz00_bglt BgL_envz00_1722;
BgL_ez00_1721 = 
(BgL_makezd2boxzd2_bglt)(BgL_ez00_2403); 
BgL_envz00_1722 = 
(BgL_envz00_bglt)(BgL_envz00_2404); 
return 
BGl_compilerzd2makezd2boxz00zzdotnet_compilerz00(BgL_ez00_1721, BgL_envz00_1722);} } 
}



/* compile-tail-fail3023 */
obj_t BGl_compilezd2tailzd2fail3023z00zzdotnet_tailz00(obj_t BgL_envz00_2405, obj_t BgL_ez00_2406, obj_t BgL_envz00_2407)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 93 */
{ 
BgL_failz00_bglt BgL_ez00_1715;BgL_envz00_bglt BgL_envz00_1716;
BgL_ez00_1715 = 
(BgL_failz00_bglt)(BgL_ez00_2406); 
BgL_envz00_1716 = 
(BgL_envz00_bglt)(BgL_envz00_2407); 
return 
BGl_compilerzd2failzd2zzdotnet_compilerz00(BgL_ez00_1715, BgL_envz00_1716);} } 
}



/* compile-tail-jump-ex-it3021 */
obj_t BGl_compilezd2tailzd2jumpzd2exzd2it3021z00zzdotnet_tailz00(obj_t BgL_envz00_2408, obj_t BgL_ez00_2409, obj_t BgL_envz00_2410)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 90 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_ez00_1709;BgL_envz00_bglt BgL_envz00_1710;
BgL_ez00_1709 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_ez00_2409); 
BgL_envz00_1710 = 
(BgL_envz00_bglt)(BgL_envz00_2410); 
return 
BGl_compilerzd2jumpzd2exitz00zzdotnet_compilerz00(BgL_ez00_1709, BgL_envz00_1710);} } 
}



/* compile-tail-set-ex-it3019 */
obj_t BGl_compilezd2tailzd2setzd2exzd2it3019z00zzdotnet_tailz00(obj_t BgL_envz00_2411, obj_t BgL_ez00_2412, obj_t BgL_envz00_2413)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 87 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_ez00_1703;BgL_envz00_bglt BgL_envz00_1704;
BgL_ez00_1703 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_ez00_2412); 
BgL_envz00_1704 = 
(BgL_envz00_bglt)(BgL_envz00_2413); 
return 
BGl_compilerzd2setexitzd2zzdotnet_compilerz00(BgL_ez00_1703, BgL_envz00_1704, BGl_compilezd2exprzd2envz00zzdotnet_exprz00);} } 
}



/* compile-tail-cast3017 */
obj_t BGl_compilezd2tailzd2cast3017z00zzdotnet_tailz00(obj_t BgL_envz00_2414, obj_t BgL_ez00_2415, obj_t BgL_envz00_2416)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 84 */
{ 
BgL_castz00_bglt BgL_ez00_1697;BgL_envz00_bglt BgL_envz00_1698;
BgL_ez00_1697 = 
(BgL_castz00_bglt)(BgL_ez00_2415); 
BgL_envz00_1698 = 
(BgL_envz00_bglt)(BgL_envz00_2416); 
return 
BGl_compilerzd2castzd2zzdotnet_compilerz00(BgL_ez00_1697, BgL_envz00_1698, BGl_compilezd2tailzd2envz00zzdotnet_tailz00);} } 
}



/* compile-tail-isa3015 */
obj_t BGl_compilezd2tailzd2isa3015z00zzdotnet_tailz00(obj_t BgL_envz00_2417, obj_t BgL_ez00_2418, obj_t BgL_envz00_2419)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 81 */
{ 
BgL_isaz00_bglt BgL_ez00_1691;BgL_envz00_bglt BgL_envz00_1692;
BgL_ez00_1691 = 
(BgL_isaz00_bglt)(BgL_ez00_2418); 
BgL_envz00_1692 = 
(BgL_envz00_bglt)(BgL_envz00_2419); 
return 
BGl_compilerzd2isazd2zzdotnet_compilerz00(BgL_ez00_1691, BgL_envz00_1692);} } 
}



/* compile-tail-vlength3013 */
obj_t BGl_compilezd2tailzd2vlength3013z00zzdotnet_tailz00(obj_t BgL_envz00_2420, obj_t BgL_ez00_2421, obj_t BgL_envz00_2422)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 78 */
{ 
BgL_vlengthz00_bglt BgL_ez00_1685;BgL_envz00_bglt BgL_envz00_1686;
BgL_ez00_1685 = 
(BgL_vlengthz00_bglt)(BgL_ez00_2421); 
BgL_envz00_1686 = 
(BgL_envz00_bglt)(BgL_envz00_2422); 
return 
BGl_compilerzd2vlengthzd2zzdotnet_compilerz00(BgL_ez00_1685, BgL_envz00_1686);} } 
}



/* compile-tail-vset!3011 */
obj_t BGl_compilezd2tailzd2vsetz123011z12zzdotnet_tailz00(obj_t BgL_envz00_2423, obj_t BgL_ez00_2424, obj_t BgL_envz00_2425)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 74 */
{ 
BgL_vsetz12z12_bglt BgL_ez00_1678;BgL_envz00_bglt BgL_envz00_1679;
BgL_ez00_1678 = 
(BgL_vsetz12z12_bglt)(BgL_ez00_2424); 
BgL_envz00_1679 = 
(BgL_envz00_bglt)(BgL_envz00_2425); 
BGl_compilerzd2vsetzd2zzdotnet_compilerz00(BgL_ez00_1678, BgL_envz00_1679); 
{ /* ./DotNet/tail.scm 76 */
obj_t BgL_arg3677z00_2333;
BgL_arg3677z00_2333 = 
BGl_jlibzd2declarezd2zzdotnet_envz00(BgL_envz00_1679, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzdotnet_instrz00(BgL_envz00_1679, BgL_arg3677z00_2333);} } } 
}



/* compile-tail-vref3009 */
obj_t BGl_compilezd2tailzd2vref3009z00zzdotnet_tailz00(obj_t BgL_envz00_2426, obj_t BgL_ez00_2427, obj_t BgL_envz00_2428)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 71 */
{ 
BgL_vrefz00_bglt BgL_ez00_1672;BgL_envz00_bglt BgL_envz00_1673;
BgL_ez00_1672 = 
(BgL_vrefz00_bglt)(BgL_ez00_2427); 
BgL_envz00_1673 = 
(BgL_envz00_bglt)(BgL_envz00_2428); 
return 
BGl_compilerzd2vrefzd2zzdotnet_compilerz00(BgL_ez00_1672, BgL_envz00_1673);} } 
}



/* compile-tail-valloc3007 */
obj_t BGl_compilezd2tailzd2valloc3007z00zzdotnet_tailz00(obj_t BgL_envz00_2429, obj_t BgL_ez00_2430, obj_t BgL_envz00_2431)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 68 */
{ 
BgL_vallocz00_bglt BgL_ez00_1666;BgL_envz00_bglt BgL_envz00_1667;
BgL_ez00_1666 = 
(BgL_vallocz00_bglt)(BgL_ez00_2430); 
BgL_envz00_1667 = 
(BgL_envz00_bglt)(BgL_envz00_2431); 
return 
BGl_compilerzd2valloczd2zzdotnet_compilerz00(BgL_ez00_1666, BgL_envz00_1667);} } 
}



/* compile-tail-new3005 */
obj_t BGl_compilezd2tailzd2new3005z00zzdotnet_tailz00(obj_t BgL_envz00_2432, obj_t BgL_ez00_2433, obj_t BgL_envz00_2434)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 65 */
{ 
BgL_newz00_bglt BgL_ez00_1660;BgL_envz00_bglt BgL_envz00_1661;
BgL_ez00_1660 = 
(BgL_newz00_bglt)(BgL_ez00_2433); 
BgL_envz00_1661 = 
(BgL_envz00_bglt)(BgL_envz00_2434); 
return 
BGl_compilerzd2newzd2zzdotnet_compilerz00(BgL_ez00_1660, BgL_envz00_1661);} } 
}



/* compile-tail-setfield3003 */
obj_t BGl_compilezd2tailzd2setfield3003z00zzdotnet_tailz00(obj_t BgL_envz00_2435, obj_t BgL_ez00_2436, obj_t BgL_envz00_2437)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 61 */
{ 
BgL_setfieldz00_bglt BgL_ez00_1653;BgL_envz00_bglt BgL_envz00_1654;
BgL_ez00_1653 = 
(BgL_setfieldz00_bglt)(BgL_ez00_2436); 
BgL_envz00_1654 = 
(BgL_envz00_bglt)(BgL_envz00_2437); 
BGl_compilerzd2setfieldzd2zzdotnet_compilerz00(BgL_ez00_1653, BgL_envz00_1654); 
{ /* ./DotNet/tail.scm 63 */
obj_t BgL_arg3645z00_2332;
BgL_arg3645z00_2332 = 
BGl_jlibzd2declarezd2zzdotnet_envz00(BgL_envz00_1654, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzdotnet_instrz00(BgL_envz00_1654, BgL_arg3645z00_2332);} } } 
}



/* compile-tail-getfield3001 */
obj_t BGl_compilezd2tailzd2getfield3001z00zzdotnet_tailz00(obj_t BgL_envz00_2438, obj_t BgL_ez00_2439, obj_t BgL_envz00_2440)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 58 */
{ 
BgL_getfieldz00_bglt BgL_ez00_1647;BgL_envz00_bglt BgL_envz00_1648;
BgL_ez00_1647 = 
(BgL_getfieldz00_bglt)(BgL_ez00_2439); 
BgL_envz00_1648 = 
(BgL_envz00_bglt)(BgL_envz00_2440); 
return 
BGl_compilerzd2getfieldzd2zzdotnet_compilerz00(BgL_ez00_1647, BgL_envz00_1648);} } 
}



/* compile-tail-pragma2999 */
obj_t BGl_compilezd2tailzd2pragma2999z00zzdotnet_tailz00(obj_t BgL_envz00_2441, obj_t BgL_ez00_2442, obj_t BgL_envz00_2443)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 55 */
{ 
BgL_pragmaz00_bglt BgL_ez00_1641;BgL_envz00_bglt BgL_envz00_1642;
BgL_ez00_1641 = 
(BgL_pragmaz00_bglt)(BgL_ez00_2442); 
BgL_envz00_1642 = 
(BgL_envz00_bglt)(BgL_envz00_2443); 
return 
BGl_compilerzd2pragmazd2zzdotnet_compilerz00(BgL_ez00_1641, BgL_envz00_1642);} } 
}



/* compile-tail-funcall2997 */
obj_t BGl_compilezd2tailzd2funcall2997z00zzdotnet_tailz00(obj_t BgL_envz00_2444, obj_t BgL_ez00_2445, obj_t BgL_envz00_2446)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 52 */
{ 
BgL_funcallz00_bglt BgL_ez00_1635;BgL_envz00_bglt BgL_envz00_1636;
BgL_ez00_1635 = 
(BgL_funcallz00_bglt)(BgL_ez00_2445); 
BgL_envz00_1636 = 
(BgL_envz00_bglt)(BgL_envz00_2446); 
return 
BGl_compilerzd2funcallzd2zzdotnet_compilerz00(BgL_ez00_1635, BgL_envz00_1636);} } 
}



/* compile-tail-app-ly2995 */
obj_t BGl_compilezd2tailzd2appzd2ly2995zd2zzdotnet_tailz00(obj_t BgL_envz00_2447, obj_t BgL_ez00_2448, obj_t BgL_envz00_2449)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 49 */
{ 
BgL_appzd2lyzd2_bglt BgL_ez00_1629;BgL_envz00_bglt BgL_envz00_1630;
BgL_ez00_1629 = 
(BgL_appzd2lyzd2_bglt)(BgL_ez00_2448); 
BgL_envz00_1630 = 
(BgL_envz00_bglt)(BgL_envz00_2449); 
return 
BGl_compilerzd2applyzd2zzdotnet_compilerz00(BgL_ez00_1629, BgL_envz00_1630);} } 
}



/* compile-tail-app2993 */
obj_t BGl_compilezd2tailzd2app2993z00zzdotnet_tailz00(obj_t BgL_envz00_2450, obj_t BgL_ez00_2451, obj_t BgL_envz00_2452)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 35 */
{ 
BgL_appz00_bglt BgL_ez00_1599;BgL_envz00_bglt BgL_envz00_1600;
BgL_ez00_1599 = 
(BgL_appz00_bglt)(BgL_ez00_2451); 
BgL_envz00_1600 = 
(BgL_envz00_bglt)(BgL_envz00_2452); 
{ /* ./DotNet/tail.scm 37 */
BgL_variablez00_bglt BgL_vz00_1604;
{ /* ./DotNet/tail.scm 37 */
BgL_varz00_bglt BgL_arg3606z00_1626;
BgL_arg3606z00_1626 = 
(((BgL_appz00_bglt)CREF(BgL_ez00_1599))->BgL_funz00); 
BgL_vz00_1604 = 
(((BgL_varz00_bglt)CREF(BgL_arg3606z00_1626))->BgL_variablez00); } 
{ /* ./DotNet/tail.scm 38 */
bool_t BgL_test3553z00_1605;
{ /* ./DotNet/tail.scm 38 */
obj_t BgL_auxz00_2607;obj_t BgL_auxz00_2605;
BgL_auxz00_2607 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_1600))->BgL_currentzd2methodzd2); 
BgL_auxz00_2605 = 
(obj_t)(BgL_vz00_1604); 
BgL_test3553z00_1605 = 
(BgL_auxz00_2605==BgL_auxz00_2607); } 
if(BgL_test3553z00_1605)
{ /* ./DotNet/tail.scm 39 */
obj_t BgL_paramsz00_1606;
{ /* ./DotNet/tail.scm 39 */
BgL_sfunz00_bglt BgL_obj1370z00_2320;
{ /* ./DotNet/tail.scm 39 */
BgL_valuez00_bglt BgL_auxz00_2611;
BgL_auxz00_2611 = 
(((BgL_variablez00_bglt)CREF(BgL_vz00_1604))->BgL_valuez00); 
BgL_obj1370z00_2320 = 
(BgL_sfunz00_bglt)(BgL_auxz00_2611); } 
BgL_paramsz00_1606 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1370z00_2320))->BgL_argsz00); } 
{ 
obj_t BgL_l2967z00_1607;
{ /* ./DotNet/tail.scm 40 */
obj_t BgL_arg3555z00_1609;
BgL_arg3555z00_1609 = 
(((BgL_appz00_bglt)CREF(BgL_ez00_1599))->BgL_argsz00); 
BgL_l2967z00_1607 = BgL_arg3555z00_1609; 
BgL_forzd2each2968zd2_1608:
{ /* ./DotNet/tail.scm 40 */
bool_t BgL_test3558z00_1610;
BgL_test3558z00_1610 = 
PAIRP(BgL_l2967z00_1607); 
if(BgL_test3558z00_1610)
{ /* ./DotNet/tail.scm 40 */
{ /* ./DotNet/tail.scm 40 */
obj_t BgL_ez00_1611;
BgL_ez00_1611 = 
CAR(BgL_l2967z00_1607); 
BGl_compilezd2exprzd2zzdotnet_exprz00(
(BgL_nodez00_bglt)(BgL_ez00_1611), BgL_envz00_1600); } 
{ /* ./DotNet/tail.scm 40 */
obj_t BgL_arg3562z00_1612;
BgL_arg3562z00_1612 = 
CDR(BgL_l2967z00_1607); 
{ 
obj_t BgL_l2967z00_2622;
BgL_l2967z00_2622 = BgL_arg3562z00_1612; 
BgL_l2967z00_1607 = BgL_l2967z00_2622; 
goto BgL_forzd2each2968zd2_1608;} } }  else 
{ /* ./DotNet/tail.scm 40 */((bool_t)1); } } } } 
{ 
obj_t BgL_l2969z00_1613;
{ /* ./DotNet/tail.scm 41 */
obj_t BgL_arg3567z00_1615;
BgL_arg3567z00_1615 = 
bgl_reverse(BgL_paramsz00_1606); 
BgL_l2969z00_1613 = BgL_arg3567z00_1615; 
BgL_forzd2each2970zd2_1614:
{ /* ./DotNet/tail.scm 41 */
bool_t BgL_test3570z00_1616;
BgL_test3570z00_1616 = 
PAIRP(BgL_l2969z00_1613); 
if(BgL_test3570z00_1616)
{ /* ./DotNet/tail.scm 41 */
{ /* ./DotNet/tail.scm 41 */
obj_t BgL_pz00_1617;
BgL_pz00_1617 = 
CAR(BgL_l2969z00_1613); 
BGl__storez00zzdotnet_instrz00(BgL_envz00_1600, 
(BgL_localz00_bglt)(BgL_pz00_1617)); } 
{ /* ./DotNet/tail.scm 41 */
obj_t BgL_arg3574z00_1618;
BgL_arg3574z00_1618 = 
CDR(BgL_l2969z00_1613); 
{ 
obj_t BgL_l2969z00_2630;
BgL_l2969z00_2630 = BgL_arg3574z00_1618; 
BgL_l2969z00_1613 = BgL_l2969z00_2630; 
goto BgL_forzd2each2970zd2_1614;} } }  else 
{ /* ./DotNet/tail.scm 41 */((bool_t)1); } } } } 
{ /* ./DotNet/tail.scm 44 */
obj_t BgL_arg3579z00_1619;
{ /* ./DotNet/tail.scm 44 */
obj_t BgL_arg3582z00_1620;obj_t BgL_arg3583z00_1621;
{ /* ./DotNet/tail.scm 44 */
obj_t BgL_arg3588z00_1622;
{ /* ./DotNet/tail.scm 44 */
BgL_typez00_bglt BgL_arg3591z00_1623;
BgL_arg3591z00_1623 = 
(((BgL_variablez00_bglt)CREF(BgL_vz00_1604))->BgL_typez00); 
BgL_arg3588z00_1622 = 
BGl_compilezd2typezd2zzdotnet_envz00(
(obj_t)(BgL_arg3591z00_1623), BgL_envz00_1600); } 
BgL_arg3582z00_1620 = 
BGl_simplezd2typezd2zzdotnet_instrz00(BgL_arg3588z00_1622); } 
BgL_arg3583z00_1621 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_1600))->BgL_stackz00); 
BgL_arg3579z00_1619 = 
MAKE_PAIR(BgL_arg3582z00_1620, BgL_arg3583z00_1621); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_1600))->BgL_stackz00) = ((obj_t)BgL_arg3579z00_1619), BUNSPEC); } 
return 
BGl__gotoz00zzdotnet_instrz00(BgL_envz00_1600, 
CNST_TABLE_REF(((long)1)));}  else 
{ /* ./DotNet/tail.scm 38 */
return 
BGl_compilerzd2appzd2zzdotnet_compilerz00(BgL_ez00_1599, BgL_envz00_1600, BGl_compilezd2tailzd2envz00zzdotnet_tailz00);} } } } } 
}



/* compile-tail-let-fun2991 */
obj_t BGl_compilezd2tailzd2letzd2fun2991zd2zzdotnet_tailz00(obj_t BgL_envz00_2453, obj_t BgL_ez00_2454, obj_t BgL_envz00_2455)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 32 */
{ 
BgL_letzd2funzd2_bglt BgL_ez00_1593;BgL_envz00_bglt BgL_envz00_1594;
BgL_ez00_1593 = 
(BgL_letzd2funzd2_bglt)(BgL_ez00_2454); 
BgL_envz00_1594 = 
(BgL_envz00_bglt)(BgL_envz00_2455); 
return 
BGl_compilerzd2labelszd2zzdotnet_compilerz00(BgL_ez00_1593, BgL_envz00_1594, BGl_compilezd2tailzd2envz00zzdotnet_tailz00);} } 
}



/* compile-tail-select2989 */
obj_t BGl_compilezd2tailzd2select2989z00zzdotnet_tailz00(obj_t BgL_envz00_2456, obj_t BgL_ez00_2457, obj_t BgL_envz00_2458)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 29 */
{ 
BgL_selectz00_bglt BgL_ez00_1587;BgL_envz00_bglt BgL_envz00_1588;
BgL_ez00_1587 = 
(BgL_selectz00_bglt)(BgL_ez00_2457); 
BgL_envz00_1588 = 
(BgL_envz00_bglt)(BgL_envz00_2458); 
return 
BGl_compilerzd2selectzd2zzdotnet_compilerz00(BgL_ez00_1587, BgL_envz00_1588, BGl_compilezd2tailzd2envz00zzdotnet_tailz00);} } 
}



/* compile-tail-conditional2987 */
obj_t BGl_compilezd2tailzd2conditional2987z00zzdotnet_tailz00(obj_t BgL_envz00_2459, obj_t BgL_ez00_2460, obj_t BgL_envz00_2461)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 26 */
{ 
BgL_conditionalz00_bglt BgL_ez00_1581;BgL_envz00_bglt BgL_envz00_1582;
BgL_ez00_1581 = 
(BgL_conditionalz00_bglt)(BgL_ez00_2460); 
BgL_envz00_1582 = 
(BgL_envz00_bglt)(BgL_envz00_2461); 
return 
BGl_compilerzd2ifzd2zzdotnet_compilerz00(BgL_ez00_1581, BgL_envz00_1582, BGl_compilezd2tailzd2envz00zzdotnet_tailz00);} } 
}



/* compile-tail-sequence2985 */
obj_t BGl_compilezd2tailzd2sequence2985z00zzdotnet_tailz00(obj_t BgL_envz00_2462, obj_t BgL_ez00_2463, obj_t BgL_envz00_2464)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 23 */
{ 
BgL_sequencez00_bglt BgL_ez00_1575;BgL_envz00_bglt BgL_envz00_1576;
BgL_ez00_1575 = 
(BgL_sequencez00_bglt)(BgL_ez00_2463); 
BgL_envz00_1576 = 
(BgL_envz00_bglt)(BgL_envz00_2464); 
return 
BGl_compilerzd2sequencezd2zzdotnet_compilerz00(BgL_ez00_1575, BgL_envz00_1576, BGl_compilezd2tailzd2envz00zzdotnet_tailz00);} } 
}



/* compile-tail-setq2983 */
obj_t BGl_compilezd2tailzd2setq2983z00zzdotnet_tailz00(obj_t BgL_envz00_2465, obj_t BgL_ez00_2466, obj_t BgL_envz00_2467)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 19 */
{ 
BgL_setqz00_bglt BgL_ez00_1568;BgL_envz00_bglt BgL_envz00_1569;
BgL_ez00_1568 = 
(BgL_setqz00_bglt)(BgL_ez00_2466); 
BgL_envz00_1569 = 
(BgL_envz00_bglt)(BgL_envz00_2467); 
BGl_compilerzd2setqzd2zzdotnet_compilerz00(BgL_ez00_1568, BgL_envz00_1569); 
{ /* ./DotNet/tail.scm 21 */
obj_t BgL_arg3516z00_2315;
BgL_arg3516z00_2315 = 
BGl_jlibzd2declarezd2zzdotnet_envz00(BgL_envz00_1569, 
CNST_TABLE_REF(((long)0))); 
return 
BGl__getstaticz00zzdotnet_instrz00(BgL_envz00_1569, BgL_arg3516z00_2315);} } } 
}



/* compile-tail-let-var2981 */
obj_t BGl_compilezd2tailzd2letzd2var2981zd2zzdotnet_tailz00(obj_t BgL_envz00_2468, obj_t BgL_ez00_2469, obj_t BgL_envz00_2470)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 16 */
{ 
BgL_letzd2varzd2_bglt BgL_ez00_1562;BgL_envz00_bglt BgL_envz00_1563;
BgL_ez00_1562 = 
(BgL_letzd2varzd2_bglt)(BgL_ez00_2469); 
BgL_envz00_1563 = 
(BgL_envz00_bglt)(BgL_envz00_2470); 
return 
BGl_compilerzd2letzd2zzdotnet_compilerz00(BgL_ez00_1562, BgL_envz00_1563, BGl_compilezd2tailzd2envz00zzdotnet_tailz00);} } 
}



/* compile-tail-var2979 */
obj_t BGl_compilezd2tailzd2var2979z00zzdotnet_tailz00(obj_t BgL_envz00_2471, obj_t BgL_ez00_2472, obj_t BgL_envz00_2473)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 13 */
{ 
BgL_varz00_bglt BgL_ez00_1556;BgL_envz00_bglt BgL_envz00_1557;
BgL_ez00_1556 = 
(BgL_varz00_bglt)(BgL_ez00_2472); 
BgL_envz00_1557 = 
(BgL_envz00_bglt)(BgL_envz00_2473); 
return 
BGl_compilerzd2varzd2zzdotnet_compilerz00(BgL_ez00_1556, BgL_envz00_1557);} } 
}



/* compile-tail-atom2977 */
obj_t BGl_compilezd2tailzd2atom2977z00zzdotnet_tailz00(obj_t BgL_envz00_2474, obj_t BgL_ez00_2475, obj_t BgL_envz00_2476)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 10 */
{ 
BgL_atomz00_bglt BgL_ez00_1550;BgL_envz00_bglt BgL_envz00_1551;
BgL_ez00_1550 = 
(BgL_atomz00_bglt)(BgL_ez00_2475); 
BgL_envz00_1551 = 
(BgL_envz00_bglt)(BgL_envz00_2476); 
return 
BGl_compilerzd2atomzd2zzdotnet_compilerz00(
(obj_t)(BgL_ez00_1550), BgL_envz00_1551);} } 
}



/* compile-tail */
BGL_EXPORTED_DEF obj_t BGl_compilezd2tailzd2zzdotnet_tailz00(BgL_nodez00_bglt BgL_ez00_1, BgL_envz00_bglt BgL_envz00_2)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 8 */
{ /* ./DotNet/tail.scm 8 */
obj_t BgL_method2975z00_2335;
{ /* ./DotNet/tail.scm 8 */
BgL_objectz00_bglt BgL_objz00_2336;
BgL_objz00_2336 = 
(BgL_objectz00_bglt)(BgL_ez00_1); 
{ /* ./DotNet/tail.scm 8 */
long BgL_objzd2classzd2numz00_2337;
BgL_objzd2classzd2numz00_2337 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2336); 
{ /* ./DotNet/tail.scm 8 */
obj_t BgL_arg1989z00_2338;
{ /* ./DotNet/tail.scm 8 */
int BgL_auxz00_2673;
BgL_auxz00_2673 = 
(int)(((long)1)); 
BgL_arg1989z00_2338 = 
PROCEDURE_REF(BGl_compilezd2tailzd2envz00zzdotnet_tailz00, BgL_auxz00_2673); } 
{ /* ./DotNet/tail.scm 8 */
int BgL_offsetz00_2341;
BgL_offsetz00_2341 = 
(int)(BgL_objzd2classzd2numz00_2337); 
{ /* ./DotNet/tail.scm 8 */
long BgL_offsetz00_2342;
{ /* ./DotNet/tail.scm 8 */
long BgL_auxz00_2677;
BgL_auxz00_2677 = 
(long)(BgL_offsetz00_2341); 
BgL_offsetz00_2342 = 
(BgL_auxz00_2677-OBJECT_TYPE); } 
{ /* ./DotNet/tail.scm 8 */
long BgL_modz00_2343;
{ /* ./DotNet/tail.scm 8 */
int BgL_arg2000z00_2344;
BgL_arg2000z00_2344 = 
(int)(((long)8)); 
{ /* ./DotNet/tail.scm 8 */
long BgL_n2z00_2352;
BgL_n2z00_2352 = 
(long)(BgL_arg2000z00_2344); 
BgL_modz00_2343 = 
(BgL_offsetz00_2342/BgL_n2z00_2352); } } 
{ /* ./DotNet/tail.scm 8 */
long BgL_restz00_2345;
{ /* ./DotNet/tail.scm 8 */
int BgL_arg1996z00_2346;
BgL_arg1996z00_2346 = 
(int)(((long)8)); 
{ /* ./DotNet/tail.scm 8 */
long BgL_n2z00_2355;
BgL_n2z00_2355 = 
(long)(BgL_arg1996z00_2346); 
BgL_restz00_2345 = 
(BgL_offsetz00_2342%BgL_n2z00_2355); } } 
{ /* ./DotNet/tail.scm 8 */

{ /* ./DotNet/tail.scm 8 */
obj_t BgL_bucketz00_2347;
{ /* ./DotNet/tail.scm 8 */
int BgL_kz00_2357;
BgL_kz00_2357 = 
(int)(BgL_modz00_2343); 
BgL_bucketz00_2347 = 
VECTOR_REF(BgL_arg1989z00_2338,BgL_kz00_2357); } 
{ /* ./DotNet/tail.scm 8 */
int BgL_kz00_2359;
BgL_kz00_2359 = 
(int)(BgL_restz00_2345); 
BgL_method2975z00_2335 = 
VECTOR_REF(BgL_bucketz00_2347,BgL_kz00_2359); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2975z00_2335)(BgL_method2975z00_2335, 
(obj_t)(BgL_ez00_1), 
(obj_t)(BgL_envz00_2), BEOA);} } 
}



/* _compile-tail */
obj_t BGl__compilezd2tailzd2zzdotnet_tailz00(obj_t BgL_envz00_2373, obj_t BgL_ez00_2374, obj_t BgL_envz00_2375)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 8 */
return 
BGl_compilezd2tailzd2zzdotnet_tailz00(
(BgL_nodez00_bglt)(BgL_ez00_2374), 
(BgL_envz00_bglt)(BgL_envz00_2375));} 
}



/* compile-tail-default2971 */
obj_t BGl_compilezd2tailzd2default2971z00zzdotnet_tailz00(BgL_nodez00_bglt BgL_ez00_3, BgL_envz00_bglt BgL_envz00_4)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 2 */
{ /* ./DotNet/tail.scm 2 */
obj_t BgL_procz00_2360;obj_t BgL_objectz00_2362;
BgL_procz00_2360 = 
CNST_TABLE_REF(((long)2)); 
BgL_objectz00_2362 = 
(obj_t)(BgL_ez00_3); 
FAILURE(BgL_procz00_2360,BGl_string3933z00zzdotnet_tailz00,BgL_objectz00_2362);} } 
}



/* _compile-tail-default2971 */
obj_t BGl__compilezd2tailzd2default2971z00zzdotnet_tailz00(obj_t BgL_envz00_2477, obj_t BgL_ez00_2478, obj_t BgL_envz00_2479)
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 2 */
return 
BGl_compilezd2tailzd2default2971z00zzdotnet_tailz00(
(BgL_nodez00_bglt)(BgL_ez00_2478), 
(BgL_envz00_bglt)(BgL_envz00_2479));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzdotnet_tailz00()
{ AN_OBJECT;
{ /* ./DotNet/tail.scm 2 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "dotnet_tail"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "dotnet_tail"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "dotnet_tail"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)23064), "dotnet_tail"); 
BGl_modulezd2initializa7ationz75zzdotnet_envz00(((long)58889), "dotnet_tail"); 
BGl_modulezd2initializa7ationz75zzdotnet_instrz00(((long)8897), "dotnet_tail"); 
BGl_modulezd2initializa7ationz75zzdotnet_exprz00(((long)54487), "dotnet_tail"); 
return 
BGl_modulezd2initializa7ationz75zzdotnet_compilerz00(((long)49496), "dotnet_tail");} 
}

