/*===========================================================================*/
/*   (Effect/effect.scm)                                                     */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Effect/effect.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzeffect_effectz00();
static obj_t BGl_sidezd2effectzf3zd2var2662zf3zzeffect_effectz00(obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl_sidezd2effectzf3zd2nodezf2effect2664z01zzeffect_effectz00(obj_t, obj_t);
static obj_t BGl_sidezd2effectzf3zd2default2657zf3zzeffect_effectz00(BgL_nodez00_bglt);
extern obj_t BGl_nodez00zzast_nodez00;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_sidezd2effectzf3zd2fail2668zf3zzeffect_effectz00(obj_t, obj_t);
static obj_t BGl_sidezd2effectzf3zd2setzd2exzd2it2670zf3zzeffect_effectz00(obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzeffect_effectz00();
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_importedzd2moduleszd2initz00zzeffect_effectz00();
extern obj_t BGl_nodezf2effectzf2zzast_nodez00;
static obj_t BGl__sidezd2effectzf3zd2default2657zf3zzeffect_effectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzeffect_effectz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_EXPORTED_DECL bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
static obj_t BGl_sidezd2effectzf3zd2boxzd2setz122674z33zzeffect_effectz00(obj_t, obj_t);
static obj_t BGl_sidezd2effectzf3zd2cast2680zf3zzeffect_effectz00(obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl__sidezd2effectzf3z21zzeffect_effectz00(obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl_sidezd2effectzf3zd2appzd2ly2676z21zzeffect_effectz00(obj_t, obj_t);
static obj_t BGl_sidezd2effectzf3zd2node2660zf3zzeffect_effectz00(obj_t, obj_t);
static obj_t BGl_sidezd2effectzf3zd2setq2666zf3zzeffect_effectz00(obj_t, obj_t);
static obj_t BGl_sidezd2effectzf3zd2funcall2678zf3zzeffect_effectz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzeffect_effectz00 = BUNSPEC;
static obj_t BGl_sidezd2effectzf3zd2jumpzd2exzd2it2672zf3zzeffect_effectz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_effectz00();
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 2 ] ;


DEFINE_STRING( BGl_string3260z00zzeffect_effectz00, BgL_bgl_string3260za700za7za7effect_effectza7003286z00, "side-effect?-default2657 read ", 30 );
DEFINE_STRING( BGl_string3259z00zzeffect_effectz00, BgL_bgl_string3259za700za7za7effect_effectza7003287z00, "No method for this object", 25 );
DEFINE_STATIC_PROCEDURE( BGl_sidezd2effectzf3zd2default2657zd2envz21zzeffect_effectz00, BgL_bgl__sideza7d2effectza7f3za7d2default2657za7f3za7za7effect_effectza7003288za7, BGl__sidezd2effectzf3zd2default2657zf3zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3248z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2node2660za7f3za7za7effect_effectza7003289za7, BGl_sidezd2effectzf3zd2node2660zf3zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3250z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2nodeza7f2effect2664za701za7za7effect_effectza7003290z00, BGl_sidezd2effectzf3zd2nodezf2effect2664z01zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3249z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2var2662za7f3za7za7effect_effectza7003291za7, BGl_sidezd2effectzf3zd2var2662zf3zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3251z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2setq2666za7f3za7za7effect_effectza7003292za7, BGl_sidezd2effectzf3zd2setq2666zf3zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3252z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2fail2668za7f3za7za7effect_effectza7003293za7, BGl_sidezd2effectzf3zd2fail2668zf3zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3253z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2setza7d2exza7d2it2670za7f3za7za7effect_effectza7003294za7, BGl_sidezd2effectzf3zd2setzd2exzd2it2670zf3zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3254z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2jumpza7d2exza7d2it2672za7f3za7za7effect_effectza7003295za7, BGl_sidezd2effectzf3zd2jumpzd2exzd2it2672zf3zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3255z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2boxza7d2setza7122674za733za7za7effect_effectza7003296za7, BGl_sidezd2effectzf3zd2boxzd2setz122674z33zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3256z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2appza7d2ly2676za721za7za7effect_effectza7003297z00, BGl_sidezd2effectzf3zd2appzd2ly2676z21zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3257z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2funcall2678za7f3za7za7effect_effectza7003298za7, BGl_sidezd2effectzf3zd2funcall2678zf3zzeffect_effectz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3258z00zzeffect_effectz00, BgL_bgl_sideza7d2effectza7f3za7d2cast2680za7f3za7za7effect_effectza7003299za7, BGl_sidezd2effectzf3zd2cast2680zf3zzeffect_effectz00, 0L, 1 );
DEFINE_EXPORT_GENERIC( BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BgL_bgl__sideza7d2effectza7f3za721za7za7effect_effectza7003300z00, BGl__sidezd2effectzf3z21zzeffect_effectz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long BgL_checksumz00_1923, char * BgL_fromz00_1924)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzeffect_effectz00))
{ 
BGl_requirezd2initializa7ationz75zzeffect_effectz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzeffect_effectz00(); 
BGl_cnstzd2initzd2zzeffect_effectz00(); 
BGl_importedzd2moduleszd2initz00zzeffect_effectz00(); 
BGl_methodzd2initzd2zzeffect_effectz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzeffect_effectz00()
{ AN_OBJECT;
{ /* ./Effect/effect.scm 19 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "effect_effect"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "effect_effect"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzeffect_effectz00()
{ AN_OBJECT;
{ /* ./Effect/effect.scm 19 */
{ /* ./Effect/effect.scm 19 */
obj_t BgL_cportz00_1916;
BgL_cportz00_1916 = 
open_input_string(BGl_string3260z00zzeffect_effectz00); 
{ 
long BgL_iz00_1917;
BgL_iz00_1917 = ((long)1); 
BgL_loopz00_1918:
{ /* ./Effect/effect.scm 19 */
bool_t BgL_test3262z00_1919;
BgL_test3262z00_1919 = 
(BgL_iz00_1917==((long)-1)); 
if(BgL_test3262z00_1919)
{ /* ./Effect/effect.scm 19 */
return BUNSPEC;}  else 
{ /* ./Effect/effect.scm 19 */
{ /* ./Effect/effect.scm 19 */
obj_t BgL_arg3264z00_1920;
{ /* ./Effect/effect.scm 19 */
obj_t BgL_list3267z00_1921;
BgL_list3267z00_1921 = 
MAKE_PAIR(BgL_cportz00_1916, BNIL); 
BgL_arg3264z00_1920 = 
BGl_readz00zz__readerz00(BgL_list3267z00_1921); } 
{ /* ./Effect/effect.scm 19 */
int BgL_auxz00_1939;
BgL_auxz00_1939 = 
(int)(BgL_iz00_1917); 
CNST_TABLE_SET(BgL_auxz00_1939, BgL_arg3264z00_1920); } } 
{ /* ./Effect/effect.scm 19 */
int BgL_auxz00_1922;
{ /* ./Effect/effect.scm 19 */
long BgL_auxz00_1942;
BgL_auxz00_1942 = 
(BgL_iz00_1917-((long)1)); 
BgL_auxz00_1922 = 
(int)(BgL_auxz00_1942); } 
{ 
long BgL_iz00_1945;
BgL_iz00_1945 = 
(long)(BgL_auxz00_1922); 
BgL_iz00_1917 = BgL_iz00_1945; 
goto BgL_loopz00_1918;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzeffect_effectz00()
{ AN_OBJECT;
{ /* ./Effect/effect.scm 19 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzeffect_effectz00()
{ AN_OBJECT;
{ /* ./Effect/effect.scm 19 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_sidezd2effectzf3zd2default2657zd2envz21zzeffect_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_nodez00zzast_nodez00, BGl_proc3248z00zzeffect_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_varz00zzast_nodez00, BGl_proc3249z00zzeffect_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_nodezf2effectzf2zzast_nodez00, BGl_proc3250z00zzeffect_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_setqz00zzast_nodez00, BGl_proc3251z00zzeffect_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_failz00zzast_nodez00, BGl_proc3252z00zzeffect_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3253z00zzeffect_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3254z00zzeffect_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3255z00zzeffect_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3256z00zzeffect_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_funcallz00zzast_nodez00, BGl_proc3257z00zzeffect_effectz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BGl_castz00zzast_nodez00, BGl_proc3258z00zzeffect_effectz00);} 
}



/* side-effect?-cast2680 */
obj_t BGl_sidezd2effectzf3zd2cast2680zf3zzeffect_effectz00(obj_t BgL_envz00_1892, obj_t BgL_nodez00_1893)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 94 */
{ 
BgL_castz00_bglt BgL_nodez00_1336;
{ /* ./Effect/effect.scm 95 */
bool_t BgL_auxz00_1959;
BgL_nodez00_1336 = 
(BgL_castz00_bglt)(BgL_nodez00_1893); 
{ /* ./Effect/effect.scm 95 */
BgL_nodez00_bglt BgL_arg3154z00_1822;
BgL_arg3154z00_1822 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1336))->BgL_argz00); 
{ /* ./Effect/effect.scm 95 */
bool_t BgL_res3170z00_1850;
{ /* ./Effect/effect.scm 95 */
obj_t BgL_method2658z00_1825;
{ /* ./Effect/effect.scm 95 */
BgL_objectz00_bglt BgL_objz00_1826;
BgL_objz00_1826 = 
(BgL_objectz00_bglt)(BgL_arg3154z00_1822); 
{ /* ./Effect/effect.scm 95 */
long BgL_objzd2classzd2numz00_1827;
BgL_objzd2classzd2numz00_1827 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1826); 
{ /* ./Effect/effect.scm 95 */
obj_t BgL_arg1989z00_1828;
{ /* ./Effect/effect.scm 95 */
int BgL_auxz00_1963;
BgL_auxz00_1963 = 
(int)(((long)1)); 
BgL_arg1989z00_1828 = 
PROCEDURE_REF(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BgL_auxz00_1963); } 
{ /* ./Effect/effect.scm 95 */
int BgL_offsetz00_1831;
BgL_offsetz00_1831 = 
(int)(BgL_objzd2classzd2numz00_1827); 
{ /* ./Effect/effect.scm 95 */
long BgL_offsetz00_1832;
{ /* ./Effect/effect.scm 95 */
long BgL_auxz00_1967;
BgL_auxz00_1967 = 
(long)(BgL_offsetz00_1831); 
BgL_offsetz00_1832 = 
(BgL_auxz00_1967-OBJECT_TYPE); } 
{ /* ./Effect/effect.scm 95 */
long BgL_modz00_1833;
{ /* ./Effect/effect.scm 95 */
int BgL_arg2000z00_1834;
BgL_arg2000z00_1834 = 
(int)(((long)8)); 
{ /* ./Effect/effect.scm 95 */
long BgL_n2z00_1842;
BgL_n2z00_1842 = 
(long)(BgL_arg2000z00_1834); 
BgL_modz00_1833 = 
(BgL_offsetz00_1832/BgL_n2z00_1842); } } 
{ /* ./Effect/effect.scm 95 */
long BgL_restz00_1835;
{ /* ./Effect/effect.scm 95 */
int BgL_arg1996z00_1836;
BgL_arg1996z00_1836 = 
(int)(((long)8)); 
{ /* ./Effect/effect.scm 95 */
long BgL_n2z00_1845;
BgL_n2z00_1845 = 
(long)(BgL_arg1996z00_1836); 
BgL_restz00_1835 = 
(BgL_offsetz00_1832%BgL_n2z00_1845); } } 
{ /* ./Effect/effect.scm 95 */

{ /* ./Effect/effect.scm 95 */
obj_t BgL_bucketz00_1837;
{ /* ./Effect/effect.scm 95 */
int BgL_kz00_1847;
BgL_kz00_1847 = 
(int)(BgL_modz00_1833); 
BgL_bucketz00_1837 = 
VECTOR_REF(BgL_arg1989z00_1828,BgL_kz00_1847); } 
{ /* ./Effect/effect.scm 95 */
int BgL_kz00_1849;
BgL_kz00_1849 = 
(int)(BgL_restz00_1835); 
BgL_method2658z00_1825 = 
VECTOR_REF(BgL_bucketz00_1837,BgL_kz00_1849); } } } } } } } } } } 
{ /* ./Effect/effect.scm 95 */
obj_t BgL_auxz00_1980;
BgL_auxz00_1980 = 
PROCEDURE_ENTRY(BgL_method2658z00_1825)(BgL_method2658z00_1825, 
(obj_t)(BgL_arg3154z00_1822), BEOA); 
BgL_res3170z00_1850 = 
CBOOL(BgL_auxz00_1980); } } 
BgL_auxz00_1959 = BgL_res3170z00_1850; } } 
return 
BBOOL(BgL_auxz00_1959);} } } 
}



/* side-effect?-funcall2678 */
obj_t BGl_sidezd2effectzf3zd2funcall2678zf3zzeffect_effectz00(obj_t BgL_envz00_1894, obj_t BgL_nodez00_1895)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 88 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1331;
{ /* ./Effect/effect.scm 89 */
bool_t BgL_auxz00_1987;
BgL_nodez00_1331 = 
(BgL_funcallz00_bglt)(BgL_nodez00_1895); 
BgL_auxz00_1987 = ((bool_t)1); 
return 
BBOOL(BgL_auxz00_1987);} } } 
}



/* side-effect?-app-ly2676 */
obj_t BGl_sidezd2effectzf3zd2appzd2ly2676z21zzeffect_effectz00(obj_t BgL_envz00_1896, obj_t BgL_nodez00_1897)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 82 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1326;
{ /* ./Effect/effect.scm 83 */
bool_t BgL_auxz00_1990;
BgL_nodez00_1326 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_1897); 
BgL_auxz00_1990 = ((bool_t)1); 
return 
BBOOL(BgL_auxz00_1990);} } } 
}



/* side-effect?-box-set!2674 */
obj_t BGl_sidezd2effectzf3zd2boxzd2setz122674z33zzeffect_effectz00(obj_t BgL_envz00_1898, obj_t BgL_nodez00_1899)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 76 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_1321;
{ /* ./Effect/effect.scm 77 */
bool_t BgL_auxz00_1993;
BgL_nodez00_1321 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_1899); 
BgL_auxz00_1993 = ((bool_t)1); 
return 
BBOOL(BgL_auxz00_1993);} } } 
}



/* side-effect?-jump-ex-it2672 */
obj_t BGl_sidezd2effectzf3zd2jumpzd2exzd2it2672zf3zzeffect_effectz00(obj_t BgL_envz00_1900, obj_t BgL_nodez00_1901)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 70 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1316;
{ /* ./Effect/effect.scm 71 */
bool_t BgL_auxz00_1996;
BgL_nodez00_1316 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_1901); 
BgL_auxz00_1996 = ((bool_t)1); 
return 
BBOOL(BgL_auxz00_1996);} } } 
}



/* side-effect?-set-ex-it2670 */
obj_t BGl_sidezd2effectzf3zd2setzd2exzd2it2670zf3zzeffect_effectz00(obj_t BgL_envz00_1902, obj_t BgL_nodez00_1903)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 64 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1311;
{ /* ./Effect/effect.scm 65 */
bool_t BgL_auxz00_1999;
BgL_nodez00_1311 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_1903); 
BgL_auxz00_1999 = ((bool_t)1); 
return 
BBOOL(BgL_auxz00_1999);} } } 
}



/* side-effect?-fail2668 */
obj_t BGl_sidezd2effectzf3zd2fail2668zf3zzeffect_effectz00(obj_t BgL_envz00_1904, obj_t BgL_nodez00_1905)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 58 */
{ 
BgL_failz00_bglt BgL_nodez00_1306;
{ /* ./Effect/effect.scm 59 */
bool_t BgL_auxz00_2002;
BgL_nodez00_1306 = 
(BgL_failz00_bglt)(BgL_nodez00_1905); 
BgL_auxz00_2002 = ((bool_t)1); 
return 
BBOOL(BgL_auxz00_2002);} } } 
}



/* side-effect?-setq2666 */
obj_t BGl_sidezd2effectzf3zd2setq2666zf3zzeffect_effectz00(obj_t BgL_envz00_1906, obj_t BgL_nodez00_1907)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 52 */
{ 
BgL_setqz00_bglt BgL_nodez00_1301;
{ /* ./Effect/effect.scm 53 */
bool_t BgL_auxz00_2005;
BgL_nodez00_1301 = 
(BgL_setqz00_bglt)(BgL_nodez00_1907); 
BgL_auxz00_2005 = ((bool_t)1); 
return 
BBOOL(BgL_auxz00_2005);} } } 
}



/* side-effect?-node/effect2664 */
obj_t BGl_sidezd2effectzf3zd2nodezf2effect2664z01zzeffect_effectz00(obj_t BgL_envz00_1908, obj_t BgL_nodez00_1909)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 43 */
{ 
BgL_nodezf2effectzf2_bglt BgL_nodez00_1294;
BgL_nodez00_1294 = 
(BgL_nodezf2effectzf2_bglt)(BgL_nodez00_1909); 
{ /* ./Effect/effect.scm 44 */
obj_t BgL_effectz00_1297;
BgL_effectz00_1297 = 
(((BgL_nodezf2effectzf2_bglt)CREF(BgL_nodez00_1294))->BgL_sidezd2effectzf3z21); 
if(
BOOLEANP(BgL_effectz00_1297))
{ /* ./Effect/effect.scm 45 */
return BgL_effectz00_1297;}  else 
{ /* ./Effect/effect.scm 45 */
return BTRUE;} } } } 
}



/* side-effect?-var2662 */
obj_t BGl_sidezd2effectzf3zd2var2662zf3zzeffect_effectz00(obj_t BgL_envz00_1910, obj_t BgL_nodez00_1911)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 37 */
{ 
BgL_varz00_bglt BgL_nodez00_1285;
{ /* ./Effect/effect.scm 38 */
bool_t BgL_auxz00_2012;
BgL_nodez00_1285 = 
(BgL_varz00_bglt)(BgL_nodez00_1911); 
{ /* ./Effect/effect.scm 38 */
bool_t BgL_testz00_2013;
{ /* ./Effect/effect.scm 38 */
obj_t BgL_auxz00_2017;obj_t BgL_auxz00_2014;
BgL_auxz00_2017 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./Effect/effect.scm 38 */
BgL_variablez00_bglt BgL_arg3093z00_1291;
BgL_arg3093z00_1291 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1285))->BgL_variablez00); 
BgL_auxz00_2014 = 
(((BgL_variablez00_bglt)CREF(BgL_arg3093z00_1291))->BgL_accessz00); } 
BgL_testz00_2013 = 
(BgL_auxz00_2014==BgL_auxz00_2017); } 
if(BgL_testz00_2013)
{ /* ./Effect/effect.scm 38 */
BgL_auxz00_2012 = ((bool_t)0)
; }  else 
{ /* ./Effect/effect.scm 38 */
BgL_auxz00_2012 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_auxz00_2012);} } } 
}



/* side-effect?-node2660 */
obj_t BGl_sidezd2effectzf3zd2node2660zf3zzeffect_effectz00(obj_t BgL_envz00_1912, obj_t BgL_nodez00_1913)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 31 */
{ 
BgL_nodez00_bglt BgL_nodez00_1280;
{ /* ./Effect/effect.scm 32 */
bool_t BgL_auxz00_2022;
BgL_nodez00_1280 = 
(BgL_nodez00_bglt)(BgL_nodez00_1913); 
BgL_auxz00_2022 = ((bool_t)0); 
return 
BBOOL(BgL_auxz00_2022);} } } 
}



/* side-effect? */
BGL_EXPORTED_DEF bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt BgL_nodez00_1)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 26 */
{ /* ./Effect/effect.scm 26 */
obj_t BgL_method2658z00_1851;
{ /* ./Effect/effect.scm 26 */
BgL_objectz00_bglt BgL_objz00_1852;
BgL_objz00_1852 = 
(BgL_objectz00_bglt)(BgL_nodez00_1); 
{ /* ./Effect/effect.scm 26 */
long BgL_objzd2classzd2numz00_1853;
BgL_objzd2classzd2numz00_1853 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_1852); 
{ /* ./Effect/effect.scm 26 */
obj_t BgL_arg1989z00_1854;
{ /* ./Effect/effect.scm 26 */
int BgL_auxz00_2027;
BgL_auxz00_2027 = 
(int)(((long)1)); 
BgL_arg1989z00_1854 = 
PROCEDURE_REF(BGl_sidezd2effectzf3zd2envzf3zzeffect_effectz00, BgL_auxz00_2027); } 
{ /* ./Effect/effect.scm 26 */
int BgL_offsetz00_1857;
BgL_offsetz00_1857 = 
(int)(BgL_objzd2classzd2numz00_1853); 
{ /* ./Effect/effect.scm 26 */
long BgL_offsetz00_1858;
{ /* ./Effect/effect.scm 26 */
long BgL_auxz00_2031;
BgL_auxz00_2031 = 
(long)(BgL_offsetz00_1857); 
BgL_offsetz00_1858 = 
(BgL_auxz00_2031-OBJECT_TYPE); } 
{ /* ./Effect/effect.scm 26 */
long BgL_modz00_1859;
{ /* ./Effect/effect.scm 26 */
int BgL_arg2000z00_1860;
BgL_arg2000z00_1860 = 
(int)(((long)8)); 
{ /* ./Effect/effect.scm 26 */
long BgL_n2z00_1868;
BgL_n2z00_1868 = 
(long)(BgL_arg2000z00_1860); 
BgL_modz00_1859 = 
(BgL_offsetz00_1858/BgL_n2z00_1868); } } 
{ /* ./Effect/effect.scm 26 */
long BgL_restz00_1861;
{ /* ./Effect/effect.scm 26 */
int BgL_arg1996z00_1862;
BgL_arg1996z00_1862 = 
(int)(((long)8)); 
{ /* ./Effect/effect.scm 26 */
long BgL_n2z00_1871;
BgL_n2z00_1871 = 
(long)(BgL_arg1996z00_1862); 
BgL_restz00_1861 = 
(BgL_offsetz00_1858%BgL_n2z00_1871); } } 
{ /* ./Effect/effect.scm 26 */

{ /* ./Effect/effect.scm 26 */
obj_t BgL_bucketz00_1863;
{ /* ./Effect/effect.scm 26 */
int BgL_kz00_1873;
BgL_kz00_1873 = 
(int)(BgL_modz00_1859); 
BgL_bucketz00_1863 = 
VECTOR_REF(BgL_arg1989z00_1854,BgL_kz00_1873); } 
{ /* ./Effect/effect.scm 26 */
int BgL_kz00_1875;
BgL_kz00_1875 = 
(int)(BgL_restz00_1861); 
BgL_method2658z00_1851 = 
VECTOR_REF(BgL_bucketz00_1863,BgL_kz00_1875); } } } } } } } } } } 
{ /* ./Effect/effect.scm 26 */
obj_t BgL_auxz00_2044;
BgL_auxz00_2044 = 
PROCEDURE_ENTRY(BgL_method2658z00_1851)(BgL_method2658z00_1851, 
(obj_t)(BgL_nodez00_1), BEOA); 
return 
CBOOL(BgL_auxz00_2044);} } } 
}



/* _side-effect? */
obj_t BGl__sidezd2effectzf3z21zzeffect_effectz00(obj_t BgL_envz00_1880, obj_t BgL_nodez00_1881)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 26 */
{ /* ./Effect/effect.scm 26 */
bool_t BgL_auxz00_2049;
BgL_auxz00_2049 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(
(BgL_nodez00_bglt)(BgL_nodez00_1881)); 
return 
BBOOL(BgL_auxz00_2049);} } 
}



/* side-effect?-default2657 */
obj_t BGl_sidezd2effectzf3zd2default2657zf3zzeffect_effectz00(BgL_nodez00_bglt BgL_nodez00_2)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 19 */
{ /* ./Effect/effect.scm 19 */
obj_t BgL_procz00_1876;obj_t BgL_objectz00_1878;
BgL_procz00_1876 = 
CNST_TABLE_REF(((long)1)); 
BgL_objectz00_1878 = 
(obj_t)(BgL_nodez00_2); 
FAILURE(BgL_procz00_1876,BGl_string3259z00zzeffect_effectz00,BgL_objectz00_1878);} } 
}



/* _side-effect?-default2657 */
obj_t BGl__sidezd2effectzf3zd2default2657zf3zzeffect_effectz00(obj_t BgL_envz00_1914, obj_t BgL_nodez00_1915)
{ AN_OBJECT;
{ /* ./Effect/effect.scm 19 */
return 
BGl_sidezd2effectzf3zd2default2657zf3zzeffect_effectz00(
(BgL_nodez00_bglt)(BgL_nodez00_1915));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzeffect_effectz00()
{ AN_OBJECT;
{ /* ./Effect/effect.scm 19 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "effect_effect"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "effect_effect"); 
return 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "effect_effect");} 
}

