/*===========================================================================*/
/*   (Foreign/jtype.scm)                                                     */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Foreign/jtype.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_caliasz00_bgl {
   bool_t BgL_arrayzf3zf3;
} *BgL_caliasz00_bglt;

typedef struct BgL_cenumz00_bgl {
   struct BgL_typez00_bgl * BgL_btypez00;
   obj_t BgL_literalsz00;
} *BgL_cenumz00_bglt;

typedef struct BgL_copaquez00_bgl {
   struct BgL_typez00_bgl * BgL_btypez00;
} *BgL_copaquez00_bglt;

typedef struct BgL_cfunctionz00_bgl {
   struct BgL_typez00_bgl * BgL_btypez00;
   long BgL_arityz00;
   struct BgL_typez00_bgl * BgL_typezd2reszd2;
   obj_t BgL_typezd2argszd2;
} *BgL_cfunctionz00_bglt;

typedef struct BgL_cptrz00_bgl {
   struct BgL_typez00_bgl * BgL_btypez00;
   struct BgL_typez00_bgl * BgL_pointzd2tozd2;
   bool_t BgL_arrayzf3zf3;
} *BgL_cptrz00_bglt;

typedef struct BgL_cstructz00_bgl {
   bool_t BgL_structzf3zf3;
   obj_t BgL_fieldsz00;
   obj_t BgL_cstructza2za2;
} *BgL_cstructz00_bglt;

typedef struct BgL_cstructza2za2_bgl {
   struct BgL_typez00_bgl * BgL_btypez00;
   struct BgL_cstructz00_bgl * BgL_cstructz00;
} *BgL_cstructza2za2_bglt;

typedef struct BgL_jarrayz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_jarrayz00_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzforeign_jtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzforeign_ctypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzforeign_accessz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzforeign_libraryz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
static obj_t BGl_methodzd2initzd2zzforeign_jtypez00();
BGL_EXPORTED_DECL BgL_jarrayz00_bglt BGl_fillzd2jarrayz12zc0zzforeign_jtypez00(BgL_jarrayz00_bglt, BgL_typez00_bglt);
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL BgL_jarrayz00_bglt BGl_makezd2jarrayzd2zzforeign_jtypez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl__wideningzd2jarrayzd2zzforeign_jtypez00(obj_t, obj_t);
BGL_IMPORT BgL_objectz00_bglt BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
BGL_EXPORTED_DECL BgL_typez00_bglt BGl_allocatezd2jarrayzd2zzforeign_jtypez00();
BGL_EXPORTED_DEF obj_t BGl_jarrayz00zzforeign_jtypez00 = BUNSPEC;
static obj_t BGl__makezd2jarray2479zd2zzforeign_jtypez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
extern BgL_typez00_bglt BGl_declarezd2subtypez12zc0zztype_envz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_jarrayz00_bglt BGl_wideningzd2jarrayzd2zzforeign_jtypez00(BgL_typez00_bglt);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
extern obj_t BGl_typez00zztype_typez00;
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, obj_t, bool_t, obj_t);
static obj_t BGl__declarezd2jvmzd2typez122477z12zzforeign_jtypez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl__fillzd2jarrayz122486zc0zzforeign_jtypez00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzforeign_jtypez00();
static obj_t BGl__jarrayzf3zf3zzforeign_jtypez00(obj_t, obj_t);
BGL_EXPORTED_DECL BgL_typez00_bglt BGl_declarezd2jvmzd2typez12z12zzforeign_jtypez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_jarrayzf3zf3zzforeign_jtypez00(obj_t);
static obj_t BGl_makezd2ctypezd2accessesz12zd2jarray1712zc0zzforeign_jtypez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2jarray1716z51zzforeign_jtypez00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzforeign_jtypez00();
extern obj_t BGl_registerzd2foreignzd2accesszd2identsz12zc0zzforeign_libraryz00(obj_t);
static obj_t BGl_objectzd2initzd2zzforeign_jtypez00();
static obj_t BGl__jarrayzd2itemzd2type2482z00zzforeign_jtypez00(obj_t, obj_t);
extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzforeign_jtypez00 = BUNSPEC;
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static BgL_typez00_bglt BGl_jarrayzd2itemzd2typez00zzforeign_jtypez00(BgL_jarrayz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzforeign_jtypez00();
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
extern obj_t BGl_makezd2typedzd2formalz00zzast_identz00(obj_t);
static obj_t BGl__allocatezd2jarrayzd2zzforeign_jtypez00(obj_t);
extern BgL_typez00_bglt BGl_declarezd2czd2aliasz12z12zzforeign_ctypez00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzforeign_jtypez00();
static obj_t BGl_objectzd2ze3structzd2jarray1714ze3zzforeign_jtypez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t __cnst[ 32 ] ;


DEFINE_STATIC_PROCEDURE( BGl_proc2572z00zzforeign_jtypez00, BgL_bgl_makeza7d2ctypeza7d2accessesza712za7d2jarray1712za7c0za7za7foreign_jtypeza7002604z00, BGl_makezd2ctypezd2accessesz12zd2jarray1712zc0zzforeign_jtypez00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc2573z00zzforeign_jtypez00, BgL_bgl_objectza7d2za7e3structza7d2jarray1714za7e3za7za7foreign_jtypeza7002605za7, BGl_objectzd2ze3structzd2jarray1714ze3zzforeign_jtypez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2574z00zzforeign_jtypez00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2jarray1716za751za7za7foreign_jtypeza7002606z00, BGl_structzb2objectzd2ze3objectzd2jarray1716z51zzforeign_jtypez00, 0L, 2 );
extern obj_t BGl_makezd2ctypezd2accessesz12zd2envzc0zzforeign_accessz00;
BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
DEFINE_EXPORT_PROCEDURE( BGl_jarrayzf3zd2envz21zzforeign_jtypez00, BgL_bgl__jarrayza7f3za7f3za7za7foreign_jtypeza7002607za7, BGl__jarrayzf3zf3zzforeign_jtypez00, 0L, 1 );
DEFINE_STRING( BGl_string2576z00zzforeign_jtypez00, BgL_bgl_string2576za700za7za7foreign_jtypeza7002608z00, "::int ::obj inline static vset! vref offset offset::int valloc len len::int vlength isa o::obj object cast define-inline -set! -ref make- val int -length bool ? obj-> ->obj o item-type jarray bigloo (obj) ", 205 );
DEFINE_STRING( BGl_string2575z00zzforeign_jtypez00, BgL_bgl_string2575za700za7za7foreign_jtypeza7002609z00, "", 0 );
BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
DEFINE_EXPORT_PROCEDURE( BGl_declarezd2jvmzd2typez12zd2envzc0zzforeign_jtypez00, BgL_bgl__declareza7d2jvmza7d2typeza7122477za712za7za7foreign_jtypeza7002610za7, BGl__declarezd2jvmzd2typez122477z12zzforeign_jtypez00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2jarrayz12zd2envz12zzforeign_jtypez00, BgL_bgl__fillza7d2jarrayza7122486za7c0za7za7foreign_jtypeza7002611z00, BGl__fillzd2jarrayz122486zc0zzforeign_jtypez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_jarrayzd2itemzd2typezd2envzd2zzforeign_jtypez00, BgL_bgl__jarrayza7d2itemza7d2type2482za700za7za7foreign_jtypeza7002612z00, BGl__jarrayzd2itemzd2type2482z00zzforeign_jtypez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2jarrayzd2envz00zzforeign_jtypez00, BgL_bgl__allocateza7d2jarrayza7d2za7za7foreign_jtypeza7002613za7, BGl__allocatezd2jarrayzd2zzforeign_jtypez00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_wideningzd2jarrayzd2envz00zzforeign_jtypez00, BgL_bgl__wideningza7d2jarrayza7d2za7za7foreign_jtypeza7002614za7, BGl__wideningzd2jarrayzd2zzforeign_jtypez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2jarrayzd2envz00zzforeign_jtypez00, BgL_bgl__makeza7d2jarray2479za7d2za7za7foreign_jtypeza7002615za7, BGl__makezd2jarray2479zd2zzforeign_jtypez00, 0L, 15 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzforeign_jtypez00(long BgL_checksumz00_969, char * BgL_fromz00_970)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzforeign_jtypez00))
{ 
BGl_requirezd2initializa7ationz75zzforeign_jtypez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzforeign_jtypez00(); 
BGl_cnstzd2initzd2zzforeign_jtypez00(); 
BGl_importedzd2moduleszd2initz00zzforeign_jtypez00(); 
BGl_objectzd2initzd2zzforeign_jtypez00(); 
BGl_methodzd2initzd2zzforeign_jtypez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzforeign_jtypez00()
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 17 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "foreign_jtype"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "foreign_jtype"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "foreign_jtype"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzforeign_jtypez00()
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 17 */
{ /* ./Foreign/jtype.scm 17 */
obj_t BgL_cportz00_962;
BgL_cportz00_962 = 
open_input_string(BGl_string2576z00zzforeign_jtypez00); 
{ 
long BgL_iz00_963;
BgL_iz00_963 = ((long)31); 
BgL_loopz00_964:
{ /* ./Foreign/jtype.scm 17 */
bool_t BgL_test2578z00_965;
BgL_test2578z00_965 = 
(BgL_iz00_963==((long)-1)); 
if(BgL_test2578z00_965)
{ /* ./Foreign/jtype.scm 17 */
return BUNSPEC;}  else 
{ /* ./Foreign/jtype.scm 17 */
{ /* ./Foreign/jtype.scm 17 */
obj_t BgL_arg2580z00_966;
{ /* ./Foreign/jtype.scm 17 */
obj_t BgL_list2583z00_967;
BgL_list2583z00_967 = 
MAKE_PAIR(BgL_cportz00_962, BNIL); 
BgL_arg2580z00_966 = 
BGl_readz00zz__readerz00(BgL_list2583z00_967); } 
{ /* ./Foreign/jtype.scm 17 */
int BgL_auxz00_987;
BgL_auxz00_987 = 
(int)(BgL_iz00_963); 
CNST_TABLE_SET(BgL_auxz00_987, BgL_arg2580z00_966); } } 
{ /* ./Foreign/jtype.scm 17 */
int BgL_auxz00_968;
{ /* ./Foreign/jtype.scm 17 */
long BgL_auxz00_990;
BgL_auxz00_990 = 
(BgL_iz00_963-((long)1)); 
BgL_auxz00_968 = 
(int)(BgL_auxz00_990); } 
{ 
long BgL_iz00_993;
BgL_iz00_993 = 
(long)(BgL_auxz00_968); 
BgL_iz00_963 = BgL_iz00_993; 
goto BgL_loopz00_964;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzforeign_jtypez00()
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 17 */
return BUNSPEC;} 
}



/* declare-jvm-type! */
BGL_EXPORTED_DEF BgL_typez00_bglt BGl_declarezd2jvmzd2typez12z12zzforeign_jtypez00(obj_t BgL_idz00_1, obj_t BgL_ofz00_2, obj_t BgL_srcz00_3)
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 45 */
{ /* ./Foreign/jtype.scm 47 */
BgL_typez00_bglt BgL_pointedz00_294;
{ /* ./Foreign/jtype.scm 47 */
obj_t BgL_arg1737z00_303;
BgL_arg1737z00_303 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_3); 
BgL_pointedz00_294 = 
BGl_usezd2typez12zc0zztype_envz00(BgL_ofz00_2, BgL_arg1737z00_303); } 
{ /* ./Foreign/jtype.scm 47 */
obj_t BgL_pointerz00_295;
BgL_pointerz00_295 = 
(((BgL_typez00_bglt)CREF(BgL_pointedz00_294))->BgL_pointedzd2tozd2byz00); 
{ /* ./Foreign/jtype.scm 48 */
obj_t BgL_namez00_296;
BgL_namez00_296 = 
SYMBOL_TO_STRING(BgL_idz00_1); 
{ /* ./Foreign/jtype.scm 49 */

{ /* ./Foreign/jtype.scm 52 */
bool_t BgL_test1718z00_297;
BgL_test1718z00_297 = 
BGl_iszd2azf3z21zz__objectz00(BgL_pointerz00_295, BGl_typez00zztype_typez00); 
if(BgL_test1718z00_297)
{ /* ./Foreign/jtype.scm 52 */
return 
BGl_declarezd2czd2aliasz12z12zzforeign_ctypez00(BgL_idz00_1, BgL_ofz00_2, BgL_namez00_296);}  else 
{ /* ./Foreign/jtype.scm 52 */
{ /* ./Foreign/jtype.scm 56 */
BgL_typez00_bglt BgL_typez00_298;
BgL_typez00_298 = 
BGl_declarezd2subtypez12zc0zztype_envz00(BgL_idz00_1, BgL_namez00_296, 
CNST_TABLE_REF(((long)0)), 
CNST_TABLE_REF(((long)1))); 
{ /* ./Foreign/jtype.scm 56 */

{ /* ./Foreign/jtype.scm 58 */
obj_t BgL_val1032z00_650;
BgL_val1032z00_650 = 
(obj_t)(BgL_typez00_298); 
((((BgL_typez00_bglt)CREF(BgL_pointedz00_294))->BgL_pointedzd2tozd2byz00) = ((obj_t)BgL_val1032z00_650), BUNSPEC); } 
{ /* ./Foreign/jtype.scm 59 */
BgL_typez00_bglt BgL_obj1709z00_299;
BgL_obj1709z00_299 = 
((BgL_typez00_bglt)BgL_typez00_298); 
{ /* ./Foreign/jtype.scm 60 */
BgL_jarrayz00_bglt BgL_arg1722z00_300;
{ /* ./Foreign/jtype.scm 60 */
BgL_typez00_bglt BgL_arg1725z00_301;
BgL_arg1725z00_301 = BgL_pointedz00_294; 
{ /* ./Foreign/jtype.scm 59 */
BgL_jarrayz00_bglt BgL_res2456z00_657;
{ /* ./Foreign/jtype.scm 59 */
BgL_jarrayz00_bglt BgL_new1637z00_652;
BgL_new1637z00_652 = 
((BgL_jarrayz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_jarrayz00_bgl)))); 
{ /* ./Foreign/jtype.scm 59 */
BgL_jarrayz00_bglt BgL_res2455z00_656;
((((BgL_jarrayz00_bglt)CREF(BgL_new1637z00_652))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt)BgL_arg1725z00_301), BUNSPEC); 
BgL_res2455z00_656 = BgL_new1637z00_652; BgL_res2455z00_656; } 
BgL_res2456z00_657 = BgL_new1637z00_652; } 
BgL_arg1722z00_300 = BgL_res2456z00_657; } } 
{ /* ./Foreign/jtype.scm 59 */
obj_t BgL_auxz00_1012;BgL_objectz00_bglt BgL_auxz00_1010;
BgL_auxz00_1012 = 
(obj_t)(BgL_arg1722z00_300); 
BgL_auxz00_1010 = 
(BgL_objectz00_bglt)(BgL_obj1709z00_299); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1010, BgL_auxz00_1012); } } 
{ /* ./Foreign/jtype.scm 59 */
long BgL_arg1728z00_302;
BgL_arg1728z00_302 = 
BGl_classzd2numzd2zz__objectz00(BGl_jarrayz00zzforeign_jtypez00); 
{ /* ./Foreign/jtype.scm 59 */
BgL_objectz00_bglt BgL_objz00_658;
BgL_objz00_658 = 
(BgL_objectz00_bglt)(BgL_obj1709z00_299); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_658, BgL_arg1728z00_302); } } 
{ /* ./Foreign/jtype.scm 59 */
obj_t BgL_objz00_660;
BgL_objz00_660 = 
(obj_t)(BgL_obj1709z00_299); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_660); BUNSPEC; } BgL_obj1709z00_299; } 
return BgL_typez00_298;} } } } } } } } } 
}



/* _declare-jvm-type!2477 */
obj_t BGl__declarezd2jvmzd2typez122477z12zzforeign_jtypez00(obj_t BgL_envz00_911, obj_t BgL_idz00_912, obj_t BgL_ofz00_913, obj_t BgL_srcz00_914)
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 45 */
{ /* ./Foreign/jtype.scm 46 */
BgL_typez00_bglt BgL_auxz00_1020;
BgL_auxz00_1020 = 
BGl_declarezd2jvmzd2typez12z12zzforeign_jtypez00(BgL_idz00_912, BgL_ofz00_913, BgL_srcz00_914); 
return 
(obj_t)(BgL_auxz00_1020);} } 
}



/* object-init */
obj_t BGl_objectzd2initzd2zzforeign_jtypez00()
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 17 */
{ /* ./Foreign/jtype.scm 37 */
obj_t BgL_arg1743z00_304;obj_t BgL_arg1746z00_305;obj_t BgL_arg1752z00_309;obj_t BgL_arg1756z00_310;
BgL_arg1743z00_304 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg1746z00_305 = BGl_typez00zztype_typez00; 
{ /* ./Foreign/jtype.scm 37 */
obj_t BgL_arg1759z00_311;
BgL_arg1759z00_311 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_jarrayzd2itemzd2typezd2envzd2zzforeign_jtypez00, BUNSPEC, BUNSPEC, ((bool_t)0), BFALSE); 
{ /* ./Foreign/jtype.scm 37 */
obj_t BgL_list1761z00_312;
BgL_list1761z00_312 = 
MAKE_PAIR(BgL_arg1759z00_311, BNIL); 
BgL_arg1752z00_309 = BgL_list1761z00_312; } } 
{ /* ./Foreign/jtype.scm 37 */
obj_t BgL_v1710z00_313;
{ 
int BgL_auxz00_1027;
BgL_auxz00_1027 = 
(int)(((long)0)); 
BgL_v1710z00_313 = 
create_vector(BgL_auxz00_1027); } 
BgL_arg1756z00_310 = BgL_v1710z00_313; } 
BGl_jarrayz00zzforeign_jtypez00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg1743z00_304, BgL_arg1746z00_305, BGl_makezd2jarrayzd2envz00zzforeign_jtypez00, BGl_allocatezd2jarrayzd2envz00zzforeign_jtypez00, ((long)5261), BgL_arg1752z00_309, BFALSE, BgL_arg1756z00_310); } 
return BUNSPEC;} 
}



/* jarray? */
BGL_EXPORTED_DEF bool_t BGl_jarrayzf3zf3zzforeign_jtypez00(obj_t BgL_obj1667z00_7)
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 37 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1667z00_7, BGl_jarrayz00zzforeign_jtypez00);} 
}



/* _jarray? */
obj_t BGl__jarrayzf3zf3zzforeign_jtypez00(obj_t BgL_envz00_934, obj_t BgL_obj1667z00_935)
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 37 */
{ /* ./Foreign/jtype.scm 37 */
bool_t BgL_auxz00_1032;
BgL_auxz00_1032 = 
BGl_jarrayzf3zf3zzforeign_jtypez00(BgL_obj1667z00_935); 
return 
BBOOL(BgL_auxz00_1032);} } 
}



/* widening-jarray */
BGL_EXPORTED_DEF BgL_jarrayz00_bglt BGl_wideningzd2jarrayzd2zzforeign_jtypez00(BgL_typez00_bglt BgL_itemzd2type1636zd2_11)
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 37 */
{ /* ./Foreign/jtype.scm 37 */
BgL_jarrayz00_bglt BgL_new1637z00_663;
BgL_new1637z00_663 = 
((BgL_jarrayz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_jarrayz00_bgl)))); 
{ /* ./Foreign/jtype.scm 37 */
BgL_jarrayz00_bglt BgL_res2458z00_667;
((((BgL_jarrayz00_bglt)CREF(BgL_new1637z00_663))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt)BgL_itemzd2type1636zd2_11), BUNSPEC); 
BgL_res2458z00_667 = BgL_new1637z00_663; BgL_res2458z00_667; } 
return BgL_new1637z00_663;} } 
}



/* _widening-jarray */
obj_t BGl__wideningzd2jarrayzd2zzforeign_jtypez00(obj_t BgL_envz00_936, obj_t BgL_itemzd2type1636zd2_937)
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 37 */
{ /* ./Foreign/jtype.scm 37 */
BgL_jarrayz00_bglt BgL_auxz00_1037;
BgL_auxz00_1037 = 
BGl_wideningzd2jarrayzd2zzforeign_jtypez00(
(BgL_typez00_bglt)(BgL_itemzd2type1636zd2_937)); 
return 
(obj_t)(BgL_auxz00_1037);} } 
}



/* fill-jarray! */
BGL_EXPORTED_DEF BgL_jarrayz00_bglt BGl_fillzd2jarrayz12zc0zzforeign_jtypez00(BgL_jarrayz00_bglt BgL_new1640z00_12, BgL_typez00_bglt BgL_itemzd2type1639zd2_13)
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 37 */
((((BgL_jarrayz00_bglt)CREF(BgL_new1640z00_12))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt)BgL_itemzd2type1639zd2_13), BUNSPEC); 
return BgL_new1640z00_12;} 
}



/* _fill-jarray!2486 */
obj_t BGl__fillzd2jarrayz122486zc0zzforeign_jtypez00(obj_t BgL_envz00_938, obj_t BgL_new1640z00_939, obj_t BgL_itemzd2type1639zd2_940)
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 37 */
{ /* ./Foreign/jtype.scm 37 */
BgL_jarrayz00_bglt BgL_auxz00_1042;
BgL_auxz00_1042 = 
BGl_fillzd2jarrayz12zc0zzforeign_jtypez00(
(BgL_jarrayz00_bglt)(BgL_new1640z00_939), 
(BgL_typez00_bglt)(BgL_itemzd2type1639zd2_940)); 
return 
(obj_t)(BgL_auxz00_1042);} } 
}



/* make-jarray */
BGL_EXPORTED_DEF BgL_jarrayz00_bglt BGl_makezd2jarrayzd2zzforeign_jtypez00(obj_t BgL_id1644z00_14, obj_t BgL_name1645z00_15, obj_t BgL_siza7e1646za7_16, obj_t BgL_class1647z00_17, obj_t BgL_coercezd2to1648zd2_18, obj_t BgL_parents1649z00_19, bool_t BgL_initzf31650zf3_20, bool_t BgL_magiczf31651zf3_21, obj_t BgL_z421652z42_22, obj_t BgL_alias1653z00_23, obj_t BgL_pointedzd2tozd2by1654z00_24, obj_t BgL_tvector1655z00_25, obj_t BgL_location1656z00_26, obj_t BgL_importzd2location1657zd2_27, BgL_typez00_bglt BgL_itemzd2type1643zd2_28)
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 37 */
{ /* ./Foreign/jtype.scm 37 */
BgL_typez00_bglt BgL_aux1658z00_669;
{ /* ./Foreign/jtype.scm 37 */
BgL_typez00_bglt BgL_res2461z00_724;
{ /* ./Foreign/jtype.scm 37 */
BgL_typez00_bglt BgL_new1087z00_687;
{ /* ./Foreign/jtype.scm 37 */
BgL_typez00_bglt BgL_res2459z00_693;
{ /* ./Foreign/jtype.scm 37 */
BgL_typez00_bglt BgL_new1089z00_688;
BgL_new1089z00_688 = 
((BgL_typez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_typez00_bgl) ))); 
{ /* ./Foreign/jtype.scm 37 */
long BgL_arg1946z00_689;
BgL_arg1946z00_689 = 
BGl_classzd2numzd2zz__objectz00(BGl_typez00zztype_typez00); 
{ /* ./Foreign/jtype.scm 37 */
BgL_objectz00_bglt BgL_objz00_690;
BgL_objz00_690 = 
(BgL_objectz00_bglt)(BgL_new1089z00_688); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_690, BgL_arg1946z00_689); } } 
{ /* ./Foreign/jtype.scm 37 */
BgL_objectz00_bglt BgL_auxz00_1051;
BgL_auxz00_1051 = 
(BgL_objectz00_bglt)(BgL_new1089z00_688); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1051, BFALSE); } 
{ /* ./Foreign/jtype.scm 37 */
obj_t BgL_objz00_692;
BgL_objz00_692 = 
(obj_t)(BgL_new1089z00_688); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_692); BUNSPEC; } 
BgL_res2459z00_693 = BgL_new1089z00_688; } 
BgL_new1087z00_687 = BgL_res2459z00_693; } 
{ /* ./Foreign/jtype.scm 37 */
BgL_typez00_bglt BgL_res2460z00_723;
((((BgL_typez00_bglt)CREF(BgL_new1087z00_687))->BgL_idz00) = ((obj_t)BgL_id1644z00_14), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1087z00_687))->BgL_namez00) = ((obj_t)BgL_name1645z00_15), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1087z00_687))->BgL_siza7eza7) = ((obj_t)BgL_siza7e1646za7_16), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1087z00_687))->BgL_classz00) = ((obj_t)BgL_class1647z00_17), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1087z00_687))->BgL_coercezd2tozd2) = ((obj_t)BgL_coercezd2to1648zd2_18), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1087z00_687))->BgL_parentsz00) = ((obj_t)BgL_parents1649z00_19), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1087z00_687))->BgL_initzf3zf3) = ((bool_t)BgL_initzf31650zf3_20), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1087z00_687))->BgL_magiczf3zf3) = ((bool_t)BgL_magiczf31651zf3_21), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1087z00_687))->BgL_z42z42) = ((obj_t)BgL_z421652z42_22), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1087z00_687))->BgL_aliasz00) = ((obj_t)BgL_alias1653z00_23), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1087z00_687))->BgL_pointedzd2tozd2byz00) = ((obj_t)BgL_pointedzd2tozd2by1654z00_24), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1087z00_687))->BgL_tvectorz00) = ((obj_t)BgL_tvector1655z00_25), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1087z00_687))->BgL_locationz00) = ((obj_t)BgL_location1656z00_26), BUNSPEC); 
((((BgL_typez00_bglt)CREF(BgL_new1087z00_687))->BgL_importzd2locationzd2) = ((obj_t)BgL_importzd2location1657zd2_27), BUNSPEC); 
BgL_res2460z00_723 = BgL_new1087z00_687; BgL_res2460z00_723; } 
BgL_res2461z00_724 = BgL_new1087z00_687; } 
BgL_aux1658z00_669 = BgL_res2461z00_724; } 
{ /* ./Foreign/jtype.scm 37 */
long BgL_arg1768z00_670;
BgL_arg1768z00_670 = 
BGl_classzd2numzd2zz__objectz00(BGl_jarrayz00zzforeign_jtypez00); 
{ /* ./Foreign/jtype.scm 37 */
BgL_objectz00_bglt BgL_objz00_725;
BgL_objz00_725 = 
(BgL_objectz00_bglt)(BgL_aux1658z00_669); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_725, BgL_arg1768z00_670); } } 
{ /* ./Foreign/jtype.scm 37 */
BgL_jarrayz00_bglt BgL_arg1772z00_671;
{ /* ./Foreign/jtype.scm 37 */
BgL_jarrayz00_bglt BgL_res2463z00_733;
{ /* ./Foreign/jtype.scm 37 */
BgL_jarrayz00_bglt BgL_new1637z00_728;
BgL_new1637z00_728 = 
((BgL_jarrayz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_jarrayz00_bgl)))); 
{ /* ./Foreign/jtype.scm 37 */
BgL_jarrayz00_bglt BgL_res2462z00_732;
((((BgL_jarrayz00_bglt)CREF(BgL_new1637z00_728))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt)BgL_itemzd2type1643zd2_28), BUNSPEC); 
BgL_res2462z00_732 = BgL_new1637z00_728; BgL_res2462z00_732; } 
BgL_res2463z00_733 = BgL_new1637z00_728; } 
BgL_arg1772z00_671 = BgL_res2463z00_733; } 
{ /* ./Foreign/jtype.scm 37 */
obj_t BgL_auxz00_1077;BgL_objectz00_bglt BgL_auxz00_1075;
BgL_auxz00_1077 = 
(obj_t)(BgL_arg1772z00_671); 
BgL_auxz00_1075 = 
(BgL_objectz00_bglt)(BgL_aux1658z00_669); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1075, BgL_auxz00_1077); } } 
{ /* ./Foreign/jtype.scm 37 */
BgL_jarrayz00_bglt BgL_new1659z00_672;
{ 
BgL_jarrayz00_bglt BgL_auxz00_1080;
BgL_auxz00_1080 = 
(BgL_jarrayz00_bglt)(BgL_aux1658z00_669); 
BgL_new1659z00_672 = 
((BgL_jarrayz00_bglt)BgL_auxz00_1080); } 
{ /* ./Foreign/jtype.scm 37 */
obj_t BgL_objz00_734;
BgL_objz00_734 = 
(obj_t)(BgL_new1659z00_672); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_734); BUNSPEC; } 
return BgL_new1659z00_672;} } } 
}



/* _make-jarray2479 */
obj_t BGl__makezd2jarray2479zd2zzforeign_jtypez00(obj_t BgL_envz00_915, obj_t BgL_id1644z00_916, obj_t BgL_name1645z00_917, obj_t BgL_siza7e1646za7_918, obj_t BgL_class1647z00_919, obj_t BgL_coercezd2to1648zd2_920, obj_t BgL_parents1649z00_921, obj_t BgL_initzf31650zf3_922, obj_t BgL_magiczf31651zf3_923, obj_t BgL_z421652z42_924, obj_t BgL_alias1653z00_925, obj_t BgL_pointedzd2tozd2by1654z00_926, obj_t BgL_tvector1655z00_927, obj_t BgL_location1656z00_928, obj_t BgL_importzd2location1657zd2_929, obj_t BgL_itemzd2type1643zd2_930)
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 37 */
{ /* ./Foreign/jtype.scm 37 */
BgL_jarrayz00_bglt BgL_auxz00_1085;
BgL_auxz00_1085 = 
BGl_makezd2jarrayzd2zzforeign_jtypez00(BgL_id1644z00_916, BgL_name1645z00_917, BgL_siza7e1646za7_918, BgL_class1647z00_919, BgL_coercezd2to1648zd2_920, BgL_parents1649z00_921, 
CBOOL(BgL_initzf31650zf3_922), 
CBOOL(BgL_magiczf31651zf3_923), BgL_z421652z42_924, BgL_alias1653z00_925, BgL_pointedzd2tozd2by1654z00_926, BgL_tvector1655z00_927, BgL_location1656z00_928, BgL_importzd2location1657zd2_929, 
(BgL_typez00_bglt)(BgL_itemzd2type1643zd2_930)); 
return 
(obj_t)(BgL_auxz00_1085);} } 
}



/* allocate-jarray */
BGL_EXPORTED_DEF BgL_typez00_bglt BGl_allocatezd2jarrayzd2zzforeign_jtypez00()
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 37 */
{ /* ./Foreign/jtype.scm 37 */
BgL_typez00_bglt BgL_new1660z00_735;
BgL_new1660z00_735 = 
((BgL_typez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_typez00_bgl) ))); 
{ /* ./Foreign/jtype.scm 37 */
long BgL_arg1778z00_736;
BgL_arg1778z00_736 = 
BGl_classzd2numzd2zz__objectz00(BGl_jarrayz00zzforeign_jtypez00); 
{ /* ./Foreign/jtype.scm 37 */
BgL_objectz00_bglt BgL_objz00_737;
BgL_objz00_737 = 
(BgL_objectz00_bglt)(BgL_new1660z00_735); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_737, BgL_arg1778z00_736); } } 
{ /* ./Foreign/jtype.scm 37 */
BgL_objectz00_bglt BgL_auxz00_1095;
BgL_auxz00_1095 = 
(BgL_objectz00_bglt)(BgL_new1660z00_735); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1095, BFALSE); } 
{ /* ./Foreign/jtype.scm 37 */
obj_t BgL_objz00_739;
BgL_objz00_739 = 
(obj_t)(BgL_new1660z00_735); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_739); BUNSPEC; } 
return BgL_new1660z00_735;} } 
}



/* _allocate-jarray */
obj_t BGl__allocatezd2jarrayzd2zzforeign_jtypez00(obj_t BgL_envz00_931)
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 37 */
{ /* ./Foreign/jtype.scm 37 */
BgL_typez00_bglt BgL_auxz00_1100;
BgL_auxz00_1100 = 
BGl_allocatezd2jarrayzd2zzforeign_jtypez00(); 
return 
(obj_t)(BgL_auxz00_1100);} } 
}



/* jarray-item-type */
BgL_typez00_bglt BGl_jarrayzd2itemzd2typez00zzforeign_jtypez00(BgL_jarrayz00_bglt BgL_obj1668z00_29)
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 38 */
{ 
obj_t BgL_auxz00_1103;
{ /* ./Foreign/jtype.scm 38 */
BgL_objectz00_bglt BgL_auxz00_1104;
BgL_auxz00_1104 = 
(BgL_objectz00_bglt)(BgL_obj1668z00_29); 
BgL_auxz00_1103 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1104); } 
return 
(((BgL_jarrayz00_bglt)CREF(BgL_auxz00_1103))->BgL_itemzd2typezd2);} } 
}



/* _jarray-item-type2482 */
obj_t BGl__jarrayzd2itemzd2type2482z00zzforeign_jtypez00(obj_t BgL_envz00_932, obj_t BgL_obj1668z00_933)
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 38 */
{ /* ./Foreign/jtype.scm 38 */
BgL_typez00_bglt BgL_auxz00_1108;
BgL_auxz00_1108 = 
BGl_jarrayzd2itemzd2typez00zzforeign_jtypez00(
(BgL_jarrayz00_bglt)(BgL_obj1668z00_933)); 
return 
(obj_t)(BgL_auxz00_1108);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzforeign_jtypez00()
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 17 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_makezd2ctypezd2accessesz12zd2envzc0zzforeign_accessz00, BGl_jarrayz00zzforeign_jtypez00, BGl_proc2572z00zzforeign_jtypez00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_jarrayz00zzforeign_jtypez00, BGl_proc2573z00zzforeign_jtypez00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_jarrayz00zzforeign_jtypez00, BGl_proc2574z00zzforeign_jtypez00);} 
}



/* struct+object->object-jarray1716 */
obj_t BGl_structzb2objectzd2ze3objectzd2jarray1716z51zzforeign_jtypez00(obj_t BgL_envz00_949, obj_t BgL_oz00_950, obj_t BgL_sz00_951)
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 37 */
{ 
BgL_jarrayz00_bglt BgL_oz00_634;obj_t BgL_sz00_635;
{ /* ./Foreign/jtype.scm 37 */
BgL_jarrayz00_bglt BgL_auxz00_1115;
BgL_oz00_634 = 
(BgL_jarrayz00_bglt)(BgL_oz00_950); 
BgL_sz00_635 = BgL_sz00_951; 
{ 

{ /* ./Foreign/jtype.scm 37 */
obj_t BgL_old1664z00_638;obj_t BgL_aux1665z00_639;
{ /* ./Foreign/jtype.scm 37 */
obj_t BgL_nextzd2method1715zd2_644;
BgL_nextzd2method1715zd2_644 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_634), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_jarrayz00zzforeign_jtypez00); 
{ /* ./Foreign/jtype.scm 37 */
bool_t BgL_test2434z00_645;
BgL_test2434z00_645 = 
PROCEDUREP(BgL_nextzd2method1715zd2_644); 
if(BgL_test2434z00_645)
{ /* ./Foreign/jtype.scm 37 */
BgL_old1664z00_638 = 
PROCEDURE_ENTRY(BgL_nextzd2method1715zd2_644)(BgL_nextzd2method1715zd2_644, 
(obj_t)(BgL_oz00_634), BgL_sz00_635, BEOA); }  else 
{ /* ./Foreign/jtype.scm 37 */
{ /* ./Foreign/jtype.scm 37 */
BgL_objectz00_bglt BgL_auxz00_1123;
BgL_auxz00_1123 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_634), BgL_sz00_635); 
BgL_old1664z00_638 = 
(obj_t)(BgL_auxz00_1123); } } } } 
{ /* ./Foreign/jtype.scm 37 */
int BgL_auxz00_1127;
BgL_auxz00_1127 = 
(int)(((long)0)); 
BgL_aux1665z00_639 = 
STRUCT_REF(BgL_sz00_635, BgL_auxz00_1127); } 
{ /* ./Foreign/jtype.scm 37 */
BgL_jarrayz00_bglt BgL_new1666z00_640;
BgL_new1666z00_640 = 
((BgL_jarrayz00_bglt)(BgL_old1664z00_638)); 
{ /* ./Foreign/jtype.scm 37 */
long BgL_arg2420z00_641;
BgL_arg2420z00_641 = 
BGl_classzd2numzd2zz__objectz00(BGl_jarrayz00zzforeign_jtypez00); 
{ /* ./Foreign/jtype.scm 37 */
BgL_objectz00_bglt BgL_objz00_898;
BgL_objz00_898 = 
(BgL_objectz00_bglt)(BgL_new1666z00_640); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_898, BgL_arg2420z00_641); } } 
{ /* ./Foreign/jtype.scm 37 */
BgL_jarrayz00_bglt BgL_arg2425z00_642;
{ /* ./Foreign/jtype.scm 37 */
obj_t BgL_arg2428z00_643;
{ /* ./Foreign/jtype.scm 37 */
int BgL_auxz00_1134;
BgL_auxz00_1134 = 
(int)(((long)0)); 
BgL_arg2428z00_643 = 
STRUCT_REF(BgL_aux1665z00_639, BgL_auxz00_1134); } 
{ /* ./Foreign/jtype.scm 37 */
BgL_jarrayz00_bglt BgL_res2476z00_908;
{ /* ./Foreign/jtype.scm 37 */
BgL_typez00_bglt BgL_itemzd2type1636zd2_902;
BgL_itemzd2type1636zd2_902 = 
(BgL_typez00_bglt)(BgL_arg2428z00_643); 
{ /* ./Foreign/jtype.scm 37 */
BgL_jarrayz00_bglt BgL_new1637z00_903;
BgL_new1637z00_903 = 
((BgL_jarrayz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_jarrayz00_bgl)))); 
{ /* ./Foreign/jtype.scm 37 */
BgL_jarrayz00_bglt BgL_res2475z00_907;
((((BgL_jarrayz00_bglt)CREF(BgL_new1637z00_903))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt)BgL_itemzd2type1636zd2_902), BUNSPEC); 
BgL_res2475z00_907 = BgL_new1637z00_903; BgL_res2475z00_907; } 
BgL_res2476z00_908 = BgL_new1637z00_903; } } 
BgL_arg2425z00_642 = BgL_res2476z00_908; } } 
{ /* ./Foreign/jtype.scm 37 */
obj_t BgL_auxz00_1142;BgL_objectz00_bglt BgL_auxz00_1140;
BgL_auxz00_1142 = 
(obj_t)(BgL_arg2425z00_642); 
BgL_auxz00_1140 = 
(BgL_objectz00_bglt)(BgL_new1666z00_640); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1140, BgL_auxz00_1142); } } 
{ /* ./Foreign/jtype.scm 37 */
obj_t BgL_objz00_909;
BgL_objz00_909 = 
(obj_t)(BgL_new1666z00_640); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_909); BUNSPEC; } 
BgL_auxz00_1115 = BgL_new1666z00_640; } } } 
return 
(obj_t)(BgL_auxz00_1115);} } } 
}



/* object->struct-jarray1714 */
obj_t BGl_objectzd2ze3structzd2jarray1714ze3zzforeign_jtypez00(obj_t BgL_envz00_952, obj_t BgL_obj1661z00_953)
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 37 */
{ 
BgL_jarrayz00_bglt BgL_obj1661z00_624;
BgL_obj1661z00_624 = 
(BgL_jarrayz00_bglt)(BgL_obj1661z00_953); 
{ 

{ /* ./Foreign/jtype.scm 37 */
obj_t BgL_res1662z00_627;
{ /* ./Foreign/jtype.scm 37 */
obj_t BgL_nextzd2method1713zd2_632;
BgL_nextzd2method1713zd2_632 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj1661z00_624), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_jarrayz00zzforeign_jtypez00); 
{ /* ./Foreign/jtype.scm 37 */
bool_t BgL_test2413z00_633;
BgL_test2413z00_633 = 
PROCEDUREP(BgL_nextzd2method1713zd2_632); 
if(BgL_test2413z00_633)
{ /* ./Foreign/jtype.scm 37 */
BgL_res1662z00_627 = 
PROCEDURE_ENTRY(BgL_nextzd2method1713zd2_632)(BgL_nextzd2method1713zd2_632, 
(obj_t)(BgL_obj1661z00_624), BEOA); }  else 
{ /* ./Foreign/jtype.scm 37 */
BgL_res1662z00_627 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj1661z00_624)); } } } 
{ /* ./Foreign/jtype.scm 37 */
obj_t BgL_aux1663z00_628;
{ /* ./Foreign/jtype.scm 37 */
obj_t BgL_keyz00_879;int BgL_lenz00_880;
BgL_keyz00_879 = 
CNST_TABLE_REF(((long)2)); 
BgL_lenz00_880 = 
(int)(((long)1)); 
BgL_aux1663z00_628 = 
make_struct(BgL_keyz00_879, BgL_lenz00_880, BUNSPEC); } 
{ /* ./Foreign/jtype.scm 37 */
BgL_typez00_bglt BgL_arg2402z00_630;
{ 
obj_t BgL_auxz00_1161;
{ /* ./Foreign/jtype.scm 37 */
BgL_objectz00_bglt BgL_auxz00_1162;
BgL_auxz00_1162 = 
(BgL_objectz00_bglt)(BgL_obj1661z00_624); 
BgL_auxz00_1161 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1162); } 
BgL_arg2402z00_630 = 
(((BgL_jarrayz00_bglt)CREF(BgL_auxz00_1161))->BgL_itemzd2typezd2); } 
{ /* ./Foreign/jtype.scm 37 */
int BgL_kz00_884;obj_t BgL_oz00_885;
BgL_kz00_884 = 
(int)(((long)0)); 
BgL_oz00_885 = 
(obj_t)(BgL_arg2402z00_630); 
STRUCT_SET(BgL_aux1663z00_628, BgL_kz00_884, BgL_oz00_885); } } 
{ /* ./Foreign/jtype.scm 37 */
int BgL_kz00_887;
BgL_kz00_887 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res1662z00_627, BgL_kz00_887, BgL_aux1663z00_628); } 
{ /* ./Foreign/jtype.scm 37 */
obj_t BgL_arg2407z00_631;
BgL_arg2407z00_631 = 
STRUCT_KEY(BgL_res1662z00_627); 
STRUCT_KEY_SET(BgL_aux1663z00_628, BgL_arg2407z00_631); } 
{ /* ./Foreign/jtype.scm 37 */
obj_t BgL_kz00_894;
BgL_kz00_894 = 
CNST_TABLE_REF(((long)2)); 
STRUCT_KEY_SET(BgL_res1662z00_627, BgL_kz00_894); } 
return BgL_res1662z00_627;} } } } } 
}



/* make-ctype-accesses!-jarray1712 */
obj_t BGl_makezd2ctypezd2accessesz12zd2jarray1712zc0zzforeign_jtypez00(obj_t BgL_envz00_954, obj_t BgL_whatz00_955, obj_t BgL_whoz00_956, obj_t BgL_locz00_957)
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 66 */
{ 
BgL_jarrayz00_bglt BgL_whatz00_411;BgL_typez00_bglt BgL_whoz00_412;obj_t BgL_locz00_413;
BgL_whatz00_411 = 
(BgL_jarrayz00_bglt)(BgL_whatz00_955); 
BgL_whoz00_412 = 
(BgL_typez00_bglt)(BgL_whoz00_956); 
BgL_locz00_413 = BgL_locz00_957; 
{ /* ./Foreign/jtype.scm 69 */
obj_t BgL_idz00_416;
{ /* ./Foreign/jtype.scm 69 */
BgL_typez00_bglt BgL_obj1003z00_874;
BgL_obj1003z00_874 = 
(BgL_typez00_bglt)(BgL_whatz00_411); 
BgL_idz00_416 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_874))->BgL_idz00); } 
{ /* ./Foreign/jtype.scm 69 */
obj_t BgL_oidz00_417;
BgL_oidz00_417 = 
BGl_makezd2typedzd2identz00zzast_identz00(
CNST_TABLE_REF(((long)4)), BgL_idz00_416); 
{ /* ./Foreign/jtype.scm 70 */
obj_t BgL_tidz00_418;
BgL_tidz00_418 = 
BGl_makezd2typedzd2formalz00zzast_identz00(BgL_idz00_416); 
{ /* ./Foreign/jtype.scm 71 */
obj_t BgL_idzd2ze3objz31_419;
{ /* ./Foreign/jtype.scm 72 */
obj_t BgL_list2386z00_620;
{ /* ./Foreign/jtype.scm 72 */
obj_t BgL_arg2388z00_621;
{ /* ./Foreign/jtype.scm 72 */
obj_t BgL_auxz00_1181;
BgL_auxz00_1181 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg2388z00_621 = 
MAKE_PAIR(BgL_auxz00_1181, BNIL); } 
BgL_list2386z00_620 = 
MAKE_PAIR(BgL_idz00_416, BgL_arg2388z00_621); } 
BgL_idzd2ze3objz31_419 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2386z00_620); } 
{ /* ./Foreign/jtype.scm 72 */
obj_t BgL_objzd2ze3idz31_420;
{ /* ./Foreign/jtype.scm 73 */
obj_t BgL_list2378z00_617;
{ /* ./Foreign/jtype.scm 73 */
obj_t BgL_arg2380z00_618;obj_t BgL_arg2382z00_619;
BgL_arg2380z00_618 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg2382z00_619 = 
MAKE_PAIR(BgL_idz00_416, BNIL); 
BgL_list2378z00_617 = 
MAKE_PAIR(BgL_arg2380z00_618, BgL_arg2382z00_619); } 
BgL_objzd2ze3idz31_420 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2378z00_617); } 
{ /* ./Foreign/jtype.scm 73 */
obj_t BgL_tobjzd2ze3idz31_421;
BgL_tobjzd2ze3idz31_421 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_objzd2ze3idz31_420, BgL_idz00_416); 
{ /* ./Foreign/jtype.scm 74 */
obj_t BgL_idzf3zf3_422;
{ /* ./Foreign/jtype.scm 75 */
obj_t BgL_list2371z00_615;
{ /* ./Foreign/jtype.scm 75 */
obj_t BgL_arg2373z00_616;
{ /* ./Foreign/jtype.scm 75 */
obj_t BgL_auxz00_1191;
BgL_auxz00_1191 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg2373z00_616 = 
MAKE_PAIR(BgL_auxz00_1191, BNIL); } 
BgL_list2371z00_615 = 
MAKE_PAIR(BgL_idz00_416, BgL_arg2373z00_616); } 
BgL_idzf3zf3_422 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2371z00_615); } 
{ /* ./Foreign/jtype.scm 75 */
obj_t BgL_tidzf3zf3_423;
BgL_tidzf3zf3_423 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_idzf3zf3_422, 
CNST_TABLE_REF(((long)8))); 
{ /* ./Foreign/jtype.scm 76 */
obj_t BgL_idzd2lengthzd2_424;
{ /* ./Foreign/jtype.scm 77 */
obj_t BgL_list2364z00_613;
{ /* ./Foreign/jtype.scm 77 */
obj_t BgL_arg2366z00_614;
{ /* ./Foreign/jtype.scm 77 */
obj_t BgL_auxz00_1198;
BgL_auxz00_1198 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg2366z00_614 = 
MAKE_PAIR(BgL_auxz00_1198, BNIL); } 
BgL_list2364z00_613 = 
MAKE_PAIR(BgL_idz00_416, BgL_arg2366z00_614); } 
BgL_idzd2lengthzd2_424 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2364z00_613); } 
{ /* ./Foreign/jtype.scm 77 */
obj_t BgL_tidzd2lengthzd2_425;
BgL_tidzd2lengthzd2_425 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_idzd2lengthzd2_424, 
CNST_TABLE_REF(((long)10))); 
{ /* ./Foreign/jtype.scm 78 */
BgL_typez00_bglt BgL_itemzd2typezd2_426;
{ 
obj_t BgL_auxz00_1205;
{ /* ./Foreign/jtype.scm 79 */
BgL_objectz00_bglt BgL_auxz00_1206;
BgL_auxz00_1206 = 
(BgL_objectz00_bglt)(BgL_whatz00_411); 
BgL_auxz00_1205 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1206); } 
BgL_itemzd2typezd2_426 = 
(((BgL_jarrayz00_bglt)CREF(BgL_auxz00_1205))->BgL_itemzd2typezd2); } 
{ /* ./Foreign/jtype.scm 79 */
obj_t BgL_itemzd2typezd2idz00_427;
BgL_itemzd2typezd2idz00_427 = 
(((BgL_typez00_bglt)CREF(BgL_itemzd2typezd2_426))->BgL_idz00); 
{ /* ./Foreign/jtype.scm 80 */
obj_t BgL_fitemzd2typezd2idz00_428;
BgL_fitemzd2typezd2idz00_428 = 
BGl_makezd2typedzd2formalz00zzast_identz00(BgL_itemzd2typezd2idz00_427); 
{ /* ./Foreign/jtype.scm 81 */
obj_t BgL_oitemzd2typezd2idz00_429;
BgL_oitemzd2typezd2idz00_429 = 
BGl_makezd2typedzd2identz00zzast_identz00(
CNST_TABLE_REF(((long)11)), BgL_itemzd2typezd2idz00_427); 
{ /* ./Foreign/jtype.scm 82 */
obj_t BgL_makezd2idzd2_430;
{ /* ./Foreign/jtype.scm 83 */
obj_t BgL_list2351z00_610;
{ /* ./Foreign/jtype.scm 83 */
obj_t BgL_arg2353z00_611;obj_t BgL_arg2355z00_612;
BgL_arg2353z00_611 = 
CNST_TABLE_REF(((long)12)); 
BgL_arg2355z00_612 = 
MAKE_PAIR(BgL_idz00_416, BNIL); 
BgL_list2351z00_610 = 
MAKE_PAIR(BgL_arg2353z00_611, BgL_arg2355z00_612); } 
BgL_makezd2idzd2_430 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2351z00_610); } 
{ /* ./Foreign/jtype.scm 83 */
obj_t BgL_tmakezd2idzd2_431;
BgL_tmakezd2idzd2_431 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_makezd2idzd2_430, BgL_idz00_416); 
{ /* ./Foreign/jtype.scm 84 */
obj_t BgL_idzd2refzd2_432;
{ /* ./Foreign/jtype.scm 85 */
obj_t BgL_list2344z00_608;
{ /* ./Foreign/jtype.scm 85 */
obj_t BgL_arg2346z00_609;
{ /* ./Foreign/jtype.scm 85 */
obj_t BgL_auxz00_1219;
BgL_auxz00_1219 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg2346z00_609 = 
MAKE_PAIR(BgL_auxz00_1219, BNIL); } 
BgL_list2344z00_608 = 
MAKE_PAIR(BgL_idz00_416, BgL_arg2346z00_609); } 
BgL_idzd2refzd2_432 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2344z00_608); } 
{ /* ./Foreign/jtype.scm 85 */
obj_t BgL_tidzd2refzd2_433;
BgL_tidzd2refzd2_433 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_idzd2refzd2_432, BgL_itemzd2typezd2idz00_427); 
{ /* ./Foreign/jtype.scm 86 */
obj_t BgL_idzd2setz12zc0_434;
{ /* ./Foreign/jtype.scm 87 */
obj_t BgL_list2337z00_606;
{ /* ./Foreign/jtype.scm 87 */
obj_t BgL_arg2339z00_607;
{ /* ./Foreign/jtype.scm 87 */
obj_t BgL_auxz00_1225;
BgL_auxz00_1225 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg2339z00_607 = 
MAKE_PAIR(BgL_auxz00_1225, BNIL); } 
BgL_list2337z00_606 = 
MAKE_PAIR(BgL_idz00_416, BgL_arg2339z00_607); } 
BgL_idzd2setz12zc0_434 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2337z00_606); } 
{ /* ./Foreign/jtype.scm 87 */

{ 

{ /* ./Foreign/jtype.scm 128 */
obj_t BgL_list1953z00_442;
{ /* ./Foreign/jtype.scm 128 */
obj_t BgL_arg1955z00_443;
{ /* ./Foreign/jtype.scm 128 */
obj_t BgL_arg1958z00_444;
{ /* ./Foreign/jtype.scm 128 */
obj_t BgL_arg1961z00_445;
{ /* ./Foreign/jtype.scm 128 */
obj_t BgL_arg1964z00_446;
BgL_arg1964z00_446 = 
MAKE_PAIR(BgL_idzd2setz12zc0_434, BNIL); 
BgL_arg1961z00_445 = 
MAKE_PAIR(BgL_idzd2refzd2_432, BgL_arg1964z00_446); } 
BgL_arg1958z00_444 = 
MAKE_PAIR(BgL_makezd2idzd2_430, BgL_arg1961z00_445); } 
BgL_arg1955z00_443 = 
MAKE_PAIR(BgL_idzd2lengthzd2_424, BgL_arg1958z00_444); } 
BgL_list1953z00_442 = 
MAKE_PAIR(BgL_idzf3zf3_422, BgL_arg1955z00_443); } 
BGl_registerzd2foreignzd2accesszd2identsz12zc0zzforeign_libraryz00(BgL_list1953z00_442); } 
{ /* ./Foreign/jtype.scm 131 */
obj_t BgL_arg1968z00_447;
{ /* ./Foreign/jtype.scm 131 */
obj_t BgL_arg1971z00_448;obj_t BgL_arg1972z00_449;
BgL_arg1971z00_448 = 
CNST_TABLE_REF(((long)28)); 
{ /* ./Foreign/jtype.scm 132 */
obj_t BgL_arg1977z00_450;obj_t BgL_arg1978z00_451;
{ /* ./Foreign/jtype.scm 132 */
obj_t BgL_arg1981z00_452;obj_t BgL_arg1982z00_453;
BgL_arg1981z00_452 = 
CNST_TABLE_REF(((long)29)); 
{ /* ./Foreign/jtype.scm 132 */
obj_t BgL_arg1985z00_454;
BgL_arg1985z00_454 = 
MAKE_PAIR(BgL_tidz00_418, BNIL); 
BgL_arg1982z00_453 = 
MAKE_PAIR(BgL_idzd2ze3objz31_419, BgL_arg1985z00_454); } 
BgL_arg1977z00_450 = 
MAKE_PAIR(BgL_arg1981z00_452, BgL_arg1982z00_453); } 
{ /* ./Foreign/jtype.scm 133 */
obj_t BgL_arg1990z00_455;obj_t BgL_arg1991z00_456;
{ /* ./Foreign/jtype.scm 133 */
obj_t BgL_arg1994z00_457;obj_t BgL_arg1997z00_458;
BgL_arg1994z00_457 = 
CNST_TABLE_REF(((long)29)); 
{ /* ./Foreign/jtype.scm 133 */
obj_t BgL_arg2001z00_459;
{ /* ./Foreign/jtype.scm 133 */
obj_t BgL_auxz00_1242;
BgL_auxz00_1242 = 
CNST_TABLE_REF(((long)30)); 
BgL_arg2001z00_459 = 
MAKE_PAIR(BgL_auxz00_1242, BNIL); } 
BgL_arg1997z00_458 = 
MAKE_PAIR(BgL_tobjzd2ze3idz31_421, BgL_arg2001z00_459); } 
BgL_arg1990z00_455 = 
MAKE_PAIR(BgL_arg1994z00_457, BgL_arg1997z00_458); } 
{ /* ./Foreign/jtype.scm 134 */
obj_t BgL_arg2005z00_460;obj_t BgL_arg2006z00_461;
{ /* ./Foreign/jtype.scm 134 */
obj_t BgL_arg2009z00_462;obj_t BgL_arg2012z00_463;
BgL_arg2009z00_462 = 
CNST_TABLE_REF(((long)29)); 
{ /* ./Foreign/jtype.scm 134 */
obj_t BgL_arg2015z00_464;
{ /* ./Foreign/jtype.scm 134 */
obj_t BgL_auxz00_1248;
BgL_auxz00_1248 = 
CNST_TABLE_REF(((long)30)); 
BgL_arg2015z00_464 = 
MAKE_PAIR(BgL_auxz00_1248, BNIL); } 
BgL_arg2012z00_463 = 
MAKE_PAIR(BgL_tidzf3zf3_423, BgL_arg2015z00_464); } 
BgL_arg2005z00_460 = 
MAKE_PAIR(BgL_arg2009z00_462, BgL_arg2012z00_463); } 
{ /* ./Foreign/jtype.scm 135 */
obj_t BgL_arg2019z00_465;obj_t BgL_arg2021z00_466;
{ /* ./Foreign/jtype.scm 135 */
obj_t BgL_arg2026z00_467;obj_t BgL_arg2027z00_468;
BgL_arg2026z00_467 = 
CNST_TABLE_REF(((long)29)); 
{ /* ./Foreign/jtype.scm 135 */
obj_t BgL_arg2030z00_469;
BgL_arg2030z00_469 = 
MAKE_PAIR(BgL_tidz00_418, BNIL); 
BgL_arg2027z00_468 = 
MAKE_PAIR(BgL_tidzd2lengthzd2_425, BgL_arg2030z00_469); } 
BgL_arg2019z00_465 = 
MAKE_PAIR(BgL_arg2026z00_467, BgL_arg2027z00_468); } 
{ /* ./Foreign/jtype.scm 136 */
obj_t BgL_arg2034z00_470;obj_t BgL_arg2035z00_471;
{ /* ./Foreign/jtype.scm 136 */
obj_t BgL_arg2039z00_472;obj_t BgL_arg2040z00_473;
BgL_arg2039z00_472 = 
CNST_TABLE_REF(((long)29)); 
{ /* ./Foreign/jtype.scm 136 */
obj_t BgL_arg2043z00_474;
{ /* ./Foreign/jtype.scm 136 */
obj_t BgL_auxz00_1258;
BgL_auxz00_1258 = 
CNST_TABLE_REF(((long)31)); 
BgL_arg2043z00_474 = 
MAKE_PAIR(BgL_auxz00_1258, BNIL); } 
BgL_arg2040z00_473 = 
MAKE_PAIR(BgL_tmakezd2idzd2_431, BgL_arg2043z00_474); } 
BgL_arg2034z00_470 = 
MAKE_PAIR(BgL_arg2039z00_472, BgL_arg2040z00_473); } 
{ /* ./Foreign/jtype.scm 137 */
obj_t BgL_arg2047z00_475;obj_t BgL_arg2048z00_476;
{ /* ./Foreign/jtype.scm 137 */
obj_t BgL_arg2051z00_477;obj_t BgL_arg2052z00_478;
BgL_arg2051z00_477 = 
CNST_TABLE_REF(((long)29)); 
{ /* ./Foreign/jtype.scm 137 */
obj_t BgL_arg2055z00_479;
{ /* ./Foreign/jtype.scm 137 */
obj_t BgL_arg2058z00_480;
{ /* ./Foreign/jtype.scm 137 */
obj_t BgL_auxz00_1264;
BgL_auxz00_1264 = 
CNST_TABLE_REF(((long)31)); 
BgL_arg2058z00_480 = 
MAKE_PAIR(BgL_auxz00_1264, BNIL); } 
BgL_arg2055z00_479 = 
MAKE_PAIR(BgL_tidz00_418, BgL_arg2058z00_480); } 
BgL_arg2052z00_478 = 
MAKE_PAIR(BgL_tidzd2refzd2_433, BgL_arg2055z00_479); } 
BgL_arg2047z00_475 = 
MAKE_PAIR(BgL_arg2051z00_477, BgL_arg2052z00_478); } 
{ /* ./Foreign/jtype.scm 138 */
obj_t BgL_arg2062z00_481;
{ /* ./Foreign/jtype.scm 138 */
obj_t BgL_arg2069z00_483;obj_t BgL_arg2070z00_484;
BgL_arg2069z00_483 = 
CNST_TABLE_REF(((long)29)); 
{ /* ./Foreign/jtype.scm 138 */
obj_t BgL_arg2073z00_485;
{ /* ./Foreign/jtype.scm 138 */
obj_t BgL_arg2076z00_486;
{ /* ./Foreign/jtype.scm 138 */
obj_t BgL_arg2079z00_487;obj_t BgL_arg2080z00_488;
BgL_arg2079z00_487 = 
CNST_TABLE_REF(((long)31)); 
BgL_arg2080z00_488 = 
MAKE_PAIR(BgL_fitemzd2typezd2idz00_428, BNIL); 
BgL_arg2076z00_486 = 
MAKE_PAIR(BgL_arg2079z00_487, BgL_arg2080z00_488); } 
BgL_arg2073z00_485 = 
MAKE_PAIR(BgL_tidz00_418, BgL_arg2076z00_486); } 
BgL_arg2070z00_484 = 
MAKE_PAIR(BgL_idzd2setz12zc0_434, BgL_arg2073z00_485); } 
BgL_arg2062z00_481 = 
MAKE_PAIR(BgL_arg2069z00_483, BgL_arg2070z00_484); } 
BgL_arg2048z00_476 = 
MAKE_PAIR(BgL_arg2062z00_481, BNIL); } 
BgL_arg2035z00_471 = 
MAKE_PAIR(BgL_arg2047z00_475, BgL_arg2048z00_476); } 
BgL_arg2021z00_466 = 
MAKE_PAIR(BgL_arg2034z00_470, BgL_arg2035z00_471); } 
BgL_arg2006z00_461 = 
MAKE_PAIR(BgL_arg2019z00_465, BgL_arg2021z00_466); } 
BgL_arg1991z00_456 = 
MAKE_PAIR(BgL_arg2005z00_460, BgL_arg2006z00_461); } 
BgL_arg1978z00_451 = 
MAKE_PAIR(BgL_arg1990z00_455, BgL_arg1991z00_456); } 
BgL_arg1972z00_449 = 
MAKE_PAIR(BgL_arg1977z00_450, BgL_arg1978z00_451); } 
BgL_arg1968z00_447 = 
MAKE_PAIR(BgL_arg1971z00_448, BgL_arg1972z00_449); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1968z00_447); } 
{ /* ./Foreign/jtype.scm 140 */
obj_t BgL_arg2084z00_489;obj_t BgL_arg2085z00_490;obj_t BgL_arg2086z00_491;obj_t BgL_arg2087z00_492;obj_t BgL_arg2088z00_493;obj_t BgL_arg2089z00_494;obj_t BgL_arg2090z00_495;
{ /* ./Foreign/jtype.scm 91 */
obj_t BgL_arg2317z00_591;obj_t BgL_arg2318z00_592;
BgL_arg2317z00_591 = 
CNST_TABLE_REF(((long)15)); 
{ /* ./Foreign/jtype.scm 91 */
obj_t BgL_arg2321z00_593;obj_t BgL_arg2323z00_594;
{ /* ./Foreign/jtype.scm 91 */
obj_t BgL_arg2326z00_595;
BgL_arg2326z00_595 = 
MAKE_PAIR(BgL_oidz00_417, BNIL); 
BgL_arg2321z00_593 = 
MAKE_PAIR(BgL_idzd2ze3objz31_419, BgL_arg2326z00_595); } 
{ /* ./Foreign/jtype.scm 92 */
obj_t BgL_arg2330z00_596;
{ /* ./Foreign/jtype.scm 92 */
obj_t BgL_list2334z00_598;
{ /* ./Foreign/jtype.scm 92 */
obj_t BgL_auxz00_1289;
BgL_auxz00_1289 = 
CNST_TABLE_REF(((long)4)); 
BgL_list2334z00_598 = 
MAKE_PAIR(BgL_auxz00_1289, BNIL); } 
BgL_arg2330z00_596 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)16)), 
CNST_TABLE_REF(((long)17)), BgL_list2334z00_598); } 
BgL_arg2323z00_594 = 
MAKE_PAIR(BgL_arg2330z00_596, BNIL); } 
BgL_arg2318z00_592 = 
MAKE_PAIR(BgL_arg2321z00_593, BgL_arg2323z00_594); } 
BgL_arg2084z00_489 = 
MAKE_PAIR(BgL_arg2317z00_591, BgL_arg2318z00_592); } 
{ /* ./Foreign/jtype.scm 95 */
obj_t BgL_arg2297z00_582;obj_t BgL_arg2298z00_583;
BgL_arg2297z00_582 = 
CNST_TABLE_REF(((long)15)); 
{ /* ./Foreign/jtype.scm 95 */
obj_t BgL_arg2301z00_584;obj_t BgL_arg2302z00_585;
{ /* ./Foreign/jtype.scm 95 */
obj_t BgL_arg2305z00_586;
{ /* ./Foreign/jtype.scm 95 */
obj_t BgL_auxz00_1299;
BgL_auxz00_1299 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg2305z00_586 = 
MAKE_PAIR(BgL_auxz00_1299, BNIL); } 
BgL_arg2301z00_584 = 
MAKE_PAIR(BgL_tobjzd2ze3idz31_421, BgL_arg2305z00_586); } 
{ /* ./Foreign/jtype.scm 96 */
obj_t BgL_arg2309z00_587;
{ /* ./Foreign/jtype.scm 96 */
obj_t BgL_list2313z00_589;
{ /* ./Foreign/jtype.scm 96 */
obj_t BgL_auxz00_1303;
BgL_auxz00_1303 = 
CNST_TABLE_REF(((long)4)); 
BgL_list2313z00_589 = 
MAKE_PAIR(BgL_auxz00_1303, BNIL); } 
BgL_arg2309z00_587 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)16)), BgL_idz00_416, BgL_list2313z00_589); } 
BgL_arg2302z00_585 = 
MAKE_PAIR(BgL_arg2309z00_587, BNIL); } 
BgL_arg2298z00_583 = 
MAKE_PAIR(BgL_arg2301z00_584, BgL_arg2302z00_585); } 
BgL_arg2085z00_490 = 
MAKE_PAIR(BgL_arg2297z00_582, BgL_arg2298z00_583); } 
{ /* ./Foreign/jtype.scm 100 */
obj_t BgL_arg2277z00_573;obj_t BgL_arg2278z00_574;
BgL_arg2277z00_573 = 
CNST_TABLE_REF(((long)15)); 
{ /* ./Foreign/jtype.scm 100 */
obj_t BgL_arg2281z00_575;obj_t BgL_arg2282z00_576;
{ /* ./Foreign/jtype.scm 100 */
obj_t BgL_arg2285z00_577;
{ /* ./Foreign/jtype.scm 100 */
obj_t BgL_auxz00_1312;
BgL_auxz00_1312 = 
CNST_TABLE_REF(((long)18)); 
BgL_arg2285z00_577 = 
MAKE_PAIR(BgL_auxz00_1312, BNIL); } 
BgL_arg2281z00_575 = 
MAKE_PAIR(BgL_tidzf3zf3_423, BgL_arg2285z00_577); } 
{ /* ./Foreign/jtype.scm 101 */
obj_t BgL_arg2289z00_578;
{ /* ./Foreign/jtype.scm 101 */
obj_t BgL_list2293z00_580;
{ /* ./Foreign/jtype.scm 101 */
obj_t BgL_auxz00_1316;
BgL_auxz00_1316 = 
CNST_TABLE_REF(((long)4)); 
BgL_list2293z00_580 = 
MAKE_PAIR(BgL_auxz00_1316, BNIL); } 
BgL_arg2289z00_578 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)19)), BgL_idz00_416, BgL_list2293z00_580); } 
BgL_arg2282z00_576 = 
MAKE_PAIR(BgL_arg2289z00_578, BNIL); } 
BgL_arg2278z00_574 = 
MAKE_PAIR(BgL_arg2281z00_575, BgL_arg2282z00_576); } 
BgL_arg2086z00_491 = 
MAKE_PAIR(BgL_arg2277z00_573, BgL_arg2278z00_574); } 
{ /* ./Foreign/jtype.scm 105 */
obj_t BgL_arg2246z00_559;obj_t BgL_arg2247z00_560;
BgL_arg2246z00_559 = 
CNST_TABLE_REF(((long)15)); 
{ /* ./Foreign/jtype.scm 105 */
obj_t BgL_arg2250z00_561;obj_t BgL_arg2251z00_562;
{ /* ./Foreign/jtype.scm 105 */
obj_t BgL_arg2254z00_563;
BgL_arg2254z00_563 = 
MAKE_PAIR(BgL_oidz00_417, BNIL); 
BgL_arg2250z00_561 = 
MAKE_PAIR(BgL_tidzd2lengthzd2_425, BgL_arg2254z00_563); } 
{ /* ./Foreign/jtype.scm 106 */
obj_t BgL_arg2258z00_564;
{ /* ./Foreign/jtype.scm 106 */
obj_t BgL_list2262z00_566;
{ /* ./Foreign/jtype.scm 106 */
obj_t BgL_arg2264z00_567;
{ /* ./Foreign/jtype.scm 106 */
obj_t BgL_arg2267z00_568;obj_t BgL_arg2268z00_569;
BgL_arg2267z00_568 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Foreign/jtype.scm 106 */
obj_t BgL_arg2272z00_571;
{ /* ./Foreign/jtype.scm 106 */
obj_t BgL_auxz00_1328;
BgL_auxz00_1328 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg2272z00_571 = 
MAKE_PAIR(BgL_auxz00_1328, BNIL); } 
BgL_arg2268z00_569 = 
MAKE_PAIR(BGl_string2575z00zzforeign_jtypez00, BgL_arg2272z00_571); } 
BgL_arg2264z00_567 = 
MAKE_PAIR(BgL_arg2267z00_568, BgL_arg2268z00_569); } 
BgL_list2262z00_566 = 
MAKE_PAIR(BgL_itemzd2typezd2idz00_427, BgL_arg2264z00_567); } 
BgL_arg2258z00_564 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)20)), BgL_idz00_416, BgL_list2262z00_566); } 
BgL_arg2251z00_562 = 
MAKE_PAIR(BgL_arg2258z00_564, BNIL); } 
BgL_arg2247z00_560 = 
MAKE_PAIR(BgL_arg2250z00_561, BgL_arg2251z00_562); } 
BgL_arg2087z00_492 = 
MAKE_PAIR(BgL_arg2246z00_559, BgL_arg2247z00_560); } 
{ /* ./Foreign/jtype.scm 111 */
obj_t BgL_arg2208z00_542;obj_t BgL_arg2209z00_543;
BgL_arg2208z00_542 = 
CNST_TABLE_REF(((long)15)); 
{ /* ./Foreign/jtype.scm 111 */
obj_t BgL_arg2212z00_544;obj_t BgL_arg2213z00_545;
{ /* ./Foreign/jtype.scm 111 */
obj_t BgL_arg2216z00_546;
{ /* ./Foreign/jtype.scm 111 */
obj_t BgL_auxz00_1340;
BgL_auxz00_1340 = 
CNST_TABLE_REF(((long)21)); 
BgL_arg2216z00_546 = 
MAKE_PAIR(BgL_auxz00_1340, BNIL); } 
BgL_arg2212z00_544 = 
MAKE_PAIR(BgL_tmakezd2idzd2_431, BgL_arg2216z00_546); } 
{ /* ./Foreign/jtype.scm 112 */
obj_t BgL_arg2220z00_547;
{ /* ./Foreign/jtype.scm 112 */
obj_t BgL_list2224z00_549;
{ /* ./Foreign/jtype.scm 112 */
obj_t BgL_arg2226z00_550;
{ /* ./Foreign/jtype.scm 112 */
obj_t BgL_arg2229z00_551;obj_t BgL_arg2230z00_552;
BgL_arg2229z00_551 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Foreign/jtype.scm 112 */
obj_t BgL_arg2234z00_554;
{ /* ./Foreign/jtype.scm 112 */
obj_t BgL_arg2238z00_556;
{ /* ./Foreign/jtype.scm 112 */
obj_t BgL_arg2241z00_557;
{ /* ./Foreign/jtype.scm 112 */
obj_t BgL_auxz00_1345;
BgL_auxz00_1345 = 
CNST_TABLE_REF(((long)22)); 
BgL_arg2241z00_557 = 
MAKE_PAIR(BgL_auxz00_1345, BNIL); } 
BgL_arg2238z00_556 = 
MAKE_PAIR(BFALSE, BgL_arg2241z00_557); } 
BgL_arg2234z00_554 = 
MAKE_PAIR(BGl_string2575z00zzforeign_jtypez00, BgL_arg2238z00_556); } 
BgL_arg2230z00_552 = 
MAKE_PAIR(BGl_string2575z00zzforeign_jtypez00, BgL_arg2234z00_554); } 
BgL_arg2226z00_550 = 
MAKE_PAIR(BgL_arg2229z00_551, BgL_arg2230z00_552); } 
BgL_list2224z00_549 = 
MAKE_PAIR(BgL_itemzd2typezd2idz00_427, BgL_arg2226z00_550); } 
BgL_arg2220z00_547 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)23)), BgL_idz00_416, BgL_list2224z00_549); } 
BgL_arg2213z00_545 = 
MAKE_PAIR(BgL_arg2220z00_547, BNIL); } 
BgL_arg2209z00_543 = 
MAKE_PAIR(BgL_arg2212z00_544, BgL_arg2213z00_545); } 
BgL_arg2088z00_493 = 
MAKE_PAIR(BgL_arg2208z00_542, BgL_arg2209z00_543); } 
{ /* ./Foreign/jtype.scm 118 */
obj_t BgL_arg2170z00_525;obj_t BgL_arg2171z00_526;
BgL_arg2170z00_525 = 
CNST_TABLE_REF(((long)15)); 
{ /* ./Foreign/jtype.scm 118 */
obj_t BgL_arg2174z00_527;obj_t BgL_arg2175z00_528;
{ /* ./Foreign/jtype.scm 118 */
obj_t BgL_arg2178z00_529;
{ /* ./Foreign/jtype.scm 118 */
obj_t BgL_arg2181z00_530;
{ /* ./Foreign/jtype.scm 118 */
obj_t BgL_auxz00_1359;
BgL_auxz00_1359 = 
CNST_TABLE_REF(((long)24)); 
BgL_arg2181z00_530 = 
MAKE_PAIR(BgL_auxz00_1359, BNIL); } 
BgL_arg2178z00_529 = 
MAKE_PAIR(BgL_oidz00_417, BgL_arg2181z00_530); } 
BgL_arg2174z00_527 = 
MAKE_PAIR(BgL_tidzd2refzd2_433, BgL_arg2178z00_529); } 
{ /* ./Foreign/jtype.scm 119 */
obj_t BgL_arg2185z00_531;
{ /* ./Foreign/jtype.scm 119 */
obj_t BgL_list2189z00_533;
{ /* ./Foreign/jtype.scm 119 */
obj_t BgL_arg2191z00_534;
{ /* ./Foreign/jtype.scm 119 */
obj_t BgL_arg2194z00_535;obj_t BgL_arg2195z00_536;
BgL_arg2194z00_535 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Foreign/jtype.scm 119 */
obj_t BgL_arg2199z00_538;
{ /* ./Foreign/jtype.scm 120 */
obj_t BgL_arg2202z00_539;obj_t BgL_arg2203z00_540;
BgL_arg2202z00_539 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Foreign/jtype.scm 119 */
obj_t BgL_auxz00_1366;
BgL_auxz00_1366 = 
CNST_TABLE_REF(((long)25)); 
BgL_arg2203z00_540 = 
MAKE_PAIR(BgL_auxz00_1366, BNIL); } 
BgL_arg2199z00_538 = 
MAKE_PAIR(BgL_arg2202z00_539, BgL_arg2203z00_540); } 
BgL_arg2195z00_536 = 
MAKE_PAIR(BGl_string2575z00zzforeign_jtypez00, BgL_arg2199z00_538); } 
BgL_arg2191z00_534 = 
MAKE_PAIR(BgL_arg2194z00_535, BgL_arg2195z00_536); } 
BgL_list2189z00_533 = 
MAKE_PAIR(BgL_itemzd2typezd2idz00_427, BgL_arg2191z00_534); } 
BgL_arg2185z00_531 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)26)), BgL_idz00_416, BgL_list2189z00_533); } 
BgL_arg2175z00_528 = 
MAKE_PAIR(BgL_arg2185z00_531, BNIL); } 
BgL_arg2171z00_526 = 
MAKE_PAIR(BgL_arg2174z00_527, BgL_arg2175z00_528); } 
BgL_arg2089z00_494 = 
MAKE_PAIR(BgL_arg2170z00_525, BgL_arg2171z00_526); } 
{ /* ./Foreign/jtype.scm 123 */
obj_t BgL_arg2123z00_504;obj_t BgL_arg2124z00_505;
BgL_arg2123z00_504 = 
CNST_TABLE_REF(((long)15)); 
{ /* ./Foreign/jtype.scm 123 */
obj_t BgL_arg2128z00_506;obj_t BgL_arg2129z00_507;
{ /* ./Foreign/jtype.scm 123 */
obj_t BgL_arg2132z00_508;
{ /* ./Foreign/jtype.scm 123 */
obj_t BgL_arg2135z00_509;
{ /* ./Foreign/jtype.scm 123 */
obj_t BgL_arg2138z00_510;obj_t BgL_arg2139z00_511;
BgL_arg2138z00_510 = 
CNST_TABLE_REF(((long)24)); 
BgL_arg2139z00_511 = 
MAKE_PAIR(BgL_oitemzd2typezd2idz00_429, BNIL); 
BgL_arg2135z00_509 = 
MAKE_PAIR(BgL_arg2138z00_510, BgL_arg2139z00_511); } 
BgL_arg2132z00_508 = 
MAKE_PAIR(BgL_oidz00_417, BgL_arg2135z00_509); } 
BgL_arg2128z00_506 = 
MAKE_PAIR(BgL_idzd2setz12zc0_434, BgL_arg2132z00_508); } 
{ /* ./Foreign/jtype.scm 124 */
obj_t BgL_arg2143z00_512;
{ /* ./Foreign/jtype.scm 124 */
obj_t BgL_list2147z00_514;
{ /* ./Foreign/jtype.scm 124 */
obj_t BgL_arg2149z00_515;
{ /* ./Foreign/jtype.scm 124 */
obj_t BgL_arg2152z00_516;obj_t BgL_arg2153z00_517;
BgL_arg2152z00_516 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Foreign/jtype.scm 124 */
obj_t BgL_arg2157z00_519;
{ /* ./Foreign/jtype.scm 125 */
obj_t BgL_arg2160z00_520;obj_t BgL_arg2161z00_521;
BgL_arg2160z00_520 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Foreign/jtype.scm 125 */
obj_t BgL_arg2164z00_522;obj_t BgL_arg2165z00_523;
BgL_arg2164z00_522 = 
CNST_TABLE_REF(((long)25)); 
{ /* ./Foreign/jtype.scm 124 */
obj_t BgL_auxz00_1387;
BgL_auxz00_1387 = 
CNST_TABLE_REF(((long)11)); 
BgL_arg2165z00_523 = 
MAKE_PAIR(BgL_auxz00_1387, BNIL); } 
BgL_arg2161z00_521 = 
MAKE_PAIR(BgL_arg2164z00_522, BgL_arg2165z00_523); } 
BgL_arg2157z00_519 = 
MAKE_PAIR(BgL_arg2160z00_520, BgL_arg2161z00_521); } 
BgL_arg2153z00_517 = 
MAKE_PAIR(BGl_string2575z00zzforeign_jtypez00, BgL_arg2157z00_519); } 
BgL_arg2149z00_515 = 
MAKE_PAIR(BgL_arg2152z00_516, BgL_arg2153z00_517); } 
BgL_list2147z00_514 = 
MAKE_PAIR(BgL_itemzd2typezd2idz00_427, BgL_arg2149z00_515); } 
BgL_arg2143z00_512 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)27)), BgL_idz00_416, BgL_list2147z00_514); } 
BgL_arg2129z00_507 = 
MAKE_PAIR(BgL_arg2143z00_512, BNIL); } 
BgL_arg2124z00_505 = 
MAKE_PAIR(BgL_arg2128z00_506, BgL_arg2129z00_507); } 
BgL_arg2090z00_495 = 
MAKE_PAIR(BgL_arg2123z00_504, BgL_arg2124z00_505); } 
{ /* ./Foreign/jtype.scm 140 */
obj_t BgL_list2092z00_496;
{ /* ./Foreign/jtype.scm 140 */
obj_t BgL_arg2094z00_497;
{ /* ./Foreign/jtype.scm 140 */
obj_t BgL_arg2097z00_498;
{ /* ./Foreign/jtype.scm 140 */
obj_t BgL_arg2100z00_499;
{ /* ./Foreign/jtype.scm 140 */
obj_t BgL_arg2103z00_500;
{ /* ./Foreign/jtype.scm 140 */
obj_t BgL_arg2107z00_501;
{ /* ./Foreign/jtype.scm 140 */
obj_t BgL_arg2110z00_502;
BgL_arg2110z00_502 = 
MAKE_PAIR(BgL_arg2090z00_495, BNIL); 
BgL_arg2107z00_501 = 
MAKE_PAIR(BgL_arg2089z00_494, BgL_arg2110z00_502); } 
BgL_arg2103z00_500 = 
MAKE_PAIR(BgL_arg2088z00_493, BgL_arg2107z00_501); } 
BgL_arg2100z00_499 = 
MAKE_PAIR(BgL_arg2087z00_492, BgL_arg2103z00_500); } 
BgL_arg2097z00_498 = 
MAKE_PAIR(BgL_arg2086z00_491, BgL_arg2100z00_499); } 
BgL_arg2094z00_497 = 
MAKE_PAIR(BgL_arg2085z00_490, BgL_arg2097z00_498); } 
BgL_list2092z00_496 = 
MAKE_PAIR(BgL_arg2084z00_489, BgL_arg2094z00_497); } 
return BgL_list2092z00_496;} } } } } } } } } } } } } } } } } } } } } } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzforeign_jtypez00()
{ AN_OBJECT;
{ /* ./Foreign/jtype.scm 17 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "foreign_jtype"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "foreign_jtype"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "foreign_jtype"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "foreign_jtype"); 
BGl_modulezd2initializa7ationz75zztype_toolsz00(((long)15091), "foreign_jtype"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "foreign_jtype"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)42726), "foreign_jtype"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)58542), "foreign_jtype"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)32118), "foreign_jtype"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "foreign_jtype"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "foreign_jtype"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "foreign_jtype"); 
BGl_modulezd2initializa7ationz75zzast_privatez00(((long)8704), "foreign_jtype"); 
BGl_modulezd2initializa7ationz75zzforeign_ctypez00(((long)51394), "foreign_jtype"); 
BGl_modulezd2initializa7ationz75zzforeign_accessz00(((long)13730), "foreign_jtype"); 
return 
BGl_modulezd2initializa7ationz75zzforeign_libraryz00(((long)43975), "foreign_jtype");} 
}

