/*===========================================================================*/
/*   (Globalize/gloclo.scm)                                                  */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Globalize/gloclo.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_sfunzf2ginfozf2_bgl {
   bool_t BgL_gzf3zf3;
   obj_t BgL_cfromz00;
   obj_t BgL_cfromza2za2;
   obj_t BgL_ctoz00;
   obj_t BgL_ctoza2za2;
   obj_t BgL_cfunctionz00;
   obj_t BgL_integratorz00;
   obj_t BgL_imarkz00;
   obj_t BgL_ownerz00;
   obj_t BgL_integratedz00;
   obj_t BgL_pluggedzd2inzd2;
   long BgL_markz00;
   obj_t BgL_freezd2markzd2;
   obj_t BgL_thezd2globalzd2;
   obj_t BgL_kapturedz00;
   obj_t BgL_newzd2bodyzd2;
   long BgL_bmarkz00;
   long BgL_umarkz00;
   obj_t BgL_freez00;
   obj_t BgL_boundz00;
} *BgL_sfunzf2ginfozf2_bglt;

typedef struct BgL_svarzf2ginfozf2_bgl {
   bool_t BgL_kapturedzf3zf3;
   long BgL_freezd2markzd2;
   long BgL_markz00;
   bool_t BgL_celledzf3zf3;
} *BgL_svarzf2ginfozf2_bglt;

typedef struct BgL_sexitzf2ginfozf2_bgl {
   bool_t BgL_gzf3zf3;
   bool_t BgL_kapturedzf3zf3;
   long BgL_freezd2markzd2;
   long BgL_markz00;
} *BgL_sexitzf2ginfozf2_bglt;

typedef struct BgL_localzf2ginfozf2_bgl {
   bool_t BgL_escapezf3zf3;
} *BgL_localzf2ginfozf2_bglt;

typedef struct BgL_globalzf2ginfozf2_bgl {
   bool_t BgL_escapezf3zf3;
   obj_t BgL_globalzd2closurezd2;
} *BgL_globalzf2ginfozf2_bglt;


static obj_t BGl_methodzd2initzd2zzglobaliza7e_globalzd2closurez75();
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
static BgL_valuez00_bglt BGl_variablezd2valuezd2zzglobaliza7e_globalzd2closurez75(BgL_variablez00_bglt);
extern obj_t BGl_nodez00zzast_nodez00;
extern obj_t BGl_sfunz00zzast_varz00;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern BgL_globalz00_bglt BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(BgL_globalz00_bglt, obj_t);
BGL_IMPORT bool_t symbol_exists_p(char *);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
static obj_t BGl__globalzd2closurezd2zzglobaliza7e_globalzd2closurez75(obj_t, obj_t, obj_t);
extern obj_t BGl_za2_za2z00zztype_cachez00;
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_za2procedureza2z00zztype_cachez00;
static obj_t BGl__makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75(obj_t, obj_t);
extern obj_t BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
extern obj_t BGl_makezd2nzd2protoz00zztools_argsz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_foreignzd2closureszd2zzglobaliza7e_globalzd2closurez75();
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzglobaliza7e_globalzd2closurez75();
static obj_t BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75();
static obj_t BGl_glocloz00zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt, BgL_localz00_bglt, obj_t);
BGL_EXPORTED_DECL BgL_globalz00_bglt BGl_globalzd2closurezd2zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt, obj_t);
extern obj_t BGl_zb2zd2arityz60zztools_argsz00(obj_t, obj_t);
extern obj_t BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7;
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_globalzd2closurez75();
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t, BgL_typez00_bglt);
BGL_EXPORTED_DECL BgL_globalz00_bglt BGl_makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl__foreignzd2closureszd2zzglobaliza7e_globalzd2closurez75(obj_t);
extern obj_t BGl_appz00zzast_nodez00;
extern obj_t BGl_localz00zzast_varz00;
BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
extern obj_t BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75();
static obj_t __cnst[ 8 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_globalzd2closurezd2envz00zzglobaliza7e_globalzd2closurez75, BgL_bgl__globalza7d2closureza7d2za7za7globaliza7a7e_globalza7d2closureza7754130za7, BGl__globalzd2closurezd2zzglobaliza7e_globalzd2closurez75, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_foreignzd2closureszd2envz00zzglobaliza7e_globalzd2closurez75, BgL_bgl__foreignza7d2closuresza7d2za7za7globaliza7a7e_globalza7d2closureza7754131za7, BGl__foreignzd2closureszd2zzglobaliza7e_globalzd2closurez75, 0L, 0 );
DEFINE_STRING( BGl_string4099z00zzglobaliza7e_globalzd2closurez75, BgL_bgl_string4099za700za7za7globaliza7a7e_globalza7d2closureza7754132z00, "Unexpected value", 16 );
DEFINE_STRING( BGl_string4098z00zzglobaliza7e_globalzd2closurez75, BgL_bgl_string4098za700za7za7globaliza7a7e_globalza7d2closureza7754133z00, "make-global-closure", 19 );
DEFINE_STRING( BGl_string4103z00zzglobaliza7e_globalzd2closurez75, BgL_bgl_string4103za700za7za7globaliza7a7e_globalza7d2closureza7754134z00, "static never now sfun foreign obj _ env ", 40 );
DEFINE_STRING( BGl_string4102z00zzglobaliza7e_globalzd2closurez75, BgL_bgl_string4102za700za7za7globaliza7a7e_globalza7d2closureza7754135z00, "Can't allocate global closure", 29 );
DEFINE_STRING( BGl_string4101z00zzglobaliza7e_globalzd2closurez75, BgL_bgl_string4101za700za7za7globaliza7a7e_globalza7d2closureza7754136z00, "global-closure", 14 );
DEFINE_STRING( BGl_string4100z00zzglobaliza7e_globalzd2closurez75, BgL_bgl_string4100za700za7za7globaliza7a7e_globalza7d2closureza7754137z00, "_", 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2globalzd2closurezd2envzd2zzglobaliza7e_globalzd2closurez75, BgL_bgl__makeza7d2globalza7d2closureza700za7za7globaliza7a7e_globalza7d2closureza7754138z00, BGl__makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75(long BgL_checksumz00_2701, char * BgL_fromz00_2702)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75))
{ 
BGl_requirezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75(); 
BGl_cnstzd2initzd2zzglobaliza7e_globalzd2closurez75(); 
BGl_importedzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75(); 
BGl_toplevelzd2initzd2zzglobaliza7e_globalzd2closurez75(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75()
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "globalize_global-closure"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzglobaliza7e_globalzd2closurez75()
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 15 */
{ /* ./Globalize/gloclo.scm 15 */
obj_t BgL_cportz00_2694;
BgL_cportz00_2694 = 
open_input_string(BGl_string4103z00zzglobaliza7e_globalzd2closurez75); 
{ 
long BgL_iz00_2695;
BgL_iz00_2695 = ((long)7); 
BgL_loopz00_2696:
{ /* ./Globalize/gloclo.scm 15 */
bool_t BgL_test4105z00_2697;
BgL_test4105z00_2697 = 
(BgL_iz00_2695==((long)-1)); 
if(BgL_test4105z00_2697)
{ /* ./Globalize/gloclo.scm 15 */
return BUNSPEC;}  else 
{ /* ./Globalize/gloclo.scm 15 */
{ /* ./Globalize/gloclo.scm 15 */
obj_t BgL_arg4107z00_2698;
{ /* ./Globalize/gloclo.scm 15 */
obj_t BgL_list4110z00_2699;
BgL_list4110z00_2699 = 
MAKE_PAIR(BgL_cportz00_2694, BNIL); 
BgL_arg4107z00_2698 = 
BGl_readz00zz__readerz00(BgL_list4110z00_2699); } 
{ /* ./Globalize/gloclo.scm 15 */
int BgL_auxz00_2718;
BgL_auxz00_2718 = 
(int)(BgL_iz00_2695); 
CNST_TABLE_SET(BgL_auxz00_2718, BgL_arg4107z00_2698); } } 
{ /* ./Globalize/gloclo.scm 15 */
int BgL_auxz00_2700;
{ /* ./Globalize/gloclo.scm 15 */
long BgL_auxz00_2721;
BgL_auxz00_2721 = 
(BgL_iz00_2695-((long)1)); 
BgL_auxz00_2700 = 
(int)(BgL_auxz00_2721); } 
{ 
long BgL_iz00_2724;
BgL_iz00_2724 = 
(long)(BgL_auxz00_2700); 
BgL_iz00_2695 = BgL_iz00_2724; 
goto BgL_loopz00_2696;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzglobaliza7e_globalzd2closurez75()
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 15 */
return ( 
BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75 = BNIL, BUNSPEC) ;} 
}



/* global-closure */
BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_globalzd2closurezd2zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt BgL_globalz00_1, obj_t BgL_locz00_2)
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 40 */
BGl_thezd2globalzd2closurez00zzglobaliza7e_freeza7(BgL_globalz00_1, BgL_locz00_2); 
return 
BGl_makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75(BgL_globalz00_1);} 
}



/* _global-closure */
obj_t BGl__globalzd2closurezd2zzglobaliza7e_globalzd2closurez75(obj_t BgL_envz00_2688, obj_t BgL_globalz00_2689, obj_t BgL_locz00_2690)
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 40 */
{ /* ./Globalize/gloclo.scm 41 */
BgL_globalz00_bglt BgL_auxz00_2728;
BgL_auxz00_2728 = 
BGl_globalzd2closurezd2zzglobaliza7e_globalzd2closurez75(
(BgL_globalz00_bglt)(BgL_globalz00_2689), BgL_locz00_2690); 
return 
(obj_t)(BgL_auxz00_2728);} } 
}



/* make-global-closure */
BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt BgL_globalz00_3)
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 47 */
{ /* ./Globalize/gloclo.scm 48 */
obj_t BgL_gloz00_1139;
{ /* ./Globalize/gloclo.scm 48 */
BgL_globalzf2ginfozf2_bglt BgL_obj3048z00_1716;
BgL_obj3048z00_1716 = 
(BgL_globalzf2ginfozf2_bglt)(BgL_globalz00_3); 
{ 
obj_t BgL_auxz00_2733;
{ /* ./Globalize/gloclo.scm 48 */
BgL_objectz00_bglt BgL_auxz00_2734;
BgL_auxz00_2734 = 
(BgL_objectz00_bglt)(BgL_obj3048z00_1716); 
BgL_auxz00_2733 = 
BGL_OBJECT_WIDENING(BgL_auxz00_2734); } 
BgL_gloz00_1139 = 
(((BgL_globalzf2ginfozf2_bglt)CREF(BgL_auxz00_2733))->BgL_globalzd2closurezd2); } } 
{ /* ./Globalize/gloclo.scm 49 */
bool_t BgL_test3118z00_1140;
BgL_test3118z00_1140 = 
BGl_iszd2azf3z21zz__objectz00(BgL_gloz00_1139, BGl_globalz00zzast_varz00); 
if(BgL_test3118z00_1140)
{ /* ./Globalize/gloclo.scm 49 */
return 
(BgL_globalz00_bglt)(BgL_gloz00_1139);}  else 
{ /* ./Globalize/gloclo.scm 51 */
BgL_valuez00_bglt BgL_oldzd2funzd2_1141;
{ /* ./Globalize/gloclo.scm 51 */
BgL_variablez00_bglt BgL_obj1104z00_1718;
BgL_obj1104z00_1718 = 
(BgL_variablez00_bglt)(BgL_globalz00_3); 
BgL_oldzd2funzd2_1141 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1718))->BgL_valuez00); } 
{ /* ./Globalize/gloclo.scm 51 */
BgL_localz00_bglt BgL_envz00_1142;
{ /* ./Globalize/gloclo.scm 52 */
BgL_localz00_bglt BgL_varz00_1209;
BgL_varz00_1209 = 
BGl_makezd2localzd2svarz00zzast_localz00(
CNST_TABLE_REF(((long)0)), 
(BgL_typez00_bglt)(BGl_za2procedureza2z00zztype_cachez00)); 
{ /* ./Globalize/gloclo.scm 53 */
BgL_localz00_bglt BgL_obj3098z00_1210;
BgL_obj3098z00_1210 = 
((BgL_localz00_bglt)BgL_varz00_1209); 
{ /* ./Globalize/gloclo.scm 53 */
BgL_localzf2ginfozf2_bglt BgL_arg3253z00_1211;
{ /* ./Globalize/gloclo.scm 53 */
BgL_localzf2ginfozf2_bglt BgL_res3946z00_1725;
{ /* ./Globalize/gloclo.scm 53 */
BgL_localzf2ginfozf2_bglt BgL_new2961z00_1720;
BgL_new2961z00_1720 = 
((BgL_localzf2ginfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_localzf2ginfozf2_bgl)))); 
{ /* ./Globalize/gloclo.scm 53 */
BgL_localzf2ginfozf2_bglt BgL_res3945z00_1724;
((((BgL_localzf2ginfozf2_bglt)CREF(BgL_new2961z00_1720))->BgL_escapezf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
BgL_res3945z00_1724 = BgL_new2961z00_1720; BgL_res3945z00_1724; } 
BgL_res3946z00_1725 = BgL_new2961z00_1720; } 
BgL_arg3253z00_1211 = BgL_res3946z00_1725; } 
{ /* ./Globalize/gloclo.scm 53 */
obj_t BgL_auxz00_2751;BgL_objectz00_bglt BgL_auxz00_2749;
BgL_auxz00_2751 = 
(obj_t)(BgL_arg3253z00_1211); 
BgL_auxz00_2749 = 
(BgL_objectz00_bglt)(BgL_obj3098z00_1210); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2749, BgL_auxz00_2751); } } 
{ /* ./Globalize/gloclo.scm 53 */
long BgL_arg3257z00_1212;
BgL_arg3257z00_1212 = 
BGl_classzd2numzd2zz__objectz00(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7); 
{ /* ./Globalize/gloclo.scm 53 */
BgL_objectz00_bglt BgL_objz00_1726;
BgL_objz00_1726 = 
(BgL_objectz00_bglt)(BgL_obj3098z00_1210); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1726, BgL_arg3257z00_1212); } } 
{ /* ./Globalize/gloclo.scm 53 */
obj_t BgL_objz00_1728;
BgL_objz00_1728 = 
(obj_t)(BgL_obj3098z00_1210); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1728); BUNSPEC; } BgL_obj3098z00_1210; } 
BgL_envz00_1142 = BgL_varz00_1209; } 
{ /* ./Globalize/gloclo.scm 52 */
obj_t BgL_newzd2argszd2_1143;
{ /* ./Globalize/gloclo.scm 55 */
obj_t BgL_l3099z00_1184;
{ /* ./Globalize/gloclo.scm 67 */
bool_t BgL_test3245z00_1207;
{ /* ./Globalize/gloclo.scm 67 */
obj_t BgL_obj1426z00_1729;
BgL_obj1426z00_1729 = 
(obj_t)(BgL_oldzd2funzd2_1141); 
BgL_test3245z00_1207 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1426z00_1729, BGl_sfunz00zzast_varz00); } 
if(BgL_test3245z00_1207)
{ /* ./Globalize/gloclo.scm 68 */
BgL_sfunz00_bglt BgL_obj1370z00_1730;
BgL_obj1370z00_1730 = 
(BgL_sfunz00_bglt)(BgL_oldzd2funzd2_1141); 
BgL_l3099z00_1184 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1370z00_1730))->BgL_argsz00); }  else 
{ /* ./Globalize/gloclo.scm 69 */
bool_t BgL_test3247z00_1208;
{ /* ./Globalize/gloclo.scm 69 */
obj_t BgL_obj1486z00_1731;
BgL_obj1486z00_1731 = 
(obj_t)(BgL_oldzd2funzd2_1141); 
BgL_test3247z00_1208 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1486z00_1731, BGl_cfunz00zzast_varz00); } 
if(BgL_test3247z00_1208)
{ /* ./Globalize/gloclo.scm 74 */
BgL_cfunz00_bglt BgL_obj1443z00_1732;
BgL_obj1443z00_1732 = 
(BgL_cfunz00_bglt)(BgL_oldzd2funzd2_1141); 
BgL_l3099z00_1184 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1443z00_1732))->BgL_argszd2typezd2); }  else 
{ /* ./Globalize/gloclo.scm 69 */
BgL_l3099z00_1184 = 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string4098z00zzglobaliza7e_globalzd2closurez75, BGl_string4099z00zzglobaliza7e_globalzd2closurez75, 
(obj_t)(BgL_oldzd2funzd2_1141)); } } } 
{ /* ./Globalize/gloclo.scm 55 */
bool_t BgL_test3196z00_1185;
BgL_test3196z00_1185 = 
NULLP(BgL_l3099z00_1184); 
if(BgL_test3196z00_1185)
{ /* ./Globalize/gloclo.scm 55 */
BgL_newzd2argszd2_1143 = BNIL; }  else 
{ /* ./Globalize/gloclo.scm 55 */
obj_t BgL_head3101z00_1186;
BgL_head3101z00_1186 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l3099z00_1187;obj_t BgL_tail3102z00_1188;
BgL_l3099z00_1187 = BgL_l3099z00_1184; 
BgL_tail3102z00_1188 = BgL_head3101z00_1186; 
BgL_map3100z00_1189:
{ /* ./Globalize/gloclo.scm 55 */
bool_t BgL_test3198z00_1190;
BgL_test3198z00_1190 = 
NULLP(BgL_l3099z00_1187); 
if(BgL_test3198z00_1190)
{ /* ./Globalize/gloclo.scm 55 */
BgL_newzd2argszd2_1143 = 
CDR(BgL_head3101z00_1186); }  else 
{ /* ./Globalize/gloclo.scm 56 */
obj_t BgL_newtail3103z00_1191;
{ /* ./Globalize/gloclo.scm 56 */
BgL_localz00_bglt BgL_arg3206z00_1193;
{ /* ./Globalize/gloclo.scm 56 */
obj_t BgL_oldz00_1195;
BgL_oldz00_1195 = 
CAR(BgL_l3099z00_1187); 
{ /* ./Globalize/gloclo.scm 56 */
BgL_localz00_bglt BgL_newz00_1196;
{ /* ./Globalize/gloclo.scm 57 */
obj_t BgL_arg3235z00_1205;
{ /* ./Globalize/gloclo.scm 57 */
bool_t BgL_test3237z00_1206;
BgL_test3237z00_1206 = 
BGl_iszd2azf3z21zz__objectz00(BgL_oldz00_1195, BGl_localz00zzast_varz00); 
if(BgL_test3237z00_1206)
{ /* ./Globalize/gloclo.scm 58 */
BgL_variablez00_bglt BgL_obj1097z00_1740;
BgL_obj1097z00_1740 = 
(BgL_variablez00_bglt)(BgL_oldz00_1195); 
BgL_arg3235z00_1205 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1740))->BgL_idz00); }  else 
{ /* ./Globalize/gloclo.scm 57 */
BgL_arg3235z00_1205 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BEOA); } } 
BgL_newz00_1196 = 
BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg3235z00_1205, 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00)); } 
{ /* ./Globalize/gloclo.scm 61 */
bool_t BgL_test3209z00_1197;
BgL_test3209z00_1197 = 
BGl_iszd2azf3z21zz__objectz00(BgL_oldz00_1195, BGl_localz00zzast_varz00); 
if(BgL_test3209z00_1197)
{ /* ./Globalize/gloclo.scm 63 */
bool_t BgL_arg3211z00_1198;
{ /* ./Globalize/gloclo.scm 63 */
BgL_localz00_bglt BgL_obj1271z00_1742;
BgL_obj1271z00_1742 = 
(BgL_localz00_bglt)(BgL_oldz00_1195); 
BgL_arg3211z00_1198 = 
(((BgL_localz00_bglt)CREF(BgL_obj1271z00_1742))->BgL_userzf3zf3); } 
((((BgL_localz00_bglt)CREF(BgL_newz00_1196))->BgL_userzf3zf3) = ((bool_t)BgL_arg3211z00_1198), BUNSPEC); }  else 
{ /* ./Globalize/gloclo.scm 61 */BFALSE; } } 
{ /* ./Globalize/gloclo.scm 64 */
BgL_svarz00_bglt BgL_obj3104z00_1199;
{ 
BgL_svarz00_bglt BgL_auxz00_2791;
{ /* ./Globalize/gloclo.scm 64 */
BgL_valuez00_bglt BgL_auxz00_2792;
BgL_auxz00_2792 = 
BGl_variablezd2valuezd2zzglobaliza7e_globalzd2closurez75(
(BgL_variablez00_bglt)(BgL_newz00_1196)); 
BgL_auxz00_2791 = 
(BgL_svarz00_bglt)(BgL_auxz00_2792); } 
BgL_obj3104z00_1199 = 
((BgL_svarz00_bglt)BgL_auxz00_2791); } 
{ /* ./Globalize/gloclo.scm 64 */
BgL_svarzf2ginfozf2_bglt BgL_arg3216z00_1200;
{ /* ./Globalize/gloclo.scm 64 */
BgL_svarzf2ginfozf2_bglt BgL_res3948z00_1761;
{ /* ./Globalize/gloclo.scm 64 */
BgL_svarzf2ginfozf2_bglt BgL_new2879z00_1750;
BgL_new2879z00_1750 = 
((BgL_svarzf2ginfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_svarzf2ginfozf2_bgl)))); 
{ /* ./Globalize/gloclo.scm 64 */
BgL_svarzf2ginfozf2_bglt BgL_res3947z00_1760;
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2879z00_1750))->BgL_kapturedzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2879z00_1750))->BgL_freezd2markzd2) = ((long)((long)-10)), BUNSPEC); 
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2879z00_1750))->BgL_markz00) = ((long)((long)-10)), BUNSPEC); 
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2879z00_1750))->BgL_celledzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
BgL_res3947z00_1760 = BgL_new2879z00_1750; BgL_res3947z00_1760; } 
BgL_res3948z00_1761 = BgL_new2879z00_1750; } 
BgL_arg3216z00_1200 = BgL_res3948z00_1761; } 
{ /* ./Globalize/gloclo.scm 64 */
obj_t BgL_auxz00_2804;BgL_objectz00_bglt BgL_auxz00_2802;
BgL_auxz00_2804 = 
(obj_t)(BgL_arg3216z00_1200); 
BgL_auxz00_2802 = 
(BgL_objectz00_bglt)(BgL_obj3104z00_1199); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2802, BgL_auxz00_2804); } } 
{ /* ./Globalize/gloclo.scm 64 */
long BgL_arg3220z00_1201;
BgL_arg3220z00_1201 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7); 
{ /* ./Globalize/gloclo.scm 64 */
BgL_objectz00_bglt BgL_objz00_1762;
BgL_objz00_1762 = 
(BgL_objectz00_bglt)(BgL_obj3104z00_1199); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1762, BgL_arg3220z00_1201); } } 
{ /* ./Globalize/gloclo.scm 64 */
obj_t BgL_objz00_1764;
BgL_objz00_1764 = 
(obj_t)(BgL_obj3104z00_1199); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1764); BUNSPEC; } BgL_obj3104z00_1199; } 
{ /* ./Globalize/gloclo.scm 65 */
BgL_localz00_bglt BgL_obj3105z00_1202;
BgL_obj3105z00_1202 = 
((BgL_localz00_bglt)BgL_newz00_1196); 
{ /* ./Globalize/gloclo.scm 65 */
BgL_localzf2ginfozf2_bglt BgL_arg3226z00_1203;
{ /* ./Globalize/gloclo.scm 65 */
BgL_localzf2ginfozf2_bglt BgL_res3950z00_1771;
{ /* ./Globalize/gloclo.scm 65 */
BgL_localzf2ginfozf2_bglt BgL_new2961z00_1766;
BgL_new2961z00_1766 = 
((BgL_localzf2ginfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_localzf2ginfozf2_bgl)))); 
{ /* ./Globalize/gloclo.scm 65 */
BgL_localzf2ginfozf2_bglt BgL_res3949z00_1770;
((((BgL_localzf2ginfozf2_bglt)CREF(BgL_new2961z00_1766))->BgL_escapezf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
BgL_res3949z00_1770 = BgL_new2961z00_1766; BgL_res3949z00_1770; } 
BgL_res3950z00_1771 = BgL_new2961z00_1766; } 
BgL_arg3226z00_1203 = BgL_res3950z00_1771; } 
{ /* ./Globalize/gloclo.scm 65 */
obj_t BgL_auxz00_2817;BgL_objectz00_bglt BgL_auxz00_2815;
BgL_auxz00_2817 = 
(obj_t)(BgL_arg3226z00_1203); 
BgL_auxz00_2815 = 
(BgL_objectz00_bglt)(BgL_obj3105z00_1202); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2815, BgL_auxz00_2817); } } 
{ /* ./Globalize/gloclo.scm 65 */
long BgL_arg3230z00_1204;
BgL_arg3230z00_1204 = 
BGl_classzd2numzd2zz__objectz00(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7); 
{ /* ./Globalize/gloclo.scm 65 */
BgL_objectz00_bglt BgL_objz00_1772;
BgL_objz00_1772 = 
(BgL_objectz00_bglt)(BgL_obj3105z00_1202); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1772, BgL_arg3230z00_1204); } } 
{ /* ./Globalize/gloclo.scm 65 */
obj_t BgL_objz00_1774;
BgL_objz00_1774 = 
(obj_t)(BgL_obj3105z00_1202); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1774); BUNSPEC; } BgL_obj3105z00_1202; } 
BgL_arg3206z00_1193 = BgL_newz00_1196; } } 
{ /* ./Globalize/gloclo.scm 55 */
obj_t BgL_obj1z00_1775;
BgL_obj1z00_1775 = 
(obj_t)(BgL_arg3206z00_1193); 
BgL_newtail3103z00_1191 = 
MAKE_PAIR(BgL_obj1z00_1775, BNIL); } } 
SET_CDR(BgL_tail3102z00_1188, BgL_newtail3103z00_1191); 
{ /* ./Globalize/gloclo.scm 55 */
obj_t BgL_arg3202z00_1192;
BgL_arg3202z00_1192 = 
CDR(BgL_l3099z00_1187); 
{ 
obj_t BgL_tail3102z00_2830;obj_t BgL_l3099z00_2829;
BgL_l3099z00_2829 = BgL_arg3202z00_1192; 
BgL_tail3102z00_2830 = BgL_newtail3103z00_1191; 
BgL_tail3102z00_1188 = BgL_tail3102z00_2830; 
BgL_l3099z00_1187 = BgL_l3099z00_2829; 
goto BgL_map3100z00_1189;} } } } } } } } 
{ /* ./Globalize/gloclo.scm 55 */
obj_t BgL_locz00_1144;
{ /* ./Globalize/gloclo.scm 78 */
bool_t BgL_test3179z00_1178;
{ /* ./Globalize/gloclo.scm 78 */
obj_t BgL_obj1426z00_1780;
BgL_obj1426z00_1780 = 
(obj_t)(BgL_oldzd2funzd2_1141); 
BgL_test3179z00_1178 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1426z00_1780, BGl_sfunz00zzast_varz00); } 
if(BgL_test3179z00_1178)
{ /* ./Globalize/gloclo.scm 79 */
bool_t BgL_test3180z00_1179;
{ /* ./Globalize/gloclo.scm 79 */
bool_t BgL_test3186z00_1181;
{ /* ./Globalize/gloclo.scm 79 */
obj_t BgL_arg3192z00_1183;
{ /* ./Globalize/gloclo.scm 79 */
BgL_sfunz00_bglt BgL_obj1373z00_1781;
BgL_obj1373z00_1781 = 
(BgL_sfunz00_bglt)(BgL_oldzd2funzd2_1141); 
BgL_arg3192z00_1183 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1373z00_1781))->BgL_bodyz00); } 
BgL_test3186z00_1181 = 
BGl_iszd2azf3z21zz__objectz00(BgL_arg3192z00_1183, BGl_nodez00zzast_nodez00); } 
if(BgL_test3186z00_1181)
{ /* ./Globalize/gloclo.scm 80 */
BgL_nodez00_bglt BgL_obj1549z00_1784;
{ /* ./Globalize/gloclo.scm 80 */
obj_t BgL_auxz00_2838;
{ /* ./Globalize/gloclo.scm 80 */
BgL_sfunz00_bglt BgL_obj1373z00_1783;
BgL_obj1373z00_1783 = 
(BgL_sfunz00_bglt)(BgL_oldzd2funzd2_1141); 
BgL_auxz00_2838 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1373z00_1783))->BgL_bodyz00); } 
BgL_obj1549z00_1784 = 
(BgL_nodez00_bglt)(BgL_auxz00_2838); } 
{ /* ./Globalize/gloclo.scm 80 */
obj_t BgL_auxz00_2842;
BgL_auxz00_2842 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_1784))->BgL_locz00); 
BgL_test3180z00_1179 = 
CBOOL(BgL_auxz00_2842); } }  else 
{ /* ./Globalize/gloclo.scm 79 */
BgL_test3180z00_1179 = ((bool_t)0); } } 
if(BgL_test3180z00_1179)
{ /* ./Globalize/gloclo.scm 81 */
BgL_nodez00_bglt BgL_obj1549z00_1786;
{ /* ./Globalize/gloclo.scm 81 */
obj_t BgL_auxz00_2846;
{ /* ./Globalize/gloclo.scm 81 */
BgL_sfunz00_bglt BgL_obj1373z00_1785;
BgL_obj1373z00_1785 = 
(BgL_sfunz00_bglt)(BgL_oldzd2funzd2_1141); 
BgL_auxz00_2846 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1373z00_1785))->BgL_bodyz00); } 
BgL_obj1549z00_1786 = 
(BgL_nodez00_bglt)(BgL_auxz00_2846); } 
BgL_locz00_1144 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1549z00_1786))->BgL_locz00); }  else 
{ /* ./Globalize/gloclo.scm 82 */
BgL_sfunz00_bglt BgL_obj1382z00_1787;
BgL_obj1382z00_1787 = 
(BgL_sfunz00_bglt)(BgL_oldzd2funzd2_1141); 
BgL_locz00_1144 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1382z00_1787))->BgL_locz00); } }  else 
{ /* ./Globalize/gloclo.scm 78 */
BgL_locz00_1144 = BFALSE; } } 
{ /* ./Globalize/gloclo.scm 78 */
obj_t BgL_glocloz00_1145;
BgL_glocloz00_1145 = 
BGl_glocloz00zzglobaliza7e_globalzd2closurez75(BgL_globalz00_3, BgL_envz00_1142, BgL_newzd2argszd2_1143); 
{ /* ./Globalize/gloclo.scm 83 */
BgL_valuez00_bglt BgL_newzd2funzd2_1146;
{ /* ./Globalize/gloclo.scm 84 */
BgL_variablez00_bglt BgL_obj1104z00_1788;
BgL_obj1104z00_1788 = 
(BgL_variablez00_bglt)(BgL_glocloz00_1145); 
BgL_newzd2funzd2_1146 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1788))->BgL_valuez00); } 
{ /* ./Globalize/gloclo.scm 84 */

{ /* ./Globalize/gloclo.scm 86 */
BgL_svarz00_bglt BgL_obj3106z00_1147;
{ 
BgL_svarz00_bglt BgL_auxz00_2856;
{ /* ./Globalize/gloclo.scm 86 */
BgL_valuez00_bglt BgL_auxz00_2857;
BgL_auxz00_2857 = 
BGl_variablezd2valuezd2zzglobaliza7e_globalzd2closurez75(
(BgL_variablez00_bglt)(BgL_envz00_1142)); 
BgL_auxz00_2856 = 
(BgL_svarz00_bglt)(BgL_auxz00_2857); } 
BgL_obj3106z00_1147 = 
((BgL_svarz00_bglt)BgL_auxz00_2856); } 
{ /* ./Globalize/gloclo.scm 86 */
BgL_svarzf2ginfozf2_bglt BgL_arg3120z00_1148;
{ /* ./Globalize/gloclo.scm 86 */
BgL_svarzf2ginfozf2_bglt BgL_res3952z00_1805;
{ /* ./Globalize/gloclo.scm 86 */
BgL_svarzf2ginfozf2_bglt BgL_new2879z00_1794;
BgL_new2879z00_1794 = 
((BgL_svarzf2ginfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_svarzf2ginfozf2_bgl)))); 
{ /* ./Globalize/gloclo.scm 86 */
BgL_svarzf2ginfozf2_bglt BgL_res3951z00_1804;
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2879z00_1794))->BgL_kapturedzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2879z00_1794))->BgL_freezd2markzd2) = ((long)((long)-10)), BUNSPEC); 
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2879z00_1794))->BgL_markz00) = ((long)((long)-10)), BUNSPEC); 
((((BgL_svarzf2ginfozf2_bglt)CREF(BgL_new2879z00_1794))->BgL_celledzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); 
BgL_res3951z00_1804 = BgL_new2879z00_1794; BgL_res3951z00_1804; } 
BgL_res3952z00_1805 = BgL_new2879z00_1794; } 
BgL_arg3120z00_1148 = BgL_res3952z00_1805; } 
{ /* ./Globalize/gloclo.scm 86 */
obj_t BgL_auxz00_2869;BgL_objectz00_bglt BgL_auxz00_2867;
BgL_auxz00_2869 = 
(obj_t)(BgL_arg3120z00_1148); 
BgL_auxz00_2867 = 
(BgL_objectz00_bglt)(BgL_obj3106z00_1147); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2867, BgL_auxz00_2869); } } 
{ /* ./Globalize/gloclo.scm 86 */
long BgL_arg3124z00_1149;
BgL_arg3124z00_1149 = 
BGl_classzd2numzd2zz__objectz00(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7); 
{ /* ./Globalize/gloclo.scm 86 */
BgL_objectz00_bglt BgL_objz00_1806;
BgL_objz00_1806 = 
(BgL_objectz00_bglt)(BgL_obj3106z00_1147); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1806, BgL_arg3124z00_1149); } } 
{ /* ./Globalize/gloclo.scm 86 */
obj_t BgL_objz00_1808;
BgL_objz00_1808 = 
(obj_t)(BgL_obj3106z00_1147); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1808); BUNSPEC; } BgL_obj3106z00_1147; } 
{ /* ./Globalize/gloclo.scm 88 */
BgL_globalz00_bglt BgL_obj3107z00_1150;
{ 
BgL_globalz00_bglt BgL_auxz00_2877;
BgL_auxz00_2877 = 
(BgL_globalz00_bglt)(BgL_glocloz00_1145); 
BgL_obj3107z00_1150 = 
((BgL_globalz00_bglt)BgL_auxz00_2877); } 
{ /* ./Globalize/gloclo.scm 88 */
BgL_globalzf2ginfozf2_bglt BgL_arg3130z00_1151;
{ /* ./Globalize/gloclo.scm 88 */
bool_t BgL_arg3133z00_1152;
BgL_arg3133z00_1152 = ((bool_t)1); 
{ /* ./Globalize/gloclo.scm 88 */
BgL_globalzf2ginfozf2_bglt BgL_res3954z00_1818;
{ /* ./Globalize/gloclo.scm 88 */
BgL_globalzf2ginfozf2_bglt BgL_new3014z00_1811;
BgL_new3014z00_1811 = 
((BgL_globalzf2ginfozf2_bglt)BREF( GC_MALLOC (sizeof(struct BgL_globalzf2ginfozf2_bgl)))); 
{ /* ./Globalize/gloclo.scm 88 */
BgL_globalzf2ginfozf2_bglt BgL_res3953z00_1817;
((((BgL_globalzf2ginfozf2_bglt)CREF(BgL_new3014z00_1811))->BgL_escapezf3zf3) = ((bool_t)BgL_arg3133z00_1152), BUNSPEC); 
((((BgL_globalzf2ginfozf2_bglt)CREF(BgL_new3014z00_1811))->BgL_globalzd2closurezd2) = ((obj_t)BFALSE), BUNSPEC); 
BgL_res3953z00_1817 = BgL_new3014z00_1811; BgL_res3953z00_1817; } 
BgL_res3954z00_1818 = BgL_new3014z00_1811; } 
BgL_arg3130z00_1151 = BgL_res3954z00_1818; } } 
{ /* ./Globalize/gloclo.scm 88 */
obj_t BgL_auxz00_2885;BgL_objectz00_bglt BgL_auxz00_2883;
BgL_auxz00_2885 = 
(obj_t)(BgL_arg3130z00_1151); 
BgL_auxz00_2883 = 
(BgL_objectz00_bglt)(BgL_obj3107z00_1150); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2883, BgL_auxz00_2885); } } 
{ /* ./Globalize/gloclo.scm 88 */
long BgL_arg3136z00_1153;
BgL_arg3136z00_1153 = 
BGl_classzd2numzd2zz__objectz00(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7); 
{ /* ./Globalize/gloclo.scm 88 */
BgL_objectz00_bglt BgL_objz00_1819;
BgL_objz00_1819 = 
(BgL_objectz00_bglt)(BgL_obj3107z00_1150); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1819, BgL_arg3136z00_1153); } } 
{ /* ./Globalize/gloclo.scm 88 */
obj_t BgL_objz00_1821;
BgL_objz00_1821 = 
(obj_t)(BgL_obj3107z00_1150); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1821); BUNSPEC; } BgL_obj3107z00_1150; } 
{ /* ./Globalize/gloclo.scm 91 */
BgL_appz00_bglt BgL_arg3141z00_1154;
{ /* ./Globalize/gloclo.scm 91 */
obj_t BgL_arg3144z00_1155;obj_t BgL_arg3145z00_1156;BgL_varz00_bglt BgL_arg3147z00_1158;obj_t BgL_arg3148z00_1159;
BgL_arg3144z00_1155 = BgL_locz00_1144; 
BgL_arg3145z00_1156 = BGl_za2objza2z00zztype_cachez00; 
{ /* ./Globalize/gloclo.scm 94 */
obj_t BgL_arg3151z00_1160;obj_t BgL_arg3152z00_1161;BgL_globalz00_bglt BgL_arg3153z00_1162;
BgL_arg3151z00_1160 = BgL_locz00_1144; 
BgL_arg3152z00_1161 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg3153z00_1162 = BgL_globalz00_3; 
{ /* ./Globalize/gloclo.scm 93 */
BgL_varz00_bglt BgL_res3957z00_1840;
{ /* ./Globalize/gloclo.scm 93 */
BgL_typez00_bglt BgL_type1631z00_1823;BgL_variablez00_bglt BgL_variable1632z00_1824;
BgL_type1631z00_1823 = 
(BgL_typez00_bglt)(BgL_arg3152z00_1161); 
BgL_variable1632z00_1824 = 
(BgL_variablez00_bglt)(BgL_arg3153z00_1162); 
{ /* ./Globalize/gloclo.scm 93 */
BgL_varz00_bglt BgL_new1633z00_1825;
{ /* ./Globalize/gloclo.scm 93 */
BgL_varz00_bglt BgL_res3955z00_1831;
{ /* ./Globalize/gloclo.scm 93 */
BgL_varz00_bglt BgL_new1635z00_1826;
BgL_new1635z00_1826 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* ./Globalize/gloclo.scm 93 */
long BgL_arg3788z00_1827;
BgL_arg3788z00_1827 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* ./Globalize/gloclo.scm 93 */
BgL_objectz00_bglt BgL_objz00_1828;
BgL_objz00_1828 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1826); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1828, BgL_arg3788z00_1827); } } 
{ /* ./Globalize/gloclo.scm 93 */
BgL_objectz00_bglt BgL_auxz00_2899;
BgL_auxz00_2899 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1826); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2899, BFALSE); } 
{ /* ./Globalize/gloclo.scm 93 */
obj_t BgL_objz00_1830;
BgL_objz00_1830 = 
(obj_t)(BgL_new1635z00_1826); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1830); BUNSPEC; } 
BgL_res3955z00_1831 = BgL_new1635z00_1826; } 
BgL_new1633z00_1825 = BgL_res3955z00_1831; } 
{ /* ./Globalize/gloclo.scm 93 */
BgL_varz00_bglt BgL_res3956z00_1839;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1825))->BgL_locz00) = ((obj_t)BgL_arg3151z00_1160), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1825))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1631z00_1823), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1825))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_1824), BUNSPEC); 
BgL_res3956z00_1839 = BgL_new1633z00_1825; BgL_res3956z00_1839; } 
BgL_res3957z00_1840 = BgL_new1633z00_1825; } } 
BgL_arg3147z00_1158 = BgL_res3957z00_1840; } } 
{ /* ./Globalize/gloclo.scm 100 */
bool_t BgL_test3155z00_1164;
BgL_test3155z00_1164 = 
NULLP(BgL_newzd2argszd2_1143); 
if(BgL_test3155z00_1164)
{ /* ./Globalize/gloclo.scm 100 */
BgL_arg3148z00_1159 = BNIL; }  else 
{ /* ./Globalize/gloclo.scm 100 */
obj_t BgL_head3112z00_1165;
BgL_head3112z00_1165 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l3110z00_1166;obj_t BgL_tail3113z00_1167;
BgL_l3110z00_1166 = BgL_newzd2argszd2_1143; 
BgL_tail3113z00_1167 = BgL_head3112z00_1165; 
BgL_map3111z00_1168:
{ /* ./Globalize/gloclo.scm 100 */
bool_t BgL_test3157z00_1169;
BgL_test3157z00_1169 = 
NULLP(BgL_l3110z00_1166); 
if(BgL_test3157z00_1169)
{ /* ./Globalize/gloclo.scm 100 */
BgL_arg3148z00_1159 = 
CDR(BgL_head3112z00_1165); }  else 
{ /* ./Globalize/gloclo.scm 101 */
obj_t BgL_newtail3114z00_1170;
{ /* ./Globalize/gloclo.scm 101 */
BgL_varz00_bglt BgL_arg3165z00_1172;
{ /* ./Globalize/gloclo.scm 101 */
obj_t BgL_vz00_1174;
BgL_vz00_1174 = 
CAR(BgL_l3110z00_1166); 
{ /* ./Globalize/gloclo.scm 102 */
obj_t BgL_arg3169z00_1175;obj_t BgL_arg3170z00_1176;obj_t BgL_arg3171z00_1177;
BgL_arg3169z00_1175 = BgL_locz00_1144; 
BgL_arg3170z00_1176 = BGl_za2objza2z00zztype_cachez00; 
BgL_arg3171z00_1177 = BgL_vz00_1174; 
{ /* ./Globalize/gloclo.scm 101 */
BgL_varz00_bglt BgL_res3960z00_1865;
{ /* ./Globalize/gloclo.scm 101 */
BgL_typez00_bglt BgL_type1631z00_1848;BgL_variablez00_bglt BgL_variable1632z00_1849;
BgL_type1631z00_1848 = 
(BgL_typez00_bglt)(BgL_arg3170z00_1176); 
BgL_variable1632z00_1849 = 
(BgL_variablez00_bglt)(BgL_arg3171z00_1177); 
{ /* ./Globalize/gloclo.scm 101 */
BgL_varz00_bglt BgL_new1633z00_1850;
{ /* ./Globalize/gloclo.scm 101 */
BgL_varz00_bglt BgL_res3958z00_1856;
{ /* ./Globalize/gloclo.scm 101 */
BgL_varz00_bglt BgL_new1635z00_1851;
BgL_new1635z00_1851 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* ./Globalize/gloclo.scm 101 */
long BgL_arg3788z00_1852;
BgL_arg3788z00_1852 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* ./Globalize/gloclo.scm 101 */
BgL_objectz00_bglt BgL_objz00_1853;
BgL_objz00_1853 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1851); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1853, BgL_arg3788z00_1852); } } 
{ /* ./Globalize/gloclo.scm 101 */
BgL_objectz00_bglt BgL_auxz00_2920;
BgL_auxz00_2920 = 
(BgL_objectz00_bglt)(BgL_new1635z00_1851); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2920, BFALSE); } 
{ /* ./Globalize/gloclo.scm 101 */
obj_t BgL_objz00_1855;
BgL_objz00_1855 = 
(obj_t)(BgL_new1635z00_1851); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1855); BUNSPEC; } 
BgL_res3958z00_1856 = BgL_new1635z00_1851; } 
BgL_new1633z00_1850 = BgL_res3958z00_1856; } 
{ /* ./Globalize/gloclo.scm 101 */
BgL_varz00_bglt BgL_res3959z00_1864;
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1850))->BgL_locz00) = ((obj_t)BgL_arg3169z00_1175), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1850))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1631z00_1848), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1633z00_1850))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_variable1632z00_1849), BUNSPEC); 
BgL_res3959z00_1864 = BgL_new1633z00_1850; BgL_res3959z00_1864; } 
BgL_res3960z00_1865 = BgL_new1633z00_1850; } } 
BgL_arg3165z00_1172 = BgL_res3960z00_1865; } } } 
{ /* ./Globalize/gloclo.scm 100 */
obj_t BgL_obj1z00_1866;
BgL_obj1z00_1866 = 
(obj_t)(BgL_arg3165z00_1172); 
BgL_newtail3114z00_1170 = 
MAKE_PAIR(BgL_obj1z00_1866, BNIL); } } 
SET_CDR(BgL_tail3113z00_1167, BgL_newtail3114z00_1170); 
{ /* ./Globalize/gloclo.scm 100 */
obj_t BgL_arg3161z00_1171;
BgL_arg3161z00_1171 = 
CDR(BgL_l3110z00_1166); 
{ 
obj_t BgL_tail3113z00_2933;obj_t BgL_l3110z00_2932;
BgL_l3110z00_2932 = BgL_arg3161z00_1171; 
BgL_tail3113z00_2933 = BgL_newtail3114z00_1170; 
BgL_tail3113z00_1167 = BgL_tail3113z00_2933; 
BgL_l3110z00_1166 = BgL_l3110z00_2932; 
goto BgL_map3111z00_1168;} } } } } } } 
{ /* ./Globalize/gloclo.scm 90 */
BgL_appz00_bglt BgL_res3963z00_1898;
{ /* ./Globalize/gloclo.scm 90 */
BgL_typez00_bglt BgL_type1743z00_1872;obj_t BgL_key1745z00_1874;
BgL_type1743z00_1872 = 
(BgL_typez00_bglt)(BgL_arg3145z00_1156); 
BgL_key1745z00_1874 = 
BINT(((long)-1)); 
{ /* ./Globalize/gloclo.scm 90 */
BgL_appz00_bglt BgL_new1748z00_1877;
{ /* ./Globalize/gloclo.scm 90 */
BgL_appz00_bglt BgL_res3961z00_1883;
{ /* ./Globalize/gloclo.scm 90 */
BgL_appz00_bglt BgL_new1750z00_1878;
BgL_new1750z00_1878 = 
((BgL_appz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_appz00_bgl) ))); 
{ /* ./Globalize/gloclo.scm 90 */
long BgL_arg3752z00_1879;
BgL_arg3752z00_1879 = 
BGl_classzd2numzd2zz__objectz00(BGl_appz00zzast_nodez00); 
{ /* ./Globalize/gloclo.scm 90 */
BgL_objectz00_bglt BgL_objz00_1880;
BgL_objz00_1880 = 
(BgL_objectz00_bglt)(BgL_new1750z00_1878); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1880, BgL_arg3752z00_1879); } } 
{ /* ./Globalize/gloclo.scm 90 */
BgL_objectz00_bglt BgL_auxz00_2940;
BgL_auxz00_2940 = 
(BgL_objectz00_bglt)(BgL_new1750z00_1878); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2940, BFALSE); } 
{ /* ./Globalize/gloclo.scm 90 */
obj_t BgL_objz00_1882;
BgL_objz00_1882 = 
(obj_t)(BgL_new1750z00_1878); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1882); BUNSPEC; } 
BgL_res3961z00_1883 = BgL_new1750z00_1878; } 
BgL_new1748z00_1877 = BgL_res3961z00_1883; } 
{ /* ./Globalize/gloclo.scm 90 */
BgL_appz00_bglt BgL_res3962z00_1897;
((((BgL_appz00_bglt)CREF(BgL_new1748z00_1877))->BgL_locz00) = ((obj_t)BgL_arg3144z00_1155), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_1877))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1743z00_1872), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_1877))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_1877))->BgL_keyz00) = ((obj_t)BgL_key1745z00_1874), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_1877))->BgL_funz00) = ((BgL_varz00_bglt)BgL_arg3147z00_1158), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1748z00_1877))->BgL_argsz00) = ((obj_t)BgL_arg3148z00_1159), BUNSPEC); 
BgL_res3962z00_1897 = BgL_new1748z00_1877; BgL_res3962z00_1897; } 
BgL_res3963z00_1898 = BgL_new1748z00_1877; } } 
BgL_arg3141z00_1154 = BgL_res3963z00_1898; } } 
{ /* ./Globalize/gloclo.scm 89 */
BgL_sfunz00_bglt BgL_obj1375z00_1899;obj_t BgL_val1374z00_1900;
BgL_obj1375z00_1899 = 
(BgL_sfunz00_bglt)(BgL_newzd2funzd2_1146); 
BgL_val1374z00_1900 = 
(obj_t)(BgL_arg3141z00_1154); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1375z00_1899))->BgL_bodyz00) = ((obj_t)BgL_val1374z00_1900), BUNSPEC); } } 
return 
(BgL_globalz00_bglt)(BgL_glocloz00_1145);} } } } } } } } } } 
}



/* _make-global-closure */
obj_t BGl__makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75(obj_t BgL_envz00_2691, obj_t BgL_globalz00_2692)
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 47 */
{ /* ./Globalize/gloclo.scm 48 */
BgL_globalz00_bglt BgL_auxz00_2955;
BgL_auxz00_2955 = 
BGl_makezd2globalzd2closurez00zzglobaliza7e_globalzd2closurez75(
(BgL_globalz00_bglt)(BgL_globalz00_2692)); 
return 
(obj_t)(BgL_auxz00_2955);} } 
}



/* foreign-closures */
BGL_EXPORTED_DEF obj_t BGl_foreignzd2closureszd2zzglobaliza7e_globalzd2closurez75()
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 119 */
{ /* ./Globalize/gloclo.scm 120 */
obj_t BgL_resz00_1213;
BgL_resz00_1213 = BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75; 
BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75 = BNIL; 
return BgL_resz00_1213;} } 
}



/* _foreign-closures */
obj_t BGl__foreignzd2closureszd2zzglobaliza7e_globalzd2closurez75(obj_t BgL_envz00_2693)
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 119 */
return 
BGl_foreignzd2closureszd2zzglobaliza7e_globalzd2closurez75();} 
}



/* gloclo */
obj_t BGl_glocloz00zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt BgL_globalz00_4, BgL_localz00_bglt BgL_envz00_5, obj_t BgL_argsz00_6)
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 127 */
{ /* ./Globalize/gloclo.scm 128 */
long BgL_arityz00_1214;
{ /* ./Globalize/gloclo.scm 128 */
BgL_funz00_bglt BgL_obj1311z00_1902;
{ /* ./Globalize/gloclo.scm 128 */
BgL_valuez00_bglt BgL_auxz00_2960;
{ /* ./Globalize/gloclo.scm 128 */
BgL_variablez00_bglt BgL_obj1104z00_1901;
BgL_obj1104z00_1901 = 
(BgL_variablez00_bglt)(BgL_globalz00_4); 
BgL_auxz00_2960 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1901))->BgL_valuez00); } 
BgL_obj1311z00_1902 = 
(BgL_funz00_bglt)(BgL_auxz00_2960); } 
BgL_arityz00_1214 = 
(((BgL_funz00_bglt)CREF(BgL_obj1311z00_1902))->BgL_arityz00); } 
{ /* ./Globalize/gloclo.scm 128 */
obj_t BgL_idz00_1215;
{ /* ./Globalize/gloclo.scm 129 */
obj_t BgL_strz00_1243;
{ /* ./Globalize/gloclo.scm 129 */
obj_t BgL_arg3359z00_1255;
{ /* ./Globalize/gloclo.scm 131 */
obj_t BgL_arg3362z00_1256;
{ /* ./Globalize/gloclo.scm 131 */
BgL_variablez00_bglt BgL_obj1097z00_1903;
BgL_obj1097z00_1903 = 
(BgL_variablez00_bglt)(BgL_globalz00_4); 
BgL_arg3362z00_1256 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1903))->BgL_idz00); } 
BgL_arg3359z00_1255 = 
SYMBOL_TO_STRING(BgL_arg3362z00_1256); } 
BgL_strz00_1243 = 
string_append(BGl_string4100z00zzglobaliza7e_globalzd2closurez75, BgL_arg3359z00_1255); } 
{ /* ./Globalize/gloclo.scm 132 */
bool_t BgL_test3332z00_1244;
{ /* ./Globalize/gloclo.scm 132 */
char * BgL_auxz00_2969;
BgL_auxz00_2969 = 
BSTRING_TO_STRING(BgL_strz00_1243); 
BgL_test3332z00_1244 = 
symbol_exists_p(BgL_auxz00_2969); } 
if(BgL_test3332z00_1244)
{ /* ./Globalize/gloclo.scm 133 */
obj_t BgL_arg3334z00_1245;
{ /* ./Globalize/gloclo.scm 133 */
obj_t BgL_arg3337z00_1246;obj_t BgL_arg3338z00_1247;
BgL_arg3337z00_1246 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Globalize/gloclo.scm 133 */
BgL_variablez00_bglt BgL_obj1097z00_1905;
BgL_obj1097z00_1905 = 
(BgL_variablez00_bglt)(BgL_globalz00_4); 
BgL_arg3338z00_1247 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1905))->BgL_idz00); } 
{ /* ./Globalize/gloclo.scm 133 */
obj_t BgL_list3340z00_1248;
{ /* ./Globalize/gloclo.scm 133 */
obj_t BgL_arg3342z00_1249;
BgL_arg3342z00_1249 = 
MAKE_PAIR(BgL_arg3338z00_1247, BNIL); 
BgL_list3340z00_1248 = 
MAKE_PAIR(BgL_arg3337z00_1246, BgL_arg3342z00_1249); } 
BgL_arg3334z00_1245 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3340z00_1248); } } 
BgL_idz00_1215 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BgL_arg3334z00_1245, BEOA); }  else 
{ /* ./Globalize/gloclo.scm 134 */
obj_t BgL_arg3347z00_1250;obj_t BgL_arg3348z00_1251;
BgL_arg3347z00_1250 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Globalize/gloclo.scm 134 */
BgL_variablez00_bglt BgL_obj1097z00_1906;
BgL_obj1097z00_1906 = 
(BgL_variablez00_bglt)(BgL_globalz00_4); 
BgL_arg3348z00_1251 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1906))->BgL_idz00); } 
{ /* ./Globalize/gloclo.scm 134 */
obj_t BgL_list3350z00_1252;
{ /* ./Globalize/gloclo.scm 134 */
obj_t BgL_arg3352z00_1253;
BgL_arg3352z00_1253 = 
MAKE_PAIR(BgL_arg3348z00_1251, BNIL); 
BgL_list3350z00_1252 = 
MAKE_PAIR(BgL_arg3347z00_1250, BgL_arg3352z00_1253); } 
BgL_idz00_1215 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3350z00_1252); } } } } 
{ /* ./Globalize/gloclo.scm 129 */
BgL_globalz00_bglt BgL_glocloz00_1216;
{ /* ./Globalize/gloclo.scm 135 */
obj_t BgL_arg3310z00_1232;obj_t BgL_arg3311z00_1233;obj_t BgL_arg3312z00_1234;obj_t BgL_arg3313z00_1235;obj_t BgL_arg3314z00_1236;obj_t BgL_arg3315z00_1237;obj_t BgL_arg3316z00_1238;
BgL_arg3310z00_1232 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_idz00_1215, 
CNST_TABLE_REF(((long)2))); 
{ /* ./Globalize/gloclo.scm 136 */
obj_t BgL_arg3320z00_1239;
BgL_arg3320z00_1239 = 
BGl_zb2zd2arityz60zztools_argsz00(
BINT(BgL_arityz00_1214), 
BINT(((long)1))); 
BgL_arg3311z00_1233 = 
BGl_makezd2nzd2protoz00zztools_argsz00(BgL_arg3320z00_1239); } 
{ /* ./Globalize/gloclo.scm 137 */
obj_t BgL_auxz00_2993;
BgL_auxz00_2993 = 
(obj_t)(BgL_envz00_5); 
BgL_arg3312z00_1234 = 
MAKE_PAIR(BgL_auxz00_2993, BgL_argsz00_6); } 
{ /* ./Globalize/gloclo.scm 138 */
bool_t BgL_test3324z00_1240;
{ /* ./Globalize/gloclo.scm 138 */
obj_t BgL_auxz00_2998;obj_t BgL_auxz00_2996;
BgL_auxz00_2998 = 
CNST_TABLE_REF(((long)3)); 
BgL_auxz00_2996 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_4))->BgL_importz00); 
BgL_test3324z00_1240 = 
(BgL_auxz00_2996==BgL_auxz00_2998); } 
if(BgL_test3324z00_1240)
{ /* ./Globalize/gloclo.scm 138 */
BgL_arg3313z00_1235 = BGl_za2moduleza2z00zzmodule_modulez00; }  else 
{ /* ./Globalize/gloclo.scm 138 */
BgL_arg3313z00_1235 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_4))->BgL_modulez00); } } 
BgL_arg3314z00_1236 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_4))->BgL_importz00); 
BgL_arg3315z00_1237 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg3316z00_1238 = 
CNST_TABLE_REF(((long)5)); 
BgL_glocloz00_1216 = 
BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(BgL_arg3310z00_1232, BgL_arg3311z00_1233, BgL_arg3312z00_1234, BgL_arg3313z00_1235, BgL_arg3314z00_1236, BgL_arg3315z00_1237, BgL_arg3316z00_1238, BUNSPEC); } 
{ /* ./Globalize/gloclo.scm 135 */

{ /* ./Globalize/gloclo.scm 145 */
BgL_globalzf2ginfozf2_bglt BgL_obj3050z00_1910;obj_t BgL_val3049z00_1911;
BgL_obj3050z00_1910 = 
(BgL_globalzf2ginfozf2_bglt)(BgL_globalz00_4); 
BgL_val3049z00_1911 = 
(obj_t)(BgL_glocloz00_1216); 
{ 
obj_t BgL_auxz00_3009;
{ /* ./Globalize/gloclo.scm 145 */
BgL_objectz00_bglt BgL_auxz00_3010;
BgL_auxz00_3010 = 
(BgL_objectz00_bglt)(BgL_obj3050z00_1910); 
BgL_auxz00_3009 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3010); } 
((((BgL_globalzf2ginfozf2_bglt)CREF(BgL_auxz00_3009))->BgL_globalzd2closurezd2) = ((obj_t)BgL_val3049z00_1911), BUNSPEC); } } 
{ /* ./Globalize/gloclo.scm 148 */
bool_t BgL_test3266z00_1217;
{ /* ./Globalize/gloclo.scm 148 */
BgL_valuez00_bglt BgL_arg3277z00_1221;
{ /* ./Globalize/gloclo.scm 148 */
BgL_variablez00_bglt BgL_obj1104z00_1912;
BgL_obj1104z00_1912 = 
(BgL_variablez00_bglt)(BgL_globalz00_4); 
BgL_arg3277z00_1221 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1912))->BgL_valuez00); } 
{ /* ./Globalize/gloclo.scm 148 */
obj_t BgL_obj1426z00_1913;
BgL_obj1426z00_1913 = 
(obj_t)(BgL_arg3277z00_1221); 
BgL_test3266z00_1217 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1426z00_1913, BGl_sfunz00zzast_varz00); } } 
if(BgL_test3266z00_1217)
{ /* ./Globalize/gloclo.scm 149 */
BgL_valuez00_bglt BgL_arg3268z00_1218;obj_t BgL_arg3269z00_1219;
{ /* ./Globalize/gloclo.scm 149 */
BgL_variablez00_bglt BgL_obj1104z00_1914;
BgL_obj1104z00_1914 = 
(BgL_variablez00_bglt)(BgL_glocloz00_1216); 
BgL_arg3268z00_1218 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1914))->BgL_valuez00); } 
{ /* ./Globalize/gloclo.scm 150 */
BgL_sfunz00_bglt BgL_obj1382z00_1916;
{ /* ./Globalize/gloclo.scm 150 */
BgL_valuez00_bglt BgL_auxz00_3021;
{ /* ./Globalize/gloclo.scm 150 */
BgL_variablez00_bglt BgL_obj1104z00_1915;
BgL_obj1104z00_1915 = 
(BgL_variablez00_bglt)(BgL_globalz00_4); 
BgL_auxz00_3021 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1915))->BgL_valuez00); } 
BgL_obj1382z00_1916 = 
(BgL_sfunz00_bglt)(BgL_auxz00_3021); } 
BgL_arg3269z00_1219 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1382z00_1916))->BgL_locz00); } 
{ /* ./Globalize/gloclo.scm 149 */
BgL_sfunz00_bglt BgL_obj1384z00_1917;
BgL_obj1384z00_1917 = 
(BgL_sfunz00_bglt)(BgL_arg3268z00_1218); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1384z00_1917))->BgL_locz00) = ((obj_t)BgL_arg3269z00_1219), BUNSPEC); } }  else 
{ /* ./Globalize/gloclo.scm 148 */BFALSE; } } 
{ /* ./Globalize/gloclo.scm 160 */
bool_t BgL_test3280z00_1222;
{ /* ./Globalize/gloclo.scm 160 */
obj_t BgL_auxz00_3030;obj_t BgL_auxz00_3028;
BgL_auxz00_3030 = 
CNST_TABLE_REF(((long)3)); 
BgL_auxz00_3028 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_4))->BgL_importz00); 
BgL_test3280z00_1222 = 
(BgL_auxz00_3028==BgL_auxz00_3030); } 
if(BgL_test3280z00_1222)
{ /* ./Globalize/gloclo.scm 160 */
{ /* ./Globalize/gloclo.scm 162 */
obj_t BgL_auxz00_3034;
BgL_auxz00_3034 = 
(obj_t)(BgL_glocloz00_1216); 
BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75 = 
MAKE_PAIR(BgL_auxz00_3034, BGl_za2foreignzd2closuresza2zd2zzglobaliza7e_globalzd2closurez75); } 
{ /* ./Globalize/gloclo.scm 163 */
BgL_variablez00_bglt BgL_obj1115z00_1920;obj_t BgL_val1114z00_1921;
BgL_obj1115z00_1920 = 
(BgL_variablez00_bglt)(BgL_glocloz00_1216); 
BgL_val1114z00_1921 = 
CNST_TABLE_REF(((long)6)); 
((((BgL_variablez00_bglt)CREF(BgL_obj1115z00_1920))->BgL_removablez00) = ((obj_t)BgL_val1114z00_1921), BUNSPEC); } 
{ /* ./Globalize/gloclo.scm 164 */
obj_t BgL_val1175z00_1923;
BgL_val1175z00_1923 = 
CNST_TABLE_REF(((long)7)); 
((((BgL_globalz00_bglt)CREF(BgL_glocloz00_1216))->BgL_importz00) = ((obj_t)BgL_val1175z00_1923), BUNSPEC); } }  else 
{ /* ./Globalize/gloclo.scm 160 */
{ /* ./Globalize/gloclo.scm 166 */
bool_t BgL_test3284z00_1223;
{ /* ./Globalize/gloclo.scm 166 */
obj_t BgL_auxz00_3044;obj_t BgL_auxz00_3042;
BgL_auxz00_3044 = 
CNST_TABLE_REF(((long)7)); 
BgL_auxz00_3042 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_4))->BgL_importz00); 
BgL_test3284z00_1223 = 
(BgL_auxz00_3042==BgL_auxz00_3044); } 
if(BgL_test3284z00_1223)
{ /* ./Globalize/gloclo.scm 166 */BFALSE; }  else 
{ /* ./Globalize/gloclo.scm 167 */
BgL_variablez00_bglt BgL_obj1115z00_1925;obj_t BgL_val1114z00_1926;
BgL_obj1115z00_1925 = 
(BgL_variablez00_bglt)(BgL_glocloz00_1216); 
BgL_val1114z00_1926 = 
CNST_TABLE_REF(((long)6)); 
((((BgL_variablez00_bglt)CREF(BgL_obj1115z00_1925))->BgL_removablez00) = ((obj_t)BgL_val1114z00_1926), BUNSPEC); } } 
{ /* ./Globalize/gloclo.scm 168 */
obj_t BgL_val1175z00_1928;
BgL_val1175z00_1928 = 
CNST_TABLE_REF(((long)7)); 
((((BgL_globalz00_bglt)CREF(BgL_glocloz00_1216))->BgL_importz00) = ((obj_t)BgL_val1175z00_1928), BUNSPEC); } } } 
{ /* ./Globalize/gloclo.scm 169 */
BgL_valuez00_bglt BgL_arg3298z00_1228;obj_t BgL_arg3299z00_1229;
{ /* ./Globalize/gloclo.scm 169 */
BgL_variablez00_bglt BgL_obj1104z00_1929;
BgL_obj1104z00_1929 = 
(BgL_variablez00_bglt)(BgL_glocloz00_1216); 
BgL_arg3298z00_1228 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1929))->BgL_valuez00); } 
{ /* ./Globalize/gloclo.scm 170 */
BgL_funz00_bglt BgL_obj1312z00_1931;
{ /* ./Globalize/gloclo.scm 170 */
BgL_valuez00_bglt BgL_auxz00_3055;
{ /* ./Globalize/gloclo.scm 170 */
BgL_variablez00_bglt BgL_obj1104z00_1930;
BgL_obj1104z00_1930 = 
(BgL_variablez00_bglt)(BgL_globalz00_4); 
BgL_auxz00_3055 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1930))->BgL_valuez00); } 
BgL_obj1312z00_1931 = 
(BgL_funz00_bglt)(BgL_auxz00_3055); } 
BgL_arg3299z00_1229 = 
(((BgL_funz00_bglt)CREF(BgL_obj1312z00_1931))->BgL_sidezd2effectzf3z21); } 
{ /* ./Globalize/gloclo.scm 169 */
BgL_funz00_bglt BgL_obj1314z00_1932;
BgL_obj1314z00_1932 = 
(BgL_funz00_bglt)(BgL_arg3298z00_1228); 
((((BgL_funz00_bglt)CREF(BgL_obj1314z00_1932))->BgL_sidezd2effectzf3z21) = ((obj_t)BgL_arg3299z00_1229), BUNSPEC); } } 
{ /* ./Globalize/gloclo.scm 171 */
bool_t BgL_test3306z00_1231;
{ /* ./Globalize/gloclo.scm 171 */
obj_t BgL_obj1248z00_1934;
BgL_obj1248z00_1934 = 
(obj_t)(BgL_glocloz00_1216); 
BgL_test3306z00_1231 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1248z00_1934, BGl_globalz00zzast_varz00); } 
if(BgL_test3306z00_1231)
{ /* ./Globalize/gloclo.scm 171 */
return 
(obj_t)(BgL_glocloz00_1216);}  else 
{ /* ./Globalize/gloclo.scm 171 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string4101z00zzglobaliza7e_globalzd2closurez75, BGl_string4102z00zzglobaliza7e_globalzd2closurez75, 
(obj_t)(BgL_glocloz00_1216));} } } } } } } 
}



/* variable-value */
BgL_valuez00_bglt BGl_variablezd2valuezd2zzglobaliza7e_globalzd2closurez75(BgL_variablez00_bglt BgL_obj1104z00_1054)
{ AN_OBJECT;
{ /* ./Ast/var.scm 21 */
return 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1054))->BgL_valuez00);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzglobaliza7e_globalzd2closurez75()
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_globalzd2closurez75()
{ AN_OBJECT;
{ /* ./Globalize/gloclo.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)42726), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)15705), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zzast_localz00(((long)28959), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long)4795), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long)0), "globalize_global-closure"); 
BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(((long)60835), "globalize_global-closure"); 
return 
BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(((long)30276), "globalize_global-closure");} 
}

