/*===========================================================================*/
/*   (Jvm/effect.scm)                                                        */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Jvm/effect.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_conditionalz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vrefz00zzast_nodez00;
static obj_t BGl_methodzd2initzd2zzjvm_effectz00();
extern obj_t BGl_compilerzd2boxzd2setz12z12zzjvm_compilerz00(BgL_boxzd2setz12zc0_bglt, BgL_envz00_bglt);
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_compilezd2effectzd2setq2977z00zzjvm_effectz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_compilezd2effectzd2conditional2981z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_letzd2funzd2_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2effectzd2isa3009z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2getfield2995z00zzjvm_effectz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2setfield2997z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_pragmaz00zzast_nodez00;
extern obj_t BGl_compilezd2typezd2zzjvm_envz00(obj_t, BgL_envz00_bglt);
static obj_t BGl_compilezd2effectzd2sequence2979z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2valloc3001z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_castz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2effectzd2vsetz123005z12zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2atom2971z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2letzd2fun2985zd2zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzjvm_effectz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2funcall2991z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2letzd2var2975zd2zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_effectz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
BGL_EXPORTED_DECL obj_t BGl_compilezd2effectzd2zzjvm_effectz00(BgL_nodez00_bglt, BgL_envz00_bglt);
extern obj_t BGl_getfieldz00zzast_nodez00;
extern obj_t BGl_isaz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2app2987z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2vsetzd2zzjvm_compilerz00(BgL_vsetz12z12_bglt, BgL_envz00_bglt);
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2setzd2exzd2it3013z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_selectz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2effectzd2fail3017z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
extern obj_t BGl_vallocz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzjvm_effectz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl_compilezd2effectzd2vlength3007z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzjvm_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_exprz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_compilerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_compilerzd2setqzd2zzjvm_compilerz00(BgL_setqz00_bglt, BgL_envz00_bglt);
extern obj_t BGl__popz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl__compilezd2effectzd2zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2appzd2ly2989zd2zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_compilerzd2setfieldzd2zzjvm_compilerz00(BgL_setfieldz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2effectzd2boxzd2ref3021zd2zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_newz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_letzd2varzd2_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2effectzd2cast3011z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2makezd2box3019zd2zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2boxzd2setz123023zc0zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2new2999z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl__compilezd2effectzd2default2967z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_sequencez00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vlengthz00zzast_nodez00;
extern obj_t BGl_setfieldz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2select2983z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2default2967z00zzjvm_effectz00(BgL_nodez00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2effectzd2pragma2993z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_effectz00 = BUNSPEC;
extern obj_t BGl_compilezd2exprzd2zzjvm_exprz00(BgL_nodez00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2effectzd2jumpzd2exzd2it3015z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2var2973z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_effectz00();
extern obj_t BGl_vsetz12z12zzast_nodez00;
static obj_t BGl_compilezd2effectzd2vref3003z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 2 ] ;


DEFINE_STATIC_PROCEDURE( BGl_proc3984z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2atom2971za700za7za7jvm_effectza7004038z00, BGl_compilezd2effectzd2atom2971z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3985z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2var2973za700za7za7jvm_effectza7004039z00, BGl_compilezd2effectzd2var2973z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3986z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2letza7d2var2975za7d2za7za7jvm_effectza7004040za7, BGl_compilezd2effectzd2letzd2var2975zd2zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3987z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2setq2977za700za7za7jvm_effectza7004041z00, BGl_compilezd2effectzd2setq2977z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3988z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2sequence2979za700za7za7jvm_effectza7004042z00, BGl_compilezd2effectzd2sequence2979z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3990z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2select2983za700za7za7jvm_effectza7004043z00, BGl_compilezd2effectzd2select2983z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3989z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2conditional2981za700za7za7jvm_effectza7004044z00, BGl_compilezd2effectzd2conditional2981z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3991z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2letza7d2fun2985za7d2za7za7jvm_effectza7004045za7, BGl_compilezd2effectzd2letzd2fun2985zd2zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3992z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2app2987za700za7za7jvm_effectza7004046z00, BGl_compilezd2effectzd2app2987z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3993z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2appza7d2ly2989za7d2za7za7jvm_effectza7004047za7, BGl_compilezd2effectzd2appzd2ly2989zd2zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3994z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2funcall2991za700za7za7jvm_effectza7004048z00, BGl_compilezd2effectzd2funcall2991z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3995z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2pragma2993za700za7za7jvm_effectza7004049z00, BGl_compilezd2effectzd2pragma2993z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3996z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2getfield2995za700za7za7jvm_effectza7004050z00, BGl_compilezd2effectzd2getfield2995z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3997z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2setfield2997za700za7za7jvm_effectza7004051z00, BGl_compilezd2effectzd2setfield2997z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3998z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2new2999za700za7za7jvm_effectza7004052z00, BGl_compilezd2effectzd2new2999z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3999z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2valloc3001za700za7za7jvm_effectza7004053z00, BGl_compilezd2effectzd2valloc3001z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_compilezd2effectzd2default2967zd2envzd2zzjvm_effectz00, BgL_bgl__compileza7d2effectza7d2default2967za700za7za7jvm_effectza7004054z00, BGl__compilezd2effectzd2default2967z00zzjvm_effectz00, 0L, 2 );
DEFINE_STRING( BGl_string4012z00zzjvm_effectz00, BgL_bgl_string4012za700za7za7jvm_effectza7004055z00, "compile-effect-default2967 ok ", 30 );
DEFINE_STRING( BGl_string4011z00zzjvm_effectz00, BgL_bgl_string4011za700za7za7jvm_effectza7004056z00, "No method for this object", 25 );
DEFINE_EXPORT_GENERIC( BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_bgl__compileza7d2effectza7d2za7za7jvm_effectza7004057za7, BGl__compilezd2effectzd2zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4000z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2vref3003za700za7za7jvm_effectza7004058z00, BGl_compilezd2effectzd2vref3003z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4001z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2vsetza7123005za712za7za7jvm_effectza7004059za7, BGl_compilezd2effectzd2vsetz123005z12zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4002z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2vlength3007za700za7za7jvm_effectza7004060z00, BGl_compilezd2effectzd2vlength3007z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4003z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2isa3009za700za7za7jvm_effectza7004061z00, BGl_compilezd2effectzd2isa3009z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4004z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2cast3011za700za7za7jvm_effectza7004062z00, BGl_compilezd2effectzd2cast3011z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4005z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2setza7d2exza7d2it3013za700za7za7jvm_effectza7004063z00, BGl_compilezd2effectzd2setzd2exzd2it3013z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4006z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2jumpza7d2exza7d2it3015za700za7za7jvm_effectza7004064z00, BGl_compilezd2effectzd2jumpzd2exzd2it3015z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4007z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2fail3017za700za7za7jvm_effectza7004065z00, BGl_compilezd2effectzd2fail3017z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4008z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2makeza7d2box3019za7d2za7za7jvm_effectza7004066za7, BGl_compilezd2effectzd2makezd2box3019zd2zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4010z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2boxza7d2setza7123023za7c0za7za7jvm_effectza7004067z00, BGl_compilezd2effectzd2boxzd2setz123023zc0zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4009z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2boxza7d2ref3021za7d2za7za7jvm_effectza7004068za7, BGl_compilezd2effectzd2boxzd2ref3021zd2zzjvm_effectz00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzjvm_effectz00(long BgL_checksumz00_2689, char * BgL_fromz00_2690)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_effectz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_effectz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_effectz00(); 
BGl_cnstzd2initzd2zzjvm_effectz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_effectz00(); 
BGl_methodzd2initzd2zzjvm_effectz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_effectz00()
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 2 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_effect"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_effect"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_effectz00()
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 2 */
{ /* ./Jvm/effect.scm 2 */
obj_t BgL_cportz00_2682;
BgL_cportz00_2682 = 
open_input_string(BGl_string4012z00zzjvm_effectz00); 
{ 
long BgL_iz00_2683;
BgL_iz00_2683 = ((long)1); 
BgL_loopz00_2684:
{ /* ./Jvm/effect.scm 2 */
bool_t BgL_test4014z00_2685;
BgL_test4014z00_2685 = 
(BgL_iz00_2683==((long)-1)); 
if(BgL_test4014z00_2685)
{ /* ./Jvm/effect.scm 2 */
return BUNSPEC;}  else 
{ /* ./Jvm/effect.scm 2 */
{ /* ./Jvm/effect.scm 2 */
obj_t BgL_arg4016z00_2686;
{ /* ./Jvm/effect.scm 2 */
obj_t BgL_list4019z00_2687;
BgL_list4019z00_2687 = 
MAKE_PAIR(BgL_cportz00_2682, BNIL); 
BgL_arg4016z00_2686 = 
BGl_readz00zz__readerz00(BgL_list4019z00_2687); } 
{ /* ./Jvm/effect.scm 2 */
int BgL_auxz00_2705;
BgL_auxz00_2705 = 
(int)(BgL_iz00_2683); 
CNST_TABLE_SET(BgL_auxz00_2705, BgL_arg4016z00_2686); } } 
{ /* ./Jvm/effect.scm 2 */
int BgL_auxz00_2688;
{ /* ./Jvm/effect.scm 2 */
long BgL_auxz00_2708;
BgL_auxz00_2708 = 
(BgL_iz00_2683-((long)1)); 
BgL_auxz00_2688 = 
(int)(BgL_auxz00_2708); } 
{ 
long BgL_iz00_2711;
BgL_iz00_2711 = 
(long)(BgL_auxz00_2688); 
BgL_iz00_2683 = BgL_iz00_2711; 
goto BgL_loopz00_2684;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_effectz00()
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 2 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_effectz00()
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 2 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_compilezd2effectzd2default2967zd2envzd2zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_atomz00zzast_nodez00, BGl_proc3984z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_varz00zzast_nodez00, BGl_proc3985z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3986z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_setqz00zzast_nodez00, BGl_proc3987z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_sequencez00zzast_nodez00, BGl_proc3988z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_conditionalz00zzast_nodez00, BGl_proc3989z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_selectz00zzast_nodez00, BGl_proc3990z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3991z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_appz00zzast_nodez00, BGl_proc3992z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3993z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_funcallz00zzast_nodez00, BGl_proc3994z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_pragmaz00zzast_nodez00, BGl_proc3995z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_getfieldz00zzast_nodez00, BGl_proc3996z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_setfieldz00zzast_nodez00, BGl_proc3997z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_newz00zzast_nodez00, BGl_proc3998z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_vallocz00zzast_nodez00, BGl_proc3999z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_vrefz00zzast_nodez00, BGl_proc4000z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_vsetz12z12zzast_nodez00, BGl_proc4001z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_vlengthz00zzast_nodez00, BGl_proc4002z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_isaz00zzast_nodez00, BGl_proc4003z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_castz00zzast_nodez00, BGl_proc4004z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc4005z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc4006z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_failz00zzast_nodez00, BGl_proc4007z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc4008z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc4009z00zzjvm_effectz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc4010z00zzjvm_effectz00);} 
}



/* compile-effect-box-set!3023 */
obj_t BGl_compilezd2effectzd2boxzd2setz123023zc0zzjvm_effectz00(obj_t BgL_envz00_2598, obj_t BgL_ez00_2599, obj_t BgL_envz00_2600)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 96 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_ez00_1723;BgL_envz00_bglt BgL_envz00_1724;
BgL_ez00_1723 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_ez00_2599); 
BgL_envz00_1724 = 
(BgL_envz00_bglt)(BgL_envz00_2600); 
return 
BGl_compilerzd2boxzd2setz12z12zzjvm_compilerz00(BgL_ez00_1723, BgL_envz00_1724);} } 
}



/* compile-effect-box-ref3021 */
obj_t BGl_compilezd2effectzd2boxzd2ref3021zd2zzjvm_effectz00(obj_t BgL_envz00_2601, obj_t BgL_ez00_2602, obj_t BgL_envz00_2603)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 93 */
{ 
BgL_boxzd2refzd2_bglt BgL_ez00_1717;BgL_envz00_bglt BgL_envz00_1718;
BgL_ez00_1717 = 
(BgL_boxzd2refzd2_bglt)(BgL_ez00_2602); 
BgL_envz00_1718 = 
(BgL_envz00_bglt)(BgL_envz00_2603); 
return 
CNST_TABLE_REF(((long)0));} } 
}



/* compile-effect-make-box3019 */
obj_t BGl_compilezd2effectzd2makezd2box3019zd2zzjvm_effectz00(obj_t BgL_envz00_2604, obj_t BgL_ez00_2605, obj_t BgL_envz00_2606)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 90 */
{ 
BgL_makezd2boxzd2_bglt BgL_ez00_1710;BgL_envz00_bglt BgL_envz00_1711;
BgL_ez00_1710 = 
(BgL_makezd2boxzd2_bglt)(BgL_ez00_2605); 
BgL_envz00_1711 = 
(BgL_envz00_bglt)(BgL_envz00_2606); 
{ /* ./Jvm/effect.scm 91 */
BgL_nodez00_bglt BgL_arg3694z00_2511;
BgL_arg3694z00_2511 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_ez00_1710))->BgL_valuez00); 
{ /* ./Jvm/effect.scm 91 */
obj_t BgL_method2969z00_2515;
{ /* ./Jvm/effect.scm 91 */
BgL_objectz00_bglt BgL_objz00_2516;
BgL_objz00_2516 = 
(BgL_objectz00_bglt)(BgL_arg3694z00_2511); 
{ /* ./Jvm/effect.scm 91 */
long BgL_objzd2classzd2numz00_2517;
BgL_objzd2classzd2numz00_2517 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2516); 
{ /* ./Jvm/effect.scm 91 */
obj_t BgL_arg1989z00_2518;
{ /* ./Jvm/effect.scm 91 */
int BgL_auxz00_2750;
BgL_auxz00_2750 = 
(int)(((long)1)); 
BgL_arg1989z00_2518 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_2750); } 
{ /* ./Jvm/effect.scm 91 */
int BgL_offsetz00_2521;
BgL_offsetz00_2521 = 
(int)(BgL_objzd2classzd2numz00_2517); 
{ /* ./Jvm/effect.scm 91 */
long BgL_offsetz00_2522;
{ /* ./Jvm/effect.scm 91 */
long BgL_auxz00_2754;
BgL_auxz00_2754 = 
(long)(BgL_offsetz00_2521); 
BgL_offsetz00_2522 = 
(BgL_auxz00_2754-OBJECT_TYPE); } 
{ /* ./Jvm/effect.scm 91 */
long BgL_modz00_2523;
{ /* ./Jvm/effect.scm 91 */
int BgL_arg2000z00_2524;
BgL_arg2000z00_2524 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 91 */
long BgL_n2z00_2532;
BgL_n2z00_2532 = 
(long)(BgL_arg2000z00_2524); 
BgL_modz00_2523 = 
(BgL_offsetz00_2522/BgL_n2z00_2532); } } 
{ /* ./Jvm/effect.scm 91 */
long BgL_restz00_2525;
{ /* ./Jvm/effect.scm 91 */
int BgL_arg1996z00_2526;
BgL_arg1996z00_2526 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 91 */
long BgL_n2z00_2535;
BgL_n2z00_2535 = 
(long)(BgL_arg1996z00_2526); 
BgL_restz00_2525 = 
(BgL_offsetz00_2522%BgL_n2z00_2535); } } 
{ /* ./Jvm/effect.scm 91 */

{ /* ./Jvm/effect.scm 91 */
obj_t BgL_bucketz00_2527;
{ /* ./Jvm/effect.scm 91 */
int BgL_kz00_2537;
BgL_kz00_2537 = 
(int)(BgL_modz00_2523); 
BgL_bucketz00_2527 = 
VECTOR_REF(BgL_arg1989z00_2518,BgL_kz00_2537); } 
{ /* ./Jvm/effect.scm 91 */
int BgL_kz00_2539;
BgL_kz00_2539 = 
(int)(BgL_restz00_2525); 
BgL_method2969z00_2515 = 
VECTOR_REF(BgL_bucketz00_2527,BgL_kz00_2539); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2969z00_2515)(BgL_method2969z00_2515, 
(obj_t)(BgL_arg3694z00_2511), 
(obj_t)(BgL_envz00_1711), BEOA);} } } } 
}



/* compile-effect-fail3017 */
obj_t BGl_compilezd2effectzd2fail3017z00zzjvm_effectz00(obj_t BgL_envz00_2607, obj_t BgL_ez00_2608, obj_t BgL_envz00_2609)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 87 */
{ 
BgL_failz00_bglt BgL_ez00_1704;BgL_envz00_bglt BgL_envz00_1705;
BgL_ez00_1704 = 
(BgL_failz00_bglt)(BgL_ez00_2608); 
BgL_envz00_1705 = 
(BgL_envz00_bglt)(BgL_envz00_2609); 
{ /* ./Jvm/effect.scm 88 */
BgL_nodez00_bglt BgL_ez00_2508;
BgL_ez00_2508 = 
(BgL_nodez00_bglt)(BgL_ez00_1704); 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_ez00_2508, BgL_envz00_1705); 
{ /* ./Jvm/effect.scm 88 */
obj_t BgL_arg3026z00_2510;
BgL_arg3026z00_2510 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_ez00_2508), BgL_envz00_1705); 
return 
BGl__popz00zzjvm_instrz00(BgL_envz00_1705, BgL_arg3026z00_2510);} } } } 
}



/* compile-effect-jump-ex-it3015 */
obj_t BGl_compilezd2effectzd2jumpzd2exzd2it3015z00zzjvm_effectz00(obj_t BgL_envz00_2610, obj_t BgL_ez00_2611, obj_t BgL_envz00_2612)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 84 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_ez00_1698;BgL_envz00_bglt BgL_envz00_1699;
BgL_ez00_1698 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_ez00_2611); 
BgL_envz00_1699 = 
(BgL_envz00_bglt)(BgL_envz00_2612); 
{ /* ./Jvm/effect.scm 85 */
BgL_nodez00_bglt BgL_ez00_2505;
BgL_ez00_2505 = 
(BgL_nodez00_bglt)(BgL_ez00_1698); 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_ez00_2505, BgL_envz00_1699); 
{ /* ./Jvm/effect.scm 85 */
obj_t BgL_arg3026z00_2507;
BgL_arg3026z00_2507 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_ez00_2505), BgL_envz00_1699); 
return 
BGl__popz00zzjvm_instrz00(BgL_envz00_1699, BgL_arg3026z00_2507);} } } } 
}



/* compile-effect-set-ex-it3013 */
obj_t BGl_compilezd2effectzd2setzd2exzd2it3013z00zzjvm_effectz00(obj_t BgL_envz00_2613, obj_t BgL_ez00_2614, obj_t BgL_envz00_2615)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 81 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_ez00_1692;BgL_envz00_bglt BgL_envz00_1693;
BgL_ez00_1692 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_ez00_2614); 
BgL_envz00_1693 = 
(BgL_envz00_bglt)(BgL_envz00_2615); 
{ /* ./Jvm/effect.scm 82 */
BgL_nodez00_bglt BgL_ez00_2502;
BgL_ez00_2502 = 
(BgL_nodez00_bglt)(BgL_ez00_1692); 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_ez00_2502, BgL_envz00_1693); 
{ /* ./Jvm/effect.scm 82 */
obj_t BgL_arg3026z00_2504;
BgL_arg3026z00_2504 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_ez00_2502), BgL_envz00_1693); 
return 
BGl__popz00zzjvm_instrz00(BgL_envz00_1693, BgL_arg3026z00_2504);} } } } 
}



/* compile-effect-cast3011 */
obj_t BGl_compilezd2effectzd2cast3011z00zzjvm_effectz00(obj_t BgL_envz00_2616, obj_t BgL_ez00_2617, obj_t BgL_envz00_2618)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 78 */
{ 
BgL_castz00_bglt BgL_ez00_1686;BgL_envz00_bglt BgL_envz00_1687;
BgL_ez00_1686 = 
(BgL_castz00_bglt)(BgL_ez00_2617); 
BgL_envz00_1687 = 
(BgL_envz00_bglt)(BgL_envz00_2618); 
return 
BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_ez00_1686, BgL_envz00_1687, BGl_compilezd2effectzd2envz00zzjvm_effectz00);} } 
}



/* compile-effect-isa3009 */
obj_t BGl_compilezd2effectzd2isa3009z00zzjvm_effectz00(obj_t BgL_envz00_2619, obj_t BgL_ez00_2620, obj_t BgL_envz00_2621)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 75 */
{ 
BgL_isaz00_bglt BgL_ez00_1678;BgL_envz00_bglt BgL_envz00_1679;
BgL_ez00_1678 = 
(BgL_isaz00_bglt)(BgL_ez00_2620); 
BgL_envz00_1679 = 
(BgL_envz00_bglt)(BgL_envz00_2621); 
{ /* ./Jvm/effect.scm 76 */
obj_t BgL_arg3653z00_2471;
{ /* ./Jvm/effect.scm 76 */
obj_t BgL_auxz00_2797;
{ /* ./Jvm/effect.scm 76 */
BgL_externz00_bglt BgL_obj1826z00_2473;
BgL_obj1826z00_2473 = 
(BgL_externz00_bglt)(BgL_ez00_1678); 
BgL_auxz00_2797 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_2473))->BgL_exprza2za2); } 
BgL_arg3653z00_2471 = 
CAR(BgL_auxz00_2797); } 
{ /* ./Jvm/effect.scm 76 */
BgL_nodez00_bglt BgL_ez00_2475;
BgL_ez00_2475 = 
(BgL_nodez00_bglt)(BgL_arg3653z00_2471); 
{ /* ./Jvm/effect.scm 76 */
obj_t BgL_method2969z00_2477;
{ /* ./Jvm/effect.scm 76 */
BgL_objectz00_bglt BgL_objz00_2478;
BgL_objz00_2478 = 
(BgL_objectz00_bglt)(BgL_ez00_2475); 
{ /* ./Jvm/effect.scm 76 */
long BgL_objzd2classzd2numz00_2479;
BgL_objzd2classzd2numz00_2479 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2478); 
{ /* ./Jvm/effect.scm 76 */
obj_t BgL_arg1989z00_2480;
{ /* ./Jvm/effect.scm 76 */
int BgL_auxz00_2804;
BgL_auxz00_2804 = 
(int)(((long)1)); 
BgL_arg1989z00_2480 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_2804); } 
{ /* ./Jvm/effect.scm 76 */
int BgL_offsetz00_2483;
BgL_offsetz00_2483 = 
(int)(BgL_objzd2classzd2numz00_2479); 
{ /* ./Jvm/effect.scm 76 */
long BgL_offsetz00_2484;
{ /* ./Jvm/effect.scm 76 */
long BgL_auxz00_2808;
BgL_auxz00_2808 = 
(long)(BgL_offsetz00_2483); 
BgL_offsetz00_2484 = 
(BgL_auxz00_2808-OBJECT_TYPE); } 
{ /* ./Jvm/effect.scm 76 */
long BgL_modz00_2485;
{ /* ./Jvm/effect.scm 76 */
int BgL_arg2000z00_2486;
BgL_arg2000z00_2486 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 76 */
long BgL_n2z00_2494;
BgL_n2z00_2494 = 
(long)(BgL_arg2000z00_2486); 
BgL_modz00_2485 = 
(BgL_offsetz00_2484/BgL_n2z00_2494); } } 
{ /* ./Jvm/effect.scm 76 */
long BgL_restz00_2487;
{ /* ./Jvm/effect.scm 76 */
int BgL_arg1996z00_2488;
BgL_arg1996z00_2488 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 76 */
long BgL_n2z00_2497;
BgL_n2z00_2497 = 
(long)(BgL_arg1996z00_2488); 
BgL_restz00_2487 = 
(BgL_offsetz00_2484%BgL_n2z00_2497); } } 
{ /* ./Jvm/effect.scm 76 */

{ /* ./Jvm/effect.scm 76 */
obj_t BgL_bucketz00_2489;
{ /* ./Jvm/effect.scm 76 */
int BgL_kz00_2499;
BgL_kz00_2499 = 
(int)(BgL_modz00_2485); 
BgL_bucketz00_2489 = 
VECTOR_REF(BgL_arg1989z00_2480,BgL_kz00_2499); } 
{ /* ./Jvm/effect.scm 76 */
int BgL_kz00_2501;
BgL_kz00_2501 = 
(int)(BgL_restz00_2487); 
BgL_method2969z00_2477 = 
VECTOR_REF(BgL_bucketz00_2489,BgL_kz00_2501); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2969z00_2477)(BgL_method2969z00_2477, 
(obj_t)(BgL_ez00_2475), 
(obj_t)(BgL_envz00_1679), BEOA);} } } } } 
}



/* compile-effect-vlength3007 */
obj_t BGl_compilezd2effectzd2vlength3007z00zzjvm_effectz00(obj_t BgL_envz00_2622, obj_t BgL_ez00_2623, obj_t BgL_envz00_2624)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 72 */
{ 
BgL_vlengthz00_bglt BgL_ez00_1670;BgL_envz00_bglt BgL_envz00_1671;
BgL_ez00_1670 = 
(BgL_vlengthz00_bglt)(BgL_ez00_2623); 
BgL_envz00_1671 = 
(BgL_envz00_bglt)(BgL_envz00_2624); 
{ /* ./Jvm/effect.scm 73 */
obj_t BgL_arg3640z00_2440;
{ /* ./Jvm/effect.scm 73 */
obj_t BgL_auxz00_2827;
{ /* ./Jvm/effect.scm 73 */
BgL_externz00_bglt BgL_obj1826z00_2442;
BgL_obj1826z00_2442 = 
(BgL_externz00_bglt)(BgL_ez00_1670); 
BgL_auxz00_2827 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_2442))->BgL_exprza2za2); } 
BgL_arg3640z00_2440 = 
CAR(BgL_auxz00_2827); } 
{ /* ./Jvm/effect.scm 73 */
BgL_nodez00_bglt BgL_ez00_2444;
BgL_ez00_2444 = 
(BgL_nodez00_bglt)(BgL_arg3640z00_2440); 
{ /* ./Jvm/effect.scm 73 */
obj_t BgL_method2969z00_2446;
{ /* ./Jvm/effect.scm 73 */
BgL_objectz00_bglt BgL_objz00_2447;
BgL_objz00_2447 = 
(BgL_objectz00_bglt)(BgL_ez00_2444); 
{ /* ./Jvm/effect.scm 73 */
long BgL_objzd2classzd2numz00_2448;
BgL_objzd2classzd2numz00_2448 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2447); 
{ /* ./Jvm/effect.scm 73 */
obj_t BgL_arg1989z00_2449;
{ /* ./Jvm/effect.scm 73 */
int BgL_auxz00_2834;
BgL_auxz00_2834 = 
(int)(((long)1)); 
BgL_arg1989z00_2449 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_2834); } 
{ /* ./Jvm/effect.scm 73 */
int BgL_offsetz00_2452;
BgL_offsetz00_2452 = 
(int)(BgL_objzd2classzd2numz00_2448); 
{ /* ./Jvm/effect.scm 73 */
long BgL_offsetz00_2453;
{ /* ./Jvm/effect.scm 73 */
long BgL_auxz00_2838;
BgL_auxz00_2838 = 
(long)(BgL_offsetz00_2452); 
BgL_offsetz00_2453 = 
(BgL_auxz00_2838-OBJECT_TYPE); } 
{ /* ./Jvm/effect.scm 73 */
long BgL_modz00_2454;
{ /* ./Jvm/effect.scm 73 */
int BgL_arg2000z00_2455;
BgL_arg2000z00_2455 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 73 */
long BgL_n2z00_2463;
BgL_n2z00_2463 = 
(long)(BgL_arg2000z00_2455); 
BgL_modz00_2454 = 
(BgL_offsetz00_2453/BgL_n2z00_2463); } } 
{ /* ./Jvm/effect.scm 73 */
long BgL_restz00_2456;
{ /* ./Jvm/effect.scm 73 */
int BgL_arg1996z00_2457;
BgL_arg1996z00_2457 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 73 */
long BgL_n2z00_2466;
BgL_n2z00_2466 = 
(long)(BgL_arg1996z00_2457); 
BgL_restz00_2456 = 
(BgL_offsetz00_2453%BgL_n2z00_2466); } } 
{ /* ./Jvm/effect.scm 73 */

{ /* ./Jvm/effect.scm 73 */
obj_t BgL_bucketz00_2458;
{ /* ./Jvm/effect.scm 73 */
int BgL_kz00_2468;
BgL_kz00_2468 = 
(int)(BgL_modz00_2454); 
BgL_bucketz00_2458 = 
VECTOR_REF(BgL_arg1989z00_2449,BgL_kz00_2468); } 
{ /* ./Jvm/effect.scm 73 */
int BgL_kz00_2470;
BgL_kz00_2470 = 
(int)(BgL_restz00_2456); 
BgL_method2969z00_2446 = 
VECTOR_REF(BgL_bucketz00_2458,BgL_kz00_2470); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2969z00_2446)(BgL_method2969z00_2446, 
(obj_t)(BgL_ez00_2444), 
(obj_t)(BgL_envz00_1671), BEOA);} } } } } 
}



/* compile-effect-vset!3005 */
obj_t BGl_compilezd2effectzd2vsetz123005z12zzjvm_effectz00(obj_t BgL_envz00_2625, obj_t BgL_ez00_2626, obj_t BgL_envz00_2627)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 69 */
{ 
BgL_vsetz12z12_bglt BgL_ez00_1664;BgL_envz00_bglt BgL_envz00_1665;
BgL_ez00_1664 = 
(BgL_vsetz12z12_bglt)(BgL_ez00_2626); 
BgL_envz00_1665 = 
(BgL_envz00_bglt)(BgL_envz00_2627); 
return 
BGl_compilerzd2vsetzd2zzjvm_compilerz00(BgL_ez00_1664, BgL_envz00_1665);} } 
}



/* compile-effect-vref3003 */
obj_t BGl_compilezd2effectzd2vref3003z00zzjvm_effectz00(obj_t BgL_envz00_2628, obj_t BgL_ez00_2629, obj_t BgL_envz00_2630)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 64 */
{ 
BgL_vrefz00_bglt BgL_ez00_1653;BgL_envz00_bglt BgL_envz00_1654;
BgL_ez00_1653 = 
(BgL_vrefz00_bglt)(BgL_ez00_2629); 
BgL_envz00_1654 = 
(BgL_envz00_bglt)(BgL_envz00_2630); 
{ /* ./Jvm/effect.scm 66 */
obj_t BgL_arg3613z00_1658;
{ /* ./Jvm/effect.scm 66 */
obj_t BgL_auxz00_2860;
{ /* ./Jvm/effect.scm 66 */
BgL_externz00_bglt BgL_obj1826z00_2379;
BgL_obj1826z00_2379 = 
(BgL_externz00_bglt)(BgL_ez00_1653); 
BgL_auxz00_2860 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_2379))->BgL_exprza2za2); } 
BgL_arg3613z00_1658 = 
CAR(BgL_auxz00_2860); } 
{ /* ./Jvm/effect.scm 66 */
BgL_nodez00_bglt BgL_ez00_2381;
BgL_ez00_2381 = 
(BgL_nodez00_bglt)(BgL_arg3613z00_1658); 
{ /* ./Jvm/effect.scm 66 */
obj_t BgL_method2969z00_2383;
{ /* ./Jvm/effect.scm 66 */
BgL_objectz00_bglt BgL_objz00_2384;
BgL_objz00_2384 = 
(BgL_objectz00_bglt)(BgL_ez00_2381); 
{ /* ./Jvm/effect.scm 66 */
long BgL_objzd2classzd2numz00_2385;
BgL_objzd2classzd2numz00_2385 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2384); 
{ /* ./Jvm/effect.scm 66 */
obj_t BgL_arg1989z00_2386;
{ /* ./Jvm/effect.scm 66 */
int BgL_auxz00_2867;
BgL_auxz00_2867 = 
(int)(((long)1)); 
BgL_arg1989z00_2386 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_2867); } 
{ /* ./Jvm/effect.scm 66 */
int BgL_offsetz00_2389;
BgL_offsetz00_2389 = 
(int)(BgL_objzd2classzd2numz00_2385); 
{ /* ./Jvm/effect.scm 66 */
long BgL_offsetz00_2390;
{ /* ./Jvm/effect.scm 66 */
long BgL_auxz00_2871;
BgL_auxz00_2871 = 
(long)(BgL_offsetz00_2389); 
BgL_offsetz00_2390 = 
(BgL_auxz00_2871-OBJECT_TYPE); } 
{ /* ./Jvm/effect.scm 66 */
long BgL_modz00_2391;
{ /* ./Jvm/effect.scm 66 */
int BgL_arg2000z00_2392;
BgL_arg2000z00_2392 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 66 */
long BgL_n2z00_2400;
BgL_n2z00_2400 = 
(long)(BgL_arg2000z00_2392); 
BgL_modz00_2391 = 
(BgL_offsetz00_2390/BgL_n2z00_2400); } } 
{ /* ./Jvm/effect.scm 66 */
long BgL_restz00_2393;
{ /* ./Jvm/effect.scm 66 */
int BgL_arg1996z00_2394;
BgL_arg1996z00_2394 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 66 */
long BgL_n2z00_2403;
BgL_n2z00_2403 = 
(long)(BgL_arg1996z00_2394); 
BgL_restz00_2393 = 
(BgL_offsetz00_2390%BgL_n2z00_2403); } } 
{ /* ./Jvm/effect.scm 66 */

{ /* ./Jvm/effect.scm 66 */
obj_t BgL_bucketz00_2395;
{ /* ./Jvm/effect.scm 66 */
int BgL_kz00_2405;
BgL_kz00_2405 = 
(int)(BgL_modz00_2391); 
BgL_bucketz00_2395 = 
VECTOR_REF(BgL_arg1989z00_2386,BgL_kz00_2405); } 
{ /* ./Jvm/effect.scm 66 */
int BgL_kz00_2407;
BgL_kz00_2407 = 
(int)(BgL_restz00_2393); 
BgL_method2969z00_2383 = 
VECTOR_REF(BgL_bucketz00_2395,BgL_kz00_2407); } } } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2969z00_2383)(BgL_method2969z00_2383, 
(obj_t)(BgL_ez00_2381), 
(obj_t)(BgL_envz00_1654), BEOA); } } } 
{ /* ./Jvm/effect.scm 67 */
obj_t BgL_arg3620z00_1660;
{ /* ./Jvm/effect.scm 67 */
obj_t BgL_auxz00_2888;
{ /* ./Jvm/effect.scm 67 */
obj_t BgL_auxz00_2889;
{ /* ./Jvm/effect.scm 67 */
BgL_externz00_bglt BgL_obj1826z00_2408;
BgL_obj1826z00_2408 = 
(BgL_externz00_bglt)(BgL_ez00_1653); 
BgL_auxz00_2889 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_2408))->BgL_exprza2za2); } 
BgL_auxz00_2888 = 
CDR(BgL_auxz00_2889); } 
BgL_arg3620z00_1660 = 
CAR(BgL_auxz00_2888); } 
{ /* ./Jvm/effect.scm 67 */
BgL_nodez00_bglt BgL_ez00_2413;
BgL_ez00_2413 = 
(BgL_nodez00_bglt)(BgL_arg3620z00_1660); 
{ /* ./Jvm/effect.scm 67 */
obj_t BgL_method2969z00_2415;
{ /* ./Jvm/effect.scm 67 */
BgL_objectz00_bglt BgL_objz00_2416;
BgL_objz00_2416 = 
(BgL_objectz00_bglt)(BgL_ez00_2413); 
{ /* ./Jvm/effect.scm 67 */
long BgL_objzd2classzd2numz00_2417;
BgL_objzd2classzd2numz00_2417 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2416); 
{ /* ./Jvm/effect.scm 67 */
obj_t BgL_arg1989z00_2418;
{ /* ./Jvm/effect.scm 67 */
int BgL_auxz00_2897;
BgL_auxz00_2897 = 
(int)(((long)1)); 
BgL_arg1989z00_2418 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_2897); } 
{ /* ./Jvm/effect.scm 67 */
int BgL_offsetz00_2421;
BgL_offsetz00_2421 = 
(int)(BgL_objzd2classzd2numz00_2417); 
{ /* ./Jvm/effect.scm 67 */
long BgL_offsetz00_2422;
{ /* ./Jvm/effect.scm 67 */
long BgL_auxz00_2901;
BgL_auxz00_2901 = 
(long)(BgL_offsetz00_2421); 
BgL_offsetz00_2422 = 
(BgL_auxz00_2901-OBJECT_TYPE); } 
{ /* ./Jvm/effect.scm 67 */
long BgL_modz00_2423;
{ /* ./Jvm/effect.scm 67 */
int BgL_arg2000z00_2424;
BgL_arg2000z00_2424 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 67 */
long BgL_n2z00_2432;
BgL_n2z00_2432 = 
(long)(BgL_arg2000z00_2424); 
BgL_modz00_2423 = 
(BgL_offsetz00_2422/BgL_n2z00_2432); } } 
{ /* ./Jvm/effect.scm 67 */
long BgL_restz00_2425;
{ /* ./Jvm/effect.scm 67 */
int BgL_arg1996z00_2426;
BgL_arg1996z00_2426 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 67 */
long BgL_n2z00_2435;
BgL_n2z00_2435 = 
(long)(BgL_arg1996z00_2426); 
BgL_restz00_2425 = 
(BgL_offsetz00_2422%BgL_n2z00_2435); } } 
{ /* ./Jvm/effect.scm 67 */

{ /* ./Jvm/effect.scm 67 */
obj_t BgL_bucketz00_2427;
{ /* ./Jvm/effect.scm 67 */
int BgL_kz00_2437;
BgL_kz00_2437 = 
(int)(BgL_modz00_2423); 
BgL_bucketz00_2427 = 
VECTOR_REF(BgL_arg1989z00_2418,BgL_kz00_2437); } 
{ /* ./Jvm/effect.scm 67 */
int BgL_kz00_2439;
BgL_kz00_2439 = 
(int)(BgL_restz00_2425); 
BgL_method2969z00_2415 = 
VECTOR_REF(BgL_bucketz00_2427,BgL_kz00_2439); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2969z00_2415)(BgL_method2969z00_2415, 
(obj_t)(BgL_ez00_2413), 
(obj_t)(BgL_envz00_1654), BEOA);} } } } } 
}



/* compile-effect-valloc3001 */
obj_t BGl_compilezd2effectzd2valloc3001z00zzjvm_effectz00(obj_t BgL_envz00_2631, obj_t BgL_ez00_2632, obj_t BgL_envz00_2633)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 61 */
{ 
BgL_vallocz00_bglt BgL_ez00_1645;BgL_envz00_bglt BgL_envz00_1646;
BgL_ez00_1645 = 
(BgL_vallocz00_bglt)(BgL_ez00_2632); 
BgL_envz00_1646 = 
(BgL_envz00_bglt)(BgL_envz00_2633); 
{ /* ./Jvm/effect.scm 62 */
obj_t BgL_arg3600z00_2348;
{ /* ./Jvm/effect.scm 62 */
obj_t BgL_auxz00_2920;
{ /* ./Jvm/effect.scm 62 */
BgL_externz00_bglt BgL_obj1826z00_2350;
BgL_obj1826z00_2350 = 
(BgL_externz00_bglt)(BgL_ez00_1645); 
BgL_auxz00_2920 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_2350))->BgL_exprza2za2); } 
BgL_arg3600z00_2348 = 
CAR(BgL_auxz00_2920); } 
{ /* ./Jvm/effect.scm 62 */
BgL_nodez00_bglt BgL_ez00_2352;
BgL_ez00_2352 = 
(BgL_nodez00_bglt)(BgL_arg3600z00_2348); 
{ /* ./Jvm/effect.scm 62 */
obj_t BgL_method2969z00_2354;
{ /* ./Jvm/effect.scm 62 */
BgL_objectz00_bglt BgL_objz00_2355;
BgL_objz00_2355 = 
(BgL_objectz00_bglt)(BgL_ez00_2352); 
{ /* ./Jvm/effect.scm 62 */
long BgL_objzd2classzd2numz00_2356;
BgL_objzd2classzd2numz00_2356 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2355); 
{ /* ./Jvm/effect.scm 62 */
obj_t BgL_arg1989z00_2357;
{ /* ./Jvm/effect.scm 62 */
int BgL_auxz00_2927;
BgL_auxz00_2927 = 
(int)(((long)1)); 
BgL_arg1989z00_2357 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_2927); } 
{ /* ./Jvm/effect.scm 62 */
int BgL_offsetz00_2360;
BgL_offsetz00_2360 = 
(int)(BgL_objzd2classzd2numz00_2356); 
{ /* ./Jvm/effect.scm 62 */
long BgL_offsetz00_2361;
{ /* ./Jvm/effect.scm 62 */
long BgL_auxz00_2931;
BgL_auxz00_2931 = 
(long)(BgL_offsetz00_2360); 
BgL_offsetz00_2361 = 
(BgL_auxz00_2931-OBJECT_TYPE); } 
{ /* ./Jvm/effect.scm 62 */
long BgL_modz00_2362;
{ /* ./Jvm/effect.scm 62 */
int BgL_arg2000z00_2363;
BgL_arg2000z00_2363 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 62 */
long BgL_n2z00_2371;
BgL_n2z00_2371 = 
(long)(BgL_arg2000z00_2363); 
BgL_modz00_2362 = 
(BgL_offsetz00_2361/BgL_n2z00_2371); } } 
{ /* ./Jvm/effect.scm 62 */
long BgL_restz00_2364;
{ /* ./Jvm/effect.scm 62 */
int BgL_arg1996z00_2365;
BgL_arg1996z00_2365 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 62 */
long BgL_n2z00_2374;
BgL_n2z00_2374 = 
(long)(BgL_arg1996z00_2365); 
BgL_restz00_2364 = 
(BgL_offsetz00_2361%BgL_n2z00_2374); } } 
{ /* ./Jvm/effect.scm 62 */

{ /* ./Jvm/effect.scm 62 */
obj_t BgL_bucketz00_2366;
{ /* ./Jvm/effect.scm 62 */
int BgL_kz00_2376;
BgL_kz00_2376 = 
(int)(BgL_modz00_2362); 
BgL_bucketz00_2366 = 
VECTOR_REF(BgL_arg1989z00_2357,BgL_kz00_2376); } 
{ /* ./Jvm/effect.scm 62 */
int BgL_kz00_2378;
BgL_kz00_2378 = 
(int)(BgL_restz00_2364); 
BgL_method2969z00_2354 = 
VECTOR_REF(BgL_bucketz00_2366,BgL_kz00_2378); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2969z00_2354)(BgL_method2969z00_2354, 
(obj_t)(BgL_ez00_2352), 
(obj_t)(BgL_envz00_1646), BEOA);} } } } } 
}



/* compile-effect-new2999 */
obj_t BGl_compilezd2effectzd2new2999z00zzjvm_effectz00(obj_t BgL_envz00_2634, obj_t BgL_ez00_2635, obj_t BgL_envz00_2636)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 58 */
{ 
BgL_newz00_bglt BgL_ez00_1639;BgL_envz00_bglt BgL_envz00_1640;
BgL_ez00_1639 = 
(BgL_newz00_bglt)(BgL_ez00_2635); 
BgL_envz00_1640 = 
(BgL_envz00_bglt)(BgL_envz00_2636); 
return 
CNST_TABLE_REF(((long)0));} } 
}



/* compile-effect-setfield2997 */
obj_t BGl_compilezd2effectzd2setfield2997z00zzjvm_effectz00(obj_t BgL_envz00_2637, obj_t BgL_ez00_2638, obj_t BgL_envz00_2639)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 55 */
{ 
BgL_setfieldz00_bglt BgL_ez00_1633;BgL_envz00_bglt BgL_envz00_1634;
BgL_ez00_1633 = 
(BgL_setfieldz00_bglt)(BgL_ez00_2638); 
BgL_envz00_1634 = 
(BgL_envz00_bglt)(BgL_envz00_2639); 
return 
BGl_compilerzd2setfieldzd2zzjvm_compilerz00(BgL_ez00_1633, BgL_envz00_1634);} } 
}



/* compile-effect-getfield2995 */
obj_t BGl_compilezd2effectzd2getfield2995z00zzjvm_effectz00(obj_t BgL_envz00_2640, obj_t BgL_ez00_2641, obj_t BgL_envz00_2642)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 52 */
{ 
BgL_getfieldz00_bglt BgL_ez00_1625;BgL_envz00_bglt BgL_envz00_1626;
BgL_ez00_1625 = 
(BgL_getfieldz00_bglt)(BgL_ez00_2641); 
BgL_envz00_1626 = 
(BgL_envz00_bglt)(BgL_envz00_2642); 
{ /* ./Jvm/effect.scm 53 */
obj_t BgL_arg3574z00_2317;
{ /* ./Jvm/effect.scm 53 */
obj_t BgL_auxz00_2956;
{ /* ./Jvm/effect.scm 53 */
BgL_externz00_bglt BgL_obj1826z00_2319;
BgL_obj1826z00_2319 = 
(BgL_externz00_bglt)(BgL_ez00_1625); 
BgL_auxz00_2956 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_2319))->BgL_exprza2za2); } 
BgL_arg3574z00_2317 = 
CAR(BgL_auxz00_2956); } 
{ /* ./Jvm/effect.scm 53 */
BgL_nodez00_bglt BgL_ez00_2321;
BgL_ez00_2321 = 
(BgL_nodez00_bglt)(BgL_arg3574z00_2317); 
{ /* ./Jvm/effect.scm 53 */
obj_t BgL_method2969z00_2323;
{ /* ./Jvm/effect.scm 53 */
BgL_objectz00_bglt BgL_objz00_2324;
BgL_objz00_2324 = 
(BgL_objectz00_bglt)(BgL_ez00_2321); 
{ /* ./Jvm/effect.scm 53 */
long BgL_objzd2classzd2numz00_2325;
BgL_objzd2classzd2numz00_2325 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2324); 
{ /* ./Jvm/effect.scm 53 */
obj_t BgL_arg1989z00_2326;
{ /* ./Jvm/effect.scm 53 */
int BgL_auxz00_2963;
BgL_auxz00_2963 = 
(int)(((long)1)); 
BgL_arg1989z00_2326 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_2963); } 
{ /* ./Jvm/effect.scm 53 */
int BgL_offsetz00_2329;
BgL_offsetz00_2329 = 
(int)(BgL_objzd2classzd2numz00_2325); 
{ /* ./Jvm/effect.scm 53 */
long BgL_offsetz00_2330;
{ /* ./Jvm/effect.scm 53 */
long BgL_auxz00_2967;
BgL_auxz00_2967 = 
(long)(BgL_offsetz00_2329); 
BgL_offsetz00_2330 = 
(BgL_auxz00_2967-OBJECT_TYPE); } 
{ /* ./Jvm/effect.scm 53 */
long BgL_modz00_2331;
{ /* ./Jvm/effect.scm 53 */
int BgL_arg2000z00_2332;
BgL_arg2000z00_2332 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 53 */
long BgL_n2z00_2340;
BgL_n2z00_2340 = 
(long)(BgL_arg2000z00_2332); 
BgL_modz00_2331 = 
(BgL_offsetz00_2330/BgL_n2z00_2340); } } 
{ /* ./Jvm/effect.scm 53 */
long BgL_restz00_2333;
{ /* ./Jvm/effect.scm 53 */
int BgL_arg1996z00_2334;
BgL_arg1996z00_2334 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 53 */
long BgL_n2z00_2343;
BgL_n2z00_2343 = 
(long)(BgL_arg1996z00_2334); 
BgL_restz00_2333 = 
(BgL_offsetz00_2330%BgL_n2z00_2343); } } 
{ /* ./Jvm/effect.scm 53 */

{ /* ./Jvm/effect.scm 53 */
obj_t BgL_bucketz00_2335;
{ /* ./Jvm/effect.scm 53 */
int BgL_kz00_2345;
BgL_kz00_2345 = 
(int)(BgL_modz00_2331); 
BgL_bucketz00_2335 = 
VECTOR_REF(BgL_arg1989z00_2326,BgL_kz00_2345); } 
{ /* ./Jvm/effect.scm 53 */
int BgL_kz00_2347;
BgL_kz00_2347 = 
(int)(BgL_restz00_2333); 
BgL_method2969z00_2323 = 
VECTOR_REF(BgL_bucketz00_2335,BgL_kz00_2347); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2969z00_2323)(BgL_method2969z00_2323, 
(obj_t)(BgL_ez00_2321), 
(obj_t)(BgL_envz00_1626), BEOA);} } } } } 
}



/* compile-effect-pragma2993 */
obj_t BGl_compilezd2effectzd2pragma2993z00zzjvm_effectz00(obj_t BgL_envz00_2643, obj_t BgL_ez00_2644, obj_t BgL_envz00_2645)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 49 */
{ 
BgL_pragmaz00_bglt BgL_ez00_1619;BgL_envz00_bglt BgL_envz00_1620;
BgL_ez00_1619 = 
(BgL_pragmaz00_bglt)(BgL_ez00_2644); 
BgL_envz00_1620 = 
(BgL_envz00_bglt)(BgL_envz00_2645); 
{ /* ./Jvm/effect.scm 50 */
BgL_nodez00_bglt BgL_ez00_2314;
BgL_ez00_2314 = 
(BgL_nodez00_bglt)(BgL_ez00_1619); 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_ez00_2314, BgL_envz00_1620); 
{ /* ./Jvm/effect.scm 50 */
obj_t BgL_arg3026z00_2316;
BgL_arg3026z00_2316 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_ez00_2314), BgL_envz00_1620); 
return 
BGl__popz00zzjvm_instrz00(BgL_envz00_1620, BgL_arg3026z00_2316);} } } } 
}



/* compile-effect-funcall2991 */
obj_t BGl_compilezd2effectzd2funcall2991z00zzjvm_effectz00(obj_t BgL_envz00_2646, obj_t BgL_ez00_2647, obj_t BgL_envz00_2648)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 46 */
{ 
BgL_funcallz00_bglt BgL_ez00_1613;BgL_envz00_bglt BgL_envz00_1614;
BgL_ez00_1613 = 
(BgL_funcallz00_bglt)(BgL_ez00_2647); 
BgL_envz00_1614 = 
(BgL_envz00_bglt)(BgL_envz00_2648); 
{ /* ./Jvm/effect.scm 47 */
BgL_nodez00_bglt BgL_ez00_2311;
BgL_ez00_2311 = 
(BgL_nodez00_bglt)(BgL_ez00_1613); 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_ez00_2311, BgL_envz00_1614); 
{ /* ./Jvm/effect.scm 47 */
obj_t BgL_arg3026z00_2313;
BgL_arg3026z00_2313 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_ez00_2311), BgL_envz00_1614); 
return 
BGl__popz00zzjvm_instrz00(BgL_envz00_1614, BgL_arg3026z00_2313);} } } } 
}



/* compile-effect-app-ly2989 */
obj_t BGl_compilezd2effectzd2appzd2ly2989zd2zzjvm_effectz00(obj_t BgL_envz00_2649, obj_t BgL_ez00_2650, obj_t BgL_envz00_2651)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 43 */
{ 
BgL_appzd2lyzd2_bglt BgL_ez00_1607;BgL_envz00_bglt BgL_envz00_1608;
BgL_ez00_1607 = 
(BgL_appzd2lyzd2_bglt)(BgL_ez00_2650); 
BgL_envz00_1608 = 
(BgL_envz00_bglt)(BgL_envz00_2651); 
{ /* ./Jvm/effect.scm 44 */
BgL_nodez00_bglt BgL_ez00_2308;
BgL_ez00_2308 = 
(BgL_nodez00_bglt)(BgL_ez00_1607); 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_ez00_2308, BgL_envz00_1608); 
{ /* ./Jvm/effect.scm 44 */
obj_t BgL_arg3026z00_2310;
BgL_arg3026z00_2310 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_ez00_2308), BgL_envz00_1608); 
return 
BGl__popz00zzjvm_instrz00(BgL_envz00_1608, BgL_arg3026z00_2310);} } } } 
}



/* compile-effect-app2987 */
obj_t BGl_compilezd2effectzd2app2987z00zzjvm_effectz00(obj_t BgL_envz00_2652, obj_t BgL_ez00_2653, obj_t BgL_envz00_2654)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 39 */
{ 
BgL_appz00_bglt BgL_ez00_1601;BgL_envz00_bglt BgL_envz00_1602;
BgL_ez00_1601 = 
(BgL_appz00_bglt)(BgL_ez00_2653); 
BgL_envz00_1602 = 
(BgL_envz00_bglt)(BgL_envz00_2654); 
{ /* ./Jvm/effect.scm 41 */
BgL_nodez00_bglt BgL_ez00_2305;
BgL_ez00_2305 = 
(BgL_nodez00_bglt)(BgL_ez00_1601); 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_ez00_2305, BgL_envz00_1602); 
{ /* ./Jvm/effect.scm 41 */
obj_t BgL_arg3026z00_2307;
BgL_arg3026z00_2307 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_ez00_2305), BgL_envz00_1602); 
return 
BGl__popz00zzjvm_instrz00(BgL_envz00_1602, BgL_arg3026z00_2307);} } } } 
}



/* compile-effect-let-fun2985 */
obj_t BGl_compilezd2effectzd2letzd2fun2985zd2zzjvm_effectz00(obj_t BgL_envz00_2655, obj_t BgL_ez00_2656, obj_t BgL_envz00_2657)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 36 */
{ 
BgL_letzd2funzd2_bglt BgL_ez00_1595;BgL_envz00_bglt BgL_envz00_1596;
BgL_ez00_1595 = 
(BgL_letzd2funzd2_bglt)(BgL_ez00_2656); 
BgL_envz00_1596 = 
(BgL_envz00_bglt)(BgL_envz00_2657); 
return 
BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_ez00_1595, BgL_envz00_1596, BGl_compilezd2effectzd2envz00zzjvm_effectz00);} } 
}



/* compile-effect-select2983 */
obj_t BGl_compilezd2effectzd2select2983z00zzjvm_effectz00(obj_t BgL_envz00_2658, obj_t BgL_ez00_2659, obj_t BgL_envz00_2660)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 33 */
{ 
BgL_selectz00_bglt BgL_ez00_1589;BgL_envz00_bglt BgL_envz00_1590;
BgL_ez00_1589 = 
(BgL_selectz00_bglt)(BgL_ez00_2659); 
BgL_envz00_1590 = 
(BgL_envz00_bglt)(BgL_envz00_2660); 
return 
BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_ez00_1589, BgL_envz00_1590, BGl_compilezd2effectzd2envz00zzjvm_effectz00);} } 
}



/* compile-effect-conditional2981 */
obj_t BGl_compilezd2effectzd2conditional2981z00zzjvm_effectz00(obj_t BgL_envz00_2661, obj_t BgL_ez00_2662, obj_t BgL_envz00_2663)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 30 */
{ 
BgL_conditionalz00_bglt BgL_ez00_1583;BgL_envz00_bglt BgL_envz00_1584;
BgL_ez00_1583 = 
(BgL_conditionalz00_bglt)(BgL_ez00_2662); 
BgL_envz00_1584 = 
(BgL_envz00_bglt)(BgL_envz00_2663); 
return 
BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_ez00_1583, BgL_envz00_1584, BGl_compilezd2effectzd2envz00zzjvm_effectz00);} } 
}



/* compile-effect-sequence2979 */
obj_t BGl_compilezd2effectzd2sequence2979z00zzjvm_effectz00(obj_t BgL_envz00_2664, obj_t BgL_ez00_2665, obj_t BgL_envz00_2666)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 27 */
{ 
BgL_sequencez00_bglt BgL_ez00_1577;BgL_envz00_bglt BgL_envz00_1578;
BgL_ez00_1577 = 
(BgL_sequencez00_bglt)(BgL_ez00_2665); 
BgL_envz00_1578 = 
(BgL_envz00_bglt)(BgL_envz00_2666); 
return 
BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_ez00_1577, BgL_envz00_1578, BGl_compilezd2effectzd2envz00zzjvm_effectz00);} } 
}



/* compile-effect-setq2977 */
obj_t BGl_compilezd2effectzd2setq2977z00zzjvm_effectz00(obj_t BgL_envz00_2667, obj_t BgL_ez00_2668, obj_t BgL_envz00_2669)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 24 */
{ 
BgL_setqz00_bglt BgL_ez00_1571;BgL_envz00_bglt BgL_envz00_1572;
BgL_ez00_1571 = 
(BgL_setqz00_bglt)(BgL_ez00_2668); 
BgL_envz00_1572 = 
(BgL_envz00_bglt)(BgL_envz00_2669); 
return 
BGl_compilerzd2setqzd2zzjvm_compilerz00(BgL_ez00_1571, BgL_envz00_1572);} } 
}



/* compile-effect-let-var2975 */
obj_t BGl_compilezd2effectzd2letzd2var2975zd2zzjvm_effectz00(obj_t BgL_envz00_2670, obj_t BgL_ez00_2671, obj_t BgL_envz00_2672)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 21 */
{ 
BgL_letzd2varzd2_bglt BgL_ez00_1565;BgL_envz00_bglt BgL_envz00_1566;
BgL_ez00_1565 = 
(BgL_letzd2varzd2_bglt)(BgL_ez00_2671); 
BgL_envz00_1566 = 
(BgL_envz00_bglt)(BgL_envz00_2672); 
return 
BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_ez00_1565, BgL_envz00_1566, BGl_compilezd2effectzd2envz00zzjvm_effectz00);} } 
}



/* compile-effect-var2973 */
obj_t BGl_compilezd2effectzd2var2973z00zzjvm_effectz00(obj_t BgL_envz00_2673, obj_t BgL_ez00_2674, obj_t BgL_envz00_2675)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 18 */
{ 
BgL_varz00_bglt BgL_ez00_1559;BgL_envz00_bglt BgL_envz00_1560;
BgL_ez00_1559 = 
(BgL_varz00_bglt)(BgL_ez00_2674); 
BgL_envz00_1560 = 
(BgL_envz00_bglt)(BgL_envz00_2675); 
return 
CNST_TABLE_REF(((long)0));} } 
}



/* compile-effect-atom2971 */
obj_t BGl_compilezd2effectzd2atom2971z00zzjvm_effectz00(obj_t BgL_envz00_2676, obj_t BgL_ez00_2677, obj_t BgL_envz00_2678)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 15 */
{ 
BgL_atomz00_bglt BgL_ez00_1553;BgL_envz00_bglt BgL_envz00_1554;
BgL_ez00_1553 = 
(BgL_atomz00_bglt)(BgL_ez00_2677); 
BgL_envz00_1554 = 
(BgL_envz00_bglt)(BgL_envz00_2678); 
return 
CNST_TABLE_REF(((long)0));} } 
}



/* compile-effect */
BGL_EXPORTED_DEF obj_t BGl_compilezd2effectzd2zzjvm_effectz00(BgL_nodez00_bglt BgL_ez00_3, BgL_envz00_bglt BgL_envz00_4)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 13 */
{ /* ./Jvm/effect.scm 13 */
obj_t BgL_method2969z00_2540;
{ /* ./Jvm/effect.scm 13 */
BgL_objectz00_bglt BgL_objz00_2541;
BgL_objz00_2541 = 
(BgL_objectz00_bglt)(BgL_ez00_3); 
{ /* ./Jvm/effect.scm 13 */
long BgL_objzd2classzd2numz00_2542;
BgL_objzd2classzd2numz00_2542 = 
BGL_OBJECT_CLASS_NUM(BgL_objz00_2541); 
{ /* ./Jvm/effect.scm 13 */
obj_t BgL_arg1989z00_2543;
{ /* ./Jvm/effect.scm 13 */
int BgL_auxz00_3040;
BgL_auxz00_3040 = 
(int)(((long)1)); 
BgL_arg1989z00_2543 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_3040); } 
{ /* ./Jvm/effect.scm 13 */
int BgL_offsetz00_2546;
BgL_offsetz00_2546 = 
(int)(BgL_objzd2classzd2numz00_2542); 
{ /* ./Jvm/effect.scm 13 */
long BgL_offsetz00_2547;
{ /* ./Jvm/effect.scm 13 */
long BgL_auxz00_3044;
BgL_auxz00_3044 = 
(long)(BgL_offsetz00_2546); 
BgL_offsetz00_2547 = 
(BgL_auxz00_3044-OBJECT_TYPE); } 
{ /* ./Jvm/effect.scm 13 */
long BgL_modz00_2548;
{ /* ./Jvm/effect.scm 13 */
int BgL_arg2000z00_2549;
BgL_arg2000z00_2549 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 13 */
long BgL_n2z00_2557;
BgL_n2z00_2557 = 
(long)(BgL_arg2000z00_2549); 
BgL_modz00_2548 = 
(BgL_offsetz00_2547/BgL_n2z00_2557); } } 
{ /* ./Jvm/effect.scm 13 */
long BgL_restz00_2550;
{ /* ./Jvm/effect.scm 13 */
int BgL_arg1996z00_2551;
BgL_arg1996z00_2551 = 
(int)(((long)8)); 
{ /* ./Jvm/effect.scm 13 */
long BgL_n2z00_2560;
BgL_n2z00_2560 = 
(long)(BgL_arg1996z00_2551); 
BgL_restz00_2550 = 
(BgL_offsetz00_2547%BgL_n2z00_2560); } } 
{ /* ./Jvm/effect.scm 13 */

{ /* ./Jvm/effect.scm 13 */
obj_t BgL_bucketz00_2552;
{ /* ./Jvm/effect.scm 13 */
int BgL_kz00_2562;
BgL_kz00_2562 = 
(int)(BgL_modz00_2548); 
BgL_bucketz00_2552 = 
VECTOR_REF(BgL_arg1989z00_2543,BgL_kz00_2562); } 
{ /* ./Jvm/effect.scm 13 */
int BgL_kz00_2564;
BgL_kz00_2564 = 
(int)(BgL_restz00_2550); 
BgL_method2969z00_2540 = 
VECTOR_REF(BgL_bucketz00_2552,BgL_kz00_2564); } } } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2969z00_2540)(BgL_method2969z00_2540, 
(obj_t)(BgL_ez00_3), 
(obj_t)(BgL_envz00_4), BEOA);} } 
}



/* _compile-effect */
obj_t BGl__compilezd2effectzd2zzjvm_effectz00(obj_t BgL_envz00_2571, obj_t BgL_ez00_2572, obj_t BgL_envz00_2573)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 13 */
return 
BGl_compilezd2effectzd2zzjvm_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_2572), 
(BgL_envz00_bglt)(BgL_envz00_2573));} 
}



/* compile-effect-default2967 */
obj_t BGl_compilezd2effectzd2default2967z00zzjvm_effectz00(BgL_nodez00_bglt BgL_ez00_5, BgL_envz00_bglt BgL_envz00_6)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 2 */
{ /* ./Jvm/effect.scm 2 */
obj_t BgL_procz00_2565;obj_t BgL_objectz00_2567;
BgL_procz00_2565 = 
CNST_TABLE_REF(((long)1)); 
BgL_objectz00_2567 = 
(obj_t)(BgL_ez00_5); 
FAILURE(BgL_procz00_2565,BGl_string4011z00zzjvm_effectz00,BgL_objectz00_2567);} } 
}



/* _compile-effect-default2967 */
obj_t BGl__compilezd2effectzd2default2967z00zzjvm_effectz00(obj_t BgL_envz00_2679, obj_t BgL_ez00_2680, obj_t BgL_envz00_2681)
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 2 */
return 
BGl_compilezd2effectzd2default2967z00zzjvm_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_2680), 
(BgL_envz00_bglt)(BgL_envz00_2681));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_effectz00()
{ AN_OBJECT;
{ /* ./Jvm/effect.scm 2 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "jvm_effect"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "jvm_effect"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "jvm_effect"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)23064), "jvm_effect"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)58889), "jvm_effect"); 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)18045), "jvm_effect"); 
BGl_modulezd2initializa7ationz75zzjvm_exprz00(((long)25872), "jvm_effect"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_compilerz00(((long)61602), "jvm_effect");} 
}

