/*===========================================================================*/
/*   (Object/tools.scm)                                                      */
/*   Bigloo (2.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Jul 10 14:28:09 CEST 2003       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.96 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6a -unsafev -no-hello -O2 -rm -unsafe -s -indent Object/tools.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_slotz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_srcz00;
   obj_t BgL_classzd2ownerzd2;
   obj_t BgL_typez00;
   bool_t BgL_readzd2onlyzf3z21;
   obj_t BgL_defaultzd2valuezd2;
   obj_t BgL_virtualzd2numzd2;
   obj_t BgL_getterz00;
   obj_t BgL_setterz00;
   obj_t BgL_indexedz00;
   obj_t BgL_userzd2infozd2;
} *BgL_slotz00_bglt;


static obj_t BGl_czd2allocatezd2indexedzd2slotzd2zzobject_toolsz00(BgL_typez00_bglt, obj_t);
static obj_t BGl_methodzd2initzd2zzobject_toolsz00();
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl__makezd2pragmazd2directzd2setz12zf2widening3959z32zzobject_toolsz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2pragmazd2directzd2setz12zc0zzobject_toolsz00(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2pragmazd2indexedzd2setz12zc0zzobject_toolsz00(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_superzd2ze3classzd2idze3zzobject_toolsz00(obj_t, obj_t);
static obj_t BGl_makezd2pragmazd2directzd2refzd2zzobject_toolsz00(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t);
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
BGL_EXPORTED_DECL obj_t BGl_makezd2pragmazd2indexedzd2initzd2setz12z12zzobject_toolsz00(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t);
extern obj_t BGl_za2usezd2privatezf3za2z21zzengine_paramz00;
BGL_EXPORTED_DECL obj_t BGl_makezd2pragmazd2indexedzd2refzf2wideningz20zzobject_toolsz00(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_classzd2ze3objzd2idze3zzobject_toolsz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzobject_toolsz00();
static obj_t BGl__makezd2pragmazd2indexedzd2initzd2setz123963z12zzobject_toolsz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_objzd2ze3classzd2idze3zzobject_toolsz00(obj_t);
static obj_t BGl__makezd2pragmazd2directzd2setz123957zc0zzobject_toolsz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzobject_toolsz00();
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
static obj_t BGl__superzd2ze3classzd2id3953ze3zzobject_toolsz00(obj_t, obj_t, obj_t);
extern obj_t BGl_stringzd2sanszd2z42z42zztype_toolsz00(obj_t);
static obj_t BGl__makezd2pragmazd2directzd2refzf2widening3955z20zzobject_toolsz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
static obj_t BGl__classzd2ze3superzd2id3951ze3zzobject_toolsz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_classzd2ze3superzd2idze3zzobject_toolsz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_classzf3zd2idz21zzobject_toolsz00(obj_t);
extern obj_t BGl_za2intza2z00zztype_cachez00;
BGL_EXPORTED_DECL obj_t BGl_makezd2pragmazd2directzd2setz12zf2wideningz32zzobject_toolsz00(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2pragmazd2indexedzd2setz12zf2wideningz32zzobject_toolsz00(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl__classzd2ze3objzd2id3945ze3zzobject_toolsz00(obj_t, obj_t);
static obj_t BGl_jvmzd2allocatezd2indexedzd2slotzd2zzobject_toolsz00(obj_t, obj_t, obj_t);
static obj_t BGl__makezd2pragmazd2indexedzd2setz123965zc0zzobject_toolsz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl__classzf3zd2id3949z21zzobject_toolsz00(obj_t, obj_t);
extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzobject_toolsz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_makezd2pragmazd2directzd2refzf2wideningz20zzobject_toolsz00(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t);
static obj_t BGl__makezd2pragmazd2indexedzd2refzf2widening3961z20zzobject_toolsz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__makezd2pragmazd2indexedzd2setz12zf2widening3967z32zzobject_toolsz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__objzd2ze3classzd2id3947ze3zzobject_toolsz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzobject_toolsz00();
static obj_t BGl_makezd2pragmazd2indexedzd2refzd2zzobject_toolsz00(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t);
static obj_t __cnst[ 14 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_makezd2pragmazd2directzd2refzf2wideningzd2envzf2zzobject_toolsz00, BgL_bgl__makeza7d2pragmaza7d2directza7d2refza7f2widening3955za720za7za7object_toolsza7004085z00, BGl__makezd2pragmazd2directzd2refzf2widening3955z20zzobject_toolsz00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2pragmazd2directzd2setz12zd2envz12zzobject_toolsz00, BgL_bgl__makeza7d2pragmaza7d2directza7d2setza7123957za7c0za7za7object_toolsza7004086z00, BGl__makezd2pragmazd2directzd2setz123957zc0zzobject_toolsz00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2pragmazd2directzd2setz12zf2wideningzd2envze0zzobject_toolsz00, BgL_bgl__makeza7d2pragmaza7d2directza7d2setza712za7f2widening3959za732za7za7object_toolsza7004087za7, BGl__makezd2pragmazd2directzd2setz12zf2widening3959z32zzobject_toolsz00, 0L, 5 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2pragmazd2indexedzd2initzd2setz12zd2envzc0zzobject_toolsz00, BgL_bgl__makeza7d2pragmaza7d2indexedza7d2initza7d2setza7123963za712za7za7object_toolsza7004088za7, BGl__makezd2pragmazd2indexedzd2initzd2setz123963z12zzobject_toolsz00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_objzd2ze3classzd2idzd2envz31zzobject_toolsz00, BgL_bgl__objza7d2za7e3classza7d2id3947za7e3za7za7object_toolsza7004089za7, BGl__objzd2ze3classzd2id3947ze3zzobject_toolsz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_classzd2ze3objzd2idzd2envz31zzobject_toolsz00, BgL_bgl__classza7d2za7e3objza7d2id3945za7e3za7za7object_toolsza7004090za7, BGl__classzd2ze3objzd2id3945ze3zzobject_toolsz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_superzd2ze3classzd2idzd2envz31zzobject_toolsz00, BgL_bgl__superza7d2za7e3classza7d2id3953za7e3za7za7object_toolsza7004091za7, BGl__superzd2ze3classzd2id3953ze3zzobject_toolsz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2pragmazd2indexedzd2setz12zd2envz12zzobject_toolsz00, BgL_bgl__makeza7d2pragmaza7d2indexedza7d2setza7123965za7c0za7za7object_toolsza7004092z00, BGl__makezd2pragmazd2indexedzd2setz123965zc0zzobject_toolsz00, 0L, 5 );
DEFINE_EXPORT_PROCEDURE( BGl_classzd2ze3superzd2idzd2envz31zzobject_toolsz00, BgL_bgl__classza7d2za7e3superza7d2id3951za7e3za7za7object_toolsza7004093za7, BGl__classzd2ze3superzd2id3951ze3zzobject_toolsz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2pragmazd2indexedzd2setz12zf2wideningzd2envze0zzobject_toolsz00, BgL_bgl__makeza7d2pragmaza7d2indexedza7d2setza712za7f2widening3967za732za7za7object_toolsza7004094za7, BGl__makezd2pragmazd2indexedzd2setz12zf2widening3967z32zzobject_toolsz00, 0L, 6 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2pragmazd2indexedzd2refzf2wideningzd2envzf2zzobject_toolsz00, BgL_bgl__makeza7d2pragmaza7d2indexedza7d2refza7f2widening3961za720za7za7object_toolsza7004095z00, BGl__makezd2pragmazd2indexedzd2refzf2widening3961z20zzobject_toolsz00, 0L, 5 );
DEFINE_STRING( BGl_string4058z00zzobject_toolsz00, BgL_bgl_string4058za700za7za7object_toolsza7004096z00, "vset! valloc vref (jvm .net) c pragma::obj setfield object-widening free-pragma getfield -> ? obj-> ->obj ", 106 );
DEFINE_STRING( BGl_string4057z00zzobject_toolsz00, BgL_bgl_string4057za700za7za7object_toolsza7004097z00, "make-private-indexed-set!", 25 );
DEFINE_STRING( BGl_string4056z00zzobject_toolsz00, BgL_bgl_string4056za700za7za7object_toolsza7004098z00, ")[ $2 ] = ((", 12 );
DEFINE_STRING( BGl_string4055z00zzobject_toolsz00, BgL_bgl_string4055za700za7za7object_toolsza7004099z00, ")$3), BUNSPEC)", 14 );
DEFINE_STRING( BGl_string4054z00zzobject_toolsz00, BgL_bgl_string4054za700za7za7object_toolsza7004100z00, "Illegal target language", 23 );
DEFINE_STRING( BGl_string4053z00zzobject_toolsz00, BgL_bgl_string4053za700za7za7object_toolsza7004101z00, "make-pragma-indexed-init", 24 );
DEFINE_STRING( BGl_string4052z00zzobject_toolsz00, BgL_bgl_string4052za700za7za7object_toolsza7004102z00, " *)$2), BUNSPEC)", 16 );
DEFINE_STRING( BGl_string4051z00zzobject_toolsz00, BgL_bgl_string4051za700za7za7object_toolsza7004103z00, ") * $1 )", 8 );
DEFINE_STRING( BGl_string4050z00zzobject_toolsz00, BgL_bgl_string4050za700za7za7object_toolsza7004104z00, "GC_MALLOC( sizeof(", 18 );
DEFINE_STRING( BGl_string4049z00zzobject_toolsz00, BgL_bgl_string4049za700za7za7object_toolsza7004105z00, "", 0 );
DEFINE_STRING( BGl_string4048z00zzobject_toolsz00, BgL_bgl_string4048za700za7za7object_toolsza7004106z00, ")[ $2 ]", 7 );
DEFINE_STRING( BGl_string4047z00zzobject_toolsz00, BgL_bgl_string4047za700za7za7object_toolsza7004107z00, "((((", 4 );
DEFINE_STRING( BGl_string4046z00zzobject_toolsz00, BgL_bgl_string4046za700za7za7object_toolsza7004108z00, ") = ((", 6 );
DEFINE_STRING( BGl_string4045z00zzobject_toolsz00, BgL_bgl_string4045za700za7za7object_toolsza7004109z00, ")$2), BUNSPEC)", 14 );
DEFINE_STRING( BGl_string4044z00zzobject_toolsz00, BgL_bgl_string4044za700za7za7object_toolsza7004110z00, "(((", 3 );
DEFINE_STRING( BGl_string4043z00zzobject_toolsz00, BgL_bgl_string4043za700za7za7object_toolsza7004111z00, ")CREF($1))->", 12 );
DEFINE_STRING( BGl_string4042z00zzobject_toolsz00, BgL_bgl_string4042za700za7za7object_toolsza7004112z00, ")", 1 );
DEFINE_EXPORT_PROCEDURE( BGl_classzf3zd2idzd2envzf3zzobject_toolsz00, BgL_bgl__classza7f3za7d2id3949za721za7za7object_toolsza7004113z00, BGl__classzf3zd2id3949z21zzobject_toolsz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long BgL_checksumz00_2424, char * BgL_fromz00_2425)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzobject_toolsz00))
{ 
BGl_requirezd2initializa7ationz75zzobject_toolsz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzobject_toolsz00(); 
BGl_cnstzd2initzd2zzobject_toolsz00(); 
BGl_importedzd2moduleszd2initz00zzobject_toolsz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzobject_toolsz00()
{ AN_OBJECT;
{ /* ./Object/tools.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "object_tools"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "object_tools"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "object_tools"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "object_tools"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzobject_toolsz00()
{ AN_OBJECT;
{ /* ./Object/tools.scm 15 */
{ /* ./Object/tools.scm 15 */
obj_t BgL_cportz00_2417;
BgL_cportz00_2417 = 
open_input_string(BGl_string4058z00zzobject_toolsz00); 
{ 
long BgL_iz00_2418;
BgL_iz00_2418 = ((long)13); 
BgL_loopz00_2419:
{ /* ./Object/tools.scm 15 */
bool_t BgL_test4060z00_2420;
BgL_test4060z00_2420 = 
(BgL_iz00_2418==((long)-1)); 
if(BgL_test4060z00_2420)
{ /* ./Object/tools.scm 15 */
return BUNSPEC;}  else 
{ /* ./Object/tools.scm 15 */
{ /* ./Object/tools.scm 15 */
obj_t BgL_arg4062z00_2421;
{ /* ./Object/tools.scm 15 */
obj_t BgL_list4065z00_2422;
BgL_list4065z00_2422 = 
MAKE_PAIR(BgL_cportz00_2417, BNIL); 
BgL_arg4062z00_2421 = 
BGl_readz00zz__readerz00(BgL_list4065z00_2422); } 
{ /* ./Object/tools.scm 15 */
int BgL_auxz00_2441;
BgL_auxz00_2441 = 
(int)(BgL_iz00_2418); 
CNST_TABLE_SET(BgL_auxz00_2441, BgL_arg4062z00_2421); } } 
{ /* ./Object/tools.scm 15 */
int BgL_auxz00_2423;
{ /* ./Object/tools.scm 15 */
long BgL_auxz00_2444;
BgL_auxz00_2444 = 
(BgL_iz00_2418-((long)1)); 
BgL_auxz00_2423 = 
(int)(BgL_auxz00_2444); } 
{ 
long BgL_iz00_2447;
BgL_iz00_2447 = 
(long)(BgL_auxz00_2423); 
BgL_iz00_2418 = BgL_iz00_2447; 
goto BgL_loopz00_2419;} } } } } } } 
}



/* class->obj-id */
BGL_EXPORTED_DEF obj_t BGl_classzd2ze3objzd2idze3zzobject_toolsz00(obj_t BgL_idz00_1)
{ AN_OBJECT;
{ /* ./Object/tools.scm 45 */
{ /* ./Object/tools.scm 46 */
obj_t BgL_list2921z00_1070;
{ /* ./Object/tools.scm 46 */
obj_t BgL_arg2923z00_1071;
{ /* ./Object/tools.scm 46 */
obj_t BgL_auxz00_2449;
BgL_auxz00_2449 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg2923z00_1071 = 
MAKE_PAIR(BgL_auxz00_2449, BNIL); } 
BgL_list2921z00_1070 = 
MAKE_PAIR(BgL_idz00_1, BgL_arg2923z00_1071); } 
return 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2921z00_1070);} } 
}



/* _class->obj-id3945 */
obj_t BGl__classzd2ze3objzd2id3945ze3zzobject_toolsz00(obj_t BgL_envz00_2365, obj_t BgL_idz00_2366)
{ AN_OBJECT;
{ /* ./Object/tools.scm 45 */
return 
BGl_classzd2ze3objzd2idze3zzobject_toolsz00(BgL_idz00_2366);} 
}



/* obj->class-id */
BGL_EXPORTED_DEF obj_t BGl_objzd2ze3classzd2idze3zzobject_toolsz00(obj_t BgL_idz00_2)
{ AN_OBJECT;
{ /* ./Object/tools.scm 51 */
{ /* ./Object/tools.scm 52 */
obj_t BgL_list2927z00_1072;
{ /* ./Object/tools.scm 52 */
obj_t BgL_arg2929z00_1073;obj_t BgL_arg2930z00_1074;
BgL_arg2929z00_1073 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2930z00_1074 = 
MAKE_PAIR(BgL_idz00_2, BNIL); 
BgL_list2927z00_1072 = 
MAKE_PAIR(BgL_arg2929z00_1073, BgL_arg2930z00_1074); } 
return 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2927z00_1072);} } 
}



/* _obj->class-id3947 */
obj_t BGl__objzd2ze3classzd2id3947ze3zzobject_toolsz00(obj_t BgL_envz00_2367, obj_t BgL_idz00_2368)
{ AN_OBJECT;
{ /* ./Object/tools.scm 51 */
return 
BGl_objzd2ze3classzd2idze3zzobject_toolsz00(BgL_idz00_2368);} 
}



/* class?-id */
BGL_EXPORTED_DEF obj_t BGl_classzf3zd2idz21zzobject_toolsz00(obj_t BgL_idz00_3)
{ AN_OBJECT;
{ /* ./Object/tools.scm 57 */
{ /* ./Object/tools.scm 58 */
obj_t BgL_list2934z00_1075;
{ /* ./Object/tools.scm 58 */
obj_t BgL_arg2936z00_1076;
{ /* ./Object/tools.scm 58 */
obj_t BgL_auxz00_2460;
BgL_auxz00_2460 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2936z00_1076 = 
MAKE_PAIR(BgL_auxz00_2460, BNIL); } 
BgL_list2934z00_1075 = 
MAKE_PAIR(BgL_idz00_3, BgL_arg2936z00_1076); } 
return 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2934z00_1075);} } 
}



/* _class?-id3949 */
obj_t BGl__classzf3zd2id3949z21zzobject_toolsz00(obj_t BgL_envz00_2369, obj_t BgL_idz00_2370)
{ AN_OBJECT;
{ /* ./Object/tools.scm 57 */
return 
BGl_classzf3zd2idz21zzobject_toolsz00(BgL_idz00_2370);} 
}



/* class->super-id */
BGL_EXPORTED_DEF obj_t BGl_classzd2ze3superzd2idze3zzobject_toolsz00(obj_t BgL_classz00_4, obj_t BgL_superz00_5)
{ AN_OBJECT;
{ /* ./Object/tools.scm 63 */
{ /* ./Object/tools.scm 64 */
obj_t BgL_list2940z00_1077;
{ /* ./Object/tools.scm 64 */
obj_t BgL_arg2942z00_1078;
{ /* ./Object/tools.scm 64 */
obj_t BgL_arg2945z00_1079;obj_t BgL_arg2946z00_1080;
BgL_arg2945z00_1079 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2946z00_1080 = 
MAKE_PAIR(BgL_superz00_5, BNIL); 
BgL_arg2942z00_1078 = 
MAKE_PAIR(BgL_arg2945z00_1079, BgL_arg2946z00_1080); } 
BgL_list2940z00_1077 = 
MAKE_PAIR(BgL_classz00_4, BgL_arg2942z00_1078); } 
return 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2940z00_1077);} } 
}



/* _class->super-id3951 */
obj_t BGl__classzd2ze3superzd2id3951ze3zzobject_toolsz00(obj_t BgL_envz00_2371, obj_t BgL_classz00_2372, obj_t BgL_superz00_2373)
{ AN_OBJECT;
{ /* ./Object/tools.scm 63 */
return 
BGl_classzd2ze3superzd2idze3zzobject_toolsz00(BgL_classz00_2372, BgL_superz00_2373);} 
}



/* super->class-id */
BGL_EXPORTED_DEF obj_t BGl_superzd2ze3classzd2idze3zzobject_toolsz00(obj_t BgL_superz00_6, obj_t BgL_classz00_7)
{ AN_OBJECT;
{ /* ./Object/tools.scm 69 */
{ /* ./Object/tools.scm 70 */
obj_t BgL_list2950z00_1081;
{ /* ./Object/tools.scm 70 */
obj_t BgL_arg2952z00_1082;
{ /* ./Object/tools.scm 70 */
obj_t BgL_arg2955z00_1083;obj_t BgL_arg2956z00_1084;
BgL_arg2955z00_1083 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg2956z00_1084 = 
MAKE_PAIR(BgL_classz00_7, BNIL); 
BgL_arg2952z00_1082 = 
MAKE_PAIR(BgL_arg2955z00_1083, BgL_arg2956z00_1084); } 
BgL_list2950z00_1081 = 
MAKE_PAIR(BgL_superz00_6, BgL_arg2952z00_1082); } 
return 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2950z00_1081);} } 
}



/* _super->class-id3953 */
obj_t BGl__superzd2ze3classzd2id3953ze3zzobject_toolsz00(obj_t BgL_envz00_2374, obj_t BgL_superz00_2375, obj_t BgL_classz00_2376)
{ AN_OBJECT;
{ /* ./Object/tools.scm 69 */
return 
BGl_superzd2ze3classzd2idze3zzobject_toolsz00(BgL_superz00_2375, BgL_classz00_2376);} 
}



/* make-pragma-direct-ref */
obj_t BGl_makezd2pragmazd2directzd2refzd2zzobject_toolsz00(BgL_typez00_bglt BgL_typez00_8, BgL_slotz00_bglt BgL_slotz00_9, obj_t BgL_objz00_10)
{ AN_OBJECT;
{ /* ./Object/tools.scm 75 */
if(
CBOOL(BGl_za2usezd2privatezf3za2z21zzengine_paramz00))
{ /* ./Object/tools.scm 77 */
obj_t BgL_arg2960z00_1085;obj_t BgL_arg2962z00_1086;obj_t BgL_arg2963z00_1087;obj_t BgL_arg2964z00_1088;
BgL_arg2960z00_1085 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Object/tools.scm 78 */
BgL_typez00_bglt BgL_obj1003z00_1725;
{ /* ./Object/tools.scm 78 */
obj_t BgL_auxz00_2481;
BgL_auxz00_2481 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_9))->BgL_typez00); 
BgL_obj1003z00_1725 = 
(BgL_typez00_bglt)(BgL_auxz00_2481); } 
BgL_arg2962z00_1086 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1725))->BgL_idz00); } 
{ /* ./Object/tools.scm 79 */
BgL_typez00_bglt BgL_obj1003z00_1727;
{ /* ./Object/tools.scm 79 */
obj_t BgL_auxz00_2485;
BgL_auxz00_2485 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_9))->BgL_classzd2ownerzd2); 
BgL_obj1003z00_1727 = 
(BgL_typez00_bglt)(BgL_auxz00_2485); } 
BgL_arg2963z00_1087 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1727))->BgL_idz00); } 
BgL_arg2964z00_1088 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_9))->BgL_namez00); 
{ /* ./Object/tools.scm 77 */
obj_t BgL_list2966z00_1089;
{ /* ./Object/tools.scm 77 */
obj_t BgL_arg2968z00_1090;
{ /* ./Object/tools.scm 77 */
obj_t BgL_arg2971z00_1091;
BgL_arg2971z00_1091 = 
MAKE_PAIR(BgL_objz00_10, BNIL); 
BgL_arg2968z00_1090 = 
MAKE_PAIR(BgL_arg2964z00_1088, BgL_arg2971z00_1091); } 
BgL_list2966z00_1089 = 
MAKE_PAIR(BgL_arg2963z00_1087, BgL_arg2968z00_1090); } 
return 
BGl_makezd2privatezd2sexpz00zzast_privatez00(BgL_arg2960z00_1085, BgL_arg2962z00_1086, BgL_list2966z00_1089);} }  else 
{ /* ./Object/tools.scm 81 */
obj_t BgL_arg2984z00_1094;obj_t BgL_arg2986z00_1095;
{ /* ./Object/tools.scm 81 */
obj_t BgL_arg2989z00_1096;obj_t BgL_arg2990z00_1097;
BgL_arg2989z00_1096 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Object/tools.scm 81 */
BgL_typez00_bglt BgL_obj1003z00_1730;
{ /* ./Object/tools.scm 81 */
obj_t BgL_auxz00_2495;
BgL_auxz00_2495 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_9))->BgL_typez00); 
BgL_obj1003z00_1730 = 
(BgL_typez00_bglt)(BgL_auxz00_2495); } 
BgL_arg2990z00_1097 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1730))->BgL_idz00); } 
BgL_arg2984z00_1094 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg2989z00_1096, BgL_arg2990z00_1097); } 
{ /* ./Object/tools.scm 82 */
obj_t BgL_arg2997z00_1099;obj_t BgL_arg2998z00_1100;
{ /* ./Object/tools.scm 82 */
obj_t BgL_arg3002z00_1102;obj_t BgL_arg3004z00_1104;
BgL_arg3002z00_1102 = 
(((BgL_typez00_bglt)CREF(BgL_typez00_8))->BgL_namez00); 
BgL_arg3004z00_1104 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_9))->BgL_namez00); 
{ /* ./Object/tools.scm 82 */
obj_t BgL_list3007z00_1106;
{ /* ./Object/tools.scm 82 */
obj_t BgL_arg3009z00_1107;
{ /* ./Object/tools.scm 82 */
obj_t BgL_arg3012z00_1108;
{ /* ./Object/tools.scm 82 */
obj_t BgL_arg3015z00_1109;
{ /* ./Object/tools.scm 82 */
obj_t BgL_arg3018z00_1110;
BgL_arg3018z00_1110 = 
MAKE_PAIR(BGl_string4042z00zzobject_toolsz00, BNIL); 
BgL_arg3015z00_1109 = 
MAKE_PAIR(BgL_arg3004z00_1104, BgL_arg3018z00_1110); } 
BgL_arg3012z00_1108 = 
MAKE_PAIR(BGl_string4043z00zzobject_toolsz00, BgL_arg3015z00_1109); } 
BgL_arg3009z00_1107 = 
MAKE_PAIR(BgL_arg3002z00_1102, BgL_arg3012z00_1108); } 
BgL_list3007z00_1106 = 
MAKE_PAIR(BGl_string4044z00zzobject_toolsz00, BgL_arg3009z00_1107); } 
BgL_arg2997z00_1099 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list3007z00_1106); } } 
BgL_arg2998z00_1100 = 
MAKE_PAIR(BgL_objz00_10, BNIL); 
BgL_arg2986z00_1095 = 
MAKE_PAIR(BgL_arg2997z00_1099, BgL_arg2998z00_1100); } 
return 
MAKE_PAIR(BgL_arg2984z00_1094, BgL_arg2986z00_1095);} } 
}



/* make-pragma-direct-ref/widening */
BGL_EXPORTED_DEF obj_t BGl_makezd2pragmazd2directzd2refzf2wideningz20zzobject_toolsz00(BgL_typez00_bglt BgL_typez00_11, BgL_slotz00_bglt BgL_slotz00_12, obj_t BgL_objz00_13, obj_t BgL_wideningz00_14)
{ AN_OBJECT;
{ /* ./Object/tools.scm 89 */
if(
CBOOL(BgL_wideningz00_14))
{ /* ./Object/tools.scm 92 */
obj_t BgL_arg3025z00_1733;
{ /* ./Object/tools.scm 92 */
obj_t BgL_arg3028z00_1734;obj_t BgL_arg3029z00_1735;
BgL_arg3028z00_1734 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg3029z00_1735 = 
MAKE_PAIR(BgL_objz00_13, BNIL); 
BgL_arg3025z00_1733 = 
MAKE_PAIR(BgL_arg3028z00_1734, BgL_arg3029z00_1735); } 
return 
BGl_makezd2pragmazd2directzd2refzd2zzobject_toolsz00(BgL_typez00_11, BgL_slotz00_12, BgL_arg3025z00_1733);}  else 
{ /* ./Object/tools.scm 90 */
return 
BGl_makezd2pragmazd2directzd2refzd2zzobject_toolsz00(BgL_typez00_11, BgL_slotz00_12, BgL_objz00_13);} } 
}



/* _make-pragma-direct-ref/widening3955 */
obj_t BGl__makezd2pragmazd2directzd2refzf2widening3955z20zzobject_toolsz00(obj_t BgL_envz00_2377, obj_t BgL_typez00_2378, obj_t BgL_slotz00_2379, obj_t BgL_objz00_2380, obj_t BgL_wideningz00_2381)
{ AN_OBJECT;
{ /* ./Object/tools.scm 89 */
return 
BGl_makezd2pragmazd2directzd2refzf2wideningz20zzobject_toolsz00(
(BgL_typez00_bglt)(BgL_typez00_2378), 
(BgL_slotz00_bglt)(BgL_slotz00_2379), BgL_objz00_2380, BgL_wideningz00_2381);} 
}



/* make-pragma-direct-set! */
BGL_EXPORTED_DEF obj_t BGl_makezd2pragmazd2directzd2setz12zc0zzobject_toolsz00(BgL_typez00_bglt BgL_typez00_15, BgL_slotz00_bglt BgL_slotz00_16, obj_t BgL_objz00_17, obj_t BgL_valz00_18)
{ AN_OBJECT;
{ /* ./Object/tools.scm 97 */
if(
CBOOL(BGl_za2usezd2privatezf3za2z21zzengine_paramz00))
{ /* ./Object/tools.scm 99 */
obj_t BgL_arg3034z00_1114;obj_t BgL_arg3035z00_1115;obj_t BgL_arg3036z00_1116;obj_t BgL_arg3038z00_1117;
BgL_arg3034z00_1114 = 
CNST_TABLE_REF(((long)7)); 
{ /* ./Object/tools.scm 100 */
BgL_typez00_bglt BgL_obj1003z00_1737;
{ /* ./Object/tools.scm 100 */
obj_t BgL_auxz00_2524;
BgL_auxz00_2524 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_16))->BgL_typez00); 
BgL_obj1003z00_1737 = 
(BgL_typez00_bglt)(BgL_auxz00_2524); } 
BgL_arg3035z00_1115 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1737))->BgL_idz00); } 
{ /* ./Object/tools.scm 101 */
BgL_typez00_bglt BgL_obj1003z00_1739;
{ /* ./Object/tools.scm 101 */
obj_t BgL_auxz00_2528;
BgL_auxz00_2528 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_16))->BgL_classzd2ownerzd2); 
BgL_obj1003z00_1739 = 
(BgL_typez00_bglt)(BgL_auxz00_2528); } 
BgL_arg3036z00_1116 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1739))->BgL_idz00); } 
BgL_arg3038z00_1117 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_16))->BgL_namez00); 
{ /* ./Object/tools.scm 99 */
obj_t BgL_list3040z00_1118;
{ /* ./Object/tools.scm 99 */
obj_t BgL_arg3042z00_1119;
{ /* ./Object/tools.scm 99 */
obj_t BgL_arg3045z00_1120;
{ /* ./Object/tools.scm 99 */
obj_t BgL_arg3048z00_1121;
BgL_arg3048z00_1121 = 
MAKE_PAIR(BgL_valz00_18, BNIL); 
BgL_arg3045z00_1120 = 
MAKE_PAIR(BgL_objz00_17, BgL_arg3048z00_1121); } 
BgL_arg3042z00_1119 = 
MAKE_PAIR(BgL_arg3038z00_1117, BgL_arg3045z00_1120); } 
BgL_list3040z00_1118 = 
MAKE_PAIR(BgL_arg3036z00_1116, BgL_arg3042z00_1119); } 
return 
BGl_makezd2privatezd2sexpz00zzast_privatez00(BgL_arg3034z00_1114, BgL_arg3035z00_1115, BgL_list3040z00_1118);} }  else 
{ /* ./Object/tools.scm 107 */
obj_t BgL_arg3061z00_1124;obj_t BgL_arg3062z00_1125;
BgL_arg3061z00_1124 = 
CNST_TABLE_REF(((long)8)); 
{ /* ./Object/tools.scm 104 */
obj_t BgL_arg3065z00_1126;obj_t BgL_arg3066z00_1127;
{ /* ./Object/tools.scm 104 */
obj_t BgL_arg3070z00_1129;obj_t BgL_arg3072z00_1131;obj_t BgL_arg3074z00_1133;
BgL_arg3070z00_1129 = 
(((BgL_typez00_bglt)CREF(BgL_typez00_15))->BgL_namez00); 
BgL_arg3072z00_1131 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_16))->BgL_namez00); 
{ /* ./Object/tools.scm 105 */
BgL_typez00_bglt BgL_obj1004z00_1744;
{ /* ./Object/tools.scm 105 */
obj_t BgL_auxz00_2541;
BgL_auxz00_2541 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_16))->BgL_typez00); 
BgL_obj1004z00_1744 = 
(BgL_typez00_bglt)(BgL_auxz00_2541); } 
BgL_arg3074z00_1133 = 
(((BgL_typez00_bglt)CREF(BgL_obj1004z00_1744))->BgL_namez00); } 
{ /* ./Object/tools.scm 104 */
obj_t BgL_list3077z00_1135;
{ /* ./Object/tools.scm 104 */
obj_t BgL_arg3079z00_1136;
{ /* ./Object/tools.scm 104 */
obj_t BgL_arg3082z00_1137;
{ /* ./Object/tools.scm 104 */
obj_t BgL_arg3085z00_1138;
{ /* ./Object/tools.scm 104 */
obj_t BgL_arg3088z00_1139;
{ /* ./Object/tools.scm 104 */
obj_t BgL_arg3091z00_1140;
{ /* ./Object/tools.scm 104 */
obj_t BgL_arg3094z00_1141;
BgL_arg3094z00_1141 = 
MAKE_PAIR(BGl_string4045z00zzobject_toolsz00, BNIL); 
BgL_arg3091z00_1140 = 
MAKE_PAIR(BgL_arg3074z00_1133, BgL_arg3094z00_1141); } 
BgL_arg3088z00_1139 = 
MAKE_PAIR(BGl_string4046z00zzobject_toolsz00, BgL_arg3091z00_1140); } 
BgL_arg3085z00_1138 = 
MAKE_PAIR(BgL_arg3072z00_1131, BgL_arg3088z00_1139); } 
BgL_arg3082z00_1137 = 
MAKE_PAIR(BGl_string4043z00zzobject_toolsz00, BgL_arg3085z00_1138); } 
BgL_arg3079z00_1136 = 
MAKE_PAIR(BgL_arg3070z00_1129, BgL_arg3082z00_1137); } 
BgL_list3077z00_1135 = 
MAKE_PAIR(BGl_string4047z00zzobject_toolsz00, BgL_arg3079z00_1136); } 
BgL_arg3065z00_1126 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list3077z00_1135); } } 
{ /* ./Object/tools.scm 103 */
obj_t BgL_arg3104z00_1143;
BgL_arg3104z00_1143 = 
MAKE_PAIR(BgL_valz00_18, BNIL); 
BgL_arg3066z00_1127 = 
MAKE_PAIR(BgL_objz00_17, BgL_arg3104z00_1143); } 
BgL_arg3062z00_1125 = 
MAKE_PAIR(BgL_arg3065z00_1126, BgL_arg3066z00_1127); } 
return 
MAKE_PAIR(BgL_arg3061z00_1124, BgL_arg3062z00_1125);} } 
}



/* _make-pragma-direct-set!3957 */
obj_t BGl__makezd2pragmazd2directzd2setz123957zc0zzobject_toolsz00(obj_t BgL_envz00_2382, obj_t BgL_typez00_2383, obj_t BgL_slotz00_2384, obj_t BgL_objz00_2385, obj_t BgL_valz00_2386)
{ AN_OBJECT;
{ /* ./Object/tools.scm 97 */
return 
BGl_makezd2pragmazd2directzd2setz12zc0zzobject_toolsz00(
(BgL_typez00_bglt)(BgL_typez00_2383), 
(BgL_slotz00_bglt)(BgL_slotz00_2384), BgL_objz00_2385, BgL_valz00_2386);} 
}



/* make-pragma-direct-set!/widening */
BGL_EXPORTED_DEF obj_t BGl_makezd2pragmazd2directzd2setz12zf2wideningz32zzobject_toolsz00(BgL_typez00_bglt BgL_typez00_19, BgL_slotz00_bglt BgL_slotz00_20, obj_t BgL_objz00_21, obj_t BgL_valz00_22, obj_t BgL_wideningz00_23)
{ AN_OBJECT;
{ /* ./Object/tools.scm 112 */
if(
CBOOL(BgL_wideningz00_23))
{ /* ./Object/tools.scm 115 */
obj_t BgL_arg3108z00_1745;
{ /* ./Object/tools.scm 115 */
obj_t BgL_arg3111z00_1746;obj_t BgL_arg3112z00_1747;
BgL_arg3111z00_1746 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg3112z00_1747 = 
MAKE_PAIR(BgL_objz00_21, BNIL); 
BgL_arg3108z00_1745 = 
MAKE_PAIR(BgL_arg3111z00_1746, BgL_arg3112z00_1747); } 
return 
BGl_makezd2pragmazd2directzd2setz12zc0zzobject_toolsz00(BgL_typez00_19, BgL_slotz00_20, BgL_arg3108z00_1745, BgL_valz00_22);}  else 
{ /* ./Object/tools.scm 113 */
return 
BGl_makezd2pragmazd2directzd2setz12zc0zzobject_toolsz00(BgL_typez00_19, BgL_slotz00_20, BgL_objz00_21, BgL_valz00_22);} } 
}



/* _make-pragma-direct-set!/widening3959 */
obj_t BGl__makezd2pragmazd2directzd2setz12zf2widening3959z32zzobject_toolsz00(obj_t BgL_envz00_2387, obj_t BgL_typez00_2388, obj_t BgL_slotz00_2389, obj_t BgL_objz00_2390, obj_t BgL_valz00_2391, obj_t BgL_wideningz00_2392)
{ AN_OBJECT;
{ /* ./Object/tools.scm 112 */
return 
BGl_makezd2pragmazd2directzd2setz12zf2wideningz32zzobject_toolsz00(
(BgL_typez00_bglt)(BgL_typez00_2388), 
(BgL_slotz00_bglt)(BgL_slotz00_2389), BgL_objz00_2390, BgL_valz00_2391, BgL_wideningz00_2392);} 
}



/* make-pragma-indexed-ref */
obj_t BGl_makezd2pragmazd2indexedzd2refzd2zzobject_toolsz00(BgL_typez00_bglt BgL_typez00_24, BgL_slotz00_bglt BgL_slotz00_25, obj_t BgL_objz00_26, obj_t BgL_indexz00_27)
{ AN_OBJECT;
{ /* ./Object/tools.scm 120 */
{ /* ./Object/tools.scm 121 */
obj_t BgL_casezd2valuezd2_1147;
BgL_casezd2valuezd2_1147 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
{ /* ./Object/tools.scm 121 */
bool_t BgL_test3116z00_1148;
{ /* ./Object/tools.scm 121 */
obj_t BgL_auxz00_2570;
BgL_auxz00_2570 = 
CNST_TABLE_REF(((long)9)); 
BgL_test3116z00_1148 = 
(BgL_casezd2valuezd2_1147==BgL_auxz00_2570); } 
if(BgL_test3116z00_1148)
{ /* ./Object/tools.scm 123 */
obj_t BgL_arg3118z00_1149;obj_t BgL_arg3119z00_1150;
{ /* ./Object/tools.scm 123 */
obj_t BgL_arg3122z00_1151;obj_t BgL_arg3123z00_1152;
BgL_arg3122z00_1151 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Object/tools.scm 123 */
BgL_typez00_bglt BgL_obj1003z00_1749;
{ /* ./Object/tools.scm 123 */
obj_t BgL_auxz00_2575;
BgL_auxz00_2575 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_25))->BgL_typez00); 
BgL_obj1003z00_1749 = 
(BgL_typez00_bglt)(BgL_auxz00_2575); } 
BgL_arg3123z00_1152 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1749))->BgL_idz00); } 
BgL_arg3118z00_1149 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg3122z00_1151, BgL_arg3123z00_1152); } 
{ /* ./Object/tools.scm 124 */
obj_t BgL_arg3130z00_1154;obj_t BgL_arg3131z00_1155;
{ /* ./Object/tools.scm 124 */
obj_t BgL_arg3135z00_1157;obj_t BgL_arg3137z00_1159;
BgL_arg3135z00_1157 = 
(((BgL_typez00_bglt)CREF(BgL_typez00_24))->BgL_namez00); 
BgL_arg3137z00_1159 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_25))->BgL_namez00); 
{ /* ./Object/tools.scm 124 */
obj_t BgL_list3140z00_1161;
{ /* ./Object/tools.scm 124 */
obj_t BgL_arg3142z00_1162;
{ /* ./Object/tools.scm 124 */
obj_t BgL_arg3145z00_1163;
{ /* ./Object/tools.scm 124 */
obj_t BgL_arg3148z00_1164;
{ /* ./Object/tools.scm 124 */
obj_t BgL_arg3151z00_1165;
BgL_arg3151z00_1165 = 
MAKE_PAIR(BGl_string4048z00zzobject_toolsz00, BNIL); 
BgL_arg3148z00_1164 = 
MAKE_PAIR(BgL_arg3137z00_1159, BgL_arg3151z00_1165); } 
BgL_arg3145z00_1163 = 
MAKE_PAIR(BGl_string4043z00zzobject_toolsz00, BgL_arg3148z00_1164); } 
BgL_arg3142z00_1162 = 
MAKE_PAIR(BgL_arg3135z00_1157, BgL_arg3145z00_1163); } 
BgL_list3140z00_1161 = 
MAKE_PAIR(BGl_string4044z00zzobject_toolsz00, BgL_arg3142z00_1162); } 
BgL_arg3130z00_1154 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list3140z00_1161); } } 
{ /* ./Object/tools.scm 123 */
obj_t BgL_arg3157z00_1166;
BgL_arg3157z00_1166 = 
MAKE_PAIR(BgL_indexz00_27, BNIL); 
BgL_arg3131z00_1155 = 
MAKE_PAIR(BgL_objz00_26, BgL_arg3157z00_1166); } 
BgL_arg3119z00_1150 = 
MAKE_PAIR(BgL_arg3130z00_1154, BgL_arg3131z00_1155); } 
return 
MAKE_PAIR(BgL_arg3118z00_1149, BgL_arg3119z00_1150);}  else 
{ /* ./Object/tools.scm 121 */
bool_t BgL_test3160z00_1167;
{ /* ./Object/tools.scm 121 */
obj_t BgL_auxz00_2592;
BgL_auxz00_2592 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_1147, 
CNST_TABLE_REF(((long)10))); 
BgL_test3160z00_1167 = 
CBOOL(BgL_auxz00_2592); } 
if(BgL_test3160z00_1167)
{ /* ./Object/tools.scm 130 */
obj_t BgL_ftypezd2idzd2_1169;
{ /* ./Object/tools.scm 130 */
BgL_typez00_bglt BgL_obj1003z00_1753;
{ /* ./Object/tools.scm 130 */
obj_t BgL_auxz00_2597;
BgL_auxz00_2597 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_25))->BgL_indexedz00); 
BgL_obj1003z00_1753 = 
(BgL_typez00_bglt)(BgL_auxz00_2597); } 
BgL_ftypezd2idzd2_1169 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1753))->BgL_idz00); } 
{ /* ./Object/tools.scm 130 */
obj_t BgL_fieldz00_1170;
{ /* ./Object/tools.scm 131 */
obj_t BgL_arg3187z00_1181;obj_t BgL_arg3188z00_1182;obj_t BgL_arg3190z00_1183;
BgL_arg3187z00_1181 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Object/tools.scm 133 */
BgL_typez00_bglt BgL_obj1003z00_1755;
{ /* ./Object/tools.scm 133 */
obj_t BgL_auxz00_2602;
BgL_auxz00_2602 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_25))->BgL_classzd2ownerzd2); 
BgL_obj1003z00_1755 = 
(BgL_typez00_bglt)(BgL_auxz00_2602); } 
BgL_arg3188z00_1182 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1755))->BgL_idz00); } 
BgL_arg3190z00_1183 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_25))->BgL_namez00); 
{ /* ./Object/tools.scm 131 */
obj_t BgL_list3192z00_1184;
{ /* ./Object/tools.scm 131 */
obj_t BgL_arg3194z00_1185;
{ /* ./Object/tools.scm 131 */
obj_t BgL_arg3197z00_1186;
BgL_arg3197z00_1186 = 
MAKE_PAIR(BgL_objz00_26, BNIL); 
BgL_arg3194z00_1185 = 
MAKE_PAIR(BgL_arg3190z00_1183, BgL_arg3197z00_1186); } 
BgL_list3192z00_1184 = 
MAKE_PAIR(BgL_arg3188z00_1182, BgL_arg3194z00_1185); } 
BgL_fieldz00_1170 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(BgL_arg3187z00_1181, BgL_ftypezd2idzd2_1169, BgL_list3192z00_1184); } } 
{ /* ./Object/tools.scm 131 */

{ /* ./Object/tools.scm 136 */
obj_t BgL_arg3162z00_1171;obj_t BgL_arg3163z00_1172;obj_t BgL_arg3164z00_1173;
BgL_arg3162z00_1171 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Object/tools.scm 138 */
BgL_typez00_bglt BgL_obj1003z00_1758;
{ /* ./Object/tools.scm 138 */
obj_t BgL_auxz00_2612;
BgL_auxz00_2612 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_25))->BgL_typez00); 
BgL_obj1003z00_1758 = 
(BgL_typez00_bglt)(BgL_auxz00_2612); } 
BgL_arg3163z00_1172 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1758))->BgL_idz00); } 
{ /* ./Object/tools.scm 139 */
BgL_typez00_bglt BgL_obj1003z00_1759;
BgL_obj1003z00_1759 = 
(BgL_typez00_bglt)(BGl_za2intza2z00zztype_cachez00); 
BgL_arg3164z00_1173 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1759))->BgL_idz00); } 
{ /* ./Object/tools.scm 136 */
obj_t BgL_list3167z00_1175;
{ /* ./Object/tools.scm 136 */
obj_t BgL_arg3169z00_1176;
{ /* ./Object/tools.scm 136 */
obj_t BgL_arg3172z00_1177;
{ /* ./Object/tools.scm 136 */
obj_t BgL_arg3175z00_1178;
{ /* ./Object/tools.scm 136 */
obj_t BgL_arg3178z00_1179;
BgL_arg3178z00_1179 = 
MAKE_PAIR(BgL_indexz00_27, BNIL); 
BgL_arg3175z00_1178 = 
MAKE_PAIR(BgL_fieldz00_1170, BgL_arg3178z00_1179); } 
BgL_arg3172z00_1177 = 
MAKE_PAIR(BGl_string4049z00zzobject_toolsz00, BgL_arg3175z00_1178); } 
BgL_arg3169z00_1176 = 
MAKE_PAIR(BgL_arg3164z00_1173, BgL_arg3172z00_1177); } 
BgL_list3167z00_1175 = 
MAKE_PAIR(BgL_arg3163z00_1172, BgL_arg3169z00_1176); } 
return 
BGl_makezd2privatezd2sexpz00zzast_privatez00(BgL_arg3162z00_1171, BgL_ftypezd2idzd2_1169, BgL_list3167z00_1175);} } } } }  else 
{ /* ./Object/tools.scm 121 */
return BUNSPEC;} } } } } 
}



/* make-pragma-indexed-ref/widening */
BGL_EXPORTED_DEF obj_t BGl_makezd2pragmazd2indexedzd2refzf2wideningz20zzobject_toolsz00(BgL_typez00_bglt BgL_typez00_28, BgL_slotz00_bglt BgL_slotz00_29, obj_t BgL_objz00_30, obj_t BgL_indexz00_31, obj_t BgL_wideningz00_32)
{ AN_OBJECT;
{ /* ./Object/tools.scm 147 */
if(
CBOOL(BgL_wideningz00_32))
{ /* ./Object/tools.scm 150 */
obj_t BgL_arg3212z00_1760;
{ /* ./Object/tools.scm 150 */
obj_t BgL_arg3215z00_1761;obj_t BgL_arg3216z00_1762;
BgL_arg3215z00_1761 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg3216z00_1762 = 
MAKE_PAIR(BgL_objz00_30, BNIL); 
BgL_arg3212z00_1760 = 
MAKE_PAIR(BgL_arg3215z00_1761, BgL_arg3216z00_1762); } 
return 
BGl_makezd2pragmazd2indexedzd2refzd2zzobject_toolsz00(BgL_typez00_28, BgL_slotz00_29, BgL_arg3212z00_1760, BgL_indexz00_31);}  else 
{ /* ./Object/tools.scm 148 */
return 
BGl_makezd2pragmazd2indexedzd2refzd2zzobject_toolsz00(BgL_typez00_28, BgL_slotz00_29, BgL_objz00_30, BgL_indexz00_31);} } 
}



/* _make-pragma-indexed-ref/widening3961 */
obj_t BGl__makezd2pragmazd2indexedzd2refzf2widening3961z20zzobject_toolsz00(obj_t BgL_envz00_2393, obj_t BgL_typez00_2394, obj_t BgL_slotz00_2395, obj_t BgL_objz00_2396, obj_t BgL_indexz00_2397, obj_t BgL_wideningz00_2398)
{ AN_OBJECT;
{ /* ./Object/tools.scm 147 */
return 
BGl_makezd2pragmazd2indexedzd2refzf2wideningz20zzobject_toolsz00(
(BgL_typez00_bglt)(BgL_typez00_2394), 
(BgL_slotz00_bglt)(BgL_slotz00_2395), BgL_objz00_2396, BgL_indexz00_2397, BgL_wideningz00_2398);} 
}



/* c-allocate-indexed-slot */
obj_t BGl_czd2allocatezd2indexedzd2slotzd2zzobject_toolsz00(BgL_typez00_bglt BgL_typez00_33, obj_t BgL_lenz00_34)
{ AN_OBJECT;
{ /* ./Object/tools.scm 155 */
{ /* ./Object/tools.scm 156 */
obj_t BgL_tidz00_1192;obj_t BgL_tnamez00_1193;obj_t BgL_siza7eofza7_1194;
BgL_tidz00_1192 = 
(((BgL_typez00_bglt)CREF(BgL_typez00_33))->BgL_idz00); 
{ /* ./Object/tools.scm 157 */
obj_t BgL_arg3233z00_1199;
BgL_arg3233z00_1199 = 
(((BgL_typez00_bglt)CREF(BgL_typez00_33))->BgL_namez00); 
BgL_tnamez00_1193 = 
BGl_stringzd2sanszd2z42z42zztype_toolsz00(BgL_arg3233z00_1199); } 
{ /* ./Object/tools.scm 158 */
bool_t BgL_testz00_2637;
{ /* ./Object/tools.scm 158 */
obj_t BgL_auxz00_2638;
BgL_auxz00_2638 = 
(((BgL_typez00_bglt)CREF(BgL_typez00_33))->BgL_siza7eza7); 
BgL_testz00_2637 = 
STRINGP(BgL_auxz00_2638); } 
if(BgL_testz00_2637)
{ /* ./Object/tools.scm 158 */
BgL_siza7eofza7_1194 = 
(((BgL_typez00_bglt)CREF(BgL_typez00_33))->BgL_siza7eza7); }  else 
{ /* ./Object/tools.scm 158 */
BgL_siza7eofza7_1194 = 
(((BgL_typez00_bglt)CREF(BgL_typez00_33))->BgL_namez00); } } 
{ /* ./Object/tools.scm 161 */
obj_t BgL_arg3221z00_1195;obj_t BgL_arg3222z00_1196;
BgL_arg3221z00_1195 = 
BGl_makezd2typedzd2identz00zzast_identz00(
CNST_TABLE_REF(((long)5)), BgL_tidz00_1192); 
{ /* ./Object/tools.scm 162 */
obj_t BgL_arg3226z00_1197;obj_t BgL_arg3227z00_1198;
BgL_arg3226z00_1197 = 
string_append_3(BGl_string4050z00zzobject_toolsz00, BgL_siza7eofza7_1194, BGl_string4051z00zzobject_toolsz00); 
BgL_arg3227z00_1198 = 
MAKE_PAIR(BgL_lenz00_34, BNIL); 
BgL_arg3222z00_1196 = 
MAKE_PAIR(BgL_arg3226z00_1197, BgL_arg3227z00_1198); } 
return 
MAKE_PAIR(BgL_arg3221z00_1195, BgL_arg3222z00_1196);} } } 
}



/* jvm-allocate-indexed-slot */
obj_t BGl_jvmzd2allocatezd2indexedzd2slotzd2zzobject_toolsz00(obj_t BgL_vtypezd2idzd2_35, obj_t BgL_ftypezd2idzd2_36, obj_t BgL_lenz00_37)
{ AN_OBJECT;
{ /* ./Object/tools.scm 167 */
{ /* ./Object/tools.scm 168 */
obj_t BgL_arg3244z00_1202;obj_t BgL_arg3245z00_1203;
BgL_arg3244z00_1202 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Object/tools.scm 168 */
BgL_typez00_bglt BgL_obj1003z00_1769;
BgL_obj1003z00_1769 = 
(BgL_typez00_bglt)(BGl_za2intza2z00zztype_cachez00); 
BgL_arg3245z00_1203 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1769))->BgL_idz00); } 
{ /* ./Object/tools.scm 168 */
obj_t BgL_list3249z00_1206;
{ /* ./Object/tools.scm 168 */
obj_t BgL_arg3251z00_1207;
{ /* ./Object/tools.scm 168 */
obj_t BgL_arg3254z00_1208;
{ /* ./Object/tools.scm 168 */
obj_t BgL_arg3257z00_1209;
{ /* ./Object/tools.scm 168 */
obj_t BgL_arg3260z00_1210;
{ /* ./Object/tools.scm 168 */
obj_t BgL_arg3263z00_1211;
BgL_arg3263z00_1211 = 
MAKE_PAIR(BgL_lenz00_37, BNIL); 
BgL_arg3260z00_1210 = 
MAKE_PAIR(BFALSE, BgL_arg3263z00_1211); } 
BgL_arg3257z00_1209 = 
MAKE_PAIR(BGl_string4049z00zzobject_toolsz00, BgL_arg3260z00_1210); } 
BgL_arg3254z00_1208 = 
MAKE_PAIR(BGl_string4049z00zzobject_toolsz00, BgL_arg3257z00_1209); } 
BgL_arg3251z00_1207 = 
MAKE_PAIR(BgL_arg3245z00_1203, BgL_arg3254z00_1208); } 
BgL_list3249z00_1206 = 
MAKE_PAIR(BgL_ftypezd2idzd2_36, BgL_arg3251z00_1207); } 
return 
BGl_makezd2privatezd2sexpz00zzast_privatez00(BgL_arg3244z00_1202, BgL_vtypezd2idzd2_35, BgL_list3249z00_1206);} } } 
}



/* make-pragma-indexed-init-set! */
BGL_EXPORTED_DEF obj_t BGl_makezd2pragmazd2indexedzd2initzd2setz12z12zzobject_toolsz00(BgL_typez00_bglt BgL_typez00_38, BgL_slotz00_bglt BgL_slotz00_39, obj_t BgL_objz00_40, obj_t BgL_lenz00_41)
{ AN_OBJECT;
{ /* ./Object/tools.scm 173 */
{ /* ./Object/tools.scm 174 */
obj_t BgL_casezd2valuezd2_1212;
BgL_casezd2valuezd2_1212 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
{ /* ./Object/tools.scm 174 */
bool_t BgL_test3267z00_1213;
{ /* ./Object/tools.scm 174 */
obj_t BgL_auxz00_2659;
BgL_auxz00_2659 = 
CNST_TABLE_REF(((long)9)); 
BgL_test3267z00_1213 = 
(BgL_casezd2valuezd2_1212==BgL_auxz00_2659); } 
if(BgL_test3267z00_1213)
{ /* ./Object/tools.scm 176 */
obj_t BgL_arg3269z00_1214;obj_t BgL_arg3270z00_1215;
BgL_arg3269z00_1214 = 
CNST_TABLE_REF(((long)8)); 
{ /* ./Object/tools.scm 177 */
obj_t BgL_arg3273z00_1216;obj_t BgL_arg3274z00_1217;
{ /* ./Object/tools.scm 177 */
obj_t BgL_arg3278z00_1219;obj_t BgL_arg3280z00_1221;obj_t BgL_arg3282z00_1223;
BgL_arg3278z00_1219 = 
(((BgL_typez00_bglt)CREF(BgL_typez00_38))->BgL_namez00); 
BgL_arg3280z00_1221 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_39))->BgL_namez00); 
{ /* ./Object/tools.scm 178 */
BgL_typez00_bglt BgL_obj1004z00_1773;
{ /* ./Object/tools.scm 178 */
obj_t BgL_auxz00_2666;
BgL_auxz00_2666 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_39))->BgL_typez00); 
BgL_obj1004z00_1773 = 
(BgL_typez00_bglt)(BgL_auxz00_2666); } 
BgL_arg3282z00_1223 = 
(((BgL_typez00_bglt)CREF(BgL_obj1004z00_1773))->BgL_namez00); } 
{ /* ./Object/tools.scm 177 */
obj_t BgL_list3285z00_1225;
{ /* ./Object/tools.scm 177 */
obj_t BgL_arg3287z00_1226;
{ /* ./Object/tools.scm 177 */
obj_t BgL_arg3290z00_1227;
{ /* ./Object/tools.scm 177 */
obj_t BgL_arg3293z00_1228;
{ /* ./Object/tools.scm 177 */
obj_t BgL_arg3296z00_1229;
{ /* ./Object/tools.scm 177 */
obj_t BgL_arg3299z00_1230;
{ /* ./Object/tools.scm 177 */
obj_t BgL_arg3302z00_1231;
BgL_arg3302z00_1231 = 
MAKE_PAIR(BGl_string4052z00zzobject_toolsz00, BNIL); 
BgL_arg3299z00_1230 = 
MAKE_PAIR(BgL_arg3282z00_1223, BgL_arg3302z00_1231); } 
BgL_arg3296z00_1229 = 
MAKE_PAIR(BGl_string4046z00zzobject_toolsz00, BgL_arg3299z00_1230); } 
BgL_arg3293z00_1228 = 
MAKE_PAIR(BgL_arg3280z00_1221, BgL_arg3296z00_1229); } 
BgL_arg3290z00_1227 = 
MAKE_PAIR(BGl_string4043z00zzobject_toolsz00, BgL_arg3293z00_1228); } 
BgL_arg3287z00_1226 = 
MAKE_PAIR(BgL_arg3278z00_1219, BgL_arg3290z00_1227); } 
BgL_list3285z00_1225 = 
MAKE_PAIR(BGl_string4047z00zzobject_toolsz00, BgL_arg3287z00_1226); } 
BgL_arg3273z00_1216 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list3285z00_1225); } } 
{ /* ./Object/tools.scm 180 */
obj_t BgL_arg3312z00_1233;
{ /* ./Object/tools.scm 180 */
obj_t BgL_arg3315z00_1234;
BgL_arg3315z00_1234 = 
BGl_czd2allocatezd2indexedzd2slotzd2zzobject_toolsz00(BgL_typez00_38, BgL_lenz00_41); 
BgL_arg3312z00_1233 = 
MAKE_PAIR(BgL_arg3315z00_1234, BNIL); } 
BgL_arg3274z00_1217 = 
MAKE_PAIR(BgL_objz00_40, BgL_arg3312z00_1233); } 
BgL_arg3270z00_1215 = 
MAKE_PAIR(BgL_arg3273z00_1216, BgL_arg3274z00_1217); } 
return 
MAKE_PAIR(BgL_arg3269z00_1214, BgL_arg3270z00_1215);}  else 
{ /* ./Object/tools.scm 174 */
bool_t BgL_test3319z00_1236;
{ /* ./Object/tools.scm 174 */
obj_t BgL_auxz00_2683;
BgL_auxz00_2683 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_1212, 
CNST_TABLE_REF(((long)10))); 
BgL_test3319z00_1236 = 
CBOOL(BgL_auxz00_2683); } 
if(BgL_test3319z00_1236)
{ /* ./Object/tools.scm 182 */
obj_t BgL_ftypez00_1237;obj_t BgL_otypez00_1238;obj_t BgL_namez00_1239;
{ /* ./Object/tools.scm 182 */
BgL_typez00_bglt BgL_obj1003z00_1775;
{ /* ./Object/tools.scm 182 */
obj_t BgL_auxz00_2688;
BgL_auxz00_2688 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_39))->BgL_indexedz00); 
BgL_obj1003z00_1775 = 
(BgL_typez00_bglt)(BgL_auxz00_2688); } 
BgL_ftypez00_1237 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1775))->BgL_idz00); } 
BgL_otypez00_1238 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_39))->BgL_typez00); 
BgL_namez00_1239 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_39))->BgL_namez00); 
{ /* ./Object/tools.scm 185 */
obj_t BgL_arg3321z00_1240;obj_t BgL_arg3322z00_1241;obj_t BgL_arg3323z00_1242;
BgL_arg3321z00_1240 = 
CNST_TABLE_REF(((long)7)); 
{ /* ./Object/tools.scm 187 */
BgL_typez00_bglt BgL_obj1003z00_1779;
{ /* ./Object/tools.scm 187 */
obj_t BgL_auxz00_2695;
BgL_auxz00_2695 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_39))->BgL_classzd2ownerzd2); 
BgL_obj1003z00_1779 = 
(BgL_typez00_bglt)(BgL_auxz00_2695); } 
BgL_arg3322z00_1241 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1779))->BgL_idz00); } 
{ /* ./Object/tools.scm 191 */
obj_t BgL_arg3341z00_1248;
{ /* ./Object/tools.scm 191 */
BgL_typez00_bglt BgL_obj1003z00_1780;
BgL_obj1003z00_1780 = 
(BgL_typez00_bglt)(BgL_otypez00_1238); 
BgL_arg3341z00_1248 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1780))->BgL_idz00); } 
BgL_arg3323z00_1242 = 
BGl_jvmzd2allocatezd2indexedzd2slotzd2zzobject_toolsz00(BgL_ftypez00_1237, BgL_arg3341z00_1248, BgL_lenz00_41); } 
{ /* ./Object/tools.scm 185 */
obj_t BgL_list3325z00_1243;
{ /* ./Object/tools.scm 185 */
obj_t BgL_arg3327z00_1244;
{ /* ./Object/tools.scm 185 */
obj_t BgL_arg3330z00_1245;
{ /* ./Object/tools.scm 185 */
obj_t BgL_arg3333z00_1246;
BgL_arg3333z00_1246 = 
MAKE_PAIR(BgL_arg3323z00_1242, BNIL); 
BgL_arg3330z00_1245 = 
MAKE_PAIR(BgL_objz00_40, BgL_arg3333z00_1246); } 
BgL_arg3327z00_1244 = 
MAKE_PAIR(BgL_namez00_1239, BgL_arg3330z00_1245); } 
BgL_list3325z00_1243 = 
MAKE_PAIR(BgL_arg3322z00_1241, BgL_arg3327z00_1244); } 
return 
BGl_makezd2privatezd2sexpz00zzast_privatez00(BgL_arg3321z00_1240, BgL_ftypez00_1237, BgL_list3325z00_1243);} } }  else 
{ /* ./Object/tools.scm 174 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string4053z00zzobject_toolsz00, BGl_string4054z00zzobject_toolsz00, BGl_za2targetzd2languageza2zd2zzengine_paramz00);} } } } } 
}



/* _make-pragma-indexed-init-set!3963 */
obj_t BGl__makezd2pragmazd2indexedzd2initzd2setz123963z12zzobject_toolsz00(obj_t BgL_envz00_2399, obj_t BgL_typez00_2400, obj_t BgL_slotz00_2401, obj_t BgL_objz00_2402, obj_t BgL_lenz00_2403)
{ AN_OBJECT;
{ /* ./Object/tools.scm 173 */
return 
BGl_makezd2pragmazd2indexedzd2initzd2setz12z12zzobject_toolsz00(
(BgL_typez00_bglt)(BgL_typez00_2400), 
(BgL_slotz00_bglt)(BgL_slotz00_2401), BgL_objz00_2402, BgL_lenz00_2403);} 
}



/* make-pragma-indexed-set! */
BGL_EXPORTED_DEF obj_t BGl_makezd2pragmazd2indexedzd2setz12zc0zzobject_toolsz00(BgL_typez00_bglt BgL_typez00_42, BgL_slotz00_bglt BgL_slotz00_43, obj_t BgL_objz00_44, obj_t BgL_valz00_45, obj_t BgL_indexz00_46)
{ AN_OBJECT;
{ /* ./Object/tools.scm 201 */
{ /* ./Object/tools.scm 202 */
obj_t BgL_casezd2valuezd2_1250;
BgL_casezd2valuezd2_1250 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
{ /* ./Object/tools.scm 202 */
bool_t BgL_test3353z00_1251;
{ /* ./Object/tools.scm 202 */
obj_t BgL_auxz00_2711;
BgL_auxz00_2711 = 
CNST_TABLE_REF(((long)9)); 
BgL_test3353z00_1251 = 
(BgL_casezd2valuezd2_1250==BgL_auxz00_2711); } 
if(BgL_test3353z00_1251)
{ /* ./Object/tools.scm 204 */
obj_t BgL_arg3355z00_1252;obj_t BgL_arg3356z00_1253;
BgL_arg3355z00_1252 = 
CNST_TABLE_REF(((long)8)); 
{ /* ./Object/tools.scm 205 */
obj_t BgL_arg3359z00_1254;obj_t BgL_arg3360z00_1255;
{ /* ./Object/tools.scm 205 */
obj_t BgL_arg3364z00_1257;obj_t BgL_arg3366z00_1259;obj_t BgL_arg3368z00_1261;
BgL_arg3364z00_1257 = 
(((BgL_typez00_bglt)CREF(BgL_typez00_42))->BgL_namez00); 
BgL_arg3366z00_1259 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_43))->BgL_namez00); 
{ /* ./Object/tools.scm 206 */
BgL_typez00_bglt BgL_obj1004z00_1784;
{ /* ./Object/tools.scm 206 */
obj_t BgL_auxz00_2718;
BgL_auxz00_2718 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_43))->BgL_typez00); 
BgL_obj1004z00_1784 = 
(BgL_typez00_bglt)(BgL_auxz00_2718); } 
BgL_arg3368z00_1261 = 
(((BgL_typez00_bglt)CREF(BgL_obj1004z00_1784))->BgL_namez00); } 
{ /* ./Object/tools.scm 205 */
obj_t BgL_list3372z00_1263;
{ /* ./Object/tools.scm 205 */
obj_t BgL_arg3374z00_1264;
{ /* ./Object/tools.scm 205 */
obj_t BgL_arg3377z00_1265;
{ /* ./Object/tools.scm 205 */
obj_t BgL_arg3380z00_1266;
{ /* ./Object/tools.scm 205 */
obj_t BgL_arg3383z00_1267;
{ /* ./Object/tools.scm 205 */
obj_t BgL_arg3386z00_1268;
{ /* ./Object/tools.scm 205 */
obj_t BgL_arg3389z00_1269;
BgL_arg3389z00_1269 = 
MAKE_PAIR(BGl_string4055z00zzobject_toolsz00, BNIL); 
BgL_arg3386z00_1268 = 
MAKE_PAIR(BgL_arg3368z00_1261, BgL_arg3389z00_1269); } 
BgL_arg3383z00_1267 = 
MAKE_PAIR(BGl_string4056z00zzobject_toolsz00, BgL_arg3386z00_1268); } 
BgL_arg3380z00_1266 = 
MAKE_PAIR(BgL_arg3366z00_1259, BgL_arg3383z00_1267); } 
BgL_arg3377z00_1265 = 
MAKE_PAIR(BGl_string4043z00zzobject_toolsz00, BgL_arg3380z00_1266); } 
BgL_arg3374z00_1264 = 
MAKE_PAIR(BgL_arg3364z00_1257, BgL_arg3377z00_1265); } 
BgL_list3372z00_1263 = 
MAKE_PAIR(BGl_string4047z00zzobject_toolsz00, BgL_arg3374z00_1264); } 
BgL_arg3359z00_1254 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list3372z00_1263); } } 
{ /* ./Object/tools.scm 204 */
obj_t BgL_arg3399z00_1271;
{ /* ./Object/tools.scm 204 */
obj_t BgL_arg3402z00_1272;
BgL_arg3402z00_1272 = 
MAKE_PAIR(BgL_valz00_45, BNIL); 
BgL_arg3399z00_1271 = 
MAKE_PAIR(BgL_indexz00_46, BgL_arg3402z00_1272); } 
BgL_arg3360z00_1255 = 
MAKE_PAIR(BgL_objz00_44, BgL_arg3399z00_1271); } 
BgL_arg3356z00_1253 = 
MAKE_PAIR(BgL_arg3359z00_1254, BgL_arg3360z00_1255); } 
return 
MAKE_PAIR(BgL_arg3355z00_1252, BgL_arg3356z00_1253);}  else 
{ /* ./Object/tools.scm 202 */
bool_t BgL_test3405z00_1273;
{ /* ./Object/tools.scm 202 */
obj_t BgL_auxz00_2735;
BgL_auxz00_2735 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_1250, 
CNST_TABLE_REF(((long)10))); 
BgL_test3405z00_1273 = 
CBOOL(BgL_auxz00_2735); } 
if(BgL_test3405z00_1273)
{ /* ./Object/tools.scm 212 */
obj_t BgL_ftypezd2idzd2_1274;
{ /* ./Object/tools.scm 212 */
BgL_typez00_bglt BgL_obj1003z00_1786;
{ /* ./Object/tools.scm 212 */
obj_t BgL_auxz00_2740;
BgL_auxz00_2740 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_43))->BgL_indexedz00); 
BgL_obj1003z00_1786 = 
(BgL_typez00_bglt)(BgL_auxz00_2740); } 
BgL_ftypezd2idzd2_1274 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1786))->BgL_idz00); } 
{ /* ./Object/tools.scm 212 */
obj_t BgL_getzd2fieldzd2_1275;
{ /* ./Object/tools.scm 213 */
obj_t BgL_arg3435z00_1287;obj_t BgL_arg3436z00_1288;obj_t BgL_arg3437z00_1289;
BgL_arg3435z00_1287 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Object/tools.scm 215 */
BgL_typez00_bglt BgL_obj1003z00_1788;
{ /* ./Object/tools.scm 215 */
obj_t BgL_auxz00_2745;
BgL_auxz00_2745 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_43))->BgL_classzd2ownerzd2); 
BgL_obj1003z00_1788 = 
(BgL_typez00_bglt)(BgL_auxz00_2745); } 
BgL_arg3436z00_1288 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1788))->BgL_idz00); } 
BgL_arg3437z00_1289 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_43))->BgL_namez00); 
{ /* ./Object/tools.scm 213 */
obj_t BgL_list3439z00_1290;
{ /* ./Object/tools.scm 213 */
obj_t BgL_arg3441z00_1291;
{ /* ./Object/tools.scm 213 */
obj_t BgL_arg3444z00_1292;
BgL_arg3444z00_1292 = 
MAKE_PAIR(BgL_objz00_44, BNIL); 
BgL_arg3441z00_1291 = 
MAKE_PAIR(BgL_arg3437z00_1289, BgL_arg3444z00_1292); } 
BgL_list3439z00_1290 = 
MAKE_PAIR(BgL_arg3436z00_1288, BgL_arg3441z00_1291); } 
BgL_getzd2fieldzd2_1275 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(BgL_arg3435z00_1287, BgL_ftypezd2idzd2_1274, BgL_list3439z00_1290); } } 
{ /* ./Object/tools.scm 213 */

{ /* ./Object/tools.scm 218 */
obj_t BgL_arg3407z00_1276;obj_t BgL_arg3408z00_1277;obj_t BgL_arg3409z00_1278;
BgL_arg3407z00_1276 = 
CNST_TABLE_REF(((long)13)); 
{ /* ./Object/tools.scm 220 */
BgL_typez00_bglt BgL_obj1003z00_1791;
{ /* ./Object/tools.scm 220 */
obj_t BgL_auxz00_2755;
BgL_auxz00_2755 = 
(((BgL_slotz00_bglt)CREF(BgL_slotz00_43))->BgL_typez00); 
BgL_obj1003z00_1791 = 
(BgL_typez00_bglt)(BgL_auxz00_2755); } 
BgL_arg3408z00_1277 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1791))->BgL_idz00); } 
{ /* ./Object/tools.scm 221 */
BgL_typez00_bglt BgL_obj1003z00_1792;
BgL_obj1003z00_1792 = 
(BgL_typez00_bglt)(BGl_za2intza2z00zztype_cachez00); 
BgL_arg3409z00_1278 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_1792))->BgL_idz00); } 
{ /* ./Object/tools.scm 218 */
obj_t BgL_list3412z00_1280;
{ /* ./Object/tools.scm 218 */
obj_t BgL_arg3414z00_1281;
{ /* ./Object/tools.scm 218 */
obj_t BgL_arg3417z00_1282;
{ /* ./Object/tools.scm 218 */
obj_t BgL_arg3420z00_1283;
{ /* ./Object/tools.scm 218 */
obj_t BgL_arg3423z00_1284;
{ /* ./Object/tools.scm 218 */
obj_t BgL_arg3426z00_1285;
BgL_arg3426z00_1285 = 
MAKE_PAIR(BgL_valz00_45, BNIL); 
BgL_arg3423z00_1284 = 
MAKE_PAIR(BgL_indexz00_46, BgL_arg3426z00_1285); } 
BgL_arg3420z00_1283 = 
MAKE_PAIR(BgL_getzd2fieldzd2_1275, BgL_arg3423z00_1284); } 
BgL_arg3417z00_1282 = 
MAKE_PAIR(BGl_string4049z00zzobject_toolsz00, BgL_arg3420z00_1283); } 
BgL_arg3414z00_1281 = 
MAKE_PAIR(BgL_arg3409z00_1278, BgL_arg3417z00_1282); } 
BgL_list3412z00_1280 = 
MAKE_PAIR(BgL_arg3408z00_1277, BgL_arg3414z00_1281); } 
return 
BGl_makezd2privatezd2sexpz00zzast_privatez00(BgL_arg3407z00_1276, BgL_ftypezd2idzd2_1274, BgL_list3412z00_1280);} } } } }  else 
{ /* ./Object/tools.scm 202 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string4057z00zzobject_toolsz00, BGl_string4054z00zzobject_toolsz00, BGl_za2targetzd2languageza2zd2zzengine_paramz00);} } } } } 
}



/* _make-pragma-indexed-set!3965 */
obj_t BGl__makezd2pragmazd2indexedzd2setz123965zc0zzobject_toolsz00(obj_t BgL_envz00_2404, obj_t BgL_typez00_2405, obj_t BgL_slotz00_2406, obj_t BgL_objz00_2407, obj_t BgL_valz00_2408, obj_t BgL_indexz00_2409)
{ AN_OBJECT;
{ /* ./Object/tools.scm 201 */
return 
BGl_makezd2pragmazd2indexedzd2setz12zc0zzobject_toolsz00(
(BgL_typez00_bglt)(BgL_typez00_2405), 
(BgL_slotz00_bglt)(BgL_slotz00_2406), BgL_objz00_2407, BgL_valz00_2408, BgL_indexz00_2409);} 
}



/* make-pragma-indexed-set!/widening */
BGL_EXPORTED_DEF obj_t BGl_makezd2pragmazd2indexedzd2setz12zf2wideningz32zzobject_toolsz00(BgL_typez00_bglt BgL_typez00_47, BgL_slotz00_bglt BgL_slotz00_48, obj_t BgL_objz00_49, obj_t BgL_valz00_50, obj_t BgL_indexz00_51, obj_t BgL_wideningz00_52)
{ AN_OBJECT;
{ /* ./Object/tools.scm 234 */
if(
CBOOL(BgL_wideningz00_52))
{ /* ./Object/tools.scm 237 */
obj_t BgL_arg3460z00_1793;
{ /* ./Object/tools.scm 237 */
obj_t BgL_arg3463z00_1794;obj_t BgL_arg3464z00_1795;
BgL_arg3463z00_1794 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg3464z00_1795 = 
MAKE_PAIR(BgL_objz00_49, BNIL); 
BgL_arg3460z00_1793 = 
MAKE_PAIR(BgL_arg3463z00_1794, BgL_arg3464z00_1795); } 
return 
BGl_makezd2pragmazd2indexedzd2setz12zc0zzobject_toolsz00(BgL_typez00_47, BgL_slotz00_48, BgL_arg3460z00_1793, BgL_valz00_50, BgL_indexz00_51);}  else 
{ /* ./Object/tools.scm 235 */
return 
BGl_makezd2pragmazd2indexedzd2setz12zc0zzobject_toolsz00(BgL_typez00_47, BgL_slotz00_48, BgL_objz00_49, BgL_valz00_50, BgL_indexz00_51);} } 
}



/* _make-pragma-indexed-set!/widening3967 */
obj_t BGl__makezd2pragmazd2indexedzd2setz12zf2widening3967z32zzobject_toolsz00(obj_t BgL_envz00_2410, obj_t BgL_typez00_2411, obj_t BgL_slotz00_2412, obj_t BgL_objz00_2413, obj_t BgL_valz00_2414, obj_t BgL_indexz00_2415, obj_t BgL_wideningz00_2416)
{ AN_OBJECT;
{ /* ./Object/tools.scm 234 */
return 
BGl_makezd2pragmazd2indexedzd2setz12zf2wideningz32zzobject_toolsz00(
(BgL_typez00_bglt)(BgL_typez00_2411), 
(BgL_slotz00_bglt)(BgL_slotz00_2412), BgL_objz00_2413, BgL_valz00_2414, BgL_indexz00_2415, BgL_wideningz00_2416);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzobject_toolsz00()
{ AN_OBJECT;
{ /* ./Object/tools.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzobject_toolsz00()
{ AN_OBJECT;
{ /* ./Object/tools.scm 15 */
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)58542), "object_tools"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "object_tools"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "object_tools"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)30651), "object_tools"); 
BGl_modulezd2initializa7ationz75zztype_toolsz00(((long)15091), "object_tools"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28323), "object_tools"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "object_tools"); 
BGl_modulezd2initializa7ationz75zzast_privatez00(((long)8704), "object_tools"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "object_tools"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)23064), "object_tools"); 
BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long)44183), "object_tools"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)8510), "object_tools"); 
return 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "object_tools");} 
}

